Cover Page

Copyright © 2003 by Walter R. Bruce, Paul Thurrott, and David Chernicoff


LOC

PUBLISHED BY
Microsoft Press
A Division of Microsoft Corporation
One Microsoft Way
Redmond, Washington 98052-6399

Copyright © 2003 by Walter R. Bruce, Paul Thurrott, and David Chernicoff

All rights reserved. No part of the contents of this book may be reproduced or transmitted in any form or by any means without the written permission of the publisher.

Library of Congress Cataloging-in-Publication Data

Bruce, Walter.
     Microsoft Windows XP Power Toolkit / Walter Bruce, Paul Thurott, David Chernicoff.
        p. cm.
     Includes index.
     ISBN 0-7356-1790-2
     1. Microsoft Windows (Computer file) 2. Operating systems (Computers). I. Thurrott,
   Paul B. II. Chernicoff, David. III. Title

   QA76.76.O63 B77    2002
   005.4'4769--dc21                                        2002070116

Printed and bound in the United States of America.

1 2 3 4 5 6 7 8 9 QWE 7 6 5 4 3 2

Distributed in Canada by H.B. Fenn and Company Ltd.

A CIP catalogue record for this book is available from the British Library.

Microsoft Press books are available through booksellers and distributors worldwide. For further information about international editions, contact your local Microsoft Corporation office or contact Microsoft Press International directly at fax (425) 936-7329. Visit our Web site at www.microsoft.com/mspress. Send comments to mspinput@microsoft.com.

Carpoint, Hotmail, Microsoft, Microsoft Press, MS-DOS, MSN, NetMeeting, PowerPoint, Windows, and Windows NT are either registered trademarks or trademarks of Microsoft Corporation in the United States and/or other countries. Other product and company names mentioned herein may be the trademarks of their respective owners.

The example companies, organizations, products, domain names, e-mail addresses, logos, people, places, and events depicted herein are fictitious. No association with any real company, organization, product, domain name, e-mail address, logo, person, place, or event is intended or should be inferred.

Acquisitions Editors: Casey Doyle and Alex Blanton
Project Editor: Jenny Moss Benson


Dedication

From Walt: To Terry. Thanks for 30 wonderful years together.

From Paul: To Kelly, Mark, and Stephanie: I love you all very much.

From David: To Maria, Natalie, and Alexander, for putting up with me while I was working on this book.


Acknowledgments

As a publishing professional for a dozen years, I know very well the incredible hours of work that go into the publication of every book. There are many people whose work is essential to each book's publication but who seem to go unnoticed and unthanked. So let me say thank you to Don Fowley and Casey Doyle for having the confidence in us to write this book, to Alex Blanton for his guidance, and to Jenny Moss Benson for her project management in completing it. Thanks also to Susan McClung, for her management, to Teresa Horton for her crisp copy editing, to Bob Hogan for his invaluable technical review, to proofreaders Jan Cocker, Rebecca Merz, and Robert Saley, and to all the unnamed people at Microsoft Press who buy the paper, hire the printer, design and produce the cover, design and implement marketing plans and promotions, sell the book to the retailer, pay the bills (especially the royalties), and perform all the other unmentioned but still necessary tasks to keep a major publisher in business.

I especially want to thank my colleague Kathy Ivens for her invaluable contribution to this book, including writing Chapter 4, "Tools for Protecting Data Files," Chapter 12, "Microsoft Windows XP PowerToys," Chapter 16, "Tools for Customizing Microsoft Windows XP," and Chapter 23, "Third-Party Firewalls." Without Kathy's help, expertise, and fine writing skills, this book might never have been finished.

Finally, I want to thank my family, Terry, Rich, Rob, Heather, Heidi, Monty, and Tahj (yes, I have a big family), for putting up with me for all these years. You're the greatest.

Walter Bruce


Introduction

Welcome to Microsoft Windows XP Power Toolkit. If you are a Microsoft Windows XP user who wants to get the most out of this newest generation of Microsoft's flagship operating system, this is the book for you.

Why We Wrote This Book

Anyone who uses their computer on a regular basis comes to rely on favorite features and utilities—software tools—to get their job done. Every new version of Microsoft Windows has introduced new and more powerful special features and utilities. When viewed together, these aspects of Windows XP, whether part of its user interface or stand-alone software utilities, are part of your daily tool kit for getting your work done.

In Windows XP, Microsoft has enhanced Windows in countless ways. Some of these enhancements are behind the scenes or under the covers. To take full advantage of these enhancements, you must be aware of their existence and know how to use them. The first goal of this book is to make you aware of and show you how to use Windows XP tools—including built-in features, powerful techniques, and important utilities—that the most seasoned users of Windows XP—power users—have added to their daily toolkit. Hence, we call this book the Microsoft Windows XP Power Toolkit. Because there are other books on Windows XP available, we don't cover every Windows XP feature; rather, we focus on the features and utilities that help you improve your experience with Windows XP to the greatest possible extent.

Each time Microsoft releases a new version of Windows, its developers must draw the line somewhere on new features and capabilities. Fortunately, Microsoft often makes additional enhancements available through add-in software. This book's second goal is to make you aware of Microsoft utilities that are not shipped "in the box" with Windows XP, but that are designed specifically to add powerful supplementary features to the Windows XP operating system, including enhancements in the areas of networking, digital media, and the user interface.

Third-party software publishers have also continually raised the bar by publishing software that enhances capabilities built into Windows or adds features that are not yet part of the main operating system. The third and final goal of this book is to make you aware of some of the best third-party utilities that you should seriously consider adding to your own daily Windows XP tool kit.

Who Should Read This Book?

If you use your PC frequently and would like to be more efficient, more productive, more secure, or just have more fun using Windows XP, this book is for you. If you already consider yourself a Windows XP power user but would like to fill out your power tool kit with in-the-box, out-of-the-box, and third-party utilities, this book is for you, too. Even if you are new to Windows XP, you will find many useful tips and tricks, such as how to personalize the way Windows XP looks and operates, how to safely share your computer files over a home network, how to record and play digital music and digital videos, and how to share digital photographs over the Internet.

How This Book Is Organized

This book is organized into three parts based on where you will find the tool being described.

Part I: Microsoft Power Tools in the Box

Part I of this book covers tools that are included with and integrated into Windows XP Home Edition or Windows XP Professional—including built-in utilities such as the backup utilities, as well as tips and techniques often used by the most experienced Windows XP users. Chapters in this part of the book include Chapter 1, "Tools to Use Windows XP More Efficiently"; Chapter 2, "Application Compatibility Tools"; Chapter 3, "Backup and Recovery Power Tools"; Chapter 4, "Tools for Protecting Data Files"; Chapter 5, "Tools for Working with Digital Photos"; Chapter 6, "Digital Audio Tools"; Chapter 7, "Tools for Creating Digital Movies and Video Conferences"; Chapter 8, "Networking Power Tools"; Chapter 9, "Command-Line Networking Power Tools"; Chapter 10, "Tools for Troubleshooting"; and Chapter 11, "Mobile Power Tools."

Part II: Microsoft Power Tools Out of the Box

The second part of the book describes how to use power user tools published by Microsoft that enhance the built-in capabilities of Windows XP, but that are not included in the Windows XP box. Some of the tools are available free of charge, whereas others require you to pay a licensing fee. Chapters in this part of the book include Chapter 12, "Microsoft Windows XP PowerToys"; Chapter 13, "Digital Media Tools for Microsoft Windows XP"; Chapter 14, "Microsoft Windows XP Media Tools"; and Chapter 15, "Tools in Microsoft Windows Messenger."

Part III: Third-Party Power Tools

The third part of the book introduces and explains how to use best-of-breed power tools from third-party software publishers. Chapters in this part include Chapter 16, "Tools for Customizing Microsoft Windows XP"; Chapter 17, "Tools for File Compression and Virus Protection"; Chapter 18, "Tools for System Management"; Chapter 19, "Third-Party Digital Photo Tools"; Chapter 20, "Third-Party Digital Audio Tools"; Chapter 21, "Third-Party Digital Video Tools"; Chapter 22, "Third-Party Internet Enhancements"; and Chapter 23, "Third-Party Firewalls."

Using the CD

The accompanying CD includes many of the tools described in this book, as well as an electronic version of the book itself. Some of these tools don't require a licensing fee, whereas others are trial versions that do require you to pay a licensing fee if you want to continue using them beyond the trial period.

NOTE
The third-party software and links featured in this book are not under Microsoft's control, and Microsoft is therefore not responsible for their content. Because software is continually improved and updated, the CD provides links to the Web site of each tool's software manufacturer. These Web site addresses are also included in the appropriate sections of the book. Even though we have included the tools on the CD, you should check these Web links to make sure you install and use the most up-to-date version of each tool.
System Requirements

To use this CD, you will need the following:

  • Windows XP Home Edition or Windows XP Professional
  • The minimum system requirements should be those required to install and run Windows XP Home Edition or Windows XP Professional, Internet Explorer 6 (included by default with both versions of Windows XP), or a comparable Web browser. To review the Windows XP system requirements, visit the Microsoft Web site (http:/ /www.microsoft.com/windowsxp/default.asp).
NOTE

To view the eBook, you must have Microsoft Internet Explorer 5.01 or later and the proper HTML Help components installed. You will also need 20 MB to 31 MB of hard disk space to install and run the eBook. For more information about installation, refer to the Readme.txt file in the \eBook folder.

The tools described or provided on the CD might have additional requirements. Please refer to the product information sheets in the CD interface for more information.

How to Use the CD

There are several elements included on the companion CD. To use each of them, perform the steps listed here.

To download or install tools from the CD, follow these steps:

  1. In the left pane of the CD interface, click Third-Party Power Tools.
  2. In the right pane, click the link for the category of tool you want to download or install, or scroll down to browse all the tools.
  3. In the right pane, under the tool you want to download or install, click Read More.
  4. On the page that appears, click Install This Software Now!
  5. Click Open or Run to install or Save to download the software to your hard disk.
  6. Follow the instructions that appear on your screen.
NOTE

You'll need to download or install each tool separately.

To install and use the eBook, follow these steps:

  1. In the left pane of the CD interface, click eBook.
  2. In the right pane, click Click Here.
  3. In the File Download dialog box, click Open or Run, and then follow the instructions that appear on your screen.

To uninstall any of the tools, follow the uninstall instructions on the corresponding product information pages included on the CD.

Companion Web Site

In addition to the CD, we have created a companion Web site for this book—http://www.winptk.com. It contains a user interface that is nearly identical to the CD except that the Web site does not host any of the software tools. Instead, an up-to-date link is provided to each Web site where a tool can be downloaded. We will also periodically post updates to the information published in the book on this site as we become aware of changes that might make the material more useful.

Contacting the Authors

The companion Web site (http://www.winptk.com) is one way to contact the authors with any questions or comments you might have. In addition, you can send e-mail to them at authors@winptk.com.

Getting Help

If you have questions or comments about the book, CD, or Web site, please feel free to address them to the authors at the Web site and e-mail address previously listed, or to Microsoft Press at the Web site and e-mail addresses listed below. For questions about or support for any of the software described in this book, however, please consult directly the software publisher or the publisher's Web site.

Corrections and Comments

Extensive efforts were made to ensure the accuracy of this book and the contents found on the CD. Microsoft Press provides comments and corrections for its books on the Web at http://www.microsoft.com/mspress/support.

If you have comments, questions, or ideas regarding this book or the CD, please send them by e-mail to mspinput@microsoft.com or by postal mail to:
Microsoft Press
Attn: Power Toolkit Editor
One Microsoft Way
Redmond, WA 98052-6399

Please note that support for Microsoft products is not offered through the preceding addresses. For help with Microsoft products, contact Microsoft Support Online at http://support.microsoft.com. For support for third-party tools, please contact the individual tool's manufacturer, using the Web site listed on the tool's download page.


Chapter 1 - Tools to Use Windows XP More Efficiently

Part I
Microsoft Power Tools in the Box
  • 1 Tools to Use Windows XP More Efficiently
  • 2 Application Compatibility Tools
  • 3 Backup and Recovery Power Tools
  • 4 Tools for Protecting Data Files
  • 5 Tools for Working with Digital Photos
  • 6 Digital Audio Tools
  • 7 Tools for Creating and Digital Movies and Video Conferences
  • 8 Networking Power Tools
  • 9 Command-Line Networking Power Tools
  • 10 Tools to Troubleshoot Networking
  • 11 Mobile Power Tools


Chapter 1 - Tools to Use Windows XP More Efficiently

Chapter 1
Tools to Use Windows XP More Efficiently

As explained in the Introduction, this book is organized into three parts: Part I, “Microsoft Power Tools in the Box”; Part II, “Microsoft Power Tools Out of the Box”; and Part III, “Third-Party Power Tools.” This chapter, the first of Part I, pertains to tools that you use more frequently than others, yet probably don’t regard as tools: the Start menu, the desktop, and the taskbar. Most users launch programs from either the Start menu or the desktop and let the taskbar take care of itself. This chapter shows you how to use the taskbar as the main control center for running Microsoft Windows XP and all your applications.

If you could inspect the millions of computers on which Windows XP is installed, you would probably find that no two computers have precisely the same user interface. As soon as you begin to use Windows XP, the software begins to adapt to your preferences. You can personalize Windows even more by manually customizing the taskbar so that it performs like a power tool that will consistently yield faster access to the programs and utilities that you use most often.

The Windows user interface has undergone continual refinement. The most notable improvement was implementing the desktop metaphor in Microsoft Windows 95. Windows XP now has a fresh look, with a new 3-D icon style and a new layout for the Start menu. Nevertheless, for power users, Windows XP’s improvements might sometimes reduce efficiency by requiring more clicks than would seem necessary. The first part of this chapter examines several adjustments that you can make to the standard Windows XP layout that produce a very clean, yet fully featured, user interface. Our custom power-user Windows XP interface uses the taskbar as a control center—what we’ll call a power taskbar—that enables you to launch any program and access any desktop icon or open program with the fewest clicks possible.

Longtime PC users will tell you that the fastest, most efficient way to execute any software command is by using a keyboard shortcut—Ctrl+C to copy, Ctrl+V to paste, and so on. The keyboard shortcuts that employ the Windows logo key ( [image] ), which are listed later in this chapter, demonstrate the efficacy of this advice. Although we advise you to learn and use keyboard shortcuts when you can, we do not advocate that every power user memorize and use all the available keyboard shortcuts.

We start with the premise that an effective software user interface does the following two things well:

  1. Provides quick and easy access to the software features you are most likely to use

  2. Stays out of your way

The following discussion helps you exploit Windows XP’s almost limitless malleability to provide you access to all your software and the Windows XP interface with a minimum number of clicks.

This chapter covers:

  • Making the Start menu more efficient

  • Customizing the taskbar

  • Using power shortcuts


Making the Start Menu More Efficient

Because the Start button is located at the left end of the taskbar, we regard the Start button and the menu it displays as part of the power taskbar that we are building. Until Windows XP, the Start menu had undergone only minor changes since the introduction of Windows 95. The Classic Windows Start menu, which is still available as an option in Windows XP, is an expanding tree of program shortcuts and folders containing shortcuts. You launch the programs installed on your computer by navigating the tree until you find the program you want to run and then clicking its shortcut icon. Because the tree can grow rather large as you add more software to your computer, you can add your favorite programs to the opening list of software on the Start menu so that you can find them more easily (see Figure 1-1).

Figure 1-1  The Classic Start menu tree.
Figure 1-1. The Classic Start menu tree.

In contrast, clicking Start in Windows XP displays the default Windows XP Start menu, which consists of two columns, with program shortcuts on the left and folders on the right (see Figure 1-2). Windows XP tracks your software usage and automatically adds to the Start menu an icon for each of your most frequently used programs. By default, Windows XP also adds Microsoft Internet Explorer and Microsoft Outlook Express to the Start menu. The full tree of program icons and folders is still accessible by selecting All Programs.

Figure 1-2  The default Windows XP Start menu, consisting of two columns, with program shortcuts on the left and folders on the right.
Figure 1-2. The default Windows XP Start menu, consisting of two columns, with program shortcuts on the left and folders on the right.
Switching to the Classic Start Menu

The main advantage of the new default Windows XP Start menu over the Classic Start menu is the automatic addition of frequently used programs to the program list on the left side of the menu. If several people use your computer, Windows builds a different list of frequently used programs on the left side of the Start menu. In our informal research, however, we have concluded that most power users don’t share their PCs with other users. We therefore believe that although the new Start menu style looks great, it does not provide sufficient benefit to justify its use of approximately four times as much screen real estate as the Classic Start menu. Because we don’t mind dragging shortcut icons for frequently used programs to the Start menu (or even to the taskbar), we opt to use the Classic style.

POWER TIP
If you prefer the default style, however, you can use it and still take advantage of all the suggestions made in this book. The remainder of our user interface adjustments will work with either Start menu style. The screens in the rest of this chapter show the Classic style.

To switch from the default Windows XP Start menu style to the Classic Start menu style, follow these steps:

  1. Right-click Start and select Properties from the shortcut menu that appears to display the Taskbar And Start Menu Properties dialog box, shown in Figure 1-3.

    Figure 1-3  The Taskbar And Start Menu Properties dialog box.
    Figure 1-3. The Taskbar And Start Menu Properties dialog box.

  2. Select the Classic Start Menu option and then click OK.

Customizing the Start Menu

As mentioned at the beginning of this chapter, the primary goal of our power taskbar is to provide easy access to all your application software and Windows tools with as few clicks as possible. Windows XP makes it possible to add many types of tools to the Start menu. When you install Windows XP, many of these resources are included on the Start menu by default; other resources are not. The discussions that follow in this chapter describe the choices you have and suggest the most efficient alternatives. Whether you choose to use the Classic Start menu style or the new Windows XP style, the same resources and options are available through the Start menu, unless we state explicitly otherwise.

Adjustments You Can Make to the Start Menu

Windows XP’s two Start menu styles can be customized by adding Start menu options and by configuring both the default options and the ones you’ve added. You might recognize and be familiar with many of the options listed here because they are included by default with the Windows XP installation. There are also configuration settings that are not installable options; you must adjust them through the Start menu’s properties.

  • Control Panel Adding Control Panel to the Start menu makes it easy to open a particular Control Panel item from the Start menu, without having to open Control Panel itself. To configure this option for either the Classic or default view, right-click Start, and from the shortcut menu, select Properties, and then click Customize. In either view, you make changes on the Advanced tab of the Properties dialog box.

  • Favorites You usually build and manage the Favorites list using Internet Explorer. The Favorites list is an array of hyperlinks that point to Uniform Resource Locators (URLs) that you use frequently. These links are typically Web sites on the Internet or on your corporate intranet. The most convenient way to use Favorites is to create folders that group the links logically. With the Favorites list feature on the Start menu, you can access your Internet Explorer list of favorite Web sites from the Start menu. When you select one of these favorites, Windows launches Internet Explorer and opens the site you selected.

  • Help And Support The Help And Support Center, shown in Figure 1-4, is a comprehensive list of links to Windows XP online help and support, including online documentation included with Windows XP and stored on your PC’s hard disk, resources such as Windows Update that are available on Microsoft’s Web site, and links to system utilities such as System Restore, as well as other system maintenance and administrative utilities.

    Figure 1-4  Help And Support Center.
    Figure 1-4. Help And Support Center.

  • My Computer From the initial release of Windows 95, My Computer has been accessible from an icon on the Windows desktop. It provides access to all files stored on your computer and is an alternative user interface to Windows Explorer. Shown in Figure 1-5, My Computer also provides links to system tasks such as the View System Information utility, which displays information about the PC system, and the Add Or Remove Programs utility, which is normally found in Control Panel.

    Figure 1-5  The My Computer window.
    Figure 1-5. The My Computer window.

  • My Documents The My Documents folder has been a standard resource in Windows since Windows 98. Perhaps a more descriptive name would be My Data, because it usually contains word processing documents, as well as digital music, digital pictures, Web site data, and other types of application data. If you set up multiple users on your computer, Windows XP creates a My Documents folder for each user.

  • My Music This option displays a list of digital music files that you have stored on your computer. The My Music folder is contained in the My Documents folder.

  • My Pictures This option displays a list of digital image files stored on your computer. My Pictures is also a folder contained in the My Documents folder.

  • My Network Places If your computer is connected to a local area network (LAN), this option displays a window that lists network drives your computer has accessed.

  • Network Connections The Network Connections window, shown in Figure 1-6, lists the available network connections set up on your computer. This feature has traditionally been accessible through Control Panel. If you open Control Panel first, you can open the Network Connections window by clicking the Network Connections icon. If you open the Network Connections window first, it includes a link to Control Panel. You can open Network Connections directly by clicking Start, pointing to All Programs, Accessories, Communications, and finally selecting Network Connections.

    Figure 1-6  The Network Connections window.
    Figure 1-6. The Network Connections window.

  • Printers And Faxes You use the Printer And Faxes window to add and manage both printers and faxes. You can also access this window from Control Panel.

  • Enable Dragging And Dropping The easiest way to edit and rearrange the Start menu is using Windows’ dragging and dropping capability. With this capability enabled for the Start menu, you can add a program icon to an existing program folder using the mouse to drag the icon from the desktop or another program folder to the desired destination folder.

  • Scroll Programs When you install software on your PC, the software setup program normally creates a new folder on the Start menu’s All Programs list. Before long, you have more folders than will fit in one column on your screen. Windows XP handles the overflow in two ways:

    • When the Start menu’s Scroll Programs feature is enabled, Windows adds a downward-pointing triangle at the bottom of the Programs list (shown in Figure 1-7) that indicates there are program folders or icons that are not visible in the direction of this pointer. You can scroll down the list to display the hidden folders or icons by moving the mouse pointer to the triangle. Similarly, an upward-pointing triangle at the top of the Programs list means that more folders or icons are available toward the top of the list.

    • If the Scroll Programs feature is disabled, Windows adds as many columns as necessary to display all available folders and icons.

    Figure 1-7  The Start menu in Classic view with Scroll Programs enabled.
    Figure 1-7. The Start menu in Classic view with Scroll Programs enabled.

  • The Run command The Run command is almost a miniature command line. When you select Run from the Start menu, Windows displays a dialog box that contains a single text box labeled Open, into which you can type the name of an executable program. You can include any command-line parameters that would otherwise be appropriate at the system command prompt. This feature is used typically to run a Windows-based program without trying to find the program on the Start menu. For example, to run the Registry Editor, you would type regedit in the Run command’s Open text box and either press Enter or click OK.

    POWER TIP
    To use the Run command to execute an internal DOS command or any command-line utility that generates textual output in a DOS window, precede the command or program name with cmd /k. Windows opens a DOS window, executes the command that follows cmd /k, and keeps the DOS window open so that you can view the output. For example, to execute the ipconfig networking utility and to see a detailed listing of the IP address assignments of your computer’s network connections, type cmd /k ipconfig /all in the Run command’s Open text box, and press Enter or click OK.

    Windows generates a list of information about every active network connection in a DOS window and keeps the window open so you can view the output. Close the window when you finish viewing this information.

  • The Search command Every version of Windows has had a search feature to help you locate files on your computer’s drives. Prior to Windows 2000, this feature was called the Find command. In Windows 2000 and Windows XP, the search feature, now called the Search command, can help you find files on your computer as well as files, computers, and other people on your LAN or the Internet. This command is also available from within Windows Explorer.

  • System Administrative Tools These tools are hidden by default and can be enabled in either default or Classic view through the Advanced tab of the Start menu’s properties. The Windows XP Administrative Tools include the following tools, of primary interest to developers and system administrators:

    • Component Services The snap-in of Microsoft Management Console (MMC) that enables you to configure and administer Component Object Model (COM) components and COM+ applications.

    • Computer Management The snap-in for MMC that enables you to manage local and remote computers from a single computer.

    • Data Sources (ODBC) Data Sources Open Database Connectivity (ODBC) lets you access data from many different database management systems. ODBC is a programming interface that provides for connection to any ODBC-compliant database, such as Microsoft SQL Server, Microsoft Access, or Microsoft FoxPro.

    • Event Viewer Another snap-in for MMC, this enables you to view and manage event logs of local and remote computers, and to monitor events recorded in the Application, Security, and System logs.

    • Internet Information Services Internet Information Services (IIS) 5.1 for Windows XP Professional is a special version of Microsoft Internet Information Services. This service, if installed, can support as many as 10 client connections simultaneously. (IIS is not included in the default Windows XP installation.)

    • Local Security Policy This tool lets you modify account and local policies, public key policies, and IP security (IPsec) policies for your computer.

    • Performance The Performance Logs And Alerts tool lets you monitor and log the performance of Windows XP operating system resources.

    • Server Extensions Administrator This tool uses the MMC snap-ins to manage server extensions such as Microsoft FrontPage Server Extensions.

    • Services This utility (see Figure 1-8) lets you manage your computer services and applications that run in the background, such as Cryptographic Services and Dynamic Host Configuration Protocol (DHCP) Client services.

      Figure 1-8  Windows XP’s Services utility.
      Figure 1-8. Windows XP’s Services utility.

  • List My Most Recently Opened Documents If you use the default Windows XP Start menu, Windows monitors the documents (such as Microsoft Word document files, Microsoft Excel worksheet files, Notepad text files, graphics files, and database files). You can open each of these files again quickly by pointing to My Recent Documents and then choosing the file name from the Start menu. This option is enabled by default when using the Classic Start menu. Simply click Start, point to Documents, and then choose the file name.

  • Show Small Icons In Start Menu This feature uses smaller icons for each item on the Start menu, which saves space and helps your computer work a little faster. This option can be enabled on the General tab of the default Windows XP Start menu or the Advanced tab of the Classic Start menu and is discussed in more detail later in this chapter.

  • Use Personalized Menus If you use the Classic Start menu, you can also choose Use Personalized Menus. Windows XP monitors the programs you use most frequently and hides the program folders for the programs you use infrequently. This option is not available on the default Windows XP Start menu.

Adding Resources to the Classic Start Menu

If you are using or plan to use the Classic Start menu, follow these steps to add the tools or enable the options described in the previous section:

  1. Right-click Start, and then choose Properties from the shortcut menu to display the Taskbar And Start Menu Properties dialog box.

  2. If it is not already selected, select the Classic Start Menu option.

  3. Click Customize to display the Customize Classic Start Menu dialog box, shown in Figure 1-9.

    Figure 1-9  The Customize Classic Start Menu dialog box.
    Figure 1-9. The Customize Classic Start Menu dialog box.

  4. Select the following check boxes for the features you want to add to the Start menu:

    • Display Administrative Tools

    • Display Favorites

    • Display Log Off

    • Display Run

    • Enable Dragging And Dropping

    • Expand Control Panel

    • Expand My Documents

    • Expand My Pictures

    • Expand Network Connections

    • Expand Printers

    • Scroll Programs

    • Show Small Icons In Start Menu

    • Use Personalized Menus

  5. Click OK to accept the changes and close the window.

Adding Resources to the Default Start Menu

If you are using or plan to use the default Windows XP Start menu, follow these steps to add the tools or enable the options described in the section entitled “Adjustments You Can Make to the Start Menu,” earlier in this chapter:

  1. Right-click Start, and then choose Properties from the shortcut menu to display the Taskbar And Start Menu Properties dialog box.

  2. If it is not already selected, select the Start Menu option.

  3. Click Customize to the right of the Start Menu button to display the Customize Start Menu dialog box, shown in Figure 1-10.

    Figure 1-10  The Customize Start Menu dialog box for the default Windows XP Start menu style.
    Figure 1-10. The Customize Start Menu dialog box for the default Windows XP Start menu style.

  4. Click the Advanced tab.

  5. On the Advanced tab, select the following check boxes for the features you want to add to the standard Windows XP Start menu:

    • Enable Dragging And Dropping

    • Favorites Menu

    • Help And Support

    • My Network Places

    • Printers And Faxes

    • Run Command

    • Scroll Programs

    • Search

    • List My Most Recently Opened Documents

  6. For each of the following resources, in the Start Menu Items frame on the Advanced tab, you can choose to display the item as a link, display it as a menu, or refrain from displaying the item at all:

    • Control Panel

    • My Computer

    • My Documents

    • My Music

    • My Pictures

    • Network Connections

      If you choose to display the item as a link on the Start menu, clicking the item displays a separate window. We recommend displaying each item as a menu to reduce the number of mouse clicks and to keep open windows to a minimum.

  7. Also in the Start Menu Items frame, you can select the Display On The All Programs Menu option to cause the System Administrative Tools folder to be listed when you click Start and point to All Programs. Alternatively, you can select the Display On The All Programs Menu And The Start Menu option to display the Administrative Tools folder on the opening Start Menu. The default option for the Administrative Tools folder is Don’t Display This Item.

  8. If you have mastered the hand-eye coordination needed to swiftly navigate the All Programs tree on the Start menu, select the Open Submenus When I Pause On Them With My Mouse check box.

  9. To make it easy to find software you have recently installed on your computer, select the Highlight Newly Installed Programs check box. Each time you install new software, Windows temporarily highlights the program’s Start Menu icon in a different color.

  10. If you use either Internet Explorer or MSN Explorer as your Web browser, select the appropriate product from the drop-down list in the Show On Start Menu frame near the bottom of the Customize Start Menu window, and select the Internet check box.

  11. If you use Hotmail, Microsoft Outlook, MSN Explorer, or Outlook Express for e-mail, select the appropriate product from the drop-down list in the Show On Start Menu frame, and select the E-Mail check box.

  12. Click OK to accept the changes you have made to the Start menu and close the window.


Customizing the Taskbar

The Start menu, when customized as in the preceding discussion, can give you relatively quick access to most Windows programs and features. However, the sheer volume of choices on the Start menu can still make launching a particular program or command more time-consuming than necessary. This section shows you how to customize the rest of the taskbar so that your most commonly used programs and Windows features are never more than a click or two away.

Adding the Desktop Toolbar

Most setup and installation programs for third-party software used with commercial versions of Windows place a program icon on the Windows desktop that acts as a shortcut for launching the software. This practice might not be particularly useful for two reasons. First, if you have a shortcut for every one of the programs on your computer, the desktop is going to look cluttered. Second, as soon as you open a few programs, the open windows obscure the desktop. To use the desktop icon shortcuts, you have to minimize all the open windows and then find the shortcut, launch the program, and then maximize the other windows again. It is often less confusing to navigate the Start menu program tree, which defeats the purpose of the shortcut. It would be useful, however, to have a manageable list of shortcuts available on a toolbar that you can see even with several windows open. Microsoft Office includes a shortcut bar that provides this functionality, but the following discussion describes an alternative that you can use whether or not you use the Office Shortcut Bar.

To add desktop access to the taskbar, follow these steps:

  1. Right-click the taskbar to display the shortcut menu shown in Figure 1-11.

    Figure 1-11  The shortcut menu to customize the taskbar.
    Figure 1-11. The shortcut menu to customize the taskbar.

  2. Point to Toolbars and then select Desktop. Windows XP adds the Desktop toolbar to the right end of the taskbar. It might be hard to notice the taskbar, but you should be able to see the word Desktop, as well as a chevron (>>) that denotes that something is hidden.

  3. Click the chevron (>>) to display a list of the desktop shortcut icons.

Now you have access to your desktop shortcuts without the need to minimize windows.

By default, the Windows XP desktop displays the Recycle Bin icon. If you chose the Classic Start menu style, Windows XP also might have added the My Computer, Internet Explorer, and My Network Places icons to your desktop. Whether or not these icons are displayed on the Windows XP desktop, however, they always will be listed on the Desktop toolbar.

The Desktop toolbar still requires at least two clicks to launch a program. To conserve as many clicks as possible, you can make a few more adjustments. It would be most convenient if you could launch your favorite programs by clicking their icons on the taskbar. To cause program icons to appear on the taskbar, follow these steps:

  1. Right-click the taskbar and clear the Lock The Taskbar option if it is selected.

  2. Place the mouse pointer on the Desktop toolbar border, just left of the word Desktop. The mouse pointer becomes a double-headed arrow.

  3. Drag the Desktop toolbar border to the left, expanding the width of the toolbar.

Notice that as the toolbar widens, a few of the program icons (the same icons that appear on the desktop) are displayed, but the labels for the icons take up so much room that all the icons probably won’t fit there. The chevron (>>) at the right end of the toolbar denotes that one or more icons are still hidden. To make more room for icons, follow these steps:

  1. Right-click an empty area on the Desktop toolbar to display the shortcut menu shown in Figure 1-12.

    Figure 1-12  The shortcut menu to customize the Desktop toolbar.
    Figure 1-12. The shortcut menu to customize the Desktop toolbar.

  2. Click Show Text to clear its check mark and remove the labels from the Desktop toolbar.

  3. Similarly, right-click an empty area on the Desktop toolbar to display the shortcut menu shown in Figure 1-12, and clear Show Title to remove the word Desktop from the Desktop toolbar.

To use the taskbar space most efficiently, you also can opt to use small program icons. To use small icons, follow these steps:

  1. Right-click Start and choose Properties from the shortcut menu. Windows XP displays the Taskbar And Start Menu Properties dialog box.

  2. Click Customize.

  3. If you are using the default Windows XP Start menu, Windows displays the Customize Start Menu dialog box. On the General tab, select the Small Icons option. If you are using the Classic Start menu, Windows XP displays the Customize Classic Start Menu dialog box. In the Advanced Start Menu Options frame, scroll down and select the Show Small Icons In Start Menu check box.

  4. Click OK to close the Start Menu dialog box. Click OK again to close the Taskbar And Start Menu Properties dialog box.

Adding the Quick Launch Toolbar

In addition to the Desktop toolbar, you also can add the Quick Launch toolbar to the taskbar. By default, the Quick Launch toolbar includes icons to launch Internet Explorer and Media Player for Windows XP with a single mouse click. This toolbar also includes the Show Desktop icon, which minimizes all open windows and displays the Windows XP desktop. Clicking Show Desktop again restores the windows that were open when you clicked the button initially. The Quick Launch toolbar is available in both the default and Classic Start menus.

To add the Quick Launch toolbar to the taskbar, follow these steps:

  1. Right-click the taskbar to display the shortcut menu shown previously in Figure 1-11.

  2. Point to Toolbars and then select Quick Launch. Windows XP adds the Quick Launch toolbar to the left end of the taskbar.

The Quick Launch toolbar includes only three icons by default, but you can easily add other program icons by dragging them from the Desktop toolbar, from the desktop, from the Start menu itself, from any of the Start menu folders, or from Windows Explorer folders. (To drag icons from the Start menu, you must activate the Enable Dragging And Dropping feature described earlier in this chapter.) Similarly, you can drag icons from the Quick Launch toolbar to the Desktop toolbar, to the desktop, to the Start menu, to any of the Start menu folders, or to Windows Explorer folders.

Windows Explorer is a key utility for managing the files on your computer. Explorer is a prime candidate to be added to either the Quick Launch toolbar or the Desktop toolbar. The Start menu’s Programs tree contains a Windows Explorer shortcut icon in its Accessories folder. To add this icon to the Quick Launch toolbar for easier access, follow these steps:

  1. Click Start, point to Programs (or All Programs on the default Start menu), and then choose Accessories to display the icons in the Accessories folder, shown in Figure 1-13.

  2. Right-click the Windows Explorer icon in the Accessories folder and drag the icon to the Quick Launch toolbar. Notice that Windows displays a vertical bar at the position where it will place the icon.

    Figure 1-13  The Classic Start menu’s Accessories folder.
    Figure 1-13. The Classic Start menu’s Accessories folder.

  3. Release the mouse button. Choose the Copy option from the shortcut menu.

Now Windows Explorer can be launched any time that you would like to use it by simply clicking the icon in the Quick Launch toolbar.

Adding the Address Bar

The Run command, discussed earlier in the chapter, is not the only miniature command line available in Windows XP. The Address bar might be even more convenient on the taskbar. To add the Address bar to the taskbar, follow these steps:

  1. Right-click the taskbar to display the shortcut menu shown previously in Figure 1-11.

  2. Point to Toolbars and then choose Address. Windows XP adds the word Address at the right end of the taskbar, between the Desktop toolbar and the notification area.

  3. To expand the Address bar, either drag its left border or double-click the word Address. If your taskbar is locked, you need to unlock it to have this functionality available.

  4. To remove the word Address from the taskbar, right-click the Address bar and clear the Show Title check mark on the shortcut menu.

Commands entered in the Address bar work the same as in the Run command’s Open text box, described in the section entitled “Customizing the Start Menu,” earlier in this chapter. If you type a URL in the Address bar, Windows launches Internet Explorer and attempts to open the Web page (or other Internet resource).

The Address bar is actually borrowed from Windows Explorer. We can use this information to make one additional adjustment: removing the Go button at the right end of the Address bar to maximize the space available for program icons on the taskbar. To remove the Go button, follow these steps:

  1. Right-click Start and select Explore from the shortcut menu to launch Windows Explorer.

  2. Notice that the Address bar in Windows Explorer is a longer version of the Address bar that you have added to the taskbar. Right-click the Go button at the right end of the Address bar in Windows Explorer.

  3. Clear the Go Button option on the shortcut menu. Windows removes the Go button from the Address bar in Windows Explorer, but if you previously added an Address bar to the taskbar, the Go button remains there.

  4. To remove the Go button from the Address bar on the taskbar, right-click the taskbar and choose the Toolbars command from the shortcut menu. Clear Address on the submenu.

  5. Repeat the steps listed earlier for adding the Address bar. This time the Go button will be gone.

Adding Finishing Touches to the Taskbar

Figure 1-14 shows the taskbar with the adjustments that we have made in the previous sections of the chapter. The Start menu is on the left, followed by the Quick Launch toolbar, Desktop toolbar, and the Address bar. On the far right is the notification area (formerly called the system tray), where Windows places icons that denote network connections, time, battery charging, the PC card icon, icons that indicate that various background utilities are running, and other pertinent information about your computer. Some programs put shortcut icons here. This area can quickly become cluttered with icons that are seldom used. Fortunately, it can be customized, and you can make several adjustments to the appearance and operation of the taskbar.

Figure 1-14  The taskbar with the adjustments that we have made thus far in the chapter.
Figure 1-14. The taskbar with the adjustments that we have made thus far in the chapter.

To adjust the appearance and operation of the taskbar, including controlling which icons are displayed in the notification area of the taskbar, follow these steps:

  1. Right-click the notification area and choose Properties to display the Taskbar And Start Menu Properties dialog box, shown in Figure 1-15.

    Figure 1-15  The Taskbar And Start Menu Properties dialog box.
    Figure 1-15. The Taskbar And Start Menu Properties dialog box.

  2. Select the Hide Inactive Icons check box to cause Windows XP to automatically remove inactive icons.

  3. To manually select the way you want specific icons to appear, click Customize. Windows XP displays the Customize Notifications dialog box shown in Figure 1-16. In the Customize Notifications dialog box, for each of the Current Items, choose among three options:

    • Always Show

    • Always Hide

    • Hide When Inactive

      Figure 1-16  The Customize Notifications dialog box.
      Figure 1-16. The Customize Notifications dialog box.

  4. Click OK to close the dialog box.

  5. Select the check box in the Taskbar And Start Menu Properties dialog box next to any of the following parameters to reflect how you want the taskbar to operate:

    • Lock The Taskbar After you have adjusted the appearance of the taskbar to suit your needs, select this option to prevent either accidental or intentional changes to the taskbar.

    • Auto-Hide The Taskbar Select this option if you want the taskbar to hide except when you move the mouse pointer to the section of the screen where it resides.

    • Keep The Taskbar On Top Of Other Windows Select this option if you want the taskbar to always take precedence over other programs. If this option is not selected, the taskbar will be obscured by full-screen windows.

    • Group Similar Taskbar Buttons Click this option to cause Windows XP to group taskbar buttons.

    • Show Quick Launch Click this option to include the Quick Launch toolbar on the taskbar.

    • Show The Clock Select this option to display the digital clock at the right end of the notification area.

    • Hide Inactive Icons Select this option to hide inactive shortcut icons that would otherwise appear on the taskbar’s notification area. You can also click Customize to display the Customize Notifications dialog box, which enables you to control when icons are displayed in the notification area.

  6. Click OK to accept the changes and close the dialog box.

Cleaning Up the Desktop

Now that you have modified the taskbar to display the Desktop toolbar, you might want to clean up the clutter on your desktop. Because all the desktop icons will now be displayed on the taskbar, you no longer need to have the icons on the desktop.

To hide all icons on the desktop, follow these steps:

  1. Right-click the desktop to display its shortcut menu, and then point to Arrange Icons By to display the submenu shown in Figure 1-17.

    Figure 1-17  The Arrange Icons By submenu.
    Figure 1-17. The Arrange Icons By submenu.

  2. Clear the Show Desktop Icons check mark to hide all desktop icons.

If you install new software that adds an icon to the desktop, the icon is automatically added to the Desktop toolbar on the taskbar and will be hidden from the desktop. No more cluttered desktop! If you decide later that you want to be able to launch programs from the desktop as well as from the taskbar, repeat the previous steps to access the Arrange Icons By submenu and select the Show Desktop Icons option.


Using Power Shortcuts

Even though you now have set up a supercharged power taskbar, the fastest way to complete a task is still to use a keyboard shortcut. As an added benefit, if you have repetitive stress injuries, you might find that using keyboard shortcuts causes less discomfort than using the mouse.

Many keyboard shortcuts work in nearly any Windows-based program. Table 1-1 lists a few shortcuts you that you will find useful in many programs, especially Microsoft programs.

Table 1-1. Commonly Used Windows Keyboard Shortcuts
Shortcut | Function
F1 | Help
F10 | Activate the menu bar; type the underlined letter in a menu title; type the underlined character to choose a menu item
Shift+F10 | Open a shortcut window; the same as right- clicking an object
Ctrl+C | Copy
Ctrl+X | Cut
Ctrl+V | Paste
Ctrl+Z | Undo
Ctrl+A | Select all items in the window
Alt+Backspace | Undo
Ctrl+P | Print
Ctrl+N | New window
Ctrl+O | Open
Ctrl+B | Bold
Ctrl+U | Underline
Ctrl+I | Italic
Ctrl+F | Find/Search
Ctrl+H | Find and replace
Ctrl+G | Go to
Ctrl+Esc | Open the Start menu; then press the Tab key to jump to the taskbar
Alt+Spacebar | Display the main window’s System menu, a shortcut with options to restore, move, size, minimize, maximize, or close the window
Alt+F4 | Close window
Alt+Tab | Switch among open programs

The keyboard shortcuts listed in Table 1-1 have been available in most Microsoft software programs published over at least the last 10 years, so learning and using these shortcuts will most likely be time savers for many years to come. There are several newer shortcuts, however, which are just as useful but less well known. These shortcuts use the Windows logo key ( [image] ), which was introduced on Microsoft’s Natural Keyboard several years ago and is now found on most brands of PC keyboards. Table 1-2 lists these shortcuts.

Table 1-2. Windows Logo Key Shortcuts
Shortcut | Function
 | Start menu
+D | Display the desktop (minimizing all open windows) or restore all open windows
+E | Open My Computer
+F | Open a Search Results window
Ctrl+ [image] +F | Open a Search Results—Computers window
+F1 | Open the Help And Support Center window
+R | Open the Run Command dialog box
+Break | Open the System Properties dialog box
+M | Minimize all open windows
+Shift+M | Undo Minimize all open windows
+Tab | Navigate the taskbar buttons
Ctrl+ [image] +Tab | Toggle among the Start menu, the Quick Launch toolbar, and the notification area
+L | Lock the workstation (and switch to the Logon screen if Fast User Switching is enabled)
+U | Open the Utility Manager, which manages such accessibility programs as Magnifier and Narrator
More Info
Refer to Microsoft Knowledge Base article Q126449 for an exhaustive list of keyboard shortcuts that are useful in many Windows programs. You can find this article at http://support.microsoft.com/search/preview.aspx?PR=1&scid=kb;en-us;Q126449.


Chapter 2 - Application Compatibility Tools

Chapter 2
Application Compatibility Tools

Nothing is more frustrating than attempting to run software and finding that it isn’t compatible with your computer. Using a new computer operating system always involves determining whether your existing hardware and application software work with the new operating system. Microsoft has done exhaustive testing and made countless adjustments to Microsoft Windows XP and has achieved impressive compatibility, but you might still run across legacy software or a custom application that doesn’t seem to work well—or work at all—when running on Windows XP.

This chapter provides a number of tools that can help you determine whether your existing hardware and application software are compatible with Windows XP, and explains what to do in case they’re not. It covers the following:

  • Determining hardware compatibility

  • Determining software compatibility using the Windows XP Logo Program and the Application Compatibility Toolkit


Determining Hardware Compatibility

Hardware compatibility is one aspect of Windows XP compatibility. The threshold requirements for being able to run Windows XP on your computer are commonly called system requirements. If you have already installed Windows XP, your system meets these threshold requirements. However, if you have yet to install the new operating system, or if you are considering installing it on another computer, compare the target system’s specifications to this list of the optimum system requirements for running Windows XP:

  • PC with a 300 megahertz (MHz) or faster CPU (233 MHz minimum)

  • 128 megabytes (MB) or more of RAM (64 MB minimum)

  • 1.5 gigabytes (GB) of available hard disk space

  • Super VGA (SVGA) video adapter and monitor with an 800 x 600 or higher resolution

  • CD-ROM drive or DVD drive

  • Keyboard and Microsoft Mouse or compatible pointing device

If the computer on which you want to install Windows XP already has another version of Windows installed, refer to Table 2-1 to determine whether you qualify for the retail upgrade package. Upgrade packages have been around for quite some time and are Microsoft’s way of reducing your cost of moving to newer operating systems. When the Windows XP upgrade package Setup program starts, it checks your computer for a Windows version that is eligible for an upgrade. If it does not find an eligible Windows version, the upgrade will not be possible and you will need to perform a new installation using the full retail package. Another advantage to upgrading the previous Windows version is that all of the installed applications and personal settings will be migrated to Windows XP during the upgrade. Even if you are installing the full retail package of Windows XP, as opposed to the upgrade package, Windows XP’s Setup program will still migrate these settings if your existing Windows operating system meets the eligibility requirements in Table 2-1.

Table 2-1. Windows XP Upgrade Eligibility
Existing Windows Version | Windows XP Home Edition | Windows XP Professional
Windows 3.1 | No | No
Any server version | No | No
Windows 95 | No | No
Windows 98/Windows 98 SE | Yes | Yes
Windows Millennium Edition (Me) | Yes | Yes
Windows NT Workstation 3.51 | No | No
Windows NT Workstation 4 | No | Yes
Windows 2000 Professional | No | Yes
Windows XP Home Edition | N/A | Yes
Windows XP Professional | No | N/A
NOTE
If the computer on which you want to install Windows XP meets the system requirements but is not upgrade-eligible according to Table 2-1, you can still install the full retail edition of Windows XP, but you have to do a clean install. To perform a clean install, you must either replace the existing Windows installation or install Windows XP in a different folder, disk, or partition from the older version of Windows. For example, if your computer already has Windows 2000 Professional installed, you cannot install Windows XP Home Edition as an upgrade. However, you can do a clean install of the full retail Home Edition. You also then have to reinstall all application software. (You can use the same folders for the applications.)
The Upgrade Advisor

On the Windows XP CD and on the Microsoft Web site (http://www.microsoft.com/windowsxp/home/howtobuy/upgrading/advisor.asp), Microsoft provides a utility called Upgrade Advisor that provides two categories of compatibility information:

  • Blocking issues Situations that will prevent Windows XP from installing. For example, if the CPU is slower than 233 MHz, Windows XP cannot be installed.

  • Compatibility warnings Issues that might cause some hardware or software to fail until they are resolved.

If the computer you are planning to upgrade has an Internet connection, go online before running Upgrade Advisor to enable the utility to check for software updates.

To run Upgrade Advisor from the Windows XP installation CD, follow these steps:

  1. Place the Windows XP CD in your computer’s CD-ROM drive. If the drive does not have the Autorun feature, use the Run command (or the Address bar) to run the Setup.exe program on the CD-ROM. The Windows XP Setup program displays the welcome screen.

  2. Click Check System Compatibility.

  3. In the next screen, click Check My System Automatically.

  4. If your computer is connected to the Internet and online, select Yes, Download The Updated Setup Files and click Next. If the computer is not connected to the Internet, select No, Skip This Step And Continue Installing Windows and click Next.

  5. Upgrade Advisor first checks for any updates (that is, if you selected Yes, Download The Updated Setup Files in step 4) and then begins to check the computer system to determine whether it meets minimum requirements and to check for incompatibilities. If the computer has another version of Windows installed, Upgrade Advisor checks for upgrade eligibility. If the computer is upgrade-eligible, or if no other version of Windows is installed, Upgrade Advisor compares the computer’s specifications to the system requirements and to known incompatibilities. It then displays its results in the Report System Compatibility dialog box. If Upgrade Advisor finds that your system meets minimum requirements and has no incompatibilities, it displays the following message:

    Windows XP upgrade check found no incompatibilities or problems.

    If Upgrade Advisor detects a blocking issue, such as your system doesn’t meet a minimum system requirement, it displays the following message:

    The following items are not compatible with Windows XP. Setup cannot continue. Resolve the compatibility issue with each item before running Setup again.

    Upgrade Advisor lists the incompatibilities in a list in this dialog box. Click Details to see more information. Upgrade Advisor lists compatibility issues that are not blocking issues in the dialog box, but it does not terminate Setup.

  6. Click Finish to close the Report System Compatibility dialog box and return to Windows XP Setup.

  7. If you are in the process of installing Windows XP, click Back to continue; otherwise, click Exit in the bottom left corner of the screen to quit Windows XP Setup.

If you want to check Windows XP compatibility before purchasing Windows XP, or if you just don’t have a Windows XP CD handy, you can download the Windows XP Upgrade Advisor from http://www.microsoft.com/windowsxp/home/howtobuy/upgrading/advisor.asp.

Download the file named UpgAdv.exe, and follow these steps:

  1. UpgAdv.exe is extracted to a temporary directory, and the Upgrade Advisor displays the screen shown in Figure 2-1.

    Figure 2-1  The Microsoft Windows XP Upgrade Advisor opening screen.
    Figure 2-1. The Microsoft Windows XP Upgrade Advisor opening screen.

  2. Click Next, which displays the End-User License Agreement. Click I Accept This Agreement and then click Next.

  3. If your computer is connected to the Web, you can have the Upgrade Advisor check the Microsoft Web site for updates. Click Yes or No and then click Next.

  4. Click Next twice. The Upgrade Advisor first checks for any updates (that is, if you answered Yes in step 3) and then begins to check the computer system to determine whether it meets minimum requirements and to check for incompatibilities. If the computer has another version of Windows installed already, Upgrade Advisor checks for upgrade eligibility. If the computer is upgrade- eligible, or if no other version of Windows is installed, Upgrade Advisor compares the computer’s specifications to the system requirements and known incompatibilities. It then displays its results in the Report System Compatibility dialog box. If Upgrade Advisor finds that your system meets minimum requirements and has no incompatibilities, it displays the following message:

    5. Windows XP upgrade check found no incompatibilities or problems.

    If Upgrade Advisor detects a blocking issue (for instance, if your system doesn’t meet a minimum system requirement), it displays the following message:

    The following items are not compatible with Windows XP. Setup cannot continue. Resolve the compatibility issue with each item before running Setup again.

    Upgrade Advisor lists the incompatibilities in a list in this dialog box. Click Details to see more information. Upgrade Advisor lists compatibility issues that are not blocking issues in the dialog box, but it does not terminate Setup.

  5. After you have reviewed the system compatibility report, click Finish to close the Report System Compatibility dialog box.

  6. Click Finish to quit the Upgrade Advisor.

Updating the Motherboard BIOS
In addition to the system requirements that are checked by the Upgrade Advisor, your computer might need an updated basic input/output system (BIOS) to run properly with Windows XP. If you purchased the computer within the last year, the BIOS probably supports Windows XP. Otherwise, you might not be able to use Windows XP unless you first upgrade the computer’s BIOS.

Many motherboard manufacturers install the BIOS on a flashable chip that is permanently mounted to the motherboard. A flashable chip is a type of electrically erasable programmable read-only memory (EEPROM) that can be erased and reprogrammed after it is installed in a computer. To update a flashable chip, you must obtain a special software utility either from your computer manufacturer or directly from the motherboard manufacturer. Your best bet is to start with the PC manufacturer because it is likely that the original equipment manufacturer (OEM) motherboard has custom features that would not be included in the BIOS obtained directly from the motherboard manufacturer.

Upgrading Laptops
If you plan to run Windows XP on a laptop computer that shipped with a different operating system—Microsoft Windows Me or Windows 2000 Professional, for example—you might need to obtain system enhancement software from the computer manufacturer. Laptop computers often have proprietary features, such as special hot keys or power-monitoring software, that will no longer work correctly, if at all, after you install Windows XP. For instance, there might be a special keyboard shortcut to display remaining battery life. After you install Windows XP, this shortcut might no longer work. To solve such a problem, you need to obtain a software update from the laptop’s manufacturer.


Ensuring Software Compatibility

The ability of a particular software application to run properly on a computer that is running the Windows XP operating system is obviously of paramount interest to you if you intend to use that application. Because literally thousands of programs have been written to run on various versions of Windows, it is not practical for Microsoft to determine independently whether each of these programs runs correctly on Windows XP. Instead, through its Windows XP Logo Program, Microsoft encourages independent software vendors (ISVs) and other Windows software developers to test the Windows XP compatibility of each application before distributing their software. Microsoft provides extensive guidance on how to write software that avoids incompatibilities, and the company provides the Application Compatibility Toolkit, a free bundle of powerful tools for testing for incompatibilities and correcting those that might arise.

Windows XP Logo Program

The easiest tool for a user to employ to determine Windows XP compatibility is the Windows XP Logo Program. Through the Windows XP Logo Program, Microsoft encourages ISVs, especially commercial software manufacturers, to ensure that their applications run on Windows XP. There are three different levels of Windows XP logo certification:

  • Compatible with Windows XP

  • Designed for Windows XP

  • Optimized for Windows XP

Table 2-2 compares these programs. Rather than having Microsoft test the applications, ISVs are responsible for testing their own software. Consequently, the Logo Program is not an endorsement or guarantee from Microsoft. It is instead an indication that the vendor has completed a given level of compatibility testing. Users can feel comfortable that a product that displays one of the three logos has undergone and passed a specific suite of compatibility tests, as indicated in Table 2-2. The benefits to the software vendor for spending the time and money necessary to run the tests are listed in the third column of the table.

Table 2-2. The Windows XP Logo Program
Certification Level | Requirements | Benefits to Vendor
Compatible with Windows XP | Basic functionality Drivers are tested and certified | ISV’s software is listed in Windows Catalog
Designed for Windows XP | Basic functionality Drivers are tested and certified Meets “Designed for Windows XP Application” specification | ISV’s software is listed in Windows Catalog Displays logo on product package Included in Microsoft marketing programs Meets requirements for Microsoft Certified Partner program
Optimized for Windows XP | Basic functionality Drivers are tested and certified Meets “Designed for Windows XP Application” specification Meets additional compatibility requirements Exploits Windows XP features | ISV’s software is listed in Windows Catalog Displays logo on product package Meets requirements for Microsoft Certified Partner program Deep discount and priority for Microsoft online advertising Priority for logo promotions Ensures greater compatibility with future logo requirements
Windows XP Compatibility Technology

Most Windows XP compatibility problems result from programs that have been written to run with another version of Windows. Most Windows software produced in the last three or four years was written to standards that result in Windows XP compatibility. However, a significant number of applications still cannot run under Windows XP without some modifications. Rather than requiring these programs to be rewritten, Microsoft has developed compatibility technology that enables these problem programs to run properly. Windows XP’s compatibility technology uses two types of incompatibility corrections:

  • Migration technologies Fixes that are applied during the migration process from Windows 95, Windows 98, Windows Me, Windows NT, or Windows 2000 to Windows XP

  • Compatibility fixes Fixes that are applied after installing Windows XP

Microsoft has already identified the required fixes that allow many older programs to run under Windows XP, and Windows XP applies these fixes automatically. For other legacy programs that are not compatible with Windows XP, you can use one of several Windows XP utilities to try to fix the incompatibilities.

Compatibility Databases

Information about fixes for known incompatibilities is stored in the following Windows XP files:

  • Migdb.inf Information about migration technologies is stored in this file. The file contains matching information to identify the programs that are known to be incompatible with a migration from an earlier version of Windows to Windows XP. This file is used by Windows XP Setup when you install Windows XP to identify programs that might migrate properly from Windows 95, Windows 98, or Windows Me to Windows XP and those that require user intervention before they can run.

  • Ntcompat.inf This file serves the same purpose as Migdb.inf, except that it contains information about incompatibilities related to migration from Windows NT 4 and Windows 2000 to Windows XP. This file is used by Windows XP Setup when you install Windows XP to identify programs that might migrate properly from Windows NT 4 or Windows 2000 to Windows XP and those that require user intervention before they can run.

  • Sysmain.sdb This file contains matching information for approximately 200 applications that are known to be incompatible with Windows XP, along with information on how to fix the incompatibilities. Windows XP automatically applies these fixes. This file is located in the AppPatch subfolder, below the main Windows folder (or the Winnt folder on some systems).

  • Apphelp.sdb This file is a database that stores help messages that prompt users to download and install patches. This file is located in the AppPatch subfolder, below the main Windows folder (or the Winnt folder on some systems).

Compatibility Modes

The most common types of incompatibility that prevent a program from running properly on Windows XP occur when an application was designed to run on an earlier version of Windows, which can result in one of the following problems:

  • The application attempts to access hardware directly. Windows XP does not permit direct hardware access.

  • The application is a legacy 16-bit program that doesn’t run properly in the Windows XP 32-bit environment.

  • The application calls older Win32 application programming interface (API) function calls that return values that are out of the expected range.

  • The application expects certain user files and folders to be in a specific location on the hard disk, and the application is unable to find the actual location of these files.

  • The application checks to see what version of Windows is running and refuses to run when a version number that is higher than the version it expected is reported. Windows XP reports this error with a message box similar to the one shown in Figure 2-2.

    Figure 2-2  The error message displayed by Windows XP if a program refuses to run under any operating system but Windows 95.
    Figure 2-2. The error message displayed by Windows XP if a program refuses to run under any operating system but Windows 95.

Windows XP solves this type of incompatibility through its unique capability to run applications in any one of two types of compatibility modes:

  • Compatibility modes Four operating system compatibility modes—Windows 95, Windows 98/Windows Me, Windows NT 4, Windows 2000—and two compatibility screen resolutions—256 colors and 640 x 480 screen resolution—are displayed for the user to select in one of several user interfaces, including the Compatibility tab or the Program Compatibility Wizard (both of which are covered later in this chapter).

  • Custom modes A system administrator or other IT professional can use the CompatAdmin tool, covered later in this chapter, to create a custom mode that applies a unique combination of compatibility fixes for a particular application or set of applications. CompatAdmin is installed as part of the Application Compatibility Toolkit, which is located on the Windows XP CD at %Cdromdrive%\Support\Tools\ACT20.exe, where %Cdromdrive% is the CD-ROM drive.

These modes are not actual emulations of an old operating system. Rather, each is a collection of compatibility fixes that fool the application into thinking it is running an old operating system. For example, the Windows 95 compatibility mode applies about 50 fixes that are typically required to run programs under Windows XP that were written to run under Windows 95.

The Program Compatibility Wizard

The Program Compatibility Wizard is one of two application compatibility tools included within the Windows XP user interface that enable a user to select a compatibility mode. If you are having problems with a program that ran correctly under another version of Windows, the Program Compatibility Wizard can help you select settings that might fix the problem.

To run the Program Compatibility Wizard, follow these steps:

  1. Click Start and point to All Programs (Programs in the Windows XP Classic view), Accessories, and finally select Program Compatibility Wizard.

  2. The first page of the Program Compatibility Wizard, shown in Figure 2-3, cautions that you should not use this wizard to solve incompatibility of older virus detection software, backup software, or system programs. If you still want to use the wizard, click Next.

    Figure 2-3  The first page of the Program Compatibility Wizard.
    Figure 2-3. The first page of the Program Compatibility Wizard.

  3. Use one of the following three options to specify the program you want to run in compatibility mode, and then click Next:

    • I Want To Choose From A List Of Programs Select this option if you want the wizard to compile a list of currently installed programs from which you can choose the program to be run in compatibility mode. The wizard then searches the computer’s hard disk and presents a list of the installed software. Select the software you want to run from this list.

    • I Want To Use The Program In The CD-ROM Drive Select this option if you want to run in compatibility mode the program that is currently in the CD-ROM drive. The settings apply to this instance of the program that you are running from the CD-ROM drive, but they are not applied the next time your run the program unless you run the Program Compatibility Wizard again.

    • I Want To Locate The Program Manually Select this option if you want to use a browse window to find on your computer the program you want to run in compatibility mode.

  4. On the next page of the Program Compatibility Wizard, choose the version of Windows that correctly ran the application (Windows 95, Windows NT 4 [Service Pack 5], Windows 98/Windows Me, or Windows 2000). If, however, the problematic software is a game or an educational program, it is possible that the incompatibility is related to screen resolution or the number of colors, and you should select the Do Not Apply A Compatibility Mode option. After you have selected a mode, click Next.

  5. The next page in the Program Compatibility Wizard presents the following check boxes. If you are having problems running an older game or educational program that takes over the entire screen, one or more of these options might fix the incompatibility:

    • 256 Colors

    • 640 x 480 Screen Resolution

    • Disable Visual Themes

      For other types of programs, don’t select any options on this page.

  6. Click Next.

  7. The next page lists the name and path of the program to be run in compatibility mode as well as the settings to apply. To test the program running under the specified settings, click Next. The wizard runs the program you have specified with the compatibility settings you selected. After determining whether or not the program runs correctly, quit it to return to the Program Compatibility Wizard.

  8. Depending on whether the incompatibility has been corrected, select one of the following options:

    • Yes, Set This Program To Always Use These Compatibility Settings Select this option if the program now works the way it is supposed to work.

    • No, Try Different Compatibility Settings Select this option if you want to undo the current settings and try other compatibility settings instead.

    • No, I Am Finished Trying Compatibility Settings Select this option to abandon all compatibility settings.

  9. Click Next. On the next page, indicate whether you want to send information about the settings you have selected to Microsoft. You need to be connected to the Internet for the information to be sent to Microsoft. Click Next to continue.

  10. The last page of the wizard informs you of the changes you have made. If you want to modify or remove these changes later, you need only run the Program Compatibility Wizard again. Click Finish to close the wizard.

The Compatibility Tab

The Compatibility tab of an executable file’s Properties dialog box provides a more direct method of selecting compatibility settings. This method doesn’t use a wizard, so it is quicker, and it can produce the same results as the Program Compatibility Wizard. To access this tab, follow these steps:

  1. If a shortcut to the troublesome application is listed on the Start menu, right-click it and choose Properties from the shortcut menu. If the application is not listed on the Start menu, open Windows Explorer and find the executable file that starts the problematic application. Right-click the program file name in Windows Explorer and choose Properties from the shortcut menu. Windows displays the Properties dialog box.

  2. Click the Compatibility tab (shown in Figure 2-4).

    Figure 2-4  The Compatibility tab.
    Figure 2-4. The Compatibility tab.

  3. To select a compatibility mode, select the Run This Program In Compatibility Mode For check box and then select Windows 95, Windows 98/Windows Me, Windows NT 4 (Service Pack 5), or Windows 2000 from the drop-down list.

  4. For games or educational software, you might need to choose 256 colors for screen color depth, 640 x 480 screen resolution, or disabling visual themes.

  5. Click OK when you are finished.

The next time you run the application, Windows applies the settings you have selected on the Compatibility tab. If you need to remove these settings or make a different selection, repeat these steps.

The Application Compatibility Toolkit

The Application Compatibility Toolkit is intended mainly for use by system administrators and developers. However, even if you don’t support a computer network or intend to develop Windows XP applications for retail distribution, you can use these tools to determine the compatibility of any application software that you would like to use with Windows XP. You can also use tools in the Application Compatibility Toolkit to convert an incompatible program into one that can run without problems under Windows XP.

The Windows XP Application Compatibility Toolkit, version 2 (Act20.exe), is included in the %Cdromdrive%\Support\Tools folder on the Windows XP CD (Home Edition or Professional) and is also available for download from Microsoft’s Web site (http://msdn.microsoft.com/compatibility).

To install the toolkit, perform the following steps:

  1. Open Windows Explorer, navigate to %Cdromdrive%\Support\Tools, and double-click Act20.exe. It might take a minute or two for Setup to extract the temporary files.

  2. On the Welcome screen, click Next.

  3. On the Ready To Install The Program screen, click Install to copy the files to your hard disk.

  4. On the Complete screen, click Finish.

The Windows XP Application Compatibility Toolkit includes the following:

  • Documentation including:

    • Applications Compatibility Technologies Overview A white paper entitled “Application Compatibility Technologies for Windows XP” that describes the technology used in Windows XP and in the tools found in the toolkit.

    • Common Application Compatibility Issues A white paper that describes the Windows XP compatibility issues most frequently experienced when installing and running software on Windows XP.

    • Windows Compatibility Checklist A list of tests that are part of the Windows XP Logo Text Framework, which might be useful in evaluating application compatibility.

    • Designed for Windows XP Application Specification A description of the minimum requirements for applications to operate on Windows XP, both Home Edition and Professional.

    • Windows Applications Exploratory Test Procedure A description of a functionality and stability testing procedure for applications that run on Windows XP and Windows 2000.

  • Utility software, including the following tools:

    • Application Verifier (AppVerifier) A tool for testing applications for the existence of a known Windows XP compatibility issue. AppVerifier is shown below.

    • Compatibility Administration Tool (CompatAdmin) A tool that enables you to browse and edit the Windows XP Professional compatibility fix database and create custom fixes that you can deploy to other computers that need to run the same application.

    • Global Flags Editor An advanced debugging tool for application developers that enables and disables advanced internal system diagnostics and troubleshooting features in Windows XP and Windows 2000.

    • GrabMI A tool that administrators use to “grab” matching file information for applications so that compatibility fixes can be automatically applied by Windows XP whenever the matched application runs.

    • QFixApp A tool for determining which compatibility fixes to apply to an application that does not run successfully in Windows XP.

    • A demo application (installed in %Systemdrive%\Program Files\Application Compatibility Toolkit\demoapp, where %Systemdrive% is the drive the folder is located in) that includes the following files:

      • Demoapp.exe The Windows 2000/XP Application Compatibility Demonstration application program built specifically to demonstrate several types of incompatibilities. Use this program to practice using Windows XP’s compatibility technology.

      • Demoapp.hlp A help file describing the issues that are demonstrated in Demoapp.exe.

      • Demoapp.txt A text file that includes instructions for using Demoapp.exe.

The next several sections in this chapter explain how to use the user-oriented tools in this toolkit.

QFixApp

If you are having trouble with a program that worked correctly under an older version of Windows, use either the Program Compatibility Wizard or the Compatibility tab to try the compatibility modes available through those utilities. If you try all these standard fixes and cannot achieve normal operation of the problem software, QFixApp is your next option.

Identifying Compatibility Fixes

QFixApp is one of the utilities included in Application Compatibility Toolkit. It is similar to the Compatibility tab, described earlier in this chapter, but it gives you more control over the fixes to be applied. When you run QFixApp for the first time, the program reads the Sysmain.sdb file and produces a list of 195 fixes that are already available. (This file will be updated with additional fixes you apply.) QFixApp enables you to selectively apply one or more of these fixes to any executable file stored on your computer’s hard disk. If you are able to identify a combination of compatibility fixes that achieve normal operation for a particular application, you can save these settings for use each time you run that program. If this same application software is used on multiple Windows XP computers in your organization, you can use the Compatibility Administration Tool (CompatAdmin) to deploy the combination of fixes to the other Windows XP machines.

To run QFixApp, follow these steps:

  1. Click Start, point to All Programs (Programs in the Windows XP Classic view), Application Compatibility Toolkit, and then select QFixApp to display the QFixApp dialog box, shown in Figure 2-5.

    Figure 2-5  The QFixApp dialog box.
    Figure 2-5. The QFixApp dialog box.

  2. Click Browse and find the executable file that starts the application with which you are having problems. A good program on which to practice is Demoapp.exe, included in the \Program Files\Application Compatibility Toolkit\Demoapp folder. Use the Command Line text box to type any command-line options necessary to start the application correctly.

  3. QFixApp offers two tabs:

    • Layers Select this tab to display a list of compatibility fix groups, referred to as layers. The following layers (the same as compatibility modes on the Compatibility tab) are included in QFixApp. By selecting one of these options, you can apply a group of predefined fixes in one step:

      • 256Color This layer is most often needed on older Microsoft DOS-based video games and educational software. It sets the color depth to 8-bit (256 colors) and temporarily disables the Windows XP themes.

      • 640X480 This layer temporarily forces 640 x 480 screen resolution.

      • DisableThemes This layer temporarily disables Windows XP themes, which sometimes cause erratic behavior in older programs.

      • International This layer corrects the way that some localized software specifies east Asian fonts.

      • LUA This layer redirects user files to folders where users with limited user accounts (LUA) have appropriate access rights. It also redirects registry keys to the HKEY_CURRENT_ USER hive when the user does not have the necessary permissions to write to HKEY_LOCAL_MACHINE.

      • LUACleanup This layer is most useful when applied to uninstall programs. It removes the files and registry keys written by the LUA fix.

      • NT4SP5 This layer applies fixes that hook all registry functions to allow virtual keys, redirection, and expansion values. It also informs the application software that the operating system is Windows NT 4 with Service Pack 5 (a fix known as the Windows NT 4 Service Pack 5 version lie).

      • ProfilesSetup This layer fixes setup (installation) programs so that applications are installed in the appropriate folders to be available for all users after installation.

      • Win2000 This layer applies fixes that hook all registry functions to allow virtual keys, redirection, and expansion values. It also informs the application software that the operating system is Windows 2000 (the Windows 2000 version lie).

      • Win95 This layer applies 51 fixes, such as adding Write permission to device drivers, as well as many Windows 95, Windows 98, and Windows Me emulations. Windows XP also informs the application software that the operating system is Windows 95 (the Windows 95 version lie).

      • Win98 This layer applies 51 fixes, such as adding Write permission to device drivers, as well as many emulations of Windows 95, Windows 98, and Windows Me. Windows XP also informs the application software that the operating system is Windows 98 (the Windows 98 version lie).

    • Fixes This tab enables you to select precisely which combination of the 195 compatibility fixes you want to apply to a particular application. When you select a fix on the Fixes tab, QFixApp displays a description in the File Description box. It is often best to start with one of the predefined layers and then make adjustments, if needed. To learn about the combination of fixes that make up each predefined layer (compatibility mode), click a layer on the Layers tab and then click the Fixes tab. Scroll down the list of fixes to see which ones are selected.

  4. Click Run to test the application with the layer and fixes applied. Windows XP attempts to run the program. Make note of all error messages or other anomalies, if any.

  5. Click View Log to open a Notepad window that lists all the fixes made to the program. QFixApp displays a file named Qfixapp.log, as shown in Figure 2-6.

    Figure 2-6  The Qfixapp.log Notepad file.
    Figure 2-6. The Qfixapp.log Notepad file.

  6. Look through the log file, noting the fixes that were applied. Return to the Fixes tab of the QFixApp dialog box and clear the check boxes for any fixes that were selected by the layer but were not actually used to run the program you are fixing. (The fixes that weren’t used aren’t necessary.) Select additional fixes as necessary to correct errors that occurred when you ran the program.

  7. Repeat steps 4 through 6 until the program runs without error and the list of fixes recorded in the log file does not change from one test run to the next. You now have a list of fixes for the program.

    CAUTION
    Read the remainder of this section before closing QFixApp.

After you have used QFixApp to apply fixes to an application, they apply as long as QFixApp is running; however, QFixApp does not automatically make changes to the registry so that Windows XP applies the fixes each time you run the program. If you are applying fixes to a program that you intend to run only once—such as an installation program that you run only on your computer—then it is sufficient that the fixes are temporary. However, if you are applying fixes to an application that you have installed on your computer and intend to run more than once, the fixes should apply each time you run the application.

There are two ways to permanently apply the compatibility fixes identified using QFixApp. You can use QFixApp to apply the fix to your computer only, or you can use CompatAdmin to create a database that can be applied to multiple computers. It is also possible to use QFixApp to create a database that can be deployed on multiple computers, but CompatAdmin is the best tool for this purpose.

To use QFixApp to apply the fixes to your computer only, perform the following steps:

  1. After you have identified the compatibility fixes to be applied to a particular application (using the steps in the preceding procedure), click Advanced in the QFixApp dialog box. QFixApp expands the dialog box, as shown in Figure 2-7.

    Figure 2-7  The expanded QFixApp dialog box.
    Figure 2-7. The expanded QFixApp dialog box.

  2. Click Create Fix Support. QFixApp displays a message box that informs you that it has created the .sdb file.

  3. At the Would You Like To Install The Fix Now? prompt, click Yes. QFixApp informs you that it has successfully installed the .sdb file for the application.

    POWER TIP
    When QFixApp installs the .sdb file for the application, it runs an Extensible Markup Language (XML) program that applies modifications to the registry. You can view this XML code by clicking Show XML on the right side of the QFixApp dialog box.
Identifying Target Files

For Windows XP to apply compatibility fixes, it has to correctly identify the target file—the file to which the fixes should be applied. When you use QFixApp to apply fixes, you identify the file by name and folder, and this is normally sufficient. However, if you are building a compatibility fix database for deployment on multiple computers, Windows XP needs more than just the file and folder names to identify the correct target file for the fixes. For example, most installation programs for installing Windows-based software have the same file name—Setup.exe. If you are applying a fix to a program named Setup.exe, you need to provide Windows XP with detailed file attribute information to ensure that the fixes are applied to the correct target program.

You select file attributes of the target file in a scrolling box on the right side of the expanded QFixApp dialog box. This feature is important if you are creating a database for use in deploying a program on multiple computers.

CompatAdmin

CompatAdmin is another utility included in the Application Compatibility Toolkit. It enables you to edit the Windows XP database file, Sysmain.sdb, that contains matching information for applications that are known to be incompatible with Windows XP and information on how to fix the incompatibilities. Windows XP automatically applies these fixes. This file is located in the AppPatch subfolder under %Windir%. You can also use CompatAdmin to create custom compatibility database files (.sdb files) that you can provide to users for deployment on other computers.

Deploying Custom Compatibility Fixes

QFixApp, described in the preceding section, is the best tool to identify which compatibility fixes to apply to an application that is not initially compatible with Windows XP. It is easy to use for identifying and testing fixes. After you have identified the fixes, you can use CompatAdmin to deploy the combination of fixes to other Windows XP machines in two steps: first, you create a custom compatibility database; second, you deploy the database to the other computers.

To create a custom compatibility database, follow these steps:

  1. Click Start, point to All Programs (Programs in the Windows XP Classic view), select Application Compatibility Toolkit, and then choose Compatibility Administration Tool. A message box is initially displayed, indicating that the system database is loading, and then the Application Fix Management Console opens, as shown in Figure 2-8.

    Figure 2-8  The Application Fix Management Console.
    Figure 2-8. The Application Fix Management Console.

  2. The Application Fix Management Console consists of three panes: the Microsoft Application Database pane in the upper left corner, the Custom Database pane in the lower left corner, and the details pane on the right side of the window. Click the Custom Database pane and then choose File, New to display the New Database Name dialog box.

  3. Type a name for the database and click OK.

  4. Choose File, Save to display the Save Database dialog box.

  5. Type a file name for the custom database file and click Save.

  6. Choose Database, Create Application Fix to display the Create An Application Fix dialog box.

  7. Select one of the following options and then click Next:

    • Apply Compatibility Mode Select this option if you want to apply one of the 11 standard compatibility modes (layers) rather than selecting specific compatibility fixes.

    • Apply Specific Compatibility Fix Select this option if you want to apply specific compatibility fixes that you identified using QFixApp.

  8. In the text box in the next screen, type the name of the application you are fixing and click Next.

  9. Click Browse and use the Find Executable dialog box to find the file name of the program you want to fix. Select the file, and then click Open.

  10. If you chose the Apply Compatibility Mode option in step 7, you also must select the compatibility mode (described earlier in this chapter) from the drop-down list. Click Next and go to step 13.

  11. If you chose the Apply Specific Compatibility Fix option in step 7, click Next to display the screen shown in Figure 2-9.

    Figure 2-9  The Create An Application Fix dialog box for selecting compatibility fixes.
    Figure 2-9. The Create An Application Fix dialog box for selecting compatibility fixes.

  12. Presumably you used QFixApp to identify the fixes that should be applied to this application. Select the same fixes in the dialog box shown in Figure 2-10 and click Next.

  13. The purpose of the next screen is to provide identification information that will ultimately assist Windows XP in recognizing the application that needs to be fixed. By default, this screen lists the file name of the program you are fixing. You can add names of other files that you are certain will be present if the target file is present. Click Add File to open a browse window, or click Auto-Generate to have CompatAdmin automatically select files that appear to be related to the target file, and that are currently in the same folder as the target. Click Next.

  14. On the last screen, if you haven’t already tested the target application with the compatibility mode or compatibility fixes applied (in QFixApp), click Test Run to test the fixed program. When you are finished, click Finish. CompatAdmin returns to the Application Fix Management Console and adds the new application fix to the Custom Database pane.

  15. Choose File, Save to save the custom compatibility database file, including the newly created custom application fix.

  16. Choose File, Exit to quit CompatAdmin.

If you want to create a custom application fix for more than one program on your computer, you can add each additional fix to the database. Follow these steps:

  1. Click Start, point to All Programs (Programs in the Windows XP Classic view), Application Compatibility Toolkit, and finally Compatibility Administration Tool to start CompatAdmin.

  2. Choose File, Open to display the Open Compatibility Database dialog box.

  3. Locate the custom compatibility database file and then click Open. CompatAdmin lists the custom application fixes in the Custom Database pane.

If there are other computers in your organization that run the same target applications for which you have created custom application fixes, you can distribute the custom compatibility database file. If you have company e-mail and a company intranet, you can e-mail a link for the custom compatibility database to all users who need the fix. When the recipient of the e-mail message clicks the link, Windows XP runs the file and applies the fix. The next time the user runs the target application, Windows XP applies the fixes.

AppVerif

AppVerif is also included with the Application Compatibility Toolkit. You can use AppVerif to determine whether an application is incompatible with Windows XP and if compatibility fixes exist that can enable the program to work correctly.

To use AppVerif, follow these steps:

  1. Click Start, point to All Programs (Programs in the Windows XP Classic view), Application Compatibility Toolkit, and finally select Application Verifier to display the Application Verifier dialog box, as shown in Figure 2-10.

    Figure 2-10  The Application Verifier dialog box.
    Figure 2-10. The Application Verifier dialog box.

  2. Click Add to open the Add Application dialog box.

  3. Use the Add Application dialog box to locate the program file you want to test. Select the target program file name and click Open. Application Verifier adds the program file name to the Applications pane on the left side of the Application Verifier dialog box.

  4. The Test Settings pane on the right side of the dialog box displays a list of eight check boxes to specify test settings. Select each setting in this list to view a description of its function.

  5. Click Run to test the application.

  6. Click View Logs. AppVerif displays the Logs dialog box. If the application exhibited any potentially incompatible behavior, each event is cataloged in an expandable tree, as shown in Figure 2-11.

    Figure 2-11  The Application Verifier’s Logs dialog box.
    Figure 2-11. The Application Verifier’s Logs dialog box.

  7. Click Close to close the Logs dialog box.

  8. Click Close to close the Application Verifier dialog box.

The information displayed in the AppVerif logs is primarily useful to application developers who are writing software intended to run on Windows XP. However, even if you are not a developer, it is still useful to know when a particular application is potentially incompatible.


Chapter 3 - Backup and Recovery Power Tools

Chapter 3
Backup and Recovery Power Tools

Sometimes the most underused tools are the most important ones. If you have ever lost difficult-to-replace data because of a system crash or an inadvertent Format c:, you know how important a good backup copy of your data can be. This chapter provides a discussion of backup strategies that use the in-the-box utilities of Microsoft Windows XP to help you avoid the unpleasant chore of re-creating lost data.

First, the chapter discusses backup strategies. We then examine the Windows XP Backup utility with a quick overview of this tool’s general options and then a detailed look at its advanced features for both backing up and restoring your computer’s data. Next, the chapter covers the Automated System Recovery Wizard (included only in Windows XP Professional) and describes how to back up and restore system data. The chapter also reviews command-line methods that can come in handy when archiving data. Finally, the chapter describes how to use the Recovery Console to boot your computer and attempt to repair boot-related problems.

This chapter covers the following:

  • Establishing a backup strategy

  • Using the Backup Or Restore Wizard

  • Using the Restore Wizard

  • Using advanced backup and restore features

  • Using Automated System Recovery

  • Running the Backup utility from batch files and the command line

  • Using the Recovery Console


Establishing a Backup Strategy

The first step of effective backup is establishing a strategy. This strategy should answer these questions:

  • What? What data needs to be archived?

  • When? How often will you perform a backup procedure?

  • Where? Which storage device in your computer system is the best for storing the backed up files?

  • How? What backup procedure will you follow?

Deciding What to Back Up

The threshold issue when backing up computer data is deciding what should be backed up in the first place. The simple answer is to make a backup copy of any data you can’t easily replace from a ready source. When your computer is new, the majority of the files stored on its drives are operating system and application program files. In most cases, the software installed on your computer is available on CD or on the corporate network in an enterprise environment.

NOTE
In most cases, software comes preinstalled on a new computer. If this software is not also provided on CDs, your first exercise with your new computer should be to make an archive set of CDs. The Windows XP Original Equipment Manufacturer (OEM) version CD-ROM should accompany any PC that has Windows XP preinstalled. The license key number is on an official Microsoft label affixed to the outside of the PC case. However, you might have to burn your own application software archive CDs. Look for instructions accompanying the PC that describe how to create these backups.

In addition to the computer’s operating system and application files, there are files that are unique to each user. These include the following:

  • Data files Word processing documents, spreadsheets, databases, e-mail messages, contact lists, and so on

  • Personal settings Favorites, Start menu settings, templates, and so on

If you have the time to make a complete backup of your system, do so. However, in most cases, if you have a system catastrophe that results in a loss of all your Windows XP and application software files, the best practice is to reinstall these programs from their respective installation CDs. This practice ensures that all necessary files are correctly installed.

In that case, the only remaining items that would not be restored from the program CDs are your data files. Data files are often irreplaceable, as they have been accumulated over years of work in many cases. Even if you are using a relatively new computer, it might have data files from your old computers. All too often, businesses lose thousands of dollars in productivity and revenue when employees lose computer data that has not been archived. Personal settings files also might have been created over many months and years. You certainly will notice the difference if you ever have to reinstall all the software because of a system crash. Nevertheless, you probably won’t lose any money or even any sleep over losing personal settings.

For system security purposes, and to make it easy to archive your important files, Windows XP sets up a folder for each user on the system’s hard disk. For example, for a person using the logon name John Doe, Windows XP creates a folder named John Doe. These user folders are subfolders of the Documents and Settings folder. In other words, all of John Doe’s data and personal settings are stored in the folder %Systemdrive%\Documents and Settings\John Doe, where %Systemdrive% is the drive where the folder is located. In addition, Windows creates a Default User folder for guest users and an All Users folder for settings and data that apply to all users of the system.

The default location in which to store each user’s data files is the My Documents folder, which is a subfolder of the user’s main folder. Windows XP also creates folders named My Music and My Pictures as subfolders of My Documents. In addition, Windows XP creates a My Documents icon on the desktop and a My Documents command on the Start menu that both point to the My Documents folder. Obviously, the design of Windows XP is optimized for each user to store all data files within subfolders of the My Documents folder. If users follow this practice, creating backups is much easier.

Microsoft also encourages software manufacturers to store all programmatic settings that are unique to each user in one of the subfolders of the respective user’s folder. In fact, limited users have rights to access only files that are stored in the user’s main folder or one of its subfolders. Consequently, many of the most common incompatibility issues that older applications face that have to be resolved by the Windows XP compatibility technology relate to limited user access rights.

POWER TIP
Keep in mind that you must be logged on as an Administrator or as a member of either the Administrators group or the Backup Operators group to be able to back up all files on the computer. Users with limited rights can back up only files that they have rights to view and copy—namely, the files stored in their Documents and Settings folder and shared files stored in the All Users folder. If you are currently logged on as a user with limited rights, log off and log on again as an Administrator or as a member of the Administrators group or the Backup Operators group.

Therefore, the bottom line is that, at a minimum, you should make an archive copy of everything saved in your My Documents folder. If you have followed the practice of saving all data files in subfolders of the My Documents folder, the only data you will have to re-create after a disaster is data added since the last backup procedure.

Even better, you should make a backup copy of every file saved in your user folder. Microsoft Outlook and Microsoft Outlook Express, for example, save their mail databases in the %Systemdrive%\Documents and Settings\%Username%\Local Settings\Application Data\Microsoft\Outlook and %Systemdrive%\Documents and Settings\%Username%\Local Settings\Application Data\Microsoft\Outlook Express folders, respectively, where %Username% is the user’s logon name.

The best practice is to archive all the files in the Documents and Settings folder and all its subfolders. You then have not only a copy of your personal data files and settings, but also data files and settings that are shared among all users of your computer.

Deciding When to Back Up

Setting up a backup schedule is really a matter of common sense, but the frequency with which you should back up your data and settings depends on three things:

  • How often the data and settings change

  • The quantity of data that has changed since the last backup

  • The value of the data that has changed since the last backup

Data that changes frequently, large quantities of data, or data that is highly valuable should be backed up frequently. As your parents probably told you, “If you can’t afford to lose your money, don’t gamble with it.” Think of your computer data in the same way. If you can’t afford to lose the data—because it is too valuable, or would be too labor-intensive or even impossible to reproduce (such as a digital video of your daughter’s wedding)—then you should make a backup copy as soon as you can.

Ideally, you can establish an automated backup procedure that occurs without the need for any action on your part. In a corporate environment, the Information Systems department might be able to provide a utility that backs up your data files to the network each time you log off the network, or perhaps at the same time every evening. If your computer is not connected to a local area network, you might still be able to use utility software to schedule a regular daily backup to a second hard disk or to a Zip drive.

The important point is to establish a routine backup schedule and follow it. If you wait for a disaster before you act, it will be too late.

Selecting a Backup Medium

As personal computer storage capacity has grown, software and data size seem to have grown even faster. Modern desktop PCs now routinely come equipped with 30-, 40-, or even 60-gigabyte (GB) hard disks. Windows XP alone takes up about 1.5 GB. Backup devices for making archival copies of data need to be correspondingly large.

A few years ago, the best medium for backups was tape. For large networks with multiple servers and terabytes of data, digital tape backup media are still the norm. However, digital backup media are too expensive and impractical for most individuals. Less expensive tape drives are available, but they are slow and haven’t kept pace with the capacity of today’s hard disk technology. On the other hand, most new PCs now ship with a CD-R (CD-recordable) or CD-RW (CD-rewritable) drive installed. Media created by a CD-RW drive can be read by most newer CD-ROM drives, and the media are reasonably priced. The backup process is also much faster when storing data to a CD rather than to a tape. Consequently, CD-R and CD-RW are the backup media of choice for most end users.

Windows XP is the first version of Windows that has the native capability to write data to CD-R and CD-RW media. Unfortunately, the Backup utility does not have the capability to span multiple CDs. The remainder of this chapter examines techniques that you can use with the standard Windows XP backup utilities.

If you need to back up your entire system at once using the native utilities of Windows XP, your best option for storage medium is a hard disk. The cost of hard disks is now very reasonable, especially when you consider their storage capacity.

Backing Up to CD-R or CD-RW

Although CD-R and CD-RW storage capacity is large in comparison to floppy disks, one CD is not nearly enough to store the contents of a typical hard disk. You need to be careful not to exceed the capacity of the recordable CD medium when attempting to copy files to the device. Nevertheless, whenever you have backup files that are 650 MB or less in size, a recordable CD is an excellent candidate for use as a backup medium.

If you plan to back up files to your recordable CD drive, make sure that Windows XP has enabled the recording feature. To enable CD recording, follow these steps:

  1. Open Windows Explorer, and then right-click the CD-R or CD-RW drive and choose Properties.

  2. On the Recording tab of the CD Drive Properties dialog box, select the Enable CD Recording On This Drive check box. You can also use the drop-down list at the bottom of the Recording tab to select writing speed.

  3. Click OK to close the Properties dialog box.

You can then use the recordable drive as a destination for backups created by the Backup utility as well as for simple file copying. However, when you copy a file to a recordable CD drive, rather than immediately writing files to the storage medium, Windows XP copies files to the %Systemdrive%\Documents and Settings\%Username%\Local Settings\Application Data\Microsoft\CD Burning folder. Windows XP holds files in this folder until they are written to the recordable CD. To see the list of files and to write them to the recordable CD, follow these steps:

  1. Use My Computer or Windows Explorer to display the contents of the recordable CD drive. The Files Ready To Be Written To The CD pane on the right side of the window lists files and folders that are ready to be copied to the recordable CD, as shown in Figure 3-1.

  2. Under CD Writing Tasks on the left, choose Write These Files To CD. Windows XP displays the Welcome To The CD Writing Wizard page.

    Figure 3-1  The contents of the recordable CD drive.
    Figure 3-1. The contents of the recordable CD drive.

  3. Type a name in the CD Name text box (today’s date is the default value), clear the Close The Wizard After The Files Have Been Written check box, and then click Next.

  4. When Windows XP has finished writing files to the CD, it displays a screen that provides an option to create another CD from the same files, as shown in Figure 3-2. Click Finish to return to Windows Explorer or My Computer.

    Figure 3-2  Completing the CD Writing Wizard.
    Figure 3-2. Completing the CD Writing Wizard.
Selecting a Backup Procedure

The backup procedure that you choose depends mainly on the purpose for the backup copy. For large-scale backups—of all the files on your computer, or of all the data and personal settings files—you should use a backup utility, such as the Windows XP Backup utility. These utilities are designed to catalog and archive and later to restore large quantities of files as quickly and securely as possible. However, backup utilities are not particularly convenient for retrieving individual files.

Whenever you decide to use the Windows XP Backup utility to perform a backup, you also can choose a backup “type” using the Advanced mode. (The Advanced mode of the Backup utility is covered in detail later in this chapter.) The available backup types differ in two respects: whether they back up all selected files or only the files modified since the last backup, and whether they clear each file’s archive attribute to indicate that the file has been backed up.

In the Windows XP Backup utility, the following backup types are available:

  • Normal This method backs up all the files you have selected and clears each file’s archive attribute to indicate that the file has been archived (backed up). To restore files archived using the normal backup type, you need only the single backup file created by the Backup utility. This is the default backup type. Perform a normal backup at regular intervals—weekly or monthly is typical, depending on the volume of data that changes every day.

  • Copy The copy method backs up all the files you have selected but does not clear each file’s archive attribute. To restore files archived using the copy backup type, you need only the single backup file created by the Backup utility. If you are backing up a relatively small amount of data, or if you just want to always have a complete set of files on a single set of backup media, use the copy backup type. This method is equivalent to the standard Copy command in Windows Explorer or at the command prompt, hence its name.

  • Differential This method backs up only the files you have selected to back up that have the archive file attribute set, which indicates that the files have been changed since the last normal backup. The differential backup type does not clear the archive attribute of the files it backs up. To restore files backed up using the differential backup type, you need the last normal backup file plus the last differential backup file. If a small amount of data changes daily, do a differential backup at the end of each day. Even though you are backing up all the changes since the last normal backup, this process should be short, because your data changes very little on a day-to-day basis. In fact, if you are backing up to a re-recordable medium, you can use the same medium repeatedly.

    POWER TIP
    If you find that making differential backups is taking longer or using more media than you find acceptable, it might be time to change your backup schedule. You can make normal backups more frequently, or you can switch to incremental backups rather than differential backups.

  • Incremental This method backs up only the files you have selected that have the archive file attribute set, and then it clears the archive attribute of the files it backs up. If you change or add large quantities of data to your computer each day, perform incremental backups between normal backups. Incremental backups take less time to run than differential backups, but if you ever need to restore files from these backups, you need to use the last normal backup and all incremental backups since the last normal backup. Consequently, you shouldn’t reuse archive media until you have done a new normal backup.

  • Daily The daily backup type backs up all files you have selected that have been modified on the day the backup is performed. To restore files backed up using a daily backup, you need the last normal backup file plus all daily backup files made since the last normal backup. You might miss changes using this method if the changes occur after the backup procedure is run but before the date changes. You should therefore use this type of backup only at the very end of your workday.

There are times when a backup utility is overkill. The simplest method of making a backup copy of a small number of files is with the standard Copy command in Windows Explorer, in My Computer, or even from the command prompt. Windows XP supports use of the Copy command even to copy files to a CD-R or CD-RW.

If you want to make a quick backup copy of particularly important files between scheduled large-quantity backup utility procedures, use the Copy command. If the files are small enough, you can use a floppy disk as the backup medium. Zip disks and shared network drives are excellent for backing up larger files.


Using the Backup Or Restore Wizard

By default, the Backup utility starts in Wizard mode. The standard Backup Wizard is straightforward and adequate for many users. It walks you through the backup process in a linear fashion, in the typical Windows wizard style. The standard Backup Wizard gives you the choice of the following actions:

  • Backing up your own documents and settings

  • Backing up everyone’s documents and settings (assuming you are logged on as an Administrator or as a member of the Backup Operators group)

  • Backing up all data on the computer

  • Choosing specific files to back up

You can also specify the backup medium (file or tape), the location of the backup (the disk drive), and a name for the backup set. (Each collection of backed up files is called a backup set.) However, if you want to control all the features of the Backup utility, such as specifying whether to do a normal, copy, differential, incremental, or daily backup, you need to switch to Advanced mode. (All backups performed by the standard Wizard mode are normal.) Advanced mode has its own wizard, but with less direct instruction and a bit more flexibility built in.

The standard Wizard mode also provides a Restore Wizard that walks you through the process of selecting the backup items to restore. Restoring backed up files is covered in the section “Using the Restore Wizard,” later in this chapter.

Switching the Backup Utility to Advanced Mode

To change the default behavior so that the Backup utility starts in Advanced mode, follow these steps:

  1. Click Start and point to All Programs (Programs in the Windows XP Classic view), Accessories, System Tools, and finally select Backup to start the utility and display the opening page of the Wizard mode, shown in Figure 3-3.

    Figure 3-3  The opening page of the Backup Or Restore Wizard.
    Figure 3-3. The opening page of the Backup Or Restore Wizard.

  2. Clear the Always Start In Wizard Mode check box and click the Advanced Mode link. The Backup utility opens in Advanced mode, as shown in Figure 3-4. The next time you start the utility, it immediately displays the Advanced mode.

    Figure 3-4  The opening page of the Backup utility in Advanced mode.
    Figure 3-4. The opening page of the Backup utility in Advanced mode.
Using Backup Wizard (Advanced)

When you start the Backup utility in Advanced mode, it presents the following alternatives (on the Welcome tab):

  • Backup Wizard (Advanced) This backup wizard is similar to the standard wizard, but it provides the capability to customize several advanced options. It gives you the option to back up everything on the computer, selected files, or the system state data (described later in this section). As with the standard Wizard mode, you can also specify the backup medium (file or tape), the location of the backup (the disk drive), and a name for the backup set.

  • Restore Wizard (Advanced) This wizard is functionally the same as the standard Restore Wizard, and it walks you through selecting the backup items to restore. The restore process is covered in the section “Using the Restore Wizard,” later in this chapter.

  • Automated System Recovery Wizard This feature, not available in Windows XP Home Edition, helps you create a backup of your computer’s system files and an Automated System Recovery (ASR) disk that enables you to restore your computer system after a catastrophic failure. ASR is covered in more detail in the section “Using Automated System Recovery,” later in this chapter.

Even if you are a power user, the Windows XP wizards can provide a convenient set of reminders that help you complete a task quickly and correctly each time you use a particular tool. Wizards are especially helpful in performing tasks, such as archiving, that have several steps. You might find that using the Backup Wizard (Advanced) is your preferred way to use the Backup utility in Advanced mode, so we present it first.

To archive files using the Backup Wizard (Advanced), follow these steps:

  1. On the Backup utility’s Welcome tab, click Backup Wizard (Advanced).

  2. In the first page of the wizard, click Next to display the What To Back Up page, as shown in Figure 3-5.

    Figure 3-5  The What To Back Up page of the Backup Wizard (Advanced).
    Figure 3-5. The What To Back Up page of the Backup Wizard (Advanced).

  3. Select one of the following options and click Next:

    • Back Up Everything On This Computer This option archives all the files on the computer’s hard disks along with the system state. This option is probably practical only if your system has more than one hard disk, one of which is an archive disk, or if your system has a large-capacity tape drive.

    • Back Up Selected Files, Drives, Or Network Data This option enables you to select specific drives, folders, files, and system state data for archival. You will probably use this option most often.

    • Only Back Up The System State Data Use this option to archive a copy of the system state data only. The system state data includes the registry, the COM Class Registration database, and the system boot files. By restoring the system state data, you can restore your system at least to the point of being able to boot Windows XP.

  4. If you selected the Back Up Selected Files, Drives, Or Network Data option in the preceding page, the Backup utility displays the Items To Back Up page, shown in Figure 3-6. Use this page to select the drives, folders, and files that you want to archive and then click Next.

    Figure 3-6  The Items To Back Up page of the Backup Wizard (Advanced).
    Figure 3-6. The Items To Back Up page of the Backup Wizard (Advanced).

  5. In the next page, shown in Figure 3-7, make selections from the two drop-down lists (if you do not have a tape drive attached to your computer, the Select The Backup Type drop-down list will be dimmed and unavailable):

    • Select The Backup Type From this list, select one of the following:

      • File Select this option to create an archive file that will be stored on a floppy disk, hard disk, or CD-ROM.

      • MiniQIC Use this option to specify a use of minicartridge magnetic tape in the quarter-inch cartridge (QIC) backup tape format.

      • Travan Select this option to use a tape backup in the Travan tape format. Travan technology was developed by 3M Corporation and has now been standardized by the QIC consortium.

    • Choose A Place To Save Your Backup Use this drop-down list to select the floppy drive or a previously used folder and file name. Click Browse to open the Save As dialog box, which enables you to navigate your computer to find the drive to which you want to save the backup file. If a single backup file is too large to fit on the available medium, the Backup utility does enable you to save the backup to multiple media. You have to manage this potential problem yourself by splitting the backup procedure into multiple segments, each one small enough to fit on a single medium.

      Figure 3-7  The Backup Type, Destination, And Name page of the Backup Wizard (Advanced).
      Figure 3-7. The Backup Type, Destination, And Name page of the Backup Wizard (Advanced).

  6. In the Type A Name For This Backup text box, type the name you want the Backup utility to use for the backup file. The default backup file name is Backup. Click Next.

  7. The wizard displays a page that lists your backup settings, similar to Figure 3-8. Click Advanced to open a series of pages that enable you to specify additional settings. The wizard displays the Type Of Backup page, which includes the Select The Type Of Backup drop-down list. Use this list to specify whether you want to perform a normal, copy, incremental, differential, or daily backup. Refer to the section entitled “Selecting a Backup Procedure,” earlier in this chapter, for a description of each of these backup types.

    Figure 3-8  The Completing The Backup Wizard page of the Backup Wizard (Advanced).
    Figure 3-8. The Completing The Backup Wizard page of the Backup Wizard (Advanced).

  8. Click Next to display the following three check boxes:

    • Verify Data After Backup Select this check box when you want your computer to compare the backed up data files to the original files. Selecting this option causes the backup to take substantially longer, but it ensures that you have a good copy of all backed up files.

    • Use Hardware Compression If Available When you are archiving to a tape drive, the drive hardware might have a compression option. If your hardware does not have this capability, this option is unavailable. Using hardware compression adds time to the backup process, but it enables you to fit more data on each backup tape.

    • Disable Volume Shadow Copy Selecting this check box disables the new volume shadow copy feature of Windows XP. (See the sidebar “Volume Shadow Copy,” later in this chapter, for more information.) Volume shadow copy is an important safeguard against failing to back up files that are open during the backup process. We can’t think of a good reason to disable this feature.

      You do not have to select any of these check boxes. To move on, click Next to go to the Backup Options page.

  9. The Backup Options page enables you to control whether the new backup should be appended to any existing backups or should replace existing backups. By default, the Backup utility appends the new backup to an existing backup. If backing up to a file, this means the Backup utility adds the new backup data to the same file. If you are performing a normal backup or copy backup of the same files that you have previously backed up, you should replace the existing backup. Incremental or daily backups should be appended to previous incremental or daily backups until you do a new normal backup. A differential backup should replace a previous differential backup of the same files, but be careful not to replace the most recent normal backup. If a file with the same name already exists and you choose to replace the existing backup, the wizard prompts you before replacing the file. If you choose to replace an existing backup, you can also choose to limit access to it to yourself (the file owner) and the system administrator. Once you have made your selections, click Next.

  10. In the When To Back Up page, you can choose to run the backup now or later. If you select the Later option, you must also specify a job name and a start date and time on the Schedule tab of the Schedule Job dialog box. The Settings tab of the Schedule Job dialog box, shown in Figure 3-9, also enables you to fine-tune job scheduling. By default, for example, the wizard instructs the Backup utility to stop the backup task if it runs for 72 hours without completing. You can also click Advanced on the Schedule tab to display the Advanced Schedule Options dialog box, which enables you to schedule the backup as a recurring event.

    Figure 3-9  Fine-tuning job scheduling with the Settings tab of the Schedule Job dialog box.
    Figure 3-9. Fine-tuning job scheduling with the Settings tab of the Schedule Job dialog box.

  11. Click Next in the When To Back Up page. If you chose to run the backup at a later time, the wizard displays the Set Account Information dialog box, in which you should type a new password. Type the password twice and click OK to continue.

  12. The wizard once again displays the Completing The Backup Wizard page, but this time there is no Advanced button. Click Finish.

  13. If you chose to run the backup now, the Backup utility displays a Backup Progress dialog box similar to the one shown in Figure 3-10 while the backup executes. If you indicated that the backup should run at a later time, the wizard concludes and returns to the Welcome tab. The backup runs at the scheduled time.

    Figure 3-10  The Backup Progress dialog box.
    Figure 3-10. The Backup Progress dialog box.

  14. When the backup is completed, the Backup Progress dialog box displays a message to that effect. To see a backup log report, click Report. The wizard opens a Notepad window and displays the Backup.log file. Click Close in the Backup Progress dialog box to return to the Backup utility’s Welcome tab.

Volume Shadow Copy
The Windows XP Backup utility features a new capability to make accurate archive copies of entire system volumes, including exact point-in-time copies of all selected files, even if the files are open during the backup procedure. This new capability is called a volume shadow copy backup. The Backup utility uses volume shadow copy techniques on all backups unless you disable this feature.

Using the volume shadow copy backup feature, the Windows XP Backup utility takes a “snapshot” of the files on your computer at the point when the backup process begins. Open files and files that are changed during the time it takes to perform the backup are all archived just as they were at the beginning of the backup process. As a result, applications can continue to use and write to files during the backup process because open files are correctly backed up. You can perform backups at any time, even while someone is using the computer.


Using the Restore Wizard

Nobody wants disasters to occur, but when they do, people are always relieved to have insurance. Current backup files are the best insurance against losing valuable data to disaster. Backing up files is not enough, however. In the event of a disaster, you also need to know how to restore the backed up files for your computer system. If you used the Backup utility to create an archive, you have to use the Backup utility’s Restore feature to copy the archived files to the system you are trying to restore. You can use a wizard or you can select restore options and actions in Advanced mode.

CAUTION
The Backup utility backs up and restores files on FAT16, FAT32, and NTFS file system (NTFS) hard disk volumes. Nonetheless, if a backup set originated on a Windows XP NTFS volume, you should restore it only to a Windows XP NTFS volume to avoid losing data. In general, the best practice is to restore to the same type of hard disk volume as the original backup source because features such as permissions and encryption vary from one file system to another. Refer to Chapter 4, “Tools for Protecting Data Files,” for a discussion of some of the benefits of using the NTFS file system.

The Restore Wizard and Restore Wizard (Advanced) use essentially the same procedure. Both wizards walk you through copying backup files from the backup media to your computer system drives.

To use the standard Restore Wizard, follow these steps:

  1. Start the Backup utility in Wizard mode. If the utility is not already in Wizard mode, click Start, point to All Programs (Programs in the Windows XP Classic view), then Accessories, then System Tools, and finally choose Backup. On the Tools menu, choose Switch To Wizard Mode. Click Next.

  2. Select Restore Files And Settings, and then click Next. The Backup utility displays the What To Restore screen.

To start the Restore Wizard (Advanced), follow this procedure:

  1. If the standard Restore Wizard is still open from the previous steps, click Cancel.

  2. Start the Backup utility in Wizard mode. If the utility is not already in Wizard mode, click Start, point to All Programs (Programs in the Windows XP Classic view), then Accessories, then System Tools, and finally choose Backup.

  3. Click Restore Wizard (Advanced), and then click Next in the first page. The Backup utility displays the What To Restore page.

Selecting a Backup Set to Restore

You use the What To Restore page to select the files and folders that you need to restore. The Backup utility creates the backup set on a hard disk or recordable CD as a single file that contains all the backed up files and system data. If you back up to tape, the Backup utility can split a backup set over multiple tapes as necessary to contain all the backup files. Whenever you are attempting to restore files from a backup, you must be able to identify which backup set contains the files that you need to restore.

POWER TIP
The What To Restore page is a smaller, more unwieldy version of the Restore And Manage Media tab in the Backup utility’s Advanced mode. You might prefer to select the backup set on the Restore And Manage Media tab before starting the Restore Wizard (Advanced). When you start the wizard after first selecting a backup set and the files and folders to be restored on the Restore And Manage Media tab, the Backup utility displays a Warning dialog box that asks you whether you would like to start the wizard with the files selected. Click Yes to use the selections you made on the Restore And Manage Media tab.

Each backup set created by the Backup utility contains an on-media catalog of all the backed up files and folders. When the backup set is created, the Backup utility also stores a copy of this catalog on your hard disk—the on-disk catalog. If the on-disk catalog is lost, the Backup utility can rebuild it from the on-media catalog.

The Restore Wizard’s What To Restore page operates in a similar manner to Windows Explorer. It enables you to select a backup set and then navigate the folder structure to locate folders and files that you would like to restore.

To select what to restore, follow these steps:

  1. In the Restore Wizard or Restore Wizard (Advanced), display the What To Restore page, shown in Figure 3-11.

    Figure 3-11  The What To Restore page of the Restore Wizard.
    Figure 3-11. The What To Restore page of the Restore Wizard.

  2. If the backup set that you want to restore was saved to a file, double-click the File icon in the left pane to display a list of backup sets. If the backup set was archived to a tape drive, double-click MiniQIC for QIC minicartridges, Travan for Travan tape backups, or Free Media for other Windows XP–compatible tape backups.

  3. From the list of backup sets, select in the left pane the most recent set that contains the data you want to restore. If all backups were of the normal type, you need to select the most recent backup. If you use a combination of normal backups and differential or incremental backups, make sure that you start with the most recent normal backup and restore it first. Then follow with restoration of the remaining differential backup (just the last one) or incremental backups (all incremental backups since the last normal backup, in chronological order).

  4. If the backup set that you want to restore is located on one of your system’s drives but is no longer found in the on-disk catalog, click Browse to display the Open Backup File dialog box. Type the path and file name in the Open text box, or click Browse and use the Select File To Catalog dialog box to select the desired backup set.

  5. To select the entire backup set for restoration, select the check box to the left of the disk drive’s icon.

  6. If you want to restore only select files and folders, click the + icons in the left pane to expand the folder tree until you locate the folder that contains the files you want to restore. Select the check boxes for the folders and files that you want to restore.

Completing the Restore Wizard

After you have selected all folders and files for restoration, click Next. The wizard displays the Completing The Restore Wizard page. Proceed as follows:

  1. To access the advanced options, click Advanced.

  2. In the Where To Restore page, select one of the following options and click Next:

    • Original Location This is the default choice, used to restore the backed up files to the location from which they were backed up. If your backup included the system state data and you select this option, the existing system state data is replaced by the data from the backup.

    • Alternate Location Select this option if you want to restore the backup files and folders to a different drive or folder than the one from which they were backed up. When you select this option, the wizard displays a text box in which you can type the path to the desired location; alternatively, you can click Browse to display a dialog box that enables you to locate the destination by navigating the folder tree. When the files are restored, the folder structure is restored, but at the new location instead of the original location. If the backup included system state data, only the registry files, cluster database information files, and system boot files are restored to the new location.

    • Single Folder Select this option to restore all files to a single directory that you can specify by typing the folder name and path in the Folder Name text box; you can also click Browse to navigate the system. The folder structure of the original location is not preserved. All restored files are copied to the destination you specify with no subfolders.

  3. The wizard displays the How To Restore page, listing three options for how the Backup utility treats files that are already on your system drive(s). Select one of the following options and then click Next:

    • Leave Existing Files (Recommended) If you select this option, the wizard does not overwrite existing files. This is the default and recommended option. If the purpose of running the Restore Wizard is to restore lost files, there is no need to overwrite files that are not lost. This is the option you should use when restoring a normal backup set.

    • Replace Existing Files If They Are Older Than The Backup Files Whenever you are restoring a differential backup set or an incremental backup set, you want the Backup utility to restore any files that were changed since the last normal backup or last incremental backup. In such cases, select this option to replace the older files with newer files of the same name. When restoring incremental backup sets, be careful to restore them in chronological order.

    • Replace Existing Files Select this option if you are certain you want to replace any existing files that happen to have the same name as files in the backup set, whether the existing files are newer or older than the backup files. Use this option with caution, however, because it can result in permanent loss of data if you accidentally overwrite a newer version of a file that contains irreplaceable data.

  4. In the next wizard page, select from the following options and then click Next:

    • Restore Security Settings This option restores the security settings, such as permissions, audit entries, and ownership settings, but only if the original volume and the volume to which you are restoring are both NTFS volumes.

    • Restore Junction Points, But Not The Folders And File Data They Reference This option applies to mounted drives and to junction points created with the Linkd command. Selecting this option causes the folder that contains the junction point to be restored, but the folders and data to which it points are not restored.

    • Preserve Existing Volume Mount Points Select this option to prevent the restore operation from writing over existing volume mount points. If you are restoring to a newly formatted drive that has no volume mount points established, you should not select this option.

  5. The wizard displays the Completing The Restore Wizard page, as shown in Figure 3-12. Click Finish.

    Figure 3-12  The Completing The Restore Wizard page.
    Figure 3-12. The Completing The Restore Wizard page.

  6. The wizard displays a Progress dialog box as it executes the restoration procedure.

  7. When the restore operation is completed, the wizard displays a message indicating that the restore is complete in the Restore Progress dialog box. Click Close to return to the Welcome tab.


Using Advanced Backup and Restore Features

The standard Wizard mode and the Backup Wizard (Advanced) might provide all the options you need for backing up your system; however, if you prefer to manage the backup process directly rather than using a wizard, the Windows XP Backup utility has a number of handy ways to let you customize the backup process. The sections that follow describe how to do backups without using a wizard, how to schedule a backup to run at a future time, and how to use the Backup utility’s advanced options.

Using the Backup Tab to Back Up Files

If you want to use the Backup utility to back up files without using a wizard, follow these steps:

  1. After opening the Backup utility and displaying the Backup tab, use the file folder tree to select the folders and files for backup. If you want to back up your entire system, click the My Computer icon. If you don’t have a backup tape drive installed in your computer, the check box next to the My Computer icon may be dimmed. However, you can still select entire drives by clicking the icon for each drive. A dark blue check mark denotes that all folders and files in the resource are selected. If you select one or more files or folders that are not all in a particular resource, the check box to the left of that resource contains a gray check mark.

  2. If you don’t have a backup tape drive installed in your computer, skip to step 3. However, if your computer has a tape drive, in the Backup Destination drop-down list box, select one of the following options:

    • File Select this option to create an archive file stored on a disk (floppy disk, Zip disk, hard disk, or network drive).

    • MiniQIC This creates an archive file on a standard minicartridge magnetic tape in the QIC backup tape format.

    • Travan This creates an archive file in the Travan tape format.

  3. Use the Backup Media Or File Name text box to indicate where to save your backup. Click Browse to open the Save As dialog box, which enables you to navigate your computer to find the drive to which you want to save the backup file. If a single backup file is too large to fit on the available removable medium (such as a Zip disk), the Backup utility does not automatically split the backup file so that it can span multiple media. You have to manage this potential problem yourself by splitting the backup procedure into multiple segments, each one small enough to fit on a single medium. (The Backup utility will span multiple tapes, however.) Figure 3-13 shows the My Documents folder selected along with all subfolders, and shows %Systemdrive%\Backup\Backup050502.bkf as the path and file name of the file to which the backup will be saved.

    Figure 3-13  The local disk selected along with all subfolders.
    Figure 3-13. The local disk selected along with all subfolders.
    POWER TIP
    You will often want to use the same backup settings repeatedly to create backup files. At any time after you have selected folders or files to be archived and specified a backup file name, you can save your settings by choosing Save Selections from the Job menu. The Backup utility saves the current settings as a backup script as part of the designated backup file (*.bks). If you want to save the settings as a stand-alone script file, choose Job, Save Selection As to display the Save As dialog box. Use this dialog box to specify the name and folder for the script file. Later, you can load a backup script from any existing backup file or stand-alone backup script file by choosing Job, Load Selections.

  4. To start the backup process, click Start Backup to open the Backup Job Information dialog box (see Figure 3-14). In this dialog box, specify whether the backup should be appended to any existing backup(s) or should replace existing backups. By default, the Backup utility appends the new backup to an existing backup. If backing up to a file, this means the new backup data is added to the same file. If you are doing a normal backup or copy backup of the same files that you have previously backed up, you should replace the existing backup. Incremental or daily backups should be appended to previous incremental or daily backups until you perform a new normal backup. A differential backup should replace a previous differential backup of the same files, but be careful not to replace the most recent normal backup. If a file with the same name already exists and you choose to replace the existing backup, the wizard prompts you before replacing the file.

    Figure 3-14  The Backup Job Information dialog box.
    Figure 3-14. The Backup Job Information dialog box.

  5. If you want, click Advanced in the Backup Job Information dialog box to select any of the following options:

    • Back Up Data That Is In Remote Storage If you are using the NTFS file system and have data that is stored in a remote storage facility—a storage facility managed by a data management service that stores high-volume, infrequently used data in such a manner that the files that contain the data are automatically transferred to your computer whenever you attempt to open the files—then select this option to back up Remote Storage reparse points, which are placeholder files. The actual files stored in remote storage are not backed up but will be restored from remote storage along with the other archived files if you ever need to use the backup set to restore lost data. However, they can be restored only to an NTFS volume.

    • Verify Data After Backup Select this option when you want your computer to compare the backed up data files to the original files. Selecting this option causes the backup to take substantially longer, but it ensures that you have a good copy of all backed up files.

    • If Possible, Compress The Backup Data To Save Space When you are archiving to a tape drive, the drive hardware might have a compression option. If your hardware does not have this capability, this option is unavailable. Using hardware compression adds time to the backup process, but it enables you to fit more data on each backup tape—in some cases twice as much.

    • Automatically Back Up System Protected Files With The System State This option is available only if you have chosen to back up the system state data.

    • Disable Volume Shadow Copy Selecting this option disables the new volume shadow copy feature in Windows XP (described in the sidebar “Volume Shadow Copy,” earlier in this chapter). This option is unavailable whenever you are backing up the system state data.

    • Backup Type Use this drop-down list to select normal, copy, incremental, differential, or daily backup type. These types are described in the section “Selecting a Backup Procedure,” earlier in this chapter.

  6. Click Start Backup to start the backup process. The Backup utility displays the Backup Progress dialog box. You know the process is finished when it displays a message indicating that the backup is complete in the upper left corner of the dialog box.

  7. Click Report to see a running log of backup and restore operations, or click Close to return to the main Backup Utility window.

Scheduling a Backup

The most convenient time to do a comprehensive backup of your system is usually after hours, when you aren’t using your computer. If your system is equipped with a tape drive of sufficient capacity to contain a full backup, or if you have designated a separate hard disk to receive backups, you can schedule system backups to run at night.

To schedule a backup to be run at a future time, follow these steps:

  1. After opening the Backup utility and displaying the Backup tab, complete steps 1 through 4 described in the preceding section to select files and folders for archiving and specify the backup file name and destination.

  2. In the Backup Job Information dialog box, click Schedule. The Backup utility first prompts you for an account name and password (because the backup might be run at a time when you are not logged on) and then displays the Scheduled Job Options dialog box.

  3. Type a job name in the Job Name text box, and then click Properties to display the Schedule Job dialog box, as shown in Figure 3-15.

    Figure 3-15  The Schedule Job dialog box.
    Figure 3-15. The Schedule Job dialog box.

  4. In the Schedule Job dialog box, use the Schedule Task drop-down list box to specify whether you want to run the backup only once, daily, weekly, each time you start the system, each time you log on, or when the system is idle. Use the Start Time combo box to select a time to start the backup. If you are backing up mission-critical data that changes frequently, you can also click Advanced. This allows you to set the backup to be repeated at a specified interval (every 10 minutes, 20 minutes, 75 minutes, and so on). Clicking Advanced also enables you to specify an ending time for the repeated backups and permits you to place a cap on the amount of time the backup can take before the Backup utility terminates the process.

You can also use the Schedule Jobs tab of the main Backup Utility window, which displays a calendar representing the current month, as follows:

  1. Start the Backup utility and click the Schedule Jobs tab to display the monthly calendar. Any previously scheduled jobs are denoted on the calendar with a Backup Job icon, shown below:

  2. Click the day that you want to schedule a backup and click Add Job. The Backup utility starts the Backup Wizard.

  3. Complete the steps for performing a scheduled backup using the Backup Wizard, as described earlier. The Backup utility adds a Backup icon to the calendar for the day the job is scheduled.

Using the Restore and Manage Media Tab

If you want to use the Backup utility to restore archived files without using a wizard, follow these steps:

  1. After opening the Backup utility and displaying the Restore And Manage Media tab, browse the list of backup sets in the left pane of the window to find the set that contains the files you want to restore. If the backup set that you want to restore was saved to a file, double-click the File icon in the left pane to display a list of backup sets. If the backup set was archived to a tape drive, double-click MiniQIC for QIC minicartridges, Travan for Travan tape backups, or Free Media for other Windows XP–compatible tape backups.

  2. If all backups were of the normal type, select the most recent one. If you have been using a combination of normal backups and differential or incremental backups, make sure that you start with the most recent normal backup and restore it first. Then follow with restoration of the remaining differential backup (just the last one) or incremental backups (all incremental backups since the last normal backup, in chronological order).

  3. If the backup set that you want to restore is located on one of your system’s drives but is no longer found in the on-disk catalog, right-click the File icon in the left pane and select Catalog File from the shortcut menu to open the Open Backup File dialog box. Type the path and file name in the Open text box, or click Browse and use the Select File To Catalog dialog box to select the desired backup set.

  4. To select the entire backup set for restoration, select the check box to the left of the disk drive’s icon. If you want to restore only select files and folders, click the + icons in the left pane to expand the folder tree until you locate the folder that contains the files you want to restore. Select the check boxes for any folders and files that you want to restore.

  5. In the Restore Files To drop-down list box, select one of the following:

    • Original Location This option restores the backed up files to the location from which they were backed up. If your backup included the system state data and you select this option, the existing system state data is replaced by the data from the backup.

    • Alternate Location Select this option if you want to restore the backup files and folders to a different drive or folder than the one from which they were backed up. When you select this option, the Backup utility displays a text box into which you can type the path to the desired location; you can also click Browse to display the Restore Path dialog box, which enables you to locate the destination by navigating the folder tree. When the files are restored, the folder structure is restored at the new location instead of the original location. If the backup included system state data, only the registry files, cluster database information files, and system boot files are restored to the new location.

    • Single Folder Select this option to restore all files to a single directory that you can specify by typing the folder name and path in the Alternate Location text box; you can also use the Browse button to navigate the system. The folder structure of the original location is not preserved. All restored files are copied to the destination you specify, with no subfolders.

  6. Click Start Restore. The Backup utility displays the Confirm Restore message box.

  7. To view advanced options, click Advanced. Select from the following options and click OK to return to the Confirm Restore message box:

    • Restore Security This option restores the security settings such as permissions, audit entries, and ownership settings, but only if the original volume and the volume to which you are restoring are both NTFS volumes.

    • Restore Junction Points, And Restore The File And Folder Data Under Junction Points To The Original Location This option applies to mounted drives and to junction points created with the Linkd command. Selecting this option causes the folder that contains the junction point to be restored, as well as the folders and data to which it points.

    • When Restoring Replicated Data Sets, Mark The Restored Data As The Primary Data For All Replicas If you are restoring File Replication Service (FRS) data to servers, use this option to cause data to be restored to the other servers as well. If you are not restoring to a server, this option is unavailable.

    • Restore The Cluster Registry To The Quorum Disk And All Other Nodes This option applies only to servers. If you are not restoring to a server, this option is unavailable. When restoring the contents of a cluster quorum disk, this option causes the Backup utility to stop Cluster service on all other nodes of the server cluster after this node reboots.

    • Preserve Existing Volume Mount Points Select this option to prevent the restore operation from overwriting existing volume mount points. If you are restoring to a newly formatted drive that has no volume mount points established, you should not select this option.

  8. Click OK in the Confirm Restore message box. The Backup utility displays the Restore Progress dialog box as it completes the review. When the utility has finished, it displays a message indicating that the restore is completed.

  9. Click Report to see a running log of backup and restore operations, or click Close to return to the Restore And Manage Media tab.

Setting Additional General Options

The following options are available on the General tab of the Options dialog box, which can be displayed by choosing Options from the Tools menu, and then clicking the General tab. These options enable you to customize how you want the Backup utility to operate whenever you create a backup. These options are generally not modifiable in any of the wizard screens:

  • Compute Selection Information Before Backup And Restore Operations This option is selected by default and causes the Backup utility to compute and display an estimate of the number of files and bytes to be backed up or restored before the backup process begins. It is often useful to know how many files will be backed up and an estimated time to completion. If you see that the backup will take longer than you originally anticipated, you might want to stop the backup and continue it when you can leave it running after hours. Conversely, if the estimated time or number of files appears to be substantially lower than you anticipated, it might be an indication that you accidentally omitted some files from the files to be archived.

  • Use The Catalogs On The Media To Speed Up Building Restore Catalogs On Disk This option is selected by default and causes the Backup utility to use the on-media catalog found in the backup set to build the on-disk catalog of all the archived files and folders. If you don’t select this option, the Backup utility scans the backup set and builds a new catalog. If your backup set is large, building the on-disk catalog can take hours.

  • Verify Data After The Backup Completes Select this option when you want your computer to compare the backed up data files to the original files. Selecting this option causes the backup to take substantially longer, but it ensures that you have a good copy of all backed up files. This option is not selected by default.

  • Back Up The Contents Of Mounted Drives This option is selected by default. If you have created mounted drives that point to files on the same physical drive, you should select this option to ensure that all data is backed up. However, if a mounted drive points to data stored on another NTFS volume, you should not select this option.

  • Show Alert Message When I Start The Backup Utility And Removable Storage Is Not Running This option is selected by default. If your computer has a tape drive system, the Removable Storage service must be running for you to be able to back up to or restore from the tape drive. This option causes the Backup utility to display an alert message reminding that you need to run the Removable Storage service.

  • Show Alert Message When I Start The Backup Utility And There Is Recognizable Media Available This option, selected by default, causes the Backup utility to alert you with a message when you start the Backup utility and it detects a medium that is managed by the Removable Storage service that contains one or more backup sets. If you back up to a file, you don’t need to select this option.

  • Show Alert Message When New Media Is Inserted This option, selected by default, causes the Backup utility to alert you with a message whenever you insert a new medium.

  • Always Allow Use Of Recognizable Media Without Prompting This option is not selected by default. If you are backing up your data to a file on a floppy disk, hard disk, Zip disk, and so on, you don’t need to select this option. However, if you are using the Removable Storage service to manage the Backup pool (tape drives, storage clusters, and so on), select this option to ensure that the Backup utility is able to use all media managed by Removable Storage.

Setting Additional Restore Options

Several other restore options are available in the Options dialog box, which can be displayed by choosing Options from the Tools menu and then clicking the Restore tab. Any one of the following three options can be selected:

  • Do Not Replace The File On My Computer (Recommended) If you select this option, the restore process does not overwrite any existing file that has the same name as a backed up file in the same folder. This is the default setting and recommended option. If the purpose of running the Restore Wizard is to restore lost files, there is no need to overwrite files that are not lost.

  • Replace The File On Disk Only If The File On Disk Is Older When restoring a differential backup set or an incremental backup set, you want the Backup utility to restore any files that were changed since the last normal or incremental backup. In such cases, select this option to replace the older files with newer files of the same name. When restoring incremental backup sets, be careful to restore them in chronological order.

  • Always Replace The File On My Computer Choose this option if you are certain you want to replace any existing files that happen to have the same name as files in the backup set, whether the existing files are newer or older than the backup files. Use this option with caution, however, because it can result in permanent loss of data if you accidentally overwrite a newer version of a file that contains irreplaceable data.

The Restore Wizard includes options that override these settings.

Specifying Backup Type

You can use the Options dialog box to specify the backup type. In Advanced mode, display the Options dialog box by choosing Options from the Tools menu and then clicking the Backup Type tab. Choose from the following backup types: normal, copy, differential, incremental, or daily. Refer to the section entitled “Selecting a Backup Procedure,” earlier in this chapter, for a description of each backup type.

Controlling the Backup Log

By default, the Backup utility creates a summary backup log. Use the Backup Log tab of the Options dialog box to change this behavior. In Advanced mode, display the Options dialog box by choosing Options from the Tools menu and then clicking the Backup Log tab. Select one of the following options:

  • Detailed This option causes the Backup utility to create a detailed log including the names of all files and folders backed up or restored, such as the one shown below:

  • Summary This option is the default setting, and it logs key operations only—start time, end time, failure, tape loading, and so on.

  • None Selecting this option turns off the logging feature.

Excluding Files

The purpose of backing up your computer files is to create a retrievable copy of software and data files that you need to run your computer. Your computer’s drives store some file types that are used by Windows XP but should not be backed up. Windows XP is able to create new instances of these files on a restored system without the assistance of backup copies. For example, Windows XP creates memory page files that it dynamically manages. Such files can be huge, and restoring an old memory page file could do more harm than good.

The Backup utility maintains a list of file types that should be excluded from all backups. To display this list, in Advanced mode, display the Options dialog box by choosing Options from the Tools menu. Then click the Exclude Files tab, shown in Figure 3-16.

Figure 3-16  The Exclude Files tab of the Options dialog box.
Figure 3-16. The Exclude Files tab of the Options dialog box.

Scroll through the list of files on the Exclude Files tab to see the files that are to be excluded from backup sets for all users of your system. If you want to exclude additional file types, follow these steps:

  1. On the Exclude Files tab of the Options dialog box, click Add New. The Backup utility displays the Add Excluded Files dialog box, shown in Figure 3-17.

    Figure 3-17  The Add Excluded Files dialog box.
    Figure 3-17. The Add Excluded Files dialog box.

  2. Select one or more of the registered file types from the Registered File Type list box. You can also enter a custom file type in the Custom File Mask text box. To enter a custom file type, type a period followed by the file name extension that identifies the file type that should be excluded from all backups.

  3. If you want to restrict the new file exclusions to a specific folder, such as the Windows folder or a particular application folder, type the folder’s path in the Applies To Path text box, or click Browse and select the folder in the Exclude Path dialog box.

  4. If you want the new exclusions to apply to subfolders of the path you specified in the Applies To Path text box, make sure the Applies To All Subfolders check box is selected.

  5. Click OK to close the Add Excluded Files dialog box and return to the Options dialog box. Click OK to close the Options dialog box.


Using Automated System Recovery

The version of the Backup utility included with Windows XP Professional has a feature that enables you to create a backup of your computer’s system files as well as an ASR disk—a floppy disk that you can use to recover from an error that damages your system files. This system backup and ASR disk do not take the place of a backup of your data files, so you still need to follow the procedures described in this chapter to create backups of all data files that you can’t afford to lose.

To create a system backup and an ASR disk, follow these steps:

  1. Start the Backup utility and choose Automated System Recovery Wizard from the Tools menu to display the opening page of the Automated System Recovery Preparation Wizard.

  2. Click Next to display the Backup Destination page. In the Backup Media Type drop-down list box, select File, MiniQIC, or Travan. For more information about these options, see the section entitled “Using Backup Wizard (Advanced),” earlier in this chapter.

  3. In the Backup Media Or File Name text box, type the name you want the Backup utility to use for the system backup file, and click Next. The wizard displays the Completing The Automated System Recovery Preparation Wizard page.

  4. Place a blank, formatted disk in the floppy drive and click Finish. The Backup utility backs up the system files to the file location you specified and copies system recovery data to the floppy disk.

In the event your system hard disk becomes damaged or corrupted to the point that it does not boot to Windows XP, follow these steps:

  1. Place the original Windows XP installation CD in the CD drive and start the computer.

  2. When prompted, press any key to start the computer from the CD.

  3. During the text-only portion of Setup, when prompted at the bottom of the screen, press F2 to start ASR.

  4. When prompted, insert the ASR floppy disk in the floppy drive and press any key.

  5. Follow the directions on the screen.

    CAUTION
    Use this feature only as a last resort. The first step in the ASR process is to format your computer’s hard disk. If you don’t have a current backup of all files on this disk, you’ll lose all your data—yet another reason to make frequent backups.


Running the Backup Utility from Batch Files and the Command Line

In addition to operating the Backup utility interactively from the Windows XP graphical interface, you can run it from the command prompt window. More important, you can use a text editor to create batch files that run the Backup utility.

Virtually all the features of the Backup utility are available programmatically from the command line and in batch files. To display the command-line reference, including a list of all the available command-line switches and their meanings, type ntbackup /? at a command prompt and then press Enter. Windows XP launches the command-line reference and displays the page on Ntbackup, as shown in Figure 3-18.

Figure 3-18  The command-line reference.
Figure 3-18. The command-line reference.

You can run the Ntbackup command from within batch files, invoking most of the features that are available interactively through the Windows XP graphical interface. Using Ntbackup and batch files, you can even control additional features, such as the media pool from which to use data.

The following example performs a normal backup job named Normal040702 on drive E, and replaces the file named NormalBackup:

Ntbackup backup e:\ /j "Normal040702" /f "NormalBackup" /m normal

Although you can back up files from the command prompt, you cannot restore files from it. If you need to restore files that have been backed up using Ntbackup, use the Backup utility’s graphical interface restore features.


Using the Recovery Console

If you are having difficulty booting to Windows XP and you have exhausted other alternatives—such as Safe Mode—you might be able to correct the problem with the Windows XP Recovery Console, which enables you to format drives, copy files, disable services, and execute a long list of command-line operations.

Starting the Recovery Console

The most common way to start the Recovery Console is from the Windows XP installation CD. Follow these steps:

  1. Place the Windows XP installation CD in a bootable CD-ROM drive and start the computer.

  2. When prompted, press a key to boot from the CD. Setup eventually opens to a welcome screen that presents three options. Type R (the second option) to start the Recovery Console.

  3. If you have more than one version of Windows installed on your computer (such as Windows 2000 Professional and Windows XP Professional), the Recovery Console asks you which Windows installation you would like to log onto. Type a number (such as 1 or 2) to indicate the first or second operating system that is normally listed in the dual-boot menu, and press Enter.

  4. When prompted, type the Administrator password and press Enter. The Recovery Console displays a command prompt such as the following:

    C:\WINDOWS>

In addition to starting the Recovery Console from the Windows XP installation CD, you can install the Recovery Console as a startup option. If you are continually installing new software or hardware on your Windows XP computer and you fear that this might render your computer unbootable, you might find it handy to be able to select the Recovery Console from a menu at startup, rather than using the installation CD.

To install the Recovery Console as a startup option, follow these steps:

  1. With Windows running, insert the Windows XP installation CD. If the Setup program autoruns, click Exit to close Setup.

  2. Click Start, select Run, and type the following in the text box (where %Cdrom% is the appropriate drive letter):

    %cdrom%:\i386\winnt32.exe /cmdcons

    Click OK. When prompted about whether you want to install the Recovery Console, click Yes.

  3. If your computer is connected to the Internet, Setup checks for updates and then installs the Recovery Console. Click OK to finish. Internet connectivity is not required for the installation.

After you have installed the Recovery Console as a startup option, each time you start your computer, a menu appears, giving you the choice of starting Windows XP or starting the Recovery Console. Use the up and down arrow keys to make your selection and then press Enter. If you have trouble starting Windows XP, reboot the computer and select Recovery Console so that you can attempt to troubleshoot the problem. If you can’t get to the Boot Options menu screen, insert the Windows XP installation CD in the CD-ROM drive and restart the computer to follow the first method described earlier for starting the Recovery Console.

POWER TIP
After you have installed the Recovery Console as a startup option, you might eventually tire of selecting from the menu each time you start the computer. Fortunately, you can easily change the startup sequence so that your computer automatically boots to Windows XP, while retaining an easy method of starting the Recovery Console should you ever need it. Open the System tool in Control Panel and display the Advanced tab. In the Startup And Recovery area, click Settings. Clear the Time To Display List Of Operating Systems check box in the System Startup area. Click OK to close the Startup And Recovery dialog box and click OK again to close the System tool. Now your computer automatically boots to Windows XP; however, if you ever want to boot to the Recovery Console, press F8 as your computer starts to display a startup menu that lists the Recovery Console.
Using Recovery Console Commands

The Recovery Console is a command-line interface only. You have access to your computer’s drives, including the CD drive for copying files, but you cannot run any of the programs that you could from a CD until you are able to boot the computer normally.

To see a list of commands available in the Recovery Console, type help and press Enter. You can then use the Enter key to scroll one line at a time, or use the Spacebar to scroll to the end of the list.

To recover a damaged system with the Recovery Console, you need some idea of what might be wrong. You can use the following commands to copy files, check for disk errors, write a boot sector, create a new disk partition, and perform other actions, as necessary, to attempt to correct the problems that are preventing your computer from booting:

ATTRIB ENABLE MKDIR

BATCH EXIT MORE

BOOTCFG EXPAND NET

CD FIXBOOT RD

CHDIR FIXMBR REN

CHKDSK FORMAT RENAME

CLS HELP REMDIR

DEL LISTSVC SYSTEMROOT

DIR LOGON TYPE

DISABLE MAP

DISKPART MD

To see the syntax for using a particular command, type the command name followed by a space and then /? or /help. For example, to see the syntax for using the BOOTCFG command, which enables you to scan your computer’s hard disk for Windows installations, type either of the following commands and press Enter:

  • bootcfg /?

  • bootcfg /help

The Recovery Console displays a screen that describes the command syntax, showing all available command switches and several examples.

Commands that are specifically designed to fix boot-related problems include the following:

  • FIXBOOT This command specifies the drive to which a boot sector will be written. This command works only with x86-based computers.

  • FIXMBR This command rewrites the master boot record (MBR) to the drive specified in the command. It works only with x86-based computers.

  • BOOTCFG This command has seven switches that perform several boot-related diagnostics and repairs, including scanning your computer’s disks for errors, adding a Windows installation, and setting the default boot entry.

If you have problems with your computer immediately after installing a new service or driver, you might want to use the LISTSVC command to see a list of all services and drivers currently available on the computer, including whether each service or driver is enabled. You can then use the ENABLE command to enable drivers or the DISABLE command to disable drivers.

When you are ready to restart your computer, remove the Windows XP installation CD from the CD-ROM drive, type Exit at the command prompt, and press Enter. Windows reboots your computer. If Windows XP starts normally, you are done. If you still are unable to boot Windows XP, start the Recovery Console again to make another attempt to resolve the problem.


Chapter 4 - Tools for Protecting Data Files

Chapter 4
Tools for Protecting Data Files

Protecting your data files is an essential ongoing task. File protection involves a multifaceted set of responsibilities, and if you don’t attend to these chores, you risk the health of your data, the health of your computer, and the health of other computers if you’re operating in a network environment or send e-mail with attachments to other people. Fortunately, to help you meet these responsibilities, Microsoft Windows XP provides several powerful tools, all of which are easy to use once you understand them. This chapter covers the following topics to help you protect your files:

  • NTFS file system (NTFS)

  • Encrypting files with Encrypting File System (EFS)

  • Setting permissions for files and folders

  • Protecting data with passwords


NTFS File System (NTFS)

One of the best power tools that are available to users of computers running Windows XP is the NTFS file system (NTFS). A file system is the structure in which files are managed. It tracks file and folder names, file storage locations, the attributes attached to files, and all the mechanisms that let you save, retrieve, and manipulate files.

Windows XP computers can run any of three file systems: NTFS, FAT (also known as FAT16), or FAT32. In most circumstances, making a choice among them is simple: NTFS is the clear winner. NTFS offers far more power than either the FAT or FAT32 file system, providing more efficient file management tools, robust security, support for very large disks, easier recovery processes in the event of system problems, and much more.

In fact, most of the Windows XP features discussed in this chapter require NTFS, including the Encrypting File System (EFS) and setting of file and folder permissions. Other Windows XP features discussed throughout this book also require NTFS, such as file compression, automatic repair of files, and automatic identification of bad clusters on disks.

The only time it makes sense to use FAT or FAT32 is if you’re dual-booting between Windows XP and either Microsoft Windows 95, Windows 98, or Windows Millennium Edition (Windows Me), and you need to access files from the Windows XP partition while you’re working in the earlier version of Windows. That’s because these previous Windows versions can’t read files from an NTFS volume.

To determine which file system is installed on your system, perform the following steps:

  1. Open My Computer.

  2. Right-click the hard disk icon and choose Properties from the shortcut menu.

  3. Look to the right of File System in the top left corner of the Gen- eral tab.

Converting to NTFS

If your Windows XP computer isn’t running NTFS, and you’re not sharing files on the Windows XP volume with an earlier version of Windows running on another volume, you should consider converting your system to NTFS. (If you haven’t yet installed Windows XP, you can choose NTFS during installation.)

Preparing for Conversion

Before you convert your drive to NTFS, you must perform a few precautionary operations so that you can recover your system if something goes awry during the conversion. We’ve converted FAT32 volumes to NTFS many, many times without incident, but computer processes occasionally cause problems, so even those who have never had a problem should take precautions before making major changes to computer systems. Remember, with computers, you just never know, so always be prepared.

Back Up Your Data

First and foremost, back up all your data files. (See Chapter 3, “Backup and Recovery Power Tools,” for detailed information about this process.) In addition, it’s a good idea to start Microsoft Internet Explorer and export your Favorites and cookies. If you use My Documents for all your data files (making it much easier to back up data), save the export files to My Documents or to a subfolder in My Documents. To export Internet Explorer data, follow these steps:

  1. In Internet Explorer, from the File menu, select Import And Export, which launches the Import/Export Wizard. In the welcome page, click Next.

  2. Select Export Favorites or Export Cookies (you can export only one data type at a time), and then click Next.

  3. If you selected Export Favorites, select the Favorites folder, which includes any subfolders you have created. Click Next. If you selected Export Cookies, skip to step 4.

  4. If you selected Export Favorites in step 2, click Export To A File Or Address. If you selected Export Cookies, click Export To A File. By default, Internet Explorer chooses your My Documents folder as the target location for either export file. Click Browse if you want to save the file in another folder (perhaps a subfolder of My Documents). Click Next.

  5. Click Finish, and wait for Internet Explorer to tell you that the export procedure was successful.

  6. Repeat the above steps to export the other data (Favorites or cookies, depending on the data you already exported).

Save Hardware Configuration Information

Make notes about important configuration options, such as settings for your network interface card (NIC), and other technical information. For detailed information about settings and drivers, print a report from Device Manager by following these steps:

  1. Right-click My Computer and select Properties from the shortcut menu.

  2. In the System Properties dialog box, click the Hardware tab.

  3. In the Device Manager frame of the tab, click Device Manager.

  4. Click your computer name at the top of the device tree, and then click the Printer icon on the toolbar to open the Print dialog box.

  5. Click System Summary.

  6. Select the printer, and then click Print.

It’s a good idea to print this report after you’ve finished setting up all your hardware and peripherals, even if you weren’t planning to convert your system to NTFS. You should keep a printout of this technical information for every computer you use.

Check Free Space on the Drive

FAT, FAT32, and NTFS differ in how they keep track of file and folder locations. In FAT and FAT32 systems, files are tracked using a file allocation table (FAT). NTFS uses a master file table (MFT), which holds more information and therefore takes up more space than the FAT. If you’re using NTFS, you must have enough free space to hold the MFT. Windows XP reserves 12.5 percent of the volume it controls—an area called the MFT zone—for use by the MFT, so for example, if you have a 20-gigabyte (GB) volume, the MFT zone is 2.5 GB of space that is not available for storing files. In addition, you need even more free space for the files that need to be written as the conversion process does its work.

The Windows XP Convert utility is a command-line program, Convert.exe, that can tell you whether it has enough free space to perform its tasks. It makes the following computation to determine the amount of space it needs:

  1. It takes the number of bytes in the volume and divides by 100.

  2. If this value is less than 1,048,576, it uses 1,048,576. If the value is larger than 4,194,304, it uses 4,194,304.

  3. It adds to that number the size of the volume in bytes divided by 803.

  4. It adds to that total the number of files and directories on the volume multiplied by 1280.

  5. It adds 196,096 to the running total.

If the total doesn’t equal the amount of free space, Convert.exe issues an error message and doesn’t attempt the conversion.

To ascertain the amount of free space, open My Computer and select the icon of the drive you’re converting to NTFS. In the details pane, check the Free Space display.

If you don’t have sufficient free space on the drive, clean out old files, temporary files, and the Recycle Bin. The Windows XP Disk Cleanup utility can scan your system and suggest unneeded files you can delete. Use Add Or Remove Programs in Control Panel to uninstall programs you don’t use, if any.

Defragment the Disk It’s much better if the free space for the MFT is contiguous. (The total free space required for conversion doesn’t have to be contiguous, though.) To make sure the system has enough contiguous free space to locate the MFT in a single place, defragment the drive. Windows XP provides a tool named Disk Defragmenter for this purpose, which you access using the following steps:

  1. Close all running applications.

  2. Click Start, point to All Programs (Programs in the Windows XP Classic view), Accessories, System Tools, and finally select Disk Defragmenter.

  3. Select the drive you’re planning to convert to NTFS, and click Defragment. Depending on the size of your volume, the amount of data, and level of fragmentation of your drive, defragmentation can be a long process. For example, if you are defragmenting a heavily fragmented volume with approximately 60 GB of data, it could take several hours.

NOTE
You need at least 15% of the volume size free in order to run Disk Defragmenter.
Create a Placeholder for the MFT

One of the available parameters for the Convert utility, /Cvtarea, specifies that the MFT zone be placed in a specific, contiguous space; but first you must create that space. The /Cvtarea switch is optional, but it helps guarantee contiguous space for the MFT, making the MFT (and therefore your NTFS system) much more efficient.

Windows XP provides a utility named Fsutil to create the space you need. This utility creates a file that acts as a placeholder by filling itself with null data (zeroes). When you convert the drive, the /Cvtarea switch designates the placeholder file that reserves the space where the MFT zone should be inserted.

You must obey these rules when you use Fsutil to create a placeholder file:

  • The file must be located on the root of the drive you’re converting to NTFS.

  • You can assign any name to the file, as long as it doesn’t duplicate another file name on the root. You might want to use the file name Getspace.txt. (It’s descriptive, and it’s highly unlikely that it already exists on the root.)

Fsutil runs from the command line, so you must open a command window. To do this, click Start, point to All Programs (Programs in the Windows XP Classic view), then Accessories, and finally choose Command Prompt. Use the following syntax for the command:

fsutil file createnew x:\filename XXXXXXXXXX

where

  • x is the drive letter of the volume you’re converting to NTFS.

  • filename is the name of the file.

  • XXXXXXXXXX is the number of bytes you require for the MFT (using the 12.5 percent rule described earlier in this section).

For example, if you are performing this task on a 20-GB drive C, the command would be fsutil file createnew c:\getspace.txt 2500000000.

Running the Convert Utility

Open a command window by clicking Start, pointing to All Programs (or Programs in the Windows XP Classic view), then Accessories, and finally choosing Command Prompt. Next, enter the command, using the following syntax:

convert x: /fs:ntfs /cvtarea:filename

where

  • x is the drive letter of the volume you’re converting to NTFS.

  • filename is the name of the file you created as a placeholder for the MFT.

For example, to convert drive C to NTFS and to locate the MFT zone in the space currently occupied by the Getspace.txt file that we created with Fsutil in the preceding section, enter convert c: /fs:ntfs /cvtarea:getspace.txt.

If you didn’t prepare a placeholder file, and you think there’s sufficient contiguous free space to guarantee the placement of the MFT, you can skip the /Cvtarea parameter. In that case, enter convert x: /fs:ntfs.

If the volume you’re converting isn’t the system volume (the volume that holds the Windows XP boot files), the system starts the conversion by running Chkdsk.exe to make sure your drive is in good shape. Chkdsk will attempt to correct any errors it finds if anything is amiss, but if repairs are unsuccessful, conversion does not take place and you’ll see a message to that effect. If everything is fine, the conversion begins. Your computer will restart twice during the process.

If the volume you’re converting to NTFS is the system volume, you’ll see the following message immediately after you enter the Convert command:

“Convert cannot gain exclusive access to driveletter:, so it cannot convert it now. Would you like to schedule it to be converted the next time the system restarts (Y/N)?”

If the volume you’re converting isn’t the system volume, but it holds the paging file (because you previously moved the paging file from the system volume to this volume), you’ll see the same message. The paging file uses the volume in the same fashion the operating system does: it locks it.

Type Y to schedule the conversion during the next startup of the operating system, and then restart your system. During startup, you’ll see a warning that the conversion process will begin in 10 seconds unless you follow the instructions on the screen to prevent it. If you let the task proceed, Chkdsk runs and—absent a problem with the disk—the conversion begins.

If you change your mind about converting before you restart the system, you can delete the registry entry that Convert.exe creates to convert on the next startup. The next time you restart the system, you won’t have to stop Convert.exe in its tracks. To accomplish this, follow these steps:

  1. Click Start, choose Run, and then type regedit in the Open text box.

  2. Navigate to HKEY_LOCAL_MACHINE\SYSTEM\CurrentControlSet\ Control\Session Manager.

  3. In the right pane, double-click BootExecute.

  4. Change the data value from autoconv \DosDevices\x: /FS:NTFS (x is the drive letter marked for conversion) to autocheck autochk *.

Improved Convert.exe
In Microsoft Windows NT and Windows 2000, converting the file system from FAT to NTFS produced some annoying differences when you compared a converted NTFS volume to an NTFS volume that was installed during the setup of the operating system. The most significant difference was that Convert.exe did not set the file and folder permissions to the NTFS default, granting liberal permissions to all users. To repair this oversight, users had to spend a lot of time using command-line tools to reset permissions throughout the system. In addition, the performance of a converted NTFS system was often less efficient than a native NTFS system. None of these problems occur when you convert volumes in Windows XP.
NOTE
To create safeguards against the possibility of corruption caused by failure of the conversion, Convert.exe builds the NTFS structures using only space that is marked as free by the FAT file system. The FAT index files aren’t overwritten until the very last step. If the conversion fails for any reason, the FAT structure files remain intact and the file table remains valid, so the drive can be returned to a working FAT system.
Formatting with NTFS

The advantages of NTFS go far beyond the protection of system files. Many NTFS features are specifically aimed at protecting data (for instance, several of the data protection topics covered in this chapter).

When converting a volume from FAT or FAT32 to NTFS, it’s sometimes quicker and more efficient to format the drive instead of converting it. The decision hinges on the number of files on the drive, because formatting destroys all files. If there aren’t many files, you can format the drive with the drive management tool built into Windows XP. To access the drive management tool, follow these steps:

  1. Right-click My Computer and choose Manage from the shortcut menu to launch the Computer Management Console.

  2. In the left console pane under the Storage node, select Disk Management. This displays detailed information about the drives in the computer, as shown in Figure 4-1.

    Figure 4-1  System files on an NTFS drive, with a second partition formatted with FAT32.
    Figure 4-1. System files on an NTFS drive, with a second partition formatted with FAT32.

  3. Right-click the listing or the graphical display for the drive you want to change to NTFS, and choose Format from the shortcut menu.

  4. In the Format dialog box, shown in Figure 4-2, select NTFS as the file system.

    Figure 4-2  Selecting NTFS in the Format dialog box.
    Figure 4-2. Selecting NTFS in the Format dialog box.
NOTE
You can select Perform A Quick Format to accelerate the format process, but the system does not check the disk for bad sectors. If the disk was formatted (with FAT32) recently, it’s probably safe to omit the sector check.


Encrypting Files with EFS

Windows XP volumes formatted with NTFS provide a feature called Encrypting File System (EFS), which lets you encrypt files to keep their contents hidden from intruders. Any computer that can be accessed physically or across a network is a potential target for data theft or prying. Laptop computers, which are frequently stolen or left unattended, are particularly vulnerable to these dangers.

In this section, we present information about using EFS so you can protect the privacy of your data files.

More Info
In addition to the instructions and explanations you’ll find here, you can gain more understanding of the technical components for this feature and investigate some of the ramifications of using EFS in domains, workgroups, and stand-alone computers by reading Microsoft Windows XP Inside Out by Ed Bott and Carl Siechert (Redmond, WA: Microsoft Press, 2001).
EFS vs. NTFS Permissions

EFS is part of the file system, not the operating system, and this distinction makes EFS much stronger. NTFS file security uses a discretionary access control list (DACL), a security scheme that lets you protect sensitive data by restricting file and folder access. This is useful and appropriate when multiple users have access to a computer. However, DACL depends on the operating system to protect the files, and any intruder who can either bypass or reconfigure the operating system controls can get to the files.

If a computer is formatted with the NTFS file system, booting with a regular DOS floppy disk doesn’t allow access to the files on the hard disk. Tools that let users bypass that protection are plentiful; in fact, these tools are useful when an NTFS drive won’t boot because of corrupted system files. NTFSDOS, from Sysinternals (http://www.sysinternals.com), is one such tool, and most network administrators have a copy.

In addition, an intruder can copy the files to a removable drive, upload them using software on the floppy disk, or just take the hard disk out of the computer and install it on another computer. Then it’s not difficult to override the permissions to view the files.

EFS, on the other hand, works with technology that is integrated with the file system, not just the operating system. The security travels with the file, making it far more difficult to break into the file. It’s tempting to say that it makes it impossible, but that’s unwise when talking about potential hacking.

When you encrypt a file, EFS attaches a file encryption key (FEK), which is a randomly generated string, to the file. EFS then grants a pair of keys, the private/public key pair, and attaches them to your logon name and password and the file. Because the pair is available when you’re logged on, you don’t have to do anything to decrypt a file; just open it.

Your public key is attached to your security certificate (which contains your private key). When any other user attempts to open the file, an “access denied” message appears, because that user doesn’t have your private key.

More Info
If you want to learn the technical details about encryption, certificates, and how public/private keys work, read Inside Microsoft Windows 2000, Third Edition by David A. Solomon and Mark E. Russinovich (Redmond, WA: Microsoft Press, 2000).
Encrypting Folders and Files

You can encrypt entire folders or individual files. It’s far safer to encrypt folders because the encryption is automatic for every new file in an encrypted folder; otherwise, every time you create a personal or sensitive file you have to manually encrypt it.

You cannot encrypt system files or compressed files. You can, however, share encrypted files, a feature new to Windows XP and described in the next section.

Encrypting Folders

You can start by encrypting your My Documents folder—but don’t stop there. Many software programs create temporary document files. (For example, Microsoft Word creates a temporary copy of any document you load or create.) These documents are located in designated folders, and those folders should also be encrypted.

Windows XP automatically establishes two environment variables for temporary files: TEMP and TMP. (Some programmers use TEMP and others use TMP, so both word forms are configured.) Programs check the value (the actual location) of these variables when they need to store temporary files. To see which folders Windows XP has configured for temporary file storage, follow these steps:

  1. Right-click My Computer and choose Properties from the shortcut menu.

  2. Click the Advanced tab.

  3. Click Environment Variables to open the Environment Variables dialog box (shown in Figure 4-3), and check the data in the User Variables list.

    Figure 4-3  Environment settings for the current user and for the system.
    Figure 4-3. Environment settings for the current user and for the system.

To see the entire path for the temporary folders, select a listing and choose Edit. The dialog box that opens provides the name of the folder using another variable, %Userprofile%.

POWER TIP
To see a more complete list of environment variables in use on your system, execute the SET command (with no switches) at a command prompt. For example, the %Systemdrive% environment variable specifies the hard disk on which the operating system (Windows XP) resides. Other environment variables include %Username%, %Userprofile%, and (in Windows XP Professional) %Userdomain%. The SET command lists the current values for each of these variables.

If your user profile is maintained on your Windows XP computer, translate that variable as %Systemdrive%:\Documents and Settings\%Username%, where %Username% is your user name. Therefore, if the displayed path is %Userprofile%\Local Settings\Temp, you should encrypt the following folder:

%Systemdrive%:\Documents and Settings\%Username%\Local Settings\Temp

If you log on to a domain-based network (not available for Windows XP Home Edition) and the administrator has set up Roaming Profiles, the files and folders in your profile are not available for encryption. However, if your documents are saved on a network share and the document folder isn’t part of your profile, your administrator can configure the domain for remote encryption, allowing you to encrypt your document files.

Once you have selected the folders to encrypt, follow these steps to perform the encryption:

  1. In Windows Explorer, right-click the folder you want to encrypt and choose Properties.

  2. Click the General tab, and then click Advanced.

  3. In the Advanced Attributes dialog box shown in Figure 4-4, select the Encrypt Contents To Secure Data check box.

  4. Click OK to close the dialog box, and then click OK again to close the Properties dialog box.

    5. Figure 4-4  The Advanced Attributes dialog box.
    Figure 4-4. The Advanced Attributes dialog box.
    NOTE
    If the folder is already configured for compression (another NTFS feature), when you select the Encrypt Contents To Secure Data check box, the Compress Contents To Save Disk Space check box is automatically cleared. You cannot apply both features to the same folder.

  5. If the folder contains subfolders, Windows XP displays the Confirm Attribute Changes dialog box shown in Figure 4-5. Select the Apply Changes To This Folder, Subfolders And Files option button.

    Figure 4-5  Selecting the option to encrypt everything in the Confirm Attribute Changes dialog box.
    Figure 4-5. Selecting the option to encrypt everything in the Confirm Attribute Changes dialog box.

When you opt to encrypt all the contents of the folder and its subfolders, Windows XP applies the encryption attribute to every file in the folder and its subfolders, which can take a few minutes if many files exist. If a system file exists within the folder, Windows XP issues an error message to tell you that encryption failed because access is denied. For example, a system file named Desktop.ini might exist in one or more folders, and the system file Thumbs.db usually exists in the My Pictures subfolder under My Documents. Select Ignore All to ignore all system files and continue to encrypt the contents.

The Apply Changes To This Folder Only option in the Confirm Attribute Changes dialog is meant literally: only the folder is encrypted; the files that currently exist in the folder are not. Files you create and save to this folder in the future will be encrypted (as will files you copy or move to the folder), but you’ll have to encrypt all the existing files one at a time. It would be highly unusual (or even strange) for a user to want this result.

Encrypting Files

You can encrypt individual files using the same steps described for encrypting a folder. When you click OK to close the file’s Properties dialog box, Windows XP displays a warning asking if you want to encrypt both the file and its parent folder, or just the file (see Figure 4-6).

Figure 4-6  The Encryption Warning dialog box.
Figure 4-6. The Encryption Warning dialog box.

If you choose to encrypt the file and the parent folder (the preferred choice), you are not encrypting the other files in the folder; you are only encrypting files that will be created in the future.

Encrypting only a file usually fails to provide the security you’re looking for. Many applications (for example, Microsoft Word) save the last backed up copy of a file, and that backup copy isn’t encrypted.

Viewing Encrypted File Listings

If you use EFS, you should configure your computer to show encrypted files in color when you open My Documents, Windows Explorer, or My Computer. Otherwise, the only way to tell whether a file or folder is encrypted is to go through all the steps described earlier in this chapter to open the Advanced Attributes dialog box, where you can see if the encryption option is selected.

Cipher.exe
Cipher.exe is a Windows XP utility that enables you to work with EFS file encryption from the command line. The syntax for the cipher command is as follows:

cipher [e/ │ /d] [/s:directory] [/a] [/i] [/f] [/q] [/h] [pathname […]]

cipher /k

cipher /r:filename

cipher /u [/n]

cipher /w:directory

The available switches include the following:

  • /a Operate on files and folders. Always use this option so that files will not become decrypted when they are modified and the parent folder is not encrypted.

  • /d Decrypt the specified folders. Files added later will not be encrypted.

  • /e Encrypt the specified folders. Files added after this operation are automatically encrypted.

  • /f Forces the encryption operation on files that are already encrypted. By default, already encrypted files are not affected by the /f switch.

  • /h Include hidden files in the operation. By default, hidden files are not included.

  • /I Ignore errors. By default, errors stop the cipher command.

  • /k Creates a new key for the current logged-on user running cipher. If the /k switch is used, all others will be ignored.

  • /n Works only with /u and prevents keys from being updated. You can use the following command to find all encrypted files on the current system drive: cipher /u /n

  • /q Reports only the most important information.

  • /r Generate a data recovery agent (DRA) certificate and key.

  • /s Include subfolders in the operation.

  • /u U pdate all the encrypted files on the disk with the current keys and the current DRA key. The /u switch can be combined only with the /n switch.

  • /n Remove data from all unused space on the specified drive. This operation can take a long time when applied to a large drive.

To view encrypted files in color, open Windows Explorer, and from the Tools menu, select Folder Options. Click the View tab, and in the Advanced Settings frame, scroll to the Show Encrypted Or Compressed NTFS Files In Color check box and select it. This option is enabled by default.

Of course, if you have enabled both compression and encryption (on separate folders, because you cannot have both features running in the same folder), you won’t be able to distinguish between them because Windows XP uses the same color for both compressed or encrypted files. You can resolve this dilemma with either of the following methods:

  • Use Tweak UI to configure separate colors for compressed and encrypted files. (See Chapter 12, “Microsoft Windows XP PowerToys,” to learn how to install and use the Windows XP PowerToys, including Tweak UI.)

  • In Windows Explorer, use the Details view for folders, and add the Attributes column to the view. From the View menu, select Choose Details to open the Choose Details dialog box. Select the Attributes check box, and then click OK.

If you opt to view the Attributes column, whenever you’re using Details view, the Attributes column shows you the attributes attached to every folder and file. The designation E means encrypted. Most files have more than one attribute, so you’ll frequently see AE in the Attributes column, meaning the file is both archived and encrypted.

Decrypting Files

Decryption is automatic when you open a file you encrypted. Windows XP automatically finds your encryption certificate and uses the private key in the certificate to open the file.

Data Recovery Agents
Whenever you use EFS to encrypt your files, make sure you have a copy of your certificate and public and private keys stored in a safe place. In case your computer’s main hard disk is wiped out, you will be able to import the certificate and keys into a backup system using this information.

If your computer is part of a domain, the system administrator will assign a data recovery agent (DRA) who should also be able to recover or decrypt your encrypted files if your private key is lost or corrupted and you don’t have a backup copy.

If your computer is a stand-alone machine and you want to create a DRA, first sign on as Administrator or as a user with administrative rights. Then use the cipher command with the /r switch to generate a DRA key and certificate. Finally, use the Local Security Policy administrative tool (secpol.msc) to designate a user as the DRA and select the certificate generated by the cipher /r command.

The best practice is to assign as the DRA a special user account that has no other purpose. The administrator should keep an exported copy of the DRA’s certificate and key stored in a secure location in case the system drive is damaged or accidentally erased.

When the DRA needs to go to work on the system, you first must import the DRA’s key. Then the DRA can log on and decrypt all the encrypted files on the system.

If another user attempts to open a file you encrypted (either from a remote computer on the network, or by logging on to this computer), Windows XP checks that user’s encryption certificate. Because the private key doesn’t match the public/private key pair attached to the file, the user sees an “Access denied” message.

You can manually decrypt files and folders by performing the same steps you used to apply encryption and then deselecting the encryption attribute. Windows XP asks if you want to decrypt all the files in the folder, which you might want to do, depending on your reason for decrypting files.

If the folder also contains files that were encrypted by another user, Windows XP won’t decrypt them, and you’ll see an “Access denied” message.

Sharing Encrypted Files

New to Windows XP is the ability to share encrypted files with specific users. (In Windows 2000, if you want to share an encrypted file, you must first unencrypt it.) When you share an encrypted file, the user with permission to access it can just open the file; it works as seamlessly for that user as it works for you.

You can only share encrypted files with users who have an EFS certificate on the computer. The easiest way for a user to create an EFS certificate is to log on to the computer, create a document, and then encrypt it. If the user with whom you want to share an encrypted file is a network user, you can have the user export his or her EFS certificate so you can import the certificate to your computer. (See the next section, “Exporting and Importing EFS Certificates,” for more information.)

You can select only one file at a time to perform the sharing action. You cannot share an encrypted folder. Follow these steps to share an encrypted file:

  1. In Windows Explorer, right-click the encrypted file and choose Properties from the shortcut menu.

  2. On the General tab, click Advanced.

  3. In the Advanced Attributes dialog box, click Details. (The Details button exists only after you return to a previously encrypted file’s Properties dialog box; it is not available when you originally encrypt the file.)

  4. In the Encrypted Details dialog box, click Add to open the Select User dialog box, shown in Figure 4-7.

    Figure 4-7  Selecting a user to share access from those who have a certificate on this computer.
    Figure 4-7. Selecting a user to share access from those who have a certificate on this computer.

  5. Select the user with whom you want to share this encrypted file, and click OK. If the user you want to share the encrypted file with is not listed, click Find User to search for and add the desired user.

  6. Repeat the process to add another user. When you’re finished adding names, click OK as many times as necessary to close all the dialog boxes.

Exporting and Importing EFS Certificates

A user with a certificate on one computer on a network can export that certificate so it can be imported to another computer on the network. That user can then access shared encrypted files (assuming the user is on the list for sharing that file). You can also export your EFS certificate just to have a copy of it in case your original certificate becomes corrupt.

You must have a certificate before you can export one. To create a certificate, simply encrypt a file or folder, which automatically creates your certificate.

You can export EFS certificates from a Windows 2000 computer to a Windows XP computer to take advantage of the Windows XP sharing feature for encrypted files.

Exporting EFS Certificates

Certificates are exported using a personal information exchange file, which has a .pfx extension. The easiest way to export a certificate is using Internet Explorer. (You can also export certificates from the Microsoft Management Console Certificates snap-in—certmgr.msc.)

Follow these steps to create a .pfx file to export your certificate:

  1. Start Internet Explorer, and from the Tools menu, select Internet Options.

  2. Click the Content tab, and then click Certificates in the Certificates list.

  3. On the Personal tab, select your certificate. If more than one certificate appears for your name, select the listing that displays Encrypting File System at the bottom of the dialog box, in the Certificate Intended Purposes list (as shown in Figure 4-8).

    Figure 4-8  An EFS certificate available for export.
    Figure 4-8. An EFS certificate available for export.

  4. Click Export to launch the Certificate Export Wizard.

  5. Click Next in the welcome page to begin exporting your certificate.

  6. In the Export Private Key page, select the Yes, Export The Private Key option, and then click Next.

  7. In the Export File Format page, accept the default selections and click Next.

  8. Enter a password for the export file and confirm the password by entering it again. You don’t have to use your user logon password because this password is only for this file. Click Next.

  9. Enter the path and file name for the export file. (Use the Browse button to select a folder if you don’t want to type the entire path.) Click Next to move to the last wizard page, and click Finish. When you see a message that the export was successful, click OK.

Here are some guidelines for choosing a location for your export file:

  • If you save your export file in an encrypted folder, manually unencrypt the file using the instructions presented earlier in this chapter. You won’t be able to access the file on another computer because you won’t have imported your certificate yet.

  • You can save the file to a floppy disk, which you should then put in a safe place as a backup to your certificate in case your original certificate becomes corrupted.

  • You can save the file to the remote computer on your network that you plan to use for importing the certificate. You must have sufficient permissions on the remote computer to save files.

Importing EFS Certificates

Importing a certificate is similar to exporting a certificate; you’re just going in the other direction. You do not have to log on to the computer into which you’re importing your certificate, and any user with administrative permissions can import any certificate. After your certificate exists on the computer, users who encrypt files can share those files with you.

If you saved the file in a folder on your local computer, the user importing the file must have sufficient permissions to read from that folder. If you saved the file on the remote computer or on a floppy disk you delivered to the user, the import process is easier.

Follow these steps to import a certificate:

  1. Start Internet Explorer and from the Tools menu, select Internet Options.

  2. Click the Content tab, and then click Certificates in the Certificates list.

  3. Click Import to start the Certificate Import Wizard.

  4. Click Next in the welcome page to begin importing the file.

  5. Enter the path to the file’s location and file name, or click Browse to navigate to the file’s location and open the file. If browsing, be sure to select Personal Information Exchange (pfx) in the Files Of Type drop-down list at the bottom of the dialog box. Click Next.

  6. Enter the password attached to the file. You can also select the first check box shown in the Password page (as shown in Figure 4-9) to use strong private key protection, which displays a warning message each time a program uses the key to encrypt or decrypt data. If you want to be able to export the certificate and private key at a later time, you should also select the second check box in the Password page. Click Next.

    Figure 4-9  Selecting additional options when you import a certificate file.
    Figure 4-9. Selecting additional options when you import a certificate file.

  7. Click Place All Certificates In The Following Store, and make sure Personal is the selected store. (Personal is usually the default selection, but if it isn’t, click Browse to select it.)

  8. Click Next, and then click Finish. When you see a message that the export was successful, click OK.

    POWER TIP
    There is an even easier way to start the Certificate Import Wizard. Use the Search feature of Windows Explorer to locate the .pfx file that contains the certificate and private key. Right-click the file and click Install PFX on the shortcut menu to start the Certificate Import Wizard. Follow the steps as described above, starting with step 4.


Setting Permissions for Files and Folders

If you’re running Windows XP Professional with NTFS, you can control the level of file and folder access available to other users through permissions. Those permissions can range from narrow access (for example, Read Only) to the ability to do anything (Write, Create, Delete, and so on).

Simple File Sharing

By default, Windows XP uses Simple File Sharing (SFS), which is an all-or-nothing approach to setting permissions. Users who have administrative accounts can see everything, but users who have limited accounts can see only the contents of folders within their own profiles.

With SFS, users can take advantage of the Make This Folder Private feature on their document folders to lock everyone else out, even other users with administrative accounts. However, SFS doesn’t let users determine access to their files on a person-by-person basis.

Classic File Sharing

NTFS permissions is the Windows XP “power tool” for file sharing. Windows XP Home Edition supports only Simple File Sharing. Windows XP Professional Edition defaults to SFS, but you can turn off Simple File Sharing and replace it with the ability to control other users’ access to all files on the computer, not just those in your personal profile. We are calling this type of file sharing Classic File Sharing because it operates in a very similar manner to the file sharing that is available in Windows 2000 and Windows NT.

To turn off Simple File Sharing, perform the following steps:

  1. Click Start and point to Control Panel, Appearance And Themes, and then select Folder Options. If using the Windows XP Classic view, click Start, point to Control Panel, and select Folder Options.

  2. Click the View tab and in the Advanced settings list, clear the check box next to Use Simple File Sharing (Recommended).

  3. Click OK. This will make Classic File Sharing available.

The access controls available with Classic File Sharing are a robust set of permutations and combinations of rights, and you can set permissions for individual users or groups. You can fine-tune and tweak these permissions to develop a more secure system. If your definition of the word power encompasses the notion of control, this is a genuine power tool!

Applying Permissions

Permissions for files and folders are set on the Security tab of the file or folder Properties dialog box. The Security tab lists all the groups and users who currently have access to the folder or file (as shown in Figure 4-10). The permissions applied to an object constitute the access control list (ACL), and NTFS stores information about the ACL of every file and folder.

Figure 4-10  Granting rights on a user-by-user basis.
Figure 4-10. Granting rights on a user-by-user basis.

The owner of a file or folder (usually the person who creates the object) and users with administrator rights can allow or deny permissions. System folders (those folders created when Windows XP is installed) are owned by the administrator, who is the logged-on user during installation.

To configure permissions, select a name from the Group Or User Names list box, and then apply permissions for that name in the bottom of the box using the Allow or Deny check boxes. It’s generally best to avoid denying permissions unless you’re sure you specifically want to keep a user or group away from an action. Usually, selectively allowing permissions works fine. In the case of a conflict, the denied permissions take precedence. When the Allow and Deny check boxes beside a user name are dimmed, this means that these permissions are inherited. (For more information about inherited permissions, see the section entitled “Understanding Inherited Permissions,” later in this chapter.)

Adding Users or Groups to a Permissions List

You can grant or remove permissions for a particular user or group that isn’t listed on the Security tab, which is a handy way to fine-tune the permissions on a folder or file. For example, you might want to exclude one or two users from permissions that are already granted to everyone who uses the computer. On a home computer, this might mean keeping the children away from folders that contain family financial information, while allowing your spouse to access those folders. To set permissions for a user or group that isn’t listed, follow these steps:

  1. On the Security tab, click Add to open the Select Users, Computers, Or Groups dialog box.

  2. Enter the name of the user or group you want to add. If you enter multiple names, separate each name with a semicolon (;).

  3. Click OK to return to the Security tab.

  4. Apply permissions for each new user or group.

Here are some guidelines for using the Select Users, Computers, Or Groups dialog box:

  • For a stand-alone computer or one that is part of a workgroup, the list of users and groups is obtained from the local computer. You cannot set permissions for user names from other computers on the network. All users log on as Guest.

  • For a computer that is in a domain, you can select users and groups from the domain or the local computer. By default, the dialog box uses the domain list, as shown in Figure 4-11. To switch to the local computer, click Locations and then select the computer.

  • Because you probably don’t have user names memorized, instead of guessing you can click Advanced and then click Find Now to see a complete list of users and groups for the computer or the domain (depending on your Location selection).

    Figure 4-11  The Select Users, Computers, Or Groups dialog box.
    Figure 4-11. The Select Users, Computers, Or Groups dialog box.
Permission Changes to Avoid

It’s easy to destroy your system by making the wrong changes to permissions, and users who do so often can no longer start Windows XP and have to reinstall the operating system. For absolute safety, it’s best to adhere to the following rules:

  • Don’t change the permissions for Administrator or for operating system users such as System, Batch, or Service.

  • Don’t change permissions on a drive.

  • Don’t change permissions on system folders (Windows, Documents and Settings).

Understanding Permissions Categories

Each permission controls or restricts access to the file or folder in specific ways, as follows:

  • Full Control Gives full control over the object. In addition to unrestricted access to file manipulation, this permission provides the ability to take ownership of the object and change permissions for other users and groups.

  • Modify Allows users to read, create, change, and delete files. This permission combines the Read & Execute and Write permissions.

  • Read & Execute Allows users to execute programs and view files. Selecting this permission automatically selects the Read and List Folder Contents permissions.

  • List Folder Contents This permission appears only on folders and gives the user Read & Execute permissions for the folder.

  • Read Allows users to view the contents of a folder, including attributes. This is the lowest level, most basic permission you can apply.

  • Write Allows users to write (save) files (modified or new).

  • Special Permissions This permissions category is selected only when you give and deny permissions in a combination that doesn’t fit the preconfigured categories. To see the specifics for a user who has this category selected, click Advanced.

Understanding Inherited Permissions

Folders that contain subfolders are called parent folders, and the subfolders are called child folders. A child folder inherits permissions from its parent, and when you set permissions on a parent folder you can specify whether you want those permissions to be inherited by child folders. If you opt to turn off inheritance, the permissions you apply to the child object control that object.

NOTE
Top-level folders inherit permissions from the drive.

To see the state of inheritance for a folder’s users, on the Security tab, click Advanced, which displays the Advanced Security Settings dialog box, similar to the one shown in Figure 4-12. The Inherited From column displays the source of the permissions, which can be the folder’s immediate parent, or the top parent (the drive).

Figure 4-12  Determining how each user and group inherited permissions for this folder.
Figure 4-12. Determining how each user and group inherited permissions for this folder.

If you want to set specific permissions for users and groups, you must first clear the Inherit From Parent The Permission Entries That Apply To Child Objects check box. When you do this, Windows XP issues the security warning shown in Figure 4-13.

Figure 4-13  Specifying how you want to apply the new permissions.
Figure 4-13. Specifying how you want to apply the new permissions.

Select one of the following options:

  • Copy This option copies permissions from the parent, but they aren’t inherited, so you can change them. This is a good choice to make if the permissions you want to apply are similar to the inherited permissions.

  • Remove This option removes all inherited permissions. Use this choice if you want to apply permissions that are very different from those that were inherited.

  • Cancel Select this option if you change your mind about disinheriting the child folder.

After you disinherit a folder that has subfolders (or will have subfolders in the future), it automatically becomes a parent folder for permissions.

More Info
For more details about how permissions work, including examples you might want to apply to your own system, refer to Windows XP Inside Out from Microsoft Press.


Protecting Your Data with Passwords

Passwords offer a powerful security measure for keeping intruders away from your data. Passwords are an easier way to share a sensitive document than EFS, because any user to whom you give the password can open the file, while a user who wants to open an encrypted file must have an EFS certificate.

In this section, we discuss how passwords work and explore their weaknesses. In addition, we cover the tasks required to add a password to a document created in some popular Windows software applications.

No Shared Folder Passwords in Windows XP
If you’re using Windows XP in a workgroup, either for a home network or a small business network, you cannot protect sensitive files by attaching a password to the folder that holds those files.

The folder password security feature, available in previous versions of Windows designed for home users, has been removed from Windows XP. If you introduced your Windows XP computer into a home network running Windows 95 or Windows 98, you probably already noticed this feature was missing.

You have a choice of two methods for applying a workaround for this absent function:

  • Continue to place sensitive documents in password-protected folders on computers running Windows 95 or Windows 98 and just open the documents across the network.

  • Password protect each individual document using the password features contained in your software applications (the topic of discussion in this section of the chapter).

Understanding Software Passwords

Many software applications let you secure data with passwords. Depending on the program, you can apply password protection for a range of tasks. For example, you can use a password to prevent unauthorized users from opening a file, to prevent users from changing a file they’re able to open, or to keep users out of certain parts of a large application (for example, a database or accounting program).

When any user attempts to use a password-protected file, the software displays a dialog box requesting the password. This action occurs even if the owner of the file (the person who created the password) is the user accessing the file. Applications don’t pass through user credentials, meaning they don’t check your logon name against the name of the owner of the file and automatically open the file if the credentials match. This design approach is deliberate, and it strengthens the protection offered by passwords.

However, there are probably no password schemes that can’t be broken. Password-breaking software is abundant, and anyone who can get to the Internet can find an application that promises to find and display the password for a specific application document (or a large range of applications). These programs are worth paying for if you forget the password you attached to a document that contains information you can’t live without. Unfortunately, that’s not always the motivation for acquiring them, so you cannot count on passwords as the ultimate protection for sensitive data. For real security, especially for laptop computers, use encryption.

Creating Passwords

If you’re serious about security, you should apply the following rules when you create passwords:

  • Don’t use any part of your name.

  • Don’t use any term that’s known to be connected to you (nickname, child’s name, dog’s name, birthday, and so on).

  • Use both uppercase and lowercase letters combined with numbers. This is generally referred to as a complex password.

  • Use a minimum of eight characters.

  • Don’t use the same password on multiple files.

  • Don’t put your passwords on sticky notes that you attach to your monitor, your desktop, or in an unlocked desk drawer. (It’s amazing how many people break this rule.)

Following these conventions isn’t easy, because keeping track of complicated passwords, especially multiple unique complicated passwords, is almost beyond the capabilities of the human brain. Fortunately, you can find help. Plenty of third-party software is available to help you create and track complicated passwords. You must, of course, keep this software and its data secure, and the best approach is to use a floppy disk kept in a locked drawer.

A Quick Guide to Software Password Functions

To make it easier for you to avail yourself of the power of passwords, this section provides a quick guide to password creation for many popular Microsoft software applications. For detailed information, see each software’s Help files.

Microsoft Word

Microsoft Word offers a variety of password protection options, and the choices differ among versions. To apply a password to a document, use the Save As dialog box. (The first time you save a document, the Save As dialog box appears; after that you must specifically open the dialog by choosing File, Save As.)

Microsoft Word passwords are case-sensitive, which increases the power of this tool. If you mix cases, don’t do it in an obvious manner. For example, SecretWord56 is easier to break than seCreTwoRd56.

Word 2000 To create passwords for a Word 2000 document, select File, Save As, Tools, and finally General Options. The Password dialog box opens, presenting two password options:

  • Password To Open This option is required to open a document

  • Password To Modify This option is required to save the document with changes

You can use both password types on a single document, but don’t use the same password. Both passwords are requested when a user opens the file; Word doesn’t wait until an attempt to modify the document to ask for the modification password.

If a user enters the wrong password for an open password type, the Password dialog box goes away, and the user must open the document again to try another password. If a user enters the wrong password for a modify password type, an error message appears indicating that the password is incorrect. Word lets the user continue to try passwords indefinitely. The Password dialog box for the modify password type offers two other options for users who don’t want to keep guessing at passwords:

  • Cancel, which closes the Password dialog box.

  • Read Only, which opens the document, but prevents the user from saving the document without changing its name.

Word 2002 Word 2002 provides the most powerful collection of password options you can find in software applications. To view your options and set protection levels, click the Tools drop-down menu in the Save As dialog box, and select Security Options. As you can see in Figure 4-14, a robust collection of security measures is available for protecting the document.

You can create passwords for opening or modifying the document, and those passwords work the same as they do in Word 2000 when a user opens the document. However, you can increase the power of password protection by encrypting the passwords you attach to the document.

Figure 4-14  Security measures in Word 2002.
Figure 4-14. Security measures in Word 2002.

Click Advanced to see the encryption schemes you can apply to passwords, as shown in Figure 4-15.

Figure 4-15  Choosing an encryption type for passwords.
Figure 4-15. Choosing an encryption type for passwords.

In addition, you can opt to protect other information in the document, such as user information and tracked changes.

Microsoft Excel

Microsoft Excel provides the same password options as Word; you can require passwords for opening and modifying Excel documents. In addition, you can password protect specific elements and components in a worksheet. For example, you can password protect cell ranges, PivotTables, charts, and linked external data.

Microsoft PowerPoint

Microsoft introduced password protection in PowerPoint 2002. To protect your PowerPoint file, click the Tools drop-down menu in the Save As dialog box and create a password to open or modify the file (or both).

The password encryption features available in Word 2002 are also available for PowerPoint.

E-Mail Software

All e-mail software applications have at least one password function: storing the password required to enter your mailbox on your mail server. Depending on the software, you might also have password protection options for your mailboxes (In, Out, and so forth), and your archived messages.

POWER TIP
For your office e-mail application, check with your system administrator and the company’s e-mail policies before applying password protection.


Chapter 5 - Tools for Working with Digital Photos

Chapter 5
Tools for Working with Digital Photos

Many lifelong shutterbugs initially approach digital photography with some trepidation. As with any paradigm shift, the move away from paper-based photographs, single-lens reflex cameras, and traditional film is difficult to make. However, once users get past the differences, digital photography is clearly the way to go. You can still print photos if you want, and the quality of those photos will probably surpass many of the traditional photographs you’ve taken. Working with photographs digitally is one of those perfect intersections of technology and true need: digital photography, quite simply, is better than traditional photography.

The nicest thing about digital photography is that you don’t have to jump into it all at once. If you have a large collection of photographs, or if you want to continue using your traditional camera, you can use a low-cost scanner to scan regular photos and save them on your PC as digital image files. However, purchasing a quality point-and-click digital camera is almost a no-brainer these days, as prices have fallen dramatically in recent years. Either way, once you “go digital,” a whole new world of opportunities becomes available. Not surprisingly, Microsoft Windows XP is poised to enable this new world, with built-in digital photography features unsurpassed by any other operating system.

In this chapter, you’ll learn many features of Windows XP that make creating and handling digital photos quick and easy. We show you how to use the My Pictures folder in Windows XP, change the view mode, and acquire and manipulate digital photographs. We’ll cover the following topics:

  • Digital photos and Windows XP

  • Using the My Pictures folder

  • Acquiring digital photos

  • Viewing and editing digital photos

  • Distributing and sharing photos electronically


Digital Photos and Windows XP

With Windows 95, Microsoft began to move away from the application-centric model used by earlier versions of Windows and introduced its first task-based user interface elements. Windows XP takes this task-based interface to a completely new level. All Windows Explorer windows now include tasks panes that direct users to tasks related to the content they’re viewing. If you’re looking at a folder of pictures, for example, a tasks pane might offer options for viewing a slide show, ordering prints online, printing pictures, and so on, as shown in Figure 5-1. The My Pictures and My Music folders share the same special folder status as My Documents, and they’re both available directly from the new task-based Start menu.

Figure 5-1   A tasks pane showing options for manipulating the contents of a folder.
Figure 5-1. A tasks pane showing options for manipulating the contents of a folder.

Many of these new features are particularly useful for digital photographers. For instance, Windows XP includes a central location for storing digital photos and other pictures, a Scanner And Camera Wizard for acquiring images from scanners and digital cameras, integration with an Online Print Ordering Wizard, a Photo Printing Wizard, new folder views specifically designed for digital photographs, semi-automated e-mail and Web publishing features, and more. Users of Windows XP have probably run into many of these features at some point, but in this chapter, we focus on some of the more powerful ones that you might have overlooked.


Using the My Pictures Folder

Thanks to Windows XP’s task orientation, digital photography features are accessed primarily through the My Pictures folder. Each user on a Windows XP system has a private My Pictures folder (located in C:\Documents and Settings\%Username%\My Documents\My Pictures by default) and can access a Shared Pictures folder as well (found in C:\Documents and Settings\Default User\My Documents\My Pictures). The Shared Pictures folder is specifically designed for sharing images among any users that can log on to an individual machine. My Pictures also can be accessed directly from the Start menu or as a folder inside of My Documents, which sits at the top of the Windows XP folder hierarchy, and Shared Pictures is available from the tasks pane when the My Pictures folder is displayed. By default, Windows XP shows the Tasks pane view in Windows Explorer. If you prefer the Classic folder view, you can toggle between the two views by clicking Folders on the Windows Explorer toolbar. However, you should remember that certain features of the My Pictures and My Music folders are available only in the Tasks pane view.

Working with Windows XP Folders

The My Pictures window is shown in Figure 5-2. It consists of the standard features of a Windows folder—title bar, menu, toolbar, and Address bar—as well as a tasks pane and a file and folder view area. Unlike other folders, however, the My Pictures folder cannot be customized. You can, however, customize the view mode used to display the folder contents, which is described in the section “Understanding View Modes,” later in this chapter.

Figure 5-2  The My Pictures window.
Figure 5-2. The My Pictures window.

The My Pictures tasks pane is fairly comprehensive, and it changes when you select an individual image file. Compare the tasks pane in Figure 5-3, where a single digital photo file is selected, with the tasks pane in Figure 5-2.

Figure 5-3  The My Pictures tasks pane for a selected file.
Figure 5-3. The My Pictures tasks pane for a selected file.

In addition to subtle changes in the Picture Tasks pane, where the Set As Desktop Background option is added, several file-related tasks are added to the File And Folder Tasks pane, including Rename This File, Move This File, Copy This File, and so on.

You can also perform most of these tasks in other ways. For example, if you right-click a digital photograph or other image file, you see a list of options similar to that shown in Figure 5-4. This task access method might be preferable to that of the tasks pane, which takes up valuable screen space. If you’d like to turn off the tasks pane in any Windows Explorer window, choose Folder Options from the Tools menu and select Use Windows Classic Folders. As mentioned earlier, you can also toggle between the Tasks pane view and the Classic folder view by clicking Folders on the Windows Explorer toolbar.

Figure 5-4  The option list that appears when you right-click an image.
Figure 5-4. The option list that appears when you right-click an image.
Understanding View Modes

Since Windows 95, each version of Windows has supported several view modes for Windows Explorer. Windows XP takes this capability to new levels with new view modes (two of which are specific to digital photographs and other images), automatic view mode selection based on folder content, and a new folder customization feature that lets you tailor folders to suit your needs.

Folder views can be selected from the Views toolbar button, the View menu, or by right-clicking an open folder and choosing View from the shortcut menu.

Using Thumbnails View

When you’re working with digital photos and other images, a list of similar-looking icon names isn’t very helpful. For this reason, Windows XP supports a new Thumbnails view mode, where each picture is displayed as a small image preview in a 96 x 96 dots per inch (dpi) icon, as shown in Figure 5-5.

Figure 5-5  Thumbnails view mode.
Figure 5-5. Thumbnails view mode.

A folder of images suddenly comes to life, making it easier to find the exact photo you want. Windows XP automatically selects this view style when you have a folder that contains several images or a folder with images and other document types.

Using Filmstrip View

Windows XP includes another new folder mode, Filmstrip view, which displays the folder contents in thumbnails along the bottom of the window while a large preview of the currently selected image is shown in the upper right portion of the window, as shown in Figure 5-6. The image preview scales with the window—that is, it gets larger or smaller as you increase or decrease the size of the window.

Figure 5-6  Using Filmstrip view.
Figure 5-6. Using Filmstrip view.

This view style works well with several images, but it gets unwieldy when the image count grows beyond 20 or so. Windows XP automatically selects this view style when you create a new folder while importing an image from a digital camera.

Customizing Folders

By default, Windows XP selects an appropriate view style based on the contents of the folder. However, you can customize folders, instructing Windows XP to display their contents in specific ways, using the Customize This Folder feature. To access this feature, open the folder you’d like to customize, right-click a blank area of the window, and choose Customize This Folder. This opens the folder’s Properties dialog box with the Customize tab displayed.

In the What Kind Of Folder Do You Want? section, you can select from a number of folder customization templates, some of which are specific to digital photos and other images. These include the following:

  • Pictures (Best For Many Files) Thumbnails view is selected, and the folder is marked as a My Pictures–like folder and branded with the My Pictures watermark. The watermark is visible only if the folder contains the file type the folder was customized for; otherwise, it looks like an ordinary folder.

  • Photo Album (Best For Fewer Files) Filmstrip view is selected, and the folder is marked as a My Pictures–like folder and branded with the My Pictures watermark. The watermark rule described above applies here as well.

In addition to these view-related customizations, you can use this dialog box to customize the thumbnail used on the folder’s icon. By default, a folder displayed in Thumbnails view displays four small thumbnails that represent files contained by that folder, as shown in Figure 5-7.

Figure 5-7  A folder of photo files displayed in Thumbnails view.
Figure 5-7. A folder of photo files displayed in Thumbnails view.

You can also customize a folder to display a specific image, which can be any image contained in that folder or found elsewhere in the file system. Figure 5-8 shows a customized image folder that displays a single image rather than four automatic thumbnails.

Figure 5-8  A customized folder in Thumbnails view, showing only a single image.
Figure 5-8. A customized folder in Thumbnails view, showing only a single image.


Acquiring Digital Photos

To make it simple and fun to acquire digital photos from a scanner or a digital camera, Microsoft created the Scanner And Camera Wizard, which runs whenever a digital camera is plugged into your PC or a scanner is turned on. If you have a scanner, this wizard is probably the best way to acquire images. However, if you’re using a digital camera, other, more sophisticated options are available as well.

Using the Scanner And Camera Wizard

To use the Scanner And Camera Wizard, simply plug in a digital camera or turn on your scanner. First you’ll see the window shown in Figure 5-9, which lets you choose from any applications that are registered as being compatible with image acquisition. Select Microsoft Scanner And Camera Wizard and click OK.

Figure 5-9  Launching the Scanner And Camera Wizard.
Figure 5-9. Launching the Scanner And Camera Wizard.

The wizard, shown in Figure 5-10, differs slightly for cameras and scanners, but the process is basically the same: You select the images you want to input, select a folder where they’ll be stored, and then acquire the images. You can store images in any folder you choose (local or remote), but the My Pictures folder would be the logical location. Digital camera users have the additional option of deleting the images from the camera.

Figure 5-10  Choosing images to copy in the Scanner And Camera Wizard.
Figure 5-10. Choosing images to copy in the Scanner And Camera Wizard.

When the acquisition is complete, you can choose to publish the pictures to a Web site, order prints online, or simply view the pictures you just acquired. It’s a wonderfully easy affair that creates automatic file names for your pictures (for example, “Sunday at the beach 011” instead of the camera-generated P000003456).

Acquiring Images the Hard Way

There are other ways to get images from a digital camera, however. If you’re a bit more technically inclined, you might prefer the file system approach. When the camera identification window shown in Figure 5-9 appears, for example, you can choose Microsoft Scanner And Camera Wizard and then select the Advanced Users Only option on the first wizard page. This opens a Windows Explorer window, such as the one shown in Figure 5-11, that displays the contents of your camera’s memory, and lets you access your photos as if they were on any other drive.

Figure 5-11  Displaying the contents of a digital camera’s memory.
Figure 5-11. Displaying the contents of a digital camera’s memory.

You can also access the images on your camera directly through My Computer. Just close the camera-specific dialog box and open My Computer. You’ll see a new top-level icon representing your camera, as shown in Figure 5-12.

This method of image acquisition has both advantages and disadvantages when compared to the more automated wizard approach. When you access your photos this way, you can copy them by dragging to any location in your file system. You do, however, lose the automated file name generation feature, which some users might miss. The Explorer view lets you perform other tasks, depending on the capabilities of your camera. For example, you can take a new picture, or view the camera’s properties, which gives you the ability to associate tasks permanently to camera events, such as when the device is connected; both of these options are available from the tasks pane in the My Computer window.

Figure 5-12  The My Computer window with an icon showing your digital camera.
Figure 5-12. The My Computer window with an icon showing your digital camera.


Viewing and Editing Digital Photos

Once you’ve acquired your pictures, you might want to edit them before you share them with others. Windows XP doesn’t include heavy-duty image editing software, but it does include a full-featured photo and image viewing application and a bare-bones picture editor that might serve your purposes.

Using the Windows Picture And Fax Viewer

As discussed earlier, digital photos and other pictures are generally stored in the My Pictures folder and its subfolders. They are usually displayed in Thumbnails or Filmstrip view, both of which provide previews of the underlying images. To view your pictures, simply double-click them, which starts the Windows Picture And Fax Viewer as shown in Figure 5-13.

This simple application lets you navigate among the various images in a single folder using the Back and Forward buttons; select among a Best Fit view, which automatically sizes the picture to match the size of the window, and Actual Size; Zoom In and Zoom Out; Rotate Clockwise and Rotate Counterclockwise (an action that actually affects the underlying picture, so use it carefully); Delete, Print, or Copy To an image; or Close This Program And Open The Image For Editing using the image editor of your choice (Microsoft Paint, by default).

Figure 5-13  A view of an image in the Windows Picture And Fax Viewer.
Figure 5-13. A view of an image in the Windows Picture And Fax Viewer.

If you’re viewing a Tagged Image File Format (TIFF) image file, an uncompressed file format used by high-end digital cameras with lots of storage space and, oddly enough, by many faxes, you can even edit the image in some ways using the Windows Picture And Fax Viewer. With a TIFF image file, you’ll see a number of additional options, as shown in Figure 5-14.

These options are geared primarily toward annotating fax documents. They include the following:

  • Select Annotation Select a previously created annotation so you can delete it or change its properties.

  • Select Page Move to a specific page in a multipage fax document.

  • New Freehand Annotation Draw a freehand line.

  • New Highlight Annotation Highlight a rectangular area of the image.

  • New Straight Line Annotation Draw a straight line.

  • New Frame Annotation Draw a box outline.

  • New Solid Rectangle Annotation Draw a solid box.

  • New Text Annotation Type text.

  • New Attached Note Annotation Type text in a colored opaque box.

Figure 5-14  Additional options for editing a TIFF file.
Figure 5-14. Additional options for editing a TIFF file.

To delete a particular annotation, select it, right-click the image, and choose Delete Annotation from the shortcut menu. You can also change certain annotation properties by selecting the annotation, right-clicking the image, and choosing Edit Annotation Info.

Viewing a Slide Show

In addition to the single file view offered by the Windows Picture And Fax Viewer, Windows XP includes a photo slide show feature that continuously displays all the images in a single folder, animated in full screen mode. You can launch the slide show from the tasks pane of a picture folder by clicking View As Slide Show or by clicking Start Slide Show in the Windows Picture And Fax Viewer.

The slide show, a screen of which is shown in Figure 5-15, works automatically by default, but you can use the buttons in the upper right corner of the screen to pause, move to the previous or next image, or close the slide show.

Figure 5-15  A screen from a slide show.
Figure 5-15. A screen from a slide show.
Using Paint

With every version of Windows since 1985, Microsoft has included a Paint progam that offers users simple picture creation and editing functionality. Windows XP continues this tradition, and although it does not offer photo-specific features such as red-eye reduction or batch processing, Microsoft Paint (shown in Figure 5-16) does offer the following functions that are worth a quick look:

  • Flip/Rotate Paint can flip images horizontally, vertically, or by specific angles (90, 180, and 270 degrees).

  • Stretch/Skew Paint can stretch images horizontally and vertically by specific percentages. To reduce the size of an image by half, for example, you could stretch it by 50 percent either horizontally or vertically. You can also skew images by various percentages, which makes for interesting effects.

  • Save As (Image Conversion) Originally designed for bitmapped images only, Paint now natively works with digital formats such as TIFF and JPEG, as well as the Internet-friendly GIF and PNG formats. You convert images between these file types using the Save As command.

    Figure 5-16  Working with an image in Paint.
    Figure 5-16. Working with an image in Paint.


Distributing and Sharing Photos Electronically

Of the three main digital media categories in Windows XP—digital music, photos, and video—none is as obviously designed for sharing as photos and other digital images. Windows XP includes numerous tools that allow you to distribute and share your photos both on local networks and across the Internet.

Using Photos for Your Desktop Background

One of the most obvious ways in which you can use your photos is to select one as the background for your desktop. There are two ways to do this. You can manually navigate to the My Pictures folder, select the image you’d like to use as a background, right-click it, and choose Set As Desktop Background. You can also right-click an empty area of the desktop and select Properties to open the Display Properties dialog box (shown in Figure 5-17). Select the Desktop tab and click Browse to find your image.

Figure 5-17  The Display Properties dialog box.
Figure 5-17. The Display Properties dialog box.

The second approach offers an extra bit of functionality, because you can select how the image is displayed. This can have interesting effects, based on your screen resolution and the resolution of the image you are displaying. In the Position drop-down list box on the Desktop tab, the following display options are available:

  • Center The image is centered on the desktop. If the image is bigger than the desktop, it is cropped on all sides. If it is smaller, the desktop color frames the image.

  • Tile The image is tiled on the desktop, beginning at the upper left corner of the screen. If the image is bigger than the desktop, it is cropped on the right and bottom sides. If it is smaller, you see multiple copies of the image. This option is generally used for small repeating images, not photos.

  • Stretch The image is adjusted to fit the size of your screen. If the image is smaller than the desktop, the resulting image could contain artifacts (distorted pixels) and lose some of its original clarity. A larger image adjusts nicely to the display size. However, if the aspect ratio of the image is different than that of the desktop, you might see the desktop color framing the top and bottom or left and right sides of the image.

Using a Photo Screen Saver

Another great feature in Windows XP is its ability to create a screen saver from the images in your My Pictures folder. You can also configure it to produce a slide show based on the images in any folder. Here’s how:

  1. Right-click a blank area of the desktop and select Properties.

  2. On the Screen Saver tab, select My Pictures Slideshow from the Screen Saver drop-down list box.

  3. Click Settings. You’ll be presented with the My Picture Screen Saver Options dialog box, shown in Figure 5-18. Here, you can select how often the pictures in the slide show should change, how big they should be, the folder that contains the pictures you’d like to display, and other options.

    Figure 5-18  The My Picture Screen Saver Options dialog box.
    Figure 5-18. The My Picture Screen Saver Options dialog box.

The resulting screen saver uses impressive transition effects by default, although some of them might tax your video card. You should test the slide show by clicking Preview on the Screen Saver tab before committing to the transitions.

Printing Photos Locally

Like earlier versions of Windows, Windows XP lets you print photos from a variety of applications. But it enhances this feature by adding the capability of printing images from the My Pictures folder. (You can print images stored in a folder other than My Pictures, but first you must use the Customize This Folder option to configure it to hold images.) The operating system also has the Photo Printing Wizard, which harnesses the power of color inkjet printers to let you print photo-quality images at home.

To see this feature in action, navigate to the My Pictures folder or another customized folder. You will see an option in the tasks pane called Print Pictures, which starts the Photo Printing Wizard.

The Photo Printing Wizard works as you might expect—it allows you to select the photos you’d like to print and the printer that will print them. However, the wizard also lets you choose from a number of print layouts, including a full-page photo print, contact sheet prints, 8 x 10 prints, and various other sizes, all designed for photolike output. When you select a layout, it is previewed in the wizard so you can see how the pictures you selected are going to look when they are printed, as shown in Figure 5-19.

Figure 5-19  The Layout Selection page of the Photo Printing Wizard.
Figure 5-19. The Layout Selection page of the Photo Printing Wizard.
Using Online Photo Services

If you don’t have an inkjet printer or you want results that are truly photo-quality, you can always take your camera’s flash memory into a local camera store. Windows XP offers a far more convenient alternative, however: integration with online photo services.

To order prints online, open the folder containing the images you’d like to print and select Order Prints Online from the Picture Tasks pane. This launches the Online Print Ordering Wizard, which guides you through the steps of selecting pictures to print, picking an online printing company (such as Shutterfly, Ofoto, or Yahoo! Photos), and placing your order. The wizard lets these companies integrate the user interface for their online ordering systems into Windows XP, as shown in Figure 5-20.

Figure 5-20  The Ofoto user interface in the Online Print Ordering Wizard.
Figure 5-20. The Ofoto user interface in the Online Print Ordering Wizard.

If you don’t feel comfortable using this method, you can always visit one of these services using your Web browser. Most online printing services offer ways to upload photos using a browser, and some even offer downloadable software that automates the task. For more information, try one of these Web sites:

  • Shutterfly (http://www.shutterfly.com)

  • Ofoto (http://www.ofoto.com)

  • Yahoo! Photos (http://photos.yahoo.com)

Sharing Photos Electronically

If you’re ready to fully embrace the digital revolution, you might want to forgo paper-based distribution options and instead share photos using purely electronic means. The problem is that photo images can be quite large. Before you send them using e-mail or post them to your personal Web site, you should consider resizing them. Not surprisingly, Windows XP automates this task for both e-mail and the Web.

Using E-Mail to Share Photos

If you’d like to send photos to family or friends using e-mail, don't just drop those enormous files directly into an e-mail message. Instead, you can use Windows XP to resize the images so they can be sent via e-mail without overloading the recipient’s mailbox. To do so, follow this procedure:

  1. Navigate to the My Pictures folder and select the image or images you'd like to e-mail.

  2. In the tasks pane, select E-mail This File, which starts the Send Pictures Via E-Mail Wizard, shown in Figure 5-21.

    Figure 5-21  The Send Pictures Via E-Mail Wizard.
    Figure 5-21. The Send Pictures Via E-Mail Wizard.

This wizard lets you resize the images automatically or choose between standard sizes, such as small (640 x 480), medium (800 x 600), or large (1024 x 768). You can also choose to keep the images at their original size, which isn’t recommended unless you know that the sizes of the original files are pretty small.

NOTE
Resizing images this way does not affect the original image, only the version you’re sending.
Sharing Photos on the Web

If you’d like to publish photos to the Web, Windows XP offers similar functionality to that discussed in the previous section. This time, however, you select the image or images you want to publish, and then, from the My Pictures tasks pane under File And Folder Tasks, select Publish The Selected Items To The Web. The Web Publishing Wizard starts.

Like the Photo Printing Wizard, this wizard integrates with various online storage sites, including Xdrive Plus, MSN Communities, and Yahoo! Briefcase, as shown in Figure 5-22.

The wizard eventually lets you choose whether to resize the images using the same small, medium, and large templates provided by the Send Pictures Via E-Mail Wizard.

Figure 5-22  The Where Do You Want To Publish These Files? page of the Web Publishing Wizard.
Figure 5-22. The Where Do You Want To Publish These Files? page of the Web Publishing Wizard.
Sharing Photos Using a CD

If you want to share your pictures with people who don’t have Internet access, or just want to archive a large number of pictures, you can create a photo CD using the built-in CD-writing capabilities of Windows XP. To do this, follow these steps:

  1. Insert a blank CD-R into your CD-R drive.

  2. If autoplay is enabled on your CD-R drive, the CD-R Drive window appears. Select Open Writeable CD Folder Using Windows Explorer to display the empty Windows Explorer window. If autoplay is not enabled, open this window manually by navigating to and clicking the CD-R drive in Windows Explorer.

  3. Open My Pictures in a separate window and drag the images you’d like to archive to the empty CD-R/CD-RW window.

  4. When you’re finished copying files, in the CD-R Drive window you’ll see a couple of CD-R Writing tasks listed in the tasks pane.

  5. Select Write These Files To CD. Windows XP launches the CD Writing Wizard, which lets you name the CD and offers to add a picture viewer to the CD so that users with earlier versions of Windows can view the pictures as a slide show, as seen in Figure 5-23. If you don’t want this feature, you can choose to exclude the picture viewer.

    Figure 5-23  An example of a slide show screen.
    Figure 5-23. An example of a slide show screen.
Making Photo Slide Shows

In addition to offering ways to view photo slide shows, the Windows Picture And Fax Viewer, and the My Pictures screen saver, Windows XP offers a feature called Windows Movie Maker that can be used to create such a slide show. You can even add your own voiceover or background music, if you like, and save it in a format that can be written to a DVD or CD-R or shared using the Web or e-mail.

Using Movie Maker to Create Photo Slide Shows

Here are the basic steps for using this versatile tool for creating a photo slide show:

  1. Start Movie Maker from the Start menu by pointing to All Programs (Programs, in the Windows XP Classic view), Accessories, and finally selecting Windows Movie Maker.

  2. Create a new collection called Photo Slideshow. From the File menu, select New, and then Collection. A New Collection folder is created under My Collections. Type Photo Slideshow, and then click the white space below the folder.

  3. Open My Pictures or the folder that contains the images you’d like to add to your slide show, select the images, and drag them into the collection you just created in Movie Maker. When the clip creation is complete, your screen should resemble Figure 5-24.

    Figure 5-24  Using Movie Maker.
    Figure 5-24. Using Movie Maker.

  4. On the Tools menu, point to View and then select Timeline.

  5. Drag the images in your collection down to the timeline, as shown in Figure 5-25, and click Zoom In twice.

    Figure 5-25  Putting images into the timeline.
    Figure 5-25. Putting images into the timeline.

  6. Currently, there is no transition between each picture, but you can test the movie by selecting Play, and then Play Entire Storyboard/Timeline. Your slide show is played on the monitor.

  7. To add transitions between the photos, drag each photo to the left so that it overlaps the preceding photo by 2 to 3 seconds, as shown in Figure 5-26. When you’re done, preview the entire timeline again, and you will see the transitions in action. Adjust as necessary.

    Figure 5-26  Adding transitions between images in a movie.
    Figure 5-26. Adding transitions between images in a movie.

  8. Save the movie using the Save Movie button.

Adding Music and Voiceovers

In addition to adding transitions to your slide show, you can add a voiceover narration or background music.

A voiceover can be recorded directly in Movie Maker. To do so, on the Tools menu, point to File and then select Record Narration to display the Record Narration Track dialog box, as shown in Figure 5-27. Click Record to start playing the video, and speak as the action progresses. Your narration is saved as an audio file and is added into your collection in the same way that you added your photos. To add the narration track to the video, just drag the narration clip down to the audio track on the timeline.

Figure 5-27  The Record Narration Track dialog box.
Figure 5-27. The Record Narration Track dialog box.
More Info
For more information on using Movie Maker, see Chapter 6, “Digital Audio Tools,” and Chapter 7, “Tools for Creating Digital Movies and Video Conferences.”


Chapter 6 - Digital Audio Tools

Chapter 6
Digital Audio Tools

For beginners and power users alike, the digital audio features of Microsoft Windows XP represent a significant advance from previous versions of Windows. They can often satisfy the needs of even the most demanding users. There are two ways to use digital audio in Windows XP: the new Windows Media Player in Windows XP (or simply “the Player” for short) and Windows Explorer itself, which has been extended to work natively with music and other audio files. In this chapter, we’ll look at these and other audio-related aspects of Windows XP and how you can use this exciting technology to make your computing experience more enjoyable.

This chapter provides an overview of the features of the Player, including some great tips on how to use them to their fullest advantage. A couple of the best of these include the capability to create custom playlists that organize your favorite music tracks so you can listen to them from your computer, and the capability to create custom CDs. Topics covered include the following:

  • Configuring the Player

  • Copying music from CDs

  • Using the Media Library to organize your music

  • Using playlists

  • Making audio mix CDs

  • Working with portable devices


Introducing the Player

Microsoft pioneered the all-in-one media player concept in early 2000 with the release of Windows Media Player 7, which was also included in Microsoft Windows Millennium Edition (Windows Me), the consumer-oriented predecessor to Windows XP. For Windows XP, Windows Media Player was extensively overhauled with an elegant new user interface, DVD playback support, much faster CD copying (or “ripping”) capabilities than its predecessor, MP3 encoding support, better media metadata support, and many other features.

Understanding the Player

The all-in-one approach means that music lovers can use the Player exclusively without needing any other applications. It’s a real end-to-end solution. However, a program that does that much is bound to have a lot to it. In the next few sections, we examine the Player’s user interface. But first, start the Player by selecting Start and pointing to All Programs (Programs in the Windows XP Classic menu), Accessories, and Entertainment, and finally selecting Windows Media Player.

Areas and Panes

The Player presents a rounded interface, divided up into several discrete parts, as shown in Figure 6-1.

Figure 6-1  The Player’s user interface.
Figure 6-1. The Player’s user interface.

The parts of the Player’s interface are as follows:

  • Taskbar On the left is the taskbar, which lets you quickly switch between various functionality sections, including an online Media Guide, audio CD ripping, Media Library, and Radio Tuner. The taskbar can be toggled on and off using the small arrow on the right side. The Now Playing area, part of the taskbar, is the main display area, and it changes based on which section of the Player you’re using. It shows visualizations or album cover art, DVD and digital movies, an optional playlist pane, and other information.

  • Controls Along the bottom of the player are a group of playback controls that should be familiar to you if you’ve ever used any consumer electronics equipment. These controls supply play, pause, previous and next track, seek, and volume capabilities.

  • Playlist In the upper right corner of the Player’s screen is a drop-down list that provides quick access to any CD-style drives, custom playlists, all the audio and video on your system, Internet radio presets, and the currently playing playlist. To the left of this list are three buttons that toggle the player’s shuffle functionality, equalizer and settings, and playlist displays. When shuffle is turned on, the current playlist is played back in a random order. When you turn on the equalizer and settings display, a new pane appears in the Player’s window, as shown in Figure 6-2.

    Figure 6-2  Displaying the equalizer and settings pane.
    Figure 6-2. Displaying the equalizer and settings pane.

    Clicking the playlist display button toggles the display of the playlist pane in the Now Playing area.

Working with Media Player Modes

The Player presents its user interface in a number of modes, including the following:

  • Full Mode By default, the Player presents a decidedly nonrectangular window, but you can toggle this to a normal squared-off window by clicking Show Menu Bar in the upper left of the Player’s window or by moving your mouse or pointer device over the area along the top of the window. Either way, the menu bar and window frame appear, as shown in Figure 6-3. This mode lets you access the menu choices and maximize the window if you want.

    Figure 6-3  The Player displayed in Full Mode.
    Figure 6-3. The Player displayed in Full Mode.

  • Full Screen When you’re playing a song with an associated visualization, such as a movie, you might want the display to take up the entire screen, as shown in Figure 6-4. You can enable this mode by selecting Full Screen from the View menu. The Full Screen option is available only when a media selection is playing. To exit Full Mode, press Esc.

    Figure 6-4  The Player visualization window shown in Full Screen.
    Figure 6-4. The Player visualization window shown in Full Screen.

  • Skin Mode The Player supports a special mode called Skin Mode, in which the player can take on almost any shape, such as that shown in Figure 6-5. Most of these user interface skins offer reduced functionality when compared to Normal Mode—for example, you can’t burn a mix CD or rip a CD from most skins—but they're nice for playback and usually take up very little space.

    Figure 6-5  The Player in Skin Mode.
    Figure 6-5. The Player in Skin Mode.

    You switch to Skin Mode using the Switch To Skin Mode button, which is located just to the right of the play controls section in Full Mode. Most skins offer a button that returns you to Full Mode, but if you can't find it, just right-click the media player and choose Switch To Full Mode from the shortcut menu.

    The Player ships with a number of skins, but you can download more skins from the Windows Media Web site (http://www.windowsmedia.com/mg/skins.asp).

Functions and Features of the Player

Looking over the list of items in the taskbar, it’s probably obvious that the Player offers far more functionality than simple audio and video playback. However, simply because of the sheer number of options, much of the player's functionality is somewhat hidden or not obvious. Here are some of the less obvious things you can do with the Player:

  • Burn audio “mix” CDs The innocuous Copy To CD Or Device option in the Player’s task pane is your stepping stone to creating audio mix CDs comprised of songs from your media library.

  • Watch DVD movies With the appropriate plug-in and a DVD drive, you can watch DVD movies with the Player. This is generally more exciting for laptop users, because they can watch movies anywhere and anytime their laptops are available. However, for many desktop PC users—such as college students or anyone else who lives in a small amount of space—DVD movie playback capability is an advantage, too.

  • Listen to the music you want With the Player, you can create custom playlists of the songs you like, for whatever mood you’re in. You might want to make one playlist for working out and another for writing, for example.

  • Listen to music the way you want With the Player’s built-in (but hidden) equalizer, you can customize the sound coming out of your PC and tailor it to your mood or particular setup.

In the next few sections, we examine the various capabilities of the Player.

Playing Music and Audio

The most basic thing you’ll do with the Player is listen to audio, such as CDs, digital music stored on your hard disk, streaming media, or Internet radio stations. The Player supports many of the most popular audio formats, such as MP3 and Windows Media Audio (WMA).

Working with Audio CDs

When you insert an audio CD in your Windows XP–based PC, you activate the Audio CD dialog box shown in Figure 6-6. This feature is designed to intelligently examine media you insert into your PC, such as CDs, flash memory cards, or PC card–based hardware, and then present the appropriate choices. Here the choices you see reflect the tasks you might accomplish with an audio CD, such as listening to the CD or copying it to your hard disk.

Figure 6-6  The Audio CD dialog box.
Figure 6-6. The Audio CD dialog box.

To make your choice the default choice so you won’t need to navigate through this dialog box each time you insert an audio CD, select the Always Do The Selected Action check box. Note that you can change this decision later by opening My Computer, right-clicking the CD drive, and choosing Properties from the shortcut menu. Click the AutoPlay tab and select the appropriate choice.

To play an audio CD, you can select Play Audio CD from the Audio CD dialog box. You can also select Take No Action (or press Esc), open the Player, and then select the audio CD from the playlist drop-down list box, as shown in Figure 6-7.

Figure 6-7  Displaying the playlist drop-down list box.
Figure 6-7. Displaying the playlist drop-down list box.

Either method starts the audio CD. You can adjust the volume, navigate through the tracks, pause, play, and stop the music using the Player’s on-screen controls, located at the bottom left of the player.

To copy music from the audio CD, select Copy Music From CD in the Audio CD dialog box. (The same option can be accessed by selecting Copy From CD on the right side of the Player itself.) We discuss this option in the section “Copying Music from CDs,” later in the chapter, because there is some setup you need to perform before you copy music: You’ll want to configure where and in what format copied music is stored.

POWER TIP
Before you can play digital music that’s stored on your hard disk, you must first find that music. To do so, press F3 or point to Tools, and then select Search For Media Files from the Player’s menu. The Player ships with a sample single by David Byrne, and you can experiment with that to get a feel for how the Player works. The first time you start the Player, this song plays automatically.
Playing Streaming Audio and Online Radio Stations

When you select a Web hyperlink that plays an audio or video format that’s handled by the Player, you can choose to view or listen to that file with either the Player or Microsoft Internet Explorer’s built-in media player. (To access Internet Explorer’s Media Player, on the View menu, select Explorer Bar and then Media. This will open a frame to the left entitled Media Places.) Some Web-based media, however, is streamed, or played as it downloads. This lets you use the media before the entire clip has been downloaded to your PC.

For examples of streaming media, select the Media Guide option on the Player’s taskbar. This loads the Windows Media Web site in the Player and lets you navigate to audio and video clips you might want to play, such as movie and song previews.

Streaming media is particularly sensitive to your Internet connection, so your experience using a broadband connection such as a cable modem is going to be much nicer than that of using a dial-up modem. Because streaming clips are played as they are downloaded, they can be interrupted if there is heavy traffic on the Internet. The Player attempts to overcome this problem by caching, or buffering, several seconds of each clip before it begins playing. That way, the player can overcome hiccups and small service interruptions. However, this doesn’t always succeed, so you should expect the occasional drop-out while accessing streaming media.


Configuring the Player

The Player offers a wide range of configuration options, which are available in the Options dialog box. You can access this dialog box by choosing Options from the Tools menu in the Player. The following sections highlight the options that might not be obvious or those that dramatically improve your experience using the Player.

The Player Tab

On the Player tab, set the Player to check for updates once a day if you have a broadband connection. Because some parts of the Player are based on Internet Explorer and rely on live Web connections, it’s critical that you have instant access to any security updates that might become available. Select the Download Codecs Automatically check box to ensure that the Player can download any necessary codecs, which lets the player work with different media file types.

By default, the Player displays an anchor window in the bottom right corner of the desktop when in Skin Mode. This anchor window is unnecessary, so clear the Display Anchor Window When In Skin Mode check box. If you want to exit Skin Mode, remember that you can always right-click the skin to access a shortcut menu.

The Copy Music Tab

The Copy Music tab is crucial if you are going to be copying songs from audio CDs to digital audio files on your hard disk, because it lets you select how and where such files are created. In the top section, you select where the music files are copied (%Systemdrive%\Documents and Settings\%Username%\My Documents\My Music, by default, where %Systemdrive% is the drive where the file is located and %Username% is your user name). You can change this location by clicking Change and navigating to a new location. If two or more users are sharing the same computer, you might consider placing music files in the Shared Music folder instead, for example (located in %Systemdrive%\Documents and Settings\All Users\Documents\My Music, by default).

To configure how digital music files are named, click Advanced to display the File Name Options dialog box shown in Figure 6-8.

Figure 6-8  The File Name Options dialog box.
Figure 6-8. The File Name Options dialog box.

Your choices here are fairly limited. You can construct a file naming template by selecting and ordering details such as track number, artist, song title, and so on, but you can choose only one separator (a space, dash, dot, or underline) to appear between each detail. Say you choose to create file names comprised of artist name and song title separated by dashes. These file names would take the form artist name-song title with no spaces on either side of the dash (although the artist name and song title may have spaces). In the Copy Settings frame of the Copy Music tab, you select the file format and quality level to use when copying music.

By default, the Player supports only WMA format, but you might also have MP3 as an option. There are two ways to add MP3-ripping capabilities to the Player. First, you might have purchased a new Windows XP computer that offered this as a value-added feature. If not, you can download inexpensive MP3 add-ins from several companies. See the Windows Media Web site (http:// www.microsoft.com/windows/windowsmedia) for details. Note that the Player can play MP3 files; an add-on is needed only if you want to copy CD-based music to your hard disk in MP3 format. If you do want to use MP3 format and don’t want to pay for an add-on, just use one of the many MP3-ripping applications available for download from the Web. We discuss a few of the best ones in Chapter 20, “Third-Party Audio Tools.”

After you’ve selected a format, you must select a quality level, which varies from 48 kilobits per second (Kbps) to 192 Kbps for WMA format. You might want to experiment a bit before making a final decision: Higher quality levels produce better sound, but the resulting files take up much more space; on the other hand, smaller files take up much less space on your hard disk but won’t sound as good.

Recording WMA files at 128 Kbps and MP3 files at 160 Kbps produces songs of roughly the same perceived quality level, but the MP3 versions always take up much more space. However, many people are reportedly quite happy with 64-Kbps WMA files. If you know you’ll be using the media on portable devices, such as digital audio players or Pocket PCs, smaller is always better because of the limited storage capacity of those devices.

The Devices Tab

The Devices tab displays information about each of the devices that are currently connected to the PC and can be used with the Player. If you have a CD drive, Pocket PC, CompactFlash reader, compatible portable audio player, or similar device, it appears here. On this tab, you can also use the Add button to open a Web page listing of the available devices that the Player can transfer files to, the Refresh button to refresh the list of devices, and the Properties button to change the device settings, which will depend on the device in question.

The Performance Tab

The Performance tab determines how well the player can take advantage of your system’s hardware. You have to adjust the settings here for optimal performance. After making sure that the Video Acceleration option is set to Full, click Advanced to display the Video Acceleration Settings dialog box shown in Figure 6-9. By default, the Digital Video slider is set closer to Large, which is not what you want: Move this all the way to Large and click OK. This allows your digital video clips to play full-sized movies, including any DVD-quality, 720 480 ones you might have recorded using your camcorder.

Figure 6-9  The Video Acceleration Settings dialog box.
Figure 6-9. The Video Acceleration Settings dialog box.
The Visualizations Tab

If you enjoy watching visualizations—animated screens like screen savers that optionally play in the Player’s Now Playing pane while you’re listening to digital music or audio CDs—you can configure individual visualizations from the Visualizations tab. Just select the appropriate visualization and then click Properties. If you’ve downloaded additional visualizations and they didn’t install automatically, you can use the Add button to navigate to the visualization files folder and install them. The Remove button can be used to remove only the additional visualizations you’ve added, not the ones installed with the Player. And the Properties button is used to make visualization settings like screen size, resolution, and so on. These settings will vary, and some visualizations may have no configurable settings at all.

The File Types Tab

The File Types tab comes into play if you’ve installed other media players. Like many other applications, media players tend to exist in a world where they assume that they are the only player you’d ever want. If you select the default install options, these applications simply seize control of media-related file types. You can use this tab to ensure that the Player is set up to play the file types you want.

The DVD Tab

If you have installed a DVD add-on for the Player, a DVD tab is available. (Otherwise, the tab won’t appear.) Like most newer VCR and DVD players currently available, the Player’s DVD settings give you a degree of control over which users can view which movies based on the Motion Picture Association of America (MPAA) ratings (R, PG, and so on). There are also options for selecting closed captioning and language preferences.

NOTE
The features available on the DVD tab vary depending on the choices available on the DVD in question.


Copying Music from CDs

Copying your audio CD collection to your hard disk makes it possible for you to share music with other users in your home, use it on portable audio devices, create audio mix CDs you might use in the car or with a portable CD player, and so on. Once the music is on your hard disk, a whole new world of functionality opens up for you.

CAUTION
At this point, it can’t hurt to stress that it’s illegal to reproduce copyrighted material—including copyrighted music files—without the permission of the copyright owner. Even though you may own the CD or have downloaded licensed digital media files for your personal use, you do not necessarily have the right to redistribute or share that content with others.

First you have to copy the music to your hard disk, of course. This takes some time, especially if you’re a big music fan with an extensive CD collection. Although the process can get a bit monotonous at times, it’s definitely worth the effort.

In the previous section, we discussed the configuration options that affect CD copying, such as file format (WMA vs. MP3) and quality level. Here we look at the steps you’ll actually take with each CD you copy.

As we noted earlier, the AutoPlay dialog box appears by default every time you insert an audio CD into your CD drive. If you’re going to be copying a large number of audio CD selections to your PC, this dialog box can be a nuisance, so you might consider getting rid of it. To do so, perform the following steps:

  1. Open My Computer, right-click the CD drive, and select Properties.

  2. In the Properties dialog box, click the AutoPlay tab, as shown in Figure 6-10, and select the Select An Action To Perform option.

    Figure 6-10  The CD drive Properties dialog box.
    Figure 6-10. The CD drive Properties dialog box.

  3. Click Take No Action, and then click OK. When you’re finished copying your CD collection, you can return to the default behavior if you want.

To copy an audio CD to your hard disk, perform the following steps:

  1. Insert the CD and start the Player. In the Player’s taskbar on the left, select Copy From CD. The resulting window should resemble Figure 6-11.

    Figure 6-11  Copying an audio CD to the hard disk.
    Figure 6-11. Copying an audio CD to the hard disk.

    Note that if you’re online, the Player automatically downloads artist, album, and track information from the All Music Guide, an online music resource; if you aren’t, you can type in this information if you want.

  2. If any of the information is incorrect or the Player didn’t properly identify the album, click Get Names to make changes. Then you can search for artist and album information or edit artist, track, or album information.

  3. By default, all song titles are selected to be copied to the CD; to remove a title, clear the check box next to it. When you’ve made all your adjustments, click Copy Music to begin the copying process. The amount of time the process takes varies depending on the speed of your CD drive.

By default, the Player stores the digital music files in a structure under My Music. There should be a folder representing the artist and a subfolder representing the album name, which contains the actual files. By default, the songs are also added to the Player’s Media Library, which we look at in the following section.


Using the Media Library to Organize Your Music

The Player’s Media Library interface is what you’ll use to access your locally stored digital music. When you rip audio CDs, those files are added to the Media Library, where they are sorted into four categories—All Audio, Album, Artist, and Genre. In effect, these categories are like built-in playlists. For example, you can choose to play All Audio and perhaps turn shuffle on. Or you can play all the songs by the same artist, regardless of album, and sort the list by length, title, or other criteria. In addition, you can make custom playlists of your own that aren’t bound by these categories. (We look at that functionality in the next section.)

Using Album Art

When you copy music from audio CDs to your hard disk, the Player automatically downloads the CD cover art, or album art, for each CD and applies it to the folder that contains the music in your My Music folder. If you want a folder outside the My Music folder to use this feature, you must change the folder type by right-clicking it, selecting Properties, and then clicking the Customize tab. Then you can use the drop-down list to designate the folder as a music folder. As you can see in Figure 6-12, this makes for some visually attractive media folders. In addition, you can view the album art instead of a visualization in the Player. To do so, from the View menu, choose Visualization and then Album Art.

Figure 6-12  A media folder displaying album art.
Figure 6-12. A media folder displaying album art.

If you copied a large portion of your CD collection to your PC before you installed Windows XP, perhaps using MP3 format, you can go back and add album art if you like. First, locate and download album cover art from sites such as http://www.cddb.com and then save each image as Folder.png when you place it in the appropriate folder. Windows XP will automatically use that image as the thumbnail for that folder and in the Player if you choose to display album cover art instead of a visualization.

More Info
There’s a more automated way to do this as well, using the Plus! MP3 Audio Converter LE application that’s part of the Windows Media Bonus Pack for Windows XP. See Chapter 13, “Digital Media Tools for Microsoft Windows XP,” for more information.
Adding Lyrics

Another hidden feature, song lyric support, was added late in the development of the Player and therefore offers a simple user interface. If you’d like to add lyrics manually to each song file, you can do so by following this procedure:

  1. Navigate to a Web site that includes song lyrics, such as http://www.lyrics.com, and locate the artist, album, and songs for which you’d like lyrics.

  2. Select the text of the song lyrics and copy it into the Clipboard by pressing Ctrl+C.

  3. In the Player, right-click the song for which you’re adding lyrics and choose Properties from the shortcut menu to display the Properties dialog box for the song.

  4. Click the Lyrics tab, and then paste the lyrics by pressing Ctrl+V.

To view the lyrics, you need to activate the Lyrics pane in the Player. To do so, select Now Playing Tools, and then Lyrics from the View menu. When a song plays that includes lyrics, the display resembles Figure 6-13.

Figure 6-13  The Lyrics pane in the Player.
Figure 6-13. The Lyrics pane in the Player.


Using Playlists

The default playlists—All Audio, Album, Artist, and Genre—work well enough, but you probably want to create your own custom playlists so that you can listen to blocks of music according to mood or situation. For example, if you’re hosting a dinner party, you might create a playlist of calming jazz and New Age music, or maybe dance music. It’s up to you.

To create a playlist in the Player, select New Playlist in the upper left side of the Media Library view and then provide a name, such as Workout or Dance Songs. You can then add songs to the playlist in a variety of ways: You can drag them from the Media Library, or right-click individual songs and choose Add To Playlist from the shortcut menu. You can also import and export playlists.

Adding Playlists from Windows Explorer

To add playlists to the Media Library from Windows Explorer, navigate to a folder of songs that aren’t in the Media Library, select the material you want to add, right-click it, and choose Add To Playlist from the shortcut menu. As is the case in the Player, the media player loads with the Playlists window open.

Working with MP3 Playlists

If you used Winamp or another audio player before adopting Windows Media Player, you might have a selection of MP3 playlists that you’ve been using. Fortunately, these items can be imported into the Player. To do so, select Import Playlist To Media Library from the File menu and navigate to the playlists. Most audio players support playlist exporting, making this process fairly straightforward.


Making Audio Mix CDs

To make an audio mix CD—an audio CD containing songs copied from your Media Library—you must first create a playlist that represents the resulting CD. This playlist must not exceed the length of your recordable CD media—typically 74 minutes (650 megabytes [MB]) or 80 minutes (700 MB)—but the Player provides a running total of this figure with each playlist, simplifying the process.

When you’re ready to create your CD, select Copy To CD Or Device from the Player’s taskbar. Select the CD drive from the Music On Device drop-down list box on the right side of the player, and the proper playlist from the Music To Copy drop-down list box on the left side of the player. The application should resemble Figure 6-14. To create the CD, click Copy Music.

Figure 6-14  Creating a CD playlist.
Figure 6-14. Creating a CD playlist.


Working with Portable Devices

In addition to recordable CDs, the Player can also copy music to portable devices, such as Pocket PCs and certain portable digital audio players. (See the Windows Media Web site http://www.windowsmedia.com/mg/portabledevices.asp for a complete list.) Most of these devices don’t offer the 650 MB to 700 MB of storage capacity found in a data CD, however, so you are often limited to copying fewer songs to such devices.

One way around this problem is to transcode (degrade) digital audio as it is transferred to such a device. For example, if you encode your WMA files at 128 Kbps, you might transcode these files to 64 Kbps before copying them to a Pocket PC. This process takes time, as it happens on the fly during the copy process, but it can save considerable amounts of space with a minimal reduction in audio quality.

To select a transcoding rate, select Options from the Tools menu in the Player and navigate to the Devices tab. Select the device you want to use from the list and click Properties. Click Select Quality Level and pick a transcoding rate, from a range of 32 Kbps to 128 Kbps.

At this point, the process of copying songs to a device is almost identical to that of copying songs to an audio mix CD, with two caveats. First, portable devices deal with file size, not total song length, as do audio CDs. Second, the Player cannot accurately predict whether all of your playlist songs will fit on the portable device if you choose to use transcoding. Therefore, you might see many unjustified “Might Not Fit” warnings; after a while, though you will get a feel for what does and doesn’t actually fit, and then you’ll know when you can safely ignore the Player’s warnings.


Other Windows XP Audio Features

The Player is an excellent all-around audio (and video) tool, but there are other audio features in Windows XP that bear some mention. For example, you can’t record live audio from your sound card’s audio in port using the Player, but Windows XP does offer two other ways to accomplish this feat, which we examine now.

Using Windows Movie Maker for Audio Recording

As discussed in Chapter 5, “Tools for Working with Digital Photos,” Windows Movie Maker is a wonderful entry-level tool for capturing and editing home movies, but you can also use this tool to capture audio from your sound card’s audio in port or any other audio source you might have connected to your PC. To do so, use the following procedure:

  1. Start Movie Maker by clicking Start, pointing to All Programs, and selecting Accessories. Click Record. This displays the Record dialog box, as shown in Figure 6-15.

    Figure 6-15  Recording audio with Windows Movie Maker.
    Figure 6-15. Recording audio with Windows Movie Maker.

  2. From the Record drop-down list box, select Audio Only, and then click Change Device and select your audio source. Most sound cards have a number of audio line sources, as shown in Figure 6-16. These include Aux, Line In, Microphone, and possibly others, depending on the card.

    Figure 6-16  Choosing an audio source for recording.
    Figure 6-16. Choosing an audio source for recording.

  3. Select a quality setting from the Setting drop-down list box. Movie Maker offers three audio setting defaults: High Quality, Medium Quality (Recommended), and Low Quality. Alternatively, you can select Other and choose among a wider range of options based on the capabilities of the specific audio device.

  4. When you’re ready to record, click Record.

  5. When the recording is complete, Movie Maker prompts you for a location to which to save the resulting audio file.

Working with Sound Recorder

The Sound Recorder application is a simple tool that can be fun to play with, while offering you a couple of useful tricks. Of course, you can record and play back a sound, but another great little feature is that you can use it to embed sounds in a document or link sound files to a document. Shown in Figure 6-17, Sound Recorder is somewhat buried in the Windows XP user interface, but you can find it by clicking Start, pointing to All Programs, Accessories, and then selecting Entertainment.

Figure 6-17  Sound Recorder.
Figure 6-17. Sound Recorder.

Sound Recorder bases its audio input on settings on the Audio tab of Sound And Audio Devices in Control Panel. To change the settings of the Sound Recorder, from the Sound Recorder menu, select Edit and then Audio Properties. The Audio Properties dialog box is shown in Figure 6-18.

To embed a sound into a document, record the sound directly into the Sound Recorder or load the sound file into the Sound Recorder, and then select Copy from the Edit menu. Then open a document in Microsoft Word or another word processing program and paste the sound wherever you want it. This will place a speaker icon right in the document, and the sound plays when you click the icon.

Figure 6-18  The Audio Properties dialog box.
Figure 6-18. The Audio Properties dialog box.
NOTE
Only word processors that support object linking and embedding (OLE) will allow you to embed or link a sound file in a document.


Chapter 7 - Tools for Creating Digital Movies and Video Conferences

Chapter 7
Tools for Creating Digital Movies and Video Conferences

Creating and viewing digital movies and holding video conferences are among the most exciting activities available to users thanks to the new technologies in Microsoft Windows XP. In this chapter, we examine the various ways in which you can work with digital movies and video conferences using tools that are built right into Windows XP. As with other digital media features in Windows XP—primarily digital music and digital photos—you’ll probably discover that Windows XP offers just about everything the average user will ever need.

This chapter covers the following topics:

  • Playing movies

  • Making movies with Windows Movie Maker

  • Video conferencing with Windows Messenger


Playing Movies

Windows XP ships with Media Player for Windows XP, also known as Windows Media Player 8 or simply the Player. The Player is an elegant-looking, all-in-one multimedia powerhouse, designed for creating and managing large collections of digital music, integrating with Internet radio stations and media content sites, burning audio CDs, working with portable music devices, and playing digital movies. The movie features in the Player are not as extensive as its more full-featured music functionality, but with a few tweaks and tricks, you can turn it into a relatively elegant video player as well.

More Info
For more information about the audio capabilities of the Player, see Chapter 6, “Digital Audio Tools.”
Configuring the Player for Digital Movies

The first step of playing movies on the Player is to access the Performance tab in the Options dialog box by performing the following steps:

  1. Click Start and point to All Programs (Programs in the Windows XP Classic view), Accessories, Entertainment, and finally select Windows Media Player.

  2. Select Options from the Tools menu, and then click the Performance tab.

On the Performance tab, you’ll see the slider under Video Acceleration is set to Full, which seems to be the correct setting, Acceleration allows the Player to move the video frames into its frame buffer at a faster rate (if your hardware supports it), avoiding stops or jerks during playback. However, click Advanced and you’ll see that the digital video playback setting (in the frame marked Digital Video) is set about three quarters of the way to Large. This means that full-sized (720 x 480 resolution) digital video will not play back at full size with this setting. Adjust this slider all the way to the right (at Large), especially if you’re going to be doing any digital video editing with Windows Movie Maker, as discussed in the section entitled “Making Movies with Windows Movie Maker,” later in this chapter.

Once the video is set up correctly, any locally stored digital video files will play with the correct resolution.

Playing DVD Movies

If you are running Windows XP with a DVD-equipped computer, you probably have some sort of DVD movie functionality. This could take two forms: a third-party application, such as Cyberlink Power DVD, or a third-party add-on for the Player that allows that application to play back DVDs. This isn’t a feature of the Player out of the box; if you purchased a retail version of Windows XP, it does not include native DVD playback capabilities.

POWER TIP
If you purchased a computer with Windows XP preloaded, it might have included a bundled DVD player; check the manufacturer’s specifications.

To determine whether the Player can play back DVD movies, open the Options dialog box by selecting Options from the Tools menu, and then check if there is a DVD tab. If there is, the Player can play back DVD movies. Check the File Types tab to find out what file types are configured as the default selections for the Player.

If there is no DVD tab, you cannot play back DVD movies with the Player. However, this does not prevent you from using a third-party application to do so, and if your PC shipped with such an application, it probably works fine. Another option, however, is to purchase a DVD Decoder Pack from one of Microsoft’s partners. These add-ins cost about $15 and add DVD playback capabilities to the Player. We take a closer look at these products in Chapter 21, “Third-Party Digital Video Tools.”


Making Movies with Windows Movie Maker

One of the most exciting built-in capabilities of Windows XP is its movie creation and editing software. Movie Maker is a nifty little application that allows you to do almost everything you want to do with digital movies on your PC. Movie maker allows you to create and edit home movies, include text or sound titles, even add special effects, such as smooth transitions from one frame to the next. In this section, we look at the digital movie creation and editing features that are built into Windows XP and discover the useful functionalities of Movie Maker. If you’re excited by Movie Maker’s capabilities and want to take the next step, we’ll be looking at Microsoft Windows media tools in Chapter 14, “Microsoft Windows XP Media Tools,” and third-party digital movie tools in Chapter 21, “Third-Party Digital Video Tools.”

Movie Maker version 1 debuted with Microsoft Windows Millennium Edition (Windows Me) in 2000. Windows XP ships with the updated version 1.1. You can also update Movie Maker to version 1.2 through Windows Update; we discuss Windows Update and the features of this particular upgrade in the section entitled “Distributing Movies,” later in this chapter. Each version of Movie Maker has improved steadily on the original Windows Me version, although the basic premise has always been the same: Provide a simple way to import, edit, and distribute digital or analog video and audio. Movie Maker’s audio creation features, interestingly, are one of the most misunderstood aspects of this program, and the reason it should have been called Windows Media Maker: It’s not just about movies.

You access Windows Movie Maker by clicking Start and pointing to All Programs (Programs in the Windows XP Classic view), Accessories, and finally selecting Windows Movie Maker. The Movie Maker user interface is split into five main sections, as shown in Figure 7-1. At the top is the standard Windows XP–style menu and toolbar section. The middle portion of the application window is divided vertically into three sections. On the left is the Collections area, a tree view listing movies you’ve imported or created. In the middle is the Clips area, where clips from a collection you’ve selected are displayed. Movie Maker can automatically create clips at scene boundaries using either a time code feature that’s built into digital camcorders or automatic scene detection technology for analog movies. On the right is the Preview area, where you can watch an entire movie, a selected clip, or an edited clip that you’re working on. At the bottom of the application window is the Storyboard/Timeline area, which provides two standard views to use while editing your movie.

Figure 7-1  The Movie Maker user interface.
Figure 7-1. The Movie Maker user interface.

Making a movie in Movie Maker involves the same basic steps, regardless of the video source. First you acquire the movie using Movie Maker’s Record feature or the importing functionality. This creates a collection that corresponds to the unedited movie as it exists on disk; if you record the movie, you are prompted to save it to your My Videos folder. The movie represented by this collection is subdivided into clips, which can be viewed in the Clips area. Each clip represents a scene in the movie. To edit the movie, you can drag one or more clips into the Storyboard/Timeline area (shown in Figure 7-2). In Storyboard view, each scene is displayed as a thumbnail, regardless of its length. In Timeline view, the length of clips is shown graphically, making it easier to edit the content. You can toggle between the Storyboard and Timeline views by clicking the Storyboard/Timeline button located above the Zoom In button (the magnifying glass with the plus sign on it) to the left.

Figure 7-2  The Storyboard (top) and Timeline views.
Figure 7-2. The Storyboard (top) and Timeline views.

Movie Maker’s editing tools are basic, but they suit the needs of most people, who simply want to remove unwanted footage from their home videos so that they can save the good parts. It also provides a way to create smooth transitions between scenes so that your editing cuts don’t look harsh or jarring. Finally, Movie Maker provides simple titling features that let you append title graphics anywhere in a movie.

Once you’re done editing the movie—trimming unwanted footage, adding simple transitions, and perhaps adding a text title to the beginning of the film—you can think about how you’d like to distribute your masterpiece. Movie Maker, like most of Windows XP, is inherently linked with the Internet, so most of its distribution options are Internet-related. For example, you can specify that your finished movie be written into a format that works well over the Web or even e-mail. Additionally, Movie Maker supports formats that are appropriate for later conversion into DVD movies, video CDs, or even a few formats that are specially designed for Pocket PC devices.

Movie Maker is thus useful as an end-to-end video-making package, and as mentioned previously, it’s probably powerful enough for all but the most demanding video users. The remainder of this section delves into various aspects of Movie Maker that probably aren’t obvious or fully documented anywhere else. When we’re done, you can decide whether you need more than what’s built into Windows XP.

Understanding Projects and Collections

Unlike a word processing application, which typically requires you to deal with a single document type, Movie Maker imposes a more complex structure that has more in common with Microsoft’s development suite, Visual Studio, than Microsoft Word. In addition to the terminology introduced in the previous section, Movie Maker works with something called a project that corresponds to an edited movie. Recall that imported or acquired movies are stored in Movie Maker as collections. These collections are related to on-disk movies in a one-to-one relationship: Each collection represents a single file on the disk. If you rename or move that file and attempt to open the collection in Movie Maker, you’ll get an error message, and Movie Maker asks you if you’d like it to find the original. (Incidentally, that will be impossible for Movie Maker to do if you renamed the file; in that case, you’ll have to import it again.)

Creating collections has no bearing on a project. Indeed, you can’t actually save a Movie Maker project until you’ve dragged at least one clip into the Storyboard/Timeline area because Movie Maker projects represent edited video. Therefore, a Movie Maker project file (*.mswmm) is basically a list of shortcuts. It includes a reference to the movie file you’re editing, the clips you’ve dragged into the Storyboard/Timeline area, the order in which they appear, any editing changes you’ve made, any title graphics you’ve added, and any transitions you’ve applied.

If it isn’t obvious, Movie Maker relies on static file placement, so be sure that any movie assets you’re working with—movie, image, and sound files, for example—remain in the same location for the duration of your movie editing. To drive home this point, Movie Maker refers to these asssets as source files, because they form the basis for a finished product, which Movie Maker calls a movie.

The relationship between collections and projects is not obvious. If you spend an afternoon copying movies from a digital “videotape,” for example, you create a number of collections, which basically means that Movie Maker is aware that certain source files exist locally and has created clips so that they can be edited more easily. However, Movie Maker won’t create a single project until you drag at least one clip into the Storyboard/Timeline area. When you do this, everything changes.

For one thing, Movie Maker is now ready to assemble the finished product. Once a clip—any clip, even a still image or audio file—has been dragged into the Storyboard/Timeline area, it’s time to get to work. You can edit the clip and add transitions and titles. You can add a single audio track, such as a voiceover or a musical accompaniment. Then you can distribute your final product. In short, you can make a movie.

Actually, Movie Maker calls this process saving a movie. We look at saving movies more closely in a bit, but it’s worth mentioning here that the saved movie is somewhat represented by the Movie Maker project. We say “somewhat” because Movie Maker projects can be used again and again to save movies of varying formats, resolutions, and quality ranges. Therefore, it’s possible to use a single project to output several movie versions, each applicable to a different type of distribution. For example, you might save Web-friendly movies in 56-kilobit-per-second (Kbps), 128-Kbps, and 256-Kbps formats. Unlike the one-to-one relationship between a movie source file and a collection, there really isn’t a one-to-one relationship between a project and a saved movie.

Because the semi-disconnected relationship between collections and projects might get confusing, we recommend working within the context of a project. When you start Movie Maker, try to load an existing project if you’re going to continue with some previous work. Don’t forget to save the project before you wipe out the Storyboard/Timeline area to start a new movie: the collections will always remain available in Movie Maker, but once you delete the clips (and the associated changes you’ve made) from the Storyboard/Timeline, they’re gone. Save those projects, and you’ll never have to go to the trouble of redoing a lot of work.

Capturing Video and Audio

Most people will use Movie Maker to capture home movies or other similar video through a FireWire/IEEE-1394–based digital video port or an analog video capture device. When performing this task, you’re almost always going to want to capture both audio and video, and Movie Maker assumes that this is the case, attempting to find the appropriate audio and video sources automatically when you begin a capture. Save yourself some heartache and make sure these sources are set correctly. There’s nothing worse than recording a two-hour videotape only to discover that the audio source was set incorrectly and you’ve inadvertently created a digital silent movie.

Movie Maker’s audio and video recording capabilities can be seen through the Record dialog box, shown in Figure 7-3. This dialog box can differ dramatically depending on the audio and video sources available on your particular system. If a video source is found, Movie Maker defaults to audio and video capture (likewise, it chooses to capture from a digital source before trying an analog source). Otherwise, you’ll either get just audio capture or an error message asking you why you don’t have any acceptable audio and video sources.

Movie Maker can also determine the amount of time the recorder will record so that you can leave the device to work unattended. The default time setting is two hours, but you can change it to any value up to 24 hours and let Movie Maker work automatically.

Figure 7-3  The Record dialog box.
Figure 7-3. The Record dialog box.
POWER TIP
If you click Change Device, you’ll open a dialog box that gives you the ability to change audio and video devices or configure the selected devices. For example, a digital camcorder can be manipulated electronically using on-screen controls directly in Movie Maker, which is a pretty impressive trick. In the Configure dialog box, you can actually fast-forward a digital videotape to a precise tape location, if desired, so that recording can begin at exactly the right moment. On the other hand, this functionality is rarely needed; it’s more likely that most people will simply pop in a tape and then press Record.

By default, Movie Maker creates clips after it has recorded a video, saved it to tape, and created a collection. This process takes some time, especially for longer videos, but it’s definitely worth the effort if you plan on editing the video at all, beyond trimming the beginning and end. However, if you don’t need this functionality and would like to save some time, clear the Create Clips check box in the Record dialog box.

POWER TIP
If you don’t create clips for a video and later decide that you’d like to edit it further (and therefore wish you had made clips), all is not lost. Simply delete the collection corresponding to the video you’d like to edit (don’t worry, it won’t delete the source file) and then import the video by selecting Import from the File menu. When you do this, be sure to select the Create Clips For Video Files option. Voilà! Good as new.

Movie Maker can also disable its preview window while you’re recording a movie. This is a good idea if you’re using a less powerful machine and have set the recording time limit. Otherwise, you won’t be able to tell when to stop recording.

Understanding Video Formats

When recording a video to a source file, you should use the highest quality resolution possible, because you can always save it into a lower quality (and smaller) version for later distribution. However, if you record the video at a low resolution, your master copy will be that low resolution, making it difficult to achieve the best possible results. On the other hand, higher quality video takes up a lot of hard disk space, and that might be unacceptable if you don’t have a lot of free space.

It’s a dilemma for the ages. Most other video editing packages work with an uncompressed video format called Audio Video Interleaved (AVI), a slightly compressed format called Digital Video AVI (DV-AVI), a heavily compressed format called Moving Pictures Experts Group (MPEG), or some combination of the three. Each of these formats has its strengths and weaknesses, but there’s no middle ground. The AVI formats offer high-quality video, but at the expense of huge amounts of hard disk space. Compressed MPEG video takes up relatively little hard disk space, but the resulting video is full of artifacting and other unwanted on-screen glitches. (Artifacting is a flaw that results from image distortion, causing the image pixels to become out of balance. The level of distortion determines how noticeable the artifacts are.)

To overcome this and other problems, Microsoft came up with its own digital video format, or codec, called Windows Media Video. Currently in version 8, Media Video offers superior compression algorithms for small file sizes, but it also offers excellent video quality, even at lower quality settings. Because Media Video files are small and of high quality, and also can be played back on the two leading Web client platforms—Windows and Apple Mac OS—they’re a great compromise, especially for electronic movie distribution.

It should come as no surprise that Microsoft’s Movie Maker application works with Microsoft’s digital movie codec, but it’s not as exclusive as it sounds. Yes, Movie Maker records movies only in Media Video and DV-AVI, if you’re working with a digital source, but it can import a variety of digital movie formats (including MPEG), not to mention a wide range of digital audio and image formats as well. If you’re concerned about interoperability, record in DV-AVI so that the resulting files can be used with other authoring packages, although third-party Media Video support is also starting to grow. If you just want to create great-looking videos that can be viewed by just about any Web or e-mail user, Media Video is a good option.

That said, let’s take a look at the various formats you can use when you record video with Movie Maker. The stock formats are available regardless of the video source, but some of the other choices might or might not appear depending on the capabilities of your system.

Stock Formats In the Setting drop-down list in the Record dialog box, you’ll see three basic stock formats, all of which correspond to some sort of Media Video format for Web or e-mail distribution:

  • Low Quality This is equivalent to Video For Web Servers (56 Kbps), and it offers a low 176 x 144 resolution and only 15 frames per second (fps). The end result is pretty pixilated, with lots of artifacting and a postage stamp–sized display. The good news, of course, is that video in this format can be streamed over even the slowest modem connection.

  • Medium Quality This setting is the same as Video For E-Mail And Dual-Channel ISDN (128 Kbps), and it offers a decent 320 x 240 resolution, but only 15 fps, about half what you get with full-motion video.

  • High Quality This setting is the same as Video For Broadband (384 Kbps), and this is where things start to get interesting. The resolution is 320 x 240, but the frame rate is bumped up to 30 fps, which makes a huge difference in quality.

  • Other In addition to the three stock choices, you can select Other and see the rather long list shown in Table 7-1. Note that your available options might differ, depending on the source device attached to your system and whether you’ve updated Movie Maker to the latest version.

Table 7-1. Movie Maker Formats and Quality Settings
Quality Setting Profile and Recommended Connection Speed | Video Bit Rate | Video Resolution | Audio Sampling and Bit Rates
Video For Web Servers (28.8 Kbps) | 9 kilobits per second (Kbps) | 160 x 120 | 8 kilohertz (kHz), 8 Kbps
Video For Web Servers (56 Kbps) | 16 Kbps | 176 x 144 | 11 kHz, 10 Kbps
Video For Single- Channel ISDN (64 Kbps) | 35 Kbps | 240 x 176 | 11 kHz, 10 Kbps
Video For E-Mail And Dual-Channel ISDN (128 Kbps) | 78 Kbps | 320 x 240 | 16 kHz, 16 Kbps
Video For Broadband (256 Kbps) | 185 Kbps | 320 x 240 | 32 kHz, 31 Kbps
Video For Broadband (384 Kbps) | 307 Kbps | 320 x 240 | 32 kHz, 31 Kbps
Video For Broadband (768 Kbps) | 617 Kbps | 320 x 240 | 44 kHz, 63 Kbps
Video For Local Playback/CD-R (1500 Kbps) | 1336 Kbps | 640 x 480 | 44 kHz, 125 Kbps
Video For Local Playback/CD-R (2 Mbps) | 1824 Kbps | 640 x 480 | 44 kHz, 125 Kbps
Video For Color PDA Devices (150 Kbps) | 109 Kbps | 208 x 160 | 22 kHz, 31 Kbps
Video For Color PDA Devices (225 Kbps) | 182 Kbps | 208 x 160 | 22 kHz, 31 Kbps
Full-Screen Video For Color PDA Devices (225 Kbps) | 193 Kbps | 320 x 240 | 22 kHz, 20 Kbps
WMV7 Video For Broadband (384 Kbps) | 307 Kbps | 320 x 240 | 32 kHz, 31 Kbps
WMV7 Video For Broadband (768 Kbps) | 617 Kbps | 320 x 240 | 44 kHz, 63 Kbps
WMV7 Video For Broadband (1500 Kbps total) | 1336 Kbps | 640 x 480 | 44 kHz, 125 Kbps
WMV7 Video For Broadband (2 Mbps total) | 1824 Kbps | 640 x 480 | 44 kHz, 125 Kbps
DV-AVI (25 Mbps) | 1378 Kbps | 720 x 480 (NTSC) | 48 kHz, 16 Kbps

How do you choose a quality setting? Consider your intended audience. If your movie is eventually going to end up on the family Web site, for example, record at the highest possible setting with the understanding that you will output video in at least two or three quality levels to give your viewers a choice. If you’re recording from a digital source, however, always use DV-AVI, because this gives you the best quality.

Importing Existing Videos

You aren’t limited to editing acquired videos, of course. You can also import videos that you might already have on your hard disk. Movie Maker can import a variety of formats, including Microsoft formats such as Active Streaming Format (ASF), AVI, and Media Video, as well as various MPEG versions, including MPEG-1 and MPEG-2. This means that Movie Maker is compatible with most of the movie files you’d create with desktop video packages, but not with the most common Web formats, Real Video and Apple QuickTime.

Analog vs. Digital

The movie recording features you see in Movie Maker largely depend on the type of video source, which can be digital or analog. Digital video enters the computer through a FireWire/IEEE-1394 connection and generally requires a PC with a minimum CPU speed of 600 megahertz (MHz) because of the sheer bandwidth required by the recorded video. Analog video can enter the PC through a variety of hardware connections, including low-bandwidth universal serial bus (USB) video dongles (which limit the resolution of the resulting video) and proprietary hardware from companies such as Pinnacle, Sonic, and Dazzle. These hardware solutions provide analog connections, such as RCA audio and video jacks and Super-video (S-video), and can generally record video in a wide range of quality settings.

NOTE
A dongle is a device that contains a software key in the form of a small piece of hardware that attaches to either a parallel or serial port. When you load the application it queries the dongle for the key. If no key is found, the software will not operate.

For sheer quality, you can’t beat digital video. The source material is of higher resolution and quality and the connection is fully digital—so you’re getting an essentially loss-free one-to-one copy of the original video—and the resulting edited movie can look and sound exceptional, regardless of the eventual quality setting used.

The quality of analog video varies remarkably depending on several factors, including the quality of the source material, the hardware connection used to capture the video, and the quality setting used in Movie Maker while recording.

Digital video has other advantages, especially when used in Movie Maker. Digital video writes timestamp information on the videotape, and Movie Maker can use this information to intelligently create clips that are comprised of actual scenes, or events. With analog video, clips have to be generated programmatically and might therefore have no relation to actual events in the video. Digital video cameras can be controlled using on-screen controls in Movie Maker, as shown in Figure 7-4.

Figure 7-4  Using the Record dialog box to control a digital video camera.
Figure 7-4. Using the Record dialog box to control a digital video camera.

This makes the recording process that much easier, because you never have to take your hands off the keyboard and mouse to work the camera controls; everything you need is right there on the screen.

NOTE
If you want to start video editing, you don’t need to spend a lot of money. Simply purchase a low-cost USB dongle device, such as the Belkin USB VideoBus II, which features analog audio and video and S-video ports. You can connect a low-cost TV or VCR directly to the dongle device, record video to your PC, and experiment.
Recording Audio with Movie Maker

As discussed previously, Movie Maker is not just for video: it’s also a suitable audio acquisition tool. You can record audio only using the standard Record dialog box and an appropriate audio device, such as the sound card in your PC, a microphone, an audio capture device that’s part of a wider analog video capture device, or similar hardware. This can be handy for a variety of tasks, including voiceover narrations or even background music that you might want to add to a home movie.

Like video recording, audio recording can be handled in a variety of quality settings that vary depending on your hardware. These include, again, three stock formats, although in sharp contrast to the corresponding video formats, the stock audio formats are actually of higher quality than the other available formats:

  • Low Quality (64 Kbps stereo) CD-quality audio with a 44-kHz sampling rate and a 63-Kbps bit rate

  • Medium Quality (96 Kbps stereo) CD-quality audio with a 44-kHz sampling rate and a 94-Kbps bit rate

  • High Quality (128 Kbps stereo) Audio with CD-quality transparency, a 44-kHz sampling rate, and a 125-Kbps bit rate

Other audio quality settings include those shown in Table 7-2. Note that your available options might differ, depending on the source device attached to your system and whether you’ve updated Movie Maker to the latest version.

Table 7-2. Movie Maker Audio Quality Settings
Audio Profile Name | Sampling Rate | Stereo or Mono | Bit Rate (Approximate)
Audio For Low Bit Rate Voice- Oriented Content (6.5 Kbps) | 8 kHz | Mono | 6.5 Kbps
Audio For FM Radio Quality For Dial-Up Modems (28.8 Kbps mono) | 22 kHz | Mono | 20 Kbps
Audio For FM Radio Quality For Dial-Up Modems (28.8 Kbps stereo) | 22 kHz | Stereo | 20 Kbps
Audio For Dial-Up Modems (56 Kbps) | 32 kHz | Stereo | 31 Kbps
Audio For Single-Channel ISDN (64 Kbps) | 32 kHz | Stereo | 47 Kbps

Audio files recorded in Movie Maker are saved in Windows Media Audio format, and they do not generate a new collection unless you have yet to create any collections. Instead, recorded audio files are added to the current collection, as shown in Figure 7-5.

Figure 7-5  A recorded audio file being added to a collection.
Figure 7-5. A recorded audio file being added to a collection.
Importing Audio

In addition to Movie Maker’s native audio recording features, you can import a wide range of audio file types. Movie Maker supports importing of .wav-, .snd-, .au-, .aif-, .aifc-, .aiff-, .wma-, and .mp3-formatted audio, which pretty much covers what you need.

Recording Narration

In addition to the audio recording functionality in the Record dialog box and the audio import feature, Movie Maker also offers an integrated narration feature that lets you record an audio narration track while watching the video. Here’s something really odd: The resulting audio is saved as an uncompressed .wav file, rather than in a .wmv format. When you record a narration track, it replaces whatever else used to be in the audio track, which can be a handy feature when used with care.

Editing Audio

It’s not documented fully, but you can also edit audio that’s been imported into Movie Maker. All you can really do is trim audio, so you can remove a segment of audio from the beginning, end, or middle of any audio clip and thereby have its length match the length of the associated video. However, Movie Maker offers no way to fade the audio in or out, which you’d especially want for background music. You also can’t blend two or more audio tracks. What you get is the audio that’s associated with the video and one additional audio track, which can be music or narration but not both simultaneously, unless you prerecord it in another application. You can drag multiple audio tracks into the Storyboard/Timeline, as long as you don’t mind them playing sequentially.

Video Editing

Of course, video editing is one of the primary reasons for using Movie Maker, and in this regard, the application functions very well. Remember that most users simply want to remove unwanted portions of video and then stitch the remainder back together into a cohesive whole that can be distributed to friends and family. The way to do this in Movie Maker is with the Timeline view.

First, drag some video clips into the Storyboard/Timeline area and then select Timeline from the View menu. In Timeline view, clips are shown in their correct length relative to other clips, and you can adjust the view by zooming in and out on the timeline. As shown in Figure 7-6, the Timeline view features a running timeline along the top, a track or row containing the video clips you’d like to edit, and an audio track.

Figure 7-6  Using the Timeline to edit video clips in a linear, time-based workspace.
Figure 7-6. Using the Timeline to edit video clips in a linear, time-based workspace.

If you select a clip, the timeline changes to a different color (blue in the default Windows XP color scheme), and two triangular user interface elements, called trim handles, appear, as shown in Figure 7-7. When you move your pointer over the timeline, it turns into an up arrow, indicating that you can mark a specific point in time on the timeline by clicking. If you do so, the Play Indicator line moves to that location in the timeline.

To edit a segment of video from the beginning of the clip, slowly move the leftmost trim handle (Start Trim) to the right. When you release the mouse button, the video is cut. Note that the cut does not permanently affect the underlying source video, only the clip you’re working with in Movie Maker. Likewise, to trim video from the end of the clip, grasp the rightmost trim handle (End Trim) and move it slowly to the left. When you release the mouse button, the remaining video is cut.

Figure 7-7  Working with trim handles and the time marker.
Figure 7-7. Working with trim handles and the time marker.

Editing from the center of a clip is a little more complex. You can’t just move the Start Trim and End Trim handles around at random because you might accidentally erase the wrong portion of the video. The key is to split the clip where you’d like the cut to be made. For example, let’s say you want to cut a segment of video that appears between 2:00 and 2:30 on the timeline. Move the Play Indicator to 2:00 and then select Split from the Clip menu. This splits the current clip into two clips, and now you can use the method described in the previous paragraph to edit those clips.

Making Transitions

You might want to ease the change from one clip to another with a transition so that the effect isn’t jarring to the viewer. Movie Maker offers one transition type, the cross-fade, which is the most common and least invasive of all transitions. Cross-fading is an effect that fades out the current frame while transitioning into the next one.

To create a cross-fade in Movie Maker, find two sequential clips and display them in the Timeline view. Grab the rightmost of the two clips and drag it to the left so that the second clip appears to overlap the first, as shown in Figure 7-8.

Figure 7-8  Creating a cross-fade.
Figure 7-8. Creating a cross-fade.

The farther you drag, the more the two clips overlap during the transition, so experiment a bit and keep an eye on the timeline to see how far you’re going. Generally transitions that last between 3 and 6 seconds seem to work fine. If you do it right, people viewing your final video probably won’t even notice them.

Fading with Colors

Given the simple nature of the single type of transition that’s available, you can have a surprising amount of fun with it. For example, you can cause your movies to “fade in” from a solid color (white or black works best) when they start, and then fade out to a solid color (again, usually white or black) when complete. To do this, create a bitmap image of the desired color in Microsoft Paint and save it at the same resolution as the source video you captured or imported. Next import the bitmap into Movie Maker, drag it to the video timeline, and create a transition between it and the first (or last) video clip, just as you would between two video clips.

Fun with Titles

Another feature that you can add is a title bitmap. Movie Maker does not support a discrete titling track, so you can’t add text titles or other effects over live video, but you can create a title image, and this can be simple text or even a photo; it’s up to you. Again, the process is the same: Import the bitmap into Movie Maker and then drag it onto the timeline. You can also create a “The End” screen or an end-of-movie credit reel as well.

Movie Maker also includes a title technique that’s pretty professional-looking, so you might want to try it. First, edit the video as you want it to be and then save it to disk in the highest possible quality. Start the Player and play the movie until you find a frame that would make a nice background image for the title. Press Ctrl+I to capture a screenshot of the movie and name it Capture.png. (You might have to experiment a bit to get the shot just right.)

Edit the Capture.png file in Windows Paint and save it as a 24-bit bitmap with a file name such as Title.bmp. Using Windows Paint or your favorite image editing program, add text titles to the image, as shown in Figure 7-9, and save it under a different name, such as Title2.bmp. When you’re done, you should have two images to import into Movie Maker, Title.bmp and Title2.bmp, which is the same image with text added.

Figure 7-9  Using Windows Paint to make and edit graphics for use in movies.
Figure 7-9. Using Windows Paint to make and edit graphics for use in movies.

Next, drag Title.bmp to the beginning of the timeline and set its length to 5 seconds. Drag Title2.bmp to the timeline between Title.bmp and the first video clip, and adjust its length to 5 seconds. Finally, drag a second copy of Title.bmp to the timeline between Title2.bmp and the first video clip. This image should be adjusted to be 5 seconds long as well.

Now use a cross-fade transition between each of the three images and the first video clip. The effect can be stunning: The text title appears to fade in and out over the title backdrop, which then fades into the beginning of the video itself. A similar effect could be used at the end of the video to create Hollywood-style end credits.

Distributing Movies

Once your masterpiece is complete, you can share it with the world. Movie Maker is geared largely toward local playback and Internet-based distribution through the Web and e-mail, so if that was your intention, you should be all set. Just click Save Movie and choose an appropriate video format. (The formats are identical to those listed in Table 7-1.)

If you want to create a video CD or DVD movie, you need a third-party tool and the appropriate hardware. We look at these options in Chapter 21, “Third-Party Digital Video Tools.”

POWER TIP
Windows XP ships with Movie Maker 1.1, but if you visit Windows Update, you can download an update to version 1.2. We strongly recommend that you download this update, which adds support for the Windows Media Video version 8 video codec, enables 640 x 480 video recording, and improves the quality of DV-AVI files published by Movie Maker. Access the Windows Update Web site as described in the sidebar “Windows Update”; the Movie Maker upgrade can be found under Recommended Updates.
Windows Update
Windows Update is a Microsoft Web-based tool that helps keep your computer up to date. These updates include a wide range of Microsoft Windows technologies. Windows Update is simple to use and has several key settings that can be configured to suit your needs. These settings are accessible from the Automatic Updates tab located on the System utility located in Control Panel.

To configure the Windows Update settings, perform the following steps:

  1. Click Start and point to Control Panel, Performance And Maintenance, and then select System. If using the Windows XP Classic view, click Start, point to Control Panel, and select System.

  2. Click the Automatic Updates tab, and then review the following settings:

  • Download The Updates Automatically And Notify Me When They Are Ready To Be Installed.

  • Notify Me Before Downloading Any Updates And Notify Me Again Before Installing Them On My Computer.

  • Turn Off Automatic Updating. I Want To Update My Computer Manually.

The first setting, which is the default, downloads updates automatically. However, most people choose the second or third setting because they would rather have control over which updates and fixes are applied to their computers. If you choose the manual setting, you will need to visit the Windows Update Web site from time to time and follow the provided instructions to review, download, and apply updates. To get to the Windows Update Web site, click Start, point to All Programs, and then select Windows Update. (In the Windows XP Classic view, click Start and select Windows Update.)


Video Conferencing with Windows Messenger

One of the new features in Windows XP is Windows Messenger, a Windows XP–specific version of Microsoft’s MSN Messenger product. Like previous versions of the software, Windows Messenger is an instant messaging (IM) application, but it also offers a far wider range of services, including a video conferencing feature that can give you the equivalent of the video telephones in futuristic cartoons. The following section explores this feature in detail. (For information about the other features of Windows Messenger, see Chapter 15, “Tools in Microsoft Windows Messenger.”)

Windows Messenger and Video Conferencing

If you’d like to take part in a video chat, or video conference, with one of your Windows Messenger contacts, we recommend the following minimum requirements:

  • Both Windows Messenger contacts have a Windows XP–compatible video camera of some kind. An inexpensive USB Webcam will work fine because the video display is small anyway.

  • Both Windows Messenger contacts have an audio input (such as a microphone) and speakers so that you can talk to each other. A USB headset is usually the best choice in terms of quality. It’s possible to simply display video without audio, of course, but this isn’t very useful.

  • A broadband Internet connection such as cable modem, Digital Subscriber Line (DSL), or two-way satellite. Video, even for the small video frame displayed by Windows Messenger, requires a decent connection, and a dial-up account won’t be sufficient.

  • The edge box (usually a cable modem or DSL router) that is connected to your broadband connection on your local network must be a Universal Plug and Play (UPnP)–aware device, such as a Windows Me– or Windows XP–based PC or a UPnP-enabled hardware gateway, such as those offered by companies like Linksys and D-Link. We discuss this requirement more thoroughly in the section entitled “Making It Work,” later in this chapter, because it is often a source of confusion for people wondering why various Windows Messenger features don’t work.

If you meet these requirements, setting up a Windows Messenger video chat is a straightforward process. First, however, you must configure your video and audio devices to work with Windows Messenger.

Configuring Windows Messenger for Video Chat

To configure audio and video in Windows Messenger, open the program by clicking Start, pointing to All Programs (Programs in the Windows XP Classic view), and then selecting Windows Messenger. Select Audio Tuning Wizard from the Tools menu. (Despite the name of the command, it actually launches the Audio And Video Tuning Wizard. Note, however, that the name of the wizard and its menu selection name may differ depending on your version of Windows Messenger.) The wizard takes you through the necessary steps. First you configure your video camera. The wizard presents a drop-down list of the available compatible video devices, so you can pick the one to be used for WIndows Messenger chats. Once you’ve selected a compatible device, the wizard previews the video output so that you can test it and make sure that it is focused and otherwise working properly, as shown in Figure 7-10.

Figure 7-10  Testing video in the Audio And Video Tuning Wizard.
Figure 7-10. Testing video in the Audio And Video Tuning Wizard.

Next you configure your microphone and speakers. Ideally, you will use a headset microphone for this task, but your desktop speakers and any PC-compatible microphone will work. After these devices are selected, you can test and adjust the speaker volume to be used for incoming audio and the microphone volume.

Using Video Chat

To initiate a video chat, open Windows Messenger, select a contact, and then click Send Instant Message to display the Conversation window shown in Figure 7-11. Your contact will not be aware that you’re starting a conversation until you type a text message or select one of the top few choices in the task pane found on the right side of the window.

Figure 7-11  The Conversation window in Windows Messenger.
Figure 7-11. The Conversation window in Windows Messenger.

Click Start Camera to launch the video display. On the other user’s PC, an alert window like the one in Figure 7-12 appears, notifying your contact that you’d like to begin a chat.

Figure 7-12  A video chat alert in Windows Messenger.
Figure 7-12. A video chat alert in Windows Messenger.

When the other user clicks the alert window, a Conversation window appears with an invitation to join the chat. He or she can click Accept to join or Decline to refuse the invitation.

If the chat request is accepted, the video window in each Conversation window appears. What you see depends on whether both users have video cameras. If they do, a picture-in-picture display appears. Both users can talk, view video, and perform normal text chats simultaneously.

NOTE
Although Windows Messenger combines features that were previously available in both MSN Messenger and Microsoft NetMeeting, Windows Messenger lacks one key NetMeeting feature related to real-time communications: Windows Messenger is limited to two users, or peer-to-peer only, for anything but text chatting. If you want to perform audio or video chats, share applications, or use a whiteboard, you can do so with only one other user.

You can adjust the speaker and microphone volume using the appropriate sliders, and either user can end the audio and video interactions by clicking Stop Talking and Stop Camera, respectively.

Troubleshooting Windows Messenger

Some of the new Windows Messenger features, especially video chat, are pretty exciting, but some users have trouble getting them to work. This is because Windows Messenger uses a new signaling protocol called Session Initiation Protocol (SIP), an open standard that was designed for various forms of real-time communication, such as Internet conferencing, telephony, presence, events notification, and IM. (Sound familiar?) Unlike previous protocols or proprietary methods for performing some of these tasks, SIP was designed with security in mind. Therefore, it opens ports on the outbound Internet connection only temporarily and then closes them when the conversation is complete. Each time a SIP session is started, a random port range is used. Contrast this with older approaches, in which a fixed port or range of ports could be used only after a rather laborious manual configuration.

SIP sounds great, theoretically, but it can be troublesome for most existing edge boxes, including hardware-based broadband gateways and routers, Windows desktop and server machines running Windows Messenger versions earlier than that included in Windows XP, and other devices because they just don’t know how to deal with dynamic port allocation. You therefore won’t be able to make many Windows Messenger features—including video chat—work unless you’re using the right technology on your edge device.

Making It Work

This technology is UPnP, a set of specifications that enable compatible remote devices to communicate over a network, announce the services they provide, and discover other compatible devices and their services. Windows Me was the first UPnP-compatible version of Windows, but there were few UPnP devices out there to make a difference. With Windows XP, however, Microsoft has renewed the push for UPnP, and in 2002 UPnP devices finally started to become available.

In the future, many devices will be UPnP-enabled, but for now we’re limited to broadband gateways and other similar networking devices. However, one of the best things about these devices is that they can work with SIP-enabled applications such as Windows Messenger. The key to get Windows Messenger file sharing, application sharing, whiteboarding, and audio and video chat working is to make sure that your edge device is UPnP-compliant. This must also be true for the person on the other end of the conversation.

If you’re connecting to the Internet with Windows XP directly (that is, if Windows XP is your edge box), you’re all set. Likewise, a Windows XP box can act as the edge machine on a home network, and Windows Messenger will work on any of the other Windows XP machines in the network. Windows Me will also work in this capacity, although it’s best to use a more capable operating system, such as Windows XP, with anything related to a network.

If you have an older Windows operating system, such as Windows 2000, Windows NT, Windows 98, or Windows 95, you’re out of luck. Unless an enterprising third party adds this capability, UPnP and SIP support is not available for these systems. However, the upcoming Windows .NET Server family will support UPnP and SIP (and .NET Server will provide additional SIP server features as well).

If you’re one of the millions of people who already has purchased a broadband gateway or similar router device, you might be out of luck as well unless the hardware manufacturer releases a UPnP-capable BIOS update. Some companies—like Linksys and D-Link—are doing this for certain models, so check your gateway company’s Web site for details. Otherwise, you can purchase one of the newer UPnP-capable routers that are now available, some for less than $100.

UPnP provides a wealth of other functionality, of course, including an automatic discovery feature that lets your Windows XP and Windows Me systems autoconfigure themselves to work with your new UPnP hardware. It’s definitely worth a look.


Chapter 8 - Networking Power Tools

Chapter 8
Networking Power Tools

One of the design goals of Microsoft Windows XP was to make networking fast and easy for the user. On the surface, Microsoft has succeeded admirably; Windows XP is significantly simpler to configure for networking, especially for the home and Small Office/Home Office (SOHO) user, than any previous version of Windows. However, this ease of use comes at a price; almost all the configuration information and the technology behind it are hidden from the end user. This means that for corporate network administrators and individual power users, there’s a level of uncertainty about the process. Although average home users are less concerned about the black-box nature of the networking configuration process in Windows XP, more experienced users are not quite so sure that when they make a selection in a networking wizard, the end result will be what they expected or exactly what they need.

In this chapter we cover exactly what networking tools Windows XP provides in its basic form and show you how and where you can customize and configure your Windows XP networking environment. Figure 8-1 shows all the Windows XP current network connections and their status. You can open the Network Connections window by clicking Start, pointing to All Programs (Programs in the Windows XP Classic view), and finally selecting Control Panel. In Control Panel, double-click the Network Connections icon.

Figure 8-1  The Network Connections window.
Figure 8-1. The Network Connections window.
Networking Differences between Windows XP Professional and Windows XP Home Edition
There are some feature differences between Windows XP Professional and Windows XP Home Edition, and the following is a partial list. To get a complete list, visit the Microsoft Web site (http://www.microsoft.com).

  • Windows XP Professional can join a domain, whereas Windows XP Home Edition cannot. This limits Home Edition use to home and SOHO environments, because it can’t make use of any corporate-specific features available in Windows XP Professional.

  • Internet Information Services (IIS) 5.1, the Windows XP personal Web server, is found only in Windows XP Professional.

  • Direct access to the Administrator account is available only in Windows XP Professional. In Windows XP Home Edition, the Administrator account is available only if you have logged on using Safe Mode.

  • Remote Desktop, fundamentally a single-user version of Terminal Services, is supported only in Windows XP Professional. Windows XP Home Edition supports only Remote Assistance, although you can still load the Remote Desktop Client to connect to other systems running Terminal Services.

  • Group policy objects that involve networking are available only in Windows XP Professional. Group policies are not supported in Windows XP Home Edition.

  • Using Remote Installation Services (RIS) and Sysprep to build quick, automated installations of the operating system is supported only in Windows XP Professional.

  • Network Monitor is available only in Windows XP Professional.

  • The user interface for IP Security (IPsec) is available only in Windows XP Professional.

  • Simple Network Management Protocol (SNMP) support, Simple TCP/IP Services, the SAP Agent, and Client Services for Netware are available only in Windows XP Professional.

  • Windows XP Home Edition supports only Simple File Sharing (SFS). Detailed file-level security permissions such as those found in Microsoft Windows 2000 are available only in Windows XP Professional (which also supports SFS).

  • Windows XP Professional allows the user to limit the number of connections to any shared folder and control user access by account. All Windows XP Home Edition shares are accessed using the Guest account.

  • Microsoft Windows NT 4 Workstation and Windows 2000 Professional can be upgraded only to Windows XP Professional. Windows XP Home Edition can be upgraded only from Windows 98 or Windows Millennium Edition (Windows Me). Neither can be upgraded from Windows 95.


The Network Connections Window

In this chapter, we take a look at configuring a connection so that it works the way you want and expect. Each connection type has its own specific set of properties and abilities, and we examine them individually.

There are three common types of network connections that Windows XP displays and reports on to the user: Dial-Up, Internet Gateways, and LAN Or High-Speed Internet Connections. The Network Connections window, which you opened earlier, is your main access point for viewing and changing information about your network. The Network Connections display is context sensitive, changing to reflect the network connection that is currently selected. Often users don’t realize the context-sensitive nature of the Details And Network Tasks panes shown in Figure 8-2. Open Network Connections and select each of the listed connections to view the different details.

Figure 8-2  Selecting a connection to view its details.
Figure 8-2. Selecting a connection to view its details.

In the Network Connections window, the only static element is the Other Places tasks pane, which is always visible, regardless of selection. The See Also tasks pane, which contains the link to the Network Troubleshooter, disappears as soon as you select any network connection. In all other cases, the left tasks pane contains a subset of the commands that are available on the shortcut menu for each network connection. Because it’s just a subset, you still need to use the shortcut menu to get a complete list of the actions available to the user for each connection type. To view the shortcut menu, right-click a network connection.

By default, the naming convention that Windows XP uses when you add network connections is to call the first connection Local Area Connection, the second Local Area Connection 2, the third Local Area Connection 3, and so on. Although you are allowed to provide descriptive names for network connections, the connection names used in this chapter are the defaults provided by Windows XP. An example for a descriptive name would be naming an Internet gateway connection Satellite, which would be more descriptive for an actual satellite Internet connection. The connection could just as easily be renamed “Bob” on the Windows XP machine used as an edge device to clearly differentiate it from the two wired Ethernet connections in the same computer.


Internet Connection Sharing

If you have at least two network connections configured on your computer and one is accessible to the Internet, you can set up Internet Connection Sharing (ICS). Windows XP ICS can be configured as part of setting up your SOHO network while running the Network Setup Wizard. To do so, follow these steps:

  1. Click Start and point to All Programs, Accessories, Communications, and finally select Network Setup Wizard.

  2. From there simply follow the instructions in the Setup pages.

ICS can also be enabled by selecting the check box in the local Area Connection Properties dialog box, as shown in Figure 8-3. To open this dialog box, follow these steps:

  1. In the Network Connections window, right-click the connection to share and select Properties from the shortcut menu.

  2. In the Connections dialog box, click the Advanced tab for ICS and ICF configuration settings.

    Figure 8-3  The Advanced tab of the Network Connections dialog box showing Internet Connection Sharing settings.
    Figure 8-3. The Advanced tab of the Network Connections dialog box showing Internet Connection Sharing settings.

ICS is a convenient and inexpensive way to get the most out of a single Internet connection either in your home or a SOHO environment. Configuring ICS presumes that your Windows XP computer is also your edge device that is providing Internet connectivity to the other computers on your network. If you are using an external router or gateway device, you wouldn’t enable ICS. If your Internet connection hardware device doesn’t include a firewall, you can run the Internet Connection Firewall (ICF) on each computer connected to it providing independent firewall capabilities. ICF can be configured in the same dialog box as ICS, as shown in Figure 8-3. This is not the optimum configuration for ICF, and you would likely find that a third-party firewall product might be a better solution. See Chapter 23, “Third-Party Firewalls,” for more information about third-party firewall choices.

Configuring ICS also enables Dynamic Host Control Protocol (DHCP) server functionality in Windows XP, providing routing and gateway services to the other computers on your network. By default it creates the workgroup MSHOME as the default workgroup and creates the Domain Name System (DNS) name mshome.net. You can configure it to the name of your local network workgroup, if necessary, when you run the Network Connection Wizard.

A computer connecting to your internal network receives settings, provided from the ICS-enabled computer, similar to those listed below. Other than the DNS suffix, these settings are not configurable by the end user.

Connection-specific DNS Suffix ... : mshome.net IP Address. . . . . . . . . . . . : 192.168.0.134 Subnet Mask . . . . . . . . . . . : 255.255.255.0 Default Gateway . . . . . . . . . : 192.168.0.1 DHCP Server . . . . . . . . . . . : 192.168.0.1 DNS Servers . . . . . . . . . . . : 192.168.0.1 Primary WINS Server . . . . . . . : 192.168.0.3 Lease Obtained. . . . . . . . . . : Monday, June 03, 2002 12:48:38 PM Lease Expires . . . . . . . . . . : Monday, June 10, 2002 12:48:38 PM

The Internet Protocol (IP) address of your computer will likely be different, but it will fall within the 192.168.0.xxx range. This address range is reserved for internal networks and is referred to as nonroutable. The routers that direct the traffic on the Internet ignore any traffic they see being sent from any address within that range. This includes the software-based routing performed by ICS, so no traffic from your internal network will make it to the Internet. What ICS does is hand off your internal network traffic to the external network adapter, routing any traffic directed from the internal network to a destination outside of the network using that external connection and vice versa. This is why all the traffic from your internal network sent to Internet destinations resolves as coming from the address of your external network adapter.

ICS configures a primary Windows Internet Name Service (WINS) server, but the Windows XP clients are not provided with this WINS information. In Windows XP, WINS, used for name resolution in earlier versions of Windows, has been for the most part replaced by DNS.

Using Static IP Addresses with ICS
One minor problem that ICS brings is that it expects every device or client on the network to be DHCP-enabled, receiving its address from the Windows XP DHCP server. You might be adding computers or devices that you would like to retain the same IP address every time you boot, or you might not have the ability to receive an address from a DHCP server. When this situation crops up, it’s best to just assign the device a static IP address in the appropriate range (between 192.168.0.2 and 192.168.0.254).

The following steps detail how to configure any device on your ICS-connected network:

  1. Configure the IP address. It doesn’t matter what address you use as long as it doesn’t end in .1 or .255. If you pick an address in use, you’ll get an error message on the affected computers indicating an IP address conflict. If you renew the IP address on the DHCP-enabled computer or hand-held device reporting the error, it is assigned a new, nonduplicate address. ICS uses Address Resolution Protocol (ARP) resolution prior to issuing an address to make sure it’s not currently in use.

  2. Configure the default gateway address (192.168.0.1).

  3. Configure the DNS server address (192.168.0.1).

  4. Define the DNS suffix as MSHOME.NET (or, if you are using a custom workgroup name, use that).

This is all you need to do on the client side for any device. To speed up name resolution, you can make some configuration changes on the Windows XP computer acting as the ICS DHCP server:

  1. On the Windows XP computer running ICS, open the %SystemRoot%\ System32\Drivers\Etc folder.

  2. Using Notepad.exe, open the file named Hosts. (The file name has no extension; make sure that you don’t accidentally give it one.)

  3. On the first line after the last entry, enter the IP address of the static machine, press Tab, and then enter the complete name of the computer. The sample format is 192.168.0.25 STATICSYSTEM.MSHOME.NET.

    You’ll need to replace the IP address, computer name, and domain name with the ones the device or computer is configured with. The tab space between the IP address and the computer name are required.

  4. There must be two blank lines after the last entry in the file. Check that they are there (or add them by pressing Enter twice) and save the file.

Configuring the Hosts file is required only when adding a computer with a static IP address to an ICS network.


The Internet Connection Firewall

One of the features that all Windows XP network connections have in common is the ability to configure the ICF. Designed to protect your computer from malicious activities that originate on the Internet, ICF has the effect of making your computer invisible to other computers on the Internet. The first question that should pop into your head now is likely, “If the computer is invisible to other computers on the Internet, how can I browse, get my e-mail, or access Internet-based resources?” A properly configured firewall behaves like a black hole to Internet probes and scanners. For these attack tools to function, they need to get a response from each attack as they probe the ports on your computer. A properly configured firewall will not respond on the attacked port; it simply blocks all traffic. This means that the scanning tool attack has to wait for each port scan to time out (as opposed to receiving a “closed” message from the attacked computer) before it can move on to the next port.

All your normal Internet activities continue to work because of how the firewall works. The ICF provides what is known as a stateful firewall. Like any firewall, it is designed to monitor all the traffic that originates from or is directed to the target computer. The ICF does this by examining each TCP/IP packet that crosses an interface it is configured to protect and ensures that the traffic is valid.

It determines which traffic it will allow to enter the computer by comparing it to the traffic that has left the computer. This is how a computer is able to continue using the Internet once a firewall is enabled. Any response to traffic that the computer has originated is allowed to enter the protected computer. The ICF maintains a table that contains information about outbound traffic from the host computer and from any computer on the ICS network that might be using the Internet connection. As traffic enters the protected connection from the outside world, ICF compares the information contained in that inbound traffic to the table of allowed connections. An outbound table entry must match up with the inbound traffic or else the packets are discarded silently (without any user notification).

More Info
In Chapter 23, “Third-Party Firewalls,” we show you some third-party firewall tools that can be used in place of ICF if you want more information about the traffic being passed across your Internet connection or more detailed control of the firewall itself.
Allowing Specific Inbound Traffic

The goal of firewall software is to stop unsolicited Internet traffic from being received by your computer, but there are types of network traffic that you might want to allow on your local computer or network. In many cases you might decide to run a Web server or a File Transfer Protocol (FTP) server on a computer within your internal network that you would like to make available to users on the Internet. You can configure this by using the Advanced Settings dialog box for the ICF, shown in Figure 8-4.

Figure 8-4  The Internet Connection Firewall Advanced Settings dialog box.
Figure 8-4. The Internet Connection Firewall Advanced Settings dialog box.

To display the Advanced Settings Services tab, perform the following steps:

  1. In the Network Connections window, right-click the ICS shared connection and select Properties from the shortcut menu.

  2. In the Connections dialog box, click the Advanced tab, and then click Settings at the bottom of the dialog box.

The ability to route traffic to a specific service within your network doesn’t require configuring ICF, but the security logging and Internet Control Message Protocol (ICMP) configuration isn’t available unless ICF is enabled, and the only reason not to run ICF is that you are using a third-party firewall option like the ones discussed in Chapter 23.

The Service Settings dialog box, shown in Figure 8-5, lets you configure a service to run on a specific computer. The only service setting allowed to be made by the user is the network computer name that the service will run on, which can be identified by either host name or IP address.

Figure 8-5  The Service Settings dialog box.
Figure 8-5. The Service Settings dialog box.

Once you have configured your computer for ICS and start connecting other computers to your internal network, they will be dynamically added to the Services table. They are identified by the IP address that the local DHCP server has assigned to them. If you want to run specific services on any of the added computers, you will need to configure each service to point it to the correct computer. It is likely that computers in the ICS network will always receive the same IP address from the DHCP server, but there is no guarantee, so it is good practice to assign services to computers using their computer name.

Additional services can be added to the Services tab and configured for access by clicking Add. Enter a service description, the computer name of the computer that will be running the service, and the ports that the service will be using. This also lets you reconfigure the otherwise static service configuration. For example, you might want to make a Simple Mail Transfer Protocol (SMTP) service available so that you can relay mail from another domain, such as from the office to home, but leaving it available on the standard port 25 means that any standard Web robot searching for open SMTP relays could easily find it. You could create a slightly different SMTP entry that used port 26 in place of the preconfigured entry. This is a perfect example of the “ease of use” functionality of Windows XP getting in the way of customization. The only reason for the standard service entries to be uneditable is to prevent a novice user from getting in trouble.

Although there is very little configuration for ICF that can be done relative to allowing or denying network traffic, you can also use the Service Settings dialog box to simply open a local port on the machine that is hosting the Internet connection and firewall. You do this by clicking Add, giving the new entry a name, and then specifying the port that you want to open. For the name or IP address of the computer hosting this service on your network, type 127.0.0.1. This is referred to as the localhost or loopback address; it points directly to the host computer.

If you have tried to browse to resources on other networks that were available before you configured the ICF and now get the error message “System error 6118 has occurred. The list of servers for this workgroup is not currently available,” it’s because the ports used for file sharing are blocked by default by ICF. To get this working again, you’ll need to manually configure both Microsoft File Sharing Server Message Block (SMB; ports 135–139 for both Transmission Control Protocol [TCP] and User Datagram Protocol [UDP] traffic) and direct-hosted SMB traffic (port 445 for both TCP and UDP). Use the instructions in the preceding paragraph to accomplish this task.

Security Logging

Security logging, as shown in Figure 8-6, is disabled by default. These logging capabilities are most useful when trying to diagnose a connection-related issue. When you enable logging, you’ll find that you can generate a substantial amount of data.

Figure 8-6  The Security Logging tab of the Advanced Settings dialog box.
Figure 8-6. The Security Logging tab of the Advanced Settings dialog box.

To enable ICF logging, perform the following steps:

  1. In the Network Connections window, right-click the ICS shared connection and select Properties from the shortcut menu.

  2. In the Connections dialog box, click the Advanced tab. Verify that the check box in the Internet Connection Sharing frame is selected, and then click Settings at the bottom of the dialog box.

  3. In the Advanced Settings dialog box, click the Security Logging tab.

  4. Select your logging and log file options and then click OK. Make note of the log file’s name and location.

In a home network with three or four e-mail programs running, parents surfing the Internet, or kids playing Internet games, you can generate 1 megabyte (MB) of log data per hour. Although the log defaults to a maximum size of 4 MB, logging consumes system resources, and it is recommended that you enable it only when you are trying to resolve an issue.

The two options for logging are Log Dropped Packets and Log Successful Connections. Logging dropped packets lets you see which addresses trying to connect to your computer have been blocked by the ICF. Logging successful connections shows any outbound connection that has passed through the ICF.

A typical log entry, in this case a successful outbound connection, has this format:

2002-03-02 13:54:19 OPEN TCP 10.20.130.96 4.21.223.50 4583 80 - - - - - -

The first eight sections of the entry contain the most important information for tracking down a connection issue. Here’s a quick dissection of this log entry:

  • 2002-03-02 The date the entry was recorded

  • 13:54:19 The time the entry was made, given in military time

  • OPEN The action that was taken (here a connection was opened)

  • TCP The network protocol that was being used

  • 10.20.130.96 The source IP address (the internal network address used by my satellite connection)

  • 4.21.223.50 The destination address of the traffic that caused this entry

  • 4583 The port address of the traffic source

  • 80 The port address of the destination

Because port 80 is the default port for HTTP traffic, this entry represents an HTTP request sent from the local network. Unfortunately, the log identifies only the connection to the outside world as the source address, so there is no way to determine which machine in the network generated that traffic. The dashes at the end of the log entry represent potential data that could have been collected but was not applicable to this entry. Table 8-1 gives a listing of common protocols and their normally assigned ports.

Table 8-1. Common Protocols and Their Port Use
Protocol | Port
File Transfer Protocol (FTP) | 21
Internet Messaging Access Protocol Version 3 (IMAP v3) | 220
Internet Messaging Access Protocol Version 4 (IMAP v4) | 143
Simple Mail Transfer Protocol (SMTP) | 25
Post Office Protocol version 3 (POP3) | 110
Remote Desktop Protocol (RDP); used by Terminal Services and to support Remote Desktop operations in Windows XP | 3389
Telnet | 23
Hypertext Transfer Protocol (HTTP) | 80

You might see information in the firewall log that contains IP addresses that aren’t bound to local devices. This could be the case when you are watching dropped packets as well as successful connections. The log reflects all the traffic that the firewall sees, even if that traffic was not directed at a local interface.

Matching Up Ports to Applications

Because running the ICF can block traffic generated by applications that you need, Microsoft has given users a way to determine which applications are using specific ports:

  1. Open a command prompt window.

  2. Type netstat –ano and press Enter.

  3. You can get literally hundreds of lines of response from this command, but the key is that they will be listed in port number order. A response line will look something like this:

    TCP 10.20.130.96:3743 207.217.120.208:110 ESTABLISHED 3052

    The first entry identifies the protocol, the second the IP address and the port being used. The last entry is the process identifier (PID). Make a note of it.

  4. Open Task Manager and configure it so that the column that shows the PID of each entry is displayed.

  5. Right-click the taskbar and select Task Manager from the shortcut menu.

  6. On the View menu, select Select Columns, select the PID check box, and then click OK.

  7. Click the Process tab to see the PID column.

  8. Match up the PID with the port number. This tells you what application is using the port, and, if necessary, you can open up the port on the computer running ICF.

    More Info
    Chapter 9, “Command-Line Networking Power Tools,” describes the netstat command and all its parameters.
ICMP

ICMP is an Internet protocol that allows systems to exchange error and informational data. Although it is an Internet standard, most current connection control mechanisms, like ICF, disable the automated response to ICMP queries due to the potential of a Denial of Service (DoS) Internet attack. One form of DoS attack is the “Ping of Death,” where an attacker has multiple computers ping a selected location (ping uses ICMP) at such a high rate that the target site can’t respond to normal network requests, making it unavailable.

There are a number of different standard network requests that can make use of ICMP data and can be independently configured using the ICMP tab shown in Figure 8-7. The ICMP tab, like the Security Logging tab, is available in the Advanced Settings dialog box.

Figure 8-7  The ICMP tab of the Advanced Settings dialog box.
Figure 8-7. The ICMP tab of the Advanced Settings dialog box.

You would enable these settings to allow for diagnostic checking and to fix or resolve network connectivity problems. Utilities like ping and trace route use ICMP by default and would be the first place to start when trying to resolve network connectivity problems. For additional details on network troubleshooting, see Chapter 10, “Tools to Troubleshoot Networking.” You can configure each of these options independently (their specific functions don’t require that other ICMP-related functionality be enabled), and because you can make these changes on the fly (no reboot required), you can turn them on and off as your diagnostic or application needs dictate. There is no need to leave them enabled, and they don’t affect outbound ICMP use. Remember that ICF settings affect the way that connections from the Internet can find your computer, and in most cases, not how your computer can connect to the Internet.


Dial-Up Networking Power Settings

Up to this point, we’ve been addressing tools that work with any kind of network connection. Now we’ll look at the unique settings available in specific kinds of connections, starting with dial-up networking connections. Unlike an Internet connection established through a gateway device or one of your listed LAN or high-speed connections, a Dial-Up Networking (DUN) connection has a number of features that are unique. The Internet Connection Sharing box adds two unique features to DUN:

  • The ability to select from multiple configured network connections, allowing them to individually route to the Internet using the dial-up connection. You must specify which connection you want to use (if you have multiple connections) because it’s not possible to configure multiple network adapters to share the dial-up Internet connection at this point. (See the discussion on bridging later in this chapter.)

  • The Establish A Dial Up Connection Whenever A Computer On My Network Attempts To Access The Internet check box extends the dial-on-demand functionality that has been in Dial-Up Networking for some time now to the other computers connecting to the Internet through your computer.

Another unique feature of a dial-up connection is having the ability to set it as the default network connection. Selecting Set As Default Connection from your dial-up connections shortcut menu, as shown in Figure 8-8, sets all traffic to be routed to the dial-up connection first. This generates an error message if the dial-up connection isn’t active, even if you have another active network connection. This is the only network connection that gives you the option to explicitly set it as the default connection. The only reason to set the DUN connection as the default network connection is if it is your only network connection.

Figure 8-8  A dial-up connections shortcut menu showing the Set As Default Connection command.
Figure 8-8. A dial-up connections shortcut menu showing the Set As Default Connection command.


Setting Network Interface Priorities

In a system with multiple network interface cards, it is possible to determine which interface will be used as the primary interface by setting the interface metric in the Advanced TCP/IP Settings dialog box, as shown in Figure 8-9.

Figure 8-9  Setting the interface metric using the Advanced TCP/IP Settings dialog box.
Figure 8-9. Setting the interface metric using the Advanced TCP/IP Settings dialog box.

To open the Advanced TCP/IP Settings dialog box, follow these steps:

  1. In the Network Connections window, right-click the Local Area Connection (or whatever you might have named it) and select Properties from the shortcut menu.

  2. On the General tab of the TCP/IP Properties dialog box, click Advanced.

  3. You will see the Automatic Metric check box at the bottom of the IP Settings tab.

By default, the Automatic Metric check box should be selected, which causes Windows XP to route network traffic to the fastest connection. It is possible, however, for this to be changed programmatically, and experience has shown that some wireless network adapters’ installation programs make this change. Because many office users switch between wired and wireless connection when using their notebook computers, making sure that the system always uses the fastest possible connection can make a difference. Moving large files over an 802.11b wireless connection (the IEEE standard for wireless LANs) can be quite a painful experience, especially because maximum sustained throughput with 802.11b, rated for 11 megabits per second (Mbps), rarely exceeds 7 Mbps, significantly slower than the 100 Mbps connection found in most wired networks.

If all the network connections are configured using the Automatic Metric setting, this should result in the system’s defaulting to the fastest connection. If you want to guarantee that, configure the interface metric of each adapter manually. A setting of 1 would set an interface to the highest priority and number the remaining interfaces in ascending order with the lowest priority getting the largest number. Windows XP enumerates the interface starting with the lowest number. Experience has shown that an adapter configured with the automatic interface metric takes priority over an adapter configured with an interface metric of 1. Table 8-2 lays out the official Windows XP criteria for metric assignment.

Table 8-2. Windows XP Criteria for Metric Assignment
Link Speed | Metric
Greater than 200 MB | 10
Greater than 20 MB, and less than or equal to 200 MB | 20
Greater than 4 MB, and less than or equal to 20 MB | 30
Greater than 500 kilobytes (KB), and less than or equal to 4 MB | 40
Less than or equal to 500 KB | 50

If you are regularly using Dial-Up Networking on a shared Windows XP computer, you probably use Fast User Switching to make it as simple as possible for each user to have his or her own console. On slower computers, however, the feature of Fast User Switching that leaves the applications of each user running might result in a noticeable loss of performance. In this case, when you switch users, you would be best served to have the user log off of the computer. The only problem you’ll have now is maintaining the dial-up connection. In most cases, the default behavior is for the dial-up connection to disconnect when the current user logs off. It is possible to edit the registry to change this behavior.

CAUTION
Always be extremely careful when accessing or editing the registry. Changes in the registry could make your computer unusable.

To make this registry change, follow these steps:

  1. Click Start and select Run.

  2. In the Open text box, type regedit, and then click OK to open the Registry Editor window.

  3. In the left pane, navigate to HKEY_LOCAL_MACHINE\Software\ Microsoft\WindowsNT\CurrentVersion\Winlogon.

  4. In the right pane, open KeepRasConnections. If this entry does not exist, it can be added as a REG_SZ value by right-clicking Winlogon in the left pane, pointing to New and String Value, and selecting the following values:

    • Value Name: KeepRasConnections

    • Value Data: (1 to enable, 0 to disable)

  5. Quit the Registry Editor.

  6. Reboot the computer to enable the new settings.


Internet Gateway Settings

Windows XP networking offers the ability to get information about the Internet gateway running on another Windows XP computer, and, if the remote computer has been configured to allow it, the operating system also lets you control that remote Internet connection.

The Internet Gateway status screen, shown in Figure 8-10, provides a unique view of the traffic status of not only the LAN connection, but also the total traffic that has gone across the gateway interface. You display it by clicking the Connection icon on the taskbar. If you’ve configured your Windows XP ICS computer to allow other users to control or disable the shared Internet connection you’ll be able to open the Advanced Settings–Services dialog box and add or delete services from any Windows XP computer on the local network.

Figure 8-10  The Internet Gateway status screen, which gives you a quick view of your route to the Internet.
Figure 8-10. The Internet Gateway status screen, which gives you a quick view of your route to the Internet.

This functionality is called ICS Discovery and Control, and it’s an all-or-nothing proposition relative to the control functionality. Either every system on your network has the ability to enable and disable the Internet connections and add or modify the network services entries, or none do, except the computer that is the edge device.

Discovery and Control can also be configured on computers running Windows 95 and Windows 98 by running the Network Setup Wizard and creating the networking disk for those platforms. Discovery and Control is not available on Windows NT or Windows 2000 client computers.

ICS Discovery and Control is the first use of the Universal Plug and Play (UPnP) standard protocol that could make manual configuration of network devices a thing of the past. UPnP, which is completely based on Internet standard protocols, could make it possible for your computers to discover other devices, such as network-attached printers, Internet connections, scanners, and so on, in the same way that they currently identify locally attached devices.


Powertips for LAN or High-Speed Internet

This section contains your normal, basic network adapter information that was configured when you installed the adapter or when it was discovered by the operating system. This book isn’t designed to cover the basics of getting a network connection configured, but there are a few key settings that you might not usually consider that are worth pointing out. These settings can be found in the Adapter Properties dialog box.

To open the Adapter Properties dialog box, follow these steps:

  1. In the Network Connections window, right-click the Local Area Connection (or whatever you might have named it) and select Properties from the shortcut menu.

  2. On the General tab of the TCP/IP Properties dialog box, click Configure.

  3. Access settings that you might want to adjust by clicking the Advanced tab.

If you are running Windows XP on a notebook computer, make sure that the network device is properly configured for power management.

For maximum battery life, you need to make sure that the network adapter is configured to allow the system to shut it down. If you are using a PC card network adapter and this option isn’t visible when you bring up the adapter properties, you’ll need to remove the card when you are attempting to conserve battery life. Bad power management is often a problem with PC card devices, so removing them when you don’t need them—but do need maximum battery life—should become a habit. Unless you are leaving the computer connected to a network, you should also make sure that the Allow This Device To Bring The Computer Out Of Standby check box is cleared, as shown in Figure 8-11. Failure to do so might result in your not having battery power when you need it.

Figure 8-11  Configuring power management.
Figure 8-11. Configuring power management.

If you’re making use of wireless network adapters (802.11b 11 Mbps or 802.11a 54 Mbps), you probably have a wireless networking utility you use to configure the card and monitor traffic. If you have a mix of wireless networking devices, you’ve probably noticed that they don’t all use the same type of configuration utility.

Using the Advanced tab in the Adapter Properties dialog box, you can configure all the properties of the wireless adapter. This actually applies to any network adapter, but you would rarely need to make any changes to the default configuration of a wired adapter. Wireless adapters, on the other hand, might need properties changed as they are moved between different wireless networks.

Here is a little tip for wireless users who need to regularly move between different wired networks: It might be simpler to have multiple wireless network cards available, with each network having its own card. Different levels of security can make configuring a wireless adapter a time-consuming activity, and if you consistently move between wireless networks, such as work and home, the minimal cost of having a dedicated card for each network is quickly recouped in terms of time saved reconfiguring the network adapter.

For wired networks that use static IP addresses you can also have multiple preconfigured network configurations.

The Alternate Configuration tab of the TCP/IP Properties dialog box, shown in Figure 8-12, lets you enter the configuration that your secondary network requires. If your multiple networks all use DHCP for address assignment, this isn’t necessary.

Figure 8-12  The Alternate Configuration tab of the Internet Protocol (TCP/IP) Properties dialog box.
Figure 8-12. The Alternate Configuration tab of the Internet Protocol (TCP/IP) Properties dialog box.

To open the Alternate Configuration dialog box, follow these steps:

  1. In the Network Connections window, right-click the Local Area Connection (or whatever you might have named it) and select Properties from the shortcut menu.

  2. Select Internet Protocol (TCP/IP), click Properties, and then click the Alternate Configuration tab.

What Does the Repair Menu Option Do?
You’ve probably noticed that each of the connection types we’ve been discussing has an option on its menu to repair the connection. This doesn’t actually do any physical repairs, such as updating the driver or checking the hardware. Instead it runs a series of network commands designed to reinitialize the network connection.

Here is the list of commands and the order they’re executed in when you select Repair:

  • ipconfig /renew Requests a new IP address lease from a DHCP server

  • arp –d* Deletes the contents of the ARP cache

  • nbtstat –R Purges and reloads the NetBIOS name cache

  • nbtstat –RR Releases and refreshes the WINS information

  • ipconfig /flushdns Flushes the DNS cache

  • ipconfig /registerdns Ensures that the current address is registered with DNS

All these commands are covered in greater detail in Chapter 9, “Command-Line Networking Power Tools.”


Wireless Networking Tools in Windows XP

Windows XP supports any wireless network that adheres to the IEEE 802.11 wireless networking standards. Realistically, this means 11 Mbps (802.11b) and 54 Mbps (802.11a). These two standards are not compatible with each other, but they both work with Windows XP (and could be bridged together as described in the section entitled “Using a Network Bridge,” later in this chapter).

A wireless network can be configured in two ways:

  • Infrastructure network This type of network uses wireless access points to coordinate the wireless communication. All connectivity is routed through the access points, and the computer does not make any other attempts at communicating with other wireless devices unless it can find and authenticate using a wireless access point.

  • Ad hoc network This type of network is a point-to-point configuration that allows the wireless-equipped computer to find any other compatible wireless device and attempt to communicate with it.

For either option, security can be handled by the standard 802.11 mechanisms, shared key or open system. In a shared key system, you can use the option in the Wireless Networking configuration tool to enter a key. You then enter that same key on each system, and they’ll be able to communicate with each other. Open systems are just that: Any station can identify itself to the sender.

Windows XP wireless devices can be configured to support both infrastructure and ad hoc wireless networks on the same device, with preference given to infrastructure connections being searched for first.

Now there is a new wireless networking entry identified as a Wireless Network Connection. This entry has a shortcut menu with a wireless-specific option, View Available Wireless Networks. This connection type also gets additional information associated with the connection icon found in the notification area of the taskbar. A normal network connection icon displays the connection name and speed of a connection when pointed to with a mouse. The wireless connection also reports signal strength.

A PC card adapter or an internal network interface card usually just shows up in the network connections as a LAN. Only a universal serial bus (USB)–attached wireless network device brings up the wireless network connection identification and the associated application. The actual determination is based on whether or not the network adapter uses the Zero Configuration Service.

Once you have a device recognized as a wireless connection, you’ll find that a new tab called Wireless Networks has appeared in the Connection Properties dialog box. By default your system should be automatically configured to connect to the only available network in a single-network environment or the first network if the application sees multiple wireless networks. By clicking Configure, you’ll launch the Wireless Network Properties dialog box, which lets you perform a detailed configuration of each wireless network configuration. If you need to add an encryption key or configure the type of authentication necessary to use your wireless access point, or if you want to configure the wireless device to be used in an ad hoc network (no access points), this is the place to do it.

If you switch between wireless networks, or if you change the configuration of the network, your wireless connection might lose its IP address. This happens when the Service Set Identifier (SSID) for the network isn’t on the list of preferred networks. Adding the SSID of the current network in the Wireless Network Properties dialog box, shown in Figure 8-13, should solve that problem. If the network doesn’t broadcast its name, it won’t appear in the SSID pick list, and you will need to add the network’s name manually.

Figure 8-13  The Wireless Network Properties dialog box.
Figure 8-13. The Wireless Network Properties dialog box.
Wireless Networking and Booting to Safe Mode

If you’ve needed to boot your system into Safe Mode and have chosen Safe Mode With Networking, the wireless network might not function because this option doesn’t start the necessary services running for 802.11 wireless networks: the Zero Configuration Utility or the 802.1x wireless LAN standard authentication. Some wireless devices might continue to work. The Wireless Zero Configuration service is what allows the Wireless Networks tab to appear in your Connection Properties dialog box. A wireless card that doesn’t use the service might function during a Safe Mode With Networking boot. For a reliable networking connection when performing diagnostics in Safe Mode, a wired network interface is preferred.

IrDA: The Other Wireless Networking System

If you have computers equipped with infrared ports, you are fully equipped to transfer files without any additional networking hardware. Point-to-point file transfers at up to 4 Mbps are possible with the current generation of Infrared Data Association (IrDA) ports.

Getting set up to transfer files from computer to computer is very straightforward. To do so, perform the following steps:

  1. In either Windows Explorer or on the desktop, right-click My Network Places and select Properties from the shortcut menu.

  2. In the tasks pane on the right side of the window, select Create A New Connection to launch the New Connection Wizard. Click Next.

  3. Select the Set Up An Advanced Connection option, and then click Next.

  4. Select the Connect Directly To Another Computer option, and then click Next.

  5. Select the Host or Guest Configuration option, and then click Next.

    From here, the process of completing the wizard depends on whether you’ve chosen the Host or Guest configuration. Follow the on-screen instructions, making sure to select the infrared port as the connection device.

Connections configured as Host show up in the Network Connections window as Incoming, as shown in Figure 8-14. Those configured as Guest appear under the heading Direct. Once you have configured the connections, you can view or modify them by selecting Properties from their shortcut menu. You can create new direct connections by right-clicking an existing connection and selecting Create Copy. Rename the new connection and open it to modify the settings to make it specific for the new connection type. Remember that any available connection type (IrDA, parallel port, or COM port device) can be configured.

Figure 8-14  The Network Connections window showing incoming connections.
Figure 8-14. The Network Connections window showing incoming connections.

From the Incoming Connection Properties dialog box, you’ll be able to configure any of the available connection types, add to or modify the user access list, and configure its networking (the connection uses TCP/IP by default and acts as a DHCP server for an inbound direct connect client). Individual users can be added to the direct connection access list without requiring modifications to the existing user permissions.

To open the Incoming Connection Properties dialog box, right-click Incoming Connection in the Network Connections window and select Properties from the shortcut menu. Once you’ve created the connection using the New Connection Wizard, a new icon, Wireless Link, is added to Control Panel.

To open the Wireless Link Properties dialog box, shown in Figure 8-15, follow these steps:

  1. Open Control Panel, and then double-click the Wireless Link icon.

  2. Click the Hardware tab to view the installed wireless devices.

    Figure 8-15  The Wireless Link dialog box.
    Figure 8-15. The Wireless Link dialog box.

The Wireless Link application lets you configure the behavior of the IrDA connection when it transfers files, setting up alerts and a dedicated location in which you can automatically place all files received across the wireless link. Although this is not a networking issue, you can use this same tool to configure your computer to receive files transmitted from digital cameras with an IrDA port.


Using a Network Bridge

With the rise of alternative networking technologies, the ability to connect multiple types of networks has become more important. While the average office computer is using some form of wired or wireless Ethernet, the home user gets a choice of wired Ethernet, wireless Ethernet, phone line networks, and powerline networks (kits that allow you to use household wall outlets as network connections). Even if home users are using standardized wireless Ethernet, they might not need to purchase an access point to connect a wired network to their wireless network, unless they need to share an Internet connection.

The traditional solution to mixing different types of network media is the network bridge. A network bridge is a device (usually hardware) that does all the necessary packet translation and filtering to allow network traffic to pass between dissimilar networks. Windows XP has the ability to perform this bridging function through software.

Each different network topology represents its own network segment. To allow each network segment access to resources on a different segment or to a shared Internet connection on a different connection, the preferred technique is to create a network bridge using a computer running Windows XP.

The most common situation in which a network bridge would be used is connecting wired and wireless Ethernet networks together. This situation normally has a hardware solution: a wireless access point. An access point is a wireless bridge that connects to your wired network and performs all the necessary translation to make the wired network and its resources available to your wireless devices. However, access points are much more expensive than a wireless network interface card (NIC), and if you don’t need to support dozens of wireless users simultaneously, the Windows XP bridging technology offers you a less expensive alternative. Simply place a wireless NIC in one of your computers with an existing wired connection, configure the wireless NIC in ad hoc mode, and set up a network bridge between the wired and wireless connections. The only restriction is that the connections can’t already be in use with ICS.

To set up a network bridge, perform the following steps:

  1. Open the Network Connections window and then select the two connections that will form the bridge. You can select multiple connections by holding down the Ctrl key when you click the connection.

  2. Right-click one of the connections and select Bridge Connections from the shortcut menu. Windows XP does the rest.

Once the bridge is created, you will see a Network Connections icon for it, as shown in Figure 8-16. You can right-click the network bridge and select Properties to set additional configuration settings.

Figure 8-16  The Network Connections window showing a network bridge.
Figure 8-16. The Network Connections window showing a network bridge.

You can delete the entire network bridge at any time by simply selecting the bridge icon in the Network Connections window and selecting Delete from the shortcut menu. If necessary you can remove an individual device from the existing network bridge by right-clicking it and selecting Remove From Bridge from the shortcut menu. This doesn’t delete the connection from the system; it just removes it from the connections that make up the bridge. It’s possible, by removing connections, to end up with a bridge with only one connection. In that case, the bridge is nonfunctional but is still using up system resources. If you get down to a single entry in the bridge, just delete the bridge itself.

You can also run the Network Setup Wizard, but it attempts to automatically bridge all available network connections if it finds multiple connections. If you don’t want to bridge the connections, or would rather do it manually, make sure that you select the Let Me Choose The Connections To My Network option in the Your Computer Has Multiple Connections page. The next page shows you all the network connections on your computer and each connection with a check box next to it. Make sure that you clear each check box before continuing the wizard.

The only limit to the number of bridged connections is the number of network adapters that you can put in a single machine. If you have enough network devices, you can bridge together every supported network topology: Ethernet, Ethernet-compatible (includes all standard flavors of wireless networks), IEEE 1394 connections (high-performance serial bus, also known as FireWire), and phone line (HOME Phoneline Network Alliance [HomePNA] standard). You could even bridge between 802.11b and 802.11a networks, which would otherwise be unable to connect to each other. Realistically, you’ll likely be bridging together no more than two or three different network segments.

Supported network types include the following:

  • 10 Mb Ethernet (10BaseT)

  • 100 Mb Ethernet (100BaseT)

  • Gigabit Ethernet (1000BaseT)

  • 11 Mb Wireless Ethernet (802.11b)

  • 54 Mb Wireless Ethernet (802.11a)

  • IEEE 1394 connections (400 Mbps)

  • HomePNA Networking (10 Mb over phone wire)

  • Any Ethernet-compatible networking standard

Once you have added a network connection to a network bridge, you can modify the connection properties using the Network Bridge Properties dialog box, shown in Figure 8-17. All configuration changes must be made from this dialog box to ensure that they are applied correctly. Directly editing the registry to modify connection behavior might cause unexpected results, as do utilities such as a wireless card configuration tool.

Figure 8-17  The Network Bridge Properties dialog box.
Figure 8-17. The Network Bridge Properties dialog box.

If any of your bridged devices are connected using an IEEE 1394 connection, the status dialog box for the bridge will report a network speed of 400 Mbps. That’s the maximum theoretical speed of an IEEE 1394 connection, not your actual network throughput. In any case, the reported speed of the network bridge is reported as the highest theoretical speed of its fastest member (100 Mbps if it’s a Fast Ethernet card, and so forth) and not the actual throughput of the network connections.

What Happened to NetBEUI?
In versions of Microsoft Windows prior to Windows XP, it was common to use NetBEUI as the transport protocol of choice for small networks. It was easier to set up than TCP/IP and much simpler to debug if problems occurred. With the release of Windows XP, Microsoft officially dropped support for NetBEUI. However, with an awareness of how popular NetBEUI was, and because some legacy applications might require it to function properly, Microsoft has included NetBEUI on the Windows XP CD. If you need it, here’s how to install it:

  1. Configure Windows Explorer to show Hidden Folders And Files and Extensions Of Known File Types. These settings are accessible through Folder Options on the Tools menu in Windows Explorer.

  2. From the Windows XP distribution CD, open the %SystemDrive%\ Valueadd\MSFT\Net\NetBEUI directory.

  3. Copy the file Nbf.sys to the %SystemRoot%\System32\Drivers folder.

  4. Copy Netnbf.inf to %SystemRoot%\Inf (normally a hidden directory).

  5. Open the Network Connections window from Control Panel.

  6. Select the connection to which you want to add NetBEUI support.

  7. Right-click the connection and select Properties from the shortcut menu to open the Properties dialog box.

  8. On the General tab, click Install, select Protocol, and then click Add.

  9. Select NetBEUI from the Network Protocol list, and then click OK.

  10. Click Yes to reboot the computer and complete the NetBEUI installation.

If you want to create a Network Wizard Setup disk to use with other computers on your internal network, do it when prompted while running the Network Wizard the first time. Windows XP offers no other method for creating this disk, other than rerunning the Network Setup Wizard on your original machine. You need to make sure that you re-enter all the information that the Network Setup Wizard prompts you for exactly as you did when you originally ran the wizard or it will fail. If this is the case, you’ll need to run the Networking Setup Wizard on client computers by using the Windows XP CD. To do so, follow these steps:

  1. Insert the Windows XP CD in the CD drive.

  2. When the Welcome To Microsoft Windows XP screen opens, click Perform Additional Tasks. If autorun is not enabled on your system, you will have to navigate to the root of the CD and run Setup.

  3. Click Set Up A Home Or Small Office Network.

  4. Windows XP might prompt you to install files necessary for the Network Setup Wizard to run and possibly reboot your system. Click Yes.


Chapter 9 - Command-Line Networking Power Tools

Chapter 9
Command-Line Networking Power Tools

Although the graphical user interface (GUI) of Microsoft Windows XP has quite a few tools to help you get your network up and running, the hard-core power user is going to turn to the command line when it’s time to get serious networking configuration and diagnostics done. One of the design goals for Windows XP was to make almost every GUI command also available from the command line to facilitate scripting for system administrators. For networking power users, there is an entire range of commands—from a complete File Transfer Protocol (FTP) client to detailed control over file sharing—all available from the command line.

Add to that the ability to perform networking diagnostics with such commands as ipconfig, arp, and netsh, and knowledgeable users get a huge amount of control over the networking functions and behaviors of their Windows XP computers.

In this chapter, we outline the command-line tools that are available to you, including the following:

  • Address Resolution Protocol

  • Finger

  • File Transfer Protocol

  • Getmac

  • Hostname

  • Ipconfig

  • Irftp

  • Nbtstat

  • Net

  • Netsh

  • Netstat

  • Ping

  • Telnet

  • Trivial File Transfer Protocol

  • Tracert

To execute any of these commands you need to access the command prompt. You can do this by performing one of the following two actions:

  • Click Start, and then select Run. In the Open text box, type cmd, and click OK. This opens a command prompt window.

  • Click Start, point to All Programs, Accessories, and then select Command Prompt.

NOTE
Almost all the sample data that you’ll see in this chapter will be slightly different on your computer. Details such as IP information and routing are specific to each individual computer.


Address Resolution Protocol

Address Resolution Protocol (ARP) is one of the Transmission Control Protocol/Internet Protocol (TCP/IP) protocols, and it is used to convert an IP address into a physical address.

Entering the command arp /? returns the following:

Displays and modifies the IP-to-Physical address translation tables
used by address resolution protocol (ARP).

ARP -s inet_addr eth_addr [if_addr]
ARP -d inet_addr [if_addr]
ARP -a [inet_addr] [-N if_addr]

-a		Displays current ARP entries by interrogating the current
        protocol data. If inet_addr is specified, the IP and
        Physical addresses for only the specified computer are
        displayed. If more than one network interface uses ARP,
        entries for each ARP table are displayed.
-g		Same as -a.
inet_addr	Specifies an internet address.
-N if_addr	Displays the ARP entries for the network interface
        specified by if_addr.
-d		Deletes the host specified by inet_addr.
inet_addr	may be wildcarded with * to delete all hosts.
-s		Adds the host and associates the Internet address
        inet_addr with the Physical address eth_addr. The Physical
        address is given as 6 hexadecimal bytes separated by
        hyphens. The entry is permanent.
eth_addr	Specifies a physical address.
if_addr		If preset, this specifies the Internet address of the
        interface whose address translation table should be
        modified. If not present, the first applicable interface
        will be used.

Typing the command arp –a on a Windows XP Professional machine returns the following:

Interface: 192.168.0.1 --- 0x2

Internet Address	Physical Address	Type
192.168.0.16		00-10-4b-2b-a1-0c	dynamic
192.168.0.38		00-30-bd-60-63-8c	dynamic
192.168.0.39		00-50-da-7b-ef-16	dynamic
192.168.0.49		00-50-da-7a-02-98	dynamic
192.168.0.56		00-50-da-7a-02-96	dynamic
192.168.0.61 		00-30-bd-60-8c-c4	dynamic
192.168.0.134		00-03-47-90-6d-e2	dynamic

Interface: 10.20.130.96 --- 0x3

Internet Address	Physical Address	Type
206.71.110.87		06-06-06-06-06-06	dynamic

Let’s break down the information presented here:

  • Interface The interface is the device that provides network connectivity. There should be one entry for each physical networking device that is installed in your computer and is using ARP information.

  • Internet Address This is the list of IP addresses that are known to the interface; that is, they are the intries in the ARP table.

  • Physical Address This is what is known as the media access control (MAC) address, a unique hardware identifier that is specific to a network adapter, more commonly known as a network interface card (NIC). In the examples listed here, there is a one-to-one relationship of IP addresses to MAC addresses, but that won’t always be the case. It is possible to bind multiple IP addresses (up to 254) to a single network adapter and hence, to a single MAC address.

  • Type This entry simply identifies how the IP address was assigned. Dynamic Host Configuration Protocol (DHCP)–assigned addresses are listed as dynamic, and explicitly assigned addresses are listed as static.


Finger

Finger is a service used on many UNIX systems that lets you send an information request to a system to get a small amount of data returned about a specific user account. Windows XP supports querying the finger service on other machines, but it does not include a finger service that allows it to respond to finger requests. Executing the command finger -? returns the following:

FINGER [-l] [user]@host [...]

    -l		Displays information in long list format.
    User		Specifies the user you want information about. Omit the
            user parameter to display information about all users on
            the specified host.
    @host		Specifies the server on the remote system whose users you
            want information about.

This is not the most informative message you could want to get. A finger query must be entered as follows:

finger username@domain_address

such as

finger david@chernicoff.com

The response to the query varies based on the information the user has decided to make available. It might be as basic as the last time the user was logged on to the system, or as complex as a multi-page instruction guide to using a resource found on the machine being fingered. Many e-mail programs, such as Qualcomm’s Eudora, include the ability to initiate finger commands.


File Transfer Protocol

File Transfer Protocol (FTP) is the most common non–Hypertext Transfer Protocol (HTTP) file transfer protocol used on the Internet, and the built-in FTP utility in Windows XP is very powerful. There are any number of good GUI-based FTP programs available, but you can also do quite a bit directly from the command line, including writing scripts that execute FTP file transfers and automate FTP tasks. The command ftp -? returns the following:

FTP [-v] [-d] [-i] [-n] [-g] [-s:filename] [-a] [-w:windowsize] [-A]
[host]

    -v		Suppresses display of remote server responses.
    -n		Suppresses auto-login upon initial connection.
    -i		Turns off interactive prompting during multiple file
            transfers.
    -d		Enables debugging.
    -g		Disables filename globbing (see GLOB command).
    -s:filename	Specifies a text file containing FTP commands; the
            commands will automatically run after FTP starts.
    -a		Use any local interface when binding data connection.
    -A		Login as anonymous.
    -w:buffersize	Overrides the default transfer buffer size of 4096.
    Host		Specifies the host name or IP address of the remote
            host to connect to.

Notes:
    - mget and mput commands take y/n/q for yes/no/quit.
    - Use Control-C to abort commands.

These command parameters are primarily used to allow you to determine how you are going to connect to the FTP service on another computer. (The FTP service on Windows XP is installed as part of Internet Information Services [IIS] 5.1. The FTP service is available only in Windows XP Professional, but the command-line client is available in both Windows XP Professional and Windows XP Home Edition.) In most cases you would use the FTP client interactively and simply enter the command ftp host_name.domain_name.com; for instance ftp ftp.chernicoff.com.

You would then be prompted for a user name and password. Most publicly available FTP servers support anonymous FTP, which means that you enter the word anonymous as your user name and some other text (usually your e-mail address, but it can be anything) as your password. You must enter something at the password prompt, though; a blank password won’t work. Once you’ve entered the interactive FTP console, there are 42 FTP commands available to manage and use your FTP session. Typing ? at the ftp> prompt returns a list of these commands:

!		delete		literal		prompt		send
? 		debug		ls		put		status
append		dir		mdelete		pwd		trace
ascii		disconnect	mdir		quit		type
bell		get		mget		quote		user
binary		glob		mkdir		recv		verbose
bye		hash		mls		remotehelp
cd		help		mput		rename
close		lcd		open		rmdir

Let’s look at what these commands do and how to use them:

  • ! The ! command causes the FTP console to shell to a Windows XP command console. If you need to execute a different Windows XP processor command in that same window without disconnecting the FTP session, you would use this command.

  • ? The ? command returns help information for the selected FTP command. When typed at the ftp> prompt, it also returns a list of FTP commands. The help command performs the same functions.

  • append The append command works just like the append command in the command prompt window. It allows you to combine two files. In this case, however, it allows you to combine a local file with a file on the FTP server. The syntax is append local_file_name [remote_file_name].

  • ascii The FTP service isn’t very bright. It knows that it can transfer files, but it doesn’t understand the difference between simple text files and binary files. By default, it thinks it’s transferring simple text files (ASCII), and if you transfer a binary file (programs, proprietary document formats, DLLs, and so on) in that mode, the files are received in an unusable format. Typing the command ascii tells the FTP program that you plan on transferring a text file. There are no parameters.

  • bell The bell command tells the FTP program to play a sound when a file transfer is complete. Each time you enter bell, it changes the state from on to off or vice versa. There are no parameters, and the default state is off.

  • binary The binary command sets the file transfer mode to binary and allows file types other than simple text to be transferred successfully. Entering the command binary sets up the program for binary file transfers. There are no parameters.

  • bye The bye command disconnects the FTP session and exits the FTP console. There are no parameters.

  • cd The cd command changes the working directory on a remote computer. The syntax is the same as the cd command at the command prompt window. The only parameter is the name of the directory that you want to change.

  • close Close breaks the current FTP connection but leaves you in the FTP console. There are no parameters. The disconnect command performs the same function.

  • delete The delete command allows you to delete files on a remote computer (presuming that the account that you are logged on to the FTP server with has sufficient privileges). The syntax is delete remote_file_name.

  • debug In debug mode, all the details about commands you send to an FTP host are displayed on the client console. This additional information is useful if your connection is having problems, because you can now see where in the sequence of events a connection is failing. Entering the command debug toggles the information on or off. The default state is off, and there are no parameters.

  • dir This is the directory command for a remote computer. It displays a list of the files and subdirectories on that computer. If you type the command dir, the listing of the current directory is displayed. Two parameters are available; you can specify a subdirectory to be enumerated and you can specify a file name to write the directory information to on a local machine. For example, typing the command dir\subdir1 remote.txt would enumerate the subdirectory named subdir1 and write out the list of its contents to the file named Remote.txt on your local machine, in the directory from which the FTP client was launched. The ls command performs the same functions.

  • disconnect This command provides the same function as the close command.

  • get The get command copies a file from a remote computer to a local computer. It also gives you the option to rename the file when it is being copied. The command get file_name simply transfers the file to the local directory; get file_name local_file_name lets you rename the local copy of the file. Remember to set the file transfer mode using the ascii or binary command prior to initiating the file transfer. The recv command performs the same functions.

  • glob Glob is the functionality that lets you use wildcards with other FTP file management commands. It supports the use of the asterisk (*) and question mark (?) in file names the same way they work in any command-line action. By default glob is enabled. Entering the command glob toggles it on and off. There are no parameters for this command.

  • hash The hash command causes the console to print a pound sign (#) for every 2 KB of data that is transmitted when uploading or downloading. By default, the hash is turned off.

  • help Typing help at the ftp> prompt displays a list of the commands defined here. This command provides the same function as the ? command.

  • lcd The lcd command lets you change the local working directory of the FTP client. Typing lcd with no parameter displays the current directory path. Entering lcd directory_name changes the local working directory to the one specified.

  • literal The literal command lets you pass a specific command string to the FTP server. If the server supports additional features that the normal Windows XP FTP console doesn’t understand, this is how you would pass those commands to the server using the syntax literal command_string. The quote command performs the same function.

  • ls This is the UNIX dir command. It performs the same function as the dir command.

  • mdelete The mdelete command is the same as the delete command, with the additional ability to pass a list of file names. The syntax is mdelete file1, file2, file3, and so on.

  • mdir The mdir command is the same as the mkdir command.

  • mget The mget command is the same as the get command, but it also allows multiple file retrievals. It does not allow you to rename the files on download.

  • mkdir The mkdir command allows you to create a new directory on a remote machine if the account you are using has sufficient privileges. The syntax is mkdir directory_name. The command mdir performs the same function.

  • mls The mls command allows you to display a list of the names of files and directories on a remote computer without all the associated information that is displayed by the dir and ls commands. You must pass the command parameters that define which files you want to display and whether you want them displayed on the screen or written to a directory. Using a hyphen (-) as the only parameter (mls - -) displays all the information to the console screen.

  • mput The mput command is the same as the put command, but it allows multiple files to be uploaded without any other intervention. It does not allow files to be renamed on transfer.

  • open Open connects you to another FTP server from the ftp> prompt. The syntax is open target computer port#. The port number is necessary only if the target computer is running the FTP server on a port other than the standard TCP port 21.

  • prompt If the prompt command is toggled on (the default is off), the use of the mget and mput commands causes the console to prompt you for specific details between each file transfer, giving you the ability to rename or redirect each file being transferred.

  • put The put command copies a file from a local computer to a remote computer. It also gives you the option to rename the file when it is being copied. Typing put file_name simply transfers the file to the local directory; typing put file_name remote0l_file_name renames the remote copy of the file. Remember to set the file transfer mode to ASCII or binary prior to initiating the file transfer. The send command performs the same functions.

  • pwd This command prints out the current directory on a remote computer.

  • quit This command closes the FTP session and exits the FTP console.

  • quote The quote command is the same as the literal command.

  • recv The recv command is the same as the get command.

  • remotehelp The remotehelp command displays the list of commands for which help is available on the FTP server. Typing remotehelp command specifies the command for which help is needed.

  • rename The rename command lets you rename files on a remote computer. The syntax is rename current_name new_name.

  • rmdir The rmdir command removes a remote directory if the account you are using has sufficient privileges. The syntax is rmdir directory_name.

  • send The send command is the same as the put command.

  • status The status command shows the current status of the FTP console and connection. For example:

    Connected to ftp.microsoft.com.

Type: ascii ; Verbose: On ; Bell: Off ; Prompting: On ;
Globbing: On ; Debugging: Off ; Hash mark printing: Off .

  • trace With the trace command enabled, the FTP console displays the FTP functions that are executed for each command that is run. This debugging tool can show you where problems are occurring with an FTP connection. There are no parameters.

  • type The type command shows the user which transfer mode (ASCII or binary) is currently selected. The command type ascii or type binary can be used to set the transfer mode.

  • user The user command allows a specific user to log on to a remote computer. If the password and account aren’t provided, the FTP console prompts for them. The syntax is user username password.

  • verbose The verbose command causes the FTP console to display all the responses it receives from the FTP server. The default state is off. There are no parameters.


Getmac

The getmac command returns the MAC address and the network protocols that are associated with that physical device. Typing getmac /? returns the following:

GETMAC [/S system [/U username [/P [password]]]] [/FO format] [/NH]
[/V]

Parameter List:

    /S system		Specifies the remote system to connect to.
    /U [domain\]user	Specifies the user context under which the
                command should execute.
    /P [password]		Specifies the password for the given user
                context. Prompts for input if omitted.
    /FO format		Specifies the format in which the output is to
                be displayed. Valid values: "TABLE", "LIST",
                "CSV".
    /V			Specifies that the detailed information should
                be displayed in the output.
    /NH			Specifies that the "Column Header" should
                not be displayed in the output. Valid only for
                TABLE and CSV formats.
    /?			Displays this help/usage.

Examples:

    GETMAC /FO csv
    GETMAC /S system /NH /V
    GETMAC /S system /U user
    GETMAC /S system /U domain\user /P password /FO list /V
    GETMAC /S system /U domain\user /P password /FO table /NH

Because you might not normally have access to the computer that you are querying for this information, the getmac command allows you to attach the remote computer under a user context that allows you to access the necessary information.

Executed on a local machine without any parameters, getmac returns the following:

Physical Address	Transport Name
================= 	====================================================
00-C0-4F-6B-B7-08	\Device\Tcpip_{347F8C08-BC6F-4F5D-B574-104D50B70ECD}
00-80-AE-00-00-01	\Device\Tcpip_{C0731956-AF91-46A2-8946-AC5D408E8023}

This shows the physical address of each network device on the machine, the transport protocol bound to the adapter (TCP/IP in this case), and the Global Unique ID (GUID) registry identification entry for the device protocol.


Hostname

The hostname command returns the computer name of a local machine. Typing hostname returns the local machine’s host name.

 C:\>hostname rjhxp


Ipconfig

Ipconfig is the basic command-line tool for managing IP configuration, Domain Name System (DNS), and DHCP settings. When you need to troubleshoot network or local networking problems, ipconfig is the place to start. Typing ipconfig /? returns the following:

USAGE:
    ipconfig [/? │ /all │ /renew [adapter] │ /release [adapter] │
        /flushdns │ /displaydns │ /registerdns │
        /showclassid adapter │
        /setclassid adapter [classid] ]

where
    adapter Connection name
        (wildcard characters * and ? allowed, see examples)
Options:
    /?		Display this help message.
    /all		Display full configuration information.
    /release	Release the IP address for the specified adapter.
    /renew		Renew the IP address for the specified adapter.
    /flushdns	Purges the DNS Resolver cache.
    /registerdns	Refreshes all DHCP leases and re-registers DNS names.
    /displaydns	Displays the contents of the DNS Resolver cache.
    /showclassid	Displays all the dhcp class IDs allowed for adapter.
    /setclassid	Modifies the dhcp class id.

The default is to display only the IP address, subnet mask, and default
gateway for each adapter bound to TCP/IP.

For Release and Renew, if no adapter name is specified, then the IP
address leases for all adapters bound to TCP/IP will be released or
renewed.

For Setclassid, if no ClassId is specified, then the ClassId is removed.

Examples:
    > ipconfig 		... Show information
    > ipconfig /all 	... Show detailed information
    > ipconfig /renew 	... renew all adapters >
    ipconfig /renew EL* 	... renew any connection that has its
                name starting with EL >
    ipconfig /release *Con*	... release all matching connections.
                eg. "Local Area Connection 1" or
                "Local Area Connection 2"

You’ll find that you use /release and /renew to fix most common networking problems, as it resets the DHCP-assigned information provided to the network interface. Using ipconfig without any of the parameters returns something like this:

Windows IP Configuration

Ethernet adapter Local Area Connection:
    Connection-specific DNS Suffix . :
    IP Address. . . . . . . . . . . . : 192.168.0.1
    Subnet Mask . . . . . . . . . . . : 255.255.255.0
    Default Gateway . . . . . . . . . :
Ethernet adapter Satellite Connection:
    Connection-specific DNS Suffix . : direcpc.com
    IP Address. . . . . . . . . . . . : 10.20.130.96
    Subnet Mask . . . . . . . . . . . : 255.255.255.0
    Default Gateway . . . . . . . . . : 206.71.110.87

If you are running Internet Connection Sharing (ICS), your system configuration will be similar. For more detailed information that is far more complete than any that can be derived through the GUI tools, use the ipconfig/all command executed on a computer with multiple interfaces and domain configurations, resulting in the following:

Windows IP Configuration
    Host Name . . . . . . . . . . . . : DPCNOTEBOOK
    Primary Dns Suffix . . . . . . . : sharks.rippletech.com
    Node Type . . . . . . . . . . . . : Mixed
    IP Routing Enabled. . . . . . . . : No
    WINS Proxy Enabled. . . . . . . . : No
    DNS Suffix Search List. . . . . . : sharks.rippletech.com
                        rippletech.com
Ethernet adapter Local Area Connection:
    Connection-specific DNS Suffix . : mshome.net
    Description. . . . . . . . . . . . : Intel(R) PRO/100 SP Mobile
                         Combo
Adapter
    Physical Address. . . . . . . . . : 00-03-47-90-6D-E2
    Dhcp Enabled. . . . . . . . . . . : Yes
    Autoconfiguration Enabled . . . . : Yes
    IP Address. . . . . . . . . . . . : 192.168.0.134
    Subnet Mask . . . . . . . . . . . : 255.255.255.0
    Default Gateway . . . . . . . . . : 192.168.0.1
    DHCP Server . . . . . . . . . . . : 192.168.0.1
    DNS Servers . . . . . . . . . . . : 192.168.0.1
    Primary WINS Server . . . . . . . : 192.168.0.3
    Lease Obtained. . . . . . . . . . : Sunday, March 17, 2002 1:06:16 PM
    Lease Expires . . . . . . . . . . : Sunday, March 24, 2002 1:06:16 PM
Ethernet adapter Wireless Network Connection:
    Connection-specific DNS Suffix . : mshome.net
    Description . . . . . . . . . . . : Belkin 11Mbps Wireless USB
                        Network Adapter
    Physical Address. . . . . . . . . : 00-30-BD-60-8C-C4
    DHCP Enabled. . . . . . . . . . . : Yes
    Autoconfiguration Enabled . . . . : Yes
    IP Address. . . . . . . . . . . . : 192.168.0.61
    Subnet Mask . . . . . . . . . . . : 255.255.255.0
    Default Gateway . . . . . . . . . : 192.168.0.1
    DHCP Server . . . . . . . . . . . : 192.168.0.1
    DNS Servers . . . . . . . . . . . : 192.168.0.1
    Lease Obtained. . . . . . . . . . : Sunday, March 17, 2002 1:06:27 PM
    Lease Expires . . . . . . . . . . : Sunday, March 24, 2002 1:06:27 PM
Ethernet adapter Local Area Connection 3:
    Connection-specific DNS Suffix . : mshome.net
    Description . . . . . . . . . . . : Belkin 11Mbps Wireless
                        Notebook Network Adapter
    Physical Address. . . . . . . . . : 00-30-BD-60-63-8C
    DHCP Enabled. . . . . . . . . . . : Yes
    Autoconfiguration Enabled . . . . : Yes
    IP Address. . . . . . . . . . . . : 192.168.0.38
    Subnet Mask . . . . . . . . . . . : 255.255.255.0
    Default Gateway . . . . . . . . . : 192.168.0.1
    DHCP Server . . . . . . . . . . . : 192.168.0.1
    DNS Servers . . . . . . . . . . . : 192.168.0.1
    Lease Obtained. . . . . . . . . . : Sunday, March 17, 2002 1:06:25 PM
    Lease Expires . . . . . . . . . . : Sunday, March 24, 2002 1:06:25 PM
More Info
Chapter 10, “Tools to Troubleshoot Networking,” describes using the ipconfig command in detail.


Irftp

The irftp command sends files across an infrared link. It is available only on Windows XP computers that have an infrared connection available. (Otherwise the command is not installed.) Run without any parameters, it launches the Wireless Link dialog box. Given a fully qualified command syntax (that is, irftp c:\testfile.txt /h), it transfers files silently. The /h parameter makes the command operate in hidden mode. The /s parameter allows you to specify a directory path and open the Wireless Link dialog box to display available files in the path you’ve identified.


Nbtstat

The nbtstat command provides all the NetBIOS over TCP/IP (NBT) information available to the computer. NetBIOS provides much of the identification information used by machines in networks that don’t have DNS resolution of local addresses available. Executed without any parameters, the nbtstat command returns the following:

NBTSTAT [ [-a RemoteName] [-A IP address] [-c] [-n]
    [-r] [-R] [-RR] [-s] [-S] [interval] ]

    -a	(adapter status) 	Lists a remote machine's name table given its
                    name.
    -A	(Adapter status)	Lists a remote machine's name table given its
                    IP address.
    -c	(cache)			Lists NBT's cache of remote [machine] names and
                    their IP addresses.
    -n	(names)			Lists local NetBIOS names.
    -r	(resolved)		Lists names resolved by broadcast and via WINS.
    -R	(Reload)		Purges and reloads the remote cache name table.
    -S	(Sessions)		Lists sessions table with the destination IP
                    addresses.
    -s	(sessions)		Lists sessions table converting destination IP
                    addresses to computer NETBIOS names.
    -RR	(ReleaseRefresh)	Sends Name Release packets to WINS and then
                    starts Refresh.
    RemoteName			Remote host machine name.
    IP address			Dotted decimal representation of the IP address.
    interval			Redisplays selected statistics, pausing interval
                    seconds between each display. Press Ctrl+C to
                    stop redisplaying statistics.

Information derived with the nbtstat command is incredibly useful when troubleshooting network connections in home and small office or home office networks.

In this example, executing the command nbtstat –a breakfast returned the NetBIOS name table below for a remote machine named BREAKFAST. If BREAKFAST is the machine you are executing the nbtstat command from, you would execute the command nbtstat –n, and the table heading would be NetBIOS Local Name Table.

Local Area Connection:
Node IpAddress: [192.168.0.1] Scope Id: []
        NetBIOS Remote Machine Name Table
Name			Type	Status
--------------------------------------------------
BREAKFAST      <00> 	UNIQUE 	Registered
BREAKFAST      <20>	UNIQUE 	Registered
TTSTECHNOLOGIES<00> 	GROUP 	Registered
TTSTECHNOLOGIES<1E> 	GROUP 	Registered
TTSTECHNOLOGIES<1D> 	UNIQUE	Registered
..__MSBROWSE__.<01> 	GROUP 	Registered

    MAC Address = 00-50-DA-7A-02-98

Satellite Connection:
    Node IpAddress: [10.20.130.96] Scope Id: []

        NetBIOS Remote Machine Name Table
Name 			Type 	Status
-------------------------------------------------
BREAKFAST      <00>	UNIQUE	Registered
BREAKFAST      <20> 	UNIQUE	Registered
TTSTECHNOLOGIES<00> 	GROUP	Registered
TTSTECHNOLOGIES<1E>	GROUP	Registered
TTSTECHNOLOGIES<1D>	UNIQUE	Registered
..__MSBROWSE__.<01>	GROUP	Registered

    MAC Address = 00-50-DA-7A-02-98

You’ll note that the name table information is returned not only for the requested machine, but also for the DHCP Server/Edge Connection network connection. The information contains all the details about the machine that are registered to the NBT: computer name and domain/workgroup. If run locally, the command also returns the user currently logged on to the system.


Net

The net commands have been passed down from the early days of Microsoft networking, going back to the introduction of LAN Manager 1.0 in the late 1980s. Networking and system services can be directly controlled using the 22 net commands. Entering the command net, with no parameters, returns this list of available commands:

NET [ ACCOUNTS │ COMPUTER │ CONFIG │ CONTINUE │ FILE │ GROUP │
    HELP │ HELPMSG │ LOCALGROUP │ NAME │ PAUSE │ PRINT │ SEND │ SESSION │
    SHARE │ START │ STATISTICS │ STOP │ TIME │ USE │ USER │ VIEW ]
Net Accounts

The net accounts command allows the user account database to be updated from the command line. Run without any parameters, net accounts returns information about the local account as follows:

Force user logoff how long after time expires?:				Never
Minimum password age (days): 0 Maximum password age (days):		42
Minimum password length: 0 Length of password history maintained:	None
Lockout threshold: Never Lockout duration (minutes):			30
Lockout observation window (minutes):					30
Computer role: WORKSTATION

Available parameters for the command are as follows:

  • /FORCELOGOFF Lets you set the length of time before an account is logged off

  • /MINPWLEN Sets the minimum password length

  • /MAXPWAGE Sets the maximum age of a password

  • /MINPWAGE Sets the minimum age of a password

  • /UNIQUEPW Sets the number of password changes before a password can be repeated

  • /DOMAIN Identifies the domain you want to modify accounts in

Net Computer

The net computer command is used to add or remove a computer (by computer name) from the domain accounts database. The syntax is net computer \\computer /add or /del.

Net Config

The net config command allows you to display and configure the Server and Workstation services running on your local computer. The command has two possible, and mutually exclusive, parameters: server or workstation.

Executing the command net config server returns the following:

Server Name				\\ASMODEOUS
Server Comment				Asmodeous

Software version			Windows 2002
Server is active on
    NetbiosSmb (000000000000)
    NetBT_Tcpip_{347F8C08-BC6F-4F5D-B574-104D50B70ECD} (00c04f6bb708)
    NetBT_Tcpip_{C0731956-AF91-46A2-8946-AC5D408E8023} (0080ae000001)

Server hidden 				No
Maximum Logged On Users 		10
Maximum open files per session 		16384
Idle session time (min) 		15

Executing the command net config workstation returns the following:

Computer name				\\ASMODEOUS
Full Computer name 			asmodeous
User name 				Administrator

Workstation active on
    NetbiosSmb (000000000000)
    NetBT_Tcpip_{C0731956-AF91-46A2-8946-AC5D408E8023} (0080AE000001)
    NetBT_Tcpip_{347F8C08-BC6F-4F5D-B574-104D50B70ECD} (00C04F6BB708)

Software version 			Windows 2002

Workstation domain 			TTSTECHNOLOGIES
Workstation Domain DNS Name 		(null)
Logon domain 				ASMODEOUS

COM Open Timeout (sec) 			0
COM Send Count (byte) 			16 COM
Send Timeout (msec)			250
Net Pause and Net Continue

The net pause and net continue commands allow you to pause and continue a running service.

Net File

The net file command displays all the shared files that are currently open and the number of file locks on each file. It can also be used to explicitly close the open files. Executed without any parameters, the command shows just the list of open shared files, if any are currently open.

Net Group

This command is used to work with global groups in domains. It is not functional in Windows XP, because it works only on the domain controller.

Net Help

The net help command displays the commands for which help is available.

Net Helpmsg

Typing the command net helpmsg message# displays help information about the message number that has been entered. For example:

C:\>net helpmsg 123The filename, directory name, or volume label syntax is incorrect.
Net Localgroup

The net localgroup command allows you to configure and display local group information. On a computer running Windows XP with no extra groups configured, it returns the following:

Aliases for \\ASMODEOUS
----------------------------------------------------------------------

*Administrators
*Backup Operators
*Guests
*HelpServicesGroup
*Network Configuration Operators
*Power Users
*Remote Desktop Users
*Replicator *Users

The following parameters are available:

  • /COMMENT Add a comment text string (the maximum length is 48 characters)

  • /ADD Add a new group

  • /DELETE Delete an existing group

  • /DOMAIN Can be added as a parameter to the other commands to identify a specific domain to apply the group changes to

Net Name

The net name command can add or delete a name to the local machine that is accessible through the Windows Messenger service. The valid parameters are /add and /delete. You can delete any name except the local computer name.

Net Print

The net print command lets you manage, view, and control the jobs in a local or remote printer queue. The available parameters are as follows:

  • /HOLD Hold the print queue job

  • /RELEASE Release from a hold

  • /DELETE Delete from the print queue

Net Send

The net send command lets you send messages to any user or machine in your network running the Messenger service. The syntax of the command is net send username/DOMAIN message text. To send a message to all users, the syntax is net send /USERS message text.

Net Session

The net session command displays connections to a server. You can also disconnect the sessions using the /DELETE parameter. Without parameters, the command displays all connected sessions.

Net Share

The net share command lets you display, manage, and control shared resources on a local computer. Run without parameters, it returns something like this:

Share name Resource Remark
----------------------------------------------------------------------
E$			E:\ 				Default share
IPC$							Remote IPC
D$			D:\				Default share
print$			C:\WINNT\System32\spool\drivers	Printer Drivers
ADMIN$			C:\WINNT			Remote Admin
C$			C:\				Default share
Administrator
            C:\Documents and Settings\Administrator
Cdrive			C:\
D			D:\
DVD			G:\
InterChk		C:\Program Files\Sophos SWEEP for NT
MusicZips		E:\MusicZips
SharedDocs		C:\DOCUMENTS AND SETTINGS\ALL USERS\DOCUMENTS
HPLaserJet6P		LPT1:		Spooled		HP LaserJet 6P
Printer			USB001:		Spooled		OLYMPUS P-400
Printer3		LPT1:		Spooled 	ActiveTouch Document Loader

Notice that the command identifies all shares on the computer, including those created by the operating system as administrative shares as well as those created by the user.

By typing net share sharename=drive:path, you can create a share at the command line. Type sharename /DELETE to remove an existing share. Other parameters are also available, which allow you to set the number of users who can access the share, set up a comment field associated with the share, and select whether or not to allow offline caching.

Net Start and Net Stop

These commands are used to start and stop services with the syntax net start servicename and net stop servicename, respectively.

Net Statistics

The net statistics command can be used to display traffic and session statistics for the server or workstation services. For example, typing net statistics workstation returned the following:

Workstation Statistics for \\ASMODEOUS
Statistics since 3/12/2002 9:49 PM

    Bytes received					32426528
    Server Message Blocks (SMBs) received		31772
    Bytes transmitted 				9725054
    Server Message Blocks (SMBs) transmitted	31779
    Read operations					7580
    Write operations				223
    Raw reads denied				0
    Raw writes denied				0
    Network errors					0
    Connections made				435
    Reconnections made				0
    Server disconnects				62
    Sessions started				21
    Hung sessions					0
    Failed sessions					0
    Failed operations				583
    Use count					508
    Failed use count				6
Net Time

The net time command synchronizes the time of the local machine with a network time server. This can be either a specific machine, or, by default, the domain controller in your network. Most small-office and home networks don’t have a time server.

Net Use

The net use command lets you create the same type of connections manually that you could create using the Add Network Place Wizard through the GUI, or using the Map Network Drive shortcut menu command in Windows Explorer. Running the command with no parameters returns a list of current and persistent network connections, as follows:

Status		Local	Remote			Network
-------------------------------------------------------------------------
OK 		J: 	\\Bealzabub\Bealzabub1 	Microsoft Windows Network
Disconnected 	L: 	\\Music\Music 		Microsoft Windows Network
Disconnected 	M: 	\\Music\Music2 		Microsoft Windows Network

Executing the net use /? command returns the following syntax and option information:

NET USE
[devicename │ *] [\\computername\sharename[\volume] [password │ *]]
    [/USER:[domainname\]username]
    [/USER:[dotted domain name\]username]
    [/USER:[username@dotted domain name]
    [/SMARTCARD]
    [/SAVECRED]
    [[/DELETE] │ [/PERSISTENT:{YES │ NO}]]

NET USE {devicename │ *} [password │ *] /HOME
NET USE [/PERSISTENT:{YES │ NO}]
Net User

The net user command allows you to modify or display either local account information or, with the /domain parameter, account information on a domain controller to which you have authorized access. Run without parameters on a workstation, the net user command returns information that looks like this:

User accounts for \\ASMODEOUS
----------------------------------------------------------------
Administrator		Chernicoff		Guest
HelpAssistant		IUSR_ASMODEOUS		IWAM_ASMODEOUS
SQLAgentCmdExec		SUPPORT_234945a0	Test

Of the accounts listed here, only two represent user-created accounts (Chernicoff and Test); the other seven accounts were created by either the operating system (Administrator, HelpAssistant, Support_234945a0) or applications (SQLAgentCmdExec by SQL Server, IUSR and IWAM by IIS).

Net View

The net view command displays either the resources being shared by a specific computer or a list of the computers visible on the network. Executing the net view command on one machine returns the following:

Server Name 		Remark
--------------------------------
\\ASMODEOUS 		Asmodeous
\\BEALZABUB
\\BREAKFAST
\\CELERY500 		you know
\\MUSIC

Typing the command net view \\bealzabub returned this:

Shared resources at \\bealzabub

Share name	Type	Used as	Comment
------------------------------------------
Bealzabub1 	Disk	J:
CD-Rom		Disk
OLYMPUSP	Print		OLYMPUS P-400


Netsh

Netsh is a complete command-line tool that supports scripting and lets you modify or display the configuration of any visible computer (local or remote) that is currently running. Netsh also allows you to run groups of commands in batch files, along with saving configuration scripts to text files that are useful when configuring other computers. Netsh, by default, can also be extended using “helper” DLL’s that allow it to interact with the operating system. This interaction provides monitoring functionality for various services, utilities, and protocols. Specific Netsh examples are covered in Chapter 10, “Tools to Troubleshoot Networking.”


Netstat

The netstat command displays information about all connections being made to and from the local computer, identifying the connected machines, the ports they connect to, the protocol being used, and the routing information. Typing the command netstat -? returns all the following parameter details:

Displays protocol statistics and current TCP/IP network connections.
NETSTAT [-a] [-e] [-n] [-o] [-s] [-p proto] [-r] [interval]

    -a			Displays all connections and listening ports.

    -e			Displays Ethernet statistics. This may be combined
                with the -s option.

    -n			Displays addresses and port numbers in numerical
                form.

    -o			Displays the owning process ID associated with
                each connection.

    -p proto		Shows connections for the protocol specified by
                proto; proto may be any of: TCP, UDP, TCPv6, or
                UDPv6. If used with the -s option to display per-
                protocol statistics, proto may be any of: IP,
                IPv6, ICMP, ICMPv6, TCP, TCPv6, UDP, or UDPv6.

    -r			Displays the routing table.

    -s			Displays per-protocol statistics. By default,
                statistics are shown for IP, IPv6, ICMP, ICMPv6,
                TCP, TCPv6, UDP, and UDPv6; the -p proto option
                may be used to specify a subset of the default.

    Interval		Redisplays selected statistics, pausing interval
                seconds between each display. Press CTRL+C to stop
                redisplaying statistics. If omitted, netstat will
                print the current configuration information once.

Entering the command with no parameters returns the current active connection information, for example:

Active Connections
Proto 	Local Address		Foreign Address				State
TCP 	asmodeous:3052		205.148.244.240:6667			ESTABLISHED
TCP 	asmodeous:4265		Bealzabub.mshome.net:netbios-ssn	ESTABLISHED
TCP 	asmodeous:4952 		ofu.grub.net:2064 			CLOSING
TCP 	asmodeous:netbios-ssn	Bealzabub.mshome.net:1460 		ESTABLISHED
TCP 	asmodeous:2869		asmodeous.mshome.net:3048 		TIME_WAIT


Nslookup

Nslookup is a command-line tool that lets you diagnose and troubleshoot DNS problems. It provides DNS information about a requested address.

For example, the command nslookup microsoft.com returns the following:

Server: ns.direcpc.com
Address: 198.77.116.8

Non-authoritative answer:
Name: microsoft.com Addresses: 207.46.197.100, 207.46.197.102, 207.46.230.218,
207.46.230.219, 207.46.230.220

The first response is the name and address of the local DNS server that is supplying the information. The second response is the answer supplied by the DNS server.

We cover nslookup in depth in Chapter 10, “Tools to Troubleshoot Networking.” There is no command-line help available for this command.


Ping

Ping is the most basic TCP/IP connectivity command. It allows you to verify the existence of another device on the Internet or local network. The basic syntax is ping ip_address, but you can also ping other devices using a resolvable name. Typing the command ping /? returns the following:

Usage: ping [-t] [-a] [-n count] [-l size] [-f] [-i TTL] [-v TOS]
    [-r count] [-s count] [[-j host-list] │ [-k host-list]]
    [-w timeout] target_name

Options:
    -t			Ping the specified host until stopped. To see
                statistics and continue - type Control-Break; To
                stop - type Control-C.
    -a			Resolve addresses to hostnames.
    -n			count Number of echo requests to send.
    -l size			Send buffer size.
    -f			Set Don't Fragment flag in packet.
    -i TTL			Time To Live.
    -v			TOS Type Of Service.
    -r count		Record route for count hops.
    -s count		Timestamp for count hops.
    -j host-list		Loose source route along host-list.
    -k host-list		Strict source route along host-list.
    -w timeout		Timeout in milliseconds to wait for each reply.


Telnet

Telnet lets you connect to another computer running a Telnet server. This feature is included in Windows XP and can be started by executing the command net start telnet and stopped by executing net stop telnet. The service default state is stopped. Typing the command telnet /? returns the following parameters for using the Telnet client:

telnet [-a][-e escape char][-f log file][-l user][-t term]
[host [port]]

    -a		Attempt automatic logon. Same as -l option except uses the
            currently logged on user's name.
    -e		Escape character to enter telnet client prompt.
    -f		File name for client side logging.
    -l		Specifies the user name to log on with on the remote system.
            Requires that the remote system support the TELNET ENVIRON
            option.
    -t		Specifies terminal type. Supported terminal types are vt100,
            vt52, ansi and vtnt only.
    host		Specifies the hostname or IP address of the remote computer to
            connect to.
    port		Specifies a port number or service name.

While telnet is running, the tlntadmn command lets you configure the local Telnet server. Without parameters, it returns the following:

The following are the settings on localhost.
Alt Key Mapped to 'CTRL+A'	: 	YES
Idle session timeout 		: 	1 hrs
Max connections 		:	63
Telnet port 			:	23
Max failed login attempts 	:	3
End tasks on disconnect		:	NO
Mode of Operation		:	Console
Audit logs			:	+eventvwr
Authentication Mechanism 	:	NTLM
Default Domain 			:	ASMODEOUS
Audit Settings 			:	Login(admin)
State 				:	Stopped

Configuring the local Telnet server from the command line can be quite complex. Typing tlntadmn /? returns the following:

usage: tlntadmn [computer name] [common_options] start │ stop │ pause │
continue │ -s │ -k │ -m │ config config_options

        Use 'all' for all sessions.

    -s sessionid			List information about the session.
    -k sessionid			Terminate a session.
    -m sessionid			Send message to a session.
    config				Configure telnet server parameters.

common_options are:
    -u user				Identity of the user whose credentials are to be
                    used.
    -p password			Password of the user.

config_options are:
    dom = domain			Set the default domain for user names.
    ctrlakeymap = yes│no 		Set the mapping of the ALT key.
    timeout = hh:mm:ss		Set the idle session timeout.
    timeoutactive = yes│no		Enable idle session timeout.
    maxfail = attempts		Set the maximum number of logon
                    failure attempts before disconnecting.
    maxconn = connections		Set the maximum number of connections.
    port = number			Set the telnet port.
    sec = [+/-]NTLM [+/-]passwd	Set the authentication mechanism.
    fname = file			Specify the name of the audit file.
    fsize = size			Specify the maximum size (in MB) of
                    the audit file.
    mode = console│stream		Specify the mode of operation.
    auditlocation = 		Specify where to log.
       eventlog│file│both
    audit = [+/-]user [+/-]fail	Specify events to audit.
       [+/-]admin


Trivial File Transfer Protocol

Routers and gateway hardware often use Trivial File Transfer Protocol (TFTP) to allow users to upgrade firmware from a local machine to a remote machine. This protocol allows the simple transfer of a single file to and from a remote device using a single-line get or put FTP command. Typing tftp /? returns a very descriptive help file, as follows:

Transfers files to and from a remote computer running the TFTP service.
TFTP [-i] host [GET │ PUT] source [destination]

    -i		Specifies binary image transfer mode (also called
            octet). In binary image mode the file is moved
            literally, byte by byte. Use this mode when
            transferring binary files.
    host		Specifies the local or remote host.
    GET		Transfers the file destination on the remote host to
            the file source on the local host.
    PUT		Transfers the file source on the local host to the
            file destination on the remote host.
    source		Specifies the file to transfer.
    destination	Specifies where to transfer the file.


Tracert

Tracert traces the path that packets take between your local machine and the destination address you specified. We cover tracert in detail as a diagnostic tool in Chapter 10. Typing tracert at a command prompt returns the following:

Usage: tracert [-d] [-h maximum_hops] [-j host-list] [-w timeout]
target_name

Options:
    -d		Do not resolve addresses to hostnames.
    -h		maximum_hops Maximum number of hops to search for target.
    -j		host-list Loose source route along host-list.
    -w		timeout Wait timeout milliseconds for each reply.

In the next chapter we cover many of these tools in more detail and explain their use as diagnostic tools for troubleshooting networking in Windows XP.


Chapter 10 - Tools to Troubleshoot Networking

Chapter 10
Tools to Troubleshoot Networking

With the release of Windows XP, Microsoft has attempted to make the operating system as network-friendly as possible. Microsoft Windows XP is significantly easier to configure for networking than any previous version of Windows. Just in case you run into problems, though, you can troubleshoot them with some powerful tools included in the operating system.

When you encounter networking problems, we suggest that you work your way through the following checklist. This chapter deals with each point in detail.

  • Make sure that all TCP/IP information has been entered and configured correctly by using either the GUI tools or the ipconfig/all command.

  • Use the Network Diagnostics links in the Help And Support Center to scan all the network adapters. See the section entitled “Network Diagnostics Scanning,” later in this chapter, for information on how to run this scan. Make sure that none of the network devices has failed the scan. If anything has failed, correct the failure and run the diagnostic scan again.

  • Make sure that you can ping the loopback adapter address (127.0.0.1).

  • Make sure that you can ping the IP address of the host machine.

  • If the local network resources are not available and nothing else seems to be wrong, type the command netsh int ip reset c:\resetfile.txt to reset the IP stack to its pristine, freshly installed state.

  • Ping the remote host you want to access to see if it is available.

  • Tracert to the remote host to determine where the communications breakdown occurs.

    POWER TIP
    Some of the most common problems attributed to networking issues are actually related to improperly configured file sharing. If the problem is access to files or shares on the local area network (LAN), make sure that file sharing has been activated on the desired resource. Also make sure that the client account has sufficient privileges to access the desired network resource. See Chapter 4, “Tools for Protecting Data Files,” for a detailed discussion of file sharing tools and permissions.


Tools for Checking TCP/IP Configuration

After problems with misconfigured or unconfigured file sharing, the most common issues with networking are problems with the way that the Transmission Control Protocol/Internet Protocol (TCP/IP) protocol stack has been configured. There are both GUI and command-line tools built into Windows XP that can help you make sure that TCP/IP is up and running the way it is supposed to be. Chapter 9, “Command-Line Networking Power Tools,” covers command-line tools in detail.

Icon Notification

When you first configure networking on your Windows XP computer, a good first step is to display the Network Connection icon in the notification area. To enable this, perform the following steps:

  1. Click Start, point to Control Panel, and then choose Network And Internet Connections (Network Connections in the Classic view of Windows XP).

  2. Right-click Local Area Connection, and from the shortcut menu, select Properties.

  3. On the General tab, select the Show Icon In Notification Area When Connected check box.

  4. Click OK. The Network Connection icon now shows up in the notification area.

This is important for two reasons. The first is that if the connection is lost, you’ll get a pop-up message that says the connection has been disconnected. Information like this can be invaluable in determining where connectivity problems lie. This pop-up message usually indicates a hardware problem—in most cases, a bad network cable. If you see this message on your screen and can check the connection lights on your network adapter and network hub, you can quickly determine where a hardware problem is located. Installing a new networking cable is certainly the cheapest and easiest fix to networking problems, if that’s where they originate. The second reason is desktop access to information about the TCP/IP network connection. Double-clicking the Network Connection icon opens a Properties dialog box that gives you one-click access to the details about the connection and the IP properties that are configured for the connection the icon represents.

Connection Status Dialog Box

The first place to start in your TCP/IP problem diagnosis is the Support tab in the Local Area Connection Status dialog box, shown in Figure 10-1. For the purposes of this discussion, we presume that you are using Internet Connection Sharing (ICS) and that the computers in your network are all Dynamic Host Configuration Protocol (DHCP) clients. DHCP is a network service running on a server that automatically allocates client IP addresses. ICS provides DHCP server functionality. DHCP has the ability to provide other networking settings such as Domain Name System (DNS), Windows Internet Name System (WINS), and default gateways. As such, three of the four entries on this screen should always be the same.

Figure 10-1  The Support tab in the Local Area Connection Status dialog box.
Figure 10-1. The Support tab in the Local Area Connection Status dialog box.

To view the Support tab, right-click the network icon in the notification area and from the shortcut menu, select Status, and then click the Support tab.

  • The Address Type should be Assigned By DHCP. The other possibility is Static, but if you are using ICS or any DHCP provider, and there is no DHCP address supplied, that would be the first problem to investigate. This would indicate that the TCP/IP properties are not configured for a DHCP address. If the entry indicates a private IP address, it means that the DHCP server was not accessible for an address to be assigned to the computer.

  • The IP Address should be 192.168.0.xxx. The ICS DHCP server will assign all clients IP addresses in the 192.168.0.2–192.168.0.254 range. These addresses are designated as nonroutable and for use on private networks and will never be routed beyond your LAN to the Internet at large.

  • The Subnet Mask should be 255.255.255.0. The assigned subnet mask will always be the 24-bit 255.255.255.0. This is part of the definition of your IP network. A complete explanation of subnetting is beyond the scope of this book. For a computer using DHCP-supplied private network addresses, there is no reason for the subnet mask to be anything different.

  • The Default Gateway should be 192.168.0.1. With ICS this is the address of the second adapter in the computer that is providing the ICS service.

    More Info
    For additional network connection details, you can click Details on the Support tab. For a detailed explanation of what the Repair button in the Local Area Connection Status dialog box does, see Chapter 8, “Networking Power Tools.”
Using the TCP/IP Alternate Configuration
Although it is designed to allow a Windows XP system to move seamlessly between DHCP and static IP environments, you can use the Alternate Configuration tab of the Internet Protocol (TCP/IP) Properties dialog box (shown in Figure 10-2) to provide a backup to the DHCP server by configuring it with valid IP information that would normally be supplied by the DHCP server. This means that if the DHCP server is unavailable, Windows XP automatically tries to use the information in the alternate configuration. If the other network services, such as DNS and the default gateway, are still available, the computer can make a functional network connection.
Figure 10-2  Alternate Configuration tab of the Internet Protocol (TCP/IP) Properties dialog box.
Figure 10-2. Alternate Configuration tab of the Internet Protocol (TCP/IP) Properties dialog box.

To access the Alternate Configuration settings, perform the following steps:

  1. Click Start and then point to Control Panel and select Network And Internet Connections (Network Connections in the Windows XP Classic view).

  2. Right-click Local Area Connection, and from the shortcut menu, select Properties.

  3. On the General tab in the This Connection Uses The Following Items dialog box, select Internet Protocol (TCP/IP), and then click Properties.

  4. In the Internet Protocol (TCP/IP) Properties dialog box, click the Alternate Configuration tab.

  5. Make the alternate settings, click OK, and then click Close.

Ipconfig

The last quick method for ascertaining your TCP/IP configuration is making use of the ipconfig command-line utility. All the available switches for the utility are described in Chapter 9, “Command-Line Networking Power Tools.” At this point, we are most interested in the ipconfig /all command. This returns all the available IP information, which in addition to the information provided by the GUI tools also includes identifying the adapter by name (which can be very important if you are using two identical adapters in one system).

The output from the ipconfig /all command will look something like this:

Windows IP Configuration Host Name . . . . . . . . . . . . : NEC_NOTEBOOK Primary Dns Suffix . . . . . . . : Node Type . . . . . . . . . . . . : Mixed IP Routing Enabled. . . . . . . . : No WINS Proxy Enabled. . . . . . . . : NoEthernet adapter Local Area Connection: Connection-specific DNS Suffix . : direcpc.com Description . . . . . . . . . . . : Intel(R) PRO/100+ MiniPCI Physical Address. . . . . . . . . : 00-10-A4-0F-9D-A1 Dhcp Enabled. . . . . . . . . . . : Yes Autoconfiguration Enabled . . . . : Yes IP Address. . . . . . . . . . . . : 192.168.0.171 Subnet Mask . . . . . . . . . . . : 255.255.255.0 Default Gateway . . . . . . . . . : 192.168.0.1 DHCP Server . . . . . . . . . . . : 192.168.0.1 DNS Servers . . . . . . . . . . . : 192.168.0.1 Lease Obtained. . . . . . . . . . : Saturday, April 27, 2002 3:49:22 PM Lease Expires . . . . . . . . . . : Saturday, May 04, 2002 3:49:22 PMEthernet adapter Wireless Network Connection: Connection-specific DNS Suffix . : direcpc.com Description . . . . . . . . . . . : Belkin 11Mbps Wireless USB Network Adapter Physical Address. . . . . . . . . : 00-30-BD-60-8C-C4 Dhcp Enabled. . . . . . . . . . . : Yes Autoconfiguration Enabled . . . . : Yes IP Address. . . . . . . . . . . . : 192.168.0.121 Subnet Mask . . . . . . . . . . . : 255.255.255.0 Default Gateway . . . . . . . . . : 192.168.0.1 DHCP Server . . . . . . . . . . . : 192.168.0.1 DNS Servers . . . . . . . . . . . : 192.168.0.1 Lease Obtained. . . . . . . . . . : Saturday, April 27, 2002 3:50:10 PM Lease Expires . . . . . . . . . . : Saturday, May 04, 2002 3:50:10 PM

Redirecting the command’s output to a text file (ipconfig /all>c:\ipstuff.txt) lets you bring up the information at any time to compare to the current state, a useful tool if a change in configuration is causing your connectivity problems.


Network Diagnostics Scanning

In Chapter 9, we briefly described the netsh command and what it can be used for. Windows XP has a built-in tool that makes use of the netsh command to perform automated diagnosis of the networking configuration. To access this tool from the user interface, open the Help And Support Center (shown in Figure 10-3), and then, from the Pick A Task menu, select Use Tools To View Your Computer Information And Diagnose Problems. From the Tools pane on the left, select Network Diagnostics, and then select Scan Your System in the right pane.

Figure 10-3  Help and Support Center Network Diagnostics.
Figure 10-3. Help and Support Center Network Diagnostics.

Of course, if you would like to just get to the same place much more quickly, you can open the Run command and type netsh diag gui and you’ll find yourself at the Network Diagnostic menu.

Running the scan generates quite a bit of useful information, and it might be a good idea to save the results to a file. The file is saved in HTML format (as an .htm file) and can be viewed in a Web browser. The data that is germane primarily to network diagnostics is displayed as shown on the next several pages. You can click the plus sign (+) by the test to expand the visible information about the test and try to determine why it failed.

- Network Adapters PASSED- [00000001] Intel(R) PRO/100+ MiniPCI (PASSED)   Caption = [00000001] Intel(R) PRO/100+ MiniPCI   DatabasePath = %SystemRoot%\System32\drivers\etc - DefaultIPGateway = 192.168.0.1(Same Subnet) (PASSED) Pinging 192.168.0.1 with 32 bytes of data: Reply from 192.168.0.1: bytes=32 time<1ms TTL=0 Reply from 192.168.0.1: bytes=32 time<1ms TTL=0 Reply from 192.168.0.1: bytes=32 time<1ms TTL=0 Reply from 192.168.0.1: bytes=32 time<1ms TTL=0 Ping statistics for 192.168.0.1: Packets: Sent = 4, Received = 4, Lost = 0 (0% loss) Approximate round trip times in milli-seconds: Minimum = 0ms, Maximum = 0ms, Average = 0ms  Description = Intel(R) PRO/100+ MiniPCI - Packet Scheduler Miniport   DHCPEnabled = TRUE   DHCPLeaseExpires = 3:14:22 PM 5/4/2002   DHCPLeaseObtained = 3:14:22 PM 4/27/2002 - DHCPServer = 192.168.0.1 (PASSED) Pinging 192.168.0.1 with 32 bytes of data: Reply from 192.168.0.1: bytes=32 time<1ms TTL=0 Reply from 192.168.0.1: bytes=32 time<1ms TTL=0 Reply from 192.168.0.1: bytes=32 time<1ms TTL=0 Reply from 192.168.0.1: bytes=32 time<1ms TTL=0 Ping statistics for 192.168.0.1: Packets: Sent = 4, Received = 4, Lost = 0 (0% loss) Approximate round trip times in milli-seconds: Minimum = 0ms, Maximum = 0ms, Average = 0ms  DNSDomain = direcpc.com   DNSEnabledForWINSResolution = FALSE   DNSHostName = NEC_NOTEBOOK - DNSServerSearchOrder = 192.168.0.1 (PASSED) Pinging 192.168.0.1 with 32 bytes of data: Reply from 192.168.0.1: bytes=32 time<1ms TTL=0 Reply from 192.168.0.1: bytes=32 time<1ms TTL=0 Reply from 192.168.0.1: bytes=32 time<1ms TTL=0 Reply from 192.168.0.1: bytes=32 time<1ms TTL=0 Ping statistics for 192.168.0.1: Packets: Sent = 4, Received = 4, Lost = 0 (0% loss) Approximate round trip times in milli-seconds: Minimum = 0ms, Maximum = 0ms, Average = 0ms  GatewayCostMetric = 20   Index = 1 - IPAddress = 192.168.0.171 (PASSED) Pinging 192.168.0.171 with 32 bytes of data: Reply from 192.168.0.171: bytes=32 time<1ms TTL=0 Reply from 192.168.0.171: bytes=32 time<1ms TTL=0 Reply from 192.168.0.171: bytes=32 time<1ms TTL=0 Reply from 192.168.0.171: bytes=32 time<1ms TTL=0 Ping statistics for 192.168.0.171: Packets: Sent = 4, Received = 4, Lost = 0 (0% loss) Approximate round trip times in milli-seconds: Minimum = 0ms, Maximum = 0ms, Average = 0ms  IPConnectionMetric = 20   IPEnabled = TRUE   IPFilterSecurityEnabled = FALSE   IPSecPermitIPProtocols = 0   IPSecPermitTCPPorts = 0   IPSecPermitUDPPorts = 0   IPSubnet = 255.255.255.0   IPXEnabled = FALSE   MACAddress = 00:10:A4:0F:9D:A1   ServiceName = E100B   SettingID = {A2C39C3F-6983-4D74-97E7-CBD1F95DB2FF}   TcpipNetbiosOptions = 0   WINSEnableLMHostsLookup = TRUE - [00000010] Belkin 11Mbps Wireless USB Network Adapter (PASSED)   Caption = [00000010] Belkin 11Mbps Wireless USB Network Adapter   DatabasePath = %SystemRoot%\System32\drivers\etc - DefaultIPGateway = 192.168.0.1(Same Subnet) (PASSED) Pinging 192.168.0.1 with 32 bytes of data: Reply from 192.168.0.1: bytes=32 time<1ms TTL=0 Reply from 192.168.0.1: bytes=32 time<1ms TTL=0 Reply from 192.168.0.1: bytes=32 time<1ms TTL=0 Reply from 192.168.0.1: bytes=32 time<1ms TTL=0 Ping statistics for 192.168.0.1: Packets: Sent = 4, Received = 4, Lost = 0 (0% loss) Approximate round trip times in milli-seconds: Minimum = 0ms, Maximum = 0ms, Average = 0ms  Description = Belkin 11Mbps Wireless USB Network Adapter - Packet Scheduler Miniport   DHCPEnabled = TRUE   DHCPLeaseExpires = 3:15:10 PM 5/4/2002   DHCPLeaseObtained = 3:15:10 PM 4/27/2002 - DHCPServer = 192.168.0.1 (PASSED) Pinging 192.168.0.1 with 32 bytes of data: Reply from 192.168.0.1: bytes=32 time<1ms TTL=0 Reply from 192.168.0.1: bytes=32 time<1ms TTL=0 Reply from 192.168.0.1: bytes=32 time<1ms TTL=0 Reply from 192.168.0.1: bytes=32 time<1ms TTL=0 Ping statistics for 192.168.0.1: Packets: Sent = 4, Received = 4, Lost = 0 (0% loss) Approximate round trip times in milli-seconds: Minimum = 0ms, Maximum = 0ms, Average = 0ms  DNSDomain = direcpc.com   DNSEnabledForWINSResolution = FALSE   DNSHostName = NEC_NOTEBOOK - DNSServerSearchOrder = 192.168.0.1 (PASSED) Pinging 192.168.0.1 with 32 bytes of data: Reply from 192.168.0.1: bytes=32 time<1ms TTL=0 Reply from 192.168.0.1: bytes=32 time<1ms TTL=0 Reply from 192.168.0.1: bytes=32 time<1ms TTL=0 Reply from 192.168.0.1: bytes=32 time<1ms TTL=0 Ping statistics for 192.168.0.1: Packets: Sent = 4, Received = 4, Lost = 0 (0% loss) Approximate round trip times in milli-seconds: Minimum = 0ms, Maximum = 0ms, Average = 0ms  GatewayCostMetric = 30   Index = 10 - IPAddress = 192.168.0.121 (PASSED) Pinging 192.168.0.121 with 32 bytes of data: Reply from 192.168.0.121: bytes=32 time<1ms TTL=0 Reply from 192.168.0.121: bytes=32 time<1ms TTL=0 Reply from 192.168.0.121: bytes=32 time<1ms TTL=0 Reply from 192.168.0.121: bytes=32 time<1ms TTL=0 Ping statistics for 192.168.0.121: Packets: Sent = 4, Received = 4, Lost = 0 (0% loss) Approximate round trip times in milli-seconds: Minimum = 0ms, Maximum = 0ms, Average = 0ms  IPConnectionMetric = 30   IPEnabled = TRUE   IPFilterSecurityEnabled = FALSE   IPSecPermitIPProtocols = 0   IPSecPermitTCPPorts = 0   IPSecPermitUDPPorts = 0   IPSubnet = 255.255.255.0   IPXEnabled = FALSE   MACAddress = 00:30:BD:60:8C:C4   ServiceName = USBFVNETR   SettingID = {A6286B18-1292-4D74-80B5-F7BFDA137451}   TcpipNetbiosOptions = 0   WINSEnableLMHostsLookup = TRUE

The diagnostic checks the internal consistency of the network configuration and then uses the ping utility to check connectivity to other computers on the same network. Therefore, this utility tells you if your connectivity to the LAN is working correctly and if the IP stack is correctly installed. Any tests that have been run and failed are highlighted in red. Passed tests are highlighted in green, but the need to get additional details on those passed tests is significantly less.

Long-term users of Windows operating systems are most likely familiar with the fact that sometimes the only solution to a problem with the operating system or some of its components is uninstalling and reinstalling either the components or the entire operating system. With previous versions of Windows, the IP stack could become corrupted, requiring a reinstallation of the stack to allow IP communications to work again. With Windows XP, your first step would be to use the System Restore application to return the computer to a point where the IP stack was working correctly.

This is important because in Windows XP, the IP stack is considered a core system component and cannot be uninstalled. However, it is possible to use netsh to reset the IP configuration to that of a fresh install. (If this doesn’t work, the only other way to fix a corrupted IP stack is to reinstall the entire operating system.)

To reset the IP configuration using netsh, from the Run command, enter netsh int ip reset [logfile]. The log file name is a required parameter. Using the command netsh int ip reset c:\resetfile.txt puts the log file in the root directory of drive C. On a system with two network interface cards, the application executed in just a few seconds. An examination of the output to the log file gives you some indication of how much of the registry is affected by the IP configuration:

reset SYSTEM\CurrentControlSet\Services\Dhcp\Parameters\Options\ 15\RegLocation old REG_MULTI_SZ = SYSTEM\CurrentControlSet\Services\Tcpip\ Parameters\Interfaces\?\DhcpDomain SYSTEM\CurrentControlSet\Services\TcpIp\ Parameters\DhcpDomainadded SYSTEM\CurrentControlSet\Services\Netbt\Parameters\ Interfaces\Tcpip_{352DB1FA-64FE-4E6E-81D4-837650D3EA91}\NetbiosOptionsreset SYSTEM\CurrentControlSet\Services\Netbt\Parameters\ Interfaces\Tcpip_{56D0D829-65C9-4065-8751-1EEE4B6EEAD7}\NameServerList old REG_MULTI_SZ = <empty>added SYSTEM\CurrentControlSet\Services\Netbt\Parameters\ Interfaces\Tcpip_{56D0D829-65C9-4065-8751-1EEE4B6EEAD7}\NetbiosOptionsadded SYSTEM\CurrentControlSet\Services\Netbt\Parameters\ Interfaces\Tcpip_{DBA67F9F-7FB1-49B9-98D5-F2C247F28F49}\NetbiosOptionsreset SYSTEM\CurrentControlSet\Services\Netbt\Parameters\ Interfaces\Tcpip_{DD890359-D1BD-43E1-8C70-6961C2F1FE8E}\NameServerList old REG_MULTI_SZ = <empty>added SYSTEM\CurrentControlSet\Services\Netbt\Parameters\ Interfaces\Tcpip_{DD890359-D1BD-43E1-8C70-6961C2F1FE8E}\NetbiosOptionsdeleted SYSTEM\CurrentControlSet\Services\Netbt\Parameters\EnableLmhostsdeleted SYSTEM\CurrentControlSet\Services\Netbt\Parameters\EnableProxydeleted SYSTEM\CurrentControlSet\Services\Tcpip\Parameters\ Interfaces\{56D0D829-65C9-4065-8751-1EEE4B6EEAD7}\NameServeradded SYSTEM\CurrentControlSet\Services\Tcpip\Parameters\ Interfaces\{A2C39C3F-6983-4D74-97E7-CBD1F95DB2FF}\DisableDynamicUpdatedeleted SYSTEM\CurrentControlSet\Services\Tcpip\Parameters\ Interfaces\{A2C39C3F-6983-4D74-97E7-CBD1F95DB2FF}\ IpAutoconfigurationAddressdeleted SYSTEM\CurrentControlSet\Services\Tcpip\Parameters\ Interfaces\{A2C39C3F-6983-4D74-97E7-CBD1F95DB2FF}\IpAutoconfigurationMaskdeleted SYSTEM\CurrentControlSet\Services\Tcpip\Parameters\ Interfaces\{A2C39C3F-6983-4D74-97E7-CBD1F95DB2FF}\ IpAutoconfigurationSeedreset SYSTEM\CurrentControlSet\Services\Tcpip\Parameters\Interfaces\ {A2C39C3F-6983-4D74-97E7-CBD1F95DB2FF}\RawIpAllowedProtocols old REG_MULTI_SZ = 0reset SYSTEM\CurrentControlSet\Services\Tcpip\Parameters\ Interfaces\{A2C39C3F-6983-4D74-97E7-CBD1F95DB2FF}\TcpAllowedPorts old REG_MULTI_SZ = 0reset SYSTEM\CurrentControlSet\Services\Tcpip\Parameters\ Interfaces\{A2C39C3F-6983-4D74-97E7-CBD1F95DB2FF}\UdpAllowedPorts old REG_MULTI_SZ = 0added SYSTEM\CurrentControlSet\Services\Tcpip\Parameters\ Interfaces\{A6286B18-1292-4D74-80B5-F7BFDA137451}\DisableDynamicUpdatedeleted SYSTEM\CurrentControlSet\Services\Tcpip\Parameters\ Interfaces\{A6286B18-1292-4D74-80B5-F7BFDA137451}\ IpAutoconfigurationAddressdeleted SYSTEM\CurrentControlSet\Services\Tcpip\Parameters\ Interfaces\{A6286B18-1292-4D74-80B5-F7BFDA137451}\ IpAutoconfigurationMaskdeleted SYSTEM\CurrentControlSet\Services\Tcpip\Parameters\ Interfaces\{A6286B18-1292-4D74-80B5-F7BFDA137451}\ IpAutoconfigurationSeedreset SYSTEM\CurrentControlSet\Services\Tcpip\Parameters\ Interfaces\{A6286B18-1292-4D74-80B5-F7BFDA137451}\RawIpAllowedProtocols old REG_MULTI_SZ = 0reset SYSTEM\CurrentControlSet\Services\Tcpip\Parameters\Interfaces\ {A6286B18-1292-4D74-80B5-F7BFDA137451}\TcpAllowedPorts old REG_MULTI_SZ = 0reset SYSTEM\CurrentControlSet\Services\Tcpip\Parameters\Interfaces\ {A6286B18-1292-4D74-80B5-F7BFDA137451}\UdpAllowedPorts old REG_MULTI_SZ = 0deleted SYSTEM\CurrentControlSet\Services\Tcpip\Parameters\ Interfaces\{DD890359-D1BD-43E1-8C70-6961C2F1FE8E}\NameServerdeleted SYSTEM\CurrentControlSet\Services\Tcpip\Parameters\ DontAddDefaultGatewayDefaultdeleted SYSTEM\CurrentControlSet\Services\Tcpip\Parameters\EnableIcmpRedirectdeleted SYSTEM\CurrentControlSet\Services\Tcpip\Parameters\ EnableSecurityFiltersdeleted SYSTEM\CurrentControlSet\Services\Tcpip\Parameters\SearchListdeleted SYSTEM\CurrentControlSet\Services\Tcpip\Parameters\ UseDomainNameDevolutionreset Linkage\UpperBind for USB\VID_0D5C&PID_A002\5&B114931&0&1. bad value was: REG_MULTI_SZ = PSchedreset Linkage\UpperBind for ROOT\MS_NDISWANIP\0000. bad value was: REG_MULTI_SZ = PSchedreset Linkage\UpperBind for PCI\VEN_8086&DEV_1229&SUBSYS_24118086&REV_09\3&61AAA01&0&28. bad value was: REG_MULTI_SZ = PSched<completed>


Diagnosing Internet Connectivity from the Command Line

Once you’ve determined that your LAN is correctly configured and functioning properly, the next thing to check is your connection to the outside world. Diagnosing external hardware problems is outside the scope of this book, but we will get you familiar enough with the software tools that you can tell if the problem is external to your computer.

There are three basic commands that let you determine the status of your connection to Internet resources: ping, tracert, and pathping.

Ping

The first step is to use the ping command. You can ping just about any destination on the Internet you like, but because you don’t know what lies between you and that random host, it’s tough to tell if there are problems on your end. The first target that you ping should be the DNS server or servers at your Internet service provider (ISP). The ping command uses the DNS resolver to find the name of the host and map it to its IP address. If the command doesn’t return the IP address of the host name, there’s a problem with DNS resolution. Ensure that the DNS setting on your system is correct (although if you’ve already done everything in this chapter prior to this, you already know the state of the DNS entry).

If no external addresses respond to your ping commands, ping the local host loopback address (ping 127.0.0.1). If that works, ping your own IP address. By default, a correctly configured IP setup routes ping requests to your own IP address to the loopback address.

If the loopback address responded correctly, the response would look like this:

Pinging 127.0.0.1 with 32 bytes of data:

Reply from 127.0.0.1: bytes=32 time<1ms TTL=128
Reply from 127.0.0.1: bytes=32 time<1ms TTL=128
Reply from 127.0.0.1: bytes=32 time<1ms TTL=128
Reply from 127.0.0.1: bytes=32 time<1ms TTL=128
Ping statistics for 127.0.0.1:
    Packets: Sent = 4, Received = 4, Lost = 0 (0% loss),
Approximate round trip times in milli-seconds:
    Minimum = 0ms, Maximum = 0ms, Average = 0ms

If your ping results match those just listed, the next step is to determine if the Address Resolution Protocol (ARP) cache has been corrupted. Using the command arp –a shows you the current contents of the ARP cache for each installed and configured network adapter, such as in the following example:

Interface: 192.168.0.48 --- 0x2
Internet Address	Physical Address	Type
192.168.0.1 		00-10-a4-ea-25-51 	dynamic
192.168.0.39 		00-50-da-7b-ef-16 	dynamic

The output here is the ARP cache from a computer on a small network with no ARP problems. There might be dozens of entries in your ARP cache depending on your configuration. Although the arp command allows you to edit individual entries in the ARP table, it does not allow a wholesale flush of the ARP cache. To flush everything in the ARP cache, you can use netsh. The command netsh interface ip delete arpcache responds well when it completes flushing the ARP cache. When completed, the only data in the cache initially will be the address of the default gateway that was configured with the TCP/IP stack.

Tracert

The next step is to use the tracert command (pronounced trace route). Tracert is the route tracing tool that walks the routers between your host system and the target host.

For example, executing the command tracert microsoft.com returns the following:

Tracing route to microsoft.com [207.46.197.102]
over a maximum of 30 hops:

1	<1 ms 	<1 ms 	<1 ms 	DC-LATITUDE [192.168.0.1]
2 	70 ms 		73 ms 		116 ms 		192.168.0.2
3	50 ms		73 ms		116 ms		192.168.0.3
4	50 ms		73 ms		116 ms		192.168.0.4
5	50 ms		73 ms		116 ms		192.168.0.5
6	   *		   *		    *		Request timed out.
7	50 ms		73 ms		116 ms		192.168.0.6
8	50 ms		73 ms		116 ms		192.168.0.7
9	116 ms		   *		280 ms		192.168.0.8
10	50 ms		73 ms		116 ms		192.168.0.9
11	523 ms		490 ms		500 ms		microsoft.com [207.46.197.102]

Trace complete.

This sample output is from a simple test environment. In a real tracert scenario, you would see the names and/or IP addresses of all the routers that IP packets from your machine would pass through to reach the target host. If all your traffic is disappearing at an intermediate point between you and the target host, you would know that the problem isn’t on your end, but is actually the fault of the router where the packets are disappearing. I used to have continual e-mail problems with a client that provided an e-mail address for my business use; Microsoft Outlook would report that the connection would time out. This was an intermittent problem that would often correct itself within a few minutes. Putting the tracert command in a batch file that kept running until I stopped it and redirected the output of the command to a text file let me continually probe the route for problems and examine the results at my leisure. After letting the batch file run for an hour, I was able to determine that there was a problem with a specific router between my site and the mail server. An e-mail message to the network operations center of the problematic provider resulted in their fixing their misbehaving router, and after that my e-mail functioned normally.

Examining the results from tracert commands can be quite interesting. For example, at one point I had an office in New York City and lived about 80 miles southwest of the city near Philadelphia. A tracert from my home to the office in New York showed that traffic between those two locations 80 miles apart routed through San Diego, making that 80-mile physical trip close to a 6000-mile virtual trip. Yet a tracert from my office back to my home would route from New York City to Boston before heading back down to Philadelphia. Each route was a function of the routing information contained in the routers owned by the ISP that serviced the various locations. All this proves is that proximity is no guarantee of connectivity when you are talking about the public Internet.

Pathping

The pathping command pings each of the routers between the source and target machines and then calculates what percentage of packet loss is occurring. If 100 percent of the packets are being lost, there is no communication whatsoever. If you are able to find a router along the route that is losing more packets than it is letting through, you’ve probably found your culprit.

You can also use the netstat command to identify what connections your computer currently has established and what ports it is listening on for new connection information. Entering the command netstat – a on a freshly booted machine with few connections achieves a manageable response:

Active Connections
    Proto	Local Address			Foreign Address		State
    TCP	NEC_NOTEBOOK:epmap		NEC_NOTEBOOK:0		LISTENING
    TCP	NEC_NOTEBOOK:microsoft-ds	NEC_NOTEBOOK:0		LISTENING
    TCP	NEC_NOTEBOOK:1025		NEC_NOTEBOOK:0		LISTENING
    TCP	NEC_NOTEBOOK:1033		NEC_NOTEBOOK:0		LISTENING
    TCP	NEC_NOTEBOOK:5000		NEC_NOTEBOOK:0		LISTENING
    TCP	NEC_NOTEBOOK:netbios-ssn	NEC_NOTEBOOK:0		LISTENING
    TCP	NEC_NOTEBOOK:netbios-ssn	NEC_NOTEBOOK:0		LISTENING
    TCP	NEC_NOTEBOOK:1104		NEC_NOTEBOOK:0		LISTENING
    UDP	NEC_NOTEBOOK:epmap		*:*
    UDP	NEC_NOTEBOOK:microsoft-ds	*:*
    UDP	NEC_NOTEBOOK:isakmp		*:*
    UDP	NEC_NOTEBOOK:1026		*:*
    UDP	NEC_NOTEBOOK:1035		*:*
    UDP	NEC_NOTEBOOK:1105		*:*
    UDP	NEC_NOTEBOOK:ntp		*:*
    UDP	NEC_NOTEBOOK:1037		*:*
    UDP	NEC_NOTEBOOK:1162		*:*
    UDP	NEC_NOTEBOOK:1900		*:*
    UDP	NEC_NOTEBOOK:ntp		*:*
    UDP	NEC_NOTEBOOK:netbios-ns		*:*
    UDP	NEC_NOTEBOOK:netbios-dgm	*:*
    UDP	NEC_NOTEBOOK:1900		*:*
    UDP	NEC_NOTEBOOK:ntp		*:*
    UDP	NEC_NOTEBOOK:netbios-ns		*:*
    UDP	NEC_NOTEBOOK:netbios-dgm	*:*
    UDP	NEC_NOTEBOOK:1900		*:*

The same command entered on a system with multiple active connections could return hundreds of responses, making it very difficult to determine any useful information unless you have detailed knowledge of what the computer has been doing across all those connections.

Although it’s less useful in a Network Address Translation (NAT) network (one that allows the private network to talk to the public Internet), such as Windows XP networks that use ICS, the route print command can assure you that the routing is configured correctly so that the local machine has a path to a machine that will be known to the outside world. (In an ICS environment, you want to make sure that you have a good route and connection to the computer at 192.168.0.01 that will always be your Internet gateway machine to any computer that is not itself running ICS.)

The route print command should return something like this in an ICS environment:

======================================================================
Interface List
0x1 ........................... MS TCP Loopback interface
0x2 ...00 c0 4f 6b b7 08 ...... 3Com 3C918 Integrated Fast Ethernet
Controller
======================================================================

======================================================================
Active Routes:
Network Destination		Netmask		Gateway	      Interface	   Metric
        0.0.0.0	        0.0.0.0	    192.168.0.1	   192.168.0.48		1
      127.0.0.0           255.0.0.0	      127.0.0.1	      127.0.0.1		1
    192.168.0.0       255.255.255.0	   192.168.0.48	   192.168.0.48		1
       192.168.0.48	255.255.255.255	      127.0.0.1	      127.0.0.1		1
      192.168.0.255	255.255.255.255	   192.168.0.48	   192.168.0.48		1
          224.0.0.0	      240.0.0.0	   192.168.0.48	   192.168.0.48		1
    255.255.255.255	255.255.255.255	   192.168.0.48	   192.168.0.48		1
Default Gateway: 192.168.0.1
======================================================================
Persistent Routes:
    None

In the case shown here, the 192.168.0.48 address corresponds to the computer from which the command was run.


Chapter 11 - Mobile Power Tools

Chapter 11
Mobile Power Tools

Without question, Microsoft Windows XP is the best operating system choice for the mobile user. Its notebook support is unparalleled, and special attention was given to the needs of the mobile user during the entire development cycle. With features from faster startup to quicker hibernation and everything in between, the mobile user is well served by Windows XP and its excellent user experience.

In this chapter, we introduce features that aid the mobile user and explain how to access and use them in your mobile environment. This chapter covers the following topics:

  • Usability features

  • Power management tools

  • Offline resources

  • Remote Desktop

  • Remote connectivity


Usability Features

The introduction of Microsoft Windows 95 heralded the beginning of mobile computing. Like anyone else, mobile users have a much more enjoyable and productive computing experience when the system is highly usable—that is, when things work smoothly and consistently. But the mobile user has to contend with challenges that never affect the desktop user—for instance, connecting to different user environments and swapping floppy drives for CD-ROM drives at a moment’s notice. With each successive version of Windows, the operating system became increasingly suitable for a mobile environment. Hardware and software were more stable, and equipment became more adaptable. With Windows XP, mobile computing has reached a whole new level.

User Profiles

Whether you use Fast User Switching or prefer more traditional user access, Windows XP provides the most powerful capabilities for having multiple users configured on the same computer. If you’re sharing a single notebook among multiple home users or using a pool of notebooks for traveling business users, you can have the notebook configured to support as many users as necessary.

While domain-based corporate profile information gives you the most control over adding additional users to any Windows XP computer, the built-in User Accounts application, shown in Figure 11-1, makes it easy to add additional users to a mobile or desktop Windows XP installation. To add new users using the User Accounts application, the user must have Administrative access to the computer.

Figure 11-1  The User Accounts application.
Figure 11-1. The User Accounts application.

To add a user with the User Accounts application, perform the following steps:

  1. Click Start, point to Control Panel, and then select User Accounts. (If using the Windows XP Classic view, click Start, point to Settings, Control Panel, and finally select User Accounts.)

  2. Click Create A New Account, enter the name for the new account, and then click Next.

  3. Choose the account type, Administrator or Limited, and then click Next.

    You can then determine how the new user logs on and select an icon for the user if you’d like. Users can log on with a welcome screen, where they simply supply their user name and password, or you can set up Fast User Switching, which allows more than one user to be logged on the computer at the same time and switch between each other quickly.

Power users, however, probably would prefer to use the Computer Management snap-in (shown in Figure 11-2) to manage users and groups. You can directly access the user- and group-management tasks without having to use the guides provided by the operating system. If you’ve configured the user interface to put the Administrative tools on the Start menu, you can access the Computer Management snap-in by clicking Start, pointing to Administrative Tools, and selecting Computer Management. If you haven’t configured the interface to allow this action, open Control Panel and point to Switch To Classic View, Administrative Tools, and finally select Computer Management.

Figure 11-2  The Computer Management snap-in.
Figure 11-2. The Computer Management snap-in.

Double-clicking any user name allows you to edit the properties that are applied to that user. Right-clicking the right pane brings up a shortcut menu that, among other things, allows you to add a new user. To use the Computer Management snap-in to add new users, you need only have Power User access to the Windows XP computer.

Users who are members of the Power Users group can add user accounts by using the Computer Management snap-in (from the Administrative Tools menu) and opening Local Users And Groups. If the same users try to add user accounts from the Control Panel User Accounts application, the users are told that they need to be members of the Administrators Group. (Although Power Users can add user accounts to the computer, they can’t add accounts to the Administrators Group.)

To stop Power Users from adding accounts to the Windows XP computer, follow these five steps:

  1. Start the Computer Management snap-in.

  2. Expand the Local Users And Groups snap-in, and then select the Groups folder.

  3. In the right pane, double-click the Power Users group.

  4. Select NT AUTHORITY\INTERACTIVE and click Remove.

  5. Click OK.

This procedure takes away the Power Users group members’ ability to add user accounts.

Hardware Profiles

A hardware profile is the description that tells the Windows XP operating system what devices are installed in the computer. The ability to have different hardware profiles allows the use of different networking adapters, modems, video cards, or any other equipment for which you would like to have an explicit profile configuration. For example, mobile users utilize a PC card networking adapter, which requires them to connect cables to the mobile computer’s PC card for network access. The docking station has an adapter that is already connected to the network, and when the mobile computer is docked, its docked hardware profile recognizes the adapter in the docking station and routes network traffic to it automatically. When you install Windows XP for the first time, a default hardware profile is created (called Undocked Profile on a notebook and Profile 1 on a desktop).

To configure hardware profiles, perform the following steps:

  1. Click Start, point to Control Panel, Performance And Maintenance, and finally select System. (If using the Windows XP Classic view, select System after pointing to Control Panel.)

  2. Click the Hardware tab, and then click Hardware Profiles. The Hardware Profiles dialog box appears.

By default, Windows XP shows the Hardware Profiles menu at boot time for 30 seconds. If the Wait Until I Select A Hardware Profile option is selected, the boot process stops, and the operating system will not load until a profile has been selected.

To create a new hardware profile, click Copy and give the new profile a new name. You can then use the Device Manager application (also found on the System Properties Hardware tab) to set up the device configuration (in other words, make the devices available or unavailable) for that hardware profile. The Device Manager is shown in Figure 11-3.

Figure 11-3  The Device Manager.
Figure 11-3. The Device Manager.

To make a device available or unavailable in a particular profile, follow these steps:

  1. Open Control Panel and double-click System. Click the Hardware tab, and then click Device Manager.

  2. Expand the Network Adapters icon by clicking the plus sign to its left.

  3. If there are multiple adapters below the icon, select one you’d like to disable or enable for a particular profile. Right-click the adapter and from the shortcut menu, select Properties.

  4. In the Adapter Properties dialog box, click the Device Usage drop-down list arrow at the bottom of the page, as shown in Figure 11-4. Here you can enable or disable the device as a whole, or enable or disable the device in a particular profile.

    Figure 11-4  Enabling a device in Device Manager.
    Figure 11-4. Enabling a device in Device Manager.

  5. Repeat the process until all the devices for the profile are set.

Plug and Play

Plug and Play, available in many previous versions of Windows, makes its best appearance yet in Windows XP. With excellent support for Plug and Play peripherals, using Windows XP in a mobile environment becomes considerably simpler. This includes full support for universal serial bus (USB) peripheral devices.

The mere fact that a device is plug-and-play–compatible doesn’t necessarily mean that it will work with Windows XP; the hardware vendor must supply a Windows XP–compatible device driver.

Plug and Play device installation should be automatic; the operating system recognizes the new hardware and, if necessary, prompts you for a device driver. If an appropriate device driver is found, the hardware is installed. If the device driver is Windows XP–compatible but has not been digitally signed, you receive a message that confirms that you really want to install the driver.

The Plug and Play interface now suppresses the unexpected removal messages that used to appear when you physically removed a Plug and Play device without first stopping it. It does, however, entertain you with a friendly beep. This means that undocking a running system that had access to devices in the docking station disconnects those devices.

Dualview

Windows XP includes built-in support for extending your desktop across multiple monitors. On a desktop system, this requires installing multiple display adapters or investing in a special adapter that supports the physical attachment of more than one monitor. But Windows XP notebook systems can, in many cases, use the notebook’s flat panel display and a monitor attached to the notebook at the same time.

To enable Dualview on your notebook computer, perform the following steps:

  1. Right-click the desktop and select Properties from the shortcut menu.

  2. In the Display Properties dialog box, click the Settings tab. From here, you can choose to make use of the second attached monitor.

The only real difference between using Dualview on a notebook, rather than a desktop, is that the notebook must use its flat panel display as the primary monitor (where the logon screen appears); on a desktop you can select any attached monitor as the primary.


Power Management Tools

Nowhere is power management more important than during mobile computing, when you want to keep your system running for as long as possible on a limited amount of battery power. Strategies for using power efficiently include configuring the computer to automatically turn off the monitor or the entire computer after a specified amount of idle time, or removing the PC card network adapter when not in use. In this section, we explore and discuss some of the power management features built into Windows XP.

Advanced Configuration and Power Interface (ACPI)

The Advanced Configuration and Power Interface (ACPI) isn’t something that you’ll be able to touch directly, but it is the underlying technology that enables all the advanced power management features as well as a significant portion of the Plug and Play technology found in Windows XP. Windows XP also provides legacy support for the older Advanced Power Management (APM) technology found in the previous generation of notebook devices. However, full use of the capabilities within Windows XP requires that your notebook computer be equipped with an ACPI-aware basic input/output system (BIOS).

Power Options

Like previous versions of Windows, Windows XP has a fair number of configurable power options. In this section, we discuss some of the options available in the Power Options Properties dialog box. To access this dialog box in the default view of Windows XP, click Start, point to Control Panel, Performance And Maintenance, and finally select Power Options. In the Windows XP Classic view, click Start, point to Control Panel, and then select Power Options. Click the Hibernate tab of the Power Options Properties dialog box.

Standby and Hibernation Modes

Two power-saving states can be used with your notebook to preserve your work and your battery life. The first is Standby mode, in which the computer turns off the power to the screen and the hard disks and puts all other system hardware into power-conserving modes (if they are supported). This extends the life of the battery.

The second is Hibernation mode, as shown in Figure 11-5. Some hardware manufacturers add their own Settings tab to the Power Options Properties dialog box, so what you see on your system may differ slightly from what’s shown here. In Hibernation mode, the operating system writes the contents of memory to the hard disk and then turns the computer off to prevent battery drain. The state is the same as if the system had been completely powered down. The difference is that in hibernation, the system reads the contents of the hibernation file back into memory at boot time and returns the users to the same place they were when they placed the computer in its hibernation state.

Figure 11-5  The Hibernate tab of the Power Options Properties dialog box.
Figure 11-5. The Hibernate tab of the Power Options Properties dialog box.
Alarms

Users can configure two cascading battery alarms in Windows XP: Low and Critical, as shown in Figure 11-6. The system first warns you that you’re nearing the end of available battery power and then performs an action, such as putting the system in Standby or Hibernation mode, when the battery power gets so low that you might lose your work if you continue using the system. The default setting is to give a low-battery warning when 10 percent of your battery life remains, and then a critical-battery warning when 6 percent of your battery life remains. The critical battery warning automatically initiates Hibernation mode.

Figure 11-6  The alarm settings.
Figure 11-6. The alarm settings.

If you choose, you can configure customized actions that occur when an alarm is generated by clicking Alarm Action in either the Low Battery Alarm or Critical Battery Alarm pane. For instance, if you click Alarm Action in the Low Battery Alarm pane, the Low Battery Alarm Actions dialog box appears, as shown in Figure 11-7. You can then set visual notification, audible notification, or both; send the computer into Standby or Hibernation mode; or make the computer shut down completely. You also have the option to start another program and configure its settings as if you were setting it up using the Windows Scheduler. For example, you could configure a script to copy important files to a network share before the system shuts down.

Figure 11-7  The Low Battery Alarm Actions dialog box.
Figure 11-7. The Low Battery Alarm Actions dialog box.
The Power Meter Tab

The Power Meter tab of the Power Options Properties dialog box (shown in Figure 11-8) is one of two ways to keep track of the battery power remaining. If your notebook has multiple batteries, you can either view the total combined power remaining or view each battery separately by selecting the Show Details For Each Battery check box.

Figure 11-8  The Power Meter.
Figure 11-8. The Power Meter.
The Advanced Tab

The other way to monitor your battery life is on the Advanced tab of the Power Options Properties dialog box. The two check boxes in the Options pane on the Advanced tab are cleared by default, but it is recommended that they always be selected, as shown in Figure 11-9. Having the icon on the taskbar is a quick way to check the battery’s charging state, the amount of battery power remaining, and whether the computer is running on AC power. Always require a password when the system returns from standby as a basic security measure. (When you reboot the computer from hibernation, you are required to log back on to the system even though your work is just where you left it.)

Figure 11-9  The Advanced tab of the Power Options dialog box.
Figure 11-9. The Advanced tab of the Power Options dialog box.

When you close the lid of your notebook, by default the computer goes into Standby mode. We strongly recommend that you change this setting to Hibernate, because you don’t want to close the lid of your computer in the middle of something, only to find that the computer lost power before you could return to it and you’ve lost all your unsaved work. Configuring the power button to actually shut the computer down, rather than to place it in any other power-saving mode, is also worth considering. To configure these settings, use the drop-down lists in the Power Buttons pane located on the Advanced tab. Using software to control your power-saving settings means that at some point, the only way to recover a system that has shut down automatically and become unresponsive is to pull the plug and remove the battery.

Power Schemes

Power schemes are a great way to tailor the power settings to your computing needs. Windows XP includes six standard power schemes that control the behavior of the monitor, hard disks, and Hibernation and Standby modes when the computer is plugged in or running on batteries. The exact configuration options might vary depending on whether the notebook manufacturer has added specific tabs or utilities to the Power Options Properties dialog box. You may find that, depending on varying daily computing environments, you switch among different power schemes to get the most out of your battery. Windows XP even gives you the option to create customized schemes if the supplied ones don’t work for you. Schemes are configured on the Power Schemes tab of the Power Options Properties dialog box, as shown in Figure 11-10.

Figure 11-10  The Power Schemes tab of the Power Options Properties dialog box.
Figure 11-10. The Power Schemes tab of the Power Options Properties dialog box.

With each power scheme, you can configure the following four items in either battery or AC states:

  • Turn Off Monitor

  • Turn Off Hard Disks

  • System Standby

  • System Hibernates

If you don’t see all these settings on this tab, check for tabs the manufacturer might have included.

Make sure that you pay close attention to the properties of the scheme you’re currently running or else you might be surprised. For example, the default for a notebook computer is the aptly named Portable/Laptop scheme, which places the system in Standby mode after it’s been idle for only a short period of time—even when the computer is plugged in. So if you go out to lunch and leave an application running that you expect to finish before you return, you might find that the computer entered Standby mode before your application completed its assigned task. To change these default settings, click the Power Schemes tab and make the appropriate choices from the drop-down lists that best suit your environment.

NOTE
Computer vendors can add their own standard power schemes; on an IBM notebook, for example, you might find 12 standard schemes rather than the 6 that Windows XP provides by default.
Wake-Up Technologies

Windows XP supports different ways of waking up a suspended system (whether in Hibernation or Standby mode) that allow the computer to perform tasks prior to shutting down or going into hibernation so that the contents of memory can be saved before power is gone completely.

Specific to notebook computers, Windows XP offers support for Wake-On Cardbus; this means that it is possible to attach PC Card peripheral devices that can wake the computer up from a suspended state. This is in addition to the already supported Wake-on LAN technology introduced with Windows 2000 that allows a network card to power up a computer. If your notebook supports these features, they should be configurable in the BIOS, accessible while the system is booting up. Refer to your notebook computer’s documentation for specific information on configuring these options.


Offline Resources

Windows XP users can designate network resources to be available when they are not actually connected to the network. This allows you to continue working with resources that would normally require network access. By enabling offline file access, files that are designated as being available offline are copied to the Offline Files folder and synchronized with the network copy of the file during each user’s logoff.

Offline Files and Folders

To use offline files, you must first enable them by following these steps:

  1. Click Start and select My Computer.

  2. From the Tools menu in My Computer, select Folder Options to open the Folder Options dialog box.

  3. Click the Offline Files tab, as shown in Figure 11-11, and then select the Enable Offline Files check box. Offline files are enabled by default.

    Figure 11-11  The Offline Files tab of the Folder Options dialog box.
    Figure 11-11. The Offline Files tab of the Folder Options dialog box.

In the default configuration, the amount of disk space reserved for the Offline Files slider is set to 10 percent, and the following check boxes are selected:

  • Enable Offline Files

  • Synchronize All Offline Files Before Logging Off

  • Display A Reminder Every 60 Minutes

The following selections are cleared:

  • Synchronize All Offline Files When Logging On

  • Create An Offline Files Shortcut On The Desktop

  • Encrypt Offline Files To Secure Data

If you are using offline files to bring work home from the office, it’s recommended that you use the Encrypt Offline Files option to maximize data security. To use encrypted offline files, you must first meet three requirements:

  • The local drive must be formatted with the NTFS file system (NTFS) and have the Encrypted File System (EFS) enabled.

  • You must have administrative rights on the local computer.

  • A local system policy that allows encryption of offline files must be in place.

Using offline files does not require a network server; the files can be shared from any computer that uses Server Message Block (SMB)–based file and print sharing, which includes Windows 95, Windows 98, Windows Millennium Edition (Windows Me), Windows NT 4 Workstation and Server, Windows 2000 Server and Professional, and Windows XP Professional and Home Edition.

Once you’ve created offline files, deleting them becomes a little more complicated. Because of the way the file synchronization works, the most recent copy is saved to the source directory. The recommended methodology to remove offline files is to follow these steps:

  1. Open the Folder Options dialog box as described previously.

  2. Select the Offline Files tab, and then click Delete Files.

  3. In the Confirm File Delete dialog box, select the check box that includes the folder with the offline files you want deleted.

  4. If you want to just stop any synchronization between network files and their copies on your local computer, select the Delete Only The Temporary Offline Versions option button.

  5. If you want to delete all versions of the files you have been using offline, select the Delete Both The Temporary Offline Versions And The Versions That Are Always Available Offline option.

Offline Web Content

Another way to make mobile computing more flexible is to designate Web sites to be available even when you’re not connected to the Internet. Making Web pages available offline is a function of Internet Explorer, which is included by default with Windows XP. If you are using a browser from another vendor, this option might not be available, or it might not work with Windows XP in the same way as Internet Explorer does. To make Web content available offline, select the Make Available Offline check box when adding a universal resource locator (URL) to your Internet Explorer Favorites.

To make a Web page available offline, perform the following steps:

  1. Click Start and then select Internet Explorer.

  2. Navigate to the Web site you want to make available offline, and then select Add To Favorites from the Favorites menu.

  3. In the Add Favorite dialog box, select the Make Available Offline check box, and then click Customize. (This button is dimmed until you select the Make Available Offline check box.) This starts the Offline Favorite Wizard, as shown in Figure 11-12.

    Figure 11-12  The Offline Favorite Wizard.
    Figure 11-12. The Offline Favorite Wizard.

With the Offline Favorite Wizard, you can determine how many links deep you want to store offline files, as shown in Figure 11-13. Be aware that for every link deep you choose to go, more Web site pages are downloaded onto your computer, which can consume a lot of disk space. The wizard also lets you determine how you want to synchronize the offline Web content—on an automated schedule or only when you choose.

Figure 11-13  Configuring offline Web content.
Figure 11-13. Configuring offline Web content.
Synchronization Manager

The Synchronization Manager lets you schedule or manually initiate synchronization of your offline files and Web content.

To access the Synchronization Manager, perform the following steps:

  1. Open Windows Explorer or Internet Explorer and select Synchronize from the Tools menu. It can also be opened by clicking Start, selecting Run, and typing mobsync in the Open text box.

  2. At this point you can select or clear check boxes corresponding to the items you would like to configure for synchronization. To set a schedule for synchronization, click Setup, and then the Scheduled tab on the Synchronization Settings dialog box, as shown in Figure 11-14. Click Add to access the Scheduled Synchronization Wizard.

  3. Click Next and then in the On This Connection, Synchronize These Items list, select the check boxes for any offline Web pages you want to schedule. Then follow the wizard’s prompts for setting the schedule.

  4. Click the Synchronize or Close button.

    Figure 11-14  The Synchronization Settings dialog box showing the Scheduled tab.
    Figure 11-14. The Synchronization Settings dialog box showing the Scheduled tab.

It’s important that you know when synchronization is occurring; if you have the choice to synchronize on a wired LAN connection or a dial-up VPN connection, you probably want to synchronize only when you’re connected to the wired LAN.

If you start to use a lot of offline content, you may find a noticeable decrease in performance or a delay in system startup and shutdown while the operating system attempts to synchronize the configured offline content. By setting the operating system to synchronize only when the system has been idle for a fixed amount of time, synchronization occurs in the least intrusive fashion possible.

Triggering synchronization defaults to 15 minutes of idle time and resynchronizes every 60 minutes as long as the computer is not running on battery power. This is convenient if you use both a desktop and a notebook computer. You can leave the notebook attached to the network while you work at your desktop, and the notebook is regularly updated with the work you’ve done that day.

All of these synchronization settings are accessible and configurable through the Synchronization Settings dialog box, as described previously.

Remote Desktop

In Windows XP, Remote Desktop revolutionizes remote computing. Remote Desktop is a single-user version of the Windows Terminal Services technology found in Windows 2000 Server (which is called Windows Terminal Server in Windows XP). (Terminal Server is also the underlying technology of Fast User Switching in Windows XP.) With Remote Desktop, you can access your computer from a remote location and see your desktop as if you were sitting in front of your computer. For instance, if you wanted to check your e-mail or needed a file from your work computer, you could enter the corporate network through a virtual private network (VPN) or dial-up connection and connect directly to your desktop. Remote Desktop also works with Windows Messenger’s Remote Assistance feature (which is covered in detail in Chapter 15, “Tools in Microsoft Windows Messenger”).

POWER TIP
Before you start using Remote Desktop, you need to understand an interesting little feature about it. Even though Fast User Switching allows multiple users to have active, logged-on sessions on a Windows XP computer, it is still a single-user operating system. Only one console session at a time can be running. This means that if you connect to your Windows XP computer at home from a remote location, a member of your family at home cannot switch back to his or her session until your remote desktop session has been disconnected. On the other hand, if someone else is logged on to the system when you try to initiate a Remote Desktop session, you will see an alert that another user is logged on and (if you are a member of the Administrators group) be given the option of whether to log the other user off. If Fast User Switching is enabled, all the sessions continue running their applications whether a Remote Desktop connection or the local console is in use.

To enable Remote Desktop, perform the following steps:

  1. In Windows XP’s default view, click Start, point to Control Panel, Performance And Maintenance, and finally select System. (In the Windows XP Classic view, click Start, point to Control Panel, and then select System.) The System Properties dialog box appears.

  2. Click the Remote tab and select the Allow Users To Connect Remotely To This Computer check box. If you click Select Remote Users, you can explicitly allow or prevent users with existing accounts on the computer to access the system remotely.

By default, all user accounts on the computer that are members of the Administrators group have full access through Remote Desktop once it is enabled. The Administrator account and Administrator group members are not displayed in the Remote Desktop Users dialog box, as shown in Figure 11-15.

Figure 11-15  The Remote Desktop Users dialog box.
Figure 11-15. The Remote Desktop Users dialog box.

The computer you are using to connect to the remote desktop needs to do so by using the Remote Desktop Connection client (installed by default with Windows XP). The Windows XP installation CD includes a copy of the client in %Cdromdrive%\Support\Tools\Msrdpcli.exe (where %Cdromdrive% is the drive the CD is in), and a newer version can also be downloaded from Microsoft’s Web site.

To access the Remote Desktop Connection client that is installed with Windows XP, click Start, point to Select All Programs (Programs in the Windows XP Classic view), Accessories, Communications, and finally select Remote Desktop Connection. Initially the Remote Desktop Connection starts in the simplified view, as shown in Figure 11-16. Clicking Options displays the advanced view, as shown in Figure 11-17, and gives you detailed control of the connection settings.

Figure 11-16  The simplified view of the Remote Desktop Connection dialog box.
Figure 11-16. The simplified view of the Remote Desktop Connection dialog box.
Figure 11-17  The advanced view of the Remote Desktop Connection dialog box.
Figure 11-17. The advanced view of the Remote Desktop Connection dialog box.

Once you’ve selected the target computer, entered the user name and password to connect to the target computer, and decided if you want to save the password with the profile, you can save the connection settings under a unique name for reconnecting to that same target in the future. Click the Save As button and name the connection. By default, Remote Desktop Connections settings files have an extension of .rdp.

Color and display size are affected both by the computer running the Remote Desktop client and the target computer. You cannot display a higher screen resolution than the client computer can display, nor can you use a deeper color depth. If you have a slow connection between the client and the remote computer, you can reduce the color depth. The resolution quality will be lower, but the desktop will respond more quickly. Figure 11-18 shows the Remote Desktop Display tab.

The Local Resources tab of the Remote Desktop Connection dialog box gives you control over some of the local resources of the target machine. You have control over the sound, keyboard, and several local devices. When you enable any of the remote resource features, you will be presented with the warning and potential hazards of allowing local access to remote computers.

Figure 11-18  The Display tab of the Remote Desktop Connection dialog box.
Figure 11-18. The Display tab of the Remote Desktop Connection dialog box.

The following options are available:

  • Remote Computer Sound This drop-down list has the following options that control the sound of the remote computer:

    • Bring To This Computer This option redirects all the sounds that would normally occur on the system you’re connecting to and plays them on the client computer.

    • Do Not Play As it states, this option plays no sound on either computer.

    • Leave At Remote Computer This option plays, as it would normally, all of the sounds on the computer you’re connecting to, and no sounds on the client computer.

  • Keyboard This drop-down list has the following options that control the remote computer’s keyboard:

    • On The Local Computer This option applies keyboard combination actions, such as Ctrl+Alt+Del, Alt+Tab, and others, to the client computer.

    • On The Remote Computer This option applies keyboard combination actions to the remote computer.

    • In Full Screen Mode Only This option applies keyboard combination actions to the client computer only while the Remote Desktop client is operating in full-screen mode.

  • Local Devices This drop-down list has the following options for the local devices on the remote computer:

    • Disk Drive This option automatically maps network drives from your client computer. Under My Computer, you would see entries similar to “A on %Computername,” “C on %Computername%,” and so on, where %Computername% is the name of the remote computer you are connected to.

    • Printers This option allows you to make your local printer available to the remote computer.

    • Serial Ports This option allows you to make your local serial ports available to the remote computer.

The Programs tab of the Remote Desktop Connection dialog box, shown in Figure 11-19, allows you to automate the execution of any program on the remote computer by specifying what program you want to run and what folder to start in. This is the same information that would be found in a program shortcut.

Figure 11-19  The Programs tab of the Remote Desktop Connection dialog box.
Figure 11-19. The Programs tab of the Remote Desktop Connection dialog box.

By selecting the available bandwidth between the client and remote computers, the Windows XP Remote Desktop client automatically selects which features of the screen display to make available. The client is designed to function with a modem connection as low as 28.8 kilobits per second (Kbps). If you have a slow connection, optimizing these options, along with lowering the screen resolution on the Display tab as mentioned earlier, will improve the performance of your connection. On the Experience tab of the Remote Desktop Connection dialog box, you can use the Connection Speed drop-down list to select the configuration that best fits your environment. Refer to Table 11-1 for the available combinations.

Table 11-1. Capabilities of the Windows XP Remote Desktop Client at Various Speeds
Connection Speed | Capabilities
28.8 Kbps | Bitmap caching
56 Kbps | Bitmap caching
 | Themes
Broadband (128 Kbps–1.5 Mbps) | Bitmap caching
 | Themes
 | Menu and window animation
 | Show contents of window while dragging
Local area network (10 Mbps and higher) | Bitmap caching
 | Themes
 | Menu and window animation
 | Show contents of window while dragging
 | Desktop background

Another option is Custom, which allows you to choose which capabilities you want to use at any speed. For example, you may find that your 128-Kbps Integrated Services Digital Network (ISDN) connection doesn’t do a good job of showing a window’s content while you drag it, but that menus and animations are fine. You could then create a custom connection type that removes the Show Contents of Window While Dragging option.

Remote Connectivity

Mobile users need versatility and the ability to create new connections when their computing environment changes, whether it does so occasionally or several times a day. The New Connection Wizard (shown in Figure 11-20) walks you through the process of making these connections. If you are a Windows XP desktop user, it’s likely that you’ve already set up at least one connection using the wizard. We don’t intend to go into detail here on how to set up a connection, but we will briefly list the connections that the wizard handles and refresh you on how to start it.

Figure 11-20  The New Connection Wizard.
Figure 11-20. The New Connection Wizard.

The New Connection Wizard can help you set up the following types of connections:

  • Connect To The Internet This option provides you with a list of Internet service providers (ISPs), if you don’t already have one, allows you to configure your settings manually, and assists you with any connection software you may have received from your ISP.

  • Connect To The Network At My Workplace This option provides help in configuring analog phone line, ISDN, or VPN connections to your workplace.

  • Set Up An Advanced Connection This option allows you to make connections to other computers through serial, parallel, or infrared connections. You can also set your computer up to be a host for dial-in and direct cable connections.

To start the New Connection Wizard, click Start, point to All Programs (Programs in the Windows XP Classic view), Accessories, Communications, and finally select New Connection Wizard.

Multiple Network Connection Support

With the support Windows XP gives to multiple networks, it is possible to switch your mobile computer among many different networks without reconfiguring your network settings. Using the Dynamic Host Configuration Protocol (DHCP) and the Alternate Configuration tab of the Internet Protocol TCP/IP dialog box, you can adapt to any environment quickly and easily. Although you can adapt if your computer has a static TCP/IP address, fundamentally, the core of multiple network support is the use of DHCP for assigning DHCP addresses on the network.

More Info
To learn more about setting up an alternate TCP/IP configuration, see the section entitled “Power Tips for LAN or High-Speed Internet” in Chapter 8, “Networking Power Tools.”


Chapter 12 - Microsoft Windows XP PowerToys

Part II
Microsoft Power Tools Out of the Box
  • 12 Microsoft Windows XP PowerToys
  • 13 Digital Media Tools for Microsoft Windows XP
  • 14 Microsoft Windows XP Media Tools
  • 15 Tools in Microsoft Windows Messenger


Chapter 12 - Microsoft Windows XP PowerToys

Chapter 12
Microsoft Windows XP PowerToys

For many years, the programmers who work on Microsoft’s operating systems have been providing an additional suite of utilities called PowerToys for users who want to add power and handy functions to their systems. (The name PowerToys arises from the fact that many of the utilities are both powerful and fun to use.) This chapter covers the Microsoft PowerToys for Windows XP, including the following:

  • PowerToy Calculator A graphing scientific calculator with support for decimal, binary, and hexadecimal output and unit conversions for length, mass, time, velocity, and temperature.

  • CD Slide Show Generator A program that enables you to view images that are stored on a CD as a slide show. This program also enables you to burn a slide show to a Compact Disc–Recordable (CD-R) or Compact Disc–Rewritable (CD-RW) format.

  • Open Command Window Here A feature that adds the Open Command Window Here shortcut menu command to file system menus.

  • Alt-Tab Replacement An enhanced version of the Alt-Tab task switcher that displays a thumbnail preview of each window in the task list.

  • Taskbar Magnifier A taskbar tool similar to the standard Magnifier accessory but with a smaller viewing area.

  • Virtual Desktop Manager A tool that enables you to set up as many as four virtual desktops with different applications running on each desktop.

  • Tweak UI A utility for setting many Windows XP options, such as mouse hover sensitivity and automated Windows logon, that are not otherwise available from the standard Windows XP user interface.

In addition, the chapter briefly mentions the Image Resizer, the Slide Show Wizard, and the Webcam Timershot, which are described in detail in Chapter 14, “Microsoft Windows XP Media Tools.”

NOTE
Microsoft technical support is not available for PowerToys because these utilities aren’t subjected to the same rigorous and widespread beta testing that the Windows XP operating system underwent. However, we ran all the utilities covered in this chapter and encountered no problems.


Installing the PowerToys

Before you can install the PowerToys, you must first download them from the Microsoft Web site (http://www.microsoft.com/windowsxp/home/downloads/powertoys.asp or http://www.microsoft.com/windowsxp/pro/downloads/powertoys.asp). Each of the 11 PowerToys must be downloaded separately. Complete the following steps to download the PowerToys to your local hard disk or a network share. (Before you begin, you might want to create a new folder called PowerToys to store the files.)

  1. Navigate in your Web browser to the Microsoft download Web site listed earlier.

  2. In the Download section of the Web page, select the first PowerToy you want to download. In the File Download dialog box that appears, click Save. You also have the option of clicking Open in the File Download dialog box to initiate the installation over the Web, but we recommend that you download the PowerToys first.

  3. The Save As dialog box appears. Navigate to the folder where you want to download all the PowerToys, and then click Save to start the download.

  4. When the download finishes, the Download Complete dialog box appears. Click Close.

  5. Repeat steps 2 through 4 for each PowerToy you want to obtain.

To perform the installation, follow these steps:

  1. Open Windows Explorer and navigate to the folder that you downloaded the individual PowerToys to in step 3 above. Double-click the the first component you want to install, such as CmdHerePowertoySetup.exe. This launches the Windows Installer, which in turn starts the install wizard that walks you through the installation process.

  2. The opening wizard page contains a welcome message. Click Next to begin installation.

  3. The PowerToys License Agreement appears, and you should read it carefully so you understand the terms of use. Select I Accept The Terms In The License Agreement, and then click Next.

  4. In the Customer Information page, enter your user name and the name of your organization. Click Next.

  5. The next wizard page offers two Setup Type options: Complete and Custom. If you select the Complete setup, follow the prompts in the remaining wizard pages. If you select Custom setup, make the appropriate selections in the remaining wizard pages. We’ll go over a custom installation so you can understand the options. If you select Custom, after you click Next, you will see a Custom Setup wizard page similar to the one shown in Figure 12-1. The title of the dialog box will reflect the name of the component you are installing. Here are the guidelines for making your choice:

    • Choosing Complete installs the PowerToy and uses %SystemRoot%\System32 as the target installation folder. Commonly, %SystemRoot% is C:\Windows, but if you upgraded to Windows XP from Windows 2000, %SystemRoot% might be C:\Winnt.

    • Choosing Custom lets you select a different target folder. If the target folder doesn’t exist, the Setup program creates it for you.

    Figure 12-1  Using the Custom Setup wizard page.
    Figure 12-1. Using the Custom Setup wizard page.

  6. If you want to install the PowerToy to a different folder, click Change to see the Change Current Destination Folder page shown in Figure 12-2.

    Figure 12-2  The Change Current Destination Folder page.
    Figure 12-2. The Change Current Destination Folder page.

  7. Click the arrow next to the Look In drop-down list box to display the drives and folders on your system, and navigate to the folder you want to use to hold the PowerToy software files. You can also type the path to the folder in the Folder Name text box at the bottom of the page, which is useful if you want to use a folder that doesn’t exist on your system. The installation program automatically creates the path you enter.

  8. Click Space to see the Disk Space Requirements dialog box, which lists the available space, along with the required space for the PowerToy, for each volume in your system. If the volume to which you’re installing the PowerToy doesn’t have sufficient free space, that volume is highlighted as a warning.

  9. Click OK to return to the Custom Setup page and, if disk space is a problem, change the destination drive.

  10. Click Next. The Ready To Install The Program page appears.

  11. Click Install to start the the installation. It takes only seconds to complete the installation of each PowerToy, and at the end the wizard displays a message telling you the installation is complete. Click Finish.

Repeat steps 1 through 11 until all the PowerToys are installed.

During installation of PowerToys, files are copied to several locations on your hard disk, depending on the type of toy and the way it works. Some toys have executable files and run the way most software applications run: by choosing the program from the Programs menu. Most of the toys are just added to your Windows XP system and appear in system windows, menus, and dialog boxes or perform their functions when special keystrokes are used. The remainder of the chapter describes how to use each of the PowerToys for Windows XP.


PowerToy Calculator

The PowerToy Calculator is a software application you open by clicking Start, pointing to All Programs (Programs in the Windows XP Classic view), PowerToys for Windows XP, and finally choosing PowerToy Calculator. The software window, seen in Figure 12-3, opens in Advanced view to let you start performing mathematical wizardry.

Figure 12-3  The PowerToy Calculator window in Advanced view.
Figure 12-3. The PowerToy Calculator window in Advanced view.

The PowerToy Calculator is a powerful graphical tool that offers much more than the basic arithmetic capabilities of the standard Windows XP Calculator. This calculator can convert measurements from one format to another, create graphs, and perform complicated functions. Discussing all the functions and providing instructions for all the features would fill another book, so we cover the highlights here.

The Input field in the lower right corner of the program window accepts your keystroke entries. For simple mathematics, you merely enter operands and numbers to create and manipulate totals. For instance, after you’ve added or multiplied numbers, pressing an operand key (for example, the plus sign) applies that key to the running total, which is referred to as the “answer.” The History pane (shown in Figure 12-4) keeps track of your processes.

POWER TIP
To reset the answer to 0, type =0 and press Enter.
Figure 12-4  Keeping track of your actions with the History pane.
Figure 12-4. Keeping track of your actions with the History pane.

The Functions menu offers the following function types:

  • Basic Operations Standard math functions such as + (add), / (divide), sqrt (square root), and so on

  • Trig Functions Standard trigonometry functions, such as sin (sine), cos (cosine), tan (tangent), and so on

  • Log Functions Including exp (exponents), log10, and ln

  • User Functions User-definable functions that enable you to define complex formulas and to work with variables

When you define functions and variables, you can save them in a file by choosing Save Functions & Variables from the File menu. These files have the extension .pcf (for PowerToy Calc Files). To use a saved functions file, choose Load Functions & Variables from the File menu, and select the file you want to use. Be careful to name your files so it’s easy to identify their contents.

You can enter a number in the Input field and then convert that number to a different measurement type. The following measurement categories are available:

  • Length Converts a unit of length such as inches, yards, or millimeters to a different unit. For example, enter 5 in the Input field, and then from the Conversions menu, select Length, Miles, and finally Inches. Press Enter to learn that there are 316,800 inches in 5 miles.

  • Mass Converts units of mass measurement (for example, pounds, grams, and so on).

  • Time Converts days, minutes, and seconds from one measurement to another.

  • Velocity Converts speed (for example, miles per hour, knots, meters per second) from one measurement to another.

  • Temperature Converts degrees among Fahrenheit, Celsius, and Kelvin scales.

The View menu enables you to switch to a Numeric Calc view or a History view and offers the ability to view hexidecimal or binary output (the default is decimal), as well as a method for increasing precision. If you are a fan of reverse Polish notation (RPN), use the Advanced options on the View menu to switch to that notation.


Image Resizer

The Image Resizer adds a new command, Resize Pictures, to the shortcut menu you see when you right-click a graphic file. Selecting the command opens the Resize Pictures dialog box (shown in Figure 12-5). To see all the available options, click Advanced.

Figure 12-5  The Resize Pictures dialog box with advanced features showing.
Figure 12-5. The Resize Pictures dialog box with advanced features showing.
More Info
This toy is covered in more detail in Chapter 14, “Microsoft Windows XP Media Tools.”


Slide Show Wizard

The Slide Show Wizard is an installed software application that converts your graphics files, such as pictures, to an HTML slide show. This is a great toy for anyone who uses a digital camera or receives digital pictures from family members and friends. In fact, this software would make a wonderful gift for grandparents who have computers (and who have children who own and use digital cameras).

More Info
Chapter 14, “Microsoft Windows XP Media Tools,” contains a full review of this PowerToy.


CD Slide Show Generator

This PowerToy adds slide-show functions to the built-in Windows XP CD Burn feature. To make the functions available, you must be sure you select only pictures when you’re preparing to burn a CD. Use the following steps to create a CD that can run a slide show:

  1. Create a folder that’s populated with pictures.

  2. Open Windows Explorer, right-click that folder, and choose Send To, CD-R Drive. This creates a folder for the CD burn process.

  3. Right-click the CD drive and choose Write These Files To CD to open the CD Writing Wizard.

  4. On the first wizard page, accept the default name for the CD (the current date), or replace it with any name you prefer. Click Next.

  5. The next wizard page offers to add a picture viewer to the CD you’re burning so the files you’re writing to the CD can be viewed as a slide show. This, of course, is the result of your new toy, the CD Slide Show Generator. You can also opt to skip the picture viewer and just copy the files as plain, static files that need to be opened one at a time.

  6. Click Next to write the files and the picture viewer to the CD.

  7. When the CD is ready (the amount of time required for burning the CD depends on the number and size of the pictures you’re using), the wizard offers to burn another CD using the same files. This is useful for distributing your slide show to all your family members. When you are finished creating CDs, click Finish to close the wizard.

Put the completed CD in any CD drive. If Autorun is active on the computer, your slide show starts immediately. If Autorun is not active on the computer, double-click Autorun.exe to begin the slide show.

Each slide appears for several seconds, then the next slide appears, and so on. When the last slide appears, the show starts again from the beginning. The viewer can click anywhere on the screen to display buttons that advance the slides or stop the show.

What has happened, of course, is that your PowerToy, the CD Slide Show Generator, created the Autorun file that launches the slide show automatically. Make extra copies and mail them to your family and friends!


Webcam Timershot

This PowerToy is for you if you have a Webcam connected to your computer. You can use this software to take pictures at particular times, using a time interval that you specify. Of course, a great way to use this toy is to set the timer for the amount of time it takes you to move to a spot in front of the camera, fix your hair, adjust your clothing, and smile brightly.

To open Webcam Timershot, follow these steps:

  1. Click Start, point to All Programs (Programs in the Windows XP Classic view), PowerToys For Windows XP, and finally select Timershot.

  2. Set the configuration options you prefer, and let the Webcam work. You can specify an interval in seconds, minutes, hours, or days, and you can opt to save all the pictures or only the last picture taken.

    More Info
    The Webcam Timershot toy is covered in more detail in Chapter 14, “Microsoft Windows XP Media Tools.”


Open Command Window Here

Even if you use the Windows XP command line only infrequently, you’ll appreciate this toy. Think about the number of keystrokes you have to enter to navigate through your computer at a command prompt. With this PowerToy, when you select any drive or folder while working in My Computer or Windows Explorer, you can open a command window right at that point. Just right-click the drive or folder icon and choose Open Command Window Here from the shortcut menu.

NOTE
The Open Command Window Here PowerToy does not work for Universal Naming Convention (UNC) folders.


Alt-Tab Replacement

This PowerToy adds a bit of graphical interest to the task-switching mechanism built into Windows XP. It works similarly to the existing Alt+Tab feature, but instead of a listing, you see a graphical representation of each task as you switch (as shown in Figure 12-6).

Figure 12-6  Switching between tasks with Alt-Tab Replacement.
Figure 12-6. Switching between tasks with Alt-Tab Replacement.

You don’t change the way you switch tasks: Hold down the Alt key, and then press Tab to cycle through the open applications. When you see the application you want to work with, release the Alt key. (You can move backward through the task list by holding down the Shift and Alt keys and then pressing the Tab key.)


Taskbar Magnifier

This PowerToy is a small and compact version of the Magnifier that comes with the Accessibility options in Windows XP. The difference is that this magnifier stays on the taskbar, which means it has a smaller viewing area and doesn’t block any part of your screen, as shown below.

As you move your mouse or pointing device to any part of the screen or use your keyboard, the screen contents are magnified within the Taskbar Magnifier. This makes it easier to identify small items that you might otherwise have difficulty seeing.

After you install the PowerToys, you can enable and disable the Taskbar Magnifier as you need it. It’s a toolbar, and you can toggle it off and on by right-clicking a blank spot on the taskbar, pointing to Toolbars, and then clicking Taskbar Magnifier.

While the Taskbar Magnifier is active, right-click its toolbar to change the way it works, as follows:

  • Follow Mouse Cursor Magnifies the object under the mouse pointer. This is turned on by default.

  • Follow Keyboard Focus Magnifies the text at the position at which you’re entering text. This is turned on by default.

  • Zoom Lets you set the enlargement factor for the magnifier. The default value is 2, which is twice the actual size of the object being magnified. You can specify any of the following zoom factors: 1, 2, 4, and 8.


Virtual Desktop Manager

For people who always have a lot going on, the Virtual Desktop Manager provides a way to manage your open applications, utilities, and system windows in an organized fashion. This toy lets you divide your system into virtual desktops, assigning applications to specific desktops. You can have up to four different desktops. Having access to multiple desktops is useful when you have a lot of applications open and need help organizing them. For instance, you could have e-mail, meeting schedulers, and other related applications on one desktop, while having all your development applications on another.

POWER TIP
The important thing to remember when using the Virtual Desktop Manager is that the more memory your computer has at its disposal, the better. If you have too many desktops full of running applications open at the same time, it could slow your computer to a crawl.

Virtual Desktop Manager is a toolbar, so you open and close it by right-clicking a blank spot on the taskbar and choosing the Desktop Manager toolbar. You can configure the look of each desktop and specify shortcut keys using the MSVDM Settings dialog box (shown in Figure 12-7).

Figure 12-7  The MSVDM Settings dialog box.
Figure 12-7. The MSVDM Settings dialog box.

To design your desktops, right-click anywhere on the Desktop Manager toolbar and choose Configure Desktop Images. Move from desktop to desktop by clicking the taskbar desktop icons or by pressing the shortcut key combinations you’ve configured. The shortcut keys use the Alt, Ctrl, Shift, or the Windows logo key (or a combination of them) and a letter or number that you specify.


Tweak UI

The Tweak UI tool lets you change the look (the user interface, hence the UI in the name) and behavior of your Windows XP computer. With this PowerToy, you can manage basic system settings and system behavior without facing the risk of system destruction that exists when you try to change settings directly in the registry.

To open Tweak UI, click Start, point to All Programs (Programs in the Windows XP Classic view), PowerToys For Windows XP, and finally select Tweak UI for Windows XP. The Tweak UI window opens, with a list of categories in the left pane (as shown in Figure 12-8). We discuss the options for each category in this section.

Figure 12-8  Tweak UI categories with a plus sign to the left, indicating that they have subcategories.
Figure 12-8. Tweak UI categories with a plus sign to the left, indicating that they have subcategories.

The About category expands to two subcategories: Tips and Policy. The Tips category displays helpful tips on using Windows XP; the Policy category lets you open a Microsoft Management Console (MMC) with the Local Computer Policy snap-in loaded in the console. Setting computer policies is a powerful but complicated chore, and it can be dangerous. A good understanding of the more complex policy settings comes with many hours of hands-on experience with Windows XP. For information on manipulating local computer policies, refer to the following books:

  • MCSE Training Kit, Microsoft Windows 2000 Professional (Redmond, WA: Microsoft Press, 2000)

  • Microsoft Windows 2000 Professional Resource Kit (Redmond, WA: Microsoft Press, 2000)

  • Microsoft Windows XP Inside Out, by Ed Bott and Carl Siechert (Redmond, WA: Microsoft Press, 2001)

  • Microsoft Windows 2000 Security Technical Reference (Redmond, WA: Microsoft Press, 2000)

In addition to the books listed above, try consulting Windows XP’s online Help and the Microsoft Knowledge Base (http://support.microsoft.com) if you need help.

General

The settings available in the General category of Tweak UI are those that don’t fit neatly into the other categories for the other tabs—this could just as easily be called the Miscellaneous category. All the following settings apply only to the currently logged-on user:

  • Beep On Errors This setting is enabled by default, and it controls whether your computer makes a noise when a system error occurs. If you don’t like that annoying sound, clear the check box, although you do so at the risk of not noticing an error when it occurs. This setting does not control the sounds you’ve assigned to application events.

  • Enable Combo Box Animation This setting controls whether or not you see a brief animated effect when you work with list boxes in a dialog box. By default, the animation effect is turned on.

  • Enable Cursor Shadow This setting is misnamed; it should instead be called Pointer Shadow. By default, it’s enabled to give your mouse pointer a small shadow effect, which makes it easier to see the pointer. If you dislike the look of the shadow, turn it off by clearing this check box. Note that this feature is not supported by all video drivers.

  • Enable List Box Animation This setting controls the way scrolling works when you scroll through the items in a list box within a dialog box. The animation is enabled by default, and it is responsible for the “smooth scrolling” effect you see. If you’d prefer to eliminate the smooth scrolling in favor of jumping through the list, clear this check box.

  • Enable Menu Animation This setting controls whether menus appear with an animation technique. The animation effect is like a rippling scroll, and the setting is enabled by default. If you’d prefer to turn off this effect because it slows the display of menu lists a bit, clear this check box.

  • Enable Menu Fading This setting, which works only if menu animation is enabled, determines whether menus “fade in” or “slide in.” By default, the setting is enabled, which means menus fade in. The effect of this setting is most noticeable in the operation of the Start menu.

  • Enable Menu Selection Fading This setting, on by default, causes menu choices to fade out (instead of pop out) when you select a menu item. This setting also depends on menu animation being enabled.

  • Enable Mouse Hot Tracking Effects This setting, enabled by default, controls whether your mouse pointer delivers effects such as ToolTips when you hover over the Minimize, Restore, and Close buttons.

  • Enable Tooltip Animation This setting, enabled by default, displays ToolTips in an animated fashion (they slide in and out), instead of just having the ToolTips pop up.

  • Enable Tooltip Fade This setting, disenabled by default, causes displayed ToolTips to fade away instead of popping out of sight.

  • Window Animation This setting, enabled by default, causes the animation effect you see when you maximize, restore, or minimize a window.

  • Show Windows Version On Desktop This setting, disabled by default, displays a label near the bottom right corner of the desktop to indicate the version of Windows XP that you are running—Windows XP Professional or Windows XP Home Edition—as well as monitor information if you are running multiple monitors. This may be useful to you if you routinely work on several different computers, some of which have Windows XP Home Edition installed, and others that have Windows XP Professional. If you enable this setting, you won’t see the results until you log off and log on again. This feature isn’t available if you’ve enabled the Web Content setting for your desktop (this setting can be changed by opening Control Panel, pointing to Display Properties, and clicking Customize Desktop on the Desktop tab of the Display Properties dialog box).

Focus

The Focus subcategory under General lets you control the way applications grab the focus (the technical term for the application window that is currently receiving keyboard and mouse input).

If you have an application that pops up whenever anything happens within that application, you’ll love this configuration option. This behavior occurs in some e-mail software and other applications that are periodically activated to perform a task. If one of these applications is activated (for example, if mail arrives in the Inbox), it automatically grabs the focus. In this case, if you were in the middle of typing a sentence in your word processor when you receive an e-mail message, you would suddenly find yourself typing characters in the window of the e-mail application. This setting, which is enabled by default, causes an application to generate a flashing button on the taskbar when activated rather than moving its window in front of all other open windows.

When this setting is enabled, you can configure the behavior of the flashing taskbar button with the following two options:

  • Flash Taskbar Button Until I Click On It

  • Flash Taskbar Button X Times (specify a number for X). This is the default setting.

Mouse

The Tweak UI Mouse category and subcategories offer more options than are available through the default Mouse program in Control Panel. All the options in the Mouse categories are user options, and changes apply to the currently logged on user only. The main Mouse category window, shown in Figure 12-9, covers the following configuration options:

  • Menu Speed The Menu Speed option specifies the interval that passes before the next set of menus opens when you are working with cascading menus. Move the slider to change the speed at which the menus are displayed—the faster the setting, the more immediate the display. If you set the speed to Slow, you’ll be able to rest your pointer on a menu item and have time to brew coffee before the cascading menu opens. The slowest setting effectively disables automatically cascading menus such as the Start menu so that you must click each menu option to display the next level. You might want to try this setting if you find that you are continually displaying the wrong cascading menu because you allow the mouse pointer to pause too long over a menu item.

    Test the interval by right-clicking the test icon. (You aren’t testing the speed of the mouse for right-click actions, or just for right-click menus; you are right-clicking for this particular test only.) A cascading menu appears, and each menu item has another cascading menu. The speed at which the second menu appears reflects the current setting of this option.

  • Mouse Sensitivity Raise or lower the current value of the Double-Click field to change the interval between two mouse clicks that is used to determine that your clicking action is indeed a double-click. For instance, if you frequently use two clicks (not a double-click) to rename a file or an icon title, you’ll want a short interval for your real double-clicking action. If you prefer a longer interval, adjust the setting so that double-click always works and you don’t accidentally start to edit the icon title. Test the new interval by double-clicking the test icon, making sure your action is recognized as a double-click.

    You can also raise or lower the current setting of the Drag value. This value specifies how far (measured in pixels) you have to move the mouse with a button held down before the operating system recognizes that you are dragging. If you tend to drag accidentally when you think you’re selecting, this is a good way to solve that problem.

    Figure 12-9  Options for the Mouse category of the Tweak UI PowerToy.
    Figure 12-9. Options for the Mouse category of the Tweak UI PowerToy.
    NOTE
    Sometimes users don’t even realize that they’ve dragged a folder instead of selecting it. If your hand moves at all while you’re working in the left pane of Windows Explorer, you can move a folder into another folder without realizing it. Many computer consultants have had clients call about error messages for missing files, missing DLLs, and so on, only to discover that the missing files are not gone; they’re just in a new location because the original folder had become a subfolder of another folder. The user’s hand moved, and the folder was pushed into the folder above or below it. If you think you may have accidentally moved something and aren’t sure what it was or where it went, try hitting Ctrl+Z, which reverses the last move in most Microsoft applications and operating systems. Ctrl+Z is also known as the Undo command.
Hover

It’s very handy to be able to see a ToolTip or open a submenu just by hovering your pointer over an icon or a menu listing. You can increase the efficiency of this useful feature in the Hover subcategory of the Mouse settings category. Two settings are available for tweaking this feature:

  • Hover Sensitivity The number of pixels that make up the “hover here” area

  • Hover Time The amount of time that must elapse for Windows XP to realize you’re waiting for the hover feature to kick in

You can adjust either or both of these settings until you’ve reached a combination of specifications that creates a comfortable environment for you. As you make changes, hover your mouse pointer over the test icon, which is a graphic of a computer monitor. The hover action you’re looking for is the change in color of the monitor from black to blue (or perhaps another color, depending on your display settings).

Wheel

If your system has a mouse wheel, select the Use Mouse Wheel For Scrolling option. You can then opt to scroll a page at a time or a specified number of lines at a time. By default, scrolling is specified at three lines at a time.

X-Mouse

This subcategory offers configuration options for X-Mouse functionality. Enabling the Activation Follows Mouse option creates an environment that activates the window your mouse moves over (making it the window with the focus without having to click it). This can be extremely useful if you are moving data items among multiple windows.

After you’ve enabled Activation Follows Mouse, you can select the Autoraise When Activating option, which means the window you activate moves to the top (foreground) in addition to becoming the window with the focus.

The Activation Delay option is also available when Activation Follows Mouse is enabled. This specifies the amount of time (in milliseconds) that elapses before the window under your mouse pointer becomes the active window. For instantaneous activation, set this number to zero.

Explorer

The Explorer category offers configuration options for the look and behavior of your Windows XP desktop, the Start menu, and system windows such as Windows Explorer. (The desktop is actually the top-level folder in Windows Explorer, and the only difference between the desktop folder and all the other folders in your system is that the desktop folder cannot be closed.)

You can customize the following functions to tweak your system’s interface until it’s just the way you want it. Any alterations you make to these configuration options apply only to the currently logged on user:

  • Allow Help On Start Menu This option, enabled by default, merely specifies whether or not a menu listing for Help And Support appears on the Start menu. The setting applies to either the default Windows XP Start menu or the Classic Start menu; changing the menu style doesn’t change this setting.

  • Allow Logoff On Start Menu This option, enabled by default, determines whether the Logoff command appears on the Start menu.

  • Allow Recent Documents On Start Menu This option, enabled by default, specifies whether a listing appears on the Start menu to let you see your most recently accessed documents. In the default Windows XP Start menu, the command is My Recent Documents, and enabling this option lets you choose the same option in the Customize Start Menu dialog box. If you disable this option in Tweak UI, this option is removed from the Advanced tab of the Customize Start Menu dialog box (discussed in Chapter 1, “Tools to Use Windows XP More Efficiently”) and you lose the ability to enable it on the Windows XP Start menu. If you use the Classic Start menu, enabling this option automatically puts the Documents command on the Start menu, requiring you to click Start, point to Documents, and then select My Documents.

  • Allow Web Content To Be Added To The Desktop This option, enabled by default, determines whether you can add Web content to your Windows XP desktop. Enabling Web content means you can put Web sites on your desktop and automatically synchronize the changes that are made on the site with your desktop copy (handy for tracking weather or stock prices). You maintain and configure Web content on the Desktop tab of the Display Properties dialog box by clicking Customize Desktop.

  • Clear Document History On Exit If you choose to enable this option, the contents of your document history listing are removed when you log off, restart, or shut down. In addition, the history in the Run text box and the typed-URL list in the Address toolbar are removed. This option is disabled by default.

  • Detect Accidental Double-Clicks This option, enabled by default, is useful if you’ve configured your system for single-click mode. If, instead of single-clicking an item while you’re working in Windows Explorer (for example, a document listing), you accidentally double-click out of habit, the system won’t open two copies of the document.

  • Enable Smooth Scrolling This option, enabled by default, controls the way scrolling works in system and application windows. Smooth scrolling is really an animation feature, which controls the scrolling action to make sure data scrolls smoothly as you use the scrollbar or its buttons.

  • Enable Windows + X Hotkeys This option, enabled by default, determines whether pressing certain keys (substitute specific keys for the X in the option title) along with the Windows logo key ( [image] ) results in an action. For example, [image] +D shows the desktop (minimizing all open windows). If your keyboard doesn’t have a Windows logo key, this option is useless. Refer to Chapter 1 for a review of these hotkeys.

  • Lock Web Content If you’re using Web content on the desktop and you don’t want anyone (including yourself) to add or remove content, enable this option. This option is disabled by default.

  • Maintain Document History This option, enabled by default, causes the system to track recently opened documents on both the Start menu and the File menu of Windows applications. For example, when you open Microsoft Word, the bottom of the File menu displays a list of your recently opened documents. (You can specify the number of documents to display in the Options dialog box within Word.)

    NOTE
    Some Windows applications pay no attention to the Maintain Document History setting, so if you don’t see a recently used files list on an application’s File menu, don’t assume it’s because you inadvertently changed this setting. You probably didn’t; the application just doesn’t want to cooperate with your PowerToys.

  • Maintain Network History This option, enabled by default, tracks network resources you recently accessed by placing an icon for the resource in the My Network Neighborhood folder. This is useful if you frequently access the same few network shares, but if you travel all over the network, accessing different shares, the number of icons can become overwhelming and therefore less useful.

  • Manipulate Connected Files As A Unit This option is enabled by default and should not be changed if you maintain HTML documents on your computer. Any graphics that appear in an HTML document are actually saved separately, in a folder that is linked to (and always travels with) the document.

    For example, if you create or receive an HTML document named Budget.htm (or Budget.html), and a graphic element (perhaps a bar chart) is contained in the document, you should have an accompanying folder named Budget_files. Within that folder are the files for each graphic in the document, along with a document named Filelist.xml, which tracks the links between the contents of the graphics folder and the HTML document. For example, for a file named Budget.htm created in Microsoft Word, and containing one graphic, here is the text of Filelist.xml:

     <xml xmlns:o="urn:schemas-microsoft-com:office:office"> <o:MainFile HRef="../Budget.htm"/> <o:File HRef="image001.gif"/> <o:File HRef="filelist.xml"/> </xml>

    If you copy or move the HTML file, its folder should travel with it. If the folder isn’t available, none of the graphics in the document can be displayed; instead a little box containing an X appears in place of the graphic image, which certainly reduces the impact and efficiency of HTML documents. (In addition, when you delete an HTML file with a linked folder, the linked folder is also automatically deleted.)

  • Prefix “Shortcut To” On New Shortcuts This option, enabled by default, automatically adds the text Shortcut to at the beginning of the title of every desktop shortcut you create. The text following “Shortcut to” is the name of the file for which you’re creating the shortcut. If you clear this option, the text of current shortcuts isn’t changed; the new configuration affects only new shortcuts you create. Of course, you can select the text box under the shortcut icon and press F2 to edit the text and get rid of Shortcut to.

  • Show Links On Favorites Menu This option, enabled by default, specifies whether a Links folder is included on the Favorites menu of system windows (for example, My Computer or Windows Explorer). If you don’t use this feature, clear it.

  • Show My Documents On Classic Start Menu This option, enabled by default, determines whether a listing for My Documents appears on the Classic Start menu. Most users who have configured their Windows XP systems for the Classic Start menu find this feature extremely useful. The listing appears at the top of the Documents submenu, so you must configure your system to enable the Allow Recent Documents On Start Menu option.

  • Show My Pictures On Classic Start Menu This option, enabled by default, specifies whether the Classic Start menu contains a listing for My Pictures. If you hardly ever access your My Pictures folder (usually a subfolder under My Documents), clear this option. The listing appears at the top of the Documents submenu, so you must configure your system to enable the Allow Recent Documents On Start Menu option.

  • Show Network Connections On Classic Start Menu This option, enabled by default, displays the listing for Network Connections on the Settings menu. If you disable this option, you can still access your Network Connections, either by right-clicking the Network Connection icon in the system tray and choosing Open Network Connections, or by opening Control Panel and selecting Network Connections. Of course, right-clicking the system tray icon works only if you’ve put the icon there; you can do that in the Properties dialog box for your LAN connection by selecting Show Icon In Notification Area When Connected.

  • Use Classic Search In Explorer This option should be enabled if you don’t like the Search format in Windows XP. Once enabled, when you’re working in Windows Explorer or My Computer, clicking the Search button on the toolbar or pressing F3 displays the Search pane you saw in earlier versions of Windows. (See Figure 12-10 to remind you of the way it used to be.) Many users found the previous Search feature easier and less distracting to use. (For one thing, Rocky and his wagging tail don’t visit, as in Windows XP Search.) This option is disabled by default.

    Figure 12-10  The classic Windows Search pane.
    Figure 12-10. The classic Windows Search pane.

  • Use Classic Search In Internet Explorer Like the previous option, you should enable this option if you’d prefer to return to the look and feel of the Search pane you used in previous versions of Windows when you’re working in Internet Explorer. This option is disabled by default.

Shortcut

The Shortcut subcategory of the Explorer category offers options for the appearance of shortcut icons, specifically the small curved arrow that appears on the icon to indicate a shortcut (which is called an overlay).

The following overlay options are available:

  • Arrow Displays a small curved arrow as an overlay on the lower left side of each shortcut’s icon. If you change this setting, it affects all users of this computer. This is the default setting.

  • Light Arrow Changes the overlay to a smaller, white arrow, which you might decide is so barely visible as to be useless.

  • None Removes the overlay graphic entirely. Although this might satisfy your aesthetic preference for a clean look, it has a hidden danger: you might not be able to distinguish your shortcuts from other types of desktop icons (such as files you have placed on your desktop). Deleting a shortcut isn’t dangerous, because the target file isn’t affected. However, if all desktop icons look alike and you think they’re all shortcuts, you could inadvertently delete a file. One way to mitigate this danger is to make sure you don’t change the default text, Shortcut to, that appears under shortcut icons.

  • Custom Lets you choose a graphic to use for all shortcuts, making it obvious which desktop icons are shortcuts. (The title under the icon specifies the target file or folder.) After you select this option, the Change button is available. Click it to select another graphic.

Colors

The options in the Colors subcategory provide a way to tweak the way native Windows XP functions work. Changes you make to these options affect all users of this computer:

  • Compressed Files This option lets you change the color of file listings in Windows Explorer as a result of configuring Windows XP to show compressed files in color. That option is enabled on the View tab of the Folder Options dialog box, which you can configure in any system window (choose Tools and Folder Options, and then click the View tab).

  • Hot Tracking This option lets you change the color of the object under your pointer as you move it through listings in Windows Explorer. This feature works only if you’ve configured Windows Explorer for single-click mode on the General tab of the Folder Options dialog box.

  • Encrypted Files This option lets you change the color of file listings in Windows Explorer as a result of telling Windows XP to show encrypted files in color. That option is enabled on the View tab of Folder Options dialog box.

Thumbnails

Use the selections in this subcategory to configure the way thumbnail images are displayed (as shown in Figure 12-11). The changes you make here affect only the current user, and only thumbnail images created hereafter. (Current images remain as they are.)

Figure 12-11  Tweaking the settings for thumbnail displays.
Figure 12-11. Tweaking the settings for thumbnail displays.

As the quality or size of thumbnail displays increases, you must use more system resources to create the display. It’s a good idea to experiment with various combinations of settings and track the way they affect your system’s performance. When your system displays thumbnails you like (and can easily see) and still maintains its “peppiness,” you’ve reached the perfect state.

Command Keys

Use this subcategory if you own a keyboard with built-in navigation keys. These keyboards are available in a variety of configurations, populated with keys that perform commands specific to Microsoft Office, Internet Explorer, or Microsoft Windows. Go through the list of commands (as shown in Figure 12-12) and find a key that exists on your keyboard.

Figure 12-12  Using the Command Keys subcategory.
Figure 12-12. Using the Command Keys subcategory.

If the navigation key performs an action that you could easily perform with a mouse or with a standard keyboard combination, you can put that key to work doing something else. For example, you might want to use the key to start a program or utility that you use frequently.

On the other hand, if you rarely use the key for its intended function, but find you accidently press it occasionally and have to undo its action, you might want to shut down the key’s programmed response.

To change the default action of any navigation key, select that key and click Change. In the My Computer dialog box that appears (shown in Figure 12-13), make one of the following modifications:

  • Select Do Nothing to stop the default action and create an inert key.

  • Select Run A Custom Program When The Key Is Pressed, and then type the path to the program’s executable file.

    Figure 12-13  Changing the default action of a navigation key.
    Figure 12-13. Changing the default action of a navigation key.
Common Dialogs

The Common Dialogs category is the place to customize the look of the dialog boxes you encounter as you work in applications built into Windows XP. The common dialog boxes you see most often are probably File Open, File Save, and File Save As.

NOTE
We found that manipulating these settings had no effect on the common dialog boxes for installed applications, including Office, but worked perfectly with the applications included with Windows XP (for example, Microsoft Paint, Microsoft Windows Media Player, and so on).

Use the options in the Common Dialogs category (shown in Figure 12-14) to put icons on these dialog boxes that make it easier for you to select locations or to remove icons that appear by default, but you don’t use.

Figure 12-14  Selecting icons to appear in your dialog boxes.
Figure 12-14. Selecting icons to appear in your dialog boxes.

Select Hide Places Bar to eliminate any location icons in the dialog boxes. Select Custom Places Bar to select only those icons you need.

Taskbar

The Taskbar category offers customization options you can use to tweak the look of your Windows XP system. The following two options are available in the main Taskbar category window:

  • Enable Balloon Tips Causes software applications that support Windows XP themes to display tips as balloons. This option is enabled by default, but you can clear it if you don’t like the tips.

  • Warn When Low On Disk Space Specifies that Windows XP should display a warning balloon when a drive is running low on disk space. This option is enabled by default, but the warning balloon appears only if the logged on user is a member of the Administrators security group.

Grouping

This subcategory offers options to control the way taskbar grouping works. Of course, taskbar grouping has to be enabled to take advantage of these options. You can enable and disable taskbar grouping by taking the following steps:

  1. Right-click a blank spot on the taskbar and choose Properties from the shortcut menu.

  2. On the Taskbar tab of the Taskbar And Start Menu Properties dialog box, select or clear the Group Similar Taskbar Buttons option. Click OK.

When taskbar grouping is enabled, connected tasks (for example, multiple open documents in an application) appear as a single taskbar button instead of individual buttons. Clicking a grouped button displays the individual tasks.

Use the choices in the Button Grouping frame (shown in Figure 12-15) to make grouping more convenient, matching the way you want to work in Windows XP.

Figure 12-15  The Grouping subcategory window.
Figure 12-15. The Grouping subcategory window.
XP Start Menu

This subcategory lets you customize the way the Frequently Used Programs feature works on the Windows XP Start menu. The feature is extremely handy because opening a program you’ve recently used is a one-click option instead of a series of mouse movements through the All Programs menu.

By default, the Frequently Used Programs feature lists the programs accessed most recently. This is not necessarily a list of your frequently used programs, so Recently Used Programs would be a more appropriate name for this feature.

In this XP Start Menu window, the operating system lists the programs installed on your computer. As you can see in Figure 12-16, every item in the list is configured as eligible for display in the Frequently Used Programs list. However, it’s a good idea to clear the check mark for programs you hardly ever access, letting the Frequently Used Programs list display truly useful program listings.

Figure 12-16  Selecting programs to be listed in the Frequently Used Programs list.
Figure 12-16. Selecting programs to be listed in the Frequently Used Programs list.
NOTE
We found that only 32-bit Windows applications appear in this list. A legacy software application that’s frequently used doesn’t appear even if it’s running under the Application Compatibility feature.

You can control the size of the Frequently Used Programs list with the following steps:

  1. Right-click Start and choose Properties from the shortcut menu.

  2. Click Customize to the right of the Start menu selection. (This assumes the Start menu is the selected menu, not the Classic Start menu.)

  3. In the Programs frame, specify the number of programs you want to see on the Start menu.

  4. Click OK twice.

Desktop

Use this category to control which Windows system icons will appear on the desktop. By default, if you’re using the Windows XP Start menu, the only Windows desktop icon is the Recycle Bin. Select any additional system icons from the list (as shown in Figure 12-17) to place them on your desktop.

Figure 12-17  Selecting system icons to place on your desktop.
Figure 12-17. Selecting system icons to place on your desktop.
NOTE
You also can select which Windows system icons will appear on the desktop from the General tab of the Desktop Items dialog box, which can be displayed by opening Control Panel, selecting Display Properties, and selecting Customize Desktop on the Desktop tab of the Display Properties dialog box.

Many software applications put an icon on the desktop during installation, and many original equipment manufacturers (OEMs) add icons to the desktop as a result of agreements with software companies (America Online and Quicken, among others).

First Icon

This subcategory lets you decide which icon should appear first, and the definition of “first” means two things:

  • The icon appears at the top left column of your desktop.

  • The icon appears at the top of the right pane of Windows Explorer.

The choices are rather limited: you can choose between My Documents and My Computer. If you didn’t add the icon you prefer to your desktop using the Desktop category discussed in the previous section, your selection has no effect on the desktop.

My Computer

Use the My Computer category to add Control Panel to your My Computer window. (Perhaps you miss the way it used to be in Microsoft Windows 95 and Windows 98.)

If your computer is not part of a domain and you want to share files on it with other users, enable the Files Stored On This Computer option. This adds a new category in the right pane of My Computer and places shared folders such as Shared Documents and %Username%’s Documents there. If you want to share a folder or file with other users, simply drag it to one of these folders. With this option disabled, these folders are available by default under My Computer in the left pane. Enabling this option will have no effect if your computer is part of a domain.

Drives

This subcategory is the place to specify the drives you want to see, or hide, in My Computer and Windows Explorer. Every letter of the alphabet is listed, and if a drive exists for the letter, an icon for the drive type appears (removable, hard disk, CD, mapped network drive). If a drive doesn’t exist for the letter, a red question mark appears.

By default, every drive letter is enabled for display in My Computer and Windows Explorer. Clear the drives you want to hide. To access a hidden drive after you’ve removed its icon, enter its letter (for example, C:\) in the address bar of the My Computer or Windows Explorer window.

Special Folders

Use the Special Folders subcategory to move system folders to a new location. Select the folder you want to relocate and click Change Location. Then indicate the new path for the folder.

Many of the system folders designated as special folders are subfolders under \Documents and Settings\%Username%. To see a list of the special folders you can relocate, click the arrow next to the Folder text box in this Tweak UI window.

AutoPlay

This subcategory doesn’t let you perform configuration options for the AutoPlay feature; it merely has a button that opens My Computer. When the My Computer window opens, right-click a CD drive and choose Properties from the shortcut menu. Then click the AutoPlay tab and configure the feature.

The following additional subcategory windows are available under the AutoPlay subcategory:

  • Drives Enable and disable AutoPlay for a specific drive

  • Types Specify the drive types that should support AutoPlay

  • Handlers Customize the default action for AutoPlay-enabled drive types (the action depends on the data type).

Control Panel

This category is the place to hide objects that would normally appear in the Control Panel windows. (Control Panel programs are called extensions.) Hiding an object doesn’t remove the extension, and you can still access the extension by entering its executable file name in the Run box on the Start menu. For instance, if you hide the Add Hardware icon, typing hdwwiz.cpl in the Run box opens the Add Hardware Wizard.

Templates

The Templates category in Tweak UI controls what you see when you right-click a blank spot on your desktop and move your pointer to the New command. The submenu you see displays a rather long list (as shown in Figure 12-18).

Figure 12-18  The default list of templates for new documents.
Figure 12-18. The default list of templates for new documents.

If you use only a limited number of these document templates, or if you never use the New command at all, you can remove unneeded items from the list that is displayed on the New submenu. Clear the appropriate templates in the Document Templates area of the Tweak UI window. You can also click Create in the Tweak UI window to add additional templates to the list.

Internet Explorer

Use the Internet Explorer category to decorate the toolbars of Internet Explorer and Windows Explorer. You can use different graphics for each window.

Select a graphic from the .bmp files available on your computer, and select Internet Explorer or Windows Explorer (or both) to link it to the program window. When you open the window, the graphic is displayed on the toolbar as a background image.

Search

You can use this subcategory to prepare searches and eliminate some of the character entry required when you want to search the Internet for a particular subject. The Tweak UI window requests a prefix and a Uniform Resource Locator (URL).

The prefix is a nickname you apply to your favorite search engine. The URL is the technical information your browser needs to translate your nickname into recognized code. For example, if you frequently use Google to search Web pages, create an entry similar to the following:

  • The prefix is goo (or some other nickname of your choice).

  • The URL is http://www.google.com/search?q=%s

To ascertain the code the search engine uses, go to your favorite search engine as usual and enter a simple search query. The URL in the address bar displays the code the search engine uses in addition to specific information about your search. Click the address bar to select its contents, and press Ctrl+C to copy it. Then open Notepad or a word processor and use Ctrl+V to paste the contents. Get rid of all the data that’s directly connected to the words you entered in the search query box. The code that remains is the code you enter in the Tweak UI URL field, and all you have to do is make sure you type %s at the end of the string. This combination is automatically replaced with the words in your search query.

After you’ve entered your prefix and its accompanying code in Tweak UI, you can open Internet Explorer and enter the nickname followed by the search query in the address bar (for example, in this case type goo recipes to search Google for Web sites that have recipes).

You can create a search shortcut for every search engine you use. To avoid the need to open Tweak UI to remind yourself of the nickname you created, develop a consistent pattern. For example, we used the first three letters of the search engine’s name for every shortcut we created.

View Source

Use this subcategory to change the program that opens when you want to look at the source code for a Web page (choose View, Source from the Internet Explorer menu bar). The default program is Notepad, but if you want to substitute another program, perhaps your favorite text editor or HTML editor, click Change Program and choose the replacement.

Command Prompt

This category offers an opportunity to tweak some of the features available in a command session. As you can see in Figure 12-19, you can configure the control characters for the command-line completion features, and you can change the character that represents a space between words when you’re editing the command line.

In the Completion section, specify the control character to use for the file name completion and directory completion features. By default, the Tab key is the control character for file name completion, and directory completion is not turned on. Entering a control character in this window turns on the directory completion feature.

The completion features let you type a partial directory name or file name against a command and then let the system fill in the rest. The feature works by means of a control character you enter at the command line to invoke the function. For example, you can type cd \pro control character to get to the Programs Files directory, or enter type myf control character to display the contents of Myfile.txt on the screen.

Figure 12-19  Tweaking the performance and efficiency of your command sessions.
Figure 12-19. Tweaking the performance and efficiency of your command sessions.

If there are multiple directories or files that match the characters you enter, pressing the control character again moves you to the next instance. When you get to the correct target, press Enter to complete the command. If no target matches your string, the system beeps.

The file name completion feature actually works on directories, too, because it’s searching for a complete path, matching against both file and directory names. However, the system is intelligent, so if the file completion control character is used on a command that works only against directories (for example, CD or RD), only directory names are searched.

The directory completion function searches only directory names, which makes it faster for directory searching than the file name completion function when there are both files and directories with matching strings.

POWER TIP
You can use the same control character for both the directory name and the file name autocompletion feature if you wish.

In the Editing section of this window, enter the characters you want the command processor to interpret as a word separator when you use Ctrl+Left Arrow or Ctrl+Right Arrow to move word by word through a command to edit the command. By default, the word separator is a space, but if you use some other character, you can enter it here to use the Ctrl+Arrow combinations to move quickly through a long command.

Logon

This category lets you specify whether Windows XP should parse the Autoexec.bat file in your boot drive root, if that file exists. The batch file isn’t run, it is searched for SET commands, and any environment variables that exist in those SET commands become part of the Windows XP environment settings for the currently logged on user. By default, this option is enabled.

If you want to set your environment variables manually, clear the option in this Tweak UI window and then add and modify user variables by clicking Environment Variables on the Advanced Tab of the System Properties dialog box.

Autologon

Use this subcategory to log on to your computer automatically. The system automatically enters your logon information in the window (as shown in Figure 12-20), so all you need to do to apply the feature is select the check box at the top of the window.

Figure 12-20  Setting automatic logon.
Figure 12-20. Setting automatic logon.

Automatic logon bypasses all the usual logon functions, and all you have to do is turn on the computer (or restart it) and wait for your desktop to appear. No Security dialog box appears, nor does the Log On To Windows dialog box.

WARNING
This autologon feature can be risky if other people whom you don’t know or trust have access to your computer, especially if you’re logging on with administrative rights. If you’re logging on to a domain, using autologon will probably violate your company’s security policies. And you should never use this feature to log on to a domain with a user ID that has been granted administrative rights.

If after careful consideration, you still feel it’s safe to turn on automatic logon, here are some guidelines to help you use the feature:

  • You must have a password. If you usually log on with a null password, the first time you log on automatically, everything will work properly. After that, however, the autologon feature won’t work.

  • If you want to skip the autologon process during a startup, hold down the Shift key during Windows startup to force the normal logon dialog box to appear. This is useful if you want to log on as a different user or you want to log on to the local computer instead of the domain (or the other way around).

Repair

Tweak UI contains tools that are designed to repair certain components of your Windows XP system (shown in Figure 12-21). The repair efforts don’t always succeed, but this feature works frequently enough to warrant the time it takes for Tweak UI to make an effort.

Figure 12-21  A display of components that Tweak UI can repair.
Figure 12-21. A display of components that Tweak UI can repair.

Select a component and read the description of Tweak UI’s processes when repairing that component. (Not all the processes are true repair tasks; some of them include cleanup chores or restoration of default values.) Click Repair Now to begin the task.


Chapter 13 - Digital Media Tools for Microsoft Windows XP

Chapter 13
Digital Media Tools for Microsoft Windows XP

Microsoft provides some of the most exciting digital media add-on features available for Microsoft Windows XP. You can download selected features for free, or purchase the latest version of Microsoft Plus! for Windows XP at a retail store.

The Microsoft Windows Media Bonus Pack for Windows XP is the most feature-packed of Microsoft’s downloadable add-ons, and it offers a wide range of functionality through a number of optional tools that you can install. Plus! for Windows XP, meanwhile, extends Windows XP in a number of entertaining ways, though we’re concerned primarily with the digital media features here.

In this chapter, we’ll look at the following topics:

  • Windows Media Bonus Pack for Windows XP

  • Plus! for Windows XP


Windows Media Bonus Pack for Windows XP

Released as a holiday 2001 present for digital media fans, Microsoft Windows Media Bonus Pack for Windows XP is a free download that adds a number of exciting and powerful digital media features to Windows XP and Windows Media Player for Windows XP (called “the Player” for short). These features include Plus! MP3 Converter LE, new skins (three-dimensional graphical interfaces) and visualizations for the Player, Windows Media Player for Windows XP PowerToys, Windows Media Player Skin Converter, and the Movie Maker Creativity Kit. We’ll look at each of these features in this chapter.

System Requirements

Before installing the Windows Media Bonus Pack, be sure your system meets the following minimum system requirements:

  • Windows XP Home Edition or Windows XP Professional operating system

  • A 350 megahertz (MHz) processor

  • 64 megabytes (MB) of RAM

  • 300 MB of available hard disk space

  • A Video Graphics Adapter (VGA) video resolution monitor

  • CD-ROM or DVD drive, keyboard, and Microsoft Mouse or compatible pointing device

  • Windows XP–compatible sound card and speakers or headphones

  • 256-color video card

In addition, an Internet connection might be required to install some features of the Media Bonus Pack, and 3-D graphics acceleration and 16 MB of video memory might be required to use some features to their best advantage. The video adapter must be compatible with Windows XP.

Installing and Starting the Windows Media Bonus Pack

Before you can install the Windows Media Bonus Pack, you must first download it from the Microsoft Web site (http://www.microsoft.com/windows/windowsmedia/download). The full version is a little over 18 MB in size. To install it, perform the following steps:

  1. Open Windows Explorer and navigate to the folder where you downloaded the Windows Media Bonus Pack. Double-click Wmbonusxp, which starts the Setup program. The first thing you’ll see is the welcome screen. Click Next.

  2. Read the license agreement, select I Accept The Terms Of This License Agreement, and then click Next.

  3. In the Components list box, leave all the components selected (the default setting) and then click Next.

  4. The Setup program tells you that it’s ready to update your system. Click Next to complete the installation.

  5. When the Setup program informs you that it’s completed the installation, click Finish.

To start the Windows Media Bonus Pack applications, click Start, point to All Programs (Programs if using the Windows XP Classic Start menu), and then choose Windows Media Bonus Pack For Windows XP. From here, you can choose among any of the software’s installed components.

Media Library Management Wizard

The Media Library Management Wizard allows you to clean up, update, and organize the music and video information stored by the Player’s Media Library. The wizard helps you remove out-of-date media entries for files that are no longer available, add new files to the Media Library, synchronize track information between the Media Library and the actual media files in your file system, download album art—for Windows Media Audio–formatted audio files only—and even rename and rearrange music files using the file naming convention specified in the Player. This last option is particularly useful if you’ve changed your file naming convention recently and want to automatically rename all your existing media to reflect this change. To change the naming convention, open the Player and from the Tools menu, select Options, Copy Music, and finally Advanced.

As noted by its name, the Media Library Management Wizard presents a simple, step-by-step wizard interface, as shown in Figure 13-1.

Figure 13-1  The Media Library Management Wizard.
Figure 13-1. The Media Library Management Wizard.

As you step through the wizard, you can specify the location of folders where your media is stored, whether to clean up and add new files to the Player Media Library, whether to synchronize track information and download album art, and whether to rename and rearrange music files. Select the options you want to configure, and the wizard processes your Media Library, as shown in Figure 13-2. Depending on the amount of digital audio you have stored on your system, the process might take awhile.

Figure 13-2  Updating Media Library.
Figure 13-2. Updating Media Library.

Interestingly, the renaming and rearranging phase of the wizard does work with MPEG Audio Layer 3 (MP3) files, even though the album art phase does not. (Album art won’t work because of the variety of ways in which different versions of MP3 work with album art information.) Windows Media Audio format, however, uses a single, standardized way of storing album art.

Movie Maker Creativity Kit

Windows Movie Maker is a great addition to Windows XP, and an excellent way to capture, edit, and electronically distribute video content. For more information, see Chapter 7, “Tools for Creating Digital Movies and Video Conferences.” With the Movie Maker Creativity Kit, included in the Windows Media Bonus Pack for Windows XP, Movie Maker users can enhance their home movies with 16 loopable background songs, 136 sound effects, 29 title still images, and 3 animated title images.

NOTE
Like other downloadable software, the Windows Media Bonus Pack is updated periodically. The contents of your Media Bonus Pack may vary from this description.

To include any of these media files in a Movie Maker collection, open Movie Maker and select File, Import. The files are located in a directory structure under %Systemdrive%\Program Files\Windows Media Bonus Pack for Windows XP\Movie Maker Creativity Kit by default.

Personal License Update Wizard for the Player

The Personal License Update Wizard for the Player can be used to update the licenses for any protected digital audio or video content you may have downloaded or created and copied to your Media Library. Updating licenses allows you to play your digital music on computers other than the one you used to record the music. If you aren’t using protected content—that is, content that’s been recorded using Microsoft’s Digital Rights Management (DRM) algorithms—you won’t need to run this wizard.

POWER TIP
We recommend that you use the Player’s license backup feature (by selecting License Management from the Tools menu) to copy your current licenses before running the Personal License Update Wizard.

The Personal License Update Wizard operates outside of the Player and searches a folder structure of your choosing, updating any protected content it can find, as shown in Figure 13-3.

Figure 13-3  The Personal License Update Wizard.
Figure 13-3. The Personal License Update Wizard.
Plus! MP3 Audio Converter LE

The Plus! MP3 Audio Converter LE application, shown in Figure 13-4, is a light version of Plus! MP3 Audio Converter, part of Microsoft Plus! for Windows XP, which we cover in the section entitled “Plus! for Windows XP,” later in this chapter. The LE version doesn’t include the WAV conversion and normalization features that are part of the full version in Plus, as well as a number of other features.

Figure 13-4  The Plus! MP3 Audio Converter LE.
Figure 13-4. The Plus! MP3 Audio Converter LE.
Windows Media Player Import to Excel

Because many people use Microsoft Excel—the spreadsheet application that’s part of Microsoft Office—as an electronic list maker, Microsoft has written an Excel macro called Windows Media Playlist Import to Excel, with which you can import audio and video playlist information from the Player into an Excel spreadsheet. The resulting spreadsheet includes name, artist, genre, and bit rate information about each song in the playlist you import. Windows Media Playlist Import to Excel requires Excel 2002 (the version included in Office XP) or later.

After the data has been imported into Excel, you can filter it using Excel’s AutoFilter and Sort features or export it to a Web page that can be used to provide information about your music collection on the Internet.

To use the Excel macro, you must first export a playlist from the Player. To do this, select a playlist, which can be a custom playlist you created or a built-in playlist such as All Audio, Album, Artist, or Genre. Then choose File, Export Playlist To File, select a file name, and then click Save. Notice that this file uses an .asx file extension if you don’t choose one.

Then start the Windows Media Playlist Import To Excel Wizard by clicking Start and pointing to All Programs (Programs in the Windows XP Classic view) and then selecting Windows Media Bonus Pack for Windows XP. The wizard starts Microsoft Excel 2002.

In the Windows Media Player Import To Excel Wizard, click Browse and navigate to the playlist you just created, and then click OK. Click the button labeled Click Here To Continue.

The spreadsheet generation time depends on the size of your playlist, and Microsoft recommends that you keep it limited to 4000 or fewer songs. When completed, Excel presents a new spreadsheet similar to that shown in Figure 13-5.

Figure 13-5  A playlist imported into Excel.
Figure 13-5. A playlist imported into Excel.

You can sort the list using any of the drop-down headers, such as Name, Genre, or Artist. To export it in Hypertext Markup Language (HTML) format, select File, Save As Web Page.

Windows Media Player PowerToys Skin

The Windows Media Player PowerToys skin is one that provides an almost mind-boggling array of playlist-related functionality. To access the Windows Media Player PowerToys skin, perform the following steps:

  1. Open the Player in Full Mode and then select Options from the Tools menu.

  2. On the Media Library tab, set the Access Rights For Other Applications option to Full Access. If this option button is set as Read-Only Access (the default), the PowerToys skin will not have access to the media library.

  3. Select Skin Chooser on the left toolbar, and in the list of skins presented, double-click PowerToys.

After briefly accessing the Media Library, you will see the PowerToys interface, as shown in Figure 13-6. Note that, unlike most skins in the Player, the PowerToys skin actually provides the Player’s full menu system, giving you easy access to all the Player’s functions. Also, none of the PowerToys skin options provide any feedback: When you select an option, it is silently performed in the background.

Figure 13-6  A Windows Media Player PowerToys skin.
Figure 13-6. A Windows Media Player PowerToys skin.

Using this skin, all the following options are available:

  • Turn all albums in the Media Library into playlists.

  • Make a playlist for every artist listed in the Media Library.

  • Place all Media Library content into random playlists of 70 minutes, perfect for creating randomized audio mix CDs.

  • Place all Media Library content in ordered playlists of 12 songs each, also perfect for creating audio mix CDs.

  • Place all Media Library content in ordered playlists of 70 minutes, also perfect for creating audio mix CDs.

  • Clear all existing Media Library playlists.

  • Create one or more playlists based on the current playlist. Each created playlist contains up to 70 minutes of randomly assigned music, and no playlist will contain any duplicate songs.

Windows Media Player Skin Converter

Similar to the Player, Winamp is a third-party media player. One of Winamp’s advantages is its collection of custom skins, which you can use to personalize its user interface. Tens of thousands of Winamp skins are available in a variety of styles, including 3D, anime, car, computer/OS, gaming, movies, and many others. In contrast, Windows Media Player has only several hundred skins.

Thanks to the Windows Media Player Skin Converter, however, you can import Winamp skins for use in the Player. To do so, start the Skin Converter by clicking Start, pointing to All Programs (Programs in the Windows XP Classic view), and then selecting Windows Media Bonus Pack for Windows XP. As shown in Figure 13-7, you can import files you download from http://www.winamp.com or other Winamp 2.x download locations.

Figure 13-7  The Skin Converter.
Figure 13-7. The Skin Converter.

The conversion results are pretty impressive. Aside from the taskbar icon, it’s impossible to tell you’re running the Player instead of Winamp. One caveat, however: Because Winamp skins don’t include the Switch To Full Mode button, you must right-click the skin and choose the Switch To Full Mode option to turn off the skin.

Windows Media Player Skins

The Windows Media Bonus Pack for Windows XP ships with three new skins for the Player: Stars and Stripes, The Sentinel, and TDK Mixmaster. Each of these skins includes animated side doors and other niceties for your enjoyment. You access these new skins just as you would any of the skins included with the Player: Select Skin Chooser from the left menu, and you will see them in the list of skins.

Windows Media Player Tray Control

The Windows Media Player Tray Control adds an easily accessible way to control the Player. Right-clicking the Player Tray Control icon, which is located in the Windows XP notification area, provides a shortcut menu (shown in Figure 13-8) that gives you access to common functions such as play, rewind, fast forward, and volume control. You also can load songs, groups of songs, and exported playlists; sort by a variety of criteria; and perform other tasks.

Figure 13-8  Tray Control shortcut menu.
Figure 13-8. Tray Control shortcut menu.
Windows Media Player Visualizations

The Windows Media Bonus Pack for Windows XP ships with five new visualizations for the Player, including Yule Log, MSN Photos (listed as Picture Viz on the Visualizations menu), Trilogy, Dungeon Siege, and Null. If you are using the Player in Full Mode, select Visualizations from the View menu. If you are in Skin Mode, simply right-click anywhere in the Player and select Visualizations from the shortcut menu.

The MSN Photos Visualization displays photos and other pictures from your My Pictures folder using six unique transition effects, including Pop, Transparency, Zoom, Squirt, Twirl, Dissolve, and Random. It’s attractive and interesting, especially if you use the My Pictures folder to store your personal photographs.

Keep in mind, however, that the visualization can display only pictures from a single folder and does not scan any subfolders. If you don’t have any pictures in your My Pictures folder, the visualization prompts you to select another folder.

You access these new visualizations just as you would any of the visualizations included with the Player: From the View menu, select Visualizations, and you will be presented with the list of selections.


Plus! for Windows XP

Microsoft Plus! for Windows XP offers some digital media features that are very exciting. If you enjoy using digital media, you might consider this package for that reason alone. You can buy Plus! at the Microsoft Web site (http://www.microsoft.com/Windows/Plus).

System Requirements for Plus!

To use the many features of Plus! to their fullest advantage, you should make sure your system meets the following minimum requirements (recommended requirements, if different, are listed as well):

  • Windows XP Home Edition or Windows XP Professional operating system

  • 500-MHz processor; 750 MHz or faster recommended

  • 64 MB of RAM; 128 MB of RAM or more recommended

  • 300 MB of hard disk space; recommended space used depends on which themes and screen savers you want to install

  • VGA video resolution; Super VGA (800 x 600) or higher recommended

  • 3-D graphics accelerator video adapter with 16 MB of video memory

Visit the Microsoft Web site for more information about Plus! hardware compatibility. If you attempt to install Plus! and your system doesn’t have the minimum requirements, the Setup program alerts you of the deficiency and might refuse to install some or all of the features until you have upgraded your system.

Installing and Starting Plus!

Installing Plus! for Windows XP is a very straightforward procedure. Perform the following steps:

  1. Insert the Plus! for Windows XP CD in a CD-ROM drive. If the autorun program doesn’t start Setup, click Start, select Run, and type %CDromdrive%:\setup.exe in the Open text box (where %CDromdrive% is your system’s CD-ROM drive letter) and press Enter. The Installation Wizard starts and displays the welcome page.

  2. On the Installation Wizard Welcome page, select one of the following options and then click Next:

    • Express Installation (Recommended) This option installs all the Plus! features with their default settings.

    • Custom Installation Select this option to choose which specific features you want to install.

  3. In the License Agreement page, select I Accept The Terms In The License Agreement, and then click Next.

  4. If you chose Custom Installation, the wizard displays the Custom Setup page, as shown in Figure 13-9. If you chose Express Installation, proceed to step 5.

    Figure 13-9  The Installation Wizard’s Custom Setup page.
    Figure 13-9. The Installation Wizard’s Custom Setup page.

    Use the tree of icons on the Custom Setup page to select the features that should be installed. Each feature (such as Theme, Screen Saver, or Game) is represented by an icon in the tree. By default, all features are installed. To prevent a feature from being installed, click an icon in the tree and select This Feature Will Not Be Available. For example, you might not want to install some of the themes if you are trying to conserve disk space. You can click Disk Space to see a summary of the disk space required to install the selected items, and the disk space currently available on your computer’s hard disk(s). If you want to change where the files are installed, select Change and make your changes. After you have cleared all the items that you don’t want the wizard to install, click Next.

  5. The wizard displays the Ready To Install The Program page. Click Install.

  6. On the Installation Complete page, click Finish. If the registration page is displayed, choose Register Online or Register By Mail, or close the window and register at a later date.

Starting and Stopping Plus!

To start Plus! for Windows XP, click Start, point to All Programs (Programs in the Windows XP Classic view), and then select Microsoft Plus! The Microsoft Plus! window is displayed, as shown in Figure 13-10.

Figure 13-10  The Microsoft Plus! window.
Figure 13-10. The Microsoft Plus! window.

When you are finished using Microsoft Plus!, select the Close box to quit the program.

Digital Media Features in Plus!

The digital media features in Plus! for Windows XP include the following:

  • Plus! CD Label Maker Allows you to design and print CD labels for the custom mix CDs you create with Windows Media Player

  • Plus! Media Player Skins Allows you to use one of four custom skins for the Player that are based on the desktop themes also included with Plus! for Windows XP

  • Plus! MP3 Audio Converter Allows you to convert MP3 and WAV files to Windows Media Audio format

  • Plus! Personal DJ Allows you to create custom playlists based on certain criteria, such as genre, artist, or album

  • Plus! Speaker Enhancement Allows you to enhance audio playback if you own a supported set of speakers

  • Plus! Voice Command for Windows Media Player Allows you to control the Player with your voice

Plus! CD Label Maker

The Plus! CD Label Maker makes it really easy—even fun—to create labels for the audio mix CDs you create in the Player. The Plus! CD Label Maker offers a number of features, including the following:

  • Customizable music selection

  • Customizable design templates

  • Customizable CD labels, inserts, and booklets

  • CD label, insert, and booklet printing

The Plus! CD Label Maker shortcut can be accessed by clicking Start and pointing to All Programs (Programs in the Windows XP Classic view), Accessories, and finally choosing Entertainment. You can also start it from the Microsoft Plus! front-end application by selecting Digital Media, Plus! CD Label Maker, and then Start. However you start this application, though, you’re presented with the wizard-like interface shown in Figure 13-11.

Figure 13-11  Plus! CD Label Maker.
Figure 13-11. Plus! CD Label Maker.

Click Next to continue. The CD Label Maker prompts you to select the playlist you’d like to use for the audio mix CD. If you haven’t created a playlist already, start the Player and create it. For more information on doing this, see Chapter 6, “Digital Audio Tools.”

Once you’ve selected the playlist that you’ve used for your custom CD, click Next and select a paper template for the CD label. Numerous templates are available from leading paper product suppliers, and if your paper type isn’t listed here, you can download others by clicking the Get Templates Online link. Most office supply stores offer various CD-label paper types. You can also find other paper templates on the Microsoft Web site (http://www.microsoft.com/Windows/Plus/CDLM_Templates.htm).

In the next step, you can design your CD booklet. Sections for the front and back of the CD label are available, and possibly for the right and left spines if your CD label paper template supports those features. Options for Title (set to your playlist name by default, but customizable), Track list format, Footer text, and background color are also available. To the right of the Title, Track List, and Footer text fields is a Font button, which can be used to set the name, style, size, color, and other attributes of the font used to render that text.

To change the background image, click Image Settings. This displays the Background Image Settings dialog box shown in Figure 13-12. Here you can determine whether to use a background image (it’s a good idea to turn off the image if you have a black and white printer, for example), the image you’d like to use, and how it’s presented on the page (stretched, centered, or tiled).

Figure 13-12  The Background Image Settings dialog box.
Figure 13-12. The Background Image Settings dialog box.

Microsoft provides only one set of CD-label images, but you can select your own images or photographs by clicking Browse, which presents the standard Windows File Open dialog box, allowing you to navigate through your My Pictures folder and find the image you want.

Finally you’re presented with printer options, including the printer selection and the number of copies you’d like to print. Click Print to print your label.

Plus! Media Player Skins

Microsoft Plus! for Windows XP includes four themed skins for the Player, which are based on four of the Plus! desktop themes—Aquarium, da Vinci, Nature, and Space—and are applied automatically to the Player if you choose one of those themes.

If you prefer to apply them manually, open the Player and select Skin Chooser from the taskbar, and then choose one of the skins. Then click the Switch To Skin Mode button at the bottom of the Player window to view the skin. The Plus! da Vinci skin is shown in Figure 13-13.

Figure 13-13  The Plus! da Vinci skin.
Figure 13-13. The Plus! da Vinci skin.
Plus! MP3 Audio Converter

If you joined the digital audio revolution in the beginning, you probably amassed a large collection of music files in the popular MP3 audio format. However, in mid-2000, when Microsoft shipped Windows Media Player 7 with Windows Millennium Edition (Windows Me), a viable competitor to MP3 finally appeared in Media Audio version 7, which offered smaller file sizes and lower encoding rates than MP3 with equivalent quality levels.

The problem with this version of Media Audio was industry acceptance: Though a number of software applications supported the format, few hardware devices, such as portable digital audio players, did so. Although you might have recognized Media Audio 7’s technical superiority over MP3, you might not have been prepared to make the change from MP3 because the portability of your audio collection was just too important.

In early 2001, however, Microsoft introduced Windows Media Audio 8, a new version of its audio codec that would eventually ship with Windows XP and its bundled Player; Media Audio 8 support was also added to an interim release of Media Audio 7, dubbed WMP 7.1. And unlike the previous version, Media Audio 8 garnered widespread industry support almost immediately, thanks to its even smaller file sizes and higher quality audio than previous versions and the competition.

You probably began ripping new audio CDs in 128-Kbps Media Audio 8 format instead of the 160-Kbps MP3 format that you had been using. The problem, of course, was that you had gigabytes of audio in the older, less efficient MP3 format. You probably wanted a tool that could convert these files to WMA format, potentially saving gigabytes of hard disk space.

Introducing the Plus! MP3 Audio Converter

Fortunately, this tool shipped in Plus! for Windows XP, and it’s called the Plus! MP3 Audio Converter. With this software, you can convert a folder of MP3 audio files to Windows Media Audio format (including subfolders), or convert specific MP3 files to Windows Media Audio format. It performs other useful tasks as well: You can convert WAV files to Windows Media Audio format and transcode (reduce the quality) of your existing Media Audio files. For example, you might want to automatically transcode a directory of 128-Kbps Windows Media Audio files to 64 Kbps so that they fit more easily on a portable audio device, such as an Iomega HipZIP, Pocket PC, or Media Audio–compatible CD player.

The MP3 Audio Converter works like a wizard, offering simple step-by-step instructions for performing your audio conversions. You can choose the output bit-rate manually, or the converter chooses it automatically. You can also choose where to place the new audio files, whether to delete the originals, and whether the new audio files should be added to your Media Library.

Using the Plus! MP3 Audio Converter

To convert MP3 files with the Plus! MP3 Audio Converter, you must first find the shortcut by clicking Start and pointing to All Programs (Programs in the Windows XP Classic view), Accessories, and finally selecting Entertainment. You can also access the shortcut by launching the Microsoft Plus! front-end application and selecting Digital Media, Plus! MP3 Audio Converter, and then Start. In the following series of steps, we’ll look at this application and how it can be used to convert a folder full of MP3 files.

When you launch Plus! MP3 Audio Converter, you’re presented with the colorful wizard-like application shown in Figure 13-14.

Figure 13-14  The Audio Converter Wizard.
Figure 13-14. The Audio Converter Wizard.

Select Convert A Folder Of Audio Files To Windows Media Audio and then click Next. On the next page of the wizard, you can select a number of basic and advanced options. Under Basic options, you can select a folder to search for MP3 files, optionally including any subfolders. This could be your My Music folder or any other location you use to store MP3 files. Under Advanced options, you choose the file types to search for (MP3, WAV, Windows Media Audio), and whether you should skip files smaller than a certain size (100 KB by default).

Select the folder to search and the file types you want to find, and then click Next. The MP3 Audio Converter searches the selected folder structure and presents a list of files, including their name, location, and bit rate. You can now selectively remove files you do not want to convert.

Select the files you’d like to remove from the conversion process, if any, and then click Next. At this point, you can select a variety of output options. Under Output format, you can set the wizard to choose the quality level of the converted files automatically, using the set of rules displayed in Table 13-1, or manually select a bit rate between 32 Kbps and 192 Kbps. It’s a good idea to choose a bit rate manually so that you don’t end up with a non-standard bit rate such as 80 Kbps. Also, be sure to select a bit rate that is the same or lower than the bit rate of the source files: It doesn’t make sense to attempt to convert a file to a higher bit rate, because doing so would waste space without providing any benefits or higher quality. You can also choose whether to normalize the volume, which ensures that all your resulting audio files sound the same at the same volume playback. Note that this option can significantly lengthen the conversion process, however.

Table 13-1. Rules for Converting Files in Media Audio
Original File Format, Bit Rate | Converted Media Audio File Bit Rate
MP3 at 32 Kbps | 32 Kbps
MP3 at 48 Kbps | 48 Kbps
MP3 at 64 Kbps | 64 Kbps
MP3 at 96 Kbps | 64 Kbps
MP3 at 128 Kbps | 64 Kbps
MP3 at 160 Kbps | 80 Kbps
MP3 at 192 Kbps | 96 Kbps
MP3 at 256 Kbps or greater | 128 Kbps
WAV at any bit rate | 64 Kbps

In the Output folder section, you can choose where to place your converted files (in the same folder as the original or in another location), whether to delete the original files, and whether you should add the converted files to your Media Library. When you’ve completed this selection, click Next to continue.

In the final stage of the wizard you initiate the actual conversion process. Each song you’re converting is listed, and a progress bar appears in the Status column as the files are converted. Press Start Conversion to proceed.

Plus! Personal DJ

If you’ve spent the time and energy to record (or “rip”) your entire audio CD collection to your hard disk, one of the best follow-ups you can do is to create playlists of your favorite songs, perhaps oriented around specific themes. You might make a playlist of dance songs, for example, or up-tempo songs that might be appropriate for an afternoon at the gym. However, similar to ripping audio CDs, making playlists can take a lot of time.

To streamline this process somewhat, Microsoft has created the Plus! Personal DJ, which can automatically create playlists in the Player based on criteria you specify. Then you can prune and graft songs as necessary. It works well, although some pruning and grafting is usually necessary.

Like most Plus! applications, Plus! Personal DJ can be accessed by clicking Start and pointing to All Programs (Programs in the Windows XP Classic view), Accessories, and finally choosing Entertainment. And like most Plus! applications, it also includes a wizard-like interface, shown here in Figure 13-15.

Figure 13-15  The Plus! Personal DJ.
Figure 13-15. The Plus! Personal DJ.
NOTE
Before you can run Plus! Personal DJ, you need to configure the Player so that other applications have full access to its Media Library feature. To do this, open the Player and select Tools, Options, and then click the Media Library tab. Select Full Access in the Access Rights For Other Applications pane. (If you followed the steps described in the section “Windows Media Player PowerToys Skin,” earlier in this chapter, this setting may already be set to Full Access.)

In the first phase of the Personal DJ, you select the music categories you’d like to use to populate your playlist. These categories can be any combination of albums, artists, genres, or even other playlists. For example, you might choose to create a playlist consisting solely of Latin and Pop genres. As you add categories with the Add button, they are added to the selected categories list.

Next you can fine-tune your playlist. This includes limiting the total length of the playlist and various other options, including whether to favor certain songs, or skip songs under a certain length or with specific bit rates.

The Personal DJ searches your Media Library and generates a preliminary playlist such as the one shown in Figure 13-16. From here, you can name the playlist, remove specific songs, or reset the playlist to its original state after you’ve made changes. Click Play to play the songs in your playlist.

Figure 13-16  Reviewing and naming your playlist.
Figure 13-16. Reviewing and naming your playlist.
Plus! Speaker Enhancement

Microsoft’s Plus! Speaker Enhancement integrates into the Player, allowing you to potentially enhance the quality of your audio output, assuming you are using a supported set of speakers. This enhancement works at a lower level than the Player’s built-in equalizer, so it is technically possible for this add-on to provide you with better sound quality than you’d be able to achieve manually.

Unlike most other Plus! digital media features, the Plus! Speaker Enhancement isn’t available as a separate application, but rather as a new menu command in the Player. You can access it by selecting Tools, then Plus! Speaker Enhancement, and finally Enable. However, configure the feature first by selecting Tools, then Plus! Speaker Enhancement, and finally Configure Speakers. This displays the Properties dialog box for Plus! Speaker Enhancement. Click Change Speaker Profile to select a speaker profile, as shown in Figure 13-17.

Figure 13-17  Changing the speaker profile.
Figure 13-17. Changing the speaker profile.

If your speakers aren’t shown in the list of available speaker profiles, click Check For New Profiles, as Microsoft makes new speaker profiles available online occasionally.

After you’ve selected a speaker profile, click OK twice. You’ll have to manually enable Plus! Speaker Enhancement as described previously.

Currently, Microsoft does not offer generic profiles, which may make it difficult for users without supported speakers to test this feature. If your speakers aren’t specifically supported, you might try one of the other speaker settings, but this isn’t necessarily recommended because each of the speaker profiles is handcrafted for a particular set of hardware.

Plus! Voice Command for Windows Media Player

With Plus! Voice Command you can control the Player with your voice. When this feature is enabled, you can control the player by saying, “Media player,” followed by a simple command, such as “Play” or “Stop.”

To enable Plus! Voice Command, click Start, point to All Programs (Programs in the Windows XP Classic view), and then select Entertainment. The first time you run the application, you are prompted to configure your microphone, which is required to provide voice commands to the player. If you can, use a universal serial bus (USB)–based headset microphone, which tends to do a better job of filtering out background sounds than a microphone that plugs into your sound card’s microphone port or a laptop-mounted microphone. The key is to differentiate your voice from the audio you’ll be playing back through the speakers.

Regardless, when you enable the feature, two items are added to the Windows XP user interface. The first is a Plus! Voice Command icon in the notification area, which offers a list of options when clicked, as shown in Figure 13-18.

Figure 13-18  The Plus! Voice Command shortcut menu.
Figure 13-18. The Plus! Voice Command shortcut menu.

The second is the Language Bar, though you might have already enabled this feature for other reasons (Microsoft Office sometimes enables the Language Bar if you select certain installation options, for example). The Language Bar includes a new Voice Command button when Plus! Voice Command is enabled and the Player is running. You can see a Listening balloon when the feature is awaiting your vocal input, as shown in Figure 13-19.

Figure 13-19  The Language Bar showing the Listening balloon.
Figure 13-19. The Language Bar showing the Listening balloon.

The complete list of playback commands appears in Table 13-2.

Table 13-2. Plus! Media Player Voice Commands
Say “Media Player” Followed By | To Perform This Action
Fast forward | Move forward in the currently playing media selection.
Mute | Turn the sound off (playback continues).
Mute off | Turn the sound back on after being muted.
Next | Jump to the next track in the current playlist.
Pause | Pause the currently playing media file.
Play | Play or pause the currently playing media file.
Play artist name | Play all songs by the artist specified by name.
Play genre name | Play all songs in the genre specified by name.
Play playlist name | Play the playlist specified by name.
Previous | Jump to the previous track in the current playlist.
Repeat | Play the currently playing track again.
Restart | Replay the currently selected media file from the beginning.
Rewind | Move backward in the currently playing media selection.
Shuffle | Randomly play all of the tracks in the current playlist.
Stop | Stop playing the currently selected media file.
Volume down | Decrease the volume.
Volume up | Increase the volume.

Plus! Voice Command also supports a number of voice commands that affect the appearance of the Player’s interface. These are listed in Table 13-3.

Table 13-3. Media Player User Interface Voice Commands
Say “Media Player” Followed By | To Perform This Action
Hide captions | Hide captions or other visible audio settings.
Hide equalizer | Hide the graphic equalizer or other visible audio settings.
Hide lyrics | Hide lyrics or other visible audio settings.
Hide media information | Hide media information about the currently selected media file.
Hide playlist | Hide the playlist pane.
Hide title | Hide the title of the currently selected media file.
Hide visualization | Hide visualizations.
Show captions | Show captions when possible.
Show equalizer | Show the graphic equalizer.
Show lyrics | Show the lyrics for the currently playing media file.
Show Media Guide | Display the Media Guide (requires an Internet connection).
Show media information | Display information about the current media file.
Show Media Library | Display the Media Library.
Show Now Playing | Display the Now Playing view.
Show playlist | Display the playlist pane.
Show title | Display the title of the current media file.
Show visualization | Display visualizations.
View Full Mode | Switch the Player to Full Mode (if in Skin Mode).
View Skin Mode | Switch the Player to Skin Mode (if in Full Mode).
Zoom double | Display the current video at twice its normal size.
Zoom full | Display the current video so that it fills the available area in the Player.
Zoom half | Display the current video at half its original size.
Zoom normal | Display the current video at its original size.

Finally, Plus! Voice Command also supports several other commands, as listed in Table 13-4.

Table 13-4. Additional Voice Commands
Say “Media Player” Followed By | To Perform This Action
Hide Help | Hide Player Help.
Show Help | Display Player Help.
What can I say? | Display the Plus! Voice Command reference.
Stop listening | Disable the Plus! Voice Command feature. (You can enable Plus! Voice Command by clicking the Plus! Voice Command for Windows Media Player icon on the taskbar, and then clicking Plus! Voice Command On.)

You can customize Plus! Voice Command in a number of ways. For example, instead of saying “Media player” followed by a command, you can change this “call sign” to “Plus,” “DJ,” or any other word you want. You can also toggle the audio and visual notifications that occur when commands are recognized and not recognized. These options are available by clicking the Plus! Voice Command icon in the notification area and selecting Options.

To disable this feature, select its icon and choose Plus! Voice Command Off. You can turn the feature off by selecting Exit instead. Turning off this feature causes the Language Bar to disappear as well.


Chapter 14 - Microsoft Windows XP Media Tools

Chapter 14
Microsoft Windows XP Media Tools

Microsoft makes several digital media and power user tools available for free from its Web site, and its collection of Microsoft Windows XP–compatible tools is particularly compelling. In this chapter, we look at a few of them, including the following:

  • Digital media tools in the PowerToys suite for Windows XP A set of power user tools, including several that are geared toward digital media tasks.

  • Windows Media Encoder 7.1 A graphical user interface (GUI) for encoding and transcoding (degrading) digital audio and video into formats suitable for Internet streaming.

  • Windows Media Encoding Utility 8 A command-line utility for compressing audio and video files into Windows Media Audio and Windows Media Video 8 formats.

  • Microsoft Producer A powerful stand-alone application that integrates with Microsoft PowerPoint 2002 and builds on the features in Windows Movie Maker, allowing you to create Web-based presentations. We focus on the the video capture, editing, and distribution options here, however.


Digital Media Tools in the PowerToys Suite for Windows XP

Shortly after Windows XP was introduced in October 2001, Microsoft released a new version of its popular PowerToys suite of utilities. The PowerToys for Windows XP include various digital media applications and services, as well as other tools geared toward power users. We look at the digital media applications in this chapter, but the full PowerToys suite is available from the Microsoft download site (http://www.microsoft.com/windowsxp/home/downloads/powertoys.asp).

More Info
See Chapter 12, “Microsoft Windows XP PowerToys,” for complete installation instructions and discussion of the PowerToys not covered in this chapter.
Image Resizer

The PowerToys Image Resizer tool is a subtle application, but it’s very useful, especially if you like to share digital photos or other images using e-mail. Today’s mainstream digital cameras offer images at 1792 x 1200 (2 megapixels) or higher, resolutions that surpass the capability of most display screens. When you want to share your favorite images, it therefore rarely makes sense to forward the full-sized versions, which often weigh in at a hefty 1 megabyte (MB) of disk space each.

Your options for resizing images are fairly limited unless you turn to third-party applications such as PhotoShop Elements or Microsoft Picture It, and though Windows XP includes a bundled Paint application, its features are fairly rudimentary. Enter the PowerToys Image Resizer. Here’s how it works.

The Image Resizer PowerToy adds the Resize Pictures command to the shortcut menu you see when you right-click a graphic file. Selecting this command opens the Resize Pictures dialog box. The default behavior for this PowerToy is to create a copy of the picture when changing the size, but you can choose to resize the original picture without making a copy first. You can also instruct Image Resizer to skip any pictures that are smaller than the new size you’ve selected. The best use of this toy is to select a group of pictures and choose a single appropriate size to create a uniform display of the files. This would be useful, for instance, if you were creating a custom online image library and wanted to ensure consistency in the size and quality of the images.

To use Image Resizer, perform the following steps:

  1. Using My Computer, navigate to the folder that contains the image or images you’d like to resize.

  2. Select those images, right-click, and choose Resize Pictures from the shortcut menu. This displays the Resize Pictures dialog box shown in Figure 14-1.

    Figure 14-1  The Resize Pictures dialog box.
    Figure 14-1. The Resize Pictures dialog box.

  3. Click Advanced to display more options, such as Custom, to select a custom image size, and resize the original pictures rather than making copies. To resize the images, select a size: small (640 x 480), medium (800 x 600), large (1024 x 768), or handheld PC (240 x 320). By default, copies of the images are made.

Slide Show Wizard

On the topic of digital photographs, e-mail isn’t the only way to share these personal memories. In fact, if you have lots of photos you’d like to share, e-mail isn’t the best solution at all. To remedy this problem, Microsoft included a terrific Slide Show Wizard in the PowerToys suite for Windows XP, which grabs a group of digital photos and creates a Web-based interactive slide show. Anyone who uses a digital camera or who receives digital pictures from family members and friends will enjoy this toy. You can access this slide show locally, on your own PC, or upload it to any Web site and share it with others using the Internet. The final product, frankly, looks pretty professional.

Unlike many of the PowerToys, the Slide Show Wizard is a standard Windows application, which is launched by clicking Start, pointing to All Programs (Programs in the Windows XP Classic view), and selecting PowerToys for Windows XP. Like most wizards, it offers a simple, step-by-step interface.

To use the Slide Show Wizard, follow these steps:

  1. Click Start and point to All Programs (Programs in the Windows XP Classic view), PowerToys for Windows XP, and finally select Slide Show Wizard. This wizard walks you through the steps needed to create a Hypertext Markup Language (HTML) slide show that you can put on a Web site or play for anyone who happens to walk by your computer. Click Next in the opening welcome page to begin building your slide show.

  2. If all the pictures you want to use in your slide show are in a single folder (for example, \My Documents\My Pictures), click Add Folder. Navigate to the folder you want and click OK. The Slide Show Wizard automatically puts all the graphics files contained in that folder into the image window. If the added folder contains files that are not images they will be listed in the image window, but will not be part of the slide show. If your pictures are scattered throughout your hard disk, click Add Image, and then navigate to the appropriate folders to select the pictures you want to use. Figure 14-2 shows a group of pictures ready to become a slide show.

    Figure 14-2  Selecting pictures for presentation as a slide show.
    Figure 14-2. Selecting pictures for presentation as a slide show.

  3. To remove pictures from the slide show, select the pictures and click Remove. This is usually necessary if you selected an entire folder but plan to use only some of the pictures that were in that folder.

  4. To change the order in which pictures will appear in the slide show, drag any image to the appropriate place in the window. The slide-show order is left to right starting with the top row, moving to the second row, and so on.

  5. Click Next to start the real work of building your slide show by selecting the options available on the next wizard page (shown in Figure 14-3).

    Figure 14-3  Selecting design options for a slide show.
    Figure 14-3. Selecting design options for a slide show.

  6. Enter a name for your slide show, and if you like, enter your name as the author. Then select the folder into which you want to save the slide show. By default, Windows XP creates a subfolder named My Slide Shows under your My Documents folder, which becomes the selected folder, but you can move the slide show to another folder if you want.

    You might want to consider adjusting the picture size using the choices available in the Picture Size frame of this wizard page. Slide shows run more smoothly if the pictures aren’t terribly large, but on the other hand, a bunch of tiny pictures might not make an effective, pleasing presentation. This is really a matter of taste, and as you experiment with this toy, you’ll decide on the picture size you like best.

  7. In the Slide Show Type frame of the page, choose Simple or Advanced:

    • Simple A Simple slide show presents each slide one at a time. The slides change automatically about every five seconds. The viewer can use buttons on the screen to pause, move forward to the next slide, move back to the previous slide, move to the first slide, and move to the last slide. Moving the pointer inside a slide (picture) displays the slide toolbar, which offers commands to save, print, or e-mail the picture.

    • Advanced An Advanced slide show offers all the viewer options available in the Simple slide show, as well as the following additional, more powerful options:

      • Click Filmstrip to see a strip of all the pictures along the bottom of the screen. Clicking any picture moves that picture to the main part of the slide show window.

      • Click Previews to fill the screen with all the pictures in the slide show. (Each picture is reduced in size.) Click any picture to move it to the main part of the slide show window.

      • Click Slide Show to return to the Simple slide show format.

      For either option, you can select or clear the Fullscreen check box. Click Next after you’ve selected the options you want for your slide show. This creates the slide show in a timeframe ranging from a few seconds to about a minute, depending on the size of the show.

  8. On the next wizard page, you can click Finish to save your slide show, or click View The Slide Show Now to preview the show before saving it.

  9. If you choose to preview the show, Microsoft Internet Explorer opens to present your slide show. Click the Click Here link to begin the show. Then use the buttons and commands in the window to manipulate the slide show.

  10. When you’ve finished looking at the preview, close Internet Explorer to return to the Slide Show Wizard. If you want to make changes to the show, click Back to return to the Select Options For Your Slide Show page, where you can reconfigure the options. Click Back again to return to the wizard page that holds your pictures, where you can add and remove pictures, and change the order in which they appear in the slide show.

  11. When you’re ready to save your show, click Finish. Your slide show file is saved in the folder you specified in the first wizard page.

  12. To view the slide show, open My Computer or Windows Explorer and navigate to the folder that holds your slide show. The slide show is a series of folders and subfolders, using the hierarchy common to the design of a Web site. In the first folder (the folder that doesn’t have a number after its name), double-click Default.html to launch the slide show. The finished product, shown in Figure 14-4, can be copied to any Web site, including sites you might manage with Microsoft FrontPage.

    Figure 14-4  The finished slide show presented in an Internet Explorer window.
    Figure 14-4. The finished slide show presented in an Internet Explorer window.

To save your slide show to a Web site, upload the folders to the site, where the Default.html file should automatically become the home page. If you want to use the slide show within an existing Web site that already has a home page, use the directions from your Web host or your main Web design software to add your slide show to the site.

Webcam Timershot

With the growing proliferation of Web cameras, or Webcams, as they’ve become known, it makes sense that Windows XP and some of its bundled applications, such as Windows Messenger, support this fun new technology. However, Windows XP doesn’t offer some of the most sought-after Webcam functionality, such as the ability to take shots at specific intervals and save them to a local drive or network location, such as a Web site or FTP site.

If you’ve seen any of the great Webcams on the Web and want to set up something like that, Microsoft has a solution in the form of the Webcam Timershot, a small application that helps you automate the process of uploading live Webcam images to the Internet. Here’s how it works.

First you must launch the Timershot application, by clicking Start, pointing to All Programs (Programs in the Windows XP Classic view), and then choosing PowerToys for Windows XP. The user interface, shown in Figure 14-5, starts out fairly simple, although you can expose more functionality, as discussed later. In the Device drop-down list, you can select your Web camera or other compatible device. (Some imaging devices, such as digital video cameras, work as well.) The Last Saved box displays the location of the last image that was saved from the Webcam. The Status area indicates what the application is doing. In Figure 14-5, it is counting down to the next screen capture.

Figure 14-5  The Webcam Timershot user interface.
Figure 14-5. The Webcam Timershot user interface.

Along the bottom row of the Timershot window are three buttons that let you manually snap a picture, view the last picture that was taken, and display the application’s settings, respectively. When you click the third button, the one that resembles a double arrow, the Timershot window expands to resemble Figure 14-6.

Figure 14-6  The expanded Timershot window.
Figure 14-6. The expanded Timershot window.

In the Picture Options frame, you can configure the length of time that passes between each picture. (The default is one picture every 10 minutes.) You can also configure the size of the resulting picture, which defaults to the native picture size of the camera, 320 x 240 for most USB-based Webcams.

In the File Location frame, you determine the name of the picture and the location where it is saved. By default, this is a location on your hard disk, but you can click Browse and select a network place, such as a Web site to which you have author privileges. If you do choose a Web location, be sure to give your picture a file name without spaces so that browsers can more easily access it.

By default, the picture is overwritten every time a new picture is taken. However, you can select the Save A New Copy Of This File Every Time A Picture Is Taken check box to archive all the pictures taken with Timershot. Have fun!


Windows Media Encoder

Aimed more at audio professionals and creators of Internet-based streaming content than at consumers, the Windows Media Encoder is nonetheless an interesting digital media tool worth investigating. It is used to convert audio and video into more efficient Windows Media formats that are suitable for Internet streaming. If you like, you can also use it to transcode Windows Media format files, although it’s not very efficient at this task. (For a better solution, check out the Plus! MP3 Audio Converter included in Microsoft Plus! for Windows XP.) Finally, Media Encoder can also be used to record audio from your sound card’s input port, making it ideal for recording audio on legacy formats such as cassette tape or album.

Media Encoder was never updated for the version 8 Windows Media Player that ships with Windows XP, so version 7.1 is the most current edition. However, this version does support Windows Media Audio and Windows Media Video 8 formats, so it is up-to-date from a media standpoint. Media Encoder 7.1 adds a number of new features, including a new graphical interface (previous versions were command-line tools only), a simple wizard for guiding users through the most common Media Encoder tasks, and a Profile Manager for editing existing conversion profiles or creating your own profiles. Check out the Media Encoder Help system for more information.

There are two ways to interact with Media Encoder: using the New Session Wizard, or directly through the application’s main window, shown in Figure 14-7. Unless you’re an audio professional with specific needs, it’s probably best to stick with the wizard, which we look at here.

Figure 14-7  The Media Encoder main window.
Figure 14-7. The Media Encoder main window.

Windows Media Encoder is not shipped as part of Windows XP, so to use it you must first download and install it. You can download the encoder from the Microsoft Web site (http://www.microsoft.com/windows/windowsmedia/download/default.asp).

Installing Media Encoder

To install Media Encoder, perform the following steps:

  1. Open Windows Explorer and navigate to the folder that you downloaded the Windows Media Encoder to, then double-click the setup file wmencoder71. Read the license agreement and then click Yes.

  2. This starts the Setup program, which initially displays the welcome screen. Click Next.

  3. The installation directory is displayed, with no option to change it. Click Finish, and then click Yes to create the directory. The program files are copied to your computer.

  4. In the Setup Complete screen, select the Start Windows Media Encoder option (the default), and then click OK.

The wizard, shown in Figure 14-8, offers three basic choices, each of which is discussed in the following sections.

Figure 14-8  The New Session Wizard Session Selection page.
Figure 14-8. The New Session Wizard Session Selection page.
Broadcasting a Live Event

The first option lets you broadcast a live event using the built-in Web server in Windows XP Professional, Internet Information Services (IIS) 5.1. Not installed by default, IIS 5.1 can easily be installed through Add Or Remove Programs in Control Panel by selecting Add/Remove Windows Components, then Internet Information Services. Although this might seem like something that’s of little interest to home users, there are actually a variety of interesting uses for this technology at home. For example, if you’ve got a laptop and wireless networking, you can use it as a video baby monitor, setting up the laptop in the baby’s room, along with a Web camera, digital camcorder, or other compatible video device. Then you can watch a live streaming video of your child while you get work done on your desktop PC in another room. If you’re lucky enough to have two laptops, you can bring one to the TV room and catch a movie with your spouse, all the while monitoring your child, who is in another part of the house. Who said technology wasn’t useful?

There are more business-oriented uses for this technology as well, of course. You can use this option to record the action on your PC desktop, which you might then incorporate into a training video. Or maybe you’re on a business trip and want to stream a live meeting feed back to your home office. The possibilities are endless.

To broadcast a live event, perform the following steps:

  1. Click Start and point to All Programs (Programs in the Windows XP Classic view), Windows Media, and finally Windows Media Encoder. If the welcome screen is displayed, accept the default option of Broadcast, Capture, Or Convert A File Using The New Session Wizard, and then click OK. If Media Encoder is already running, select New Session Wizard from the Session menu.

  2. Select the Broadcast A Live Event From Attached Devices Or Computer Screen option (the default) in the Session Selection page, and then click Next.

  3. The wizard then lets you select audio and video devices, as shown in Figure 14-9, and configure them accordingly. A Webcam, for example, usually has video quality settings for brightness, contrast, and the like. When you have finished making your selections, click Next.

    Figure 14-9�The Device Options page of the New Session Wizard.
    Figure 14-9. The Device Options page of the New Session Wizard.

  4. Configure the Uniform Resource Locator (URL) that the live stream will be broadcast on. This is typically port 8080, but you can configure a different port or let the wizard assign a randomly available free port. The wizard supplies URLs for Internet-bound connections (such as http://192.168.1.101:8080) as well as local network connections (http://GOLDENEYE:8080), which you can paste into Media Player for Windows XP (or “the Player,” for short) to watch the live feed from another machine. Click Next.

  5. Select a broadcast profile, taking into account the available bandwidth and the resolution of your video source. (It wouldn’t make sense to transmit a 320 x 240 Webcam image at 640 x 480.) A staggering number of choices are available, as seen in Figure 14-10, including some new codecs specially designed for Windows Media Video 8 that offer better quality and throughput. Click Next.

    Figure 14-10  Selecting a broadcast profile.
    Figure 14-10. Selecting a broadcast profile.

  6. Choose whether to archive the stream. In the case of the video baby monitor example mentioned earlier, you probably wouldn’t want to do this, but in certain cases, a video archive might be desirable. The archive option is disabled by default; to enable it, select the Archive A Copy Of The Broadcast check box. Then you can either accept the default archive file location or click Browse and navigate to a new location. Once your archive file location is set, click Next.

  7. Choose whether to append short welcome, introduction, and goodbye videos to your live stream. Again, in certain circumstances, this can be valuable, and Microsoft includes sample videos so you can experiment. When you’ve made these selections, you can add title, author, copyright, rating, and description information to the video. This information is stored in the metadata alongside the video file, if you save it, and some information is displayed in the Player as well. If you choose to add the welcome, fill in all the text fields, click Next to review all of your settings, and then click Finish.

  8. When the wizard finishes, you see the Media Encoder main window. If you are presented with a dialog box at this time, click OK. Click Start, and the live feed begins, as shown in Figure 14-11. When you’re done, click Stop.

    Figure 14-11  The start of a streaming video feed.
    Figure 14-11. The start of a streaming video feed.

Now it’s time to start the Player and watch the live feed. To view your stream, select Open URL from the File menu, and paste in one of the URLs that was provided by the wizard. The output should resemble Figure 14-12.

Figure 14-12  Using the Player to view a live video feed.
Figure 14-12. Using the Player to view a live video feed.
Capturing Audio and Video

The second New Session Wizard option, Capture Audio Or Video From Attached Devices Or Computer Screen, is almost identical to the first option, except that the output is designed to be stored on the hard disk and doesn’t have a live streaming component. As with the previous option, the wizard walks you through the tasks of selecting audio and video input devices and an output file. It then asks whether you’d like the resulting file to be optimized for streaming from a Windows Media server (unlikely in a home scenario, but hey, we’re all power users here, right?) or for local playback. Next you select the broadcast profile, as described in the previous section, and provide display information. When the wizard is completed, you can click Start to begin recording your video, which will be previewed in the Media Encoder window, as shown in Figure 14-13. When you’re finished recording, click Stop.

Figure 14-13  Capturing video using Media Encoder.
Figure 14-13. Capturing video using Media Encoder.
Converting a File to Windows Media Format

The third option, Convert An Audio Or Video File Into A Windows Media File, predictably lets you convert an existing audio or video file into a Windows Media file format, generally in a compressed format suitable for streaming. This can be convenient when you have an uncompressed video file (such as an AVI file) that you’d like to convert into the more efficient Windows Media Video format. You convert MP3, WAV, and Windows Media Audio files into Windows Media Audio format, and ASF, AVI, BMP, MPG, and WMV files into Windows Media Video format with this tool.

This option is pretty straightforward. Simply select the file you want to convert, and it supplies the editable file name of the file it will create. Then select whether the resulting file will be streamed or played back locally, select a broadcast profile, and choose the display information. Media Encoder begins the conversion. You can watch it take place in the main Media Encoder window, as shown in Figure 14-14.

Figure 14-14  Monitoring file conversion.
Figure 14-14. Monitoring file conversion.

This tool can be used to take digital video and convert it into smaller Windows Media Video–format files that can be viewed from a personal Web site.


Windows Media Encoding Utility

Like Media Encoder 7.1, the new Windows Media Encoding Utility 8 is aimed at audio and video professionals, but unlike Media Encoder, this tool doesn’t include any wizards or other graphic niceties. It’s a command-line application that is about as bare-bones as it gets. So why would you want to use this thing?

Well, it's all about the features. If you’re interested in squeezing the very last bit of efficiency and performance from your Windows Media Audio and Windows Media Video files, Media Encoding Utility 8 is the solution for you, assuming you don’t mind the learning curve. That’s because Media Encoding Utility 8 is the only application, for now at least, that offers true, two-pass variable-bit rate encoding, a technical term that essentially means it’s possible to create the most efficient, highest quality streaming media files. You can also use this tool to batch encode a large number of files if you want.

Admittedly, the market for efficient, high-quality streaming media is probably pretty limited at home. However, for the true power user, it could be a must, and that’s why this tool is included here: for completeness. We leave the details to the Media Encoding Utility 8 help files, but here’s a short overview of how this application works.

After you've installed Media Encoding Utility 8 (in %Systemdrive%\Program Files\Windows Media Components\Tools, by default), you can access it from a command-line window. (The quickest way is to click Start, point to Run, type CMD, and then press Enter.)

The Media Encoder directory path is not automatically added to the system path, so executing the command successfully requires you to point to its directory when executing the encoder, or having your command-line window in the %Systemdrive%:\Program Files\Windows Media Components\Tools directory. To make using Media Encoding Utility 8 more convenient, you could include the path to the application in your PATH system variable (access System Properties, Advanced by right-clicking My Computer).

You can pass the Media Encoding Utility 8 application, Wm8eutil.exe, a number of parameters, using the following general form:

wm8eutil -input [input_file_name] -output [output_file_name]
[-options]

where input_file_name is the name (and, optionally, path) of the file to be converted, output_file_name is the name of the file to be created, and options is one or more additional options. To view this and other examples at the command line, type wm8eutil –example? and press Enter.

Let's say you want to convert an AVI file named C:\Test.avi to Windows Media Video 8 format. The simplest thing you can do with this file and the Media Encoding Utility 8 is to view its properties. Assuming you run this command line from the C:\Program Files\Windows Media Components\Tools folder, you can accomplish this task as follows:

wm8eutil -input c:\test.avi

This produces the following output (or something like it, depending on the file):

AVI source:
    Total file length: 47213 ms
Audio:
    Sampling rate (Hz): 48000
    Number of channels: 2
    Bits per sample: 16
Video:
    Width: 720
    Height: 480
    Frame rate: 29.970000
    Format: dvsd
    Bits per pixel: 24
    Number of frames: 1415

To convert this video to Windows Media Video 8 format, you might use a command line as simple as the following, which uses no optional parameters:

wm8eutil -input c:\test.avi -output c:\test.wmv

Here the output changes as the video is rendered. Finally, you see something like the following:

Progress:
.....25%.....50%.....75%.....100%
Statistics for encoding file c:\test.avi:
Audio:
    Codec = Windows Media Audio V8
    Average bitrate (bits/sec) = 64040
    Sampling rate (Hz) = 44100
    Number of channels = 2
Video:
    Codec = Windows Media Video V8
    Pre-process type = None
    Encoding mode = One pass CBR
    Average bitrate (bits/sec) = 80207.429677
        (Bit rate calculation includes the buffer time.)
    Total number of frames = 1415
    Total number of coded frames = 1415
    Average frame rate (fps) = 29.970000
    Buffer delay (ms) = 3194
    Key frame distance (s) = 10
Overall:
    Total file length (ms) = 47213
    Average bitrate (bits/sec) = 154948.848834

Even in this simple example, the results are somewhat stunning. The 720 x 480 original AVI file is converted into a 64-Kbps Windows Media Video 8 copy, at 360 x 240, using the default conversion rules of Media Encoding Utility 8. The original file size is 175 MB, but the end size is less than 1 MB. Maybe the default rendering options aren’t what you’re looking for, however. That’s where the options parameters come into play. Without getting into the hundreds of possible options that are available (check out the Media Encoding Utility 8 help files for more information), here’s a command line that copies that same AVI file into

wm8eutil -input c:\test.avi -output c:\test.wmv
-v_mode 2 -v_quality 100

Here the v_mode parameter specifies that you want to use two-pass encoding, and the v_quality parameter specifies that you want to use the highest possible encoding quality. This time the resulting file is a little over 5 MB, but the quality is significantly better.

To achieve other effects, you can use some of the Media Encoding Utility 8 built-in encoding profiles. For example, to render the example AVI at broadcast resolution, the following command line could be used:

wm8eutil -input c:\test.avi -output c:\test.wmv -profile av700
More Info
Microsoft has an overview and tutorial on Media Encoding Utility 8 available on its Web site (http://msdn.microsoft.com/library/default.asp?url=/library/en-us/dnwmt/html/wmencodutil.asp) if you'd like to learn more.


Microsoft Producer

Windows XP ships with Windows Movie Maker, an entry-level movie acquisition and editing package aimed at consumers. Movie Maker is meant to be simply a way to turn something that’s normally pretty difficult into something simple and fun. At that aim, it succeeds admirably.

More Info
We look at the basics of using Movie Maker in Chapter 5, “Tools for Working with Digital Photos.”

However, for more sophisticated business users, Microsoft has created an application called Producer, which lets you capture, synchronize, and publish audio, video, slides, and images on the Internet using media-rich presentations that run in a Web browser. Producer isn’t a stand-alone application, although it is technically free. However, you must own Microsoft PowerPoint 2002 (part of Microsoft Office XP) to install and run Producer. You can download Producer from the Microsoft Web site (http://www.microsoft.com/windows/windowsmedia/download/default.asp).

Although Producer is aimed at media professionals, training specialists, sales and marketing professionals, and other business users that need to make the type of Web-based presentation shown in Figure 14-15, it can also be used as a more advanced version of Movie Maker for any Windows XP user looking for a bit more functionality. That’s the way we approach Producer in this chapter.

Figure 14-15  A Web-based Producer presentation.
Figure 14-15. A Web-based Producer presentation.
More Info
Producer is a full-featured video and Web presentation tool. For more information, check out Creating Dynamic Presentations with Streaming Media by Matt Lichtenberg and Jim Travis (Redmond, WA: Microsoft Press, 2001), which explores this exciting application in great detail.

The Producer user interface, shown in Figure 14-16, should be familiar to Movie Maker users, but there are some subtle differences. You might notice in the Timeline area at the bottom of the window that there are additional tracks that Movie Maker doesn’t have. That’s because Producer supports multiple audio and video tracks, a new slide track for integration with PowerPoint presentations, an HTML track, and a Template track.

Figure 14-16  The Producer user interface.
Figure 14-16. The Producer user interface.

Producer also supports many more transition types than Movie Maker, and several striking video effects. We explore these, and the other video capturing- and editing-related features of Producer, in the remainder of the chapter.

Acquiring Audio and Video

Like almost any other video authoring package, Producer lets you import audio and video directly or import any existing media you might already have on your hard drive. Once Producer is installed, it integrates with the AutoPlay action list in Windows XP, as shown in Figure 14-17. This dialog box appears when you attach a compatible video device, such as a digital camcorder, to your PC. You can also start audio and video acquisition from within the application by clicking the Capture toolbar button. Either way, you’ll be presented with the Capture Wizard.

Figure 14-17  The Digital Video Device dialog box.
Figure 14-17. The Digital Video Device dialog box.
Capturing Digital Media Content

Producer’s Capture Wizard allows you to capture the following media types:

  • Narrates Slides For Video And Audio This option lets you synchronize video, audio, and a PowerPoint presentation.

  • Narrates Slides For Audio This option lets you synchronize audio and a PowerPoint presentation.

  • Video With Audio This is the standard video and audio capture option, such as you’d see in Movie Maker. It is compatible with analog and digital sources.

  • Audio Only This option allows you to capture audio only from a microphone, Web camera microphone, or your sound card’s audio inputs.

  • Still Images From Video This option lets you capture individual frames of video as still images.

  • Still Images From Screen This option lets you obtain a screenshot of the entire PC display, or part of the display, as a still image.

  • Video Screen Capture With Audio This option lets you capture a video of the PC display, along with accompanying audio.

One limitation of Producer is that it does not offer full-screen, digital-compatible video (720 x 480) as a capture option. Instead, the highest resolution is a near-digital video 640 x 480 mode that Microsoft introduced with Windows Media Video 8. Producer can capture video in a range of other resolutions, however, many of which are aimed at Web or intranet delivery. If you need higher resolution captures, just capture the video with Movie Maker and then edit it in Producer to take advantage of Producer’s superior transitions, special effects, and editing capabilities.

Like Movie Maker, however, Producer does let you control digital video camera playback through its Capture Wizard, as shown in Figure 14-18. This feature is handy because it prevents you from having to fiddle with the controls on the camera and lets you focus on the task at hand.

Figure 14-18  Capturing digital video camera playback in the Capture Wizard.
Figure 14-18. Capturing digital video camera playback in the Capture Wizard.

From here, you can select your audio and video sources, and then use the on-screen controls to cue up the video and start and end recording. You can select a capture time limit, whether to create clips as in Movie Maker, whether to show a preview while recording, and whether to mute audio during capture in the next step. When you finish recording, your video clip is added to the video folder in the Project Files pane in Producer, as shown in Figure 14-19.

Importing Digital Media Content

If you already have video available that you want to use, Producer lets you import it by choosing Import from the File menu. Alternatively, you can choose to create clips for imported video, which we recommend because it lets you work with smaller portions of video and more easily cull out the parts you don’t want to use.

Figure 14-19  The title of a video clip as it appears in the Project Files pane.
Figure 14-19. The title of a video clip as it appears in the Project Files pane.
Editing Audio and Video

The audio and video editing tools in Producer are similar, but far more powerful, than those in Movie Maker. When you drag clips down to the Timeline, you’ll notice a number of changes. First, there is no Storyboard view. Second, when you drag a video clip to the Timeline, you can expand that view to display gutters for transitions and the audio associated with the video, as shown in Figure 14-20. The Transition gutter makes it far easier to work with transitions in Producer than in Movie Maker, and isolating the audio track makes it possible to edit that track individually.

Figure 14-20  Gutters to allow for video and audio transitions.
Figure 14-20. Gutters to allow for video and audio transitions.

Separating the audio and video material into separate tracks has other benefits. You can now fade in and fade out individual audio clips and visually fade in and fade out individual video clips. You can also correct audio/video synchronization, if necessary, simply by dragging audio clips into the Audio gutter.

Using Video Effects and Transitions

The single biggest task you’ll perform, however, is adding transitions and special effects. In Movie Maker, only one transition—the cross fade—was available, and there were no special effects at all. Producer, however, offers more than 40 different transitions (some of which are shown in Figure 14-21) and almost 20 video effects, including mirror images, rotations, film grain effects, brightness increasing and decreasing, and various fades.

Figure 14-21  A sample of the video transitions available in Producer.
Figure 14-21. A sample of the video transitions available in Producer.

To add a transition or video effect, simply select one from the pane in the middle of the Producer window and drag it to the Timeline. Generally, you will position transitions visually between two video clips as shown in Figure 14-22, using the special Transition gutter.

Figure 14-22  Positioning a visual transition.
Figure 14-22. Positioning a visual transition.

Video effects, however, can be dragged directly on top of a video clip because they are applied to an entire clip. When you apply a video effect to a clip, a small paint-can icon appears, as shown in Figure 14-23. You can add multiple video effects to the same clip, so have some fun with this feature.

Figure 14-23  A clip with a video effect applied.
Figure 14-23. A clip with a video effect applied.

The other editing features of Producer should be familiar to any Movie Maker user. You can split clips, set and clear Start and End trim points, and the like. The video monitor to the right can be used to preview the selected clip or the entire movie.

Publishing and Sharing

Because Producer was designed to create Web-based presentations, you need to deal with a lot of extras if you’re interested only in making an edited movie. However, the publishing process is pretty straightforward, and it’s easy enough to grab just your edited video out of the assortment of files that are created when you do publish your project.

To publish a Producer project, click the Publish toolbar button. This launches the Publish Wizard (shown in Figure 14-24), where you can choose between local playback (My Computer), network playback (My Network Places), or Web-based streaming (Web Server).

Figure 14-24  The Select A Playback Site page of the Publish Wizard.
Figure 14-24. The Select A Playback Site page of the Publish Wizard.

The Publish Wizard allows you to name the Web presentation; supply title and presenter information, an introductory page image, and description; and then select the playback quality (you can select multiple choices here, which can be valuable for Web-based presentations for users with varying connection speeds). Finally, your project is published, as shown in Figure 14-25. This process can actually be quite lengthy, depending on the size of the source material and the output quality.

Figure 14-25  The Publish Your Presentation page of the Publish Wizard.
Figure 14-25. The Publish Your Presentation page of the Publish Wizard.


Chapter 15 - Tools in Microsoft Windows Messenger

Chapter 15
Tools in Microsoft Windows Messenger

Introduced originally as Microsoft Network (MSN) Messenger and intended primarily for instant messaging, Microsoft Windows Messenger, the revamped and renamed service for Microsoft Windows XP, now includes a variety of tools for interacting with others in real time. Not only can you exchange instant messages, but now you can share applications, make phone calls, exchange files, and even offer or receive help with your computer, all from within Windows Messenger. Another impressive new feature in Windows Messenger is single sign-in, which gives you instant access to all Microsoft .NET–enabled Web sites.

The chapter covers how to set up and start working with Windows Messenger, including the following topics:

  • Setting up Windows Messenger and signing up for a .NET Passport

  • Starting Windows Messenger

  • Connecting to others with Windows Messenger

  • Additional tools in Windows Messenger

  • Customizing Windows Messenger


Setting Up Windows Messenger: Signing Up for a .NET Passport

Windows Messenger requires the use of Microsoft’s .NET Passport technology. Passport provides a single sign-in that lets you access all sorts of resources and businesses on the Web in a secure environment. You can get the most current information about the .NET Passport service by visiting http://www.passport.com.

The Passport Wizard, shown in Figure 15-1, walks you through configuring your Windows XP computer for use with Windows Messenger.

Figure 15-1  The .NET Passport Wizard.
Figure 15-1. The .NET Passport Wizard.

The process for activating Windows Messenger depends on whether you already have a Passport, need a Passport but want to use an existing e-mail account, or need a Passport with a new e-mail account. The following sections provide directions for each of those scenarios. You will need to have Internet access to perform the following exercises. If you’ll be using an existing e-mail address, have it handy. Several times during your Passport setup, a progress bar will be displayed while information is downloaded from the Internet.

Current Passport Users

This is the quickest way to activate Windows Messenger on your Windows XP computer. Perform the following steps:

  1. Click Start, point to All Programs (Programs in the Windows XP Classic view), and select Windows Messenger. You can also double-click the Windows Messenger icon in the notification area.

  2. The Add A .NET Passport Account To Your Windows XP User Account screen appears. It gives you a short list of some .NET Passport’s features. You can also view the Privacy Statement. Click Next.

  3. In the Do You Have An E-mail Address? screen, click Yes and then click Next.

  4. Enter your e-mail address in the E-mail Address text box, and then click Next. This needs to be the same e-mail address you used when you originally activated your .NET Passport.

  5. Enter your .NET Passport password in the Password text box, and then click Next. This needs to be the same password you used when you originally activated your .NET Passport.

  6. In the You’re Done screen, click Finished. Windows Messenger will automatically start and attempt to sign you in.

New Passport Users Who Want to Use an Existing E-Mail Account

You can use any existing e-mail address—MSN, Hotmail, or one provided by your Internet service provider (ISP)—when setting up your Passport account. Perform the following steps:

  1. Click Start, point to All Programs (Programs in the Windows XP Classic view), and select Windows Messenger. You can also double-click the Windows Messenger icon in the notification area.

  2. The Add A .NET Passport Account To Your Windows XP User Account screen appears. Click Next.

  3. In the Do You Have An E-mail Address? screen, click Yes and then click Next.

  4. Enter your e-mail address in the E-mail Address text box, and then click Next.

  5. In the Create Your Password screen, enter your password in the Password and Retype Password text boxes, and then click Next.

  6. In the Choose And Answer A Secret Question screen, make your selection from the drop-down list, enter text in the Answer text box, and then click Next. You can’t proceed without providing Answer text.

  7. Select the appropriate information in the Where Do You Live? screen, and then click Next.

  8. Review the .NET Passport Terms Of Use, select I Accept The Agreement, and then click Next.

  9. Select the desired check boxes in the Share Your Information With Participating Sites screen, and then click Next.

  10. In the You’re Done screen, click Finished. Windows Messenger will automatically start and attempt to sign you in.

  11. Check the e-mail address you just used to set the .NET Passport account. Read the instructions to verify your e-mail address and complete the .NET Passport registration process.

New Passport Users Who Want to Create a New E-Mail Account

To create a brand-new e-mail account with Passport, follow these steps:

  1. Click Start, point to All Programs (Programs in the Windows XP Classic view), and select Windows Messenger. You can also double-click the Windows Messenger icon in the notification area.

  2. The Add A .NET Passport Account To Your Windows XP User Account screen appears. Click Next.

  3. In the Do You Have An E-mail Address? screen, select No, I Would Like To Open A Free MSN.com E-Mail Account Now, and then click Next.

  4. In the What Is Your Name? screen, enter your first and last name in the respective text boxes, and then click Next.

  5. Select the appropriate information in the Where Do You Live? screen, and then click Next.

  6. Review the .NET Passport Terms Of Use, select I Accept The Agreement, and then click Next.

  7. Provide the appropriate information in the Tell Us A Little More About Yourself screen, and then click Next. This screen requires input.

  8. In the Create Your MSN.com E-Mail Address screen, enter the e-mail address you would like to have in the E-Mail Address text box, and then click Next. The e-mail address you choose might be taken already, so you might have to try several times before finding an available one.

  9. In the Create Your Password screen, enter your password in the Password and Retype Password text boxes, and then click Next.

  10. In the Choose And Answer A Secret Question screen, make your selection from the drop-down list, enter text in the Answer text box, and then click Next. You can’t proceed without providing Answer text.

  11. Select the desired check boxes in the Share Your Information With Participating Sites screen, and then click Next.

  12. If you would like to be listed in the Hotmail Member Directory, select the Hotmail Member Directory check box, and then click Next.

  13. In the You’re Done screen, click Finished. Windows Messenger will automatically start and attempt to sign you in.


Starting Windows Messenger

Once you’ve signed up for a Passport, Windows XP attempts by default to sign in to Windows Messenger when you log on to your Windows XP computer. You’ll see the sign-in screen shown in Figure 15-2 only if you’ve been disconnected from the service or if you’ve disabled automatic sign-in. This discussion and exercises refer to the latest version, which is downloadable from Microsoft. If you sign in with the default version included with Windows XP, you will be notified that a new version is available for download and given the option to download it. To take advantage of Windows Messenger’s latest features, we recommend that you download and install the latest version.

Figure 15-2  The Windows Messenger sign-in screen.
Figure 15-2. The Windows Messenger sign-in screen.

Clicking Click Here To Sign In signs you in to Windows Messenger with the default Windows Messenger account configured for the current Windows XP user. If you want to use a different Windows Messenger user account, clicking the To Sign In With A Different Account, Click Here link opens a dialog box that lets you sign in with any existing Passport account, as shown in Figure 15-3.

Selecting the Sign Me In Automatically check box makes the account you select the default account for future Windows Messenger sign-ins. If you need to create a new Windows Messenger account, click the Get A .NET Passport link in the bottom left of the dialog box. This takes you back to the .NET Passport Wizard and allows you to create a new account.

Figure 15-3  Signing in using a different Windows Messenger account.
Figure 15-3. Signing in using a different Windows Messenger account.

The default Windows Messenger window, shown in Figure 15-4, includes the following items and a number of hidden links to the same choices that are available from the menu bar.

Figure 15-4  The default Windows Messenger window.
Figure 15-4. The default Windows Messenger window.

The top pane, labeled My Status, shows your name as it appears online to other Windows Messenger users and the current status of your Windows Messenger service—Online, Away, and several others states that can be set automatically. The small downward-pointing arrow lets you explicitly set the status marker that appears next to your Windows Messenger name on other users’ displays. The choices are as follows:

  • Online

  • Busy

  • Be Right Back

  • Away

  • On The Phone

  • Out To Lunch

  • Appear Offline

  • Personal Settings

The Appear Offline setting is especially useful when you want to continue to receive alerts (e-mail, .NET alerts, and so on) from the Windows Messenger service but want to appear offline to your contacts. .NET alerts, as shown in Figure 15-5, are tiny windows that pop up from the taskbar that alert you when you have new e-mail messages, people in your contact list have signed in, software updates are available, and so on.

Figure 15-5  The .NET alerts window.
Figure 15-5. The .NET alerts window.

The Go To My E-Mail Inbox entry in the My Status pane indicates whether there are new e-mail messages at the address configured to work with Windows Messenger. This feature works more reliably with MSN and Hotmail addresses than it does with third-party e-mail accounts.

Below the Inbox entry, the My Status pane includes entries to indicate the status of any contact that you have configured. If you have more contacts than can be displayed in the My Status pane, a scroll bar will be visible on the right side, allowing you to access the entire list.

The left pane (with the bell icon at the top) shows the single bell icon by default. This represents the .NET Alerts service. At the bottom of this pane is a tabs icon with an arrow that points to the right. Clicking that arrow brings up a list of preconfigured tabs that can be added or removed from the window display. Clicking a display tab automatically launches a browser window to the selected vendor’s Web site. The available preconfigured tabs are as follows:

  • Microsoft .NET Alerts The default

  • CNBC on MSN Money Deals with money management issues, such as tracking stocks, researching, buying and selling stocks, and so on

  • Expedia Offers travel services, such as purchasing airline tickets, making reservations, and so on

  • FYE Offers services for music, movies, and games (FYE stands for “For Your Entertainment”)

  • McAfee.com Links to the McAfee Security Center, which offers various computer virus protection services

  • MSN Carpoint Online car services, including researching and purchasing vehicles, traffic reports, and so on

The Actions pane at the bottom of the window labeled I Want To includes the following options:

  • Add A Contact

  • Send An Instant Message

  • Send A File Or Photo

  • Make A Phone Call

  • Go To Chat Rooms

Clicking More in the Actions pane opens a menu with the options listed below:

  • Start A Voice Conversation

  • Start A Video Conversation

  • Add A Group

  • Send E-Mail

  • Ask For Remote Assistance

NOTE
Depending on the version of Windows Messenger you are using, the options listed above might be slightly different.

The following sections of this chapter discuss each of these options in more detail.

NOTE
You can reduce the Actions pane by clicking the double down arrow to the left of I Want To, but the Windows Messenger window still displays the Add A Contact option, the first action in the list. To remove the Actions pane, clear the Show Actions Pane option from the Tools menu.


Connecting to Others with Windows Messenger

The conversation window in Windows Messenger, shown in Figure 15-6, is the service’s basic interface. From here you can perform all the tasks associated with the Windows Messenger service for connecting to other users, such as exchanging instant messages, sharing applications, and getting help. You open the conversation window by double-clicking the desired contact under Online in the My Status pane.

Figure 15-6  The Windows Messenger conversation window.
Figure 15-6. The Windows Messenger conversation window.

Every connection window you open displays the message shown in Figure 15-6, “Never give out your password or credit card number in an instant message conversation.” There isn’t any way to disable this message, so expect to see it each time you use this feature.

Exchanging Instant Messages

The Windows Messenger service is not limited to a one-to-one conversation model. It’s possible to add anyone else who is currently online with the Windows Messenger service to create a multiuser conversation.

To start a conversation with a contact and then invite additional contacts, perform the following steps:

  1. Double-click a contact under Online in the My Status pane. This will open the Conversation window.

  2. Click the Invite Someone To This Conversation link in the right pane under I Want To, which opens the window shown in Figure 15-7.

    Figure 15-7  Inviting a contact to join a conversation.
    Figure 15-7. Inviting a contact to join a conversation.

  3. Select the contact to add, and then click OK.

As each additional user is added, Windows Messenger sends a message to all current members of the conversation, identifying the new user. The title bar and To field will change to list all the members who are in the conversation. Any member who fails to add any messages to the conversation for five minutes becomes inactive and is disconnected.

Sending Files or Photos

Clicking Send A File Or Photo from the Actions menu opens the Send A File dialog box. This allows you to select the user you want to send the file to. If you are already in the Conversation window, you will go directly to the Send A File To dialog box, which will identify the Windows Messenger user to whom you want to send the file in the title bar (for example, the title bar would read Send A File To Someone@Microsoft.com). The menu selection is the same from both the Windows Messenger and Conversation windows.

To send a file from a Conversation window, perform the following steps:

  1. From the Actions menu, select Send A File Or Photo. You can also make this selection from the right pane under I Want To.

  2. In the Send A File To dialog box, navigate to the file you want to send, select it, and then click Open.

When a file is being sent to you, you’ll first be asked if you want to accept the file transfer. The prompt includes the file name, file size, and approximate transmission time. You can accept or decline the transfer.

NOTE
The transfer time is calculated based on a 28.8-kilobit-per-second (Kbps) modem connection, regardless of your actual connection speed.

For system security purposes, Windows Messenger generates a warning, shown in Figure 15-8, whenever you accept a file transfer. If you would prefer not to receive this warning, select the Don’t Show Me This Message Again check box when the warning appears.

Figure 15-8  The Windows Messenger file content warning.
Figure 15-8. The Windows Messenger file content warning.

Once a file has been successfully received, Windows Messenger displays a message in the conversation window indicating the file name and from whom it was received (as shown in Figure 15-9). This message also includes a recommendation to check the file for viruses before opening it, which should be common practice.

Figure 15-9  An indication of a successful file transmission in Windows Messenger.
Figure 15-9. An indication of a successful file transmission in Windows Messenger.

All files you receive will be saved in the %Systemdrive%\Documents and Settings\%Username%\My Documents\My Received Files folder by default. You can change this folder setting from the Tools menu by clicking Options and then selecting the Preferences tab.

Sending E-Mail

You don’t have to manually start your e-mail application or browse to Hotmail to send e-mail; you can do so directly from Windows Messenger just by clicking Send E-Mail. Clicking this link does one of two things:

  1. If your configured e-mail account is with MSN or Hotmail (or any other supported Web-based e-mail vendor), it starts a browser window to the composing page of the e-mail Web site, inserting the e-mail address of the current Windows Messenger contact in the To field.

    Depending on your version of Windows Messenger, you might be prompted to add e-mail capabilities by visiting the Windows Messenger Add-In Web site. Clicking Yes takes you directly to the e-mail Add-in Web page. Follow the online instructions.

  2. If the configured e-mail account uses Post Office Protocol version 3 (POP3) access, you’ll need to have Microsoft Outlook or Outlook Express configured to access that account. Using the e-mail link in Windows Messenger starts the configured version of Outlook.

Asking for Remote Assistance

The Remote Assistance feature of Windows Messenger lets you directly ask another Windows Messenger user to take control of your desktop to help you through a system problem. This can be helpful if you have friends or relatives who would like you to give them assistance on a troubleshooting problem. The user requesting assistance can see all your keyboard and mouse actions.

Remote Assistance works over even slow dial-up modem connections, but broadband or local area network (LAN) connections make it a more pleasant experience for both parties. A status message appears on your screen while Remote Assistance attempts to connect to the user who has accepted your request for help.

Once a user has accepted your invitation to access your computer via Remote Assistance and a connection is established between your two computers, you are asked if you want to let this person view your screen and chat with you. Chatting can be handy for providing the remote assistant with detailed explanations during the troubleshooting, especially if one or both of the users are using dial-up connections and have only one phone line.

Once the remote user has made a connection to your computer, he or she will have the ability to take control of your system by clicking Take Control on his or her remote Remote Assistance console. When that button is clicked on the remote system, you are prompted to allow the remote user to share control of your computer and warned not to use the mouse at the same time. Even though you give up local control over your computer, you still control the Remote Assistance session. You can stop the remote user from controlling your system at any time by pressing the Esc key or using the Stop Control Command, as described below.

The Remote Assistance console offers a live chat window between the two systems, as well as the following six specific commands:

  • Stop Control This command leaves the Remote Assistance connection active but stops the remote computer from controlling the local host.

  • Send A File This command transmits a file between the two computers. It can be used from either the remote or local computer and is context-aware: It will send from the host machine if chosen on the Remote Assistance pop-up console, and it will send from the remote machine if chosen from the Remote Assistance console application.

  • Start Talking Either user can use the Start Talking command. On the machine at the other end of the connection, a message pops up, asking “Do you want to use a voice connection to talk over the Internet?” Like chatting, this feature is handy for communicating with the person providing the remote assistance, although this feature would be best used in a situation where both computers have high-speed Internet access.

  • Settings Clicking Settings on either console opens the Remote Assistance Settings dialog box. Only a few items are available here. You can set the Audio (Standard or High-Quality), run the Audio Tuning Wizard, and configure the default screen view. The Default setting for screen view is Actual Size, which makes the most sense. If the host computer has higher resolution than the remote computer, the display screen scrolls to allow the remote user access to the entire host system display. If the screen has lower resolution, the entire screen is displayed at once.

  • Disconnect Clicking this button completely disconnects the Remote Assistance session.

  • Help Clicking this button opens the Remote Assistance help system on the appropriate computer.

Making a Phone Call

Making Internet phone calls—with the inviting prospect of making long- distance calls for only a few pennies per minute—is becoming increasingly popular as the technology matures. To use Windows Messenger for Internet phone calls, select Make A Phone Call from the Actions menu. The Phone dialog box will check your Internet connection and your computer’s ability to make Internet phone calls. If your computer is able to make phone calls, the dialog box will provide a Get Started Here button as shown in Figure 15-10 that, when clicked, will display information about various phone service providers.

Figure 15-10  The Phone dialog box with the Get Started Here button showing.
Figure 15-10. The Phone dialog box with the Get Started Here button showing.
Sharing Applications

Much like Remote Assistance, application sharing lets you take control of another person’s computer. The difference here is that you get control of only a single application, and it must remain in the foreground of the host computer.

Once you click Start Application Sharing or Start Whiteboard from the Windows Messenger Conversation window, the Sharing Session dialog box opens, letting you choose which type of sharing application you want to use.

Once the sharing application is connected, the Sharing–Programs dialog box opens on all the computers that are involved in the application sharing. The users at both systems can now select what application or applications they want to make available for sharing.

The Share Programs area of the dialog box includes a scrolling list of all of the currently running applications on that computer. Once you have selected applications to share from this list, the Control area at the bottom of the dialog becomes available. You can now either allow or prevent other users from controlling your shared applications. You can also allow control and temporarily block the control requests by selecting the Do Not Disturb With Requests For Control Right Now check box.

NOTE
Only applications that are running can be shared, so you should open the application you want to share before you start Application Sharing.

When you request control of the application on another user’s computer, the other user will need to be at the console to accept the request by clicking Yes.

Sharing the Whiteboard

The Whiteboard application also uses NetMeeting technology, running the Windows Paint program as the whiteboard interface. You launch the Sharing Session application by clicking the Whiteboard icon.

Any party to the whiteboard session can save the contents of the whiteboard during the connection or when exiting the connection.

Talking

Start Talking lets you have a voice conversation with another Windows Messenger user. This is not the same as using the Make A Phone Call command. Start Talking works through firewalls and on systems in networks that use Network Address Translation (NAT) without problems.

If you have not already run the Audio Tuning Wizard, it starts automatically when you open Start Talking. You need a microphone and speakers to make use of this Windows Messenger capability. Click Stop Talking to end the voice portion of the connection; this will not disconnect the Windows Messenger users.

Sharing Video

Clicking Start Camera starts a video session with audio as well, which is transmitted by Start Talking. You have the option to stop sending video at any time and to show your side of the video transmission as a picture-in-picture within the video frame.

You can also disable the audio without turning off the video. Clicking Stop Camera disconnects both the audio and video, but it does not close the Windows Messenger window.


Using the Tools Menu in Windows Messenger

The Tools menu in Windows Messenger, shown in Figure 15-11, gives you access to many features that are not available anywhere else in the product. Here’s a brief summary of what’s included and where else, if anywhere, the task can be found:

  • Add A Contact This can also be found in the Actions pane under “I Want To” at the bottom of the main Windows Messenger window.

  • Manage Contacts Contact management can be handled with this command only.

  • Manage Groups Group creation must be handled with this command. Once new groups have been created, they can be managed by dragging content between groups in the main Windows Messenger window.

  • Sort Contacts By Sorting contacts can be accomplished using this command only.

  • Show Actions Pane This option can be toggled off and on from this command only.

  • Show Tabs This option can also be configured from the menu available from the tabs listing.

  • Use Windows Color Scheme The Windows color scheme can be set using this command only.

  • Always On Top This feature can be toggled on and off using this command only.

  • Add-Ins Once add-ins have been installed, they are toggled on and off using this command only.

  • Add-In Web Site Choosing this command takes you directly to the Add-In Web site, where add-in utilities for Windows Messenger are available. This command also appears when you try to use a feature that requires an add-in.

  • Publish My Phone Numbers This command opens the Phone tab of the Options dialog box. You can also select Options from the Tools menu, and then click the Phone tab.

  • Edit My Mobile Settings This command opens the Phone tab of the Options dialog box, which includes the Mobile Settings options. You can also select Options from the Tools menu and then click the Phone tab.

  • Audio Tuning Wizard Choosing this command launches the Audio Tuning Wizard, which is available from multiple locations through Windows Messenger and its built-in applications.

  • Options This command launches the Options dialog box, which is described in detail in the next section. The Options dialog box can also be accessed indirectly when you use certain feature settings that link to a tab in the dialog box.

    Figure 15-11  The Windows Messenger Tools menu.
    Figure 15-11. The Windows Messenger Tools menu.


Customizing Windows Messenger

Windows Messenger can be fine-tuned to better suit how you like to work. For example, you can change how your name appears to your contacts, set options to better protect your privacy, and change the way you’re alerted about new messages. None of these changes are essential for the application to run, but they can improve your user experience. The Options dialog box is where you make such customizations. The following sections describe the most important tabs in that dialog box.

Personal

The settings on the Personal tab control the way the public sees your Windows Messenger persona. There are three publicly visible features that can be configured using the Personal tab, as shown in Figure 15-12:

  • My .NET Messenger Service Display Name The name you enter in this text box is displayed instead of your e-mail address when you use Windows Messenger. Uniqueness is not required for this screen name, because it is just the way your account is displayed. It is identified by the unique e-mail address you entered when configuring your Windows Messenger account.

    Figure 15-12  Personalizing your public Windows Messenger information.
    Figure 15-12. Personalizing your public Windows Messenger information.

  • My Public Profile Clicking the Edit Profile button starts a Web browser and opens the Passport Member Services Web site for editing your account properties. On the Web site, you can add or edit your publicly displayed profile.

  • My Message Text Click the Change Font button to select the default font to be used with all your Windows Messenger instant messages. Emoticons can be disabled or enabled here.

Phone

Its name is somewhat misleading because the Phone tab, shown in Figure 15-13, doesn’t actually allow you to configure phone numbers entered under the My Phone Numbers frame that are used for anything. The data provided here changes only the display. However, the Phone tab does allow you to configure mobile devices. The tab is divided into the following two areas:

  • My Phone Numbers These settings gives you the ability to enter up to three phone numbers that you would like to make available as part of the public information available to your Windows Messenger contacts.

  • Mobile Device Clicking Mobile Settings opens the MSN Mobile Web site, where you can configure your mobile device (mobile phone, pager, Pocket PC, or MSN T900 Pager) to receive alerts and text messages.

    Figure 15-13  Changing the phone numbers displayed on the Phone tab.
    Figure 15-13. Changing the phone numbers displayed on the Phone tab.
Preferences

All the basic behaviors of the Windows Messenger client are configured on the Preferences tab. By default, all items on this tab are activated, but you can clear check boxes, change sounds, and alter drive paths to customize the way Windows Messenger works for you.

The Preferences tab is divided into the following panes:

  • General In the General pane, the default settings are to run Windows Messenger in the background when Windows starts, and to show your status as Away when you’ve been inactive for 10 minutes.

  • Alerts In the Alerts pane, the default settings are to display alerts (pop-up message boxes) when your contacts log on to the Windows Messenger service, to display alerts (showing a pop-up alert and flashing the Conversation taskbar item) when you receive an instant message, to display alerts when e-mail is received (and to increment the new mail counter in the main Windows Messenger window), and to play a sound when a contact signs in or sends you a message.

  • File Transfer In the File Transfer pane, the default setting is to store files transferred during messaging sessions in the Windows Messenger Service Receive Files folder within the My Documents folder.

Privacy

All contact data for users within Windows Messenger is stored on the Windows Messenger servers, not on the local machine. The Privacy tab, shown in Figure 15-14, controls how that information is displayed and how you can access it.

The My Allow List shows you which users can see you and send you messages. By default, the group All Other Users is included in the My Allow List. The My Block List shows you the Windows Messenger users you’ve chosen to deny knowledge of your online status and the ability to send you messages. You can query the Windows Messenger servers to see a list of users who have added you to their contact list by clicking View.

The Alert Me When Other Users Add Me To Their Contact Lists check box is selected by default. It causes a message to appear on your screen when another user adds you to their Windows Messenger contact list. If you are not online when this occurs, you’ll have the opportunity to prevent yourself from being added when you next sign in to the service.

Figure 15-14  Using the Privacy tab to control personal information.
Figure 15-14. Using the Privacy tab to control personal information.

Below that is the Always Ask Me For My Password When Checking Hotmail Or Opening Other .NET Passport–Enabled Web Pages check box. By default, your .NET Passport password is not requested as long as you are signed in to Windows Messenger. For added security you can change the default behavior to force the application to prompt you whenever it accesses data that requires your password.

The last option to configure is the This Is A Shared Computer So Don’t Display My Tabs check box. If your computer is shared with other users, you can clear this check box to turn off the tab display for your Windows Messenger account. The check box is cleared by default for this option.

Accounts

The Accounts tab allows you to add additional communication services accounts, such as other messenger service clients. Currently, however, there is only limited use for this feature, and it focuses more on internal corporate communications than on the needs of individual users. If you do decide to enable the Communication Service option, it requires the use of the Session Initiation Protocol (SIP).

Connection

If you’re in a corporate environment and your Internet connectivity requires access through a firewall or a proxy server, you’ll need to make the appropriate configuration changes to settings on the Connection tab (shown in Figure 15-15) to allow your Windows Messenger client to work properly. You might be required to supply specific server and protocol port information and possibly logon credentials. These settings will depend on how the firewall or a proxy server was configured. You might need to consult your network administrator for these settings, as well as for help with the configuration.

Figure 15-15  Configuring your Windows Messenger client for use with firewalls and proxy servers.
Figure 15-15. Configuring your Windows Messenger client for use with firewalls and proxy servers.


Chapter 16 - Tools for Customizing Microsoft Windows XP 443 17 Tools for File Compression and Virus Protection 473 18 Tools for System Management 509 19 Third-Party Digital Photo Tools 543 20 Third-Party Digital Audio Tools 561 21 Third-Party Digital Video Tools 587 22 Third-Party Internet Enhanceme

Part III
Third-Party Power Tools
  • 16 Tools for Customizing Microsoft Windows XP
  • 17 Tools for File Compression and Virus Protection
  • 18 Tools for System Management
  • 19 Third-Party Digital Photo Tools
  • 20 Third-Party Digital Audio Tools
  • 21 Third-Party Digital Video Tools
  • 22 Third-Party Internet Enhancements
  • 23 Third-Party Firewalls


Chapter 16 - Tools for Customizing Microsoft Windows XP 443 17 Tools for File Compression and Virus Protection 473 18 Tools for System Management 509 19 Third-Party Digital Photo Tools 543 20 Third-Party Digital Audio Tools 561 21 Third-Party Digital Video Tools 587 22 Third-Party Internet Enhanceme

Chapter 16
Tools for Customizing Microsoft Windows XP

For the same reasons that people decorate their homes or workspaces with photographs or other personal items, personal computer users often enjoy customizing their computer screens. Microsoft Windows has always allowed you to change screen color schemes and desktop background, but Windows XP comes with several stunning images that can be used as backdrops for your desktop, as well as a seemingly endless combination of desktop, Start menu, and color scheme options. The visual style engine of Windows XP even supports the use of true color bitmaps in buttons, borders, and toolbars.

Thousands of Windows XP users have purchased Microsoft Plus! for Windows XP as an add-in to Windows XP. Plus! includes wallpaper (now referred to as the “desktop background” in the Windows XP Display Properties item in the Control Panel), screen savers, icons, mouse pointers, and Windows Media skins (striking three-dimensional visual styles) that enable you to customize your system with professional-quality photographs and designs. If you would rather not use the Plus! themes, however, several third-party companies offer collections of themes and utilities that should give you all the choices you need to express your personality on the face of your PC.

This chapter covers the following topics:

  • Adding themes and screen savers with Plus! for Windows XP (Plus! digital media tools are discussed in Chapter 13, “Digital Media Tools for Microsoft Windows XP”).

  • Third-party visual style and theme tools, including the utility Style XP, from TGT Soft LLC; and WindowBlinds, one of the components of the Object Desktop suite from Stardock, which also includes DesktopX, ObjectBar, IconPackager, and WinStyles (all of which are included on the companion CD to this book).


Adding Themes and Screen Savers with Plus! for Windows XP

Since the release of Windows 95, Microsoft has offered Windows users a collection of games, utilities, and user interface customization enhancements in the form of an add-on product named Plus! Among other features, the newest version of Plus! includes four new themes (collections of color schemes, backgrounds, screen fonts, screen savers, sounds, and icons that each can be applied to the Windows XP desktop in one step)—Aquarium, da Vinci, Nature, and Space—and eight screen savers—Aquarium, My Pictures, Space, Nature, da Vinci, Robot Circus, Sand Pendulum, and Mercury Pool. The fish in the Aquarium screen saver look so realistic that you might try to feed them!

NOTE
Plus! for Windows XP is not included on the enclosed CD or with the Windows XP installation CD. It is available from most retail software outlets.

Each of the themes in Plus! includes a background image for the desktop, a dynamic simulation for the screen saver, and appropriate custom sounds, icons, a color scheme, and screen fonts for use throughout Windows XP.

More Info
For more information about Plus!, including system requirements and installation, see Chapter 13, “Digital Media Tools for Microsoft Windows XP.”

To install Plus! themes, follow these steps:

  1. Start Plus! and click Themes on the left side of the Microsoft Plus! window. Plus! displays a list of the following four themes:

    • Plus! Aquarium This theme selects a high-resolution photograph of a crystal clear aquarium of starfish for the desktop image. An alternative Aquarium desktop background image is a photograph that appears to be sunlight shining through sparkling blue water. The screen saver is a realistic depiction of an aquarium complete with three varieties of tropical fish.

    • Plus! Space Selecting this option chooses a breathtaking image for the desktop from the point of view of a space shuttle orbiting the earth. The Plus! Space2 background image, also included, is a photograph of a nighttime meteor shower. The Plus! Space screen saver shows an astronaut working on a space station as it orbits the earth.

    • Plus! Nature This theme displays a close-up image of morning dew on a delicate tree branch. A second background image, Plus! Nature2, depicts a photograph of a natural waterfall. The Plus! Nature screen saver is a surreal image of a flowing stream of water into which leaves are falling and floating.

    • Plus! da Vinci An updated version of a favorite Plus! theme, Plus! da Vinci installs a collage of Leonardo da Vinci’s sketches as the desktop background image. The Plus! da Vinci screen saver is a dreamlike parade of da Vinci’s futuristic inventions.

  2. Select the theme you want to use and click Select This Theme at the bottom of the screen. Plus! opens the Display Properties dialog box in Windows XP, shown in Figure 16-1, displays the Themes tab, and selects the appropriate theme in the Theme drop-down list.

    Figure 16-1  The Display Properties dialog box.
    Figure 16-1. The Display Properties dialog box.

  3. You can use the Display Properties dialog box to tailor any theme’s default settings. The Plus! Nature theme, for example, offers two desktop background patterns: Plus! Nature and Plus! Nature2. You can also choose a different screen saver or color scheme. If you make changes to the default settings, however, it is a good practice to use the Save As button on the Themes tab to save the modified theme under a different name.

  4. Click OK in the Display Properties dialog box to accept the new theme and return to the Plus! window. Click the Close box in the upper right corner of the window to close Plus!

You can use Plus! for Windows XP any time you want to choose a different theme. However, you can also select one of the Plus! themes from the Control Panel’s Appearance and Themes item, as follows:

  1. Click Start, point to Control Panel, Appearance and Themes, and finally select Change The Computer’s Theme to display the Display Properties dialog box. (If you are using the Classic view of Control Panel, click Start, point to Control Panel, and double-click Display.) Click the Themes tab.

  2. On the Themes tab, from the Theme drop-down list, select the theme you want to use and click OK. Choosing a theme on the Themes tab also selects an image on the Desktop tab, a screen saver on the Screen Saver tab, and theme-related Windows icons and sounds. You can customize all these settings on the respective tabs of the Display Properties dialog box.

    POWER TIP
    Use the Desktop tab and Screen Saver tab, respectively, to select a desktop image or screen saver if you want to use a Plus! desktop image but not the matching screen saver, or vice versa.


Third-Party Visual Style and Theme Tools

In addition to Microsoft, several other software publishers produce tools to change the way your computer screen looks. Some of these tools change the colors and design of borders, menus, and buttons so dramatically that they are known as skins. Other tools provide the capability to use third-party themes that are not available in Plus! In addition to themes, these third-party tools also enable you to select a different Windows XP logon screen, another capability not provided by Plus! for Windows XP.

The following sections discuss two of the most popular tools for adding and customizing themes, skins, and logons:

  • Style XP from TGT Soft LLC

  • WindowBlinds from Stardock

CD Bonus
In addition to a trial version of Style XP, the companion CD to this book contains another useful tool from TGT Soft: StyleBuilder, a utility for modifying existing visual styles, or even building new styles. StyleBuilder, which requires the installation of Style XP to run, is not described in detail in this chapter but includes the capability to do the following:

  • Import existing styles

  • Convert between graphic formats

  • Configure multiple bitmap editors

  • Manipulate buttons, check boxes, and option buttons

  • Change the colors of any style

  • View and edit fonts

Also on the CD are several other tools from Stardock (the maker of WindowBlinds), featuring a number of components of the Object Desktop suite. The tools include the following:

  • SkinStudio Used for designing and building your own custom skins

  • WinStyles Used for managing Windows themes

  • IconPackager Used for customizing all your Windows icons with a single click

  • CursorXP Used to customize the Windows cursor

  • DesktopX Used to customize the Windows desktop objects

  • ObjectBar Used to add fully skinnable custom menus to the Start menu and taskbar

A trial version of each of these products is included on the companion CD and is available for purchase and download online at the respective publishers’ Web sites (http://www.tgtsoft.com and http://www.stardock.com).

Style XP

Style XP, a shareware product from TGT Soft, enables you to use third-party themes with Windows XP and provides an alternative to the Plus! and Control Panel interfaces for selecting Windows XP themes and backgrounds. The standard Windows XP themes, as well as the themes included with Plus!, can be selected from the Style XP interface. Many more themes can be downloaded.

Style XP 30-day evaluation shareware is included on the companion CD and can be downloaded from http://www.tgtsoft.com/download.html. To register Style XP, click Register to display the Register Online dialog box and follow the on-screen instructions.

NOTE
Style XP version 1, the most current version of this software, supports Windows XP Home Edition and Windows XP Professional.
Installing Style XP

To install Style XP, follow these steps:

  1. Launch the Style XP setup program in the companion CD user interface or download, unzip, and run the Style XP setup program.

  2. In the License Agreement screen, click I Agree.

    CAUTION
    By default, you can use only Microsoft-supplied themes with Windows XP. Installing Style XP patches the system DLL, Uxtheme.dll, in memory to enable use of third-party themes. If you do not want to modify this system DLL, don’t install Style XP.

  3. When prompted to apply CoughDrop to test Style XP, click Yes. Style XP applies the CoughDrop theme to Windows XP and displays the Style XP window, as shown in Figure 16-2.

    Figure 16-2  The Style XP window.
    Figure 16-2. The Style XP window.
    POWER TIP
    Style XP is always installed on the same drive as Windows XP and in the %Systemdrive%\Program Files\ TGTSoft\StyleXP folder, where %Systemdrive% is the drive where the folder is located. Even temporary files are stored in this folder. If you choose to uninstall Style XP later, this folder should be removed, so be careful not to install themes here that you don’t want to be erased.

The Style XP window is not a typical Windows-style dialog box, but its operation is intuitive:

  • The buttons listed on the upper left side of the window (Options, Themes, Visual Styles, Backgrounds, Logons, and Rotate) operate much like tabs in typical dialog boxes. Each of these options causes a different set of suboptions to appear in the remainder of the window.

  • The buttons listed in the lower portion of the screen operate much like menu options in a typical Windows application menu. Each button either opens a dialog box or executes a command.

Opening and Closing the Style XP Window

The default behavior of Style XP when first installed is to load a Style XP icon in the Windows XP taskbar notification area. (In previous versions of Windows, this area was called the system tray.) To open the Style XP window, just click the icon shown here:

If you have disabled the Run at Startup feature (described in the section entitled “Removing Style XP from the Notification Area,” later in this chapter), you can still display the Style XP window by clicking Start, pointing to All Programs (Programs in the Windows XP Classic view), and selecting TGT Soft, Style XP.

To close the Style XP window without unloading it from memory, click the Close box in the upper right corner of the window or click Hide near the lower left corner of the window. Style XP remains in memory and the Style XP icon is displayed in the taskbar’s notification area.

You can also click Exit near the lower left corner of the Style XP window. This closes the window and removes Style XP from memory.

Selecting a Theme

As with a typical Windows XP theme, themes available in Style XP include icons, desktop backgrounds (that is, wallpaper patterns), sounds, cursors, and screen savers. Unlike standard Windows themes, however, Style XP themes also include styles that add color and texture to the borders, menu bars, and toolbars of Windows applications.

To select a theme with Style XP, follow these steps:

  1. Open the Style XP window and click Themes. Style XP displays the Themes screen, as shown in Figure 16-3. The current theme is highlighted in the second column of buttons from the left. For example, in Figure 16-3, the CoughDrop theme is the current theme. This column lists all available themes, including standard Windows XP themes (but not including Plus! for Windows XP themes unless the Plus! theme happens to be the current selection) and third-party themes. To select a different theme, click its name.

  2. The Theme Parts Visual Style, Background, and Sounds, are listed in the third column of buttons. To see the current settings in the preview window on the right side of the Style XP window, click each of these buttons. The preview window in Figure 16-3, for example, shows the current visual style that is part of the CoughDrop theme.

    Figure 16-3  The Themes screen in Style XP.
    Figure 16-3. The Themes screen in Style XP.

  3. Click Apply Theme in the lower right portion of the window to apply the newly selected theme to Windows XP.

  4. Close the Style XP window.

Using the Theme Tools

When the Themes screen is displayed, the third and fourth columns of buttons from the left of the window include the following Theme Tools for modifying, renaming, adding, and deleting themes:

  • Display Properties Click this button to open the Windows XP Display Properties dialog box. This dialog box works the same way from within Style XP as it normally does.

  • Create New Theme Click this button to create a new theme in Style XP. First, copy an existing theme or create a theme from scratch. Then apply the new theme and change the visual style and background associated with the theme.

  • Rename Click this button if you want to save the current visual style under a different name.

  • Reset To XP Default Click this button to cause the selected theme to revert to the default Windows XP theme.

  • Apply Theme This button selects the theme you are viewing and makes it the current Windows XP theme for your computer.

  • Add A New Theme Use this button to add a downloaded or newly created theme to the list of available themes. When you click this button, Style XP displays the Choose A Theme To Add dialog box, which you use to browse your computer and find and open the new theme file. The file can be stored in any folder on your computer. When you click Open, the theme is added to the list of themes in the Themes screen of the Style XP window by copying the new group of theme files to a new group of theme folders created in the %Systemdrive%\Windows\Resources\Themes folder.

  • Download A New Theme When you click this button, Style XP launches your Web browser and opens the Visual Styles page of the ThemeXP Web site (http://www.themexp.org/view.php?type=vs) from which you can download new styles (see the section entitled “Downloading New Styles, Themes, Backgrounds, and Logons,” later in this chapter).

  • Delete Selected Theme Click this button to delete the theme that you are currently viewing—use it carefully.

Selecting Visual Styles

The capability that uniquely distinguishes Style XP from Plus! and typical Windows XP styles is its ability to apply skins. Plus! for Windows XP lets you apply skins to the Media Player for Windows XP (called “the Player” for short) only, but Style XP allows you to apply them to all Windows applications (although the Style XP skins are admittedly not as flashy as the many unique and sometimes outrageous skins available for the Player). You can apply these skins to Windows elements such as borders, menu bars, toolbars, and title bars. This capability takes full advantage of the Windows XP visual style engine.

Even though a visual style can be applied as a part of a theme, you can also apply visual styles individually. You might want to mix and match styles and backgrounds from different themes to create a new theme.

To select a visual theme, follow these steps:

  1. Open the Style XP window and click Visual Styles in the far left column. Style XP displays the Visual Styles screen, shown in Figure 16-4. The current visual style is highlighted in the second column of buttons from the left. For example, in Figure 16-4, CoughDrop is the current visual style.

    Figure 16-4  The Visual Styles screen in Style XP.
    Figure 16-4. The Visual Styles screen in Style XP.

  2. The third column in the Visual Styles screen lists a group of color schemes from which you can choose. If there are more than three color schemes available for a particular visual style, Style XP displays upward- or downward-pointing arrows to indicate that the list is scrollable. Scroll the list, if necessary, and select a color scheme by clicking it in this list. When you select a color scheme, Style XP applies the scheme to the preview windows to the right.

  3. Below the list of color schemes is a list of font sizes—Normal, Large Fonts, and Extra Large Fonts. Select a font size by clicking one of these buttons. When you select a font size, Style XP applies the font size to the preview windows to the right.

  4. Click Apply Style To Current Theme, which is just below the preview windows, to apply the visual style to the current theme.

Using the Style Tools

When the Styles screen is displayed, the third and fourth columns of buttons from the left of the window include the following Style Tools for modifying, adding, and deleting styles:

  • Display Properties Click this button to open the Windows XP Display Properties dialog box.

  • Search Paths Click this button to open the Visual Style Search Paths dialog box, which you can use to specify file folders that you want Style XP to search in for visual styles to use with Style XP.

  • Apply Style To Current Theme Click this button to apply the visual style that you are viewing and make it the current visual style for the current Windows XP theme for your computer.

  • Add A New Style Use this button to add a downloaded or newly created style to the list of available visual styles. When you click this button, Style XP displays the Choose A Style To Add dialog box, which you use to browse your computer and find and open the new style file. The file can be stored in any folder on your computer. When you click Open, the visual style is added to the list of styles in the Styles screen of the Style XP window by copying the new style file to the \Windows\Resources\Themes\Current Theme folder, where Current Theme is the name of the current theme.

  • Download A New Style When you click this button, Style XP launches your Web browser and opens the Visual Styles page of the ThemeXP Web site (http://www.themexp.org/view.php?type=vs) from which you can download new styles (see the section entitled “Downloading New Styles, Themes, Backgrounds, and Logons,” later in this chapter).

  • Delete Selected Style Click this button to delete the style you are viewing—as before, be careful when using it.

Selecting Backgrounds

In addition to visual styles, you can also select background patterns individually. Windows XP comes with lots of backgrounds, and many more are available for download from several sources. Internet Explorer enables you to turn any image you find on the Web into a background. (For more information, see the sidebar “Creating a Background with Internet Explorer,” later in this chapter.)

To select a different background, follow these steps:

  1. Open the Style XP window and click Backgrounds in the far left column. Style XP displays the Wallpaper screen, as shown in Figure 16-5. The current background is highlighted in the second column of buttons from the left. For example, in Figure 16-5, Red Moon Desert is the current background. If you want to use a solid background color, rather than a background image, click None.

    Figure 16-5  The Wallpaper screen in Style XP.
    Figure 16-5. The Wallpaper screen in Style XP.

  2. The third column in the Wallpaper screen lists the following group of positions from which you can choose:

    • Center Select this option when you want the background to appear centered in the desktop. This is the obvious choice when the image is screen size.

    • Tile Select this option when you are using a very small background image that you want to have repeated in a tiled pattern to fill the desktop screen.

    • Stretch Select this to option to cause background images to be automatically sized—and stretched, if necessary—to fill the desktop screen, whatever the screen resolution happens to be.

  3. Below the list of positions is the Background Color selector, which is effective only if you have clicked None in the list of available backgrounds. To pick a color, click Pick and select a color from the Color dialog box. Click OK to return to the Style XP Wallpaper screen.

  4. Click Apply Background To Current Theme, just below the preview windows, to apply the background to the current theme.

Creating a Background with Internet Explorer
Any time you run across an image on the Internet, or even a digital photograph that you are displaying with Internet Explorer, you can easily turn the image into a background in Windows XP. With the image displayed in an Internet Explorer window, right-click the image and select Set As Background from the shortcut menu. Internet Explorer saves a copy of the image named Internet Explorer Wallpaper.bmp and saves the file in the folder %Systemdrive%\%Appdata%\Microsoft\Internet Explorer.

This background is listed on the Desktop tab of the Display Properties dialog box under the name Internet Explorer Background. If you later use the same procedure to select a different image as the desktop background, the new image replaces the old one if you don’t first rename the old image. By default, background images are stored in the Windows folder. If you want to add a background image that you have created with Internet Explorer to the portfolio of available desktop background images, first rename the file to a name that doesn’t already exist on your computer, and then copy the file to the Windows folder. Once the file is copied to the Windows folder, it is available as a background in Style XP.

Using the Background Tools

When the Wallpaper screen is displayed, the third and fourth columns of buttons from the left of the window include the following background tools for renaming, adding, and deleting themes:

  • Display Properties Click this button to open the Windows XP Display Properties dialog box.

  • Search Paths Click this button to open the Background Search Paths dialog box, which you use to specify file folders that you want Style XP to search in for backgrounds to use with Style XP.

  • Apply Background To Current Theme Click this button to make the background that you are viewing at the time the background for the current Windows XP theme for your computer.

  • Add A New Background Use this button to add a downloaded or newly created theme to the list of available themes. When you click this button, Style XP displays the Choose A Background To Add dialog box, which you can use to browse your computer and find and open the new background file. The file can be stored in any folder on your computer. When you click Open, the background is added to the list of backgrounds in the Wallpaper screen of the Style XP window.

  • Download A New Background When you click this button, Style XP launches your Web browser and opens the Wallpapers page of the ThemeXP Web site (http://www.themexp.org/view.php?type=wp), from which you can download new backgrounds (see the section entitled “Downloading New Styles, Themes, Backgrounds, and Logons,” later in this chapter).

  • Delete Selected Background Click this button to delete the background that you are currently viewing—use it carefully.

Selecting Logons

Each time you start or restart your computer, it displays a logon scheme, also known as a welcome screen. (If you are the only person using your computer, you might have configured the computer to bypass logon, or if your computer is part of a network, it’s possible that you log on a domain, not to Windows XP. If either case is true, you won’t see this screen.) Windows XP does not provide a way to pick a different welcome screen (other than to turn it off and use the classic Windows logon screen). However, if you don’t log on to a domain, you can use Style XP (or a few other third-party utilities) to change the logon scheme.

Applying a new logon scheme modifies the Logonui.exe system file. If this logon scheme has not been adequately tested by the developer, adding it might leave your Windows XP system unable to boot. If you don’t want to risk this problem, don’t install a new logon scheme.

If you decide to install a new logon scheme and your computer freezes during the logon process, follow these steps:

  1. When Windows XP displays the new welcome screen, press Ctrl+Alt+Del two or three times to display the normal welcome screen. If you don’t get the standard Windows XP welcome screen, reboot, press F8 several times as the computer reboots, and then start the computer in safe mode.

  2. Run Style XP and click Reset To XP Default to return to the standard logon scheme.

To select a different logon scheme, follow these steps:

  1. Open the Style XP window and click Logons. Style XP displays the Logon Schemes screen, shown in Figure 16-6. The available logon schemes are listed in the second column of buttons from the left, with a preview of the welcome screen to the right. For example, Figure 16-6 shows the default Windows XP logon scheme, LogonUI.

    Figure 16-6  The Logon Schemes screen in Style XP.
    Figure 16-6. The Logon Schemes screen in Style XP.

    The third column in the Logon Schemes screen lists the following settings:

    • Welcome Screen Select this check box to use the Windows XP logon screen feature. If this check box is not selected, you see the Classic Windows logon screen each time you log on to Windows XP, regardless of which logon scheme you have chosen. Similarly, if you have chosen to bypass logon, or you log on to a domain, the Windows XP welcome screen is never displayed.

    • Fast User Switching If more than one person commonly uses your computer, select this check box to enable Windows XP’s Fast User Switching feature. This feature enables you to switch to another user without closing the applications opened by the first user. (See the sidebar “Using Fast User Switching.”)

    • Always Rebuild Exe Select this check box to make Style XP rebuild the logon executable file each time you change the logon image. This is a precaution against introducing a virus into your computer that might have been embedded in the downloaded .exe file.

  2. Click Apply Logon, just below the preview window, to apply the logon to your computer. The next time you log on, you see the new welcome screen.

Using Fast User Switching
To use the Fast User Switching feature, click Start, point to Log Off, and then select Switch User. Windows XP displays the welcome screen and lists the user accounts that have been established on this computer. Select the user account logging on, enter the password, and click Go. The computer’s memory contents are saved to disk, and then the second user is given a new Windows XP desktop. This feature is unavailable if you aren’t using the Welcome Screen option or if you log on to a domain.
Using the Logon Tools

When the Logon Schemes screen is displayed, the third and fourth columns of buttons from the left of the window include the following Logon Tools for managing user accounts and for renaming, applying, adding, downloading, and deleting logon schemes:

  • User Manager Click this button to open the User Accounts program from Control Panel. You must have computer administrator rights to use this program.

  • Search Paths Click this button to open the Visual Style Search Paths dialog box, which you use to specify file folders in which you want Style XP to search for logon scheme files.

  • Rename Click this button if you want to save the current logon scheme under a different name.

  • Reset To XP Default Click this button to revert to the default Windows XP logon scheme.

  • Apply Logon Click this button to apply the logon scheme that you are viewing. The next time you log on, you see the newly selected welcome screen.

  • Add A New Logon Use this button to add a downloaded logon scheme to the list of available logon schemes. When you click this button, Style XP displays the Choose A Logon To Add dialog box, which you use to browse your computer and find the new style file. When you click Open, the logon scheme is added to the list of logon schemes in the Logon Schemes screen of the Style XP window. Style XP copies the logon scheme file to the \Windows\Resources\ Themes folder on your computer’s hard disk.

  • Download A New Logon When you click this button, Style XP launches your Web browser and opens the Logins page of the ThemeXP Web site (http://www.themexp.org/cat_login.php), from which you can download new logon schemes (see the next section).

  • Delete Selected Logon Click this button to delete the logon you are viewing—so be careful when using it.

Downloading New Styles, Themes, Backgrounds, and Logons

Perhaps the main reason to use a product such as Style XP is that it allows you to use a wide variety of Windows XP themes, styles, backgrounds, and logon schemes. Style XP itself comes with only a couple of new styles; consequently, you might want to find other sources of themes, styles, backgrounds, and logon schemes.

One good source of additional styles and backgrounds is the ThemeXP Web site, www.themexp.org which hosts visual styles, and backgrounds (commonly called wallpapers), logon schemes, and boot screens. The site is a cooperative effort, and many people have contributed files to it. There is no charge for downloading files, and you don’t need to register first. However, if you want to participate in the forums or create your own styles and backgrounds, you might want to become a member of this site. Links to this Web site are built into Style XP.

To download a new visual style or theme from the ThemeXP Web site, follow these steps:

  1. Open the Style XP window and click either Themes or Visual Styles to display the Themes screen or the Visual Styles screen, respectively. Both screens eventually take you to the same download screen.

  2. Click Download A New Style (or Theme, depending on what you selected in step 1) in the lower right quadrant of the window. Style XP launches your Web browser and displays the Visual Styles download page on the ThemeXP Web site, as shown in Figure 16-7.

    Figure 16-7  The Visual Styles download page of the ThemeXP Web site.
    Figure 16-7. The Visual Styles download page of the ThemeXP Web site.

  3. If you decide to register with the site, click Create An Account and fill out the registration screen.

  4. If the Visual Styles download page is not already displayed, click Visual Styles on the left side of the screen, in the Browse section of the Style XP window. Most of the files posted on the site are visual style files, but some are full-blown themes that include not only visual styles and backgrounds, but also might include icons, sound, and screen savers.

  5. The ThemeXP site provides the following five ways to sort the available styles:

    • Date Sorted in reverse chronological order, with the most recently posted files listed first

    • Downloads Sorted in descending order by number of downloads

    • Views Sorted in descending order by number of times someone has viewed the style on the Web site

    • Rating Sorted in descending order by user rating

    • Popularity Sorted in descending order by style popularity, which apparently takes into account frequency of recent downloads

  6. Scroll through the available styles. When you see one you would like to try, click Download to display the File Download dialog box.

  7. Because style and theme files can sometimes be large, ranging from 500 kilobytes (KB) to 2 megabytes (MB), click Save in the File Download dialog box to save the file to a local drive (rather than opening the file on the ThemeXP server). When the file has downloaded, click Open Folder in the Download Complete dialog box. Style XP opens the file in a Windows Explorer window.

  8. Each style or theme on the ThemeXP Web site is normally distributed as an .msstyles file or a compressed Zip file that contains an .msstyles file. Click Add A New Style in the Style Tools area of the Visual Styles window to display the Choose A Style To Add dialog box. Use this dialog box to navigate your computer’s storage to locate the folder where you downloaded the .msstyles file or the Zip file and double-click the downloaded file. Style XP installs the style or theme in the correct folder on your computer. The new styles (or themes) are added to the list of styles or themes in the Style XP window.

    If you see that the downloaded file is an .exe file, rather than an .msstyles or Zip file, you must run the file. In some cases, running this file extracts one or more .msstyles files that you can add to Style XP by clicking Add A New Style. In other cases, the .exe file is a setup program that adds the new style or theme to the list of available visual styles or themes in the Style XP window.

  9. Close any open Windows Explorer window. Close your Web browser. Select the new style or theme and close the Style XP window.

The procedures for downloading backgrounds and logon schemes are very similar to the steps for downloading styles and themes. When you click Download A New Background in the Style XP window, your Web browser opens and displays the Wallpapers download page of the ThemeXP Web site. After you download a background file, click Add A New Background and navigate to the folder you saved it in to install it in the %Systemdrive%\Windows folder.

Similarly, when you click Download A New Logon in the Style XP window, your Web browser opens and displays the Logins download page of the ThemeXP Web site. After you download a logon scheme file, click Add A New Logon and navigate to the folder you saved it in to install it in the %Systemdrive%\Windows\Resources\Themes folder.

Rotating Themes, Styles, Backgrounds, and Logons

If you have accumulated a nice selection of themes, styles, backgrounds, and logons, you might want to use them all by rotating through the list. Style XP enables you to change any of these parameters daily, or weekly, or even each time you log on.

To rotate themes, follow these steps:

  1. Open the Style XP window and click Rotate on the left side of the window to display the Rotation Lists screen, shown in Figure 16-8.

    Figure 16-8  The Rotation Lists screen.
    Figure 16-8. The Rotation Lists screen.

  2. Click Themes in the second column of buttons.

  3. In the Available list of themes in the lower half of the screen, click a theme that you want to include in the rotation and click Include>>. Style XP adds the name of the theme to the In Rotation list on the right side of the window. Repeat this step until all the themes you want to include in the rotation are listed on the right side of the screen. To remove a theme from the rotation list, click <<Exclude.

  4. Use the Move Up and Move Down buttons to adjust the order in which you want the themes to occur in the rotation.

  5. Click one of the following option buttons to determine the frequency with which the themes rotate:

    • Never Select this option to prevent rotation.

    • At Logon Select this option to cause a new theme to be used each time you log on to Windows XP.

    • Daily Select this option to rotate themes daily.

    • Weekly Select this option to rotate themes weekly.

The procedure for creating lists of rotating styles, backgrounds, or logons is nearly identical to the preceding steps for building a themes rotation list. Nevertheless, if you create a style rotation list or a background rotation list, theme rotation list settings are nullified. Instead, the styles and backgrounds are applied to the current theme, but the themes otherwise do not rotate.

Enabling and Disabling Third-Party Themes

When you first install Windows XP, you can use only Microsoft-supplied themes, such as the themes that ship with Windows XP and those that are included with Plus! You must install Style XP patches in memory in the system DLL, Uxtheme.dll, to enable use of third-party themes. However, you might sometimes want to revert to the default theme behavior without completely uninstalling Style XP.

To disable third-party themes, follow these steps:

  1. Start Style XP, click Options, and select Disable Style XP in the Style XP window. Style XP displays a warning message box that informs you that some of your themes (the non-Microsoft .msstyles files) might become unusable.

  2. Click Yes. The theme reverts to the default Windows XP theme.

To re-enable use of third-party themes, click Enable Style XP in the Style XP window. You also have to select a new theme, such as CoughDrop, to see any change.

Removing Style XP from the Notification Area

The Style XP icon in the taskbar’s notification area uses about 8 MB of system resources. Nevertheless, it is not necessary to keep this icon in the notification area to take advantage of the features of Style XP, as the program can be run from the Start menu.

To remove Style XP from system memory and from the taskbar’s notification area, right-click the icon in the taskbar and select Exit, or open Style XP and click Exit in the lower left corner of the window. Style XP closes and removes itself from memory and from the taskbar’s notification area. Themes and styles that you have applied through Style XP are not affected. If you want to make further adjustments with Style XP, you must open the program from the Start menu. The next time you restart Windows XP, the Style XP icon reappears in the notification area of the taskbar.

To prevent Style XP from running in memory at Windows startup, start Style XP, click Options, select Use No Resources in the Style XP window, and then click Exit. Style XP closes and removes itself from memory and from the taskbar’s notification area. The next time you restart Windows XP, the Style XP icon is not installed in the notification area.

To re-enable Style XP so it runs in memory and appears in the notification area, start Style XP, click Options, select Run At Startup, and click Exit. The next time you restart Windows XP, the Style XP icon again appears in the notification area.

WindowBlinds

Another popular non-Microsoft program for changing the appearance of Windows XP (versions are also available for Windows 98, Windows Me, and Windows 2000) is WindowBlinds from Stardock. WindowBlinds takes advantage of the visual style engine of Windows XP to enable you to change the visual style of title bars, buttons, toolbars, title bars, scroll bars, buttons, the Start button, icon text, borders, dialog box backgrounds, and other elements for all Windows-based programs, even those originally written for Windows 95. A 30-day evaluation shareware copy of WindowBlinds is included on the companion CD to this book and is also available for download from the Stardock Web site (http://www.stardock.com/products/windowblinds/download.html).

NOTE
WindowBlinds does not modify Uxtheme.dll in memory as Style XP does, but it does intercept paint calls that would normally be directed to Uxtheme.dll by Windows XP and redirects them to its own Wblind.dll, which then uses Uxtheme.dll or built-in functions to handle painting. In addition, WindowBlinds can redirect all programs to use new buttons, scrollbars, menus, and so on.

WindowBlinds enables you to change the visual style of Windows XP by adding skins, which are equivalent to the visual styles that Style XP applies. Thousands of skins are available for download from Stardock. Using Stardock SkinStudio, also available for download, you can edit downloaded skins, or even create your own skins for use with WindowBlinds.

NOTE
WindowBlinds is just one component of Stardock’s Object Desktop suite, a comprehensive graphical user interface (GUI) environment. If you like WindowBlinds, you might want to try the entire suite of products. Trial versions of several Object Desktop tools are included on the companion CD to this book (see the sidebar “CD Bonus,” earlier in this chapter).
Installing WindowBlinds

To install WindowBlinds, follow these steps:

  1. If you have installed a previous version of WindowBlinds, disable it by setting the current skin to Windows Classic or uninstalling WindowBlinds before installing a new version. Then launch the WindowBlinds setup program on the companion CD or download the software and run the WindowBlinds setup program.

  2. In the Unloading WindowBlinds screen, click Yes, I Have Unloaded WindowBlinds, then in the welcome screen, click Next.

  3. In the Choose Destination Location screen, the WindowBlinds default installation folder is %Systemdrive%\Program Files\Object Desktop\WindowBlinds folder. Click Next.

  4. The Installing screen shows the Current File and All Files progress during installation.

  5. When the Installation Complete screen displays, click Finish. If prompted to reboot your computer, click Yes or OK. If not, reboot your computer manually.

Enabling and Disabling WindowBlinds

After you install WindowBlinds, it is enabled and ready to use. However, you might want to remove it from memory occasionally because of incompatibility with other programs you use.

To remove WindowBlinds from memory, click Start and point to All Programs (Programs if using the Windows XP Classic view), Object Desktop, WindowBlinds, and finally select Unload WindowBlinds.

To enable WindowBlinds again, follow these steps:

  1. Right-click anywhere on the Windows XP desktop and from the shortcut menu, choose Properties.

  2. In the Display Properties dialog box, click the Appearance tab. Select a WindowBlinds desktop from the Windows And Buttons drop-down list, and then click Apply.

To uninstall WindowBlinds, click Start and point to Programs, Object Desktop, WindowBlinds, and then select Uninstall WindowBlinds.

Selecting Skins

WindowBlinds enables you to use the Appearance tab of the Display Properties dialog box in Windows XP to add, delete, and select skins. In addition, the registered version of WindowBlinds adds a proprietary user interface.

To apply a skin to Windows XP programs, follow these steps:

  1. Click Start, point to Control Panel, Appearance And Themes, and finally select Display to open the Display Properties dialog box. Click the Appearance tab to display the dialog box shown in Figure 16-9.

    Figure 16-9 The Appearance tab of the Display Properties dialog box, with WindowBlinds enabled.
    Figure 16-9. The Appearance tab of the Display Properties dialog box, with WindowBlinds enabled.

  2. WindowBlinds uses the Windows And Buttons drop-down list on the Appearance tab of the Display Properties dialog box to select skins. Click this drop-down list to display a list of available skins. Before you install WindowBlinds, the two choices in this drop-down list are Windows Classic Style and Windows XP Style. However, when you install WindowBlinds, it adds additional skins to this list. For example, WindowBlinds adds the Aquarium skin, which creates title bars, scroll bars, and even a Start button that appears to contain tiny tropical fish in an aquarium. (Note that if you have Plus!, you can still use the one of the Plus! Aquarium backgrounds and the Plus! Aquarium screen saver along with the Aquarium skin.)

  3. Click Apply to apply the skin. WindowBlinds applies the new skin to the taskbar and any open program. When you close the Display Properties dialog box, WindowBlinds might prompt you to restart Windows to fully install the new skin.

    POWER TIP
    You might notice that the Display Properties dialog box matches the new color scheme, but it doesn’t take on all aspects of the new skin. This is a precaution in case a new skin is incompatible with Windows XP or some of its components. Because the Display Properties dialog box is not affected by the problem, you will be able to use the dialog box to apply a different skin.

Notice that WindowBlinds has added five extra buttons in the lower right portion of the Display Properties dialog box (as shown in Figure 16-9). To activate the new WindowBlinds buttons in the Display Properties dialog box, you have to select a WindowBlinds skin in the Windows And Buttons drop-down list. If you click one of these five new buttons before first selecting a WindowBlinds skin, a message box announces, “You must be using a WindowBlinds skin first.” After you choose a WindowBlinds skin, the five new buttons become active. The operation of each of these buttons is explained in the following sections.

Advanced WindowBlinds Configuration

If you are using the shareware version of WindowBlinds, you have to open the Display Properties dialog box before you can select a different WindowBlinds skin. However, if you have purchased the registered version of WindowBlinds, after you have selected a WindowBlinds skin for the first time using the Display Properties dialog box, WindowBlinds installs a WindowBlinds icon, shown here, in the notification area of the taskbar:

Double-clicking this icon in the notification area of the taskbar displays the WindowBlinds Advanced Configuration dialog box (shown in Figure 16-10 with the Aquarium skin applied). You can also display this dialog box by clicking WindowBlinds on the Appearance tab of the Display Properties dialog box. (This feature might not be available in the shareware version of WindowBlinds.)

Figure 16-10  The WindowBlinds Advanced Configuration dialog box.
Figure 16-10. The WindowBlinds Advanced Configuration dialog box.

The upper half of the WindowBlinds Advanced Configuration dialog box contains a scrolling list of available skins. In addition to the Windows And Buttons drop-down list in the Display Properties dialog box, you can use this scrolling list to select a skin. After you select a skin, click Apply Changes.

Other buttons available in the WindowBlinds Advanced Configuration dialog box include the following:

  • Install Skin From Disk This button opens the Install Skin From Disk dialog box, which you use to locate skin files that you either have downloaded or have created yourself (using Stardock’s SkinStudio). When you find and open the new skin files, WindowBlinds adds them to the skins in this scrolling list as well as in the Display Properties dialog box. WindowBlinds installs the new skin in a new subfolder in the %Systemdrive%\Program Files\Object Desktop\ WindowBlinds folder.

  • Install Skin From The Web This button launches your Web browser and opens the WindowBlinds Web site (http://www.windowblinds.net), from which you can download additional skins, as discussed in the next section.

  • Find Skin Click this button, type a few letters of a skin’s name, and press Enter to quickly search the list of available skins.

  • Delete This Skin Click this button to remove a skin from the list of available skins. Be aware that deleting the skin from the list also deletes the corresponding files from the %Systemdrive%\Program Files\Object Desktop\WindowBlinds folder.

  • Custom Colour When you click this button, WindowBlinds displays the Custom Skin Colour dialog box, which you use to change colors for skins that support user-selectable color (a feature that is not available in the shareware version of the software). The drop-down list to the left of this button sometimes displays a drop-down list of several versions of the same skin when the skin is supplied in multiple versions.

  • Preview Skin Click this button to preview the selected skin.

  • Unload WindowBlinds If you select this option, WindowBlinds closes the configuration window and unloads itself from memory.

  • Apply Changes Click this button to apply all the changes you have made in this dialog box.

Changing WindowBlinds Settings

You can customize the way WindowBlinds operates. To change the settings of WindowBlinds, follow these steps:

  1. Click WindowBlinds on the Appearance tab of the Display Properties dialog box, or click the WindowBlinds icon in the notification area of the taskbar. WindowBlinds opens the WindowBlinds Advanced Configuration dialog box.

  2. Click Settings on the left side of the dialog box to display the Settings screen, shown in Figure 16-11.

    Figure 16-11  The Settings screen in the WindowBlinds Advanced Configuration dialog box.
    Figure 16-11. The Settings screen in the WindowBlinds Advanced Configuration dialog box.

  3. Using the check boxes in this screen, specify to which screen elements the skins should be applied: standard window buttons, taskbar buttons, toolbar buttons, menu borders, progress bar controls, tab controls, scrollbars (except Internet Explorer), the status bar, menu background, dialog backgrounds, and Explorer backgrounds.

  4. Use the group of check boxes labeled Enhance Desktop Elements to select any of the following options:

    • Make 3D Toolbars Flat Style (If Not Skinned)

    • Make Desktop Icon Text Backgrounds Transparent

    • Apply The Skins Colour Scheme (Recommended)

    • Apply Any Wallpaper Supplied

    • Apply Any Icon Packages Supplied (IP Required)

    • Use Skin Sounds (If Any)

    • Use Windows XP Style Explorer Bars

    • Skin The Quicklaunch Taskbar Buttons

  5. Click Advanced in the Settings screen to display the Advanced Settings dialog box, shown in Figure 16-12.

    Figure 16-12  The Advanced Settings dialog box.
    Figure 16-12. The Advanced Settings dialog box.

  6. Use these options in the Advanced Settings dialog box to customize how skins affect Windows Explorer:

    • Use A Custom Colour For Explorer Text

    • Show Inactive State For Explorer Backgrounds

    • Make Explorer Backgrounds “Semi-Transparent”

  7. Click OK to apply the changes and close the window.


Chapter 17 - Tools for File Compression and Virus Protection

Chapter 17
Tools for File Compression and Virus Protection

Each new release of Windows includes more file management capabilities. Microsoft Windows XP Explorer enables you to perform nearly every function required to work with the files on your computer. One recent addition to Windows is the capability to compress your data files to take less space and transfer more quickly online. In this chapter we examine this built-in Windows tool and then take a look at the added file compression features of the third-party tool WinZip.

For reasons that can only be understood by the perpetrators themselves, an increasing number of hackers seem determined to generate computer viruses at an accelerating pace. Windows XP does have some features (such as firewalls) that help protect against infiltration by potentially damaging programs such as viruses, worms, and Trojan horses; however, your system can still be vulnerable. In addition to file compression, this chapter covers virus protection software created for Windows by third-party vendors, focusing specifically on the innovative McAfee VirusScan Online. File compression and virus protection are two important aspects of both file management and overall system management.


File and Folder Compression Tools

Most longtime PC users would agree that file transfer speeds are never too fast. Even if you have a Digital Subscriber Line (DSL) or cable modem connection to the Internet, uploading a large file can sometimes seem to take forever. Similarly, hard disks are never too big. Today’s hard disks are often 40 gigabytes (GB) or larger, but multimedia files can eat up space in no time. Fortunately, Windows XP provides several ways to compress files and folders to speed up file transfer and use less hard disk space. Third-party file compression utilities have been around since the early days of PCs, but today’s file compression utilities offer even more convenience and ease of use.

The next several sections of this chapter discuss the built-in NTFS file compression and zipped folders, and examine WinZip, the most popular third-party file compression utility.

NTFS Compression

In Chapter 4, “Tools for Protecting Data Files,” we examined how to use the NTFS file system (NTFS) to encrypt data. If your computer’s hard disk is formatted using NTFS, you can save disk space by compressing folders or even the entire drive.

Compressing Folders and Files

To compress one or more files or folders using NTFS, follow these steps:

  1. Open Windows Explorer.

  2. Navigate to and select the files or folders that you want to compress.

  3. Right-click the selected files or folders. You can select multiple files or folders to be compressed simultaneously.

  4. From the shortcut menu, select Properties to display the Properties dialog box.

  5. On the General tab, click Advanced to display the Advanced Attributes dialog box, shown in Figure 17-1.

    Figure 17-1  The Advanced Attributes dialog box.
    Figure 17-1. The Advanced Attributes dialog box.

  6. Select the Compress Contents To Save Disk Space check box.

    POWER TIP
    The NTFS compression and encryption features are mutually exclusive. If you choose to compress a folder, encryption is not available, and vice versa.

  7. Click OK to close the Advanced Attributes dialog box, and then click OK again to close the Properties dialog box. The compression process begins.

    If you are compressing a folder that contains subfolders, the Confirm Attribute Changes dialog box displays the following options. Select one of these two options, and then click OK.

    • Apply Changes To This Folder Only Select this option to compress the selected folder, but not its subfolders.

    • Apply Changes To This Folder, Subfolders And Files This option, the default, compresses the selected folder as well as its subfolders and all files contained in the folder or subfolders.

    If you have selected both files and folders to be compressed, the Confirm Attribute Changes dialog box displays the following options. Select one of these two options, and then click OK:

    • Apply Changes To The Selected Items Only Select this option to compress the selected folders, but not their subfolders.

    • Apply Changes To The Selected Items, Subfolders And Files This option, the default, compresses the selected folders as well as their subfolders and all files contained in the folder or subfolders.

When you click OK to start the compression process, Windows XP displays the Applying Attributes message box with a progress bar that indicates the approximate time to completion. When the compression is complete, the folder and files are still listed in Windows Explorer just as before, except that the file and folder names might be listed in a different color.

POWER TIP
To cause Windows XP to list the names of compressed files in an alternate color, open the Tools menu of any folder, and then select Folder Options. Click the View tab, and in the Advanced Settings area, select the Show Encrypted Or Compressed NTFS Files In Color check box.

After you have applied NTFS file compression, Windows XP enables you to use the folder and files contained in the folder in the same manner as uncompressed folders and files. Processing might be slowed somewhat, however, because of the additional overhead involved in compressing and uncompressing files.

If you want to see how much Windows XP was able to compress a folder or file, right-click it and select Properties to display the Properties dialog box. Note the Size parameter listed in the Properties dialog box. Note also the Size On Disk parameter listed just below the Size parameter. Before compression, these sizes are usually the same, or sometimes the Size On Disk value is a little bigger than the Size value. After NTFS compression, however, the Size On Disk value will be smaller. The difference in these values is the result of the compression. Don’t be surprised if file compression saves more space with some files and folders than with others. The contents of some files can be compressed more substantially than others, depending on the type of file that you are compressing.

The steps for removing NTFS compression from files or folders are nearly identical to the steps just described. Simply clear the Compress Contents To Save Disk Space check box selected in step 6. Click OK three times, and Windows XP removes the compression and returns to Windows Explorer.

Compressing a Disk Drive

To get the maximum space savings from NTFS compression, you can compress an entire disk drive by following these steps:

  1. Open Windows Explorer and right-click the drive you want to compress, and then select Properties from the shortcut menu. In this example we are using drive C.

  2. On the General tab of the Properties dialog box, select the Compress Drive To Save Disk Space check box, and then click OK.

  3. In the Confirm Attribute Changes dialog box, select one of the two options described next, and then click OK.

    • Apply Changes To C:\ Only Select this option to compress the selected drive, but not its subfolders. (You will notice little gain in additional space, because this option compresses only the few files in the root of the drive.)

    • Apply Changes to C:\, Subfolders and Files This option, the default, compresses the selected drive as well as its subfolders and all files contained in the subfolders.

  4. The Applying Attributes message box with a progress bar indicating the approximate time to completion is displayed. When compression is complete, the drive, folders, and files are still listed in Windows Explorer just as before, except that they might be listed in a different color.

NOTE
Applying NTFS compression to an entire drive can take a very long time. If you start the compression and see that the estimated time of completion is longer than you expected, you can cancel the operation by clicking Cancel. Be patient, however, because the cancellation command might take several minutes to execute.
Windows XP Zipped Folders

The most common purpose for using file compression is to facilitate the transfer of multiple files over the Internet.

Today, the most popular compressed file format used for file transfer is the Zip format first introduced by the late Phil Katz in his PKZIP shareware software. Files compressed in this format have the file name extension .zip and are known as zipped files. Most downloadable software products are distributed as zipped files. Windows XP is the first version of Windows to include built-in support for zipped files. The next three sections of this chapter describe how to use the Windows XP zip compression feature.

Many software products now support the zip file format for file compression. The most popular third-party utility for zip compression is the shareware program WinZip from WinZip Computing Inc. After covering the Windows XP zip compression feature, this chapter also covers the basic features of WinZip.

Creating a Zipped Compressed Folder

Windows XP enables you to create a zipped compressed folder in Windows Explorer. To do so, follow these steps:

  1. In Windows Explorer, select the drive or folder in which you want to create a new zipped compressed folder.

  2. From the File menu, select New, and then select Compressed (Zipped) Folder. The program adds a zipped folder icon with the name New Compressed (zipped) Folder.zip. If Compressed (Zipped) Folder is not available on the New menu, it means that you have not used this feature yet and it hasn’t been added to the New menu. Right-click a folder you want to zip, and from the shortcut menu, select Send To, and then select Compressed (Zipped) Folder. Now when you select File, New, this selection is available. Figure 17-2 shows a default New Compressed (Zipped) Folder.zip file. Notice the zipped folder icon.

    Figure 17-2  A new zipped compressed folder icon in Windows Explorer.
    Figure 17-2. A new zipped compressed folder icon in Windows Explorer.

  3. The folder name will be selected. Type the name you want, but be careful not to change the .zip file name extension. (If you haven’t configured file folders to display the file name extension, this is not an issue.) After typing the desired file name, press Enter.

  4. Double-click the new zipped compressed folder’s name to open the folder. Explorer displays a window similar to the one shown in Figure 17-3.

    Figure 17-3  A new zipped compressed folder window in Windows Explorer.
    Figure 17-3. A new zipped compressed folder window in Windows Explorer.
NOTE
It might seem contradictory that you just created a zipped compressed folder but then gave this item a file name with a .zip extension. This item is a folder in the sense that it can hold other folders and files, just as any other Windows folder. However, a compressed zipped folder is treated as a file in the file allocation table (FAT32 or NTFS) database and by the Windows file association database. If you change the file name extension to something other than .zip, Windows no longer treats this file as a zipped compressed folder. It’s also important to remember that if you have any third-party “zip” utilities, such as WinZip, this may affect the zipped folder’s functionality and its available options or menu selections.
Adding Files to a Zipped Compressed Folder

After you have created a zipped compressed folder, you can use it much like any other folder in My Computer. You can add files and folders by dragging. Drag the file or folder that you want to add into the zipped compressed folder or into an open zipped compressed folder window.

There are several ways to see the compressed size of the zipped folder. When viewing the folder that contains the zipped folder, the file size is displayed along with the file name (in Tiles view and in Details view). If you have opened a zipped compressed folder window, select Details from the View menu to see the date last modified and the file size.

Password Protecting Zipped Compressed Folders

If you plan to use zipped compressed folders to electronically distribute files, you might want to add password protection. To password protect a zipped compressed file, follow these steps:

  1. Select a zipped compressed file folder in Windows Explorer.

  2. From the File menu, select Add A Password to display the Add Password dialog box.

  3. Type the password in the Password text box and the Confirm Password text box and then click OK.

After adding the password, you can list the names of the folders and files contained in the zipped folder without the password. However, you have to supply the password to extract any of the files or folders contained in the zipped folder.

CAUTION
Password protecting a zipped compressed folder does not prevent someone without the password from renaming or even deleting the folder.

To remove a password from a zipped compressed file, follow these steps:

  1. Select the zipped compressed file folder in Windows Explorer.

  2. From the File menu, select Remove Password to display the Password Needed dialog box.

  3. Type the folder’s password in the Password text box and click OK.

Extracting Files from a Zipped Compressed Folder

Unlike NTFS file compression, described earlier in this chapter, it is more convenient in some situations to extract (uncompress and copy) a file from a zipped compressed file into a normal folder before using it. The easiest way to extract a file is to drag the file’s icon to the desktop or to another folder in an Explorer window. If the zipped file is password protected, enter the password in the Password Needed dialog box and click OK.

You can also use the Extraction Wizard to extract all the files in a zipped compressed file. In Windows Explorer with the Tasks pane enabled, follow these steps:

  1. Double-click the zipped compressed folder from which you want to extract files to open the zipped compressed folder window.

  2. Click the Extract All Files link in the Folder Tasks section on the left to start the Extraction Wizard. On the welcome screen, click Next.

  3. On the Select A Destination screen, type the destination folder name in the text box provided, or click Browse to navigate to an alternate destination.

  4. If the zipped compressed file is password protected, click Password and enter the password in the available text box.

  5. After you have specified a destination (and a password, where applicable), click Next. The wizard extracts all the files and folders contained in the zipped compressed folder to the destination folder, and displays the Extraction Complete screen.Click Finish to close the wizard. A Windows Explorer window opens, listing the extracted files.

NOTE
The Tasks pane in Windows Explorer toggles on and off by clicking the Folders toolbar button.
Deleting a Compressed Folder

You can delete a compressed folder just as you would delete any file or folder using Windows Explorer or even from the command line.

WinZip Tool for File Compression

One of the first zipped file compression program for Windows, WinZip, is still the most popular. This shareware program is not included on the companion CD to this book, but an evaluation version is available for download (http://www.winzip.com). WinZip adds many convenient features to the basic zipped compression features now included as a standard feature in Windows XP. For example, WinZip supports several other compressed formats, such as Windows .cab files, and enables creation of self-extracting .exe files. What’s more, WinZip adds many of its features to Windows Explorer so that you can compress files and folders without leaving your favorite file management tool.

A Brief History of Zipping
Almost from the beginning, shareware software utilities have been available that enable users to combine several files into one large file. Soon, these utilities added file compression. In some cases, the compressed file is less than 10 percent of the original file’s size. In 1985, early in the PC revolution, SEA, a partnership of Thom Henderson and Andy Foray, released ARC, which enabled avid PC users to combine several electronic files into a single archive file while using powerful algorithms to compress the size of the archive file. A few years later, around 1989, Phil Katz started PKWare to publish PKARC, a more user-friendly competitor to ARC. After a few legal skirmishes between SEA and PKWare, Katz changed the name of his product to PKZIP and changed the file name extensions from .arc to .zip. Zipped files soon became the de facto standard. PKWare eventually released the PKZIP algorithms to the public and published an application programming interface (API). The compression algorithms used by Windows XP and WinZip comply with this industry standard. WinZip was one of the first programs to bring zipped files to Windows users.
Installing WinZip

To install the evaluation version of WinZip, first download the Setup file and then follow these steps:

  1. Run the Setup file to display the WinZip Setup dialog box, and then click Setup.

  2. Setup prompts you to specify an installation folder or accept the default folder, %Systemdrive%:\Program Files\WinZip, where %Systemdrive% is the drive where the folder is located. Accept the default, specify a folder, or click Browse and select a folder, and then click OK.

  3. On the WinZip Quick Start screen, click Next.

  4. On the License Agreement and Warranty Disclaimer screen, view the license agreement and click Yes to accept it.

  5. On the next WinZip Quick Start screen, you can click Print Quick Start to print out quick start instructions or click View Quick Start to view an on-screen overview of WinZip, its purpose, and operation. After viewing or printing quick start information, click Next.

  6. On the Select “Wizard” Or “Classic”, Then Click “Next” screen, the following choices are presented:

    • Start With The WinZip Wizard Choosing this option causes WinZip to start each time in a wizard mode.

    • Start With WinZip Classic Selecting this option causes WinZip to start each time in a mode that is similar to Windows Explorer. The examples shown in this chapter use this classic mode.

  7. Select the Start With WinZip Classic option, and then click Next.

  8. On the Click “Next” To Proceed screen, the following choices are presented:

    • Express Setup (Recommended) Select this option to have the setup program automatically assign file associations, program group, and desktop icons. The examples in this chapter assume this choice.

    • Custom Setup (For Advanced Users) If you are an experienced WinZip user and have a special application for WinZip, you can use this option to do a customized setup.

  9. Select the Express Setup (Recommended) option, and then click Next.

  10. Even if you select Express Setup in step 9, the next screen still provides the option to click Associations to see the list of compressed file types that can be handled by WinZip, as well as the programs that are currently associated with these file extensions, as shown in Figure 17-4. Note that before installing WinZip, the .zip extension is already associated with the program rundll32, a Windows XP system program. After you install WinZip, each of these file name extensions will be associated with WinZip unless you clear these check boxes. If you open the WinZip Associations screen, click OK to continue, and then click Next.

    Figure 17-4  WinZip file type associations.
    Figure 17-4. WinZip file type associations.

  11. On the final WinZip setup screen, click Finish.

  12. WinZip then shows a WinZip Tip Of The Day window. On the left side of this window, click the drop-down button, select from the following options, and then click Close:

    • Show Tips At Startup If Not Opening An Archive

    • Always Show Tips At Startup

    • Never Show Tips At Startup

After you try WinZip, if you decide to buy the program, you are issued a registration code. To enter the code, from the Help menu, select Enter Registration Code to display the Register WinZip dialog box. Type your name and the registration number in the corresponding text boxes and click OK twice. On the next screen, view the licensing agreement. If you agree to the license, click Yes.

Figure 17-5 shows the WinZip window in Classic mode.

Figure 17-5  The WinZip window in Classic mode.
Figure 17-5. The WinZip window in Classic mode.

To switch to the WinZip Wizard, from the File menu, select Wizard. The WinZip Wizard appears, as shown in Figure 17-6.

Figure 17-6  The WinZip Wizard welcome screen.
Figure 17-6. The WinZip Wizard welcome screen.

Although you can use both WinZip Classic view and the WinZip Wizard to compress and extract files and folders, the most convenient way to use WinZip is from within Windows Explorer. The sections that follow focus primarily on how to use these Windows Explorer enhancements.

Creating a Compressed Folder

One of the most common uses of file compression is to reduce the size of a large file that you want to e-mail to someone. To compress one file using WinZip, follow these steps:

  1. In Windows Explorer, right-click the file that you would like to compress.

  2. From the shortcut menu, select WinZip, and then Add To Zip filename.zip, where filename is the name of the file you are compressing. WinZip creates the compressed file and stores it in the same folder as the uncompressed file.

For example, assume that you want to e-mail to a colleague a PowerPoint presentation file named MyPresentation.ppt. Because the file is rather large, you want to use WinZip to compress the file. Using Windows Explorer, open the folder that contains MyPresentation.ppt and right-click the file’s icon to display the shortcut menu. From the shortcut menu, select WinZip, Add To MyPresentation.zip. In the file’s original folder, WinZip creates the new zipped file (MyPresentation.zip). Notice that files created by WinZip are denoted by icons that resemble a file cabinet in a vise, as shown here:

You might have several files that you want to distribute together online or on disk. To use WinZip’s Windows Explorer enhancements to create a compressed file containing multiple files, follow these steps:

  1. In Windows Explorer, select all the files that you would like to compress into a single zipped file, and right-click one of the selected files.

  2. From the shortcut menu, select WinZip, and then Add To Zip File. WinZip displays the Add dialog box, as shown in Figure 17-7. Notice that WinZip indicates near the top of the dialog box the number of files that are being added to the zipped (archive) file.

    Figure 17-7  The WinZip Add dialog box.
    Figure 17-7. The WinZip Add dialog box.

  3. In the Add To Archive text box, type the path and file name of the zipped file that you want WinZip to create. By default, WinZip includes the path of the current folder in this text box.

  4. Click Add. WinZip displays a message box listing the files as they are added, and also displays a progress bar at the bottom of the WinZip application. When all the selected files have been compressed and added, WinZip opens a WinZip window and lists the names of the compressed files.

A WinZip window in Classic view resembles a My Computer window in Classic view. It has the following columns:

  • Name The left column lists the file names.

  • Modified This column lists the date each file was modified.

  • Size This column lists the size of the original uncompressed files.

  • Ratio This lists the compression ratio as a percentage.

  • Packed This column lists the compressed size of each file.

  • Path This column lists the path of each file. By default, the path stored is relative. Files that you drop directly into the zipped folder will have no path listed in the Path column. If you drop an existing folder into a zipped file, the original name of the folder you dropped will be listed in the Path column for each of the files that originated in that folder. When you extract these files and folders, their relative path relationship is maintained in the target folder. When you add a file or folder to a zipped file, you have the option of storing the absolute path of the file or folder.

Adding Files and Folders to a Zipped File

After you have created a zipped compressed file, you might want to add one or more additional files, or even entire folders to the zipped file. There are several ways to add files and folders to a zipped file, but the easiest method is to open the existing folder in a WinZip window and then drag files and folders into this window.

To add files or folders to an existing zipped file, follow these steps:

  1. In Windows Explorer, double-click the zipped folder to which you want to add a file or folder. Because WinZip associates itself with the .zip file name extension, WinZip starts and opens the zipped file, as shown in Figure 17-8. Alternatively, right-click the WinZip file and select Open With WinZip from the shortcut menu.

    Figure 17-8  An existing zipped folder opened in a WinZip window.
    Figure 17-8. An existing zipped folder opened in a WinZip window.

  2. Leave the WinZip window open. In a Windows Explorer window, open the folder that contains the file or folder that you would like to add to the existing zipped file. Drag the files or folders into the open WinZip window. WinZip opens the Add dialog box (previously shown in Figure 17-7).

  3. The WinZip Add dialog box provides many options when adding files or folders to a zipped file; however, the default options will suit most of your needs. Click Add to copy the file or folder to the compressed file.

Creating Self-Extracting Files

Versions of Windows prior to Windows XP did not include native support for zipped compressed files. Some of your correspondents might not be using either Windows XP or WinZip, therefore it is likely that at some point you will want to send a zipped file to someone who doesn’t have a program to extract the files you are sending. If you have purchased a full license for WinZip, you can easily use the included WinZip Self-Extractor Personal Edition (not included in the evaluation version) to create a self-extracting executable file that users can run on their computers to extract the file, whether they own WinZip or not. The setup programs of many shareware products and the downloadable trial versions of some commercial software products are distributed in self-extracting zipped files.

To create a self-extracting zip file, follow these steps:

  1. Use WinZip (or any program that will create a zipped file) to create a zipped file that contains all the files you want to distribute together.

  2. In Windows Explorer, right-click the zipped file you want to distribute. From the shortcut menu, select WinZip, and then Create Self-Extractor (.Exe). Alternatively, if the zipped file is already open in WinZip, select Make .Exe File from the Action menu. WinZip displays the WinZip Self-Extractor Personal Edition dialog box.

  3. In the Default “Unzip To” Folder text box, provide the folder name you want the self-extracting zip file to extract to. If you leave this text box blank, the files are extracted to the folder specified by the TEMP environment variable of the computer on which the folder is being extracted. Users who later run the self-extracting file will be prompted to choose another “Unzip To” folder in case they do not want the files extracted to the TEMP folder. In Windows XP, the default TEMP environment variable is the following folder on the same drive on which Windows is installed, where Username is the name of the current user:

    %Systemdrive%\Documents and Settings\%Username%\Local Settings\Temp

  4. If you plan to distribute files on removable media, such as floppy disks, even a zipped file might be too large to fit on a single medium. WinZip enables you to create self-extracting files that span two or more removable media. Choose from the following Spanning Support options:

    • No Spanning Select this option, the default, if you are not planning to copy the self-extracting executable file to a removable medium, or if you are certain that the file will fit on a single medium.

    • Safe Spanning Method Select this option if you want WinZip Self-Extractor Personal Edition to write the self-extracting files on two or more removable media. WinZip copies two files to the first medium: a zipped file containing the first portion of the compressed files, and a small executable (.exe) file containing the code necessary to extract the compressed data. WinZip copies to subsequent media zipped files containing the remaining compressed files.

    • Old Spanning Method This option causes WinZip to install a single file with the .exe file name extension on each medium. However, only the file on the first medium actually contains the executable code necessary to extract the compressed files. Consequently, a user might inadvertently try to run one of the .exe files that doesn’t contain executable code with unpredictable results.

  5. The user who later runs the self-extracting file will be given a choice whether to overwrite files (that have the same name) that already exist on his or her computer in the target “Unzip To” folder. The Overwrite By Default check box in the WinZip Self-Extractor Personal Edition dialog box determines whether the user’s Overwrite Files Without Prompting check box will be selected or cleared by default.

  6. Click OK. If you are not using a spanning method, go to step 8. If you have chosen one of the spanning methods, WinZip prompts you to insert the first removable disk in the drive.

  7. If the disk already contains data, you can select the Erase Any Existing Files On The New Disk Before Continuing check box to erase the existing data. Insert the disk and click OK. WinZip Self-Extractor begins to create the spanning zip file. When prompted, insert additional disks. Be sure to label each disk in numerical order. WinZip indicates the files that are being copied and shows the cumulative progress in a message box similar to the one shown in Figure 17-9. After all files are copied, WinZip Self-Extractor Personal Edition prompts you to insert disk 1 again so that it can complete the process. Go to step 9.

    Figure 17-9  WinZip Self-Extractor creating a spanning Zip file.
    Figure 17-9. WinZip Self-Extractor creating a spanning Zip file.

  8. When WinZip Self-Extractor Personal Edition has finished creating the self-extracting file, it displays a message box informing you that it has successfully created the .exe file. This message box also advises you to test this file before distributing it. To test the file, click Yes.

  9. When the file runs, it opens a dialog box similar to the one shown in Figure 17-10. By default, WinZip Self-Extractor unzips (extracts) all files to the default TEMP directory that is listed in the Unzip To Folder text box. The user can specify a different folder either by typing the folder path and name in the text box, or by clicking Browse and navigating to an alternate location. By default, WinZip Self-Extractor overwrites files with the same names in the same folder. The user can clear the Overwrite Files Without Prompting check box to prevent automatic file overwriting.

    Figure 17-10  The WinZip Self-Extractor Unzip dialog box.
    Figure 17-10. The WinZip Self-Extractor Unzip dialog box.

  10. To begin the extraction process, click Unzip. As WinZip unzips files, it displays a progress bar at the bottom of the message box. If the zipped data spans multiple media, WinZip prompts you to insert each medium in numerical order. When all files have been extracted, WinZip Self-Extractor displays a message box that indicates the number of files that have been extracted. Click OK to close the message box. Click Close to close the Unzip dialog box.

WinZip Self-Extractor
The registered version of WinZip includes WinZip Self-Extractor Personal Edition, which can be used to distribute self-extracting zipped files under the terms of the WinZip license agreement. If you intend to use WinZip Self-Extractor to distribute executable software, you need to purchase the full WinZip Self-Extractor product, which includes the following features:

  • Options to automate and customize software installation including specifying an icon and text for the dialog box that displays during extraction, and automatic removal of temporary files no longer needed after software installation. The industry standard InstallShield 3 SETUP program is also supported.

  • The option to run a command when extraction is completed.

  • The ability to create self-extracting files from the command prompt.

  • Program messages in English, German, French, or Japanese.

  • A wizard for building self-extracting files.

Extracting Zipped Files

As noted earlier in this chapter, it is often most convenient to unzip a zipped file before using it. WinZip does, however, integrate itself sufficiently with Windows Explorer to enable you to view the contents of a zipped file without needing to open WinZip. Simply select the zipped file in the Folders pane on the left side of the Windows Explorer window. The contents of the zipped folder are listed in the Name column (shown in Details view) on the right side of the window, as shown in Figure 17-11. If the zipped file doesn’t appear as a folder icon in the Folders pane, right-click the zipped file icon in the Name column on the right side of the window and click Explore on the shortcut menu. WinZip adds the zipped folder icon to the Folders pane and lists the contents of the zipped file in the right-hand column.

Figure 17-11  The contents of a zipped compressed file listed in a Windows Explorer window.
Figure 17-11. The contents of a zipped compressed file listed in a Windows Explorer window.
Extracting All Files

If you want to unzip all the files contained in a particular zipped file, the easiest method is to do so in Windows Explorer by following these steps:

  1. In Windows Explorer, open the folder that contains the zipped file you want to extract and right-click it. From the shortcut menu, select WinZip to display a submenu of WinZip commands.

  2. From the WinZip submenu, select one of the following commands to unzip all the files contained in the zip file:

    • Extract To Select this command to display the WinZip Extract dialog box, shown in Figure 17-12. Type a path in the Extract To text box, or use the Folder/Drives list to locate the folder into which you would like to extract the files. Use the New Folder button to create a new folder for the extracted files. Use the following check boxes on the left side of the dialog box to control how WinZip deals with existing files:

      • Overwrite Existing Files This option causes WinZip to overwrite existing files with files of the same name in the target folder.

      • Skip Older Files This option causes WinZip to automatically skip extraction of files that are older than existing files with the same names in the target folder.

      • User Folder Names This option, selected by default, creates folders with the same names as folders stored in the zip file. The folders in the zip file become subfolders of the folder to which you extract the contents of the zip file.

      • Open Explorer Window Select this check box if you want WinZip to open a Windows Explorer window to display the unzipped files and the completion of the extraction procedure.

    Figure 17-12  The WinZip Extract dialog box.
    Figure 17-12. The WinZip Extract dialog box.

    • Extract To Here Select this command to extract all the files and folders in the zip file into the open Windows Explorer folder. This command is particularly useful if you have downloaded or copied a zip file into an empty Explorer folder and you want to extract the contents of the zip file into this Explorer folder.

    POWER TIP
    Whenever you use Microsoft Internet Explorer to download a software file from the Internet, Internet Explorer gives you the opportunity to specify the folder to which the downloaded file will be saved. A convenient practice is to create a new folder and then download the file into this new folder. At the end of the download process, Internet Explorer gives you the option of returning to the Web page or opening the folder into which the file was saved. Open the folder, right-click the new file, and select WinZip. If the file has been compressed with WinZip, the WinZip submenu lists the Extract To Here command. Selecting this command extracts the contents of the downloaded file into the current folder. In most cases, the extracted files and folders will be the files needed to install the downloaded software. Look for a file named Setup.exe or Install.exe and run it.

    • Extract To Folder current path\folder name This command (where current path is the path of the folder that contains the zip file, and folder name is the name of the zip file) causes WinZip to create a folder with the same name as the zip file and then extract the contents of the zip file into the newly created folder.

    • Extract To Folder This command displays a drop-down list of the most recent folders to which you have extracted zip files. When you select a folder, WinZip extracts the contents of the zipped folder to the folder you selected. This command is not available on the shortcut menu until you extract at least one zip file.

Extracting Selected Files

There are several ways to extract selected files contained in a zip file. The easiest method is as follows:

  1. In a Windows Explorer window, double-click the zip file, or right-click it and select Open With Winzip. A WinZip window opens and lists the contents of the zip file.

  2. Drag the file or files that you want to extract from the WinZip window to the target folder in the Explorer window. You can select and drag multiple files at once by using the Ctrl or Shift key.

If you commonly use Windows Explorer to copy and move files, you can use a zip file in many of the same ways you use other folders in Windows Explorer. For example, you can use the following steps to extract a file from a zip file:

  1. Open Windows Explorer and navigate the folder tree in the Folder list on the left side of the Windows Explorer window to find the zip file that contains the files you want to extract. If the zipped file doesn’t appear as a folder icon in the Folders pane, right-click the zipped file icon in the Name column (seen in Details view) on the right side of the window and click Explore on the shortcut menu. WinZip adds the zipped folder icon to the Folders pane and lists the contents of the zipped file in the right-hand pane.

  2. With the contents of the zip file listed in the right-hand pane of the window, scroll the Folder list on the left side of the window until you see the target folder to which you want to unzip the compressed file.

  3. Drag the file that you want to extract to the target folder in the left pane.

Configuring WinZip

You can customize WinZip in many ways. To customize the Explorer enhancements, open an Explorer window, right-click any zip file, select WinZip, and then select Configure from the shortcut menu. WinZip displays the Configuration dialog box shown in Figure 17-13. All of these enhancements are selected by default. You should have little if any reason to change these settings.

Figure 17-13  The Explorer Enhancements Configuration dialog box.
Figure 17-13. The Explorer Enhancements Configuration dialog box.

To configure WinZip itself, open WinZip by clicking Start, pointing to All Programs (Programs in the Windows XP Classic view), and then selecting WinZip. Select Configuration from the Options menu. WinZip displays the Configuration dialog box shown in Figure 17-14, which has the following tabs:

  • View This tab has options for controlling the columns displayed in the WinZip window, the use of uppercase letters in file names, and use of the mouse to select files.

  • Toolbar This tab enables you to select old Explorer-style toolbar buttons, large toolbar buttons, button with text, and tool tips.

  • Folders This tab enables you to select the startup folder for WinZip, the default folder to which zipped files will be extracted, the default folder to which files will be added, the default working folder, and the default temp folder.

  • System This tab enables you to modify the types of files that Windows XP associates with WinZip, inclusion of the WinZip icon in the notification area of the taskbar, inclusion of WinZip on the Start menu, and inclusion of WinZip as a desktop icon. The settings on this tab affect all users of your computer. The settings on other tabs of the Configuration dialog box affect only the current user.

  • Explorer Enhancements The options listed on this tab are the same ones listed in the Configuration dialog box previously shown in Figure 17-13.

  • Program Locations This tab enables you to specify “helper” programs, including a text file viewer, a program to create self-extracting zipped folders, a virus scanner, and external programs required to extract files with the file name extensions .arj, .lha, and .arc.

  • Miscellaneous This tab is a mix of miscellaneous options such as settings to determine whether WinZip starts in the classic or the wizard interface, and whether WinZip uses Windows Explorer–style Extract dialog boxes.

    Figure 17-14  The WinZip Configuration dialog box.
    Figure 17-14. The WinZip Configuration dialog box.
Searching Archive Files with Windows XP and ZipScan

Windows XP has a powerful search feature that enables you to search for files on your computer by name and even by contents. Now that Windows XP supports zipped files, the search feature can even find files contained in a zipped compressed file. WinZip, however, also can extract files from several other types of compressed files, such as Windows .cab (cabinet) files that often contain components of software distributed on installation CDs. If you need to search for files in .cab files, the specialized utlility ZipScan, from Adrian Bhagat (http://www.zipscan.co.uk), might be just the tool for you.

ZipScan enables you to search zipped compressed files for specific file names without requiring that you first extract the files. It can search in zipped files, self-extracting zipped files, .cab files, .rar files (another file compression standard supported by programs such as WinRAR, with shareware available for evaluation at http://www.rararchiver.com), .ace files (compressed files created by WinAce, with shareware available for evaluation at http://www.winace.com), and .jar files (Java archive files used to store Java classes).

Installing ZipScan

You can download an evaluation copy of the software from the ZipScan Web site (http://www.zipscan.co.uk). In addition, you can purchase the full version of the software from the Adrian Bhagat Web site.

To install ZipScan, follow these steps:

  1. Start the Setup program from the software you downloaded. On the welcome screen, click Next.

  2. On the Installation Directory screen, accept the default directory or click Browse to navigate to an alternate location. Click Next.

  3. On the Select Shortcut Folder screen, click Next to accept the default.

  4. Click Finish on the Ready To Install screen to start the installation.

  5. Click Finish again on the Finished screen to quit the setup program.

Using ZipScan

To use ZipScan to search compressed files, follow these steps:

  1. Click Start, point to All Programs (Programs in the Windows XP Classic view), ZipScan Evaluation, and then select ZipScan Evaluation. The first time you use ZipScan (and each time you use the evaluation version), the program displays a license agreement. Read the agreement and click Accept if you agree to the terms. ZipScan opens the main ZipScan window, similar to the one shown in Figure 17-15. You can also open the ZipScan window from within an Explorer window. In either a My Computer or Windows Explorer window, right-click the folder that you want to search and select Search With ZipScan Evaluation.

    Figure 17-15  The ZipScan window.
    Figure 17-15. The ZipScan window.

  2. In the Where To Search drop-down list, select from the following options. These options work in conjunction with the path or file name entered in the Where To Search text box, to the right of this drop-down list:

    • Directory Choose this option to search the folders (directories) on your computer, including archive (compressed) folders. In the text box to the right, type the path, or click Browse to open the Browse For Folder dialog box to specify the path you want ZipScan to search.

    • Archive File Select this option if you know which archive file you want to search. Use the Browse button to find the archive file.

    • My Documents Select this option to search the My Documents folder for the current user.

    • Local Fixed Drives (C:) Select this option to search each of the local hard disks.

    • Drive X Use this option to search the specified drive.

  3. If you want ZipScan to search subdirectories (subfolders), select the Recursively Search Sub-Directories check box.

  4. To cause ZipScan to search archive files that are contained in archive files (for example, a .cab file contained in a zipped file), select the Recursively Search Archives check box.

  5. In the What To Search area of the ZipScan window, use the check boxes to indicate whether you want ZipScan to search directories, zipped files, CAB files, RAR files, ACE files, self-extracting archive files, and/or JAR files.

  6. In the Search For Files Named area of the ZipScan window, use the first combo box to enter or select the file name for which you want ZipScan to search. Use the drop-down list to select a style of pattern-matching.

  7. In the List Only area of the ZipScan window, use the check boxes to cause ZipScan to list only files of a specified size, files containing text you specify, and/or files with a specified value in one of the resource fields.

  8. Click Run to start the search. ZipScan displays the ZipScan Results dialog box and starts scanning your computer for files that meet the criteria you specified.

  9. If ZipScan locates one or more files, it lists them in the ZipScan Results dialog box, as shown in Figure 17-16.

    Figure 17-16  The ZipScan Results dialog box.
    Figure 17-16. The ZipScan Results dialog box.

  10. If the search generates a long list of files, you might want to save the list for future reference. In the ZipScan Results dialog box, click Save List to display the Save As dialog box. Use the dialog box to navigate your system to the folder where you would like to store the list. Type a file name in the File Name text box and click Save. ZipScan saves the file as a text (ASCII) file with a .txt file name extension.

  11. ZipScan keeps a log of the scanning process. If it encounters errors, such as archive files that it cannot open, it alerts you with a message at the bottom of the ZipScan Results dialog box. Click View Log File to see this log.

  12. When you are finished reviewing the results of the search, click OK to close the ZipScan Results dialog box and return to the main ZipScan window.

  13. Click Close to close the ZipScan window.


Antivirus Tools

It is arguable whether antivirus software is a file management tool or a system management tool. Viruses enter your computer while attached to individual files and they can attack your entire system. Antivirus software must be applied systematically to be effective, but when it does its job, it catches and either cleans or deletes individual files. Regardless of whether it is a file management tool or a system management tool, if you aren’t already using antivirus software, you should start now.

Windows XP doesn’t include antivirus software—and since new viruses appear almost daily, it wouldn’t be current for long anyway. We recommend you use a good antivirus software program and update it regularly. There are several antivirus software products on the market that all seem to do an excellent job of keeping up with the endless stream of malicious software commonly described as viruses, worms, Trojan horses, and so on. The market leaders in this software category are Norton (Symantec) and McAfee. Both offer retail software available in all major outlets and regular online updates. Over the last year or so, however, McAfee has been offering an innovative online-only suite of tools through its McAfee.com Web site (http://www.mcafee.com), which is shown in Figure 17-7. Because computer viruses often spread quickly on a global scale, sometimes attacking tens of thousands of computers in a few hours, it seems natural that an online service can provide a very effective line of defense. In the following sections we take a brief look at how to install and update VirusScan Online, McAfee.com’s virus protection service.

Figure 17-17  The McAfee.com home page.
Figure 17-17. The McAfee.com home page.
VirusScan Online

McAfee.com’s VirusScan Online is rather unique as a software product. It is an online service, but it interacts directly with each subscriber’s computer. McAfee.com actually offers a suite of services including a personal firewall and a privacy service, in addition to protection against computer viruses.

Installing the SecurityCenter

McAfee.com recently added a free SecurityCenter tool that integrates with VirusScan Online to provide you with security status information as well as timely security alerts and automated software updates.

To install the McAfee.com SecurityCenter, connect to the Internet and follow the following steps:

  1. Open the McAfee.com home page in your Web browser and click the Downloads link.

  2. Click the SecurityCenter link. If not previously registered, click the Register Now link and then go to step 3. If you already have an account, enter your logon credentials, click LogIn, and then proceed to step 4.

  3. You will need to check your e-mail for a software activation link. Follow the on-screen instructions to complete the process and start the software download.

  4. Once logged in, click Update/Download and follow the on-screen instructions. This downloads the installation files, prepares them for installation, and then extracts them to your computer.

  5. When the download is complete, SecurityCenter displays a welcome screen. Click OK to reveal the final screen of the SecurityCenter Installation Wizard, and then click Finish to quit the installation program and start SecurityCenter.

  6. Your Web browser will still be open to a page that explains that the SecurityCenter Installation Wizard has completed. If you had problems during the installation, you can run through it again by clicking Reinstall. Otherwise, quit the Web browser. SecurityCenter is now installed and running. Notice the red icon in the notification area, which means that McAfee.com SecurityCenter is running. SecurityCenter automatically runs each time you start your computer.

NOTE
As with any Web site, content and links change with time. Therefore, you might find that these instructions vary slightly from that of the actual McAfee.com Web site.
Opening SecurityCenter

Whenever SecurityCenter is running, as indicated by the red McAfee.com icon in the notification area on the taskbar, you can open the SecurityCenter window, shown in Figure 17-18, by right-clicking the McAfee.com icon and selecting Open SecurityCenter from the shortcut menu.

Figure 17-18  The SecurityCenter window.
Figure 17-18. The SecurityCenter window.

The SecurityCenter window indicates whether you have the McAfee.com products VirusScan Online, Personal Firewall, and Privacy Service installed. The window also includes special virus notices and an option to sign up for a free security newsletter.

Adding VirusScan Online

If you want to try VirusScan Online before buying it, you can download an evaluation version. Click the Evaluation Software link on the Downloads page and then click the VirusScan Online link.

If you decide to purchase VirusScan Online, connect to the Internet and follow these steps:

  1. Right-click the McAfee.com icon and then select VirusScan Online, or open SecurityCenter and click VirusScan Online on the left side of the SecurityCenter window. SecurityCenter displays the VirusScan Online tab of the SecurityCenter dialog box.

    POWER TIP
    If you decide to purchase VirusScan Online, you might find it most economical to purchase VirusScan as a part of a suite of products called McAfee.com Clinic, which includes VirusScan Online, First Aid Online, and OilChange Online.

  2. Click Purchase VirusScan Online and follow the online instructions to purchase the software and begin the download process. The download and installation process is very similar in appearance and operation to that of SecurityCenter.

  3. At the end of the installation process, the VirusScan Online Installation Wizard offers you the opportunity to participate in a virus tracking program. If you choose to participate, should VirusScan Online ever detect a virus on your computer, information about the virus is anonymously submitted to the tracking project.

  4. When the installation has been completed, the final screen informs you that the wizard is about to restart your computer. First, quit any other programs that are open (to avoid possible loss of information) and then click Restart.

  5. Your computer restarts and performs its normal startup, except that now McAfee.com VirusScan is running as well as SecurityCenter.

Scanning Your Computer for Viruses

The first time your computer restarts after installing VirusScan Online, the program displays a window announcing that your computer is protected by VirusScan Online. The text in the screen recommends that you scan your computer for viruses before you do anything else. To start the scan, click Scan For Viruses; if you don’t want to perform a virus scan, click Cancel.

When you click Scan For Viruses, VirusScan Online begins to scan the files on your computer for viruses. If the software finds an infected file, it provides you the options of cleaning the file (that is, removing the virus but leaving the original file) or deleting it. If no viruses are found, the normal day-to-day operation of VirusScan Online should provide sufficient protection.

When the scan is completed, VirusScan Online displays a message indicating that scanning is completed, listing any viruses that it found. Click Close to close the VirusScan Online window. To cancel a virus scan in progress, click Cancel, and then click Close.

You can scan your computer again by right-clicking the McAfee.com icon in the notification area of the taskbar and selecting VirusScan Online, Scan For Viruses from the shortcut menu.

Day-to-Day Virus Protection

From the time you used VirusScan Online to thoroughly scan your computer for viruses, the program’s ActiveShield feature loads each time you start your computer. This background program can protect your computer by scanning only newly added files. It continually scans files that you download from the Internet, open in an e-mail, or install from a disk or CD. If ActiveShield detects an infected file, it opens a dialog box that gives you the choice of cleaning or deleting the infected file. The safest option is, of course, to delete the infected file.

By default, ActiveShield scans only program files (.exe or .com) and documents (.doc) because these are the files most likely to carry a virus. If you want ActiveShield to scan all files, right-click the McAfee.com icon in the notification area of the taskbar and select VirusScan Online, Options from the shortcut menu to display the Options dialog box. Select the All Files option in the File Types To Scan frame of the dialog box and then click OK.

Updating VirusScan Online

New computer viruses are discovered virtually every day. To continue to provide effective protection for your computer, the virus identification information database that VirusScan Online uses to recognize viruses needs to be updated frequently. McAfee recommends that you update the database at least once a week.

When you install VirusScan Online, it is configured by default to automatically check for updates. If your computer is always online (for example, through a DSL, cable modem, or T1 connection), Security Center checks daily for updates. If an update is available, SecurityCenter displays a dialog box that gives you the option of immediately installing the update or waiting until later.

However, you might decide you want to control what happens on your computer and when. For instance, you might have other tasks in process on your computer when the automatic update is ready to download and install its update, or you might feel more comfortable controlling updates manually.

If you’d like to turn off automatic updating, follow these steps:

  1. Right-click the McAfee.com icon in the taskbar notification area and select Updates from the shortcut menu to display the SecurityCenter Updates dialog box.

  2. Click Configure to display the Automatic Update Options dialog box, and then select the Turn Off Automatic Updating option.

  3. Click OK to close the dialog box, and then click Cancel to close the dialog box.

NOTE
If you do turn off automatic updating, remember to add the task of regularly updating VirusScan to your computer maintenance routine.

You don’t have to wait for the automatic update to check for new virus information. To update the database of virus identification information manually, make sure your computer is connected to the Internet and follow these steps:

  1. Right-click the McAfee.com icon in the taskbar notification area and select Updates from the shortcut menu to display the SecurityCenter Updates dialog box.

  2. Click Check Now. SecurityCenter contacts McAfee.com and determines whether you have the most up-to-date virus identification data.

  3. If new data is available, you are prompted to start the download. SecurityCenter then downloads and installs the updated information. If no updates are available, the SecurityCenter Updates dialog box displays a message indicating that your McAfee.com Services are up-to-date.

  4. Click OK to close the dialog box.

Creating and Using a Rescue Disk

If your computer does manage to contract a virus that prevents it from booting, or if you have reason to believe that the boot sector of your computer’s hard disk has a virus, you need a clean bootable disk to be able to safely start your computer. McAfee.com VirusScan Online includes the option to create a bootable rescue disk that will help you find and attempt to repair damage caused by the virus.

To create a rescue disk, insert an empty formatted disk in your computer’s floppy disk drive, connect your computer to the Internet, and follow these steps:

  1. Right-click the McAfee.com icon in the taskbar notification area and select VirusScan Online, Create Rescue Disk from the shortcut menu to display the Create A Rescue Disk dialog box.

  2. Click Create. The first time you create a rescue disk, the dialog box prompts you to download the most recent Rescue Disk image. Click OK. When the image has been downloaded to your computer click Yes to accept it. Any data on the floppy disk will be erased.

  3. VirusScan Online copies the disk image to the floppy disk inserted in the floppy drive, and then validates the disk (verifies that it was created correctly). If all goes as planned, a message box announces that a rescue disk has been created. Click OK and then click Close.

  4. Write protect the disk and label it appropriately.

The rescue disk created by VirusScan Online contains Dr. Solomon’s The Magic Bullet software, as well as McAfee.com virus-scanning software. If you suspect that a virus has rendered your computer unbootable, follow these steps to attempt recovery:

  1. Insert the McAfee.com VirusScan Online Rescue Disk in your floppy disk drive and shut down the computer.

  2. When the computer starts, Dr. Solomon’s Magic Bullet starts and displays the following options:

    • F1. Help This option displays information about using the rescue disk.

    • F2. Find This option scans only executables (.app, .bat, .bin, .cmd, .com, .dev, .dll, .doc, .dot, .exe, .qv?, .qlb, .sys, .ext, 001, and 002 files) for viruses.

    • F3. Find All This option scans all files for viruses.

    • F4. Repair This option scans all files and repairs infected files and boot sectors. Because this option is slower than F1 or F2, use this option only if F2 or F3 reported a virus.

    • Esc. Exit This option restarts the computer.

  3. If you don’t select one of these options within 60 seconds, the software automatically starts scanning the executables for viruses.

    POWER TIP
    Dr. Solomon’s The Magic Bullet works only with FAT-based partitions. If you have installed Windows XP in an NTFS partition, the rescue disk will not be able to scan the partition. For more information on Dr. Solomon’s The Magic Bullet, visit the Dr. Solomon Web site (http://www.drsolomon.com).
McAfee VirusScan

If you’re not comfortable using an online virus solution, or your Internet connection just doesn’t make it practical, McAfee also offers McAfee VirusScan, a local installation of their virus protection software. You can download a trial version of this software from the McAfee Web site.

Installing VirusScan

To install VirusScan, follow these steps:

  1. Start the Setup program from the software you downloaded.

  2. The Setup program needs to extract temporary files before installation can begin. In the Location To Save Files screen, accept the default location, and then click Next.

  3. After the files are extracted, the Setup wizard launches and displays the welcome screen. Click Next.

  4. Read the license agreement, and then click Accept.

  5. In the Setup screen, you can choose to perform either of the following installation types:

    • Typical Installation This option installs the McAfee VirusScan software files to the default destination location, enables all available options, and installs the McAfee Firewall.

    • Custom Installation This option allows you to choose the destination of the McAfee VirusScan software files and decide whether to install the McAfee Firewall and its destination directory, run a virus scan following setup, and create an emergency disk.

  6. Whichever option you select, you end up seeing the Ready To Install The Program screen. Click Install.

  7. In the Update McAfee VirusScreen, you have the option to check for VirusScan updates to ensure you have up-to-date protection. If you have an active Internet connection and want to update VirusScan, select the Check For An Available McAfee VirusScan Update check box, and then click Next.

  8. If you chose to check for an update, you will see the Product Registration screen. If you choose to register, click Next and provide the appropriate information, otherwise click Cancel.

  9. In the McAfee VirusScan Is Now Ready To Be Activated screen, click Finish.

Using McAfee VirusScan

To start VirusScan, follow these steps:

  1. Click Start and point to All Programs (Programs in the Windows XP Classic view), McAfee, and finally select VirusScan.

  2. In the VirusScan dialog box, click Yes to load the Vshield Scanner. When VirusScan loads, it displays the Security Status screen, as shown in Figure 17-19.

    Figure 17-19   McAfee VirusScan Security Status screen.
    Figure 17-19. McAfee VirusScan Security Status screen.

The local VirusScan installation offers the same protection as the online version described in the previous section. However, it lacks some of the online version’s features, such as submitting virus information to the McAfee national database and displaying dynamic virus alerts within the VirusScan interface.


Chapter 18 - Tools for System Management

Chapter 18
Tools for System Management

Even though the software that runs on most computers is certainly more user-friendly than a command prompt, occasional problems with performance might leave even power users struggling for a solution—or even an explanation. If you fear your computer isn’t operating as efficiently as you think it should, or even as efficiently as it seemed to yesterday, you might be at a loss to understand possible reasons for the substandard performance. Fortunately, one of the most popular categories of excellent third-party utilities is system management tools. These tools, such as Ashampoo UnInstaller Suite, Sure Delete from Wizard Industries, Tweak-XP from Totalidea Software, Customizer XP from Tweak Now, and System Mechanic from Iolo Technologies, can help prevent your computer from performing poorly, improve how it operates now, and prevent future disasters.

The system management categories covered in this chapter include the following:

  • Disk-cleaning tools

  • File- and system-tweaking suites


Disk-Cleaning Tools

There are many reasons to delete files from your computer. Often you just want to free up disk space. Even very large drives eventually get too full. The more you use your computer, the more it becomes cluttered with unnecessary files. For example, you might no longer use an application program and would like to remove it from your computer. At other times you might want to delete confidential information from your computer permanently and completely so that it cannot be recovered. The following sections discuss utilities that help you clean your computer’s drive, either by completely and safely uninstalling application software or by deleting specific files and folders permanently.

Ashampoo UnInstaller Suite

Most commercial software products designed to run on Microsoft Windows include uninstall programs. Uninstall programs are typically designed to be run from Add Or Remove Programs in the Windows XP Control Panel. Each uninstall program should make it easy for you to remove the software whenever you want. In fact, application removal programs typically display messages that ask you to decide whether to remove a .dll file that might or might not be needed by some other program you still use. For various reasons, uninstall programs often leave orphaned files on your drive and orphaned entries in the Windows XP registry. What’s more, uninstalling a program seldom seems to completely restore your computer to its previous state. Utilities such as Ashampoo UnInstaller Suite are designed to fix these problems and enable you to safely and completely remove most programs from your computer, especially those installed subsequent to installation of the Ashampoo suite.

CAUTION
Never remove programs from your computer simply by deleting their folder(s) from %Systemdrive%\Program Files. Although it may seem simple and harmless enough, doing that might leave behind random system files, as well as registry entries, which could cause your system problems in the future.
Installing UnInstaller Suite

A trial version of UnInstaller Suite is included on the companion CD and also available for download from the Ashampoo Web site (http://www.ashampoo.com). To install Ashampoo UnInstaller Suite, follow these steps:

  1. Use the CD interface to start the Setup program or download the UnInstaller suite from the Ashampoo Web site and run the Setup program.

  2. In the Ashampoo UnInstaller Suite screen, click Next, and then click Yes to accept the license agreement.

  3. To accept the default destination folder for the Ashampoo program files, click Next. Otherwise, click Browse, choose an alternate destination folder, and then click Next.

  4. In the Select Program Folder screen, click Next to accept the default. Ashampoo UnInstaller Suite Setup installs the program files and displays a Readme.txt file in Notepad. Review this file and then close Notepad.

  5. In the Please Choose screen, use the three check boxes to indicate whether you want UnInstaller added as a shortcut on the Windows desktop or added to the notification area of the taskbar, and whether you want Setup to start UnInstaller immediately after installation. All three options are selected by default. Click Next.

  6. In the Setup Complete screen, click Finish.

If you chose to run UnInstaller on finishing installation, the Ashampoo UIWatcher icon appears in the notification area of the taskbar. The icon reappears each time you start the computer.

You must have a key to use Ashampoo UnInstaller Suite. You can obtain a free registration key for the 30-day trial version of the software on the Ashampoo Web site, which removes the banner advertising at the bottom of the screen. If you decide to purchase Ashampoo UnInstaller Suite, you will be issued a new registration key. If you haven’t purchased the product after the 30-day trial, it reverts to the ad-sponsored version.

To enter a registration key, right-click the Ashampoo UIWatcher icon in the taskbar and click Start UnInstaller Suite from the shortcut menu to display the Ashampoo UnInstaller Suite Registration dialog box. Type the registration key in the text box and click Registration Key.

Logging an Installation with UnInstaller

After you install Ashampoo UnInstaller Suite, the Ashampoo UIWatcher program runs in the background to detect any installation programs that you run. In theory, whenever you run an installer, UIWatcher detects the program and opens a dialog box asking whether you want UnInstaller to log the installation. When you use UnInstaller to log the installation of a program, it is able to collect enough information to uninstall the program successfully should the need ever arise.

In reality, however, UIWatcher doesn’t always detect an installation program, so the best practice is to start UnInstaller manually before you begin to install a new program. To do this, follow these steps:

  1. Right-click the UIWatcher icon in the notification area of the taskbar and select Install An Application to display the Select The Installation Program (often Install.exe or Setup.exe) dialog box.

  2. Use the dialog box to navigate through your computer’s disks, and locate the program you plan to install. Select the installation program and click Open.

  3. UnInstaller displays a screen similar to Figure 18-1 and begins saving a snapshot of the current state of the HKEY_LOCAL_MACHINE and HKEY_USERS registry hives prior to installing the new software. With this information, UnInstaller can restore your computer to this previous state if you decide to uninstall the new software. UnInstaller then displays a message stating that your current system configuration has been saved. Click OK to continue.

    Figure 18-1  UnInstaller saving a copy of the Windows registry.
    Figure 18-1. UnInstaller saving a copy of the Windows registry.

  4. Continue with the new program’s installation program. When the installation program is completed, UnInstaller displays the Installation Appears To Be Complete dialog box shown in Figure 18-2. This dialog box explains that before creating the installation log, UnInstaller needs you to start and then exit the newly installed program. This gives UnInstaller more information for its log. Start the new program and then quit it.

  5. Enter a log name in the Installation Log Name text box, and then click Save Installation Log. UnInstaller takes another snapshot of several sections of the registry so that it can compare the registry after installation to the registry before installation.

    Figure 18-2  The Installation Appears To Be Complete dialog box.
    Figure 18-2. The Installation Appears To Be Complete dialog box.

  6. If all went well, UnInstaller displays a message box informing you that the installation log file has been generated and saved successfully. Click OK to complete the process and close the message box.

UnInstaller has now collected enough information to be able to completely remove the newly installed program should you ever decide to do so.

Removing a Program with UnInstaller’s Restore All Feature

If you don’t have Ashampoo UnInstaller installed on your computer, you should use Add Or Remove Programs in Control Panel to remove software. However, with Ashampoo installed, you can use Ashampoo UnInstaller to remove a program. If you have used UnInstaller to log the installation of a program that you now want to remove, it does a more thorough job of removing the program than Add Or Remove Programs would.

CAUTION
If you did not create the UnInstaller log file during the installation process of the program you are now removing, using the UnInstaller’s automatic uninstallation feature can have unintended results. When in doubt, use the uninstall program that is provided by the software manufacturer rather than Ashampoo UnInstaller. The standard uninstall programs tend to take a very conservative approach, erring on the side of leaving registry keys in place that might no longer be needed, rather than removing keys that are difficult to recover.

To use UnInstaller’s automatic uninstallation to remove a program from your computer, follow these steps:

  1. Right-click the UIWatcher icon in the taskbar and select Uninstall An Application to display the Select The *.ECL Log File Of The Program You Want To Uninstall dialog box. The dialog box should be displaying the \Ashampoo UnInstaller Suite folder into which UnInstaller saved the .ecl log file for the program you want to uninstall. Select the .ecl file for the program you want to uninstall and click Open. UnInstaller displays the Restore All dialog box.

  2. The Restore All dialog box presents three categories of information to restore: Windows Registry, Files/Folders, and System Files. In most cases, you will want to restore all three categories to their state prior to the installation of the program you are removing. It is possible, however, that there are certain files that you don’t want to remove, in which case you should clear the Files/Folders check box. In any case, UnInstaller displays a list of items to be restored before the operation is performed. Click OK to continue. UnInstaller displays the Confirm Restore: Registry dialog box, as shown in Figure 18-3.

    Figure 18-3  The Confirm Restore: Registry dialog box.
    Figure 18-3. The Confirm Restore: Registry dialog box.

  3. Scroll through this dialog box to see the actions that UnInstaller plans for the registry. As you can see, installation programs make many changes. UnInstaller’s planned actions are intended to restore the state of affairs just before the installation of the software you are removing by restoring old values in keys that existed in the registry and by deleting keys that were added to the registry by installation of the program you are now removing. For example, the first action listed in the dialog box in Figure 18-3 indicates that the original installation program changed a value of the HKEY_LOCAL_MACHINE\SOFTWARE key. UnInstaller intends to restore the key to its value before installation of the program you are removing.

  4. Although this dialog box lists all the intended changes, it provides only the following options:

    • Delete New (Added) Value/Keys Select this check box if you want UnInstaller to delete all values and keys that the installation program added to the registry. By selecting this check box (the default), you are confirming the actions listed as Delete Value in the Action column of the Confirm Restore: Registry dialog box.

    • Restore Deleted Values/Keys By selecting this check box (the default), you are confirming the actions listed as Deleted, Restoring Old Value in the Action column of the Confirm Restore: Registry dialog box.

    • Restore Changed Values/Keys By selecting this check box (the default), you are confirming the actions listed as Changed, Restoring Old Value in the Action column of the Confirm Restore: Registry dialog box.

    • Include Greyed-Out (Restored) Items In some cases a registry key will already have been removed or changed after the UnInstaller log was created. UnInstaller assumes that you don’t want to restore these settings and grays out these settings. By default, this check box is cleared.

  5. The check boxes described in the preceding step are the only options available for selecting some of the changes, but not all of them. In this mode, it is an all-or-nothing proposition. If you see a particular action that you don’t want UnInstaller to perform, click Cancel and use the Expert Mode of uninstalling, described in the next section. The UnInstaller online documentation suggests that you use the automatic uninstallation procedure to remove only simple installations soon after the original installation. To continue with uninstallation, and to confirm all the actions listed in the Confirm Restore: Registry dialog box, click Execute. When the message “Restore completed successfully!” appears in the title bar, click Close.

  6. The Confirm Restore: File/Folders dialog box appears. Click Execute to delete the files that are listed in the dialog box. When the message “Restore completed successfully!” appears in the title bar, click Close.

  7. The Confirm Restore: System Files dialog appears. If there are any system files to be removed, this dialog box lists them. Click Execute to delete the files that are listed in the dialog box. When the message “Restore completed successfully!” appears in the title bar, click Close.

  8. Finally, UnInstaller displays the Confirmed message box that displays the message that the entries in the log have been deleted and asks you to confirm removal of the log file. Click Yes to delete the log file. When the Confirmed message box displays a message that both the application and the log file have been deleted, click OK.

Removing a Program Manually with UnInstaller’s Expert Mode

If you are an expert Windows XP user and have a good understanding of the Windows registry, you can use Ashampoo UnInstaller to manually restore individual items that were changed, added, or deleted by the installation of a program you now are removing.

To use UnInstaller’s Expert Mode to restore individual registry items during an uninstallation, follow these steps:

  1. Right-click the UIWatcher icon in the taskbar and select Start UnInstaller Suite to display the Ashampoo UnInstaller Suite (Easy Mode) window, shown in Figure 18-4.

    Figure 18-4  The Ashampoo UnInstaller Suite (Easy Mode) window.
    Figure 18-4. The Ashampoo UnInstaller Suite (Easy Mode) window.

  2. Select Preferences from the File menu to display the Preferences dialog box. Select the Export Mode option and click OK to display the Ashampoo UnInstaller Suite (Expert Mode) window.

  3. Double-click Uninstall An Application in the UnInstaller Suite window, or select Uninstall An Application from the UnInstaller menu to display the Interactive Assistant dialog box.

  4. Click Load Log File to display the Load A Log File dialog box and select the log file for the program you want to uninstall. Click Open. Uninstaller displays a message box informing you that the log file is loaded and prompting you to click Next.

  5. Click OK in the message box, and click Next. The Interactive Assistant dialog box displays the Restore Previous Configuration tab.

  6. Click Semi-Automatic Uninstallation to display a message box that provides brief instructions on using Expert Mode to review the logged changes and undo these changes.

  7. Click OK to display the Ashampoo UnInstaller Suite (Expert Mode) window with log file loaded, as shown in Figure 18-5.

    Figure 18-5  Ashampoo UnInstaller Suite (Expert Mode) with log file loaded.
    Figure 18-5. Ashampoo UnInstaller Suite (Expert Mode) with log file loaded.

  8. To review the logged changes, click a tab (Registry Changes, File Changes, or System File Changes), and navigate the tree in the panel on the left side of the window. Note the values in the panel on the right side of the window. When you right-click an item in the left panel, a shortcut menu gives you these options: Restore Changes, Export Data, Don’t Check Next Time, and Create Installation Files. Read the online help thoroughly before using these options.

  9. When you have made all the necessary changes for the program you want to uninstall, select Exit from the File menu to close the UnInstaller window.

Additional Ashampoo UnInstaller Suite Tools

In addition to its powerful UnInstaller for logged installations, Ashampoo UnInstaller Suite includes the following tools:

  • Uninstall an Unlogged Application This tool is equivalent to using Add Or Remove Software in Control Panel. As mentioned earlier, if you do not have an UnInstaller log file for a program you now want to remove from your computer, you should use the standard uninstall program rather than UnInstaller. When you select this tool, the UnInstaller Suite opens a window that lists the same items that would be displayed in Control Panel. If the program you want to remove is not listed in this window, the Uninstall An Unlogged Application window provides a series of tabs that can walk you through the process of manually removing program files, Start menu entries, registry entries, and file extension associations.

  • Find/Delete Temp Files This tool enables you to quickly find and delete temporary files that are no longer in use and are therefore just wasting space. The first time you use this tool, it finds the files in the default %Systemdrive%\%Windir%\Temp folder (where %Systemdrive% is the drive and %Windir% is the directory the folder is located in) and files in the root folder that have the .tmp extension; however, you can easily add any other temporary folders that might be on your computer.

  • Delete Internet Trail This tool enables you to easily remove the files and records created by your Web browser as you browse the Internet. This tool has built-in support for Microsoft Internet Explorer and for Netscape Navigator. It identifies and helps you select and delete temporary files, cookies, visited sites, and typed Uniform Resource Locators (URLs).

  • Manage Fonts This tool lists all the fonts currently installed on your computer. It enables you to view the characters included in each font, as well as other TrueType font information including the copyright owner’s name, font name, version, PostScript name, and trademark. You can also use this tool to delete fonts from the system, but not to add fonts.

  • Find/Delete Empty Folders Just as its name implies, this tool finds and helps you delete the empty folders on your computer. Keep in mind that some programs might have created empty folders for a reason, so be sure you’re not deleting an empty but useful folder.

  • Find/Delete Duplicates It’s no surprise that this tool helps you find and delete files for which there is one or more files with the same name elsewhere on your computer’s drives.

Sure Delete

You are probably aware that when Windows deletes a file from one of your computer’s drives, it does not actually erase the content from the physical medium. Rather, Windows first moves the file to the Recycle Bin. The file’s data is not moved, but the file’s name is now listed in the Recycle Bin folder, rather than in the file’s original folder. Even when you empty the Recycle Bin, Windows frees the disk space occupied by the file’s data for reuse by other files but does not erase the data. With the right tools, a computer technician can easily recover data from deleted files. Sophisticated equipment might even recover data that has been overwritten.

In many cases, data stored on a personal computer is not so sensitive, confidential, or valuable as to present a significant risk of theft, especially deleted data. However, from time to time, perhaps you store sensitive data on your computer that, for whatever reason, you would prefer to keep private. If you delete this sensitive data from your computer’s drives, you probably want to be assured that no one can recover the deleted bits. The freeware Sure Delete tool from Wizard Industries can provide you with that assurance. Using Sure Delete, you can permanently delete individual files, groups of files, or the contents of an entire folder.

Installing Sure Delete

Sure Delete is included on the companion CD and is also available for download from the Wizard Industries Web site (http://www.wizard-industries.com). To install Sure Delete, follow these steps:

  1. Start the Setup program from the CD or download the Setup program from the Wizard Industries site and run it. When prompted if you want to install Sure Delete, click Yes.

  2. In the welcome screen, click Next, and then click Yes to accept the license agreement.

  3. To accept the default destination directory for the Sure Delete program files, click Next. Otherwise, navigate to an alternate destination folder and then click Next.

  4. Click Next to accept the Start menu folder name, and then click Install to copy the program files to your hard disk.

  5. Click Finish to complete the Sure Delete Setup program.

Permanently Deleting a File with the File Cleaner Wizard

The most common use of Sure Delete is permanently removing all traces of a file from your computer’s storage media. The principle behind the operation of Sure Delete, and other similar tools, is writing data multiple times into the same disk sectors that originally contained the data you want to erase. The more times data is written to the same sector, the less likely it is that someone will be able to retrieve the original data from the sector. Even though data is written multiple times to these “erased” sectors, Windows still considers these sectors available for use in storing a new file.

To use Sure Delete’s File Cleaner Wizard to permanently erase one or more files from your computer, follow these steps:

  1. Click Start, point to Programs, Sure Delete, and then select SD File to display the File Cleaner Wizard dialog box, shown in Figure 18-6.

    Figure 18-6  The File Cleaner Wizard dialog box.
    Figure 18-6. The File Cleaner Wizard dialog box.

  2. The main panel in the center of the wizard’s dialog box lists the files that are to be erased. There are several ways to add files to this list. The easiest method is to open an Explorer window to the folder that contains the file or files you want to erase and then drag the file names into the Files Pending list in the File Cleaner Wizard dialog box. Alternatively, you can click Add File to display the Select Files dialog box to locate the file name you wish to add. If you want to erase the contents of an entire folder, click Add Folder to display the Browse For Folder dialog box. Then use this dialog box to select a folder for permanent removal. The wizard displays the path and file name of the files in the File Pending list. At this point in time, however, the files or folders listed have not been erased or modified in any way. The next step selects a method for erasing the files or folders.

  3. After adding the names of the files and folders that you want to erase to the wizard’s Files Pending list, click Next to display the wizard’s Cleaning Strength screen. Choose one of the following cleaning strengths, and then click Next to erase the files:

    • Quick Wipe This choice takes the least time but is also the least secure of the three cleaning strengths. This method overwrites the sectors to be cleaned four times, each time with different characters.

    • Department Of Defense Method This method overwrites the target sectors seven times with different data strings and follows other precautions outlined by the U.S. Department of Defense as the minimum standard for erasing classified information from its own computers.

    • Super Secure This option takes the most time, overwriting the target sectors at least 24 times. If you want to be really sure the data can never be recovered, this method should do the trick.

    CAUTION
    Because the purpose of using Sure Delete is to permanently and irrevocably erase data, you should obviously be careful not to use it on data you might want to recover. If you have ever pulled a file out of the Recycle Bin because you accidentally deleted it, or changed your mind after deleting it, be aware that using Sure Delete eliminates the possibility of “undeleting” a file. When in doubt, make a copy of potentially important data to a removable medium before using the File Cleaner Wizard to erase the data from your computer.

  4. When you click Next, the wizard begins the cleaning process and displays a progress bar. Click Exit when the cleaning is completed.

Cleaning a Disk’s Free Space Using the Disk Cleaner Wizard

If you have already deleted sensitive files on a disk drive without the assistance of Sure Delete, the drive that stored the original data might still contain retrievable remnants of the original data. Sure Delete’s Disk Cleaner Wizard addresses this issue. It does not erase any files that are currently recognized and listed by Windows. Rather, the Disk Cleaner Wizard cleans all the areas of the disk that are not currently in use and available to store data.

To use the Disk Cleaner Wizard to clean the free space on a disk, follow these steps:

  1. Click Start, point to Programs, Sure Delete, and then select SD Disk to display the Disk Cleaner Wizard dialog box, shown in Figure 18-7.

    Figure 18-7  The Disk Cleaner Wizard dialog box.
    Figure 18-7. The Disk Cleaner Wizard dialog box.

  2. Use the Select Drive To Clean drop-down list to select the drive that you want to clean. Look at the Drive Data box to confirm that the correct drive is selected, and then click Next to display the second Disk Cleaner Wizard screen.

  3. In the text box provided in the second Disk Cleaner Wizard screen, type the number of times—up to eight—that you want the wizard to overwrite the free sectors of the drive. Three times is the default, and this setting is probably sufficient.

  4. Choose the block size—Small, Normal, or Big—that works the fastest on your computer. This setting does not affect the level of security, but it might affect the speed of the process. Experiment to see which setting is fastest on your computer.

  5. Click Next to clean the disk. Cleaning time varies depending on the size of the disk drive and the amount of free space on the disk. When the process is complete, a message in the Disk Cleaner Wizard screen informs you that the drive is cleaned.

  6. Click Exit to close the wizard.


File- and System-Tweaking Suites

One of the most popular types of Windows power tools can be generically described as file- and system-tweaking utilities. Microsoft PowerToys for Windows XP includes the Tweak UI utility (discussed further in Chapter 12, “Microsoft Windows XP PowerToys”), which falls into this category. Several software companies have produced collections of file- and system-tweaking tools that we are calling suites. The next sections of this chapter cover three of the best suites available today: Tweak-XP from Totalidea Software, Customizer XP from Tweak Now, and System Mechanic from Iolo Technologies. Each of these suites includes so many great tools that we won’t be able to cover them all in detail. Instead, the following sections cover some of the high points and briefly describe the remaining tools that you will certainly want to try on your own.

TweakXP.com
In addition to this book, a good source of information about tweaking Windows XP is the Web site TweakXP.com (http://www.tweakxp.com), which was started by Steve Sinchak in March 2001. (The site is not owned by the company that produces the similarly named Tweak-XP suite of tweaking tools, but it includes information about the suite.) This site has thousands of users who have posted tens of thousands of comments about adjusting Windows XP settings to improve system performance. The site includes Windows XP news, a tweaking FAQ, discussion forums, software reviews, how-to guides, and more than 300 tweaks in many different categories.
Tweak-XP

Tweak-XP from Totalidea Software is a bundle of more than 20 tools for tweaking the user interface and optimizing the operation of your computer.

Installing and Starting Tweak-XP

A fully functional trial version of Tweak-XP that permits you to run the program 50 times before deciding whether to purchase it is included on the companion CD and is also available for download from the Totalidea Web site (http://www.totalidea.de).

CAUTION
If you use the Windows XP System Restore feature and set the system back to an earlier state while evaluating Tweak-XP, the evaluation period expires.

To install Tweak-XP, follow these steps:

  1. Start the Setup program from the CD or download the Setup program from the Totalidea Web site and run it.

  2. In the welcome screen, click Next, select the I Accept The License Agreement option, and then click Next.

  3. To accept the default destination folder for the Tweak-XP program files, click Next. Otherwise, click Browse, choose an alternate destination folder, and then click Next.

  4. In the Select Features screen, click Next to choose to install the complete set of tools, and then click Next again to start installing files to your computer. They take approximately 10 megabytes (MB) of disk space.

  5. Click Finish. Tweak-XP is added to the Windows XP desktop and to the top of the All Programs list in the Windows XP default view (to the top of the Start menu if using Classic view).

To start Tweak-XP, either double-click the desktop icon or click Start, and then select Tweak-XP. The first time you start Tweak-XP, it asks you to select one of 14 available languages for the user interface. Select a language and click OK. Tweak-XP then creates a system restore point for use with the Windows XP System Restore feature, and then displays the Tweak-XP window, as shown in Figure 18-8.

Figure 18-8  The Tweak-XP window.
Figure 18-8. The Tweak-XP window.

If you decide to buy Tweak-XP after trying the shareware version, click Buy Online in the opening screen of the trial version.

System Performance Tools

The Tweak-XP tools are organized into categories: system performance, system and file tweaks, and Internet tweaks. When you start Tweak-XP, the System Performance toolbar is displayed on the left side of the Tweak-XP window (as shown in Figure 18-8). This toolbar includes the following tools:

  • Memory Optimization This feature displays the current status of your computer’s random access memory (RAM) and provides a one-click RAM optimization feature. To activate this Tweak-XP memory optimization, click Memory Optimization on the toolbar, and then click Optimize RAM in the About Tweak-XP pane. Tweak-XP reorganizes the physical RAM to release as much memory as possible. This feature also includes several options that enable you to fine-tune the optimization to work best for your situation.

  • Cache Optimization This tool group, shown in Figure 18-9, enables you to make several types of adjustments to how the Windows cache is allocated for the purpose of improving system performance. If you make any changes, click Save Settings. Some of these settings are not active until you restart your computer. The Cache Optimization settings include the following:

    • Enable Core System Performance Keeps the core Windows XP System in RAM. This tool works only on systems with a minimum of 512 MB of memory.

    • Optimize CPU Usage For Enables you to choose whether to optimize the operation of your computer’s CPU for applications or for background tasks.

    • Optimize Memory Usage For Enables you to choose whether to optimize the operation of your computer’s memory for applications or for system cache.

    • Cache Optimization Enables you to increase the IoPageLockLimit to speed up file system activity. The value you should choose depends on the amount of RAM in your system.

    • Hard Disk Optimizations Enables you to improve hard disk performance by disabling such features as Windows File Protection, 8.3 Name Creation (when you are using the NTFS file system), and last access time stamp, or by enabling boot defrag.

    Figure 18-9  The Tweak-XP Cache Optimization tool group.
    Figure 18-9. The Tweak-XP Cache Optimization tool group.

    After applying the Cache Optimization settings, you might decide that you want to go back to the original settings. If so, just click Reset Settings.

  • Unnecessary Files This tool group includes the following tools:

    • Unnecessary Files Helps you recover wasted disk space by allowing you to search your computer’s hard disks for unnecessary files—files with extensions such as .bak, .tmp, and .old that can be deleted. To generate a list of unnecessary files, click a hard disk icon from the drop-down list and click Start Search. Tweak-XP generates a list of files that are candidates for deletion. Select files that you want to delete and click Delete Selected Files.

    • System Clean-Up Starts the following built-in Windows XP tools:

      • Uninstall Some Programs Starts Add Or Remove Programs from Control Panel.

      • Uninstall Windows Components Starts Windows XP Setup and displays the Windows Component Wizard through which you can remove (or add) Windows XP components.

      • Start Windows Cleanup Starts the built-in Disk Cleanup program that helps you recover disk space by deleting downloaded program files, temporary Internet files, Recycle Bin files, temporary files, and so on.

      • Search For Empty Folders Provides a tool to scan your system’s hard disks for empty folders that don’t contain files or subfolders. Be careful, however, about removing empty folders that might have been created by one of your application setup programs. If you delete a necessary folder, the application might not function correctly.

  • System Information This button on the toolbar displays information about your computer system, including the vendor of the system’s CPU, the CPU model, stepping, CPU speed, L1 and L2 cache sizes, total physical memory (RAM), available physical memory, total pagefile, available pagefile, total virtual memory, available virtual memory, and screen resolution. Click CPU Details to see more information about the CPU.

  • Hardware Tweaks This tool enables you to easily tweak several hardware components. Each of the following tweaks takes effect only after you restart your computer:

    • Display Adapter Tweaks Click the Choose Your Adapter drop-down list and select your adapter if it is listed. Click Tweak It!

    • CD / DVD Tweaks Click CD / DVD Tweaks to display a group of options for adjusting cache size and for informing Tweak-XP of the DVD drive speed and CD drive speed. A larger cache provides better performance. You can also use the two check boxes to disable the CD Autorun function and the Windows XP CD burning feature. Click Close to close this menu.

    • UDMA66 Mode / Intel Chipsets This tool enables you to turn on support for UDMA66 in computers with Intel chipsets. Before enabling this feature, however, make sure your hard disk (or other storage device) supports UDMA66 and that you have the proper 80-pin Integrated Drive Electronics (IDE) cable.

    • CPU Tweaks This tool optimizes the speed of your CPU. Select your CPU brand and type from the list, or click Disable CPU Tweak to disable this feature.

    • Open Optimization Wizard Click this button to display the page shown in Figure 18-10, which has two functions:

      1. Processor Check Routine On the left side of the page, click Enable Processor Check to cause Windows XP to run a processor check routine on startup to determine whether your processor supports the Windows XP memory management system and its write-back caching.

      2. Tweak-XP System Optimization Wizard This tool is a single-click wizard that optimizes the performance of your system. Simply click Tweak My System Now! You need to restart the computer for these tweaks to take effect.

    Figure 18-10  The Optimization Wizard screen.
    Figure 18-10. The Optimization Wizard screen.

  • Atomic Clock This tool enables you to easily synchronize your computer’s system clock to an atomic clock. Make sure your system is connected to the Internet, and then use the drop-down list to select a clock. Finally, click Connect To Time-Server And Set System Time. Tweak-XP connects over the Internet to the atomic clock you selected and sets your computer’s system time to match the atomic clock. If your computer is always connected to the Internet, you can select the check box that causes Tweak-XP to correct the computer’s system time each time Tweak-XP is started.

  • System-Restore This tool creates a system restore point for use with the Windows XP System Restore feature. A system restore point is automatically created when you install Tweak-XP, and again the first time you start Tweak-XP. Windows XP also automatically creates additional system restore points when you install most programs.

System + File Tweaks

The second category of tools on the Tweak-XP toolbar is System + File Tweaks, a long list of utilities for managing the user interface and the way Windows XP interacts with files on your system. The tools in this category include the following:

  • Windows Utilities This tool displays a list of 19 Windows XP utilities that you can start from the Tweak-XP window. These utilities include Certification Manager, Device Manager, User and Group Manager, Registry Editor, Policy Editor, Update Manager, and Task Manager.

  • Windows Tweaks This tool displays the following buttons for performing Windows tweaks:

    • Start Menu Tweaks This tool enables you to control both the classic Windows Start menu and the new Windows XP–style Start menu. (See the discussion of the Start menu in Chapter 1, “Tools to Use Windows XP More Efficiently.”)

    • Desktop Tweaks This tool displays options for controlling the Windows desktop’s features, including which icons are displayed on the desktop by default. Font-smoothing features are also included in this group of options.

    • Miscellaneous Tweaks This tool lists options that control a mixed bag of features including the following:

      • Remove “Shortcut to…” on new shortcuts

      • Automatic Windows refresh

      • Show bitmaps as icons in Explorer

      • Remove the Shared Documents folders from My Computer

      • Automatically close nonresponding applications

      • Run each 16-bit application in a separate virtual machine (VDM)

      • Provides text boxes for specifying the following information:

        • Path of Windows XP installation files

        • Registered Windows owner

        • Registered organization

        • Windows serial number

      • Provides a slider to change the cursor blink-speed and a rolling list box to change the speed with which the Start menu opens

    • Make Taskbar Transparent This enables you to make the taskbar transparent or translucent by adjusting a transparency parameter.

    • Performance-Related Visual Tweaks This tool enables you to control which visual features you want to use to speed up your PC. You can disable any of the following features: mouse shadow, list-box smooth scrolling, gradient taskbar options, alphablending (transparency) of selection rectangle, disable taskbar fade in/out, disable combo box animation, disable menu animation, and disable ToolTip animation.

  • Windows Tweaks II This tool displays the following buttons for performing Windows tweaks:

    • Miscellaneous Windows XP Tweaks II This tool lists additional options that control a mixed bag of features, including the following:

      • Disable compressed folders

      • Disable Desktop Cleanup Wizard

      • Disable the Thumbnail Cache

      • Enable mouse window tracking

      • Detect accidental mouse double-clicks

      • Disable LocalMachineRun autostarts

      • Disable LocalMachineRunOnce autostarts

      • Disable CurrentUserRun Autostarts

      • Disable Windows XP error reports

  • Minimizer-XP This is a separate application (not included in the evaluation version of Tweak-XP) that enables you to minimize any Windows program to the taskbar’s notification area (formerly known as the system tray). Click the Click Here To Download The Minimizer-XP link if you would like to download and install Minimizer-XP.

  • Autostarts This tool enables you to control which programs are automatically started each time you restart Windows. Four lists of programs are included: registry entries that cause programs to autostart for all users, registry entries that cause programs to autostart only for the current user, Start menu entries that cause programs to autostart for all users, and Start menu entries that cause programs to autostart only for the current user. This tool enables you to delete autostart items from the two registry lists, but not to add items to these lists. However, the tool does enable you to delete and add items to the Start menu lists.

  • Auto-Logon As you might expect, this tool automatically enters your logon information. This tool is equivalent to the Autologon feature in Microsoft PowerToys for Windows XP, discussed in Chapter 12, “Microsoft Windows XP PowerToys.” You can also use this feature to enable the built-in Windows XP autologon feature. Auto-logon should be used with caution.

  • System Folders + Folder Protection This tool enables you to change many of the default system folders, such as the common programs folder, the Windows Desktop folder, the Favorites folder, the My Document folder, and the Program Files folder. You can also use this tool to hide the contents of a specified folder, rendering the files inaccessible until you remove this folder protection.

  • Folder>>>Drive This tool maps a drive letter—a virtual drive—to a folder. Windows Explorer and application programs then treat the folder as if it is another drive on your computer. You can also use the Remove Virtual Drive section at the bottom of the window to remove a virtual drive (mapped folder), returning it to normal.

  • Add/Remove Programs This tool enables you to uninstall applications from your computer. This tool is equivalent to Add Or Remove Programs in Control Panel.

  • Hide Disk Drives + Control Panel Applets This tool displays a list of check boxes, one for each drive letter (A through Z). Clear the check box for any system or currently mapped drives that you want to hide from Windows Explorer. Click Hide Control Panel Applets to display another list of check boxes, one for each Control Panel tool. Select the check box for each tool you want hidden in Control Panel. You can also use this tool to disable or enable the warning messages that Windows XP displays when you access system folders and the Control Panel folder.

  • File Renamer This tool enables you to rename a large number of files at once by adding a three-digit sequential number to each file name. You can also replace the original file names or add an alphanumeric prefix or suffix to all files. Be sure to use the Preview button to see the file names this tool is going to apply before executing the renaming action. There is no Undo function if you make a mistake.

  • File Shredder This tool is similar in purpose to the Sure Delete tool discussed earlier in this chapter. You can use it to permanently erase files from your computer. To use this tool, open an Explorer window to the folder that contains the files you want to permanently erase and drag the files into the File Shredder list panel. Use the Overwrite All Files drop-down list to select the number of times the erased file should be overwritten (up to 11 times) and then click Destroy Files. There is no Undo function for this tool.

  • Password Generator Use this tool whenever you want a truly random password. You can adjust the length of the password, the characters used, the number of passwords generated, and the method of generating random numbers.

  • Program Censorship If you share your computer with other users, you can use this tool to lock them out of specified programs.

  • Zip File Doctor This tool works with the built-in Windows XP support for zipped, compressed folders and adds the capabilities to check the integrity of zipped files, fix a damaged zipped folder, create a self-extracting .exe file from a zipped folder, and convert a self-extracting file to a zipped folder.

Internet Tweaks

The third category of tools on the Tweak-XP toolbar is Internet Tweaks, a list of seven tools for adjusting how your system interacts with the Internet. The tools in this category include the following:

  • Modem Tweaks This tool enables you optimize the speed of your Internet connection, to increase the number of simultaneous HTTP sessions allowed by Windows, and to disable automatic modem connections if remote connections are already enabled. There are built-in settings for the following options: America Online (AOL), AT&T WorldNet, CompuServe, ComTech, EarthLink, Generic ISP, Microsoft Network, and more.

    After selecting an ISP, select your hardware from the following options: ADSL Or Cable Connection (also known as a cable modem), Dial-Up Modem, DSL And PPP Over Ethernet, ISDN, T1, and Other LAN Access.

    You can increase the number of simultaneous HTTP sessions from the default of two to as many as five.

  • Delete Internet Explorer Cookies This tool enables you to list and remove some of or all the Internet Explorer cookies on your computer’s storage media for privacy concerns.

  • Internet History This tool enables you to list and remove some or all of the Internet history stored on your computer’s storage media for privacy concerns.

  • Internet Explorer Tweaks This tool enables you to choose a different Internet Explorer icon to display in the upper right corner of the Internet Explorer window. You can also choose a different background for the Internet Explorer toolbar. Tweak-XP includes two new Internet Explorer icons and 14 new toolbar backgrounds.

  • Ad Blocker You can use this tool to block the display of banner ads in Internet Explorer. By default, when you use this feature, Tweak-XP displays the message “Block by Tweak-XP” in place of the banner ad. You can also turn off this message. This tool works by storing a list of ad servers and blocking the list. If you run across a banner ad that is not blocked, you can easily add the ad server to the list of blocked servers by cutting and pasting the ad’s link to the list of blocked servers in this tool’s window.

  • Pop-Up Blocker This tool enables you to block pop-up windows that display ads when you are using Internet Explorer to browse the Internet. Similar to the Ad Blocker tool, this tool works by scanning an instance of Internet Explorer that contains certain specific words or phrases. If you find pop-ups that are not blocked, you can easily add more words or phrases to the list.

  • Outlook XP Security Tweak This tool enables you to modify the unsafe e-mail attachment settings that are now built into Microsoft Outlook 2002 (part of Microsoft Office XP). This tool also includes an option to minimize Outlook 2002 to the notification area on the taskbar.

Customizer XP

Customizer XP, from Tweak Now, is a tool that enables you to tweak the Windows XP registry, clean up your hard disk, and increase the performance of your computer when used for multimedia and 3-D games.

A trial version of this utility is included on the companion CD to this book and available for download from the Tweak Now Web site (http://www.tweaknow.com/download.html). You can run the fully functional trial version 30 times before you need to buy the product to use it. If you decide to buy the product, click Buy Now in the opening screen.

Installing and Starting Customizer XP

To install Customizer XP, follow these steps:

  1. Start the Setup program from the CD or download the Setup program from the Tweak Now site and run it. When prompted if you want to install Customizer XP, click Yes.

  2. In the welcome screen, click Next.

  3. To accept the default destination directory for the Customizer XP program files, click Next. Otherwise, navigate to an alternate destination folder and then click Next.

  4. In the Select Components screen, accept the default of Full Installation and click Next.

  5. In the Select Start Menu Folder screen, click Next to accept the default.

  6. Click Install to start the installation. When the installation is complete, click Finish.

  7. To start the program, click Start, point to Programs, Customizer XP, and finally Customizer XP. The Customizer window is shown in Figure 18-11. If you are using the unregistered version, you might be prompted with a welcome screen. If so, click OK.

    Figure 18-11  The Customizer XP window.
    Figure 18-11. The Customizer XP window.
Registry Tweaks

The Customizer XP window is divided into three sections: the Registry Tweak area and the System Tools area on the left side of the window, and the options area on the right side of the window. As you make selections in the Registry Tweak area and the System Tweak area, the option list changes.

The Registry Tweak area is in the upper left corner of the Customizer XP window. The tools in this area of the window enable you to adjust registry settings that affect the operation of Windows Explorer and Internet Explorer, control your Internet settings, control the Start menu settings, control systemwide settings, and control a collection of miscellaneous settings. However, you never have to open Registry Editor to make these changes; Customizer XP does all the work. Pause the pointer over each option to see a description of its operation at the bottom of the window. For options that require you to enter a new value, a text box or combo box displays at the bottom of the window. In all cases, click Save to save your changes.

The tools in the Registry Tweak area of the screen include the following:

  • Explorer When you click this button in the Registry Tweak area of the Customizer XP window, the program lists check boxes for controlling Windows Explorer.

  • IExplorer When you click this button in the Registry Tweak area of the Customizer XP window, check boxes are listed for controlling Internet Explorer parameters that are listed in the options area of the window. These options enable you to hide several Internet Explorer settings tabs on the user interface. You can hide the General tab, Security tab, Privacy tab, Content tab, Connections tab, Programs tab, and the Advanced tab from the Internet Properties dialog box. You can also change the default download path, the default search engine, the wallpaper for the Internet Explorer toolbar, and the large and small animations in Internet Explorer.

    Using this page, you can also remove the Microsoft Outlook Express splash screen, change the Outlook Express title bar, disable automatic image resizing, add text to the Internet Explorer title bar, and include a better autocomplete feature. Finally, you can disable Internet Explorer features such as the ability to customize the Internet Explorer toolbar and the Internet Explorer auto-updates, as well as hide the links folder from the Favorites menu and hide media folders from the Favorites menu.

  • Internet When you click this button in the Registry Tweak area of the Customizer XP window, the program displays check boxes for controlling how your computer interacts with the Internet.

    To activate all settings in this tool at once, click Recommended and select your connection type (Dialup Modem, DSL/Cable Modem, T1 Or Greater). Click Default to return to the standard settings.

  • Miscellaneous When you click this button in the Registry Tweak area of the Customizer XP window, the program displays check boxes for controlling several display properties settings, as well as a number of unrelated Media Player, DVD, MSN Messenger, Microsoft Paint, WordPad, Windows icons, and taskbar settings.

  • Start Menu When you click this button in the Registry Tweak area of the Customizer XP window, a list of check boxes control several Start menu settings that are listed in the options area of the window. The Start menu settings you can change include hiding the common groups, the Shutdown menu, the Find Command menu, the taskbar properties, the Run Command menu, the Control Panel and Printers menu, and the Configure menu. You can also control the menu show delay, disable the ability to modify the Start menu, clear recent documents on exiting, disable the recent documents history, use the scrolling mode in the Programs menu, and disable balloon tips in the Start menu.

  • System When you click this button in the Registry Tweak area of the Customizer XP window, the program displays a list of check boxes for controlling system settings that are listed in the options area of the window. The settings that can be changed from this screen include giving Windows owner information, unloading DLLs from memory and closing hung applications automatically, changing service timeout value and application timeout values, changing the hung application timeout value, automatically restarting Windows and Internet Explorer when they crash, improving core system performance, optimizing disk cache size, enabling large system caches, disabling NTFS last access time, enabling ultra DMA-66 support on Intel chipset, disabling the CD autoplay feature, optimizing the L2 cache size, and enabling clear page file at shutdown.

System Tools

Selecting one of the tools in the System Tools section of the Customizer XP window causes a new panel to display on the right side of the window with the following options:

  • Add/Remove This option displays a scrolling list of the same programs that can be removed from the Add Or Remove Software tool in the Windows registry. Select the programs you want to uninstall and click Delete.

  • Control Panel This option displays a scrollable list of check boxes that enable you to determine which tools appear in Control Panel.

  • Create Shortcut This option displays a dialog box for creating shortcuts to start any program on your computer. This tool also enables you to set the priority status of each program and the amount of RAM that should be recovered prior to starting the application for which you are creating a shortcut.

  • Disk Cleaner This tool enables you to search for and delete unused files currently stored on your computer.

  • Drive Manager This option enables you to hide selected drives from Windows Explorer.

  • My Desktop This option enables you to select which default icons appear on the Windows desktop.

  • OEM Info This option enables you to add company name, model number, support information, and a custom company logo. Click Screen Shot to view a preview.

  • Process Info This option enables you to control the priority of running processes.

  • RAM Optimizer This single-click tool optimizes various RAM settings.

  • Special Folder This option enables you to navigate the default folders set for your computer including common Start menu, common programs, common startup, common desktop, common favorites, Start menu, Startup, Favorites list, the Windows desktop, My Documents, and Download folders.

  • Startup Manager This option enables you to control which programs automatically start each time you restart Windows.

  • System Info This option displays information about your computer in six categories: General, Motherboard, Processor, Video Card, Memory, and Harddisk.


System Mechanic

System Mechanic, from Iolo Technologies, is a compact suite of 15 power tools that help you to clean the Windows registry, optimize Internet and network speed, locate and remove unnecessary files, manage Windows startup, find and remove duplicate files, ensure your privacy by eliminating Internet tracking, fine-tune Windows settings, permanently delete files and folders, find and fix broken shortcuts, remove invalid installer information, perform safe installs, and schedule and perform preventive maintenance.

Installing System Mechanic

A 30-day trial version of System Mechanic is included on the companion CD to this book and is also available for download from the Iolo Technologies Web site (http://www.iolo.com). To install System Mechanic, follow these steps:

  1. Start the Setup program from the CD or download the Setup program from the Iolo Web site and run it.

  2. In the welcome screen, click Next. The Version History screen appears. Click Next again.

  3. To accept the default destination folder for the System Mechanic program files, click Next. Otherwise, click Browse, choose an alternate destination folder, and then click Next.

  4. In the Backup Existing Installation screen, accept the default selection of Yes and click Next.

  5. In the Select Backup Directory screen, use the Browse button to specify a folder for the backup files and click Next.

  6. In the Ready To Install screen, click Next to start the installation. When the installation is complete, click Finish.

  7. Read the A Word Of Caution dialog box, and then click OK.

To start the program after installation, click Start, point to All Programs (Programs if using the Windows XP Classic view), System Mechanic, and finally Start System Mechanic to display the System Mechanic window, as shown in Figure 18-12.

Figure 18-12  The System Mechanic window.
Figure 18-12. The System Mechanic window.

If you decide to purchase System Mechanic instead of using the trial version, click I Would Like To Purchase System Mechanic Now in the opening Getting Started window. Click Enter Serial Number in the opening screen and enter the user ID and registration key assigned to you by Iolo.

Performing File Maintenance

The file maintenance tools of System Mechanic are all accessed from the Files screen. To display this screen, open System Mechanic and click Files. The System Mechanic Files screen includes buttons that start the following tools:

  • Find And Remove Junk And Obsolete Files This button displays the Find And Clean Junk And Obsolete Files dialog box, which enables you to find and delete temporary files that have been left behind by one or more application programs on your computer. In this dialog box, Use the Drives To Scan tab to select a drive to scan. Use the Files To Find tab to select file extensions of the temporary files that you want to find and remove. If you want to remove entire folders, you can also use the Folders tab. Use the Other Considerations tab to control which files are skipped. Use the Removal tab to control whether the deleted files are moved to the Recycle Bin.

  • Find And Fix Broken Shortcuts This dialog box helps you locate shortcuts on the desktop and in Windows Explorer that point to target programs that either have been removed from your computer or moved to a different location.

  • Find And Remove Duplicate Files This tool is similar in operation to the Find and Remove Junk and Obsolete Files tool, except that this tool helps you find and remove duplicate files only—those with the same name stored in different folders.

  • Securely Delete Files And Folders The first time you choose this option, it opens an Incinerator dialog box that prompts you to install Incinerator. Click Install Incinerator. When Incinerator is installed, it appears as another Recycle Bin on your computer’s desktop. To securely and permanently remove one or more files from your computer, drag the files onto the Incinerator icon. To modify the number of times that Incinerator overwrites files, click Modify The Way Incinerator Works in the Incinerator dialog box. To uninstall Incinerator, click Uninstall Incinerator in the Incinerator dialog box, and then click Exit.

Performing System Maintenance

All the system maintenance tools of System Mechanic are accessed from the System screen. To display this screen, open System Mechanic and click System. The System screen, shown in Figure 18-13, displays buttons that start the following tools:

  • Clean System Registry This tool scans the Windows XP registry for invalid information, such as references to files that no longer exist on your system, and instructions to load Windows drivers that have been uninstalled. Because making changes to the registry can lead to problems with your system, this feature enables you to specify the number of levels of “undo” that this feature ensures.

  • Windows StartUp Manager This tool enables you to review a comprehensive list of all the programs that automatically start each time you start Windows XP. From a single window, you can enable or disable each of the programs that automatically start. This tool also identifies references that might be invalid.

  • Customize Windows Settings This tool enables you to use one interface to customize the following Windows XP features: the Start menu; CD-ROM settings, such as whether a CD-ROM should use autoplay; network options, including automatic logon system settings and registration details; Windows Explorer settings; Windows appearance settings, such as whether to automatically move the focus to the window where a mouse passes; Internet Explorer settings, such as adding text to the Internet Explorer title bar and smooth Web page scrolling; boot and shutdown settings, including Num Lock setting and password caching; printing settings, such as specifying the folder location for the print spooler; performance improvement by minimized page file use; and security options, including hiding from users various options and features, such as Control Panel and Printers folders on the Start menu.

  • Remove Invalid Uninstaller Information This tool enables you to remove uninstaller information that is no longer valid, such as references to files that are no longer stored on your computer.

  • Safe Installer You can use this tool to monitor the installation of any new program so that you can be assured that you will be able to safely remove the program in the future. This feature is similar to the Ashampoo UnInstaller tool discussed earlier in this chapter.

  • Scheduled Maintenance This tool enables you to schedule and log unattended maintenance including removing junk and obsolete files such as temporary files, ensuring privacy by erasing history files, and scanning and cleaning the registry. You can schedule this maintenance to occur several times a day, or on a daily, weekly, or monthly schedule.

    Figure 18-13  The System Mechanic System screen.
    Figure 18-13. The System Mechanic System screen.
Performing Internet Maintenance

The Internet maintenance tools of System Mechanic are accessed from the Internet screen. To display this screen, open System Mechanic and click Internet. The Internet screen displays buttons that start the following tools:

  • Ensure Your Privacy This tool enables you to erase from your computer automatic tracking of activities on your computer, including the Find Files or Folders history, Internet cookies, Internet cache information, URL history, Internet cache files, AOL cache files, and recently typed keywords in AOL.

  • Optimize Internet Network Speed This tool displays the NetBooster dialog box, shown in Figure 18-14. First make a selection in the Your Connection Type drop-down list and then click Use Optimum Settings For Your Configuration. Click Yes to determine and apply the optimal settings. You need to restart your computer for these settings to be applied.

    Figure 18-14  The NetBooster dialog box.
    Figure 18-14. The NetBooster dialog box.
Performing Scheduled Maintenance

The Scheduled Maintenance tool configures the Scheduled Maintenance Task Agent that runs in the background and displays a small icon in the taskbar notification area. You can schedule System Mechanic to automatically find and remove junk and obsolete files, Internet history files, Internet Explorer cache files, AOL cache files, Media Player history, WinZip records, Outlook Express e-mails, and Internet cookies. You can also find and remove invalid registry entries.


Chapter 19 - Third-Party Digital Photo Tools

Chapter 19
Third-Party Digital Photo Tools

For image acquisition, it’s hard to beat the built-in tools found in Microsoft Windows XP. However, image editing is not one of the strong points of this operating system. Fortunately, if your digital photo and imaging needs extend beyond the solutions offered by Microsoft, there are numerous other solutions available from third-party vendors, many of which are freeware or shareware. Some of our favorites are highlighted in this chapter. Each of these tools provides a specific functionality that augments the features of Windows XP.

The products covered include the following:

  • Ashampoo Illuminator

  • PicaView

  • GIMP for Windows

  • AutoImager

  • Advanced JPEG Compressor

  • OfotoNow


Image Management: Ashampoo Illuminator

Windows XP offers excellent photo and image management capabilities through the Windows shell, but sometimes it’s easier to handle this type of task from a dedicated application. This is especially true if you’re not interested in using Microsoft’s default My Pictures folder, or if you prefer to save image files in a variety of locations.

Ashampoo Illuminator makes managing and finding images easier than ever, and because the company offers a free trial version, the price to try it is certainly right. Both the trial and the full version can be downloaded from the Ashampoo Web site (http://www.ashampoo.com). A trial version is also on the companion CD to this book.

Installing Ashampoo Illuminator

To install Ashampoo Illuminator, follow these steps:

  1. Start the Setup program from the companion CD, or download Illuminator from the Ashampoo Web site and then run the Setup program.

  2. Read the text in the welcome screen, and then click Next.

  3. Read the text in the Read Me File screen, and then click Next.

  4. To accept the default destination folder for the Ashampoo program files in the Choose Destination Location screen, click Next. Otherwise, click Browse, choose an alternate destination folder, and then click Next.

  5. To accept the default program group for the Ashampoo program icons in the Select Program Manager Group screen, click Next. Otherwise, supply a new name, and then click Next.

  6. In the Start Installation screen, click Next to copy the program files to your hard disk.

  7. Click Finish to end the Setup program and automatically start Illuminator.

  8. The first time you use Illuminator, a dialog box tells you that until Illuminator is registered, some advanced features will be disabled. Click Yes. You can register and receive a 30-day trial key for free from the Ashampoo Web site.

Using Ashampoo Illuminator

To start Ashampoo Illuminator from the Start menu, click Start and point to All Programs (Programs in the Windows XP Classic view), Ashampoo, Ashampoo Illuminator, and finally select Ashampoo Illuminator. Enter the trial registration key by clicking the Internet button’s drop-down toolbar arrow and then selecting Enter Reg/Trial Key.

As shown in Figure 19-1, Illuminator presents a split-screen interface, with a file browser on the left and image thumbnail and preview views on the right.

Figure 19-1  The Ashampoo Illuminator user interface.
Figure 19-1. The Ashampoo Illuminator user interface.

To find image files on your hard disk, run the Illuminator Wizard, which is available from the Wizards button on the toolbar. In the Select A Location Where You Want To Scan For Files page, simply direct the wizard to the drive or folder you’d like to search, and let it work (as shown in Figure 19-2). Illuminator scans the selected location for any image files, videos, music files, and anything else you’d like to find, When the wizard completes the scan, it lists the files in a Details view (the default option) in the upper right pane of Illuminator. You can change the file list view by clicking the View menu and selecting Large Icons, Small Icons, List, Details, or Thumbnails.

Figure 19-2  Illuminator scanning the selected location for image files.
Figure 19-2. Illuminator scanning the selected location for image files.

In addition to basic management and searching capabilities, Illuminator can also create nice slide shows using a simple Slideshow Wizard. Select the files you want to include in the slide show, click the wizard’s drop-down toolbar arrow, and then select Slideshow Wizard. The wizard, shown in Figure 19-3, lets you create a new slide show, add photos to an existing slide show, and determine various image settings. For example, you might want to set the maximum image size to a certain resolution or select a common image quality level.

Figure 19-3  The Slideshow Wizard.
Figure 19-3. The Slideshow Wizard.

Slide shows are managed from the Slideshow tab on the left side of the Illuminator interface. As shown in Figure 19-4, you can rename, delete, and play your slide shows from here, or run the wizard to add photos to an exisiting slide show. When you play a slide show, you can select how long each image appears and whether the slide show should loop or display the images in random order.

To create a self-contained slide show, Illuminator offers a feature called a talking flyer. Basically, creating a talking flyer is similar to creating a slide show. You must select an image compression (maximum, medium, minimum, or none) and an output resolution, and you can also add audio if you like. The resulting talking flyer is a single file. To start the Talking Flyer Wizard, shown in Figure 19-5, click the wizard’s drop-down toolbar arrow and then select Talking Flyer Wizard.

Figure 19-4  Preparing a slide show in Illuminator.
Figure 19-4. Preparing a slide show in Illuminator.
Figure 19-5  Creating a talking flyer.
Figure 19-5. Creating a talking flyer.


Image Viewer: PicaView

PicaView is the perfect lightweight image viewing application. It is especially handy for folders that contain numerous image files, because the thumbnail display in Windows XP isn’t very efficient in such instances. When you enable the Windows XP thumbnail view, it converts every image file in a folder to a thumbnail, which can be a lengthy process. On the other hand, PicaView allows you to view images as thumbnails individually. The PicaView software can be downloaded from the ACD Systems Web site (http://www.acdsystems.com/English/Products/Downloads/index.htm).

Installing PicaView

To install the PicaView software, perform the following steps:

  1. Start the Setup program from the version of the software you downloaded.

  2. On the welcome screen, click Next.

  3. Read the licensing agreement on the Licensing Information screen, and then click I Agree To The Terms Of This Agreement.

  4. On the Evaluation Agreement screen, click Next.

  5. To accept the default destination folder for the PicaView program files in the Select Destination Directory screen, click Next. Otherwise, click Browse, choose an alternate destination folder, and then click Next.

  6. On the Ready To Install screen, click Next to copy the program files to your hard disk.

  7. Click Finish to end the Setup program and automatically display the PicaView Help file.

Using PicaView

PicaView does not install a Start menu command, but you can right-click any image file in Windows Explorer and get a quick thumbnail view on the shortcut menu, as shown in Figure 19-6.

PicaView’s shortcut menu commands also make it easy to perform other common image-related tasks. For example, you can use the image resolution command to view, print, copy, or convert image files, all without having to open a dedicated image processing application. There is also a Plug-Ins shortcut menu command that allows you to rotate your images, create and print contact sheets, and upload your images using SendPix. SendPix uploads to an ACD Systems image server, which allows you to share your images with friends and family. You also can set general and plug-ins options by selecting PicaView from the shortcut menu.

Figure 19-6  A PicaView thumbnail image displayed on the shortcut menu.
Figure 19-6. A PicaView thumbnail image displayed on the shortcut menu.

Once you’ve tested the free trial version, you can buy the full version of PicaView from the ACD Systems Web site.


Image Editing: GIMP for Windows

When it comes to image editing, especially for photographs, nothing beats Adobe Photoshop. As powerful as Photoshop is, the tool has one major shortcoming: its price. With a full retail cost of several hundred dollars, Photoshop isn’t for the faint of heart. Even the less expensive, consumer-oriented version, Photoshop Elements, is fairly expensive unless you qualify for an upgrade.

Enter GIMP (GNU Image Manipulation Program), a freeware image editor with many of the same features as Photoshop. GIMP can be downloaded from the GIMP Web site (http://www.gimp.org/~tml/gimp/win32/index.html).

Installing GIMP

To install the GIMP software, perform the following steps:

  1. Start the Setup program from the version of the software you downloaded.

  2. On the welcome screen, click Next.

  3. Read the contents of the License Agreement screen, select I Accept The Agreement, and then click Next.

  4. To accept the default destination directory for the GIMP program files on the Select Destination Directory screen, click Next. Otherwise, click the directory drop-down list, choose an alternate destination folder, and then click Next.

  5. On the Select Components screen, leave the default selections and then click Next.

  6. To accept the default program group for the GIMP program icons on the Select Start Menu Folder screen, click Next. Otherwise, supply a new name and then click Next.

  7. On the Select File Associations screen, select the check boxes for the image types you will be working with, and then click Next.

  8. Read the notes on support file formats, and then click Next.

  9. On the Select Additional Tasks screen, select whether you want to display the program icon on the desktop, the Quick Launch toolbar, or both.

  10. On the Ready To Install screen, click Install to copy the program files to your hard disk.

  11. Click Finish to end the Setup program and automatically start GIMP.

  12. You may be presented with additional configuration screens at initial startup. Make your selections and follow the onscreen instructions to configure GIMP.

Using GIMP

To start GIMP from the Start menu, click Start and point to All Programs (Programs in the Windows XP Classic view), GIMP, and then select GIMP.

With its many floating windows, the GIMP user interface (shown in Figure 19-7) will be familiar to any Photoshop fan.

That said, GIMP is somewhat of an anomaly in the Windows world. It was originally developed for the Linux operating system and uses that system’s GUI Tool Kit (GTK) graphics toolkit for its on-screen widgets. In the Windows version of GIMP, the graphical user interface (GUI) resembles a Linux application more than a Windows application, with such characteristics as widgets and cursor arrows that point right instead of left.

Figure 19-7  The GIMP user interface.
Figure 19-7. The GIMP user interface.

The main GIMP window offers a toolbox with a set of common editing tools, such as selection regions, pencil strokes, paintbrush strokes, an eraser, an airbrush, and the like. The toolbox also includes zoom and cropping tools, and ways to select background and foreground colors.

Other GIMP windows include Tool Options, which changes based on which tool is selected in the toolbox; Brush Selection, for selecting brush sizes when a drawing or painting tool is selected; and Layers, Channels & Paths, for working with GIMP’s more advanced features. Each image you edit also occupies its own window.

To edit an image, select File, Open from the main GIMP window. This starts the Load Image dialog box shown in Figure 19-8, rather than the common Open dialog box you’d expect to see in most Windows applications. This is one of the disadvantages with a cross-over application such as GIMP, because it needs to work on multiple platforms, and therefore supplies only the bare minimum functionality.

From that point, the editing process is very reminiscent of that in Photoshop or any other image editing package. Simply select the tool for what you’d like to do, whether it is selecting shapes, painting in brush strokes, adding text, or other choices.

Figure 19-8  GIMP’s Load Image dialog box.
Figure 19-8. GIMP’s Load Image dialog box.

GIMP is a great tool with a wide range of features, and you can’t beat the price. For more information, visit the GIMP Web site.


Batch Conversion: AutoImager

Looking for an all-in-one image converter? How about a tool that can enhance and alter images in a wide variety of ways? Look no further than AutoImager, a shareware tool with a feature set that is so vast, it’s hard to detail effectively. There are many image conversion and altering applications out there, but what makes AutoImager special is its batch mode, which can completely automate the process of enhancing lists of images. You can even control it from the command line. AutoImager can be downloaded from the AutoImager Web site (http://www.autoimager.com).

POWER TIP
Batch is a simple scripting language that is run from a file with a .bat extension (such as autoexec.bat). With AutoImager, you can create a batch file that will walk through a directory and use AutoImager’s batch mode to apply new settings to literally hundreds of images in seconds.
Installing AutoImager

Install the AutoImager software by performing the following steps:

  1. Start the Setup program from the version of the software you downloaded.

  2. Read the contents of the License Agreement screen, click I Agree, and then click Next.

  3. On the welcome screen, click Next.

  4. To accept the default destination folder for the AutoImager program files on the Choose Destination Folder screen, click Next. Otherwise, click Browse, choose an alternate destination folder, and then click Next.

  5. On the Backup Replaced Files screen, select either Yes or No, and then click Next. If you select Yes, accept the default backup folder location or click Browse to choose an alternate backup folder, and then click Next.

  6. To accept the default program group for the AutoImager program icons on the Select Program Manager Group screen, click Next. Otherwise, supply a new name, and then click Next.

  7. On the Start Installation screen, click Next to copy the program files to your hard disk.

  8. Click Finish to end the Setup program.

  9. The first time you use AutoImager, a dialog box will inform you that you receive a 15-day trial period. Click OK.

Using AutoImager

To start AutoImager from the Start menu, click Start and point to All Programs (Programs in the Windows XP Classic view), Mystik Media, and finally select AutoImager.

The AutoImager user interface, shown in Figure 19-9, is fairly straightforward. First, you add one or more images to a list. As you select and work on images in the list, a preview appears in the Before and After panes, displaying how your edits will change the images. One of the most common uses of this type of feature is to fix an image from a digital camera that has come out darker than you anticipated. With the Before and After panes, you can adjust the brightness of the image and review the results before saving the new image.

Figure 19-9  The AutoImager user interface.
Figure 19-9. The AutoImager user interface.

Click the Options menu and select Processing Options. This loads the Set Options dialog box (shown in Figure 19-10), which allows you to choose the settings from all the tools in AutoImager. You could spend hours fine-tuning the settings in this dialog box.

Let’s say you want to resize several images so that you can upload them to a Web site. Add those images to a list in AutoImage, and then open the Set Options dialog box. Select Resize, and then select the appropriate options. Close the Set Options dialog box and click Process.

Figure 19-10  The Set Options dialog box.
Figure 19-10. The Set Options dialog box.

The full version of AutoImager costs about US$60, which might be a worthwhile investment for a one-stop application for image processing, especially if you spend a lot of time performing repetitive image tasks. For more information and to purchase the full version, visit the AutoImager Web site.


Image Optimization: Advanced JPEG Compressor

With the proliferation of digital cameras, the JPEG image format is becoming more and more common on the Web. JPEG offers compression and fairly small file sizes, but when you want to upload a wide range of pictures to the Web, especially, or share photos over e-mail, every bit counts. It’s handy to have a tool that compresses JPEG images into small files while retaining the quality of the original. If this sounds far-fetched, you haven’t tried Advanced JPEG Compressor yet. The program can be downloaded from the Winsoft Magic Development Web site (http://winsoftmagic.com).

Installing Advanced JPEG Compressor

Install Advanced JPEG Compressor by performing the following steps:

  1. Start the Setup program from the version of the software you downloaded.

  2. When the Setup dialog box asks if you want to continue, click Yes.

  3. On the welcome screen, click Next.

  4. Read the License Agreement screen, and then click Yes.

  5. To accept the default destination directory for the Advanced JPEG Compressor program files on the Select Destination Directory screen, click Next. Otherwise, click the directory drop-down list, choose an alternate destination folder, and then click Next.

  6. On the Ready To Install screen, click Install to copy the program files to your hard disk.

  7. Click Finish to end the Setup program and automatically start Advanced JPEG Compressor.

Using Advanced JPEG Compressor

To start Advanced JPEG Compressor from the Start menu, click Start, point to All Programs (Programs in Windows XP’s Classic view), and then select Advanced JPEG Compressor.

Advanced JPEG Compressor, shown in Figure 19-11, is a simple application with complicated options if you decide to start tweaking. First, you acquire an image from an imaging device such as a scanner or digital camera, or load an existing image you might already have on your hard disk. Advanced JPEG Compressor shows you the difference in size (and quality, although you’d normally be hard pressed to see the difference) in a before/after preview pane.

Figure 19-11  The Advanced JPEG Compressor user interface.
Figure 19-11. The Advanced JPEG Compressor user interface.

Using the default compression recommendation, simply select one of the save options, such as Save The Action Image With A New Name. Advanced JPEG Compressor’s results speak for themselves. For example, on a 2.2-megapixel digital camera, the highest JPEG resolution is 1792 x 1200, and the resulting images are 200 to 800 kilobytes (KB) in size, depending on the content. Advanced JPEG Compressor can compress these images to an average of just 150 KB, and the quality level appears to be identical in each case. This kind of file size difference can dramatically affect the loading times of your Web sites and photo slide shows.

Unfortunately, you can’t save any JPEGs with the trial version of Advanced JPEG Compressor. To get that capability, you need to purchase the full version. For more information or to purchase the software, visit the WinSoftMagic Development Web site.


Photo Printing Service: OfotoNow

Digital photos have changed the process of photography in a number of ways, most obviously because they free you from having to print every single photo you take. However, sometimes a printed photo is the way to go, especially if you’d like to make a gift photo book to commemorate a vacation or holiday, or simply want to share some of your cherished memories with family or friends.

One option is to purchase a high-quality inkjet printer, because newer models can print near-photographic quality images on true photo paper. However, printers can be fairly expensive, and the paper and other disposables (primarily ink) will set you back even more over the life of the printer.

A cheaper alternative, then, is an online photo printing service. These services let you upload images and order prints in a variety of sizes, and many offer photo-related items such as photo albums, frames, and other extras. Of the alternatives, we think Ofoto—now part of Kodak—is the best because of its high-quality processing and quick turnaround.

Ofoto offers two ways to upload images for processing. You can use their Web site, as shown in Figure 19-12. This actually works pretty well, given the limitations of Web-based uploads. But Ofoto offers a more elegant solution as well.

Figure 19-12  Uploading images to Ofoto for prints.
Figure 19-12. Uploading images to Ofoto for prints.

New Ofoto members get several free prints, giving you a chance to check out the quality of the service. If you haven’t seen your digital photos printed yet, give it a shot. You will probably be surprised by how well they come out. Ofoto also offers their OfotoNow software as a free download to help manage and print your digital photos. Although you could download and manage digital images using the image application that came with your digital camera, or even some features of Windows XP, OfotoNow (shown in Figure 19-13) is a must for anyone using the Ofoto service.

Figure 19-13  The OfotoNow user interface.
Figure 19-13. The OfotoNow user interface.

For more information and to perform the OfotoNow download, visit the Ofoto Web site (http://www.ofoto.com/DownloadClient30.jsp).

Installing OfotoNow

Install OfotoNow by performing the following steps:

  1. Start the Setup program from the version of the software you downloaded.

  2. The Setup Wizard starts, extracts some temporary files, and then displays the welcome screen. Click Next.

  3. Read the contents of the License Agreement screen, and then click Yes.

  4. To accept the default destination folder for the Ofoto program files on the Choose Destination Folder screen, click Next. Otherwise, click Browse, choose an alternate destination folder, and then click Next.

  5. In the Install Options screen, review the available options, select the appropriate check boxes, and then click Next.

  6. The Setup program copies the program files to your hard disk and then automatically starts OfotoNow.

Using OfotoNow

To start OfotoNow from the Start menu, click Start and point to All Programs (Programs in the Windows XP Classic view), OfotoNow, and finally select OfotoNow.

Using the OfotoNow software, you can acquire images from a universal serial bus (USB) digital camera, organize your photos into albums before you upload them to the site, and even perform simple image editing, such as instant color and brightness fixing, red-eye removal, cropping, and rotation.


Chapter 20 - Third-Party Audio Tools

Chapter 20
Third-Party Audio Tools

Playing MP3 music files and burning music CDs is so popular that just about everyone’s doing it. Excellent third-party tools for these tasks are plentiful. However, two lesser known categories of audio tools are also just as useful and fun: software for creating music even if you’re not a trained musician, and audio editors that can help you record, edit, and mix sound from any source.

In this chapter, you’ll find information about the best tools in each of these four categories of third-party audio tools: MP3 programs, CD-burning software, music creation programs, and audio editors. We’ll cover the following topics:

  • Making MP3 files

  • Burning CDs

  • Making music

  • Editing audio


Making MP3 Files

Back when cassette tapes were the most popular media for recording music, people made “mix tapes” to create customized collections of songs. However, only those people with the time and the right audio equipment could do it easily.

Now, with software that “rips” CDs and an inexpensive CD burner, you can create your own customized collections of music on CDs quickly and easily using technology built right into Microsoft Windows Media Player (which we’ll call “the Player” for short). After you’ve ripped your favorite CDs with the Player, transferring songs to your hard disk so you can play them through your computer’s speakers, you can also copy them from the Player’s Media Library to a portable audio player to take a custom collection of music anywhere you go.

The new Windows Media Player in Microsoft Windows XP does just about everything that most people do with CD-ripping and CD-burning software, with one important caveat: The Player creates only .wma files, the Windows audio file format. The .wma format is arguably better than the more popular .mp3 music file format, because it can offer similar sound quality in files that are about half the size. However, .mp3 files are still more popular, and many brands of portable music players work only with .mp3 files.

Fortunately, several companies offer very inexpensive and easy-to-use add-ins to the Player that give it the power to create .mp3 files in addition to .wma files. These add-ins enhance the Player by adding .mp3 as an available file format so you can copy music tracks from CDs to .mp3 files and then, if you want, organize them on your hard disk, burn them onto CDs, or transfer them to your portable MP3 player.

Here’s a look at three inexpensive, high-quality .mp3 Windows Media Player add-ins: MP3 PowerEncoder from CyberLink Corp., MP3 XPack from InterVideo, and CineMaster MP3 Creation Pack from Sonic Solutions.

CyberLink’s MP3 PowerEncoder

MP3 PowerEncoder from CyberLink Corporation doesn’t run as a separate program. Once it’s installed, it simply adds a new option to the list of file formats you can choose within the Player before copying a CD’s tracks to your hard disk. The new file format is Cyberlink MP3, as shown in Figure 20-1. When you choose CyberLink MP3, the Player converts the audio information from the CD’s music tracks to .mp3 files rather than its default .wma files. MP3 PowerEncoder can also convert .wav files stored on disk so you can copy them to a portable MP3 player. To buy MP3 PowerEncoder online, go to the CyberLink Corporation Web site (http://www.gocyberlink.com/english/products/powerdvd/winxp_plugin.asp).

Figure 20-1  CyberLink MP3, a new option in the File Format list.
Figure 20-1. CyberLink MP3, a new option in the File Format list.
Installing and Using MP3 PowerEncoder

To install MP3 PowerEncoder, double-click the file you’ve downloaded. The Setup software runs automatically and asks for the CD key that is provided to you when you purchase the product online. Enter the CD key in the space provided and click OK to complete the installation.

To use MP3 PowerEncoder, follow these steps:

  1. Start the Player by clicking Start and pointing to Windows Media Player. If the Player is no longer on your Start menu, point to All Programs (Programs in the Windows XP Classic view) and select Windows Media Player.

  2. On the left toolbar, click Copy From CD.

  3. Insert an audio CD in the CD-ROM drive of your computer.

    The Player reads the CD automatically and then, if you have an Internet connection, downloads information about the CD, including a list of its song tracks, their lengths, the artist and composer for each track, and the genre and style of each selection. For more information about the CD, you can click Album Details on the Player’s Copy From CD toolbar, located near the top of the Player. If the information is available, a new pane opens below the copy track list to provide a picture of the CD cover, a list of tracks, and in some cases, even a review of the CD.

  4. On the Player’s Tools menu, select Options. If the menus and other dialog box options for the Player are not visible, click the Show Menu Bar button in the upper left corner of the Player.

  5. In the Options dialog box, click the Copy Music tab.

  6. In the Copy Settings area of the Copy Music tab, click the File Format drop-down list, and select CyberLink MP3.

    Below the File Format list, you can also choose one of four quality settings. The default setting for MP3 PowerEncoder, 128 kilobits per second (Kbps), is CD-quality audio and provides music that is indistinguishable from the original CD tracks. By dragging the Copy Music At This Quality slider to the left, you can choose from the additional MP3 PowerEncoder options of either 96 Kbps or 64 Kbps, both of which provide smaller file sizes to fit more tracks on disk or onto a portable MP3 player while sacrificing a degree of sound quality. If you’re transferring music from a CD to a portable MP3 player, you might want to try one of these settings to see whether the sound quality on the device is still acceptable. If you can live with a little less quality, you’ll fit a lot more music onto your device. If you’re transferring spoken text or other fairly low-quality audio, such as a recording from radio, you’ll certainly want to choose one of these settings.

  7. Click OK to close the Options dialog box.

  8. Click Copy Music on the Player’s Copy From CD toolbar, located near the top of the Player, to begin the process.

After you’ve copied a CD’s music tracks, they appear in the Player’s Media Library. To copy these tracks to a portable MP3 player, follow these steps:

  1. On the left toolbar of the Player, click Media Library.

  2. In the left pane of the Player window, click either the album title or the artist. The right pane of the Player window shows the tracks from the CD.

  3. On the left toolbar of the Player, click Copy To CD Or Device.

  4. If you want to copy only certain tracks, make sure only their corresponding check boxes are selected.

  5. On the Copy To CD Or Device toolbar, located near the top of the Player, click Copy Music.

InterVideo’s MP3 XPack

InterVideo’s MP3 XPack, like the other MP3 Creation Packs in this summary, adds .mp3 (InterVideo MP3) to the list of file formats you can choose when ripping tracks from an audio CD, as shown in Figure 20-2. You can obtain InterVideo’s MP3 XPack by downloading it from the InterVideo Web site (http://www.InterVideo.com).

Figure 20-2  Adding MP3 to the list of file formats.
Figure 20-2. Adding MP3 to the list of file formats.
Installing and Using MP3 XPack

To install the program, follow these steps:

  1. Double-click the file you’ve downloaded.

  2. The Setup program asks for your e-mail address, the InterVideo account password that you created when you bought the program online, an activation key, and the last four digits of the credit card number you used to purchase MP3 XPack. You can copy and paste this information from an e-mail message you’ll receive after buying the program.

  3. The Setup program next displays the InterVideo XPack Options dialog box, shown in Figure 20-3, which contains a control you can use if you prefer to choose a different set of four bit rates to be displayed in the Options dialog box in the Player. A bit rate is a measurement of how much sound data is recorded during each second. The more data recorded, the better the sound quality. The four options—96 Kbps (the default), 128 Kbps, 192 Kbps, and 320 Kbps—give you an ample number of choices, so you have optimum control over the sound quality.

    Figure 20-3  The InterVideo XPack Options dialog box.
    Figure 20-3. The InterVideo XPack Options dialog box.

  4. With the three additional options in the Options dialog box, you can make fine-tuning adjustments for how you want sound recorded in .mp3 files. You’ll get fine recordings with the three default choices, Joint Stereo and Sample Rate Optimization turned on, and Variable Bit Rate (VBR) turned off, but you might want to try selecting the Variable Bit Rate check box, copying an .mp3 file you’ve made with MP3 XPack to your portable MP3 player, and then testing its playback. The Variable Bit Rate setting can reduce the size of .mp3 files you create, so it’s a desirable option if the .mp3 file plays back successfully on your portable device. If you decide to alter these defaults later, you can access the XPack Options dialog box by clicking Start and pointing to All Programs (Programs in the Windows XP Classic view), InterVideo XPack, and finally selecting XPack Config.

  5. When you’ve completed setting the options in the Options dialog box, click OK.

To use MP3 XPack, perform the following steps:

  1. Insert an audio CD in your computer’s CD-ROM drive and click Copy From CD on the left toolbar of the Player.

  2. The check boxes for all the songs are selected by default. Clear the check boxes for any songs you don’t want to copy, and then click Copy Music on the Player’s Copy From CD toolbar, located near the top of the Player. The CD audio tracks are copied to disk in .mp3 file format and added to the Player’s Media Library.

To copy tracks from the Media Library to your portable MP3 player, perform the following steps:

  1. Click Copy To CD Or Device on the left toolbar of the Player.

  2. In the Music To Copy pane, select the tracks to copy from the drop-down list.

  3. In the Music On Device pane, select the device from the drop-down list, and then click Copy Music.

Sonic Solutions’ CineMaster MP3 Creation Pack
Installing and Using CineMaster MP3 Creation Pack

Install the program by following these steps:

  1. Double-click the Setup file you’ve downloaded.

  2. In the CineMaster MP3 Creation Pack window, click Register.

  3. Copy the registration code into the Registration Code text box, and then click OK. (You receive the registration code in an e-mail message after you purchase CineMaster MP3 Creation Pack.) The Setup program connects to the Internet and confirms your registration.

Like the other Windows Media Player add-ins, you don’t run CineMaster MP3 Creation Pack to start creating .mp3 files. Instead, you make sure MPEG Layer-3 Audio is the File Format setting in the Windows Media Player Options dialog box, and then use the Copy From CD and Copy To CD Or Device options in the Player as before. The tracks that you rip from CDs or copy to your portable audio player are written to .mp3 files. It all happens perfectly and seamlessly, without any special intervention from you.

Figure 20-4  CineMaster MP3 Creation Pack’s MPEG Layer-3 Audio format.
Figure 20-4. CineMaster MP3 Creation Pack’s MPEG Layer-3 Audio format.

To ensure that you’ll get .mp3 files with the quality setting you want after installing CineMaster MP3 Creation Pack, however, you can follow these steps:

  1. From the Tools menu of the Player, click Options.

  2. On the Copy Music tab of the Options dialog box, make sure MPEG Layer-3 Audio is selected in the File Format list.

  3. Drag the Copy Music At This Quality slider to the quality setting you want.

The 160 Kbps option gives you full, CD-quality sound, but you can choose 8 Kbps or 56 Kbps to conserve disk space and create smaller files at the expense of sound quality.


Burning CDs

Recording data or audio tracks on a recordable CD using software built right into the operating system is new in Windows XP, but CD-burning programs have been around as long as recordable CD drives have been available. They’ve been refined into powerful software that is full of features and easy to use. Programs for CD recording, such as Roxio’s Easy CD Creator or Ahead’s Nero, the two Windows XP–compatible programs covered here, provide many useful capabilities that go beyond the basic CD burning that’s built into Windows XP. They burn CDs faster, enable you to create CD labels and jewel box inserts, and burn CDs in every known format, from regular CD Recordable (CD-R) to CD Recordable/Writeable (CD-RW), which lets you burn reusable, rewritable CDs.

If you’ve added a CD-R drive to your computer, you most likely found a CD recording program in the box the drive came in. Don’t overlook this software, because it’s probably a useful but limited-feature edition of one of the leading programs. It’ll serve many of your CD burning needs admirably. For added features, such as one-button CD copying, built-in CD ripping and audio file processing, and even the ability to create video CDs that you can play on a DVD player, you’ll want to upgrade to a full-featured CD-burning program, such as the two programs described next.

Roxio’s Easy CD Creator

Roxio’s Easy CD Creator comes loaded with plenty of handy features. Easy CD Creator provides a complete set of tools for organizing data and audio files for transfer to CD, managing the actual recording process, and designing labels for CDs and cases. In addition, Easy CD Creator provides modules for ripping tracks from music CDs; burning .mp3 files to audio CDs; removing hisses, pops, and clicks from music tracks you pull off old tape recordings and vinyl albums; and adding graceful transitions between audio tracks, such as fade-ins, fade-outs, and cross-fades, so you can create a party mix of your favorite music.

Easy CD Creator also transfers photos and video files to CDs and VideoCDs that will play on a DVD player. Before you burn the files on disk, you can edit video clips, create transitions between clips, and add text labels to create multimedia shows and video postcards.

If your CD drive is capable of writing to CD-RW disks, which are erasable or rewritable CDs, DirectCD, now a part of the Easy CD Creator bundle, treats your CD drive like a regular floppy disk drive. You have the flexibility to read, write, and erase individual files on a CD-RW disk without having to gather a collection of files and burn them on the CD all at once.

You can have lots of confidence in Easy CD Creator’s ability to work in Windows XP, because Roxio, the company that offers Easy CD Creator, provided the CD recording capabilities that are built into Windows XP. Easy CD Creator is not downloadable, but you can buy it from the Roxio Web site (http://www.roxio.com).

Installing and Using Easy CD Creator

To install Easy CD Creator, put the program’s installation CD into your CD-ROM drive, and click Yes in the dialog box asking whether you want to install the program.

Easy CD Creator is incredibly easy to use. To start the program, click Start and point to Easy CD Creator. When the program starts, it displays a file list and an empty project list in dual panes, as shown in Figure 20-5. When Easy CD Creator starts, it’s prepared to burn an audio CD, but you can point to New CD Project on the File menu, and then select a different CD type, such as Data CD, Music CD, MP3 CD, Mixed-Mode CD, Enhanced CD, or Bootable CD.

Figure 20-5  The Easy CD Creator window.
Figure 20-5. The Easy CD Creator window.

Creating a CD is simply a matter of selecting files in the upper pane and clicking Add on the lower pane’s toolbar, or dragging files from the upper pane to the lower, and then clicking Record on the lower pane’s toolbar. As you select files for a new project (Easy CD Creator calls each CD a project), keep your eye on the Project Size status bar at the bottom of the program’s window, which tells you the overall project size, or how much space the files you’ve selected will occupy on the CD. After you click Record and burn a CD, the program even asks whether you want to create a label for the CD case. If you click Yes, the integrated label creator starts.

Perhaps the easiest way to use Easy CD Creator is to insert a blank CD in the CD burner in your computer. This opens the CD Drive dialog box in Windows XP, shown in Figure 20-6, asking whether you want to open a writable CD folder in Windows Explorer so you can burn a CD using the built-in CD burning features in Windows XP, or create a CD using Roxio Easy CD Creator. If you select Create A CD and select the Always Do The Selected Action check box, Easy CD Creator starts whenever you insert a blank CD.

NOTE
The options listed in the CD Drive dialog box might vary slightly, depending on what you have installed on your computer.
Figure 20-6  The CD Drive dialog box of the Roxio Easy CD Creator.
Figure 20-6. The CD Drive dialog box of the Roxio Easy CD Creator.

The other programs in the Easy CD Creator suite are similarly easy to use. You get Spin Doctor for pulling audio off old recordings, processing it, and burning it to CD; VideoImpressions for editing and arranging videos with music and voiceover narrations; PhotoRelay for making CD or Web photo albums and slide shows; DirectCD for reading and writing files to CD-RW disks the same way you read and write files to a floppy or hard disk; and other useful programs and utilities.

NOTE
If you are using a version that was bundled in with the purchase of your CD-R (or CD-RW) drive, all these features might not be available. However, these features are definitely available if you purchase the Platinum version of Easy CD Creator.
Ahead Software’s Nero

If you’d like the freedom to burn every possible format of CD, CD-RW, and even DVD without some of the lesser used features of Easy CD Creator, then consider a program called Nero, from Ahead Software. Nero burns not only all the standard formats of CD and CD-RW, but also more exotic formats such as CD-EXTRA, which includes, in a computer-readable track, disk and track titles, lyrics, and other information about the audio content of a CD, and Video CDs and Super Video CDs, which play video files. Nero also provides a wave editor for editing audio files, a label designer for creating CD and CD jewel box labels, and built-in virus scanning so you won’t inadvertently write a virus file onto a CD along with data you want to archive or back up.

With the Nero interface you can easily drag the files you want to burn to a CD and quickly step through the process. The Nero Wizard walks you step by step through creating a data CD, audio CD, or DVD so you can’t possibly go wrong.

To try Nero, you can download a fully functioning demo, but without the full suite of programs, from the Ahead Software Web site (http://www.nero.com), and then, if you like the product, register your version. You can download a user manual and other documentation from the Web site and receive online customer support in the form of frequently asked questions (FAQ) and the Ahead help system.

Installing and Using Nero

You can install Nero by double-clicking the Setup file from the program you’ve downloaded. The Setup program installs Nero and adds a Nero—Burning ROM icon on the Start menu. Click this icon to start the program.

Unless you’ve disabled it, the Nero Wizard opens when you first start Nero. The wizard leads you step by step through a number of choices, as shown in Figure 20-7, and drops you off ready to create a disk in the format you want. All that’s left is to choose the files or tracks you want on the CD and start the burn process.

Figure 20-7  The Nero Wizard.
Figure 20-7. The Nero Wizard.

To select files, drag them from the File Browser to the window that’s now open showing the new CD’s contents. At first, the window is empty, but as you drag folders, individual files, or groups of files, it fills to show the compilation of files that you want to burn to a CD or DVD. As you drag files, keep your eye on the size scale (shown in MB) that runs horizontally along the bottom of the Nero window, shown in Figure 20-8. With this scale, you’ll be able to judge how much space remains on the disk and how many more files you can add.

Figure 20-8  Creating a compilation of files by dragging them from the File Browser window to the window for the new disk.
Figure 20-8. Creating a compilation of files by dragging them from the File Browser window to the window for the new disk.

After you’ve assembled a file compilation by dragging, click the Write CD button on the toolbar to open another wizard that helps start the burn process. If you’d prefer, you can close the wizard and make selections yourself in the Write CD dialog box or accept the default settings to streamline the process. Nero burns the data or audio files to your drive as quickly as the drive is capable of writing.

If you plan to create additional CDs of the same data or music tracks later, you might want to create an image on disk of the CD’s contents so you can burn multiple CDs from the image later. To accomplish this task, follow these steps:

  1. Select New from the File menu to start a new CD. If the Nero Wizard starts, click Close Wizard.

  2. In the New Compilation dialog box, click the type of disk you want to create: CD-ROM (ISO), Audio-CD, or other option, and click New.

  3. Create a compilation of files in the new CD compilation window by dragging files from the File Browser window.

  4. Select Choose Recorder from the Recorder menu.

  5. In the Choose Recorder dialog box, click Image Recorder, and then click OK.

  6. Click the Write CD button on the toolbar or choose Write CD from the File menu, and then on the Burn tab of the Write CD dialog box, click OK.

  7. In the Save Image File dialog box, enter a file name and location for the image, and then click Save.

Later, when you’re ready to burn CDs from the image, follow these steps:

  1. Select Burn Image from the File menu.

  2. Navigate to and select the image file you created earlier, and then click Open.

  3. On the Burn tab of the Write CD dialog box, click OK.


Making Music

If you’ve got a song in your heart but never learned to play an instrument, you can still make astounding music with loop-based music creation programs. You might not be able to use them to write a symphony, but that’s not what they’re for. Instead, loop-based music programs give you the tools to assemble prerecorded music tracks (loops) into your own songs. One loop might be a repeating drum pattern, another a guitar riff, and a third a rhythmic bass line. By placing them on a timeline and then dragging them into position, you can have them play together. The program takes care of the finer details such as making sure they all play at the same tempo and at the same pitch. You get to attend to the bigger picture, like choosing what kind of sound you want. Using one of these programs is like having an assembly of studio musicians in your desktop computer. You choose from each musician’s repertoire of sounds, and then tell each one what to play and when.

Music from a loop-based program can be an ideal sound track or music bed for a video or Web site. In fact, these programs display video in a separate window so you can build synchronized music and audio, scoring an entire sound track on your computer.

Professional music remixers have been using the techniques employed in loop-based programs for years to create new audio tracks based on existing music, but with these tools, anyone can create great-sounding music by combining the many repeating musical loops that come with the program in new and innovative ways.

Sonic Foundry’s ACID Music

Sonic Foundry’s ACID Music opened the loop-based category of desktop music software with its first version, introduced in 1998. Now, with ACID Music version 3, the company has refined the program even further. It’s a slick, fun-to-use, powerful, easy-to-learn music creation tool.

You can download a demo of ACID Music from the companion CD to this book or from the Sonic Foundry Web site (http://www.sonicfoundry.com). The demo has a limited number of features, but certainly enough to help you decide whether to purchase the full version.

Installing and Using ACID Music

To install ACID Music, perform the following steps:

  1. To install the demo, double-click the Setup file from the companion CD to this book or the downloaded version of the program and then click Next in the Setup Wizard dialog box to extract the temporary files.

  2. In the welcome page, click Next.

  3. In the License page, select I Accept The Terms In The License Agreement, and then click Next.

  4. Accept the default destination paths, click Next, and then click Install.

  5. When the installation is complete, click Finish.

You can start ACID Music by clicking Start and pointing to All Programs (Programs in the Windows XP Classic view), Sonic Foundry, ACID Music, and finally selecting ACID Music 3.0. To build a song, you start a new composition (ACID Music calls these projects), and drag media files from an Explorer window onto the ACID timeline. Media files are categorized by type, such as Electric Bass, so you can preview different Electric Bass loops, for example, to find just the bass line you want. Each sound can be a loop that repeats, a one-shot such as a cymbal crash, or a “beatmapped” track, which is a longer musical selection.

A piece of music you’re building has multiple tracks, one for each type of sound, and each track can have any number of events, or instances of sound along the track. One track might be a drum beat and another a repeating bass line. The tracks you’ve assembled appear on the ACID Music timeline, shown in Figure 20-9.

Figure 20-9  An ACID Music composition composed of multiple tracks, each containing events, such as drum beats, guitar riffs, or bass lines.
Figure 20-9. An ACID Music composition composed of multiple tracks, each containing events, such as drum beats, guitar riffs, or bass lines.

The incredible strength of working with ACID Music is that you can build complete pieces by using prerecorded, royalty-free segments of music—either the loops that come with the program or sounds that you record yourself. You can create any number of songs, each with a different tempo and even a different musical key without having to worry about whether the prerecorded segments will fit. ACID Music makes them fit by adjusting their tempos and keys.

After you’ve dragged segments to tracks in ACID Music, you can rearrange them by dragging them, trying different combinations, auditioning different drumbeats, or trying different guitar patterns or bass lines. ACID Music can play back an unlimited number of tracks, and its plug-ins can customize your mixes with sound effects such as reverb and distortion. When you’ve completed your music, you can export it as an .mp3 file, Real Audio format file, a .wav file, or a .wma file (by selecting Render As from the File menu), or you can burn it to a CD directly from within ACID Music.

To take the experience of creating music further, you can upgrade to ACID Pro, which adds a host of features, including the ability to record and play back Musical Instrument Digital Interface (MIDI) tracks, which are digital data tracks that can control music synthesizers, such as keyboards, sound modules, and drum machines. You can’t edit the individual notes in a MIDI track with ACID Pro, but you can record yourself overdubbing a melody on an electronic keyboard while the accompaniment you created earlier is playing.

Cakewalk’s Plasma

Plasma, from Cakewalk, offers many of the same features as ACID Music, including the ability to arrange and rearrange prerecorded music loops on tracks, as shown in Figure 20-10, and drag existing musical events to build entire compositions. It comes with numerous prerecorded, royalty-free loops you can employ, and it can also use ACID Music loops. However, its relative strength compared to ACID Music is its ability to record and edit MIDI data along with recorded sound files.

Figure 20-10  Plasma displaying loops, MIDI data, and even recorded audio files in tracks.
Figure 20-10. Plasma displaying loops, MIDI data, and even recorded audio files in tracks.

MIDI data is digital information that comes from digital keyboards, drum machines, and other music synthesizers. You can play a music instrument, such as an electronic keyboard, that’s connected to your PC, and have Plasma record the MIDI data that comes from the keyboard into a file. The MIDI data represents each note, its volume, and the way it’s played. Plasma can send the MIDI data back to the keyboard to have it replay the exact same notes the exact same way. If you want, your synthesizer can play back MIDI data you’ve recorded but with a different instrument sound, so you can record a melody and accompaniment on a keyboard, and have it play back as an ensemble with horns, strings, a rhythm section, and anything else you’d like.

Unlike ACID Music, Plasma lets you view individual notes from a MIDI file on a music notation–like score, as shown in Figure 20-11. To edit notes (when you change a melody, for example), you can simply drag notes up and down, and you’ll hear the new pitch as you drag.

Figure 20-11  Plasma displaying the notes in a MIDI file on a score.
Figure 20-11. Plasma displaying the notes in a MIDI file on a score.

Additional standout programs that come with the Plasma suite are Fruityloops Express, a tool that you can use to create beat sequences using a variety of drum kits and audio samples that become loops you can use in any Plasma project, and Plasma FXPad, which lets you apply effects to your audio in real time using a joystick or mouse. To start FXPad, point to Audio Effects on the Edit menu, point to Cakewalk on the Effects menu, and click FXPad. Fruityloops Express is installed separately from the Plasma CD by double-clicking the Setup program in the Fruityloops Express folder. Once the Setup Wizard guides you through the installation, you can access Fruityloops Express either through the Start menu (by clicking Start and pointing to All Programs, Fruityloops Express, and then selecting Fruityloops Express) or from the Tools menu within Plasma.

A demo version or downloadable full version of Plasma is not available, but you can learn more about and order the program at the Cakewalk Web site (http://www.cakewalk.com). Plasma also can be bought at retail stores.


Editing Audio

Sound Recorder in Windows XP provides a simple sound editor you can use to record sounds as .wav files or work with existing .wav files you’ve downloaded. With Sound Recorder, you can accomplish the most basic audio editing tasks, such as chopping off empty space at the beginning of a recording, stringing together two audio tracks, or adding an echo. However, Sound Recorder is a mere toy compared to the sophisticated audio editors that work with Windows XP, such as the three top tools described in this chapter: Sound Forge XP Studio version 5 from Sonic Foundry, Inc., Cool Edit 2000 from Syntrillium Software Corporation, and GoldWave from GoldWave, Inc.

The three audio editors described here offer audio recording and playback along with editing (cutting and pasting sections) and mixing of multiple audio tracks, which lets you accomplish tasks like adding a voiceover to a musical background. In addition to basic audio editing, all three editors include professional-level audio effects you can apply to sound such as equalization, fades, echoes, time compression, and doppler effects. These effects enable you to enhance audio tracks and make them more suitable for a use in a digital video or a Microsoft PowerPoint presentation. These products even provide tools for removing noises, pops, clicks, and other aural flaws from traditional recordings that have been transferred to digital.

Of course, these features are just the highlights. These products offer many additional features that bring recording studio–level digital audio manipulation to your computer. They also have one other capability that you’ll find handy: They can import a sound in just about any file format and then save it in a different format, which lets you convert sounds from one file format to another. For example, you can capture and work with a .wav file and then convert it to an .mp3 file for playing on a portable MP3 player.

Here’s a look at each product, highlighting its capabilities and special features.

Sonic Foundry’s Sound Forge XP Studio

Sound Forge XP Studio version 5 from Sonic Foundry is a home and small-business version of the company’s acclaimed professional-level Sound Forge audio editing software. It offers the capability to do everything you’re likely to want to do with soundtracks, but it omits a few key features that exist in the far more expensive Sound Forge program and that might be useful in the recording studio for professional musicians, mixers, or audio engineers. The companion CD to this book contains a demo version of Sound Forge XP Studio, and you also can download the demo from the Sonic Foundry Web site (http://www.sonicfoundry.com).

Installing and Using Sound Forge XP Studio

To install Sound Forge XP Studio, perform the following steps:

  1. To install the demo, double-click the Setup file from the companion CD to this book or the downloaded version of the program and then click Next in the SetupWizard dialog box to extract the temporary files.

  2. In the welcome screen, click Next.

  3. In the License screen, select I Accept The Terms In The License Agreement, and then click Next.

  4. In the Customer Information screen, enter the appropriate information, and then click Next.

  5. Accept the default destination path, click Next, and then click Install.

  6. When the installation is complete, click Finish.

You can start Sound Forge XP Studio version 5 by clicking Start and pointing to All Programs (Programs in the Windows XP Classic view), Sonic Foundry, Sound Forge XP Studio Version 5.0, and finally selecting Sound Forge XP Studio Version 5.0. Then you will be prompted to give the product’s serial number or to continue in demo mode.

As with the other audio editors in this class, Sound Forge XP Studio displays the waveform of a sound file you’ve downloaded, extracted from a CD, or recorded through your computer’s sound card, as shown in Figure 20-12. The audio file might be a music track from a CD, a cut from a record album, a voiceover recorded by microphone, or the output from a music synthesizer. Once the file is displayed on the screen, you can cut and paste or move sections, easily trimming dead air from the beginning or end of a recording, for example. If you have two audio files in sequence, you can cross-fade them (fade one out as the other fades in), balance their volume levels, and create smooth fade-ins and fade-outs between them.

Figure 20-12  The Sound Forge XP Studio display of a sound file.
Figure 20-12. The Sound Forge XP Studio display of a sound file.

After you open a sound file (by selecting Open from the File menu), you can audition the entire sound by clicking the tape-recorder–like Play button, or preview just a portion of the sound by selecting it with the mouse pointer before clicking Play. A running time scale across the top of the sound window can help isolate just the segment you want. If the sound is stereo, the left and right tracks are shown as two parallel waveforms.

For simple editing, you cut and paste just the way you would in a word processor or any other Windows program. Highlight a section of the waveform and then click Cut or Copy on the toolbar, and then click another spot along the waveform and click Paste. By clicking Paste Special, you can also choose CrossFade rather than Paste so that the pasted audio fades in as the existing audio fades out.

If your goal is to add an audio track to a video selection for a professional presentation or simply a home movie, you can view the video in the Video Preview window while working with the accompanying music or narration. If the soundtrack you have is just a bit too long or too short, you can use the Time Stretch feature to compress or expand the audio without changing its pitch. Naturally, there are limitations to this feature: You can’t cut a long-winded speech to fit a 30-second spot, but you can trim a 33-second announcement down to 30 seconds without making it sound unnatural.

With Sound Forge XP Studio’s dozens of audio effects, you can change the character of a sound, adding reverb, delay, chorus, stutter, and many other audio processing features. Applying an effect is simply a matter of selecting the track and choosing from among the many options on the Effects menu. For ease of use, each effect has a number of preset settings from which you can choose, as shown in Figure 20-13, or you can take control of all the settings to make fine-tuning adjustments yourself. By clicking Preview, you can audition an audio effect before you apply it, making before and after comparisons.

Figure 20-13  Options for an effect you can apply to a sound.
Figure 20-13. Options for an effect you can apply to a sound.

After you’ve finished working with an audio track, Sound Forge XP Studio can burn it on an audio CD with its own built-in CD recording capabilities. You don’t need to use a separate CD recording program. If you’re creating an audio track for use online, you can encode a finished track in one of the streaming media formats, such as Windows Media, among many other standard audio file formats, such as .wav or .mp3.

If you need audio editing in a professional studio environment, you might want to opt for Sonic Foundry’s professional-level software, which is named simply Sound Forge. This software provides additional features and 24-bit or 32-bit digital sound representation for finer sound quality, but for most home and office needs, Sound Forge XP Studio’s 16-bit audio and full complement of features will be more than sufficient.

GoldWave

GoldWave, shown in Figure 20-14, is a sophisticated, reasonably priced audio editor that offers a substantial set of audio editing tools and capabilities. You can download a full-featured demo of the program from the GoldWave Web site (http://www.goldwave.com).

Figure 20-14  GoldWave displaying a sound as a waveform.
Figure 20-14. GoldWave displaying a sound as a waveform.
Installing and Using GoldWave

To install GoldWave, perform the following steps:

  1. To install the demo, double-click the Setup file from the program you downloaded.

  2. In the Setup Wizard’s Install screen, click Next.

  3. In the Destination Folder screen, accept the default location or browse for a new location, and then click Next.

  4. In the Desktop Shortcut And Menu Options screen, make the appropriate choices, and then click Finish. This installs the software files.

  5. When the installation completes, it automatically launches the GoldWave program and displays the help file.

In addition to its standard features for recording, playing, and editing audio tracks, GoldWave provides a wide selection of audio processing tools. They are found on the Effects menu, as shown in Figure 20-15. You can apply any combination of these to an audio track.

Figure 20-15  GoldWave’s many digital effects on the Effects menu and Effects toolbar.
Figure 20-15. GoldWave’s many digital effects on the Effects menu and Effects toolbar.

GoldWave’s Effects toolbar makes it easy to find and apply an effect, and its built-in pop and click filters and noise reduction filter can clean up old recordings easily.

GoldWave can convert easily among all the popular audio file formats, such as .wav, and .mp3, and it can batch convert among many file types so you can convert several files at once. However, GoldWave doesn’t offer support for creating streaming media for the Web, and it doesn’t have a built-in CD-burning capability. You’ll need to use the CD-burning features of Windows XP for that.

Syntrillium’s Cool Edit 2000

Cool Edit 2000, from Syntrillium Software Corporation, offers features similar to those of Sonic Forge XP Studio and GoldWave. It displays a soundtrack you record or open from disk as a waveform, as shown in Figure 20-16, and provides all the audio editing and processing features you’d expect in a professional-level audio editor. You can cut and paste audio clips; normalize and equalize sounds; create fades, echoes, and distortions; apply other digital signal processing effects; and even compress or expand an audio track to fit.

Figure 20-16  A Cool Edit display of a sound as a waveform.
Figure 20-16. A Cool Edit display of a sound as a waveform.

Cool Edit 2000 also represents audio information at a full 24-bit depth, which makes it ideal for preparing audio tracks for DVDs, which represent audio with 24-bit digital audio signals. Cool Edit 2000 also supports a selection of optional plug-ins, such as the Studio Plug-In, which expands Cool Edit to four tracks so you can mix multiple audio tracks. These tracks might be different instruments in a band, or music tracks along with sound effects and voice narration. Although you need to buy the plug-ins for Cool Edit separately, they add considerable power to the program. You can download a demo of Cool Edit 2000 from the Syntrillium Web site (http://www.syntrillium.com).

Installing and Using Cool Edit 2000

After you download the demo file, double-click it to run the Cool Edit Setup program. The Setup Wizard will guide you through the installation, and when completed, a Cool Edit icon will be available on the Start menu.

As with the other sound editors described here, working with sounds in Cool Edit involves selecting a waveform or a portion of a waveform, and then choosing an effect or “transformation” from the Transform menu. Each effect has its own dialog box (for instance, the Create Envelope dialog box shown in Figure 20-17), which offers a number of presets from which you can choose. You can also create custom settings to save as new presets.

Figure 20-17  The Create Envelope dialog box, with transformation presets from which you can choose.
Figure 20-17. The Create Envelope dialog box, with transformation presets from which you can choose.

After you’ve completed a soundtrack, you can save it in one of the standard audio file formats, such as .wav or .mp3, or export it to RealAudio format (by selecting Save As from the File menu) to create streaming media for a Web site. Cool Edit 2000 does not support the Windows .wma streaming media file format, however.

For studio-level audio editing, you can purchase Cool Edit Pro, the professional-level product from the same company. Cool Edit Pro offers 128-track mixing, 45 effects, MIDI Time Code synchronization for triggering music synthesizers, support for DirectX plug-ins, and other features.


Chapter 21 - Third-Party Digital Video Tools

Chapter 21
Third-Party Digital Video Tools

When multimedia computers became common more than a decade ago, one of the dreams for these systems was that video would be a major part of the multimedia content that they delivered. However, it wasn’t until recently that hardware that allowed full-screen, full-motion video to be displayed on computer screens became affordable. This has created a revolution in desktop video, as more and more people use their computers to watch movies or even make movies of their own.

This chapter introduces you to some great third-party tools for working with digital video. Authoring tools for creating your own movies are covered first, followed by tools for watching DVDs in Microsoft Windows XP or recording your own DVDs. Digital video tools covered in this chapter include the following:

  • Sonic Foundry’s VideoFactory

  • Ulead’s VideoStudio

  • Adobe Premiere

  • CyberLink’s PowerDVD SE and Power DVD XP

  • InterVideo’s DVD XPack

  • Sonic Solutions’ CineMaster DVD Decoder

  • Ahead Software’s Nero

  • Ulead’s MovieFactory


Video Editing Tools

Not long ago, video editing was reserved for movie and broadcast professionals who had access to editing systems that cost hundreds of thousands of dollars. Today, however, it is possible to perform high-tech editing on virtually any PC running Windows XP. All you have to do is the following:

  1. Shoot some video with a digital camcorder. Digital camcorders are now widely available for as little as US$500 or so.

  2. Connect the digital camcorder to the computer’s IEEE 1394 (also called FireWire) port and capture the video. Many—but not all—modern computers have IEEE 1394 ports, which can be used to quickly and efficiently transfer video from the tape in a digital camcorder to your computer’s hard disk. This transfer process is also called capturing.

  3. Edit the video using a video editing program. Editing programs allow you to pick and choose scenes, place scenes in a different order, eliminate unwanted scenes, add soundtracks, and even apply special effects. Editing programs usually include tools to help you with the capturing process as well.

  4. Release your edited video to the world. When you’re finished editing, you can export the movie back to tape in your digital camcorder, record it onto a CD or DVD, or share it over the Internet.

NOTE
If your computer doesn’t already have an IEEE 1394 port, you might be able to have one added using an IEEE 1394 expansion card. You can also add a special video capture card to your computer for capturing video from analog camcorders or VCRs. Popular video capture cards include the ATI All-In-Wonder and Pinnacle DV500+ cards. As a bonus, IEEE 1394 and video capture cards often come packaged with free video editing programs like the ones described in this chapter.
Using Video Editing Programs

Most video editing programs are very similar when it comes to their overall layout and function because they are based on professional video editing workstations that have been refined over the years for optimal editing efficiency. The following features are common to virtually all Windows-based editing programs, including the three featured in this chapter:

  • Timeline This is where the movie project is actually assembled. The timeline represents time as it elapses during your movie. Portions of video, called clips, are placed in the desired order along the timeline from start to finish. You usually add clips to the timeline by dragging them with the mouse.

  • Tracks The timeline is divided into separate tracks. Video tracks contain video and audio tracks contain audio. Multiple tracks give you greater editing flexibility. With multiple video tracks you can superimpose video images over each other, and with multiple audio tracks you can add background music or narration to your projects.

  • Transitions As the movie goes from one video clip to the next, special transitions can be applied so that clips fade into each other, shrink away, slide into view, or take on other effects.

  • Effects Effects help you modify the appearance of a video clip by distorting it, changing the color, fixing video problems, simulating video problems (yes, really), and more.

  • Title-making tools On-screen words, called titles, are often used in movie projects to tell the viewer the name of the movie and identify the people who made it. Titles can also be used to identify a time, place, or person, or they can spell out spoken dialog in a different language. Most video editing programs offer tools to help you create titles.

  • Preview windows Here you can play clips and preview your edits. Preview windows, also called monitors, generally use playback controls like those on a VCR, such as play, pause, and stop. Other controls allow you to move a single frame at a time and mark places where you want to perform edits.

  • Codecs When you’re ready to export a movie for the Internet or computer playback, you’ll usually need to compress it so that the movie can be viewed efficiently. Video editors include codecs (codec stands for “compressor/decompressor”), which help you compress video files down to manageable sizes.

Sonic Foundry’s VideoFactory

Countless video editing programs are available for Windows XP, and the first one featured here is VideoFactory version 2 from Sonic Foundry. A demo version of VideoFactory is included on this book’s CD, or it can be downloaded from Sonic Foundry’s Web site (http://www.sonicfoundry.com).

To install the demo, perform the following steps:

  1. Double-click the Setup file from the companion CD to this book or the downloaded version of the program and then click Next in the Setup Wizard dialog box to extract the temporary files.

  2. On the welcome page, click Next.

  3. On the License page, select I Accept The Terms In The License Agreement, and then click Next.

  4. Accept the default destination path, click Next, and then click Install.

  5. When the installation is complete, click Finish.

You can start VideoFactory 2 by clicking Start and pointing to All Programs (Programs in the Windows XP Classic view), Sonic Foundry, VideoFactory 2.0, and finally selecting VideoFactory 2.0. Then you will be prompted to give the product’s serial number or to continue in demo mode. A “Show Me” window offers an overview and tutorials for the program. The demo version lets you explore the program, but you can’t save or export your projects. The full version of VideoFactory retails for less than US$100, making it easier on the pocketbook than many other video editors. Despite its low price, VideoFactory offers a good selection of features, including the following:

  • Multiple video and audio tracks A VideoFactory movie project can have two tracks of video and three tracks of audio.

  • 15 transitions VideoFactory offers a remarkable selection of built- in transitions for you to use between clips. Each of the 15 transitions has a number of variations, with a total of 167 presets, making it easy to add virtually any type of transition you can imagine with a simple dragging operation.

  • 17 video effects The selection of video effects in VideoFactory is astounding given the program’s price. The types of effects offered by this program are among the most commonly used, so they might suit the majority of your editing needs.

  • Explorer tab Most video editors allow you to import picture or music files from your computer, but VideoFactory goes a step further by offering an Explorer tab that looks and works like Windows Explorer. This makes browsing the contents of your hard disks for media a snap.

Capturing Video with VideoFactory

Once you have installed VideoFactory, probably one of the first things you will want to do is capture some video from your camcorder. If you have a digital camcorder, follow these steps:

  1. Connect the camcorder to the computer’s IEEE 1394 port using an appropriate cable. Make sure that the camcorder is set to videotape recorder (VTR) mode, not camera mode.

  2. Start VideoFactory by double-clicking its desktop icon or click Start and point to All Programs (Programs in the Windows XP Classic view), Sonic Foundry, VideoFactory 2.0, and finally select VideoFactory 2.0.

  3. To begin the capture process, click Capture Video from the File menu. The Sonic Foundry Video Capture window appears as shown in Figure 21-1.

    Figure 21-1  Using the Sonic Foundry Video Capture window to capture video from your camcorder.
    Figure 21-1. Using the Sonic Foundry Video Capture window to capture video from your camcorder.

  4. Use the playback controls in the Capture window to shuttle your camcorder’s tape to the point at which you want to begin capturing. If the Capture window controls don’t seem to have an effect on your camcorder, use the controls on the camcorder itself.

  5. Click Capture Video. The camcorder begins to play, and the video is captured.

  6. When you’re done capturing, click Stop. A Capture Complete dialog box appears, reporting the results of your capture.

  7. Click Done after you have reviewed the details of the captured clip. The clip is now available for use in the VideoFactory Media Pool. Close the Capture window when you are done.

Captured video appears in the VideoFactory Media Pool, as shown in Figure 21-2. If you already have video, audio, or other media that you want to import into VideoFactory, select Import Media from the File menu and browse to the file that you want to import.

Figure 21-2  The VideoFactory interface.
Figure 21-2. The VideoFactory interface.
Manufacturing a Movie in VideoFactory

The VideoFactory interface can seem somewhat cluttered at times, but it is a decent place to get some work done. Follow these basic steps to edit your project:

  • To add a clip to the project, drag it from the Media Pool into the timeline. Most video clips should be added to the Video track. Use the Video Overlay track only if you want to superimpose an image or video clip over another clip.

  • To apply a transition between clips, click the Transitions tab (next to the Media Pool tab) and click a transition type in the list on the left. Preview transition presets by hovering the mouse pointer over them. To apply a transition, drag it from the list of presets into the timeline between two clips.

  • Keep an eye on audio levels on the audio meter. If the levels ever get above 0 on the scale, audio distortion could result. Drag the slider up and down to adjust audio levels for the project.

If you want to spend a lot of time trimming and fine-tuning clips, you can perform some of those edits using the trim and split tools found on the Edit menu, but it will be frustrating. You will probably find that VideoFactory works best with video that was shot perfectly the first time around. For more control over editing or better ability to fix flawed video, you might want to try one of the more expensive programs.

Once your project is done, you can create a movie by clicking Make Movie on the VideoFactory toolbar. VideoFactory offers a wide variety of choices for movie export, including tape, DVD, VCD (Video CD), and Internet formats. The program can even help you create a rudimentary Web page for your movie if you want to.

Ulead’s VideoStudio

Moving up the price scale slightly from VideoFactory is Ulead’s VideoStudio, which retails for around US$100. A 30-day trial version of VideoStudio can be downloaded from Ulead’s Web site (http://www.ulead.com). Once you’ve downloaded the program, double-click the installer file and follow the installation instructions on-screen. You can launch VideoStudio by double-clicking its desktop icon or clicking Start and pointing to All Programs (Programs in the Windows XP Classic view), Ulead VideoStudio 6, and finally selecting Ulead VideoStudio. If you are using the trial version, a screen will appear, giving you the option to order the full version of the program or continue trying the demo. Click Try More to continue using the trial.

In terms of general appearance, VideoStudio departs somewhat from the industry standard. The interface presented by VideoStudio (shown in Figure 21-3) looks amazingly simple, but behind that friendly face is a respectable collection of features that include the following:

Figure 21-3  The deceptively simple-looking interface of Ulead’s VideoStudio.
Figure 21-3. The deceptively simple-looking interface of Ulead’s VideoStudio.

  • Multiple video and audio tracks Like VideoFactory, Ulead VideoStudio offers two video tracks and three audio tracks.

  • Batch capture This feature is extremely useful if you want to capture several different portions of video on a single tape. With batch capture you simply identify the portions that you want to capture, and VideoStudio automatically captures and saves each one. This feature is a real time saver.

  • Storyboard Clips can be arranged in a general order using the storyboard, before you switch to the timeline and fine-tune your edits or add a soundtrack.

  • 40 transitions VideoStudio offers 40 unique transitions divided into 10 basic categories.

  • 12 video filters The video filters in VideoStudio work like effects in other video editing programs, allowing you to adjust or modify colors and brightness in video images. To access the video filters, go to the Storyboard section of the VideoStudio program, and select Video Filter from the menu in the upper right corner of the screen.

Ulead wants to make video editing as simple as possible, so the VideoStudio interface is designed around a series of steps. The top of the program window has tabs for each step, and to move to a step you simply click it. You start by capturing video, then you move on to storyboarding, adding transitions, performing overlay edits, adding titles and audio, and finally you finish the project and export it.

You might find, however, that the simplicity of VideoStudio can actually become frustrating after a while. You might find that constantly having to switch back and forth between steps in the program to find desired features is time-consuming. Furthermore, there are some important features—most notably a sound meter—that are altogether absent from VideoStudio. Still, for about US$100, this is a good entry-level video editing program that offers decent power and a friendly interface.

Adobe Premiere

Taking a big step up in price from VideoStudio, you’ll find Adobe Premiere, which retails for about US$550. Although that sounds like a lot of money, the features offered by Premiere are virtually unparalleled in Windows-based video editing programs, and the program (shown in Figure 21-4) is powerful enough that many video professionals use it in their daily work. A 30-day demo version of Adobe Premiere can be downloaded from the Adobe Web site (http://www.adobe.com/support/downloads/main.html).

NOTE
The Adobe Premiere demo is 70 megabytes (MB) in size, and it might take a long time to download, especially if you have a dial-up connection.
Figure 21-4  Adobe Premiere, a truly professional-grade video application.
Figure 21-4. Adobe Premiere, a truly professional-grade video application.

To install Premiere, double-click the Setup file and follow the instructions on-screen to install the software. The Premiere Setup program also installs several accessory programs, including Apple QuickTime and RealMedia. The Adobe Premiere installer does not create a desktop icon, but you can start the program by clicking Start and pointing to All Programs (Programs in the Windows XP Classic view), Adobe, Premiere 6.5, and finally selecting Adobe Premiere 6.5. A few of the features that set Adobe Premiere apart from other video editors include the following:

  • 99 video and 99 audio tracks The timeline in Premiere can have up to 99 separate video tracks, as well as 99 separate audio tracks.

  • Batch capture A powerful batch capture tool automates what would otherwise be a long capture of video clips from tape.

  • Professional-style editing tools With commands that emulate a professional video workstation, Premiere lets you make precision trims and other edits so that every frame of your movie is perfect.

  • Customizable workspace Unlike the other video editing programs featured in this chapter, the Premiere interface is almost infinitely adjustable. You can open and close windows, move them around, and make other adjustments. Several preset workspaces are available by clicking Window, Workspace on the Premiere menu bar.

  • 75 transitions Premiere offers 75 unique transitions, and the actions of most transitions can be precisely controlled.

  • 79 video and 24 audio effects A plethora of standard effects help you adjust, modify, distort, and improve both audio and video clips.

  • Broadcast video tools If you’re creating video for use in a professional broadcast environment, you’ll appreciate Adobe Premiere features like color bars and tone, counting leaders, and edit decision lists (EDLs).

  • Advanced audio editing Audio levels for each individual audio track can be dynamically adjusted throughout the project. Audio balance between left and right channels can also be controlled.

  • Diverse export options From Premiere you can export movies directly to AVI, MPEG, QuickTime, RealMedia, and Windows Media formats, as well as directly to tape or DVD.

  • Photoshop Premiere comes with a free copy of Adobe Photoshop, one of the world’s most respected image editing programs.

  • Expandability New transitions, effects, and other features can be quickly and easily added to Premiere through the use of plug-ins. Numerous third-party software developers offer plug-ins for Adobe Premiere.

POWER TIP
Before you spend US$550 by buying Premiere directly from Adobe, check around for better deals. For example, the Pinnacle DV500+ video capture card sells for around US$500 and it comes packaged with a free copy of Premiere. It is as if you are saving US$50 on Premiere and getting a free capture card thrown in with the deal!
Starting a Movie Project in Premiere

The first time you start Adobe Premiere, you’ll probably be asked if you want to use the A/B Editing or Single-Track Editing workspace. The workspace is the basic layout of the Premiere interface, and it can always be changed later on. Which one you choose is not all that important for now, although many users find the Single-Track Editing workspace easier to use.

Once you’ve chosen a workspace, the first screen you’ll see is the Load Project Settings dialog box, shown in Figure 21-5. This dialog box presents a variety of presets, each of which is really just a collection of settings that affect the format of the project. If you select a preset in the list on the left, a description and list of settings for that preset appear in the middle of the dialog box.

Figure 21-5  Selecting a project preset that corresponds to the type of media that you will be working with.
Figure 21-5. Selecting a project preset that corresponds to the type of media that you will be working with.

You should select a preset that closely matches the medium that you will be working with. For example, if you live in North America and will be working with video that you recorded using your digital camcorder, you should choose the Standard 48kHz setting under DV-NTSC (for more information about video standards, see the sidebar “Understanding Video Standards”). This preset contains the settings most often used by camcorders in North America.

Once you’ve selected a preset, click OK. A new project is created based on the preset that you chose.

Understanding Video Standards
NTSC stands for National Television Standards Committee, and it is the name of the television broadcast standard used in North America, Japan, and the Philippines. PAL, which stands for Phase Alternating Line, is the broadcast standard used in Western Europe, Australia, Southeast Asia, and South America. A third standard called SECAM (Systeme En Couleur Avec Memoire) is used in France, Russia, Eastern Europe, and Central Asia. Adobe Premiere supports all major broadcast standards.

When working with digital video, it’s important that you work with the broadcast standard that corresponds to the video equipment—TVs, camcorders, and VCRs—used in your part of the world.

Managing Media in Adobe Premiere

The designers of Adobe Premiere knew that big movie projects require many different kinds of media. For this reason, Premiere comes with some useful tools to help you keep all your media organized, whether that media is video, audio, or still graphics. Whenever you capture or import media into Premiere, it is stored in the Project window, which is shown in Figure 21-6. Helpful features of the Project window include the following:

Figure 21-6  Using the Project window to manage your media.
Figure 21-6. Using the Project window to manage your media.

  • Bins These work like folders in Windows, and you can create new bins and use them to organize your media. In Figure 21-6, you can see that separate bins have been created for storing audio, still graphics, titles, and other elements. To create new bins, click New Bin at the bottom of the Project window. Select a bin in the list on the left to view its contents, and add items to bins by dragging the items with the mouse.

  • Clip list When you open a bin, a list of items in that bin appears in the main part of the Project window on the right. To add a clip to your project, simply drag it from here into the Timeline or Monitor window.

  • Clip preview When you select a clip, details of that clip appear in the upper portion of the Project window. If the clip is a picture or video clip, a preview image appears in the preview area in the upper left corner. Click Play below the preview area to play the clip.

Editing a Clip in Premiere

As mentioned previously, you can add a clip to your movie project in Premiere by dragging the clip from the Project window into the Timeline or Monitor windows. If you want to insert only a portion of a clip into the project, follow these steps:

  1. Import or capture some audio or video into Premiere. Review the Premiere Help system (from the Help menu, select Contents) for information on capturing and importing media.

  2. To set up your workspace, from the Window menu, point to Workspace and then select Single-Track Editing. Your workspace should now look similar to Figure 21-4, with two panes in the Monitor window instead of one.

  3. Drag a video clip from the Project window into the left pane of the Monitor window. The clip should now appear in the Monitor window.

  4. Use the playback controls shown in Figure 21-7 to move to the beginning of the portion of the clip that you want to use. To move slowly through the clip, drag the frame jog back and forth. Use the Frame Back and Frame Forward buttons to move one frame at a time.

  5. Click Mark In to set an in point.

  6. Use the playback controls again to move to the end of the portion of video that you want to use.

  7. Click Mark Out to set an out point. You now have a portion of video selected between the in point and out point.

  8. Drag the video image from the Monitor window into the Video 1 track in the Timeline window. Only the portion of the clip between the in and out points is added to the Timeline window.

    Figure 21-7  Using the playback controls in the Monitor window to control your edits.
    Figure 21-7. Using the playback controls in the Monitor window to control your edits.


DVD Players

A couple of years ago the ability to watch movies on a computer was still a dream for most people. Today, however, DVD-ROM drives are virtually ubiquitous in modern computers, and PCs themselves have become fast and powerful enough to display full-screen, full-motion video. If your computer has a DVD-ROM drive and you’re running Windows XP, all you need is the right software to start watching DVD movies on your computer. Many DVD drives come with player software, but if yours didn’t, you can use one of the three players described in this section.

Software DVD players use controls similar to DVD players that are used with home theater systems. Common controls include Play, Pause, Stop, Next Track, Previous Track, and so on. Player programs typically include a variety of control features, such as the following:

  • Most players use a floating control panel with buttons and a status display for the movie.

  • Many functions are usually available on shortcut menus. As you can see in Figure 21-8, shortcut menus in CineMaster allow you to access playback controls, DVD menus, and other program controls.

    Figure 21-8  Using shortcut menus to access program controls.
    Figure 21-8. Using shortcut menus to access program controls.

  • Most DVD players allow you to switch to a full-screen view mode. In full-screen mode, all other screen elements are hidden and only the video image appears. To switch out of full-screen mode, right-click or press the Alt key combination specific to your player.

InterVideo’s DVD XPack

InterVideo offers a Microsoft-approved DVD player for Windows XP called DVD XPack. This program retails for less than US$20. To purchase and download DVD XPack, click the XPack link on InterVideo’s Web site (http://www.intervideo.com). Unfortunately, a trial version of the program is not available.

DVD XPack is a plug-in and uses Windows Media Player as its underlying technology. The software changes the Media Player interface as follows:

  • On the Play menu, the CD Audio option changes to DVD or CD Audio.

  • A DVD tab is added to the Options dialog box on the Tools menu.

CyberLink’s PowerDVD SE and PowerDVD XP

CyberLink offers a couple of DVD players. PowerDVD SE is similar to DVD XPack, in that it is a Microsoft-approved plug-in for Windows Media Player and it retails for under US$20. If you don’t mind spending a bit more money, CyberLink also offers PowerDVD XP, which retails for about US$50. However, you do get a lot of advanced playback features for your money, including the following:

  • DTS Digital Surround Sound decoder

  • Dolby Pro Logic II decoder

  • SRS TruSurround XT

  • Screen capture tools

  • Bookmarking

  • Customizable interface

A trial version of PowerDVD XP can be downloaded from the Cyberlink Web site (http://www.gocyberlink.com). PowerDVD SE is also available from the Web site (http://www.gocyberlink.com/english/products/powerdvd/winxp_plugin.asp). To install either program, double-click the installer file and follow the instructions on screen. Double-click the desktop icon to start the software.

Sonic Solutions’ CineMaster DVD Decoder

Another Windows Media Player plug-in for playing DVDs is CineMaster DVD Decoder from Sonic Solutions. Like the other plug-ins described here, CineMaster DVD Decoder retails for less than US$20. You can learn more about this program from the Sonic Solutions Web site (http://sonic.com/products/player/redirect).

CineMaster DVD Decoder, shown in Figure 21-9, differs from the other two DVD player plug-ins, in that it supports Dolby Surround Sound audio output. This means that if you have surround sound speakers connected to your computer and properly configured, you can enjoy the surround-sound experience. The other DVD player plug-ins convert surround-sound to two-channel stereo audio.

Figure 21-9  CineMaster DVD, a simple, affordable tool that lets you play DVD movies on your computer.
Figure 21-9. CineMaster DVD, a simple, affordable tool that lets you play DVD movies on your computer.

To install CineMaster, double-click the installer file that you download after purchasing the software. You can start the program by clicking Start, pointing to All Programs (Programs in the Windows XP Classic view), and then choosing CinePlayer DVD Basic.

NOTE
You may notice that the names CineMaster and CinePlayer are used interchangeably in reference to this software. It’s a little confusing, but the program works the same no matter what it’s called.


DVD Recorders

Windows users have been recording their own CDs for years, but it has only recently become economical to burn DVDs as well. Recordable DVD drives are now widely available for less than US$500, and some new computers come with DVD recorders preinstalled. Several different formats of DVD recorder are available, including these:

  • DVD-R (DVD-Recordable)

  • DVD-RW (DVD-Recordable/Rewritable)

  • DVD-RAM (DVD-Random Access Memory)

DVD-RW and DVD-RAM drives use special blank media, but both of them can usually record on standard DVD-R blanks as well. Whatever type of drive you have, you’ll need some software to control the recording process. If your DVD recorder didn’t come with recording software, you can use one of the Windows XP-compatible programs described in this section.

Ahead Software’s Nero

Ahead Software offers a variety of CD and DVD mastering programs, including Nero. Nero retails for about US$50, and you can download a free trial version from the Ahead Software Web site (http://www.nero.com).

More Info
Chapter 20, “Third-Party Digital Audio Tools,” includes instructions on installing and starting Nero, as well as information about the audio capabilities of Nero.

One of the greatest strengths of the Nero software is that it works with so many different kinds of drives and media formats. Whether you’re recording CDs, movie DVDs, or DVD-RW, Nero supports it.

Nero can be used in a couple of different ways. When you first start the program, the Nero Wizard offers to take you through the disc creation process, as shown in Figure 21-10. The wizard presents a simple series of questions to help you determine what kind of disc you want to create.

Figure 21-10  The Nero Wizard.
Figure 21-10. The Nero Wizard.

When the wizard is complete, you can use the Nero interface to finish creating your disc, as shown in Figure 21-11. Use the File Browser on the right side of the interface to locate files, and drag to the disc layout window on the left.

Figure 21-11  Dragging files from the File Browser window to the disc layout window on the left.
Figure 21-11. Dragging files from the File Browser window to the disc layout window on the left.

Nero comes with some additional tools that you may find handy, including these:

  • Nero Wave Editor This program allows you to edit and apply effects to Audio Interchange File Format (AIFF), MP3, Vector Quantization Format (VQF), and WAV format audio files.

  • Nero Cover Designer Use this tool to create jewel case liners and disc labels.

VCDs and SVCDs
If you’ve been paying attention to digital video technology recently, you’ve probably seen the terms VCD and SVCD used a lot. A VCD, short for video compact disc, is a disc format that records on regular recordable CDs (CD-Rs), but the movie format is similar to that used on movie DVDs. VCDs can be played in many (but not all) DVD players, which makes the format popular for sharing good-quality movies without having to invest in a DVD recorder. A VCD can hold up to 74 minutes of video.

A variation of the VCD concept is the SVCD, short for super video compact disc. SVCDs offer slightly higher video quality, but the trade-off is that they can only hold about half as much video. Both Ahead’s Nero and Ulead’s DVD MovieFactory support creation of VCDs and SVCDs.

Ulead’s DVD MovieFactory

Ulead also offers a DVD creation program called DVD MovieFactory. A trial version of the program can be downloaded from the Ulead Web site (http://www.ulead.com).

To install DVD MovieFactory, double-click the installation file and follow the instructions on-screen. You can open DVD MovieFactory either by double-clicking its desktop icon or by clicking Start and pointing to All Programs (Programs in Windows XP Classic view), Ulead DVD MovieFactory, and finally selecting Ulead DVD MovieFactory. DVD MovieFactory comes with several useful tools. When you first start the program, you can choose one of the following:

  • Capture Video This tool helps you capture video from a digital camcorder and prepare it for recording onto a DVD. This tool is useful if you don’t already have a video editing program like the ones described earlier in this chapter.

  • Author Menus Shown in Figure 21-12, this tool creates disc menus for your DVD. Menus are used on screen to help your audience navigate the contents of the disc.

    Figure 21-12  Creating menus for discs.
    Figure 21-12. Creating menus for discs.

  • Burn Disc Images Use this option to actually record your disc.

  • Make CD Labels And Covers Appearance counts when it comes to disc packaging. A nice looking disc and jewel case will create a positive impression with your audience, and this tool helps you create nice labels and covers.

MovieFactory is typical of Ulead software, in that it presents workflow steps in a logical order with minimal fuss. It’s a good choice if you want to record movies onto DVDs, VCDs, and SVCDs. However, if you also want a tool that can easily master data CDs, you might want to try Nero instead.


Chapter 22 - Third-Party Internet Enhancements

Chapter 22
Third-Party Internet Enhancements

Although Microsoft Windows XP has many features that are designed to enhance the Internet user experience, there are still quite a few third-party tools that greatly improve on what’s available within the operating system.

In this chapter we look at tools that enhance two very common Internet activities—GUI FTP clients that significantly enhance the File Transfer Protocol (FTP) experience beyond what you’ll find in the command-line FTP tool in Windows XP, and graphical user interface (GUI) Network News Transfer Protocol (NNTP) newsreaders that are significantly better than the newsreader component of Microsoft Outlook Express 6. Although Windows XP offers basic FTP drag functionality from within Internet Explorer, these third-party products have some advanced features that you might find useful.

We’ll cover the following topics:

  • CuteFTP Pro

  • Oz Insight’s Ozum All-In-One Newsreader


FTP Tools: CuteFTP Pro

FTP tools are one of the cornerstones of the Internet user community. CuteFTP Pro is one of the best tools to let you access the wealth of data that is available from FTP sites all over the world. Tools like CuteFTP Pro also add capabilities like the ability to manage the Hypertext Markup Language (HTML) content of your Web sites, with direct server-to-server file transfers and in situ HTML editing features. A trial version of the software can be found on the companion CD to this book, and you also can download it from the CuteFTP Web site (http://www.cuteftp.com) or the GlobalSCAPE Web site (http://www.globalscape.com).

Installing CuteFTP Pro

To install CuteFTP Pro, perform the following steps:

  1. Run the Setup program from the companion CD to this book or the software you downloaded.

  2. Read the recommendations in the welcome screen and then click Next.

  3. Read the License Agreement and then click I Agree.

  4. To accept the default destination folder for the CuteFTP Pro program files, click Next. Otherwise, click Browse, choose an alternate destination folder, and then click Next.

  5. In the Installation Complete screen, select the desired options in the Options frame and then click Finished.

Making a Connection

When you first start CuteFTP Pro, you’ll find yourself faced with a lot of blank screens, as shown in Figure 22-1. The first thing we are going to do is walk through the Connection Wizard. Start CuteFTP Pro by clicking Start, pointing to All Programs (Programs in the Windows XP Classic view), GlobalSCAPE, CuteFTP Pro, and finally selecting CuteFTP Pro. Select Connection Wizard from the File menu.

Figure 22-1  The toolbars and multiple windows of the main CuteFTP Pro interface.
Figure 22-1. The toolbars and multiple windows of the main CuteFTP Pro interface.

The first step is to name the connection. Because you can end up with quite a few connections, it’s best to make sure that the connection name conveys some information about the connection target. In the case of Web sites that you are maintaining, the name of the site (such as supercharger.net, shown in Figure 22-2) is usually the best way to name the connection.

Figure 22-2  Giving the connection a meaningful name.
Figure 22-2. Giving the connection a meaningful name.

The FTP server host address can be either a resolvable name (such as ftp.supercharger.net, as seen in Figure 22-3) or the actual Internet Protocol (IP) address of the FTP site. If the FTP server is on a port other than the standard FTP port (Port 21), you’ll need to end the address with a colon followed by the actual port number (for example, 192.168.0.100:22).

Figure 22-3  Using the address of the FTP server.
Figure 22-3. Using the address of the FTP server.

If you are connecting to a secure FTP site, you’ll need to provide the user name and password that have been provided to you as the necessary credentials for site access. If the site allows anonymous FTP access, you can select the Anonymous Logon check box, and the wizard will fill in the user name and password information for you. (Selecting the Hide Password check box when not using anonymous logon converts the screen so that it displays only asterisks and not your actual password.)

POWER TIP
If you are setting up an account on an FTP server that doesn’t offer secured connections, your user name and password are sent over the Internet in clear text, which anyone can read. In these cases, you might want to use a password that isn’t tied to other secured accounts you may have elsewhere.

The local folder setting defaults to the My Documents folder for the currently logged on Windows XP account. If you are storing your Web site data in a particular folder, or you have a specific folder that you want to use with this FTP site connection, you can redirect the local folder to that location.

This is the final piece of information that the wizard needs. Clicking Next brings up a screen that tells you you’re done. Click Finish to add the new site to the Site Manager and connect to the newly configured FTP site, as shown in Figure 22-4.

Figure 22-4  Connecting to the newly configured FTP site.
Figure 22-4. Connecting to the newly configured FTP site.

Using the Connection Wizard has the same effect as filling in the Host, User Name, and Password entries on the toolbar, and then clicking Add To Site Manager on the far right of the FTP text box.

Understanding the Console

Once you’ve made the connection to an FTP site, you’ll see a screen similar to Figure 22-5, with four windows as follows:

  • Site Manager The Site Manager window gives you quick access to the FTP sites that come preconfigured with CuteFTP Pro as well as any sites you have personally configured. Clicking the Local Drives tab next to the Site Manager tab at the bottom of the window brings you an Explorer-style view of the local computer.

  • Remote Computer The Remote Computer window gives you a view of the FTP directory structure on the FTP server. (The Remote Computer is also known as the remote host.) The entry at the top of the remote directory display (which reads “/u152/dchernic” in Figure 22-5) identifies the root directory of the FTP site on the FTP server.

  • Status The Status window, below the Remote Computer window, contains the commands that have been executed by the application and their results.

  • Queue Window The Queue Window shows the files that have been selected for transfer (upload or download) and the current status of that transfer. Clicking the Log Window tab next to the Queue Window tab switches the window display to the current log view.

    Figure 22-5  The four console windows, whose content changes based on your actions and site connections.
    Figure 22-5. The four console windows, whose content changes based on your actions and site connections.

All the windows except the directory view on the remote host computer can be closed if screen space is needed for a different window. Closing the window on the remote host disconnects the FTP session.

The bottom toolbar is called the Quick Connect toolbar. You can directly enter a host name or IP address, user name, and password, and then click Connect (the button is located directly to the right of the Port text box). If you decide you want to add this site to the Site Manager, click Add To Site Manager (the button on the right side of the toolbar).

Configuring Global Settings

Certain settings, listed in the Global Settings dialog box, affect the way that CuteFTP Pro behaves across all configured FTP sites. You can open the Global Settings dialog box by selecting Global Settings from the Edit menu.

General Settings

The first items you should configure are the Startup and Shutdown event behaviors and the default download folder. In the General Settings window, as shown in Figure 22-6, you’ll see the following options:

  • Launch FTP Transfer Engine (TE) On Windows Startup

  • Launch Transfer Engine On Program Startup (default)

    • On Exit, Don’t Close Transfer Engine If Tasks Are Pending (default)

    • On Exit, Don’t Close The Transfer Engine

    • On Exit, Close The Transfer Engine

  • Default Download Folder Options

    • Use The Current Folder In The Local Pane As The Default (default). If this check box is cleared, you can then specify an alternate folder to use for default downloads. This does not affect dragging file transfers.

      The Transfer Engine runs separately from the user interface. It runs in the notification area so that it is available to be used by scripted or scheduled tasks. If you elect to launch the Transfer Engine on system startup, it will always be available unless you explicitly close the task.

    Figure 22-6  General program and Transfer Engine settings.
    Figure 22-6. General program and Transfer Engine settings.

You probably want to enable as much logging information as reasonable without degrading system performance. Log files are invaluable tools for debugging odd system behaviors and keeping track of the work you’ve done. All log settings are available by clicking Logs under General Settings in the navigation tree on the left.

Log colors are the first thing you can change here. You might want to change the defaults to colors that are more clearly different at a glance, especially for error messages. This setting controls the colors displayed with the messages in the Status window in the main console. Then you can turn on or off the actual file logging with the following options:

  • Display The Server’s Welcome Message (off by default)

  • Enable Session (Control Connection) Logs (on by default)

  • Enable Individual Transfer Item (Data Connection) Logs (on by default)

  • Enable Consolidated Transfer Logs (Both Session And All Transfers In Log Pane) (on by default)

  • Enable Extended List In Session Log Window (Raw List—For Debugging) (off by default)

  • The Log Files Folder, which defaults to \Documents and Settings\ %Username%\Application Data\GlobalSCAPE\CuteFTP Pro\2.0\Logs

  • Delete Error Logs (defaults to every 3 days and is on)

  • Delete Error Logs After Closing The Transfer Engine (off by default)

  • Show Time Stamps In Logs (off by default)

  • You can also delete all the log files by clicking Delete All Logs Now and cache the files by clicking Delete All Cache Files Now.

Connection Settings

The following options and settings are available in the Connection Settings window, shown in Figure 22-7:

  • Global Max Number Of Connections (the default value is 5).

  • Max Number Of Connections Per Site (the default value is 2). Numerous connections from a single site could result in that site being blocked.

  • Connection Retry Attempts (default value is 30).

  • Delay Between Retries (default value is 30 seconds).

  • Retry Failed Logins Without Issuing A Socket Disconnect (Recommended For Use On Busy/Full Sites With Anti-Hammer Logic) (off by default). Certain sites are configured to block traffic that continually connects and disconnects, presuming that this kind of behavior is a Denial of Service attack.

  • E-Mail Address (For Anonymous Logins) (default value is guest@).

  • Connection Type (defaults to PASV). Passive FTP connections tend to work best in the world of firewalls and proxy servers.

    Figure 22-7  Global connection options and settings.
    Figure 22-7. Global connection options and settings.

The SOCKS 4 & 5 and Proxy Server Connection settings screens are required only if your network is using a SOCKetS (SOCKS) server or proxy server. There is no autodiscovery of the appropriate settings for either connection. If you need to use either of those configuration screens, make sure you first get all of the necessary information from your network administrator or your Internet service provider (ISP).

One of the things that really sets CuteFTP Pro apart from its competitors is its very complete set of security and encryption options, as shown in Figure 22-8. You can read more about the security model in the technical white paper entitled “CuteFTP Pro Technical Overview,” which can be downloaded from the GlobalSCAPE Web site (http://www.globalscape.com).

Figure 22-8  CuteFTP Pro’s very complete set of security and encryption settings.
Figure 22-8. CuteFTP Pro’s very complete set of security and encryption settings.

CuteFTP Pro supports six different Secure Shell (SSH)2–Secure File Transfer Protocol (SFTP) symmetric key encryption options, listed here. By default, they are all enabled.

  • ARCFOUR Also known as Alleged RC4, this is a publicly available code that is compatible with Rivest-Shamir-Adleman (RSA) Data Security, Inc.’s RC4 cipher system.

  • Triple DES In 1974 IBM developed the Data Encryption Standard (DES). In 1998 the Electronic Frontier Foundation used a purpose-built computer called DES cracker to break the encryption in less than three days. Triple DES was a minor variation on the DES standard that made it billions of times more difficult to crack.

  • Blowfish A 64-bit block cipher that is used by hundreds of commercial applications.

  • Twofish Designed as a successor to Blowfish for the Advanced Encryption Standard competition that was held by the National Institute for Standards and Technology.

  • CAST128 A 128-bit symmetric algorithm that uses the same key to encrypt and decrypt.

  • Data Compression An algorithm that squeezes the data as much as reasonable.

CuteFTP Pro also supports Client Side Secure Socket Layer (SSL) connections if required by the FTP server. Users can create their own certificates, if necessary, by clicking Create Certificate and running the Certificate Creation Wizard.

Many ISPs configure their FTP servers to disconnect sessions that have been inactive for a fairly short period of time. If you are using the built-in HTML editor to work on your Web site, for example, you might find yourself disconnected when you go to save your work back to the server. Using the Smart Keep Alive (SKA) feature to keep the connection can save you lots of time. SKA can be accessed in the navigation tree in the left pane by clicking Connection and then Smart Keep Alive.

A feature like this is necessary because ISPs want to prevent Denial of Service (DoS) attacks. They do this by profiling the attacks, so behaviors that seem like an attack can cause the session to be disconnected and the offending IP address to be blocked. By using a random interval to send a variety of commands, the SKA feature doesn’t fit the profile of a DoS attack.

CuteFTP Pro can be automated to connect to the Internet on its own, either through your local area network (LAN) or over a dial-up networking connection (DUN) that has already been configured. Conceivably you could configure the software to use the DUN connection when you’re attached to an office LAN with a firewall that prevents FTP connections. You could have the software dial in to your ISP and accomplish any necessary FTP transfer outside of the business network.

Transfer Settings

There are two key transfer settings. The first is the default transfer method. FTP transfers are either ASCII (for text files) or binary (for files that aren’t text). The default transfer setting, Auto-Detect, as shown in Figure 22-9, attempts to determine what file transfer type is most appropriate. Files that should be transferred as binary and are instead transferred as ASCII become unusable in most cases, but generally the reverse is not true. The options in the ASCII Types window let you add additional file types to those the software recognizes as ASCII files. ASCII Types can be accessed in the navigation tree in the left pane by clicking Transfer Settings and then ASCII Types. You can also remove known file types if you believe that an ASCII transfer is causing problems.

Figure 22-9  The Transfer Settings window.
Figure 22-9. The Transfer Settings window.

By default, most FTP clients, CuteFTP Pro included, prompt the user for help in determining what to do about duplicate file names when transferring files. You can set these options in the Smart Overwrite window, which can be accessed by clicking Transfer Settings and then Smart Overwrite. CuteFTP Pro also offers users the ability to build sets of rules that define the behavior of the software when duplicate files are encountered. If you are using your FTP client to do things like maintain Web sites, it’s pretty simple to build rules that make sure that the most recent version of each file ends up in the right place.

Navigation Settings

When most people think of navigation in relation to an application, they think about how to move through the application and its menus. But in this case, the navigation settings, shown in Figure 22-10, control how the application itself behaves when it navigates through a remote FTP host. The menu also controls some behavioral issues about how file transfers are handled.

Figure 22-10  Configuring navigation options.
Figure 22-10. Configuring navigation options.
Display Settings

Customizing which toolbars are displayed can be very useful when you have a screen with scarce real estate. High-resolution monitors have gotten much more common, and displaying as many toolbars as can fit on the console can make using applications much simpler. You can select the toolbars you want to display in the Display window, shown in Figure 22-11. The View menu on the console also lets you set which toolbars are displayed on the fly.

Figure 22-11  Configuring display settings.
Figure 22-11. Configuring display settings.

Submenus give you control over how prompts are displayed and handled and whether or not system events generate sounds (they all default to silent).

Helper Applications

The only helper applications supported by CuteFTP Pro are the editors used to display text and HTML files. The application suggests that you use the built-in HTML editor to do both, but if you have a favorite editor or HTML tool that you use, you can configure that as the default file viewer and editor in the Helper Applications window, shown in Figure 22-12.

Figure 22-12  Configuring helper applications.
Figure 22-12. Configuring helper applications.
Managing Downloads

Once you’ve connected to an FTP site, you can download any file by simply double-clicking it in the Remote Computer window. This adds the file to the download queue and then downloads it to the default directory. Because the console fully supports dragging operations, you can also just drag a file from the remote host to your desktop or any local directory in Windows Explorer. You can switch the Site Manager view to a local Windows Explorer–type view by clicking the Local Drives tab.

Beyond the normal Cut, Copy, and Paste commands, the shortcut menu in the remote host file listing, as shown in Figure 22-13, offers a number of FTP- and CuteFTP Pro–specific actions.

Figure 22-13  The remote file shortcut menu.
Figure 22-13. The remote file shortcut menu.

The options are as follows:

  • Download This command performs an immediate download of the selected file.

  • Download Advanced Select this to access the following subcommands.

    • Multi-Part Download The Multi-Part Download command breaks the target file into multiple equal-sized pieces and performs a threaded download in which multiple download streams are running simultaneously. On FTP sites that limit connection speed for a single stream, this can greatly speed up downloads. In a quick test, using a four-part download increased download speed of an 80-megabyte (MB) file from 80 KB/second to more than 300 KB/second. The choices are HIGH (a two-part download) and MAX (the maximum number of download streams you configured in the Global Connection settings).

    • Site To Site Transfer To This command allows you to move the contents of one FTP site to another without bringing the content down to your local computer first. This means it doesn’t matter how slow your Internet connection is; the site-to-site transfer takes place at whatever speed is supported by the two sites involved. You can transfer files from the current remote host to any host you already have configured or create a new target host from this menu.

    • Download Manually Using this command ignores the currently selected file and prompts you for the file name of a file to download.

    • Download Filtered This command allows you to select a group of files and apply filters to the download.

    • Download Scheduled This command lets you schedule the download of the selected file for a later time or a regularly scheduled time.

  • Edit This command opens the file in the previously configured HTML editor. The default editor is the built-in HTML editor.

  • View This command opens the file in the preconfigured viewer; by default it’s the built-in HTML editor.

  • Open This command downloads the file locally and then opens it in the appropriate applications. For example, downloading a file with an .htm file name extension would open the file in Microsoft Internet Explorer (or whatever your default Web browser is).

  • Rename This command lets you rename the remote file. You enter the new name, and the software takes all the steps necessary to effectively rename the target file.

  • Delete This command deletes the remote file.

  • Properties/CHMOD This command displays the properties of the selected file.

Using the Built-In HTML Editor

CuteFTP Pro includes a built-in basic HTML editor, shown in Figure 22-14. If your normal HTML editing is done using a tool like Microsoft FrontPage, the tools that are available here probably won’t be of much use. There are only eight automated tag tools, available from the HTML Editor toolbar.

  • Bold

  • Italic

  • Underline

  • Insert Anchor

  • Insert Image

  • Set Font

  • Insert Comment

  • Insert Table

    Figure 22-14  CuteFTP Pro’s basic HTML editor.
    Figure 22-14. CuteFTP Pro’s basic HTML editor.

This is a very small subset of the available HTML tools, but they are the only ones that the editor automates for the user. The editor is suitable for making minor edits to your existing HTML files (and that is its primary purpose), but it is not a full-featured HTML tool. You have the option of choosing New HTML Document from the HTML Editor toolbar. As discussed earlier, you can make CuteFTP Pro default to any HTML editor. If you have a tool that you are comfortable with and want to integrate it with the way the CuteFTP Pro works, you can make that your default HTML editor on the Helper Applications menu, accessed from the Global Settings dialog box.


Newsreaders: Oz Insight's Ozum All-In-One Newsreader

Newsreaders: Oz Insight’s Ozum All-In-One Newsreader

Access to USENET, the Internet repository of random information ranging from detailed discussion of medicine and math to photographs of your favorite TV star, is one of the oldest and most heavily used features of the Internet. Windows XP offers access through the newsreader portion of Microsoft Outlook Express 6.

There’s nothing wrong with Outlook Express as a basic NNTP client, but it lacks many of the features that more powerful newsreaders have to make getting data from USENET simple. If all you are looking to do is download text information, Outlook Express 6 will probably be enough for you, but if you want to get binary content from USENET, ranging from MP3 music to photographs of the latest news hotspots, to gigabytes worth of video, you’ll need a more robust tool.

Oz Insight’s Ozum All-In-One Newsreader is an excellent example of a full-featured NNTP client. It has the added advantage of being explicitly designed and optimized for dealing with binary data posted to USENET. A trial version of the software can be found on the companion CD to this book, and it also can be downloaded from the Oz Insight Web site (http://www.ozinsight.com).

Installing Ozum All-In-One Newsreader

Install Ozum All-In-One Newsreader by performing the following steps:

  1. Run the Setup program from the companion CD to this book or the software you downloaded.

  2. In the welcome screen, click Next.

  3. Read the License Agreement, and then click I Accept.

  4. To accept the default destination folder for the Ozum All-In-One Newsreader program files, click Next. Otherwise, click Browse, choose an alternate destination folder, and then click Next.

  5. To accept the default program group, click Next. Otherwise, change the program group and then click Next. Click Next again to start the installation.

  6. In the Installation Complete screen, review the text and then click Finished.

Running Ozum

Ozum uses a project metaphor to create individual sets of newsgroup downloads. By default, the Project Properties Wizard, shown in Figure 22-15, runs each time you start Ozum. You can configure Ozum not to start the wizard automatically. Then you can either create projects manually or by running the wizard once the application is started.

Figure 22-15  The Ozum Project Properties Wizard.
Figure 22-15. The Ozum Project Properties Wizard.

Thousands of articles appear in newsgroups every day. The first option that the Ozum wizard provides is the ability to filter the newsgroup articles that get displayed. Simple filters, such as those that ignore articles that have already been read, can greatly decrease the amount of data that needs to be scanned on the news server.

Configuring a News Server

The first news server that we are configuring is news.microsoft.com. This is Microsoft’s public news server, which includes newsgroups focused on almost every Microsoft product and technology. Start by configuring Ozum to download messages from a number of newsgroups dedicated to the Windows XP operating system. This is done in the News Server Properties dialog box, shown in Figure 22-16.

Figure 22-16  Configuring a news server for the project to use.
Figure 22-16. Configuring a news server for the project to use.

The Browse window, the next page of the wizard, lets you browse all the newsgroups available on the selected server. Subscribing to a newsgroup (which means that you’ve configured the newsreader to download the articles in that group) is as simple as double-clicking the newsgroup that interests you. The Popular Groups window is a preconfigured set of newsgroups that users commonly access. None of these groups are available on the server, news.microsoft.com, which is dedicated to Microsoft product support. Later in this chapter, we show you how to subscribe to news servers with the more common newsgroups available.

Once you’ve selected all the newsgroups that you want to subscribe to in this project, click Next. You’ll be prompted to name the new project, and once you have done so, you are taken to the main Ozum console.

Selecting the news server in the Newsgroups window causes Ozum to expand the selected groups on that server and scan the server to report the available articles in each of the groups you’ve selected. The numbers that appear after the newsgroup name indicate how many articles are available in the newsgroup and how many are unread. For example, the newsgroup microsoft.public.windowsxp.hardware contains 73,615 articles, of which 73,614 are unread (one was scanned by Ozum while compiling this data), as shown in Figure 22-17.

Figure 22-17  Monitoring articles being retrieved.
Figure 22-17. Monitoring articles being retrieved.
Downloading and Reading Articles

Double-clicking a newsgroup starts the process of downloading the article content. You’ll first be prompted to select how many newsgroup articles to download (the default value is 300). The Jobs window keeps the status of the download up to date; it indicates that Ozum is currently reading the selected number of headers in the selected newsgroup. The status bar at the bottom of the screen provides additional detail. As shown in Figure 22-17, it indicates that a task is executing and that the 742nd article is being processed, no articles have been skipped, 742 articles have been loaded, no extra attempts have been made to download the articles, and there are a total of 0 headers left to be downloaded.

If a message has an attachment, you can save the attachment at this point. If the attachment is an image or video, Ozum allows you to preview the media attachment in the right window. Downloading text is the easy part. Let’s take a look at downloading binary attachments.

Downloading Binary Attachments

To download a binary attachment, you must configure Ozum to access a general- purpose news server. Your ISP might offer a news server, or you can subscribe to a commercial news server.

POWER TIP
Given that there are literally gigabytes of data added to news servers worldwide each day, a commercial news server is more likely to have the information you are looking for because the standard methodology used to limit the size of the data store needed for a news server is age of the articles. In other words, when a newsgroup article reaches a certain age, it expires and is removed from the server. Commercial servers are likely to store articles for a longer period of time than ISP servers. Because binary data is often contained in more than a single article (it’s the newsreader’s job to combine that data into a single file that users can easily read), the longer an article remains on the news server, the better the chance you’ll have of retrieving all the parts of a multipart message.

There are two paths we can take now: We can create a new project, which creates a new folder for all of the project data to be stored in, or we can simply add a new server to the current project. To add a new server, right-click anywhere in the Newsgroups window and select Add Server from the shortcut menu. This opens the News Server Properties dialog box.

Configuring Ozum for access to a commercial server requires entering the server name and giving Ozum the user name and password supplied by the news server vendor. Once the dialog box is completed, the new server appears in the Newsgroups window. Right-clicking the news server and selecting Subscribe brings up the Browse window discussed earlier in this section. In the case of the commercial server used for testing, more than 30,000 newsgroups are available.

Previewing Images and Other Attachments

Image preview is a very useful part of the Ozum reader. When you select a single message to view, the newsreader downloads a preview of the image contained within the message. This can let you know if you want to save that image to your computer or not. Ozum has this same capability with video, with the added advantage of being able to display a small section of the video without having to download the entire video file; this can save you quite a bit of time, given the size of most video files found in newsgroups.

The Attachments OverView list, shown in Figure 22-18, shows you the attachments that can be downloaded to your computer from the news server. If it’s a multiple-part attachment, the total number of parts that make up the complete image or video is displayed. Selecting multiple attachments creates a Download Selected Articles job.

Figure 22-18  Selecting multiple files for download in the Attachments OverView list.
Figure 22-18. Selecting multiple files for download in the Attachments OverView list.

In the Download Selected Articles Job dialog box, if you are interested only in the attachments, select Save Attachments Only. The Don’t Retain Attachments That Have Been Downloaded In The Past check box helps you control duplication of downloads.

By default, no timer information is configured; the job is executed when you click Start Now. However, if you have a slow connection or want the job to run after hours, the Timer tab, shown in Figure 22-19, allows you to specify when the job should execute. You can also set up jobs that are executed on a regular basis; if you want to keep up with a specific high-traffic newsgroup, this can have all of the contents of that newsgroup ready and waiting for you at a fixed time every day or on whatever schedule you choose.

Figure 22-19  Controlling when a job is downloaded using the Timer tab.
Figure 22-19. Controlling when a job is downloaded using the Timer tab.

For most users of commercial news servers, the Limits tab can be quite important. Many commercial news servers limit the amount of data you can download on a daily basis. This tab allows you to control how much data you are willing to have the job deliver. Users of satellite Internet access also need to deal with limits on the amount of bandwidth they can consume; using the Limits tab lets you stay within those bandwidth limitations and still download the files that you need.

Using the Ozum Toolbar

Most of the common functions of Ozum can be accessed directly from 17 buttons on the toolbar. We discuss them here, moving from left to right:

  • Project Wizard This button starts the wizard that we discussed earlier. If you’ve disabled the wizard from starting at program start or need to use it after Ozum is already running, start it here.

  • Open Project This button opens a File Open dialog box in the folder where you are storing your projects.

  • Project Properties This button identifies the project name and folder it’s stored in. It also lets you set a project password that can protect a project that contains sensitive information from other users. You can also set header download filters here.

  • On/Off Filtering If you’ve configured filters that control the view of the article headers, you can disable or enable them by clicking this button.

  • Subscribe To News Server This button launches the News Server Properties dialog box.

  • Subscribe To Newsgroup This button launches the Browse window discussed earlier in this section.

  • Start Job This button launches a previously configured download job.

  • Stop Job This button halts a currently executing job. Restarting a stopped job continues it from where it was stopped. If you want to start a new job or reconfigure the current job, you’ll need to delete and re-create the job.

  • Reply To Article This button automates the posting of a reply to an existing article.

  • Monitor This button opens a data screen that shows the status of the currently executing job, including data, such as total bytes downloaded or uploaded, that won’t be found elsewhere.

  • Exit (Ctrl+Q) This button quits Ozum.

The next six buttons, which are smaller, control the display in the main panel of the Ozum console:

  • List Of Articles Displays a list of articles.

  • View Samples Of Selected Display a view of samples of the selected items.

  • All Available Samples Displays all available samples.

  • Directory As File List Displays the directory as a list of files.

  • Directory As Article List Displays the directory as an article list.

  • Directory Of Thumbnails Displays the directory as image thumbnails.

The Help engine in Ozum contains complete step-by-step instructions for all features of the product. We’ve given you enough information here to get Ozum up and running in your environment. For additional information, refer to the Help engine in Ozum, or the Ozum Web site (http://www.ozinsight.com).


Chapter 23 - Third-Party Firewalls

Chapter 23
Third-Party Firewalls

Before computer jargon made a large impact on our collective vocabulary, the word firewall meant a physical structure that is used to prevent the spread of a fire, or, more generally, a device that limits the damage an existing menace can inflict. Today, if you hear people talking about a firewall, they’re probably discussing protecting computers from Internet-based rogue programs (unless they’re firefighters).

In this chapter, we’ll explain what a firewall does and provide information about installing, configuring, and using two of the most popular firewall applications: ZoneAlarm Pro and BlackIce. We’ll cover the following topics:

  • Firewall basics

  • Using ZoneAlarm Pro

  • Using BlackIce

    More Info
    Windows XP also has built-in firewall software called the Internet Connection Firewall (ICF). For more information about that, see Chapter 8, “Networking Power Tools.”


Firewall Basics

A computer firewall is a structure that blocks a menace attempting to enter your computer from the Internet. The firewall can be hardware-based or software-based.

Hardware-Based Firewalls

Hardware-based firewalls are built into some hardware devices that are available for connecting to the Internet. Many cable modems and Digital Subscriber Line (DSL) routers offer firewall protection as an integral part of the hardware. Routers are innate firewalls because they stand between the Internet and all the computers on your network.

You can usually configure how the firewall works with a small software application that comes with the device. The application is generally embedded and managed from a Web browser using a Transmission Control Protocol/Internet Protocol (TCP/IP) address specified by the device manufacturer. The configuration options might include how the firewall tracks attempted invasions (for example, by issuing a pop-up message or by blocking access without asking any questions).

Each device manufacturer offers special firewall functions and options, and you don’t have to buy anything else to have your firewall up and running all the time. Refer to the documentation that came with your hardware device.

Software-Based Firewalls

Software-based firewalls are programs you buy or download, and then install on your computer to protect you from any Internet-based danger. In this chapter we’ll cover only software-based firewalls.

Understanding How Firewalls Work

A firewall essentially stands guard at the gateway between a computer and the Internet. The gateway is a modem, a router, or any other hardware device you use to access the Internet.

To understand what a firewall does and how it works, you need a basic understanding of TCP/IP, the communication protocol suite your computer uses to communicate with the network.

TCP/IP is a two-layer program. The higher layer, Transmission Control Protocol, disassembles and reassembles data transmissions into small packets of information. The sending device disassembles the data stream and the receiving device reassembles it.

The lower layer, Internet Protocol, tracks the addresses involved in the data exchange to make sure each packet reaches its designated destination. This ensures that even if the individual packets are routed differently, they’ll all end up in the right place.

The firewall examines each packet to determine whether to forward that packet to its announced destination. That destination can be the Internet (outgoing packets) or a computer (incoming packets). It uses the data in the lower layer (IP) to determine whether or not to pass the packet along. If an unapproved address appears, the firewall either asks whether to forward the packet or stops it immediately, depending on the configuration options you’ve established.

In addition, most good firewalls also check data beyond that contained in the IP layer. They also examine the ports (the entry channels for data) to see that data of a certain type is using the normal port for that type. A process called stateful inspection is implemented to keep an eye on the flow of data that’s traveling in multipackets, which helps to winnow out intruders who are “faking” what seems to be a real, reliable IP address (called IP spoofing).

Firewalls are complicated applications, and in this section we cover just enough basic information to help you understand some of what a firewall does to protect your computer from intruders.

More Info
For more information about firewalls, consult Microsoft Windows XP Inside Out by Ed Bott and Carl Siechert (Redmond, WA: Microsoft Press, 2001), or Protect Yourself Online by Matthew Danda (Redmond, WA: Microsoft Press, 2001).
Why Do You Need a Firewall?

When you’re on the Internet, your computer has an Internet IP address. Internet intruders work by selecting an IP address (frequently at random) and connecting to it. Once connected, unless something stops them, they can send files to your computer, copy files from your computer, or delete files from your computer, all without your knowledge. Sending a file is almost always a malicious act because the file is usually a virus or worm; copying a file could expose your private, sensitive information to the whole world; and of course, deleting a file (if it’s the right one) could cripple your system.

Your computer gets its IP address based on the type of service you have from your Internet service provider (ISP). Some computers have dynamic (temporary) IP addresses, which are generally assigned by a Dynamic Host Configuration Protocol (DHCP) server, and others are static (permanent).

When you signed up with your ISP, you received instructions for setting up your connection, including specific information about your TCP/IP connection.

How Dynamic IP Addresses Work

If you have a dynamic IP address, it means your ISP told you to configure TCP/IP so that the server (located at the ISP) assigns you a different IP address every time you connect. Figure 23-1 shows the Properties dialog box for TCP/IP settings for this type of connection.

Figure 23-1  A connection configured to have the ISP assign a dynamic IP address.
Figure 23-1. A connection configured to have the ISP assign a dynamic IP address.

If you connect to the Internet using a telephone modem, you almost certainly have a server-assigned dynamic IP address. Each time you connect to your ISP, an IP address is assigned and it’s highly unlikely that you would be assigned the same address each time you connect. Your ISP owns a large range of addresses, and they’re assigned as each subscriber logs on.

When a hacker is attempting to find a vulnerable computer by trying different IP addresses, if an address that belongs to your ISP is included, the chances that your computer would respond to that address are less than 100 percent. However, the laws of coincidence certainly don’t eliminate the danger just because there’s only a small window of time during which that IP address is linked to your computer. You should use a firewall to minimize the risk of being victimized.

How Static IP Addresses Work

Some ISPs offer subscribers a static IP address, or a range of addresses for a network (usually not available for modem connections). This means that even if you disconnect from the Internet, when you reconnect, your computer still has the same IP address. You can count on the fact that eventually this IP address will be tested by a malicious intruder; when it is, your computer will fall victim.

In short, if you have any kind of Internet IP address, failing to use a firewall is like issuing an invitation to the world to inspect (or even wipe out) the contents of your hard disk, take whatever looks interesting, or deposit a virus.

NOTE
In fact, you can have a static IP address even if you always use a server-assigned “dynamic” one. If you have a server-assigned IP address with an always-on connection, such as Digital Subscriber Line (DSL) or cable modem, the fact that you’re always connected means that the IP address is always linked to your computer.

This scenario certainly enhances the odds that if the IP address is “tested” by malicious intruders, your computer will be victimized. There are two ways to reduce the danger: You can unplug the modem connection every few minutes and then reconnect to link to a different IP address, or you can install a firewall. The latter option is far more practical.


Using ZoneAlarm Pro

ZoneAlarm is a popular and well-regarded firewall application. ZoneLabs offers two versions of the product: ZoneAlarm and ZoneAlarm Pro.

ZoneAlarm is free if you use it on a personal computer or you are a nonprofit organization. Businesses, government offices, and educational institutions can purchase ZoneAlarm for a small fee. You can try it for 60 days before deciding whether you want to purchase the product.

ZoneAlarm Pro, which offers more security features, is priced on a per-license basis, so the cost depends on the number of computers on which you install the product. The companion CD to this book includes a special 30-day demo of ZoneAlarm Pro 3.0 that is not currently available on the Web site.

NOTE
A feature-by-feature comparison of the products is available at http://www.zonelabs.com/store/content/company/products/znalm/comparison.jsp. For this discussion, we assume you are interested in ZoneAlarm Pro.
System Requirements for ZoneAlarm Pro

To use ZoneAlarm Pro 3.0, first ensure that your computer meets the following requirements:

  • Microsoft Windows 95, Windows 98, Windows Millennium Edition (Windows Me), Windows NT, Windows 2000, or Windows XP operating system

  • IBM PC or 100-percent compatible 486 (or higher) system processor

  • 3 megabytes (MB) of available hard disk space

If you have older computers in addition to your Windows XP computer, you can use ZoneAlarm on those machines, too. If your computer meets these requirements, you can proceed with the installation as described in the next section.

Installing ZoneAlarm Pro

To install ZoneAlarm Pro 3.0, perform the following steps:

  1. To launch the ZoneAlarm Pro Installation Wizard, double-click the Setup file from the companion CD.

  2. The first wizard page, as shown in Figure 23-2, allows you to set the destination folder for the software installation. You can accept the default location or click Browse to specify a different folder (or even a different drive, if you have multiple drives on your computer). Click Next.

    Figure 23-2  Selecting where you want to install ZoneAlarm.
    Figure 23-2. Selecting where you want to install ZoneAlarm.

  3. In the next wizard page, enter your name, your company name, and your e-mail address. Also, indicate whether you want to register the product (a good idea), and whether you want to be notified about updates to ZoneAlarm (also a good idea). Click Next.

  4. In the next wizard page, read the license agreement, and then click Accept to indicate you accept the terms of this license. If you don’t accept the agreement, the installation process halts. Click Accept.

  5. The software files are transferred to your hard disk, and when everything is copied, the wizard asks you some questions about the way you’ll use ZoneAlarm. After you indicate how you connect to the Internet, the number of computers you plan to protect, and other survey questions, click Finish. (You don’t have to answer any of these questions if you don’t want to.) A dialog box appears, asking if you want to start running ZoneAlarm. Click Yes.

  6. The License Wizard page appears, allowing you to choose whether to purchase or simply try ZoneAlarm Pro. The default option is I Want To Try ZoneAlarm Pro. Accept the default and click Next.

  7. In the next License Wizard page, you are again presented with the option to “try” or “buy” ZoneAlarm Pro, along with Trial Security Stats listing the number of days remaining in the trial period. Click Finish.

  8. The ZoneAlarm Pro Getting Started presentation opens, and you can move through it to learn more about configuring and using ZoneAlarm Pro. The ZoneAlarm Pro window also appears so you can begin configuring the software, which is covered in the next section of this chapter.

ZoneAlarm Pro places its program listing in the Startup folder of your Programs menu, so it starts whenever you start Windows XP.

Configuring ZoneAlarm Pro

ZoneAlarm Pro has a substantial range of configuration categories, many of which have multiple options, so it’s easy to customize the software for the way you use your computer. Configuration starts in the ZoneAlarm Pro screen (shown in Figure 23-3), which you open by double-clicking the ZoneAlarm Pro icon in the notification area.

Figure 23-3 Configuring ZoneAlarm’s options.
Figure 23-3. Configuring ZoneAlarm’s options.
Configuring Alerts

Click Alerts & Logs to configure the way you want ZoneAlarm Pro to track and notify you of events (as shown in Figure 23-4).

The information that’s displayed in the Alerts & Logs screen is self-explanatory. The choices shown on the Main tab are for the manner in which you are alerted about incoming traffic stopped by ZoneAlarm Pro. You can configure ZoneAlarm Pro to save information about these attempts in a log file, or ask to see a pop-up window every time an attempt occurs by clicking Advanced on the Main tab.

Only incoming traffic launches the pop-up window. When a local application tries to access the Internet (that is, outgoing traffic), ZoneAlarm Pro always uses a dialog box to ask you whether you give permission for this. You can give permission either on a one-time basis or permanently.

Figure 23-4  Using the Alerts & Logs screen to configure the way ZoneAlarm Pro reacts when someone or something attempts to breach your firewall.
Figure 23-4. Using the Alerts & Logs screen to configure the way ZoneAlarm Pro reacts when someone or something attempts to breach your firewall.
POWER TIP
It’s better to give permanent permission for two reasons. First, if you give permission on a one-time basis, you need to click OK each time, and no traffic is permitted through the firewall until you do. If you leave your computer, you might prevent necessary traffic from getting through, especially if you’re on a network. Second, you might not get any work done because local applications attempt to access your computer with amazing frequency, meaning you’ll spend most of your time clicking OK in the dialog box.

The text file that ZoneAlarm Pro keeps is named Zalog.txt, located in the %SystemRoot%\Internet Logs subdirectory. You can open the file in Notepad. The oldest event is at the top of the file, so you can scroll down to see the most recent events. The file is actually a comma-separated-value text file, so you can import it to a database or spreadsheet, which lets you sort the file as you wish. For example, sorting by external IP address is a good way to see where the most frequent attempts are coming from.

If you opt for the log file, the last event is always displayed in the Alerts dialog box. Clicking More Info takes you to a Web page maintained by ZoneLabs, where the ZoneLabs Alert Analyzer might be able to provide a more detailed explanation of what occurred.

Configuring Locks

You can use the Custom Lock Settings dialog box to specify if and when you want to lock traffic, as shown in Figure 23-5. By default, the locking feature is disabled, but once you enable it, you can specify how you want it to work. To configure the Custom Lock Settings, click Program Control on the left menu, and then make your configuration setting on the Auto-Lock tab of the Custom Lock Settings dialog box.

Figure 23-5  Configuring the Custom Lock Settings dialog box.
Figure 23-5. Configuring the Custom Lock Settings dialog box.

Most ZoneAlarm Pro users skip the locking feature, but some people like to lock out TCP/IP traffic while they’re not working at the computer. You can automatically lock the traffic paths when either of the following events occur:

  • Your screen saver is activated When you return to your computer and use the mouse or keyboard to shut down the screen saver, ZoneAlarm Pro automatically unlocks.

  • A specified amount of time elapses without any keyboard or mouse input If you select this option, when you return to work, you must manually unlock ZoneAlarm Pro by clicking the Lock icon at the top of the ZoneAlarm Pro window.

You can also specify that certain programs can continue to pass through the firewall, even though you’ve locked ZoneAlarm Pro. This is important if you have your e-mail software configured to check your ISP’s mail server at regular intervals. See the section entitled “Configuring Program Settings,” later in this chapter, to learn how to set the passthrough option for programs.

Configuring Security Settings

The Main tab of the Firewall screen is the place to set the general security level for ZoneAlarm Pro. Figure 23-6 shows the default settings, which should suffice for most users. To access the Main tab, click Firewall on the left menu, and then click the Main tab.

Figure 23-6  Setting the security rules for both network and Internet access.
Figure 23-6. Setting the security rules for both network and Internet access.

You can move the slider bar to change the setting; ZoneAlarm Pro displays explanations for each setting. These settings tend to be more relaxed for trusted zones (in your local network) and more restrictive for Internet zones.

The MailSafe protection option, which is enabled by default, checks for .vbs attachments in your e-mail, which could be hazardous viruses. You can access the MailSafe option by clicking Email Protection on the left menu and then clicking the Main tab. To configure how you want to handle e-mail attachments, click the Attachments tab.

CAUTION
E-mail viruses arrive in many forms, so don’t think of MailSafe as a substitute for a full antivirus application.
Configuring Advanced Security Settings

You can add servers (Internet or local) to the list of trusted computers to make sure traffic flows between those servers and your computer. To do so, click the Zones tab in the Firewall screen, as shown in Figure 23-7.

Figure 23-7  Identifying the servers that should be permitted to interact with your computer.
Figure 23-7. Identifying the servers that should be permitted to interact with your computer.

If you’re running a local area network (LAN), selecting the network adapter (which ZoneAlarm Pro automatically finds) includes all the computers on the same subnet. However, if there’s a network computer on a different subnet that you want to include, click Add to identify it. You can add an Internet server, identifying it by its IP address, which is useful if you’ve tightened up the Internet security settings. You can also add a range of IP addresses to include all the computers within that range.

Configuring Program Settings

The Programs tab, shown in Figure 23-8, controls outgoing traffic. This is where you list the local programs that are permitted to access the Internet. To access the Programs tab, click Program Control on the left menu, and then click the Programs tab.

Figure 23-8  Configuring local programs to access the Internet.
Figure 23-8. Configuring local programs to access the Internet.

You don’t have to add each program manually; instead, open each program and click Yes when ZoneAlarm Pro asks if it’s all right to let this program access the Internet, as shown below.

Unless the program doesn’t normally need to access the Internet (an uncommon situation), select the Remember This Answer The Next Time I Use This Program check box.

Configuring Basic Settings

Click Overview on the left-hand menu and then click the Preferences tab, as shown in Figure 23-9, where you set the options for running ZoneAlarm Pro.

Figure 23-9  Specifying how you want to use and update ZoneAlarm Pro.
Figure 23-9. Specifying how you want to use and update ZoneAlarm Pro.

The options are self-explanatory, and you can change the specifications to best meet your needs. However, it’s a bad idea to clear the Load ZoneAlarm Pro At Startup check box.

Running ZoneAlarm Pro

On a day-to-day basis, ZoneAlarm Pro operates rather unobtrusively. If you’re logging incoming unauthorized access attempts to a log file, the program doesn’t bother you; it just quietly blocks the attempts.

When a program or process on your computer attempts to access the Internet, ZoneAlarm Pro issues a pop-up message asking you to approve or reject the access. You can also make the approval or rejection permanent by selecting the Remember This Answer The Next Time I Use This Program check box.

If you watch the ZoneAlarm Pro icon in the notification area you might see it flash occasionally, which means it’s performing an action (blocking or permitting an access atempt). If you’re on a network, you might see animation on the icon even if you’re not connected to the Internet, because communications between your computer and the other computers on the network are filtered through ZoneAlarm Pro.


Using BlackIce PC Protection

BlackIce PC Protection (which we’ll simply refer to as BlackIce), from Internet Security Systems, Inc., is another popular firewall application. In this section, we review the basic information about this program so you can decide whether you’d like to install it on your computer. You can purchase BlackIce from the Internet Security Systems Web site (http://www.iss.net).

System Requirements for BlackIce

To run BlackIce, first ensure that your computer meets the following requirements:

  • Windows 98, Windows Me, Windows NT Service Pack (SP) 4 or above, Windows 2000 SP1 or above, or Windows XP operating system

  • 16 MB of RAM

  • 6.5 MB of available disk space

Installing BlackIce

Once you have verified that your system meets the minimum requirements, you can install BlackIce by following these steps:

  1. Double-click the BlackIce Setup file to begin installing the software. BlackIce uses the popular InstallShield Wizard (which you’ve probably encountered many times as you installed software), and you must click Next to move through each wizard page.

  2. After the welcome page, you must accept the terms of the BlackIce license agreement. Click Next.

  3. Specify the folder you want to use as the container for the software, as shown in Figure 23-10.

    Figure 23-10  Setting the installation location for BlackIce.
    Figure 23-10. Setting the installation location for BlackIce.

  4. If you don’t like locating software in subfolders within your Program Files folder, or if you want to install BlackIce on a different drive, click Browse and either select a drive and folder from the dialog box as the target location, or type a path directly into the dialog box. If you type a path to a folder that doesn’t exist, the wizard creates the folder for you, providing the drive letter you supply exists.

  5. After displaying the Programs menu item that will exist when installation is complete, the wizard says that it needs to inspect your computer to create a baseline of applications that exist on your system, as shown below.

    The amount of time required for this inspection varies, depending on the size of your drive(s) and the number of applications installed.

  6. When you click Next, the wizard displays an estimate of how long the installation will take. Click Next again to start the copying of the software files to your hard disk, and begin inspecting your computer.

  7. When BlackIce has collected all the information it needs, the final wizard page is displayed, announcing that setup is complete. Click Finish. If you leave the Readme File check box selected, the Readme file will load automatically in Notepad. The BlackIce icon then appears in the notification area.

Configuring BlackIce

BlackIce provides several options for specifying how you want to use its protection features. To set the options you want, double-click the BlackIce icon in the notification area, and from the Tools menu, select Edit BlackIce Settings.

Firewall Tab

When you open the Settings dialog box, shown in Figure 23-11, the Firewall tab, shown by default, is a good place to begin your configuration efforts.

Figure 23-11  Using the Firewall tab to set how BlackIce controls access to your computer.
Figure 23-11. Using the Firewall tab to set how BlackIce controls access to your computer.

The Protection Level setting establishes the intensity of the security settings. By default, the level is set at Cautious. You can change the setting to a more restrictive level if you think your computer is experiencing a highly unusual number of intrusion attempts. Likewise, you can reduce the standard if you think your computer is reasonably safe from intrusions during a particular session. The following is an overview of the effects of each available setting:

  • Paranoid Stops all unsolicited inbound traffic. Using this protection level might mean that you can’t do everything you want to on interactive Web sites.

  • Nervous Blocks all unsolicited inbound traffic except some traffic required for interactive Web sites, such as receiving streaming media.

  • Cautious Blocks unsolicited inbound traffic that is trying to access Windows operating system services or network services.

  • Trusting Lets all inbound traffic through.

In addition to the Protection Level settings, the Firewall tab offers several other configuration options. Select or clear the check boxes for each of the following options:

  • Enable Auto-Blocking Automatically blocks any intrusion attempt (selected by default). If you clear this check box, BlackIce reports the event in a log file but doesn’t block the traffic.

  • Allow Internet File Sharing Permits file sharing among computers, including computers on your LAN (the word Internet is a bit misleading in this option). If you’re on a network and you share files with other computers, select this check box.

  • Allow NetBIOS Neighborhood Causes this computer to show up in the Network Neighborhood of other computers on your network. If you don’t select this option, users on other computers won’t see this computer’s listing. However, this doesn’t mean that you can’t share files between this computer and other network computers; it only means that users on other computers must access your computer manually (for example, by entering the Universal Naming Convention, using the IP address, in the Run command).

After you’ve made any necessary changes on the Firewall tab, click Apply to put the changes into effect. If you’re finished with your configuration efforts, click OK to close the dialog box.

Packet Log Tab

The Packet Log tab, shown in Figure 23-12, is the place to set up the logging features that BlackIce offers.

Figure 23-12  Using the Packet Log tab to turn on logging and specify the manner in which events are logged.
Figure 23-12. Using the Packet Log tab to turn on logging and specify the manner in which events are logged.

Packet logging tracks all traffic, not just intrusion attempts, so your log files can become quite full of data, including a lot of information that doesn’t help you track attempted intruders.

The logs are kept in the folder into which you installed BlackIce, and the file name extension for packet logs is .enc. If you choose to turn on the logging feature, use the following guidelines to specify how logging works:

  • File Prefix Determines the prefix of the packet log file names. By default, the prefix is log, so that log files are named log0001, log0002, and so on. You can select a different prefix, perhaps using letters that refer to the name of your computer.

  • Maximum Size (Kbytes) Indicates the maximum size you want to permit a log file to be (the default maximum size is 2048 KB). When the file reaches the specified size, BlackIce starts a new log file.

  • Maximum Number Of Files Determines how many log files BlackIce retains. The default value is 10. You can rename old log files or move them to a different folder to make sure the system continues to create files.

Evidence Log Tab

The Evidence Log tab, shown in Figure 23-13, is where you set up the specifications for tracking suspicious behavior. When BlackIce detects that an intruder might be accessing your computer, it collects the evidence in logs.

Figure 23-13  Specifying how you want to track the behavior of intruders.
Figure 23-13. Specifying how you want to track the behavior of intruders.

By default, evidence logging is enabled, and it’s not a good idea to disable this feature. BlackIce captures all the network traffic packets generated by suspected intruders and keeps that information in the evidence log file. Capturing packets means the program can keep detailed information about everything an intruder tried to do.

Evidence logs are located in the folder into which you installed BlackIce, with the file name extension .enc. Use the following guidelines to configure the options available for the evidence logs:

  • File Prefix Determines the prefix for the file names of evidence logs. By default, the prefix is evd. You can add a time and date stamp to the file name by typing %d after the prefix. The time and date stamp appears in the format YYYYMMDD.

  • Maximum Size (Kbytes) Specifies the maximum size for an evidence log. The default is 1400 KB.

  • Maximum Number Of Files Determines the number of evidence files the system retains. The default is 32. You can rename or relocate old evidence files to make sure the system continues to create files.

    NOTE
    BlackIce will not create more than 32 files in any 24-hour period.
Back Trace Tab

Back tracing is a BlackIce process that traces a network connection back to its origin. This process is invoked whenever BlackIce thinks an intruder is trying to access your computer. To back trace, BlackIce moves backwards through the path the external computer used to reach your computer. All Internet traffic travels through a series of servers and routers, and each of these points constitutes a hop. BlackIce identifies each one of these hops to determine where the intrusion started and how it arrived at your computer.

In effect, a back trace is the reverse of a trace route. You can perform a trace route at the command line by typing tracert target (where target is an Internet location, such as Microsoft.com, or an IP address). You can see all the hops between your computer and the target site. It’s an interesting exercise, and also a good way to tell how close your ISP is to the backbone servers on the Internet. The configuration options available on this tab, as shown in Figure 23-14, let you specify the severity level of attempted intrusion that initiates a back trace.

Figure 23-14  Specifying the circumstances under which you want BlackIce to initiate a back trace.
Figure 23-14. Specifying the circumstances under which you want BlackIce to initiate a back trace.

You need to configure the options for both an indirect trace and a direct trace. An indirect trace collects information without accessing the source of the intrusion, which means the intruder can’t detect the fact that a trace is in progress. A direct trace gathers information by accessing the source of the intrusion, which might be detected by the intruder. Some hackers block direct traces. Indirect traces don’t provide as much information as direct traces.

The severity threshold specification is a number assigned by BlackIce to determine how serious a threat is. BlackIce uses the following threshold definitions:

  • 0 (Informational) This means an event has occurred that does not seem threatening. No action results.

  • 1–3 (Suspicious) This means an event has occurred that is suspicious, but not threatening. For example, an intruder might be searching for open ports or other security weaknesses, but has not yet attempted to access the computer.

  • 4–6 (Serious) This means an attempt has been made to access information on your computer.

  • 7–10 (Critical) This means an intruder has made an attack and tried to damage a data file, tried to extract data from your computer files, or tried to crash the computer.

In addition to specifying the threshold, two other options are available for back tracing:

  • For an indirect back trace, select the DNS Lookup check box to have BlackIce query Internet DNS servers for information about the intruder’s point of origin.

  • For a direct back trace, select the NetBIOS Nodestatus check box to have BlackIce perform a NetBIOS lookup on the intruder’s system. If successful, this provides specific information about the source computer.

Intrusion Detection Tab

This tab, shown in Figure 23-15, is where to specify the computers and application events that BlackIce should trust or ignore. If your computer is part of a network, this is the place to indicate which network computers can access your system.

Figure 23-15  Naming the application and computer access events BlackIce should trust or ignore.
Figure 23-15. Naming the application and computer access events BlackIce should trust or ignore.

In the BlackIce lexicon, trusting means that the program excludes an IP address from its list of things to “watch.” Ignoring means that certain events (such as port scans or queries) from trusted sources don’t have to be investigated, nor do they trigger a log entry.

Click Add to open the Exclude From Reporting dialog box, and then type the addresses of the computers on your network. By default, BlackIce ignores all events from these computers. It would be unusual (and probably harmful) to change this setting.

Notifications Tab

The Notifications tab, shown in Figure 23-16, lets you specify how you want BlackIce to alert you about events that it deems important.

Figure 23-16  Configuring how and when BlackIce should alert you when a significant event occurs.
Figure 23-16. Configuring how and when BlackIce should alert you when a significant event occurs.

For event notification, you can specify the circumstances under which you want to receive a video and/or audio alert. The icons on the tab indicate the level of severity, and you can assume that the more icons there are, the more severe the event. By default, the system issues a video notification (pop-up message) when the most serious event occurs. You can lower the urgency level at which you want to see a notification, and you can also add an audio notification for any urgency level.

At the bottom of this window is an option to check the BlackIce Web site to see if any updates or fixes are available. If you select the Enable Checking check box, you must then specify how often you want to check the Web site.

Prompts Tab

Use the Prompts tab to specify whether or not you want to be prompted for confirmation when you perform certain actions in BlackIce. For example, you might want to turn off the confirmation dialog box that appears when you clear the event list or when you are notified of a blocked intrusion.

The Prompts tab also lets you configure the way tooltips are displayed when you’re using BlackIce.

Application Control Tab

The settings in the Application Control tab go beyond simple firewall protection. They are aimed at controlling the applications and its processes that are allowed to run on this computer (as shown in Figure 23-17).

Figure 23-17  Specifying the action BlackIce should take when an unknown or changed application tries to run.
Figure 23-17. Specifying the action BlackIce should take when an unknown or changed application tries to run.

When you installed BlackIce, it took the time (in fact, a lot of time) to make a list of all the applications installed on your computer. Those applications are allowed to run without interference, unless they’ve been changed since the original installation.

For any application that’s not on the list (including applications you install after you install BlackIce), you can specify what you want BlackIce to do when that application attempts to run.

Communications Control Tab

The Communications Control tab, shown in Figure 23-18, specifies the circumstances under which this computer can send outbound data.

The Enable Application Protection check box, which is selected by default, tells BlackIce to monitor your computer for unauthorized outbound transmissions of local data.

When an unauthorized application attempts to access the network, BlackIce performs the action you select in this configuration tab. The choices are self-explanatory.

Figure 23-18  Protecting your computer from applications and processes that attempt to obtain local data.
Figure 23-18. Protecting your computer from applications and processes that attempt to obtain local data.
Configuring Advanced Firewall Settings

BlackIce provides configuration options for its firewall activities, and you can view or change the options by selecting Advanced Firewall Settings on the Tools menu. As you can see in Figure 23-19, BlackIce can block or allow access from certain ports or addresses.

Figure 23-19  Configuring BlackIce advanced firewall settings.
Figure 23-19. Configuring BlackIce advanced firewall settings.

If you’re on a network, you should add the addresses of computers on the network by clicking Add to open the Add Firewall Entry dialog box, shown in Figure 23-20.

Figure 23-20  The Add Firewall Entry dialog box.
Figure 23-20. The Add Firewall Entry dialog box.

Enter a name for the entity (for example, MyNetwork) and then enter the IP address or multiple addresses. For networks, be sure to select Accept in the Mode frame. On the other hand, if you’re trying to stop a particular IP address from accessing your computer, select Reject.

You can apply the Accept/Reject mode setting to all ports accessed by this IP address, or clear the All Ports check box and specify particular ports. You can also specify the duration of this Accept/Reject condition.

When you’ve finished the entry, click Add to return to the Advanced Firewall Settings dialog box, where your new entry appears in the list. You can modify the configuration of any entry in that list by selecting its listing and clicking Modify to open the Modify Firewall Entry dialog box, which offers the same options as the Add Firewall Entry dialog box, although some might be dimmed.

NOTE
The Options button opens a dialog box that lets you clear the option to warn you when an entity’s settings are about to expire.
Running BlackIce

While your computer is running, BlackIce works behind the scenes to perform its function. To reconfigure the software, view logs, or turn off the software, right-click the BlackIce icon in the notification area and choose the appropriate item from the shortcut menu.


CD Appendix

The following tools (listed by chapter) are included on the CD:

  • Chapter 16, "Tools for Customizing Microsoft Windows XP"
    • Style XP from TGT Soft
    • StyleBuilder from TGT Soft
    • WindowBlinds from Stardock
    • DesktopX from Stardock
    • ObjectBar from Stardock
    • WinStyles from Stardock
    • IconPackager from Stardock
    • SkinStudio from Stardock
    • CursorXP from Stardock
  • Chapter 18, "Tools for System Management"
    • Ashampoo UnInstaller Suite from Ashampoo
    • Sure Delete from Wizard Industries
    • Tweak-XP from Totalidea Software
    • Customizer XP from TweakNow
    • System Mechanic from Iolo Technologies
  • Chapter 19, "Third-Party Digital Photo Tools"
    • Ashampoo Illuminator from Ashampoo
  • Chapter 20, "Third-Party Digital Audio Tools"
    • Sound Forge XP Studio 5.0 from Sonic Foundry
    • ACID Music from Sonic Foundry
  • Chapter 21, "Third-Party Digital Video Tools"
    • VideoFactory from Sonic Foundry
  • Chapter 22, "Third-Party Internet Enhancements"
    • CuteFTP Pro from GlobalScape
    • Ozum All-in-One Newsreader from Oz Insight
  • Chapter 23, "Third-Party Firewalls"
    • ZoneAlarm Pro from Zone Labs, Inc.

The following tools are also featured on the CD as bonus material:

  • Backup Plus from AVANTRIX, Inc.
  • Popup Free from InfoWorks
  • SpyStopper from InfoWorks
  • Pop-Up Stopper Companion and Pop-Up Stopper Pro from Panicware
  • WinRescue XP from Super Win
  • X-Setup from Xteq Systems
  • CommView from TamoSoft44